define([
        'services/app.service',
        'directives/app.directives',
        'filters/app.filters',
        'services/app.car.beans',
        'modalSelect'
    ],
    function() {
        'use strict';
        var app = angular.module('app.guaSelect.controller', [
            'app.handle.service',
            'app.directives',
            'app.filters',
            'app.car.beans',
            'ionic-modal-select'
        ]);
        //表单控制器
        app.controller('adjustInfoController', function($scope, $rootScope, $http, $location, $handleService, $interFace, $message, $carBeansService, $state, $stateParams) {
            $scope.riskGradeTxt = {
                'A': '风险最低',
                'B': "风险低" ,
                'C': "风险中" ,
                'D': "风险高" ,
                'E': "风险最高" ,
                'X': "暂无风险等级"
            };
            $scope.NONCLAIM_ADJUSTObj = {
                "0.4":"连续5年没有发生赔款",
                "0.5": "连续4年没有发生赔款",
                "0.6": "连续3年没有发生赔款",
                "0.7":"连续2年没有发生赔款",
                "0.85":"上年没有发生赔款",
                "1":"新保或上年发生1次赔款",
                "1.25": "上年发生2次赔款",
                "1.5": "上年发生3次赔款",
                "1.75": "上年发生4次赔款",
                "2.15":"上年发生6次赔款",
                "2.3": "上年发生7次赔款",
                "2.45": "上年发生8次赔款",
                "2.6":"上年发生9次赔款",
                "2.75":"上年发生10次赔款",
                "2": "上年发生5次及以上赔款",
                "3": "上年发生10次以上赔款"
            };
            //不浮动原因
            $scope.NO_CLAIM_ADJUST_REASONObj = {
                "0": "费率浮动",
                "1": "新车",
                "2": "首次投保",
                "3": "车辆所有权转移",
                "4": "临时上道或临时入境",
                "5": "未如实告知平台车辆信息，无法确定浮动比率",
                "6": "非重复投保退保的保单续保",
                "7": "为摩托车、拖拉机、变拖类、低速载货汽车、三轮汽车",
                "8": "短期保单续保",
                "9":  "短期单投保",
                "99": "不在浮动时间范围内",
                "10": "脱保"
            };

            $scope.NO_CLAIM_SHENZHEN = {
                "01": "车贷投保多年，不浮动（老条款保单使用）",
                "02": "不与交警对接，不浮动",
                "03": "批改过户的保单再投保，不浮动",
                "04": "找不足365天的有效保期，只上浮不下浮",
                "05": "过户车首次投保，不浮动",
                "06": "方案实施首年，查找到有效保期小于180天，不下浮",
                "07": "车贷投保多年，只上浮不下浮",
                "11": "新车，不下浮"
            }

            $scope.NO_CLAIM_ALL = {
                "01": "过户车，不浮动",
                "02": "脱保6个月以上，不浮动",
                "03": "本次投保为短期单，不下浮",
                "04": "没有上年度保单，不浮动",
                "05": "上张保单为短期单，不下浮",
                "06": "上张保单做过批改过户，不浮动",
                "07": "上年和本年不在同一公司投保，不浮动",
                "08": "脱保3个月至6个月（含），不下浮",
                "09": "车贷投保多年，不下浮",
                "10": "对历史保单（上平台前的保单）的批改，不重新计算风险系数",
                "11": "新车，不下浮"
            }

            if($U.getDeptCode().substring(0,4) == "0101"){//深圳机构
                $scope.NO_CLAIM_NEW = $scope.NO_CLAIM_SHENZHEN;
            }else if($U.getDeptCode().substring(0,4) == "0107"){//北京机构
                $scope.NO_CLAIM_NEW = angular.extend($scope.NO_CLAIM_ALL,{"10": "对历史保单（上平台前的保单）的批改，不重新计算客户忠诚度和无赔优系数"});
            }else{
                $scope.NO_CLAIM_NEW = $scope.NO_CLAIM_ALL;
            }
            //自主渠道系数、自主核保系数的因子细项
            $scope.coefficient={
                "N31":"传统直销",
                "N32":"新渠道直销",
                "N33":"电话、网络直销",
                "N34":"个人代理",
                "N35":"车商代理",
                "N36":"银行代理",
                "N37":"其他兼业代理",
                "N38":"专业代理",
                "N39":"经纪业务",
                "N41":"自主核保系数"
            };

            $rootScope.adjust = window._cache.adjust;

            $scope.showNonClaim = function() {
                $handleService.showAlert('详情',$scope.NONCLAIM_ADJUSTObj[String($scope.accDivVal($rootScope.adjust.syAdjust[0].rate,100))]);
            };

            $scope.showContent=function (value, type) {
                if(type == "1") {
                    $handleService.showAlert('详情',$rootScope.BASE_BEAN.TRAFFIC_RATE[value]);
                } else if(type == '2') {
                    $handleService.showAlert('详情',$scope.NO_CLAIM_ADJUST_REASONObj[value]);
                }
                else {
                    $handleService.showAlert('详情',$rootScope.BASE_BEAN.ROAD_RATE[value]);
                }
            };
            $scope.accDivVal = function(arr1, arr2) {
                if(!arr1) {
                    return '';
                }
                return $U.accDiv(arr1, arr2)
            };
            $scope.goClaimListPage = function(){
                if($rootScope.accidentList.length ==0) {
                    $handleService.showAlert('提示', "未查询到任何理赔和违法信息");
                    return ;
                }
                $state.go("tab.claimListPage");
            }

        });
        return app;
    });