define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives'], function () {
    'use strict';
    var app = angular.module('app.bindIdCardController', ['app.handle.service', 'app.general.service', 'app.car.beans', 'app.directives']);
    //展业登录控制器
    app.controller('bindIdCardController', function ($scope, $rootScope, $stateParams, $handleService, $generalService, $location, $state, $interFace, $carBeansService) {
        //---------------------------------- begin 变量 ----------------------------------//
        $scope.bindInfo = {
            idCardName: '',
            idCard: ''
        }
        //---------------------------------- end   变量 ----------------------------------//

        //绑定身份证
        $scope.bindIdCard = function (form) {
            var slsInfo = $handleService.sessionHandle.getSession("SLS_INFO");
            var employCode = slsInfo.employCode;

            //表单校验
            $handleService.validateForm.call(this, form);
            if (form.$valid) {
                if($U.IdCodeValid($scope.bindInfo.idCard).pass==false){
                    $U.showToast('您的身份证号输入有误');
                    return;
                }
                $handleService.http({
                    url: '/websit/bindingIdCard',
                    method: 'POST',
                    data: {
                        employCode: employCode,
                        idCard: $scope.bindInfo.idCard,
                        idCardName: $scope.bindInfo.idCardName,
                    },
                    success: function (data) {
                        $handleService.logger("object", data, "绑定身份证接口返回结果--》");
                        if (data.success == 'true') {
                            slsInfo.idCard = $scope.bindInfo.idCard;
                            slsInfo.idCardName = $scope.bindInfo.idCardName;
                            //更新身份证
                            window.sessionStorage.setItem('SLS_INFO', JSON.stringify(slsInfo));
                            $handleService.showAlert('提示', '身份证绑定成功', function () {
                                // //判断新首页可见性
                                // if($rootScope.isNewHome){
                                //     $state.go("tab.mitNewIndex", {bindSuccess: 'idCard'});
                                // }else{
                                //     $state.go("tab.mitIndex", {bindSuccess: 'idCard'});
                                // }
                                $state.go("tab.mitNewIndex", {bindSuccess: 'idCard'});
                            });
                        }
                        else {
                            $U.showToast(data.returnMsg);
                        }
                    },
                    error: function (err) {
                        $handleService.logger('info', '绑定身份证异常:' + err);
                    }
                });
            }
        };

        //-----------------------------------------------begin 页面初始化方法-----------------------------------------------//
        //初始化部分操作
        var init = function () {
            //初始化表单bug
            $handleService.initFormApp();
        }
        init();
        //-----------------------------------------------end   页面初始化方法-----------------------------------------------//
    });
    return app;
});
