define([
      'services/app.service',
      'services/app.general.service',
      'directives/app.directives',
      'filters/app.filters',
      'services/app.sqlLite.service',
      'services/app.car.beans',
      'modalSelect',
      'ngUpload'
   ],
   function () {
      'use strict';
      var app = angular.module('app.carInfo.controller', [
         'app.handle.service',
         'app.general.service',
         'app.directives',
         'app.filters',
         'app.sqlLite.service',
         'app.car.beans',
         'ionic-modal-select',
         'ngCordova',
         'ngFileUpload'
      ]);
      //表单控制器
      app.controller('carInfoController', function ($scope, $rootScope, $state, $http,$stateParams, $location, $handleService,$generalService, $interFace, $compile, $ionicActionSheet, $cordovaCamera, $sqlSQLiteService,Upload, $carBeansService,$timeout) {
         //----------------------------------------begin 变量-------------------------------------------//

         var cacheDeptNamePre = '';//缓存机构名称前缀
         var companyCode=$U.getDeptCode();
         console.log('car-info-$rootScope.carBeans.noCarProductList',$rootScope.carBeans.noCarProductList);
    /*     //未更改
         var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
         var slsCde  = $U.sessionHandle.getSession("SLS_CDE");*/

         //判断是否存在*  存在* 则为两号
         $rootScope.baseBean.is_twoNumber_success ? $scope.twoNumFlag = false : $scope.twoNumFlag = true;
         $scope.carSelectFlag = 1;  // 1 按车型查  2 按车架号查
         $scope.vm = {};
         $rootScope.ocrImgUrl="";   //行驶证OCR 图片路径缓存
         $scope.speInsFlag = false; //验车不合格特约

         $scope.CAR_SELECT_FLAG = 1;  // 1 按车型查  2 按车架号查

         $scope.ImgScope = { //行驶证图片选择
            ocrXszImg:""
         };

         // $scope.isWanshuiCheck = true;//完税是否需要校验
         $scope.findCarModelNew=false;//四川交管数据一致性优化

         $rootScope.carBeans.applicant.insuredType = $rootScope.carBeans.applicant.insuredType || $rootScope.carBeans.owner.insuredType;

         $rootScope.isShowJQCheck = true;//$rootScope.isShowJQCheck; //交强是否显示
         $rootScope.isShowSYCheck = true;//$rootScope.isShowSYCheck; //商业险是否显示

         $scope.localTax = $rootScope.switchBean.taxType ? true:false;  //完税车标志

         $scope.CHGOWNERFLAG_T = ($rootScope.carBeans.vehicle.chgOwnerFlag == "1"); //缓存过户车标志

         $scope.networkCar = ($rootScope.carBeans.vehicle.networkCar == "1"); //缓存网约车标志

         //山东、青岛需要增加税务机关代码
         $scope.revenueCodeFlag = $rootScope.switchBean.taxCompancyCodeSwitch;
         $scope.isRenewal = ($location.search().SU_CODE == 'RENEWAL'); //页面路由参数 SU_CODE

         if($rootScope.carBeans.vehicle.carKindCode === "200"){// 客车
             $scope.truckFlag = true;
             $scope.truckOption = true;
             $scope.busOption = false;
         }else if($rootScope.carBeans.vehicle.carKindCode === "100"){// 货车
             $scope.truckFlag = false;
             $scope.truckOption = false;
             $scope.busOption = true;
         }else{
             $scope.truckFlag = false;
             $scope.truckOption = true;
             $scope.busOption = true;
         }
         if(!$rootScope.switchBean.vehicleCategorySwitch && $rootScope.carBeans.vehicle.gdQueryFlag!='1'){//非全业务类型机构机构
            $rootScope.carBeans.vehicle.vehicleCategory ='';
         }
         if(!$rootScope.switchBean.licenseTypeSwitch && $rootScope.carBeans.vehicle.gdQueryFlag!='1'){//非全业务类型机构机构
            $rootScope.carBeans.vehicle.licenseTypeCode ='';
         }
         if(!$rootScope.switchBean.licenseColorSwitch){//非全业务类型机构机构
            $rootScope.carBeans.vehicle.licenseColorCode ='';
         }

         $rootScope.baseBean.vhlData = angular.copy($rootScope.carBeans.vehicle);
         $rootScope.baseBean.vhlData.completeKerbMass = Number($rootScope.carBeans.vehicle.completeKerbMass) ;


         $scope.$watch("baseBean.vhlData.completeKerbMass", function(value){
            $rootScope.carBeans.vehicle.completeKerbMass = value ;
         });


         //天津处理交强、商业不支持即时起保
         if($rootScope.switchBean.tianJinTax) {
            $rootScope.baseBean.jqInsureStartTime = $rootScope.baseBean.jqInsureStartTime.split(" ")[0];
            $rootScope.baseBean.syInsureStartTime = $rootScope.baseBean.syInsureStartTime.split(" ")[0];
         }


         if($rootScope.switchBean.tianJinTax) {
            $rootScope.baseBean.isPayTianjinTax = true;
         }

         //初登日期9个月内才算新车，才能新车免两号
         //监听初登日期改变新车免两号状态
         $scope.canOmitTwoNumber = false;

         //----------------------------------------end   变量----------------------------------------//



         //----------------------------------------begin 公共方法----------------------------------------//
         var Handle = (function (handle) {
            handle.Tools = {
               //是否在免税分界线时间 以后
               isBeforeGuiDing: function (start,end,register) {
                  var startDate = new Date(start),
                      endDate = new Date(end),
                      singeinDate = new Date(register);
                  if (singeinDate >= startDate && singeinDate <= endDate) {
                     return true;
                  }
                  return false;
               }
            };
            handle.initCarInfo = function () {
                //获取两号标志
                $handleService.getTwoNumFlag();
                //监听座位数 联动乘客座位险份数
                $rootScope.$watch("carBeans.vehicle.seatCount", function (value) {
                   if(value==0){
                      $rootScope.baseBean.syRiskList[4].quantity=value;
                   }else{
                      $rootScope.baseBean.syRiskList[4].quantity = $rootScope.carBeans.vehicle.seatCount-1;
                   }

                });

               //带出业务员所在分公司车牌汉字
               //if ($rootScope.carBeans.LCN_NO && $rootScope.carBeans.LCN_NO.length == 0) {
               /*var starNum = $U.getTwoDeptID(); //取session中存储的业务员前两位代码
               $http.get('data/carnum-data.json').success(function (data) { //请求业务员位置编码与车牌汉字对应表达式
                  for (var x in data) {
                     if (starNum == x) {
                        if($rootScope.carBeans.vehicle.licenseNo === "") {
                           //$rootScope.carBeans.LCN_NO = data[x];
                        }
                        cacheDeptNamePre = data[x];//缓存下来机构名称前缀
                     }
                  }
               });*/
               // }
               // 石梦星 2017.03.15 添加
               /*减税、免税车，除了云南，北京，天津，上海、贵州、内蒙古、吉林、安徽、山东、宁波这些机构无需录入，
                *选项隐藏，广东机构，选项任何情况都是放开给业务员录入，但是不作为必录，
                *其他机构都是必录其他机构 纳税的不用展示，其他字段就展示*/
               //判断机构是否支持
               // Handle.taxReliefs($rootScope.baseBean.jqRiskList.vhlTax.taxRelifFlag);

               //初始化 我的报价过来没有 默认参数
               if ($U.isEmpty($rootScope.baseBean.syInsureStartTime)) {
                  $rootScope.baseBean.syInsureStartTime = new Date().addDay(1).format('yyyy-MM-dd 00:00');
                  $('input[name="syInsureStartTime"]').mobiscroll("setValue", $rootScope.baseBean.syInsureStartTime);//同步更新到日期控件
               }
               if ($U.isEmpty($rootScope.baseBean.jqInsureStartTime)) {
                  $rootScope.baseBean.jqInsureStartTime = new Date().addDay(1).format('yyyy-MM-dd 00:00');
                  $('input[name="jqInsureStartTime"]').mobiscroll("setValue", $rootScope.baseBean.jqInsureStartTime);//同步更新到日期控件
               }

               if($rootScope.switchBean.shortInsuranceSwitch) { //北京时处理短期交强险默认值
                  //短交强START
                  if ($U.isEmpty($rootScope.baseBean.jqInsureStartTimeShort)) {
                     $rootScope.baseBean.jqInsureStartTimeShort= new Date().addDay(1).format('yyyy-MM-dd 00:00');
                     $('input[name="jqInsureStartTimeShort"]').mobiscroll("setValue", $rootScope.baseBean.jqInsureStartTimeShort);//同步更新到日期控件
                  }

                  if ($U.isEmpty($rootScope.baseBean.jqInsureEndTimeShort)) {
                     $rootScope.baseBean.jqInsureEndTimeShort = new Date().addDay(6).format('yyyy-MM-dd 23:59');
                     $('input[name="jqInsureEndTimeShort"]').mobiscroll("setValue", $rootScope.baseBean.jqInsureEndTimeShort);//同步更新到日期控件
                  }
                  //短交强END

                  //短商业START
                  if ($U.isEmpty($rootScope.baseBean.syInsureStartTimeShort)) {
                     $rootScope.baseBean.syInsureStartTimeShort = new Date().addDay(1).format('yyyy-MM-dd 00:00');
                     $('input[name="syInsureStartTimeShort"]').mobiscroll("setValue", $rootScope.baseBean.syInsureStartTimeShort);//同步更新到日期控件
                  }

                  if ($U.isEmpty($rootScope.baseBean.syInsureEndTimeShort)) {
                     $rootScope.baseBean.syInsureEndTimeShort = new Date().addDay(6).format('yyyy-MM-dd 23:59');
                     $('input[name="syInsureEndTimeShort"]').mobiscroll("setValue", $rootScope.baseBean.syInsureEndTimeShort);//同步更新到日期控件
                  }
                  //短商业END

                  //监听短期交强险开关
                  $scope.$watch("baseBean.shortJQ", function (value) {
                     if (value) {
                        $rootScope.baseBean.jqInsureStartTimeShort = $rootScope.baseBean.jqInsureStartTimeShort.split(" ")[0] + " 00:00";
                        $rootScope.baseBean.jqInsureEndTimeShort = $rootScope.baseBean.jqInsureEndTimeShort.split(" ")[0] + " 23:59";
                     }
                  });
                  //监听短期商业险开关
                  $scope.$watch("baseBean.shortSY", function (value) {
                     if (value) {
                        $scope.baseBean.syInsureStartTimeShort = $scope.baseBean.syInsureStartTimeShort.split(" ")[0] + " 00:00";
                        $scope.baseBean.syInsureEndTimeShort = $scope.baseBean.syInsureEndTimeShort.split(" ")[0] + " 23:59";
                     }
                  });
               }

               //广东交管 品牌名未被覆盖自动车型查询
               if ($rootScope.carBeans.vehicle.gdQueryFlag == '1' && $rootScope.carBeans.vehicle.jgVehicleModel.model == $rootScope.carBeans.vehicle.brandName) {
                  $timeout(function () {
                     $scope.exchangeQuery(0);
                  });
               }
               //返回值为完税时不需要校验
               // if($rootScope.baseBean.jqRiskList.vhlTax.taxRelifFlag == '03'){
               //    $scope.isWanshuiCheck = false;
               // }  
            };


            //手动校验
            handle.validateEvent = function () {
               var vhls = $rootScope.carBeans.vehicle.frameNo;
               //判断查询条件 非空再调用接口
               if ($U.isEmpty(vhls) && !$rootScope.isNewCarFlag) {
                  $U.showToast('请输入车架号');
                  return false;
               }
               else {
                  //非两号时验证车架号
                  if(!/^[a-z0-9A-Z-_]+$/.test(vhls) && $scope.twoNumFlag && !$rootScope.isNewCarFlag) {
                     $U.showToast('车架号输入错误');
                     return;
                  }
                   var isReach;
                  if(!$rootScope.isNewCarFlag){
                      isReach = vhls.indexOf("I") + vhls.indexOf("O") + vhls.indexOf("Q");
                  }

                  if (isReach > -3 && !$rootScope.isNewCarFlag) { //车架号 不包含 I O Q
                     $U.showToast('您的车架号输入不正确');
                     return false;
                  }
                  else if ($U.isEmpty($rootScope.carBeans.vehicle.singeinDate)) {
                     $U.showToast('请选择初登日期');
                     return false;
                  }
               }
               return true;
            };
            handle.submitVali = function () {
               //车型选择校验
               if ($U.isEmpty($rootScope.baseBean.vhlData) || $U.isEmpty($rootScope.carBeans.vehicle.brandName) || $U.isEmpty($rootScope.carBeans.vehicle.modelCode)) { //如果车型代码为空 未选择车型
                  $U.showToast('请选择车型');
                  return;
               }
               //如果交强险和商业险都没有选择
               if ((!$rootScope.baseBean.jqOrigFlag || $rootScope.baseBean.jqOrigFlag == '0') && (!$rootScope.baseBean.syOrigFlag || $rootScope.baseBean.syOrigFlag == '0')) {
                  $U.showToast('请选择交强险保险起期或商业险保险起期其中一项');
                  return;
               }
               //车架号没有17位提示
               if (Number($rootScope.carBeans.vehicle.singeinDate.split('-')[0]) > 2005) {
                  if ($rootScope.carBeans.vehicle.frameNo.length != 17) {
                     $U.showToast('车架号输入位数错误');
                     return;
                  }
               }

               //非两号时验证车架号
               if(!/^[a-z0-9A-Z-_]+$/.test($rootScope.carBeans.vehicle.frameNo) && $scope.twoNumFlag && !$rootScope.isNewCarFlag) {
                  $U.showToast('车架号输入错误');
                  return;
               }

               //座位数不能是0  或 00
               if(($rootScope.carBeans.vehicle.seatCount=='0'||$rootScope.carBeans.vehicle.seatCount=='00') && $rootScope.carBeans.vehicle.licenseNo.slice(-1) !="挂" && $rootScope.carBeans.vehicle.brandName.indexOf("挂")==-1) {
                  $U.showToast('座位数输入错误');
                  return;
               }

               if($rootScope.carBeans.vehicle.power=='0'||$rootScope.carBeans.vehicle.power=='00'||$rootScope.carBeans.vehicle.power=='000'||$rootScope.carBeans.vehicle.power=='0.00'||$rootScope.carBeans.vehicle.power=='0000') {
                  $U.showToast('功率录入有误，不得超过四位小数');
                  return;
               }
               //座位数不能是0  或 00
               // if($rootScope.carBeans.ENTERPRISE_FLAG=='01') {
               //    if(carBeans.APP_STYLE=='')
               //    $U.showToast('功率输入错误');
               //    return;
               // }
               // if(!/^[a-z0-9A-Z_-]+$/.test($rootScope.carBeans.ENG_NO) && $scope.twoNumFlag) {
               //    $U.showToast('发动机输入错误');
               //    return;
               // }

               //-----------------START  天津车船税--------------//
               //天津选择了交强险必须配置车辆落户地址
               if($rootScope.switchBean.tianJinTax && $rootScope.baseBean.jqOrigFlag) {
                  $rootScope.baseBean.isPayTianjinTax = true;
                  if(!$rootScope.carBeans.vehicle.settleAddressCode) {
                     $U.showToast('请选择车辆落户地址');
                     $scope.gotoTianjinTax();
                     return;
                  }
               }
               // 天津车船税校验 石梦星 2017.03.21
               if ($rootScope.baseBean.jqOrigFlag && $rootScope.switchBean.tianJinTax && $rootScope.baseBean.isPayTianjinTax) {
                  if (!$rootScope.baseBean.jqRiskList.vhlTax.taxRelifFlag) {
                     $U.showToast('请选择减免税标志');
                     return;
                  }
                  if($rootScope.baseBean.jqRiskList.vhlTax.taxRelifFlag!='01'){
                     if ($rootScope.carBeans.vehicle.chgOwnerFlag == '1' && !$rootScope.carBeans.vehicle.chgOwnerDate) {
                        $U.showToast('请选择过户日期');
                        return;
                     }
                     if (!$rootScope.baseBean.jqRiskList.vhlTax.taxCompancyCode) {
                        $U.showToast('请选择开具税务机关');
                        return;
                     }
                     if (!$rootScope.carBeans.vehicle.settleAddressCode) {
                        $U.showToast('请选择车辆落户地址');
                        return;
                     }
                     if ($rootScope.carBeans.vehicle.settleAddressCode == '12000') {
                        if (!$rootScope.carBeans.vehicle.blockCode) {
                           $U.showToast('请选择街道乡镇');
                           return;
                        }
                     }
                     if (!$rootScope.baseBean.jqRiskList.vhlTax.taxStartDate) {
                        $U.showToast('请选择税款所属期');
                        return;
                     }
                     if (!$rootScope.baseBean.jqRiskList.vhlTax.billType) {
                        $U.showToast('请选择税票号类型');
                        return;
                     }
                     if (!$rootScope.baseBean.jqRiskList.vhlTax.billNo) {
                        $U.showToast('请填写税票号');
                        return;
                     }
                  }else{

                     if (!$rootScope.carBeans.vehicle.settleAddressCode) {
                        $U.showToast('请选择车辆落户地址');
                        return;
                     }
                     if ($rootScope.carBeans.vehicle.settleAddressCode == '12000') {
                        if (!$rootScope.carBeans.vehicle.blockCode) {
                           $U.showToast('请选择街道乡镇');
                           return;
                        }
                     }
                  }


                  //不是转籍车，不传转籍日期
                  if ($rootScope.carBeans.IS_TRANS_VHL != '1') {
                     $rootScope.carBeans.TRANS_DAY = '';
                  }
                  //车辆落户地址不是滨海新区
                  if ($rootScope.carBeans.VHL_ADDR != '12000') {
                     $rootScope.carBeans.STREET_CDE = '';
                  }
                  //把日期格式改成20170317 /g正则，替换所有
                  if ($rootScope.carBeans.TAX_START_DATE) {
                     var aDate = $rootScope.carBeans.TAX_START_DATE.replace(/\-/g, '');
                     $rootScope.carBeans.TAX_START_DATE = aDate.substring(0, 6);
                  }
               }
               //-----------------end  天津车船税--------------//
               //短期交强险
               // if(!$rootScope.verifyJqTime()){
               //    return;
               // };
               //短期商业险
               // if(!$rootScope.verifySyTime()){
               //    return;
               // };
               //当选择了验车情况，需要提示理由选择
               if ($rootScope.baseBean.syOrigFlag) {
                  if (($rootScope.carBeans.vehicle.carCheckStatus||'') == "") {
                     $U.showToast('请选择验车情况');
                     return;
                  }
                  else if (($rootScope.carBeans.vehicle.carCheckResult||'') == '' && $rootScope.carBeans.vehicle.carCheckStatus == '3') {
                     $U.showToast('请选择验车理由');
                     return;
                  } else if(($rootScope.carBeans.vehicle.carCheckReason||'') == '' && $rootScope.carBeans.vehicle.carCheckStatus == '2') {
                     $U.showToast('请选择免验车理由');
                     return;
                  }
               }

               //车辆来历凭证种类
               if($rootScope.switchBean.certificateTypeSwitch && $rootScope.carBeans.vehicle.licenseNo=='') {
                  if(($rootScope.carBeans.vehicle.certificateType||"") == "") {
                     $U.showToast('请选择车辆来历凭证种类');
                     return;
                  }
               }

               if($rootScope.switchBean.businessStyle&&($rootScope.carBeans.base.businessStyle||"") == "") {
                  $U.showToast('请选择业务等级');
                  return;
               }
               if($rootScope.switchBean.businessStyle&&($rootScope.carBeans.base.businessStyle||"") == "") {
                  $U.showToast('请选择业务分类');
                  return;
               }
               //Handle.creditBankFunc();
               return true;
            };
            handle.queryCalList= function (opts) {
               var options ={
                  frameNo: "", //车架号
                  engineNo:"",//发动机号
                  modelName: "",  //车型名称
                  registerDate: "",
                  modelCode: "",
                  licenseNo:"",
                  queryInd:"",
                  riskCode:"",
                  companyCode:"",
               };
                if ($location.search().SU_CODE && $location.search().SU_CODE == 'RENEWAL' && $rootScope.renewalMemory) {
                    options.modelCode = $rootScope.carBeans.vehicle.modelCode;//续保车需要加入车型码重新查询一遍
                }
               angular.extend(options,opts);
               //开始查询
               $handleService.http({
                  url: '/vehicleInfo/queryVehicleModel',
                  method: 'POST',
                  data: options,
                  success: function (data) {
                     if(data.resultCode=='0'){
                        if($scope.carSelectFlag == 1 && !$rootScope.isNewCarFlag){
                            $scope.carSelectFlag=2;  // 不是新车  才能够按车架号查询
                        }else{
                            $scope.carSelectFlag=1; // 新车只能按车型查询
                        }
                        var count = $U.isEmpty(data.result) ? 0 : data.result.length;
                        $handleService.logger('info', '车型查询返回数据成功，共 (' + count + ') 条');
                        if (!count) {
                           $U.showToast("没查到相应车型，请检查您输入的品牌型号或车架号是否正确");
                           return;
                        }
                        $scope.vm.isShowCarSel = true; //展示面板
                        $handleService.logger('object', {"resultList": data.result}, '车型查询数据处理--》');
                        $scope.vm.vhlList = data.result;
                        $handleService.showLoading('hide');
                     }else {
                        $U.showToast("报价车型查询失败");
                     }


                  },
                  error: function (ex) {
                     $handleService.logger('error', ex);
                     $U.showToast("车型查询出错，请稍后再试");
                  }
               });
            };
            handle.carInfoHandle= function (data, certificateType) {
               certificateType = certificateType || "1";
               switch(certificateType){
                  case '1':
                     //赋值-》车牌号
                     // $rootScope.carBeans.LCN_NO = data.vehicle_license_main_plate_num;
                     //赋值-》车架号
                     $rootScope.carBeans.vehicle.frameNo = data.vehicle_license_main_vin;
                     //赋值-》发动机号
                     $rootScope.carBeans.vehicle.engineNo = data.vehicle_license_main_engine_no;
                     //赋值-》品牌型号
                     $rootScope.carBeans.vehicle.brandName = data.vehicle_license_main_model;
                     //赋值-》发证日期
                     $rootScope.carBeans.vehicle.singeinDate = data.vehicle_license_main_register_date;
                     //赋值-》车主地址
                     // $rootScope.carBeans.owner.address = data.address;
                     break;
                  case '5': // 合格证
                     // 车辆型号
                     $rootScope.carBeans.vehicle.brandName = data.vehicle_certification_model_number;
                     // 车架号
                     $rootScope.carBeans.vehicle.frameNo = data.vehicle_certification_model_vin;
                     // 发动机号
                     $rootScope.carBeans.vehicle.engineNo = data.vehicle_certification_engine_number;
                     // 主动触发车辆查询
                     $scope.exchangeQuery(0);
                     break;
               };

            };
            // handle.taxReliefs=function (otherJgFlag1) {
            //
            //    if (otherJgFlag1 != '02') {
            //
            //       $scope.exemTaxFlag = true;
            //    }
            //    else {
            //
            //       $scope.exemTaxFlag = false;
            //
            //
            //    }
            //
            // };
            //当企业标志为“企业”时，投保人证件类型必须为“社会统一信用码”或“纳税人识别号”。否则禁止下一步，并提示错误信息“证件类型只能为社会统一信用码或纳税人识别号”。
            handle.checkAlyCT = function(){
               /*if(!$scope.isCertPersonal &&  $rootScope.carBeans.applicant.taxType=='02' && $rootScope.carBeans.applicant.isEnterprise == '1'){ //团体标志 &&  小规模纳税人标志  &&  企业标志为企业
                  if($rootScope.carBeans.applicant.identifyType != '13' && $rootScope.carBeans.APP_CERT_TYPE != '09'){
                     $U.showToast('投保人证件类型只能为社会统一信用码或纳税人识别号');
                     return false;
                  }
               }else if(!$scope.isCertPersonal &&  $rootScope.carBeans.applicant.taxType=='01'){//团体标志 &&  一般纳税人
                  if($rootScope.carBeans.applicant.identifyType != '13' && $rootScope.carBeans.applicant.identifyType != '09'){
                     $U.showToast('投保人证件类型只能为社会统一信用码或纳税人识别号');
                     return false;
                  }
               }*/
               return true;
            };

            handle.checkRate = function() {
                var vhead ;
               $rootScope.isNewCarFlag ? vhead = '' : vhead = $rootScope.carBeans.vehicle.frameNo.substr(0,1);
               var val = $rootScope.baseBean.syRiskList[14].rate;

               var rate = Number(val);
               if (window.isNaN(rate)) {
                  return;
               }

               //判断车架号 是国产还是进口
               if(vhead.toUpperCase() == "L" || vhead == ""){ //  vhead == "" 代表是新车
                  $rootScope.baseBean.syRiskList[5].valueType = '1'; //国产玻璃
                  if (rate < 100) {
                     $rootScope.baseBean.syRiskList[14].rate = "100";
                     return;
                  }
                  else if (rate > 300) {
                     $rootScope.baseBean.syRiskList[14].rate = "300";
                     return;
                  }
               }
               else {
                  $rootScope.baseBean.syRiskList[5].valueType = '2'; //进口玻璃
                  if (rate < 150) {
                     $rootScope.baseBean.syRiskList[14].rate = "150";
                     return;
                  }
                  else if (rate > 600) {
                     $rootScope.baseBean.syRiskList[14].rate = "600";
                     return;
                  }
               }
            };
            handle.imgChoose_Html5Plus = function (type) {//
               function showActionSheet() {
                  var actionbuttons = [{ title: "拍照" }, { title: "相册选取" }];
                  var actionstyle = { cancel: "取消", buttons: actionbuttons };
                  window.plus.nativeUI.actionSheet(actionstyle, function (e) {
                     if (e.index == 1) {
                        getImage_Html5Plus(imgFunc);
                     } else if (e.index == 2) {
                        galleryImg_Html5Plus(imgFunc);
                     }
                  });
               }
               function imgFunc(error, content) {
                  if (error == 1) {
                     $handleService.showAlert('提示', content || '拍照失败');
                  } else {
                        $rootScope.ocrImgUrl = content;
                        // todo  调用  OCR  伍念
                        $generalService.ocrImgUpload({
                           type: type, // 1.行驶证 2.身份证 3.驾驶证 4.银行卡 5.合格证
                           img: content,
                           success: function (data) {
                               $handleService.logger('info', data);
                               if (data.type != '未知类型') {
                                 Handle.carInfoHandle(data, type);
                               }
                               else {
                                   $U.showToast('请选择带有清晰的证件号码的照片');
                               }
                           }
                       });
                  }
               };
               showActionSheet();
            }
            return handle;
         })(Handle || {});

         $handleService.initFormApp();
         //初始化 车辆选择页面
         Handle.initCarInfo();
         //----------------------------------------end   公共方法----------------------------------------//

         //初登日期9个月内才算新车，才能新车免两号
         $rootScope.$watch("carBeans.vehicle.singeinDate", function(value){
            if(($rootScope.carBeans.vehicle.licenseNo == '' || $rootScope.carBeans.vehicle.licenseNo == '*-*') && $rootScope.switchBean.frameNoSwitch == '1'){
               var singeinDate = value;
               var nowTime = new Date();
               var nowDate = nowTime.getFullYear() + '-' + (nowTime.getMonth()+1) + '-' + nowTime.getDate();
               if(singeinDate && $U.daysBetween(nowDate, singeinDate) > 270){
                  $rootScope.isNewCarFlag = false;
                  $rootScope.carBeans.base.frmNoFlag = '';
                  $scope.canOmitTwoNumber = false;
               }else{
                  $scope.canOmitTwoNumber = true;
               }
            }
         });

         //监听
         //监听OCR 行驶证 图片选择
         $scope.$watch("ImgScope.ocrXszImg", function (file) {
            if(file){
               Upload.base64DataUrl(file).then(function (base64File) {
                  $rootScope.ocrImgUrl = base64File;
               });
               $generalService.ocrGetInfo({
                  cardType:"1",
                  file:file,
                  success: function (data) {
                     Handle.carInfoHandle(data);
                  }
               });
            }
         });
         $scope.$watch("ImgScope.ocrXszImg5", function (file) {
            if(file){
               Upload.base64DataUrl(file).then(function (base64File) {
                  $rootScope.ocrImgUrl = base64File;
               });
               $generalService.ocrGetInfo({
                  cardType:"5",
                  file:file,
                  success: function (data) {
                     Handle.carInfoHandle(data, '5');
                  }
               });
            }
         });
         $scope.ocrHandleQmybApp = function(type){
            Handle.imgChoose_Html5Plus(type);
         };
         //监听客车/ 货车, 控制核定载质量显示与否
         $scope.$watch("carBeans.vehicle.carKindCode", function (value) {
            if(value == '200'){ //货车
               $scope.truckFlag = true ; //货车
            }else if(value == '100'){
               $scope.truckFlag = false ;//客车
            }else{
               $rootScope.carBeans.vehicle.useNatureShow ='';
            }
         });
          $scope.$watch("carBeans.vehicle.carKindCodeShow", function (value) {
              if(value >20){ //
                  $scope.truckFlag = true ; //货车
                  $rootScope.carBeans.vehicle.carKindCode = '200';
              }else if(value < 20){
                  $scope.truckFlag = false ;//客车
                  $rootScope.carBeans.vehicle.carKindCode = '100';
              }
          });

         //监听
         //监听商业险选择变化
         $scope.$watch("baseBean.syOrigFlag", function (flag) {
            if(!flag){
               $rootScope.carBeans.vehicle.carChecker="";
               $rootScope.carBeans.vehicle.carCheckDesc="";
               $rootScope.carBeans.vehicle.carCheckReason="";
               $rootScope.carBeans.vehicle.carCheckResult="";
               $rootScope.carBeans.vehicle.carCheckStatus="";
            }
         });
         //纳税类型改变清空 相应的机关信息和凭证号信息要清空
         $scope.taxChange = function () {
            // if($rootScope.baseBean.jqRiskList.vhlTax.taxRelifFlag == '03'){
            //    $scope.isWanshuiCheck = true;
            // }//更改为完税时需要校验
            $rootScope.baseBean.jqRiskList.vhlTax.taxCompancyCode ="";
            $rootScope.baseBean.jqRiskList.vhlTax.taxCompancyName ="";
            $rootScope.baseBean.jqRiskList.vhlTax.paidFreeCertificate ="";

            $rootScope.baseBean.jqRiskList.vhlTax.deductionDueType = "";
            $rootScope.baseBean.jqRiskList.vhlTax.relifReason = "";
            $rootScope.baseBean.jqRiskList.vhlTax.freeRate = null;
            $rootScope.baseBean.jqRiskList.vhlTax.taxRelief = null;
            $scope.quaryTaxCode();
         };

         //网约车
         $scope.networkCarChange=function () {
            $rootScope.carBeans.vehicle.networkCar='0';
            $scope.networkCar=false;
         };

         //跳转天津车船税
         $rootScope.gotoTianjinTax = function () {
             $rootScope.renewalMemory = false;//下个页面返回此页不覆盖续保数据标志
            $location.path("tab/tianjinTax");
         };

         //品牌型号改变清空车型
         $scope.clearInputforCX = function () {
            var value=$rootScope.baseBean.vhlData.completeKerbMass;
            $rootScope.baseBean.vhlData = {};
            $rootScope.baseBean.vhlData.completeKerbMass=value;
         };
         $scope.clearVehicleData = function () {
            if($rootScope.switchBean.newTwoNoSwitch=='1'){// 开关打开
                $rootScope.isShowTwoNoQueryBtn = true;
            }
            var licenseNo = $rootScope.carBeans.vehicle.licenseNo;
            $rootScope.baseBean.vhlData = {};
            $rootScope.carBeans.vehicle =angular.copy(CarBeans.vehicle);
            $rootScope.carBeans.vehicle.licenseNo = licenseNo || "*-*";
            $rootScope.baseBean.is_twoNumber_success = false;
         };


         // 重新查询车辆信息 : 伍念
         var timer = null, iNow=1, dealOrder =0, dealed = false; //iNow: 查询次数  dealOrder: 查询结果的处理次数
         $scope.errDeal = function(){
            $handleService.showLoading('hide');
            $rootScope.loadingStr ='正在加载';
            dealed = true;
            $handleService.showConfirm({
                title: '',
                cssClass: 'countdown-confirm',
                template: '抱歉，未查询到车辆信息，请手动输入',
                buttons: [{
                    text: '确定',
                    type: 'button-cfirm-ok',
                    onTap: function (e) {
                        return true;
                    }
                    }],
                sure: function(){

                }
            });
        };
         $scope.queryCarinfoByTwoNo = function(){
            $handleService.showLoading('countdown');
            dealed = false;
            dealOrder = 0;  // 将结果处理次数重置为0
            iNow = 1;  // 第几次查询
            $rootScope.loadingCountDownStr = 8; // 倒计时
            $scope.queryPolicyInfoWithTwoNo();

            timer = setInterval(function(){
                if(dealed){// 若已成功取回数据 终止再次查询
                    clearInterval(timer);
                    return;
                }
                if($rootScope.loadingCountDownStr == 0 && dealOrder<4){  //8s时间到,仍为取回结果,当作异常处理
                    clearInterval(timer);
                    $scope.errDeal();
                    return;
                }
                $rootScope.$apply(function () {
                    console.log($rootScope.loadingCountDownStr);
                　　$rootScope.loadingCountDownStr = $rootScope.loadingCountDownStr-1;
                });
                if($rootScope.loadingCountDownStr%2!=1){// 每2s查询一次
                    iNow ++;
                    $scope.queryPolicyInfoWithTwoNo();
                };
            },1000);
         };
         $scope.queryPolicyInfoWithTwoNo = function(){
            $rootScope.loadingStr ='信息查询中...';
            $handleService.http({
               url: "/renewal/queryPolicyInfoWithTwoNo?flowId=" + $rootScope.flowId + "&licenseNo="+$rootScope.carBeans.vehicle.licenseNo+"&salesCode=" + $U.getSlsCode() +"&companyCode=" + $U.getDeptCode(),
               method: 'GET',
               hasShowLoadding: false,
               hasSowCountDown: false,
               success: function (data) {
                    dealOrder++;
                    if(dealed){
                        return;
                    }; // 如果已经有数据返回, 无需处理

                    if (data.resultCode == "0") {
                        dealed = true;
                        $handleService.showLoading('hide');
                        $rootScope.loadingStr ='正在加载';
                        $handleService.uMengListen("twoNumber");
                        /*广东交管避免覆盖 start*/
                        if ($rootScope.carBeans.vehicle.gdQueryFlag == '1') {
                            angular.extend(data.result.vehicle, $rootScope.carBeans.vehicle.jgVehicleModel||{})
                        }

                        /*广东交管避免覆盖 end*/
                        $rootScope.dataList=data.result;
                        if(data.dateSource=='1'){  //续保数据
                            $state.go('tab.licensePlate',{redirect: 'carinfo'});
                        }else { //两号数据 只有vehicle节点
                            $rootScope.isShowTwoNoQueryBtn = false;
                            angular.extend($rootScope.carBeans.vehicle, data.result.vehicle);
                            //wll
                            var vehicleTypeFlag = $rootScope.carBeans.vehicle.jqxClassId;
                            if(vehicleTypeFlag){
                                var carshow = $rootScope.BASE_BEAN.CLASSIDTOCARKINDSHOW[vehicleTypeFlag];
                                if($rootScope.BASE_BEAN.CLASSIDTOCARKINDSHOW[vehicleTypeFlag]>20){//货车
                                    $rootScope.carBeans.vehicle.carKindCode='200';
                                }else if($rootScope.BASE_BEAN.CLASSIDTOCARKINDSHOW[vehicleTypeFlag]<20){ //客车
                                    $rootScope.carBeans.vehicle.carKindCode='100';
                                    $rootScope.baseBean.syRiskList[11].checked=false;
                                }
                                $rootScope.carBeans.vehicle.carKindCodeShow =carshow;
                            }else{
                                $rootScope.carBeans.vehicle.carKindCode='';
                                $rootScope.carBeans.vehicle.carKindCodeShow='';
                            }

                            $U.showToast('请继续完善您的信息');
                            // 获取两号信息
                            $handleService.getTwoNumFlag();
                        }
                    }else{
                        if(dealOrder == 4){ // 最后一次请求到结果&&未对结果进行处理
                            $scope.errDeal();
                        }
                    }
               },
               error: function (ex) {
                  $handleService.showLoading('hide');
                  $handleService.logger('error', ex);
                  //加载框文案
                  $rootScope.loadingStr ='正在加载';
               }
            });
         };
          // 新车购置价为“0”或null，重新获取新车购置价
          $scope.queryNewCarPrice = function (){
              if($rootScope.carBeans.vehicle.purchasePrice !=null && $rootScope.carBeans.vehicle.purchasePrice !=0){
                  return false;
              }
              $handleService.http({
                  url: "/renewal/queryPolicyInfoWithTwoNo?flowId=" + $rootScope.flowId + "&licenseNo="+$rootScope.carBeans.vehicle.licenseNo+"&salesCode=" + $U.getSlsCode() +"&companyCode=" + $U.getDeptCode(),
                  method: 'GET',
                  hasShowLoadding: false,
                  hasSowCountDown: false,
                  success: function (data) {
                      if (data.resultCode == "0") {
                          var newCarPrice = data.result.policyInfos[0].vehicle.purchasePrice;
                          $rootScope.carBeans.vehicle.purchasePrice = newCarPrice;
                      }
                  },
                  error: function (ex) {
                      $handleService.showLoading('hide');
                      $handleService.logger('error', ex);
                      //加载框文案
                      $rootScope.loadingStr ='正在加载';
                  }
              });
          }
          $scope.queryNewCarPrice();

         //车架号修改完成之后重新初始化流程
         $scope.loseFocus = function () {
            $handleService.clearImageIdAndQuotationNo();
            // $handleService.initProcess();
            $scope.selectCarModel();
         };

         $scope.selectCarModel=function () {
            if($rootScope.carBeans.vehicle.engineNo){
               if($rootScope.switchBean.queryCarInsuranceSwitch){
                  $handleService.http({
                     url: "/quote/findCarModelNew",
                     data:{
                        licenseNo:$rootScope.carBeans.vehicle.licenseNo  || "*-*",//车牌，两号使用车牌查询
                        frameNo:$rootScope.carBeans.vehicle.frameNo,
                        engineNo:$rootScope.carBeans.vehicle.engineNo,
                        registerDate:$rootScope.carBeans.vehicle.singeinDate,
                        licenseTypeCode:$rootScope.scjg.licenseTypeCode,
                        companyCode:companyCode,
                        producutCode: "01"
                     },
                     method: 'POST',
                     success: function (data) {
                        if(data.resultCode=='0'){
                           if($scope.carSelectFlag == 1 && !$rootScope.isNewCarFlag){
                              $scope.carSelectFlag=2;  // 不是新车  才能够按车架号查询
                           }else{
                              $scope.carSelectFlag=1; // 新车只能按车型查询
                           }
                           var count = $U.isEmpty(data.result.carModelNewList) ? 0 : data.result.carModelNewList.length;
                           $handleService.logger('info', '车型查询返回数据成功，共 (' + count + ') 条');
                           if (!count) {
                              $U.showToast("没查到相应车型，请检查您输入的品牌型号或车架号是否正确");
                              return;
                           }
                           if(data.result.carModelNewList[0].motorDataSources=='1'){
                              $scope.findCarModelNew=true;
                           }else{
                              $scope.findCarModelNew=false;
                           }
                           $scope.vm.isShowCarSel = true; //展示面板
                           $handleService.logger('object', {"resultList": data.result.carModelNewList}, '车型查询数据处理--》');
                           $scope.vm.vhlList = data.result.carModelNewList;
                           $handleService.showLoading('hide');
                        }else {
                           $U.showToast("报价车型查询失败");
                        }
                     },
                     error: function (ex) {
                        $handleService.logger('error', ex);
                     }
                  });
               }else{
                  $scope.exchangeQuery(2)
               }
            }
         };
          

         //车型与车架号查询切换按钮
         $scope.exchangeQuery = function (type) {
            // Handle.validateEvent();
            if (!Handle.validateEvent()) {
               return;
            }
            if (type == 1) { // 按车型查
               if ($U.isEmpty($rootScope.carBeans.vehicle.brandName)) {
                  $U.showToast('请输入品牌型号');
                  return false;
               }
               Handle.queryCalList({
                  licenseNo:$rootScope.carBeans.vehicle.licenseNo  || "*-*",//车牌，两号使用车牌查询
                  modelName:$rootScope.carBeans.vehicle.brandName, //carBeans.vehicle.brandName
                  registerDate:$rootScope.carBeans.vehicle.singeinDate,
                  companyCode:companyCode
               });
            }
            else if (type == 2) {// 按车架号查
               Handle.queryCalList({
                  licenseNo:$rootScope.carBeans.vehicle.licenseNo  || "*-*",//车牌，两号使用车牌查询
                  frameNo:$rootScope.carBeans.vehicle.frameNo,
                  engineNo:$rootScope.carBeans.vehicle.engineNo,
                  registerDate:$rootScope.carBeans.vehicle.singeinDate,
                  companyCode:companyCode
               });
            }
            else {
               if ($U.isEmpty($rootScope.carBeans.vehicle.brandName)) {
                  $U.showToast('请输入品牌型号');
                  return false;
               }
               Handle.queryCalList({ // 默认
                  licenseNo:$rootScope.carBeans.vehicle.licenseNo  || "*-*",//车牌，两号使用车牌查询
                  modelName:$rootScope.carBeans.vehicle.brandName,
                  frameNo:$rootScope.carBeans.vehicle.frameNo,
                  engineNo:$rootScope.carBeans.vehicle.engineNo,
                  registerDate:$rootScope.carBeans.vehicle.singeinDate,
                  companyCode:companyCode
               });
            }
         };

         //四川机构调用交管查询 智政
         if($rootScope.prePage &&$rootScope.prePage.name && $rootScope.prePage.name.indexOf('owinfo')!=-1&&$rootScope.switchBean.queryCarInsuranceSwitch){
            $scope.selectCarModel();
         }

         // $scope.toFix=function (val) {
         //    var value=String(val).split('.')[1];
         //    if(value&&value.length>3&&Number(val)){
         //       $rootScope.baseBean.vhlData.completeKerbMass=Number(val).toFixed(3);
         //    }
         //
         // };
         $scope.setContChange=function () {
            //江苏交管不清空
            $rootScope.carBeans.vehicle.gdQueryFlag!='1' && ($rootScope.carBeans.vehicle.vehicleCategory="");

            if(!($rootScope.carBeans.vehicle.gdQueryFlag=='1' && $rootScope.carBeans.vehicle.vehicleCategory)){
               $scope.defaultAssignment();
            }
         };

         //核定载质量改变  自动带出交管车辆类型、号牌种类、号牌颜色
         $scope.setTonCountChange=function () {
            if(!($rootScope.carBeans.vehicle.gdQueryFlag=='1' && $rootScope.carBeans.vehicle.vehicleCategory)){
               $scope.defaultAssignment();
            }
         };

         //车型选择事件
         $scope.checkCarModel = function (t, VHL) {

            $rootScope.carBeans.vehicle.jyVehicleModel=angular.copy(VHL);
             /*广东交管避免覆盖 start*/
             var jgVehicleTypeFlag = '';
             if ($rootScope.carBeans.vehicle.gdQueryFlag == '1') {
                 angular.extend(VHL, $rootScope.carBeans.vehicle.jgVehicleModel||{});
                 for(var key in $rootScope.BASE_BEAN.CLASSIDTOCARKINDSHOW){
                    if(VHL.carKindCodeShow == $rootScope.BASE_BEAN.CLASSIDTOCARKINDSHOW[key]){
                       jgVehicleTypeFlag = key;
                       break;
                    }
                 }
             }
            /*广东交管避免覆盖 end*/

            $scope.vehicleTypeFlag = jgVehicleTypeFlag || VHL.jqxClassId || VHL.syxClassId || '';


            // //回填品牌型号
            $rootScope.carBeans.vehicle.brandName = VHL.brandName;
            // //打印厂牌型号同品牌型号
            $rootScope.carBeans.vehicle.printBrandName = VHL.brandName;

            //回填纳税类型
            $rootScope.baseBean.jqRiskList.vhlTax.taxRelifFlag=VHL.taxRelifFlag;


            if($scope.findCarModelNew && VHL.motorDataSources!='1'){
               angular.forEach($rootScope.carBeans.vehicle, function(value, key) {
                  if(VHL.hasOwnProperty(key) && (VHL[key] || VHL[key]==0)) {
                     if(key != 'completeKerbMass' && key != 'licenseTypeCode' && key != 'frameNo' && key != 'engineNo' && key != 'singeinDate' && key != 'tonCount' && key != 'exhaustScale' && key != 'licenseNo' && key != 'seatCount'){
                        $rootScope.carBeans.vehicle[key] = VHL[key];
                     }
                  }
               });
            }else {
               angular.forEach($rootScope.carBeans.vehicle, function(value, key) {
                  if(VHL.hasOwnProperty(key) && (VHL[key] || VHL[key]==0)) {
                     $rootScope.carBeans.vehicle[key] = VHL[key];
                  }
               });

            }

            //新车购置价
            $rootScope.carBeans.vehicle.actualValue = VHL.purchasePrice;
            //整备质量
            $rootScope.baseBean.vhlData.completeKerbMass = Number($rootScope.carBeans.vehicle.completeKerbMass) || 0;

            //排量默认为0
            $rootScope.carBeans.vehicle.exhaustScale =$rootScope.carBeans.vehicle.exhaustScale || 0;

            //车型对象封装
            $rootScope.baseBean.vhlData = $rootScope.carBeans.vehicle;







            //北京上海回填信息车架号 和车主信息
            // VHL.frameNo && ($rootScope.carBeans.vehicle.frameNo = VHL.frameNo); //回填车架号
            // VHL.engineNo && ($rootScope.carBeans.vehicle.engineNo = VHL.engineNo); //发动机号
            // VHL.singeinDate && ($rootScope.carBeans.vehicle.singeinDate = VHL.singeinDate); //初登日期
            // VHL.APPLICANT_NAME && ($rootScope.carBeans.owner.name = VHL.carOwner); //车主姓名
            // VHL.licenseNo && ($rootScope.carBeans.vehicle.licenseNo = VHL.licenseNo); //车牌


            /*减税、免税车，除了云南，北京，天津，上海、贵州、内蒙古、吉林、安徽、山东、宁波这些机构无需录入，
             *选项隐藏，广东机构，选项任何情况都是放开给业务员录入，但是不作为必录，
             *其他机构都是必录其他机构 纳税的不用展示，其他字段就展示*/

            // Handle.taxReliefs(VHL.taxRelifFlag);
            $rootScope.baseBean.jqRiskList.vhlTax.fuelType = VHL.powerTypeCode;
            if(VHL.fuelFlag == "0"){
               //纳税
               $rootScope.baseBean.jqRiskList.vhlTax.taxRelifFlag="02";
            } else if(VHL.fuelFlag == "1" || VHL.fuelFlag == "3") {
               if(VHL.hfStartTime && VHL.hfEndTime && !Handle.Tools.isBeforeGuiDing(VHL.hfStartTime,VHL.hfEndTime,$rootScope.carBeans.vehicle.singeinDate)){
                  //纳税
                  $rootScope.baseBean.jqRiskList.vhlTax.taxRelifFlag="02";
               }else {
                  //免税
                  $rootScope.baseBean.jqRiskList.vhlTax.taxRelifFlag="05";
               }
            } else if(VHL.fuelFlag == "2" || VHL.fuelFlag == "4") {
               if(VHL.hfStartTime && VHL.hfEndTime && !Handle.Tools.isBeforeGuiDing(VHL.hfStartTime,VHL.hfEndTime,$rootScope.carBeans.vehicle.singeinDate)){
                  //纳税
                  $rootScope.baseBean.jqRiskList.vhlTax.taxRelifFlag="02";
               }else {
                  //减税
                  $rootScope.baseBean.jqRiskList.vhlTax.taxRelifFlag="04";
               }
            }
         };


         //交管车辆类型、号牌种类、号牌颜色字段前端默认赋值
         $scope.defaultAssignment = function () {
            if($rootScope.carBeans.vehicle.carKindCode=='100'){
               if($rootScope.carBeans.vehicle.seatCount <= 9){
                  $rootScope.carBeans.vehicle.licenseTypeCode = '02';
                  $rootScope.carBeans.vehicle.licenseColorCode = '01';
                  if($rootScope.carBeans.vehicle.exhaustScale <= 1){
                     if($rootScope.carBeans.vehicle.seatCount < 5){
                        $rootScope.carBeans.vehicle.vehicleCategory = 'K43';
                     }else{
                        $rootScope.carBeans.vehicle.vehicleCategory = 'K41';
                     }
                  }else{
                     if($rootScope.carBeans.vehicle.seatCount <= 5){
                        $rootScope.carBeans.vehicle.vehicleCategory = 'K33';
                     }else{
                        $rootScope.carBeans.vehicle.vehicleCategory = 'K31';
                     }
                  }
               }else if($rootScope.carBeans.vehicle.seatCount >= 10 && $rootScope.carBeans.vehicle.seatCount <= 19){
                  $rootScope.carBeans.vehicle.licenseTypeCode = '01';
                  $rootScope.carBeans.vehicle.licenseColorCode = '04';
                  $rootScope.carBeans.vehicle.vehicleCategory = 'K21';
               }else if($rootScope.carBeans.vehicle.seatCount >= 20){
                  $rootScope.carBeans.vehicle.licenseTypeCode = '01';
                  $rootScope.carBeans.vehicle.licenseColorCode = '04';
                  $rootScope.carBeans.vehicle.vehicleCategory = 'K11';
               }
            }else if($rootScope.carBeans.vehicle.carKindCode=='200'){
               if($rootScope.carBeans.vehicle.tonCount < 2000){
                  $rootScope.carBeans.vehicle.licenseTypeCode = '02';
                  $rootScope.carBeans.vehicle.licenseColorCode = '01';

                  if($rootScope.carBeans.vehicle.brandName.indexOf('半挂') != -1){
                     $rootScope.carBeans.vehicle.licenseTypeCode = '01';
                     $rootScope.carBeans.vehicle.licenseColorCode = '04';
                     $rootScope.carBeans.vehicle.vehicleCategory = 'B31';
                  }else if($rootScope.carBeans.vehicle.brandName.indexOf('全挂') != -1){
                     $rootScope.carBeans.vehicle.vehicleCategory = 'G31';
                  }else if($rootScope.carBeans.vehicle.brandName.indexOf('自卸') != -1){
                     $rootScope.carBeans.vehicle.vehicleCategory = 'H37';
                  }else if($rootScope.carBeans.vehicle.brandName.indexOf('厢式') != -1){
                     $rootScope.carBeans.vehicle.vehicleCategory = 'H32';
                  }else if($rootScope.carBeans.vehicle.brandName.indexOf('罐') != -1){
                     $rootScope.carBeans.vehicle.vehicleCategory = 'H34';
                  }else{
                     $rootScope.carBeans.vehicle.vehicleCategory = 'H31';
                  }
               }else if($rootScope.carBeans.vehicle.tonCount >= 2000 && $rootScope.carBeans.vehicle.tonCount < 10000){
                  $rootScope.carBeans.vehicle.licenseTypeCode = '01';
                  $rootScope.carBeans.vehicle.licenseColorCode = '04';

                  if($rootScope.carBeans.vehicle.brandName.indexOf('半挂') != -1){
                     $rootScope.carBeans.vehicle.vehicleCategory = 'B21';
                  }else if($rootScope.carBeans.vehicle.brandName.indexOf('全挂') != -1){
                     $rootScope.carBeans.vehicle.vehicleCategory = 'G21';
                  }else if($rootScope.carBeans.vehicle.brandName.indexOf('自卸') != -1){
                     $rootScope.carBeans.vehicle.vehicleCategory = 'H27';
                  }else if($rootScope.carBeans.vehicle.brandName.indexOf('厢式') != -1){
                     $rootScope.carBeans.vehicle.vehicleCategory = 'H22';
                  }else if($rootScope.carBeans.vehicle.brandName.indexOf('罐') != -1){
                     $rootScope.carBeans.vehicle.vehicleCategory = 'H24';
                  }else{
                     $rootScope.carBeans.vehicle.vehicleCategory = 'H21';
                  }
               }else if($rootScope.carBeans.vehicle.tonCount >= 10000){
                  $rootScope.carBeans.vehicle.licenseTypeCode = '01';
                  $rootScope.carBeans.vehicle.licenseColorCode = '04';

                  if($rootScope.carBeans.vehicle.brandName.indexOf('半挂') != -1){
                     $rootScope.carBeans.vehicle.vehicleCategory = 'B11';
                  }else if($rootScope.carBeans.vehicle.brandName.indexOf('全挂') != -1){
                     $rootScope.carBeans.vehicle.vehicleCategory = 'G11';
                  }else if($rootScope.carBeans.vehicle.brandName.indexOf('自卸') != -1){
                     $rootScope.carBeans.vehicle.vehicleCategory = 'H17';
                  }else if($rootScope.carBeans.vehicle.brandName.indexOf('厢式') != -1){
                     $rootScope.carBeans.vehicle.vehicleCategory = 'H12';
                  }else if($rootScope.carBeans.vehicle.brandName.indexOf('罐') != -1){
                     $rootScope.carBeans.vehicle.vehicleCategory = 'H14';
                  }else{
                     $rootScope.carBeans.vehicle.vehicleCategory = 'H11';
                  }
               }
            }
         };


         // 车型选择-确定按钮
         $scope.chooseCarModel = function () {
             $scope.baseBean.curbWeightVhl = Number($rootScope.carBeans.vehicle.completeKerbMass) ;
            
            if( $rootScope.BASE_BEAN.CLASSIDTOCARKINDSHOW[$scope.vehicleTypeFlag]){
               var carshow = $rootScope.BASE_BEAN.CLASSIDTOCARKINDSHOW[$scope.vehicleTypeFlag];
               if($rootScope.BASE_BEAN.CLASSIDTOCARKINDSHOW[$scope.vehicleTypeFlag]>20){//货车
                  $rootScope.carBeans.vehicle.carKindCode='200';
                   $scope.truckOption = true ; //货车
                   $scope.busOption = false;  // 客车
               }else if($rootScope.BASE_BEAN.CLASSIDTOCARKINDSHOW[$scope.vehicleTypeFlag]<20){ //客车
                  $rootScope.carBeans.vehicle.carKindCode='100';
                  $rootScope.baseBean.syRiskList[11].checked=false;
                   $scope.truckOption = false ;//货车
                   $scope.busOption = true;   // 客车
               }
               $rootScope.carBeans.vehicle.carKindCodeShow =carshow;
            }else{
               $rootScope.carBeans.vehicle.carKindCode='';
               $rootScope.carBeans.vehicle.carKindCodeShow= '';
                $scope.truckOption = true ;//货车可选项
                $scope.busOption = true;   // 客车可选项
            }
             if($rootScope.carBeans.base.busiAttrConfig.useNatures != '02' && $rootScope.carBeans.vehicle.carKindCode == '200'){
                 $rootScope.carBeans.vehicle.useNatureShow = '01';
             }else{
                 $rootScope.carBeans.vehicle.useNatureShow = '';
             }
            $rootScope.carBeans.vehicle.gdQueryFlag!='1' && ($rootScope.carBeans.vehicle.vehicleCategory ="");

            if(!($rootScope.carBeans.vehicle.gdQueryFlag=='1' && $rootScope.carBeans.vehicle.vehicleCategory)){
               $scope.defaultAssignment();
            }
            if($rootScope.carBeans.vehicle.jyVehicleModel && $rootScope.carBeans.vehicle.jyVehicleModel.carOwner && $rootScope.carBeans.vehicle.jyVehicleModel.carOwner != $rootScope.carBeans.owner.name){// 交管查询返回车主名和输入车主名不一致
               $handleService.showConfirm({
                  title: '温馨提示',
                  buttons:[{
                     text: '否',
                     type: 'button-cfirm-cancle',
                     onTap: function (e) {
                        return false;
                     }
                  }, {
                     text: '是',
                     type: 'button-cfirm-ok',
                     onTap: function (e) {
                        return true;
                     }
                  }],
                  cssClass: 'discount-confirm',
                  template: '你录入的车主名称与交管平台返回的车主名称不一致，请确认是否使用交管返回车主名称进行投保。\n交管返回车主名称：'+$rootScope.carBeans.vehicle.jyVehicleModel.carOwner,
                  sure: function(){
                     $rootScope.carBeans.owner.name = $rootScope.carBeans.vehicle.jyVehicleModel.carOwner;
                  }
               });

            }

            $timeout(function () {
               $scope.vm.isShowCarSel = false;
               $scope.quaryTaxCode();
            },350);


         };

         //座位数变化联动车辆类型变化
         $scope.$watch("carBeans.vehicle.seatCount", function(value){
            if(!value || $rootScope.carBeans.vehicle.carKindCode=='200'){
               return;
            }
            if($rootScope.carBeans.vehicle.seatCount<6){
               $rootScope.carBeans.vehicle.carKindCodeShow ='11';
            }else if($rootScope.carBeans.vehicle.seatCount>=6&&$rootScope.carBeans.vehicle.seatCount<10){
               $rootScope.carBeans.vehicle.carKindCodeShow ='12';
            }else if($rootScope.carBeans.vehicle.seatCount>=10&&$rootScope.carBeans.vehicle.seatCount<20){
               $rootScope.carBeans.vehicle.carKindCodeShow ='13';
            }else if($rootScope.carBeans.vehicle.seatCount>=20&&$rootScope.carBeans.vehicle.seatCount<36){
               $rootScope.carBeans.vehicle.carKindCodeShow ='14';
            }else if($rootScope.carBeans.vehicle.seatCount>=36){
               $rootScope.carBeans.vehicle.carKindCodeShow ='15';
            }
         })

         //核定载质量吨位数变化联动车辆类型变化
         $scope.$watch("carBeans.vehicle.tonCount", function(value){
            if(!value || $rootScope.carBeans.vehicle.carKindCode=='100'){
               return;
            }
            var toncount = value/1000;
            if($rootScope.carBeans.vehicle.licenseNo && $rootScope.carBeans.vehicle.licenseNo.indexOf('挂') !=-1){
               if(toncount<2){
                  $rootScope.carBeans.vehicle.carKindCodeShow ='25';
               }else if(toncount>=2&&toncount<5){
                  $rootScope.carBeans.vehicle.carKindCodeShow ='26';
               }else if(toncount>=5&&toncount<10){
                  $rootScope.carBeans.vehicle.carKindCodeShow ='27';
               }else if(toncount>=10){
                  $rootScope.carBeans.vehicle.carKindCodeShow ='28';
               }
            }else{
               if(toncount<2){
                  $rootScope.carBeans.vehicle.carKindCodeShow ='21';
               }else if(toncount>=2&&toncount<5){
                  $rootScope.carBeans.vehicle.carKindCodeShow ='22';
               }else if(toncount>=5&&toncount<10){
                  $rootScope.carBeans.vehicle.carKindCodeShow ='23';
               }else if(toncount>=10){
                  $rootScope.carBeans.vehicle.carKindCodeShow ='24';
               }
            }
             if($rootScope.carBeans.base.busiAttrConfig.useNatures != '02' && $rootScope.carBeans.vehicle.carKindCode == '200'){
                 $rootScope.carBeans.vehicle.useNatureShow = '01';
             }else{
                 $rootScope.carBeans.vehicle.useNatureShow = '';
             }

         });
         //OCR 调用相机方法
         $scope.ocrTackPhoto = function (certificateType) {
            /* 
             certificateType: ORC扫描的证件类型, 默认1.行驶证
            */
            certificateType = certificateType || '1';
            $handleService.appHandle.cameraHandle({
               success: function (img) {
                  $rootScope.ocrImgUrl = img;
                  $generalService.ocrImgUpload({
                     type: certificateType, // 1.行驶证 2.身份证 3.驾驶证 4.银行卡 5.合格证
                     img: img,
                     success: function (data) {
                        $handleService.logger('info', data);
                        if (data.type != '未知类型') {
                           Handle.carInfoHandle(data, certificateType);
                        }
                        else {
                           $U.showToast('请选择带有清晰的证件号码的照片');
                        }
                     }
                  });
               }
            });
         };

         //短期交强险起止期校验方法
         $rootScope.verifyJqTime = function () {
            //短期交强险
            if($rootScope.baseBean.shortJQ){
               var jqInsureStartTimeShort =$rootScope.baseBean.jqInsureStartTimeShort,
                   jqInsureEndTimeShort =$rootScope.baseBean.jqInsureEndTimeShort ;
                   jqInsureStartTimeShort = jqInsureStartTimeShort.replace(/-/g, "/");
                   jqInsureEndTimeShort = jqInsureEndTimeShort.replace(/-/g, "/");
               //短期交强险
               var ImmeJqDatebg = new Date(jqInsureStartTimeShort);
               var ImmeJqDateen = new Date(jqInsureEndTimeShort);
               ImmeJqDateen.setHours(ImmeJqDatebg.getHours());
               jqInsureStartTimeShort = ImmeJqDatebg.format('yyyy-MM-dd hh:mm:ss');
               jqInsureEndTimeShort = ImmeJqDateen.format('yyyy-MM-dd hh:mm:ss');
               if($U.daysBetween(jqInsureEndTimeShort.substr(0, 10), jqInsureStartTimeShort.substr(0, 10)) > 14){
                  $U.showToast('短期交强险起止期间隔应小于15天');
                  return false;
               }

            }
            return true;
         };

         //短期商业险起止期校验方法
         $rootScope.verifySyTime = function () {
            //短期交强险
            if($rootScope.baseBean.shortSY){
               var syInsureStartTimeShort =$rootScope.baseBean.syInsureStartTimeShort,
                   syInsureEndTimeShort =$rootScope.baseBean.syInsureEndTimeShort ;
               syInsureStartTimeShort = syInsureStartTimeShort.replace(/-/g, "/");
               syInsureEndTimeShort = syInsureEndTimeShort.replace(/-/g, "/");
               //短期交强险
               var ImmeSyDatebg = new Date(syInsureStartTimeShort);
               var ImmeSyDateen = new Date(syInsureEndTimeShort);
               ImmeSyDateen.setHours(ImmeSyDatebg.getHours());
               syInsureStartTimeShort = ImmeSyDatebg.format('yyyy-MM-dd hh:mm:ss');
               syInsureEndTimeShort = ImmeSyDateen.format('yyyy-MM-dd hh:mm:ss');
               if($U.daysBetween(syInsureEndTimeShort.substr(0, 10), syInsureStartTimeShort.substr(0, 10)) > 14){
                  $U.showToast('短期商业险起止期间隔应小于15天');
                  return false;
               }

            }
            return true;
         };

         $scope.changeVehicleType = function() {
            var value = $rootScope.carBeans.vehicle.carKindCodeShow;
             var toncount = $rootScope.carBeans.vehicle.tonCount/1000;
             var clearSeatCountFlag = false;
             var clearToncountFlag = false;
            if(value < 20) { //客车
               $rootScope.carBeans.vehicle.carKindCode = "100";
            }else{
               $rootScope.carBeans.vehicle.carKindCode = "200";
            }
            $rootScope.carBeans.vehicle.gdQueryFlag!='1' && ($rootScope.carBeans.vehicle.vehicleCategory ="");
            /*监控用户选择的车辆类型,  如果与用户输入的座位数不一致, 就要清空之前的值*/
            switch (value){
               /*座位数*/
               case '11':
                  if($rootScope.carBeans.vehicle.seatCount>=6)clearSeatCountFlag = true;
                  break;
               case '12':
                  if($rootScope.carBeans.vehicle.seatCount<6||$rootScope.carBeans.vehicle.seatCount>=10)clearSeatCountFlag = true;
                  break;
               case '13':
                  if($rootScope.carBeans.vehicle.seatCount<10||$rootScope.carBeans.vehicle.seatCount>=20)clearSeatCountFlag = true;
                  break;
               case '14':
                  if($rootScope.carBeans.vehicle.seatCount<20||$rootScope.carBeans.vehicle.seatCount>=36)clearSeatCountFlag = true;
                  break;
               case '15':
                  if($rootScope.carBeans.vehicle.seatCount<36)clearSeatCountFlag = true;
                  break;
                /*核定载质量*/
               case '21':
                  if(toncount>=2)clearToncountFlag = true;
                 break;
               case '22':
                   if(toncount<2||toncount>=5)clearToncountFlag = true;
                 break;
               case '23':
                   if(toncount<5||toncount>=10)clearToncountFlag = true;
                 break;
               case '24':
                   if(toncount<10)clearToncountFlag = true;
                 break;
                 /*挂车核定载质量*/
               case '25':
                 if(toncount>=2)clearToncountFlag = true;
                 break;
               case '26':
                 if(toncount<2||toncount>=5)clearToncountFlag = true;
                 break;
               case '27':
                 if(toncount<5||toncount>=10)clearToncountFlag = true;
                 break;
               case '28':
                 if(toncount<10)clearToncountFlag = true;
                 break;
            }
             if($rootScope.carBeans.base.busiAttrConfig.useNatures != '02' && $rootScope.carBeans.vehicle.carKindCode == '200'){
                 $rootScope.carBeans.vehicle.useNatureShow = '01';
             }else{
                 $rootScope.carBeans.vehicle.useNatureShow = '';
             }
            if(clearSeatCountFlag)$rootScope.carBeans.vehicle.seatCount='';
            if(clearToncountFlag)$rootScope.carBeans.vehicle.tonCount='';
         };




         $scope.quaryTaxCode=function () {

            $handleService.http({
               url: "/premCalcTax/queryRevenueCode",
               method: 'POST',
               data: {
                  "companyCode":companyCode,
                  "fuelFlag":$rootScope.baseBean.jqRiskList.vhlTax.taxRelifFlag,
                  "seatCount":$rootScope.carBeans.vehicle.seatCount,
                  "brandName":$rootScope.carBeans.vehicle.brandName
               },
               success: function (data) {
                  $handleService.logger('object',data,'车船税信息带出');
                  if (data.resultCode == '0') {
                     $rootScope.baseBean.jqRiskList.vhlTax.taxCompancyName=data.taxCompancyName;
                     $rootScope.baseBean.jqRiskList.vhlTax.paidFreeCertificate=data.paidFreeCertificate;
                     $rootScope.baseBean.jqRiskList.vhlTax.taxCompancyCode=data.taxCompancyCode;
                  }
               },
               error: function (ex) {
                  $handleService.logger('error', ex);
               }
            });
         };
         //车辆信息提交方法
         $scope.carInfoSubmit = function (form) {
            if(!Handle.checkAlyCT()){
               return ;
            }
            if (!Handle.submitVali()) {
               return;
            }

            //检查费率是否在合理范围内
            Handle.checkRate();

            //校验表单
            $handleService.validateForm.call(this, form);
            if (form.$valid) {
               // console.log($rootScope.carBeans.vehicle.purchasePrice,'$rootScope.carBeans.vehicle.purchasePrice')
               //不支持营运客车
               // if($rootScope.carBeans.base.busiAttrConfig.useNatures =="01" && $rootScope.carBeans.vehicle.carKindCode == "100") {
               //    $U.showToast("暂时不支持营运客车的投保");
               //    return;
               // }

               //保险起止期 日期校验
               var jqBgtime = new Date($rootScope.baseBean.syInsureStartTime),
                   syBgtime = new Date($rootScope.baseBean.jqInsureStartTime),
                   nowTime = new Date();



               /*if (!$rootScope.baseBean.shortJQ && jqBgtime < nowTime ) {
                  $U.showToast('保险起期不可选择已过去的时间');
                  return;
               }
               if (!$rootScope.baseBean.shortSY && syBgtime < nowTime) {
                    $U.showToast('保险起期不可选择已过去的时间');
                    return;
                }*/
               if ($rootScope.carBeans.vehicle.chgOwnerFlag == '1' && $rootScope.carBeans.vehicle.chgOwnerDate < $rootScope.carBeans.vehicle.singeinDate) {
                  $U.showToast('过户日期不能早于车辆登记日期');
                  return;
               }


               //未勾选过户车，转移登记日期不可传，否则核心会显示转移登记日期 石梦星
               if ($rootScope.carBeans.vehicle.chgOwnerFlag == '0') {
                  $rootScope.carBeans.vehicle.chgOwnerDate = '';
               }

                // 未上牌 未上牌的车辆，初登日期只能为9个月以内, 所有机构都是270天
                var singeinDate = $rootScope.carBeans.vehicle.singeinDate;//初登日期syOrigFlag
                var nowDate = nowTime.getFullYear() + '-' + (nowTime.getMonth()+1) + '-' + nowTime.getDate();
                if (($rootScope.isNewCarFlag || ($rootScope.carBeans.vehicle.carCheckStatus == "2" && $rootScope.carBeans.vehicle.carCheckReason == "3")) && $U.daysBetween(nowDate, singeinDate) > 270) {
                    $U.showToast('未上牌车辆的初登日期到投保日期的时间不得超过9个月，请修改初登日期');
                    return false;
                }

               /* //新车未上牌270天的管控，北京，上海是7天

               var startDateJQ = $rootScope.baseBean.jqInsureStartTime,//交强险起期
                   startDateSY = $rootScope.baseBean.syInsureStartTime,//商业险起期
                   jqOrigFlag = startDateJQ && $rootScope.baseBean.jqOrigFlag && $rootScope.baseBean.jqOrigFlag != '0',//投保交强险flag
                   syOrigFlag = startDateSY && $rootScope.baseBean.syOrigFlag && $rootScope.baseBean.syOrigFlag != '0',//投保商业险flag
                   maxDay = cacheDeptNamePre == '京' || cacheDeptNamePre == '沪' ? 7 : 270,//不同机构新车规则不一样
                   valiFlag = true;//校验标识
               //交强险是否符合规则
               if (jqOrigFlag && $U.daysBetween(startDateJQ.substr(0, 10), singeinDate) > maxDay) {
                  valiFlag = false;
               }
               //商业险是否符合规则
               if (syOrigFlag && $U.daysBetween(startDateSY.substr(0, 10), singeinDate) > maxDay) {
                  valiFlag = false;
               }
               //不符合新车规则  免验车-新车
               if (!valiFlag  && $rootScope.carBeans.vehicle.carCheckStatus == "2" && $rootScope.carBeans.vehicle.carCheckReason == "3") {
                  $U.showToast('您选择的初登日期和起期不符合新车未上牌条件，请重新选择');
                  return false;
               }*/



                if ($rootScope.baseBean.vhlData.completeKerbMass > 1000000 || $rootScope.baseBean.vhlData.completeKerbMass < 0) {
                    $rootScope.baseBean.vhlData.completeKerbMass = "";
                    $U.showToast('您填写的整备质量不符合要求，请重新填写');
                    return false;
                }

                var completeKerbMassReg = /^[0-9]+(\.[0-9]{1,3})?$/;
                if (!completeKerbMassReg.test(String($rootScope.baseBean.vhlData.completeKerbMass)) || /^[0]{2,}/.test(String($rootScope.baseBean.vhlData.completeKerbMass))) {
                    $rootScope.baseBean.vhlData.completeKerbMass = "";
                    $U.showToast('您填写的整备质量不符合要求，请重新填写');
                    return false;
                }

                if (Number($rootScope.carBeans.vehicle.exhaustScale) > 30 || Number($rootScope.carBeans.vehicle.exhaustScale) < 0) {
                    $rootScope.carBeans.vehicle.exhaustScale = "";
                    $U.showToast('您填写的排量不符合要求，请重新填写');
                    return false;
                }

                var exhaustScaleReg = /^[1-9]?[0-9](\.[0-9]{1,3})?$/;
                if (!exhaustScaleReg.test($rootScope.carBeans.vehicle.exhaustScale)) {
                    $rootScope.carBeans.vehicle.exhaustScale = "";
                    $U.showToast('您填写的排量不符合要求，请重新填写');
                    return false;
                }

                if ($scope.truckFlag) {
                    if (Number($rootScope.carBeans.vehicle.tonCount) > 99999.999 || Number($rootScope.carBeans.vehicle.tonCount) < 0) {
                        $rootScope.carBeans.vehicle.tonCount = "";
                        $U.showToast('您填写的核定载质量不符合要求，请重新填写');
                        return false;
                    }

                    var tonCountReg = /^[0-9]+(\.[0-9]{1,3})?$/;
                    if (!tonCountReg.test($rootScope.carBeans.vehicle.tonCount) || /^[0]{2,}/.test($rootScope.carBeans.vehicle.tonCount)) {
                        $rootScope.carBeans.vehicle.tonCount = "";
                        $U.showToast('您填写的核定载质量不符合要求，请重新填写');
                        return false;
                    }
                }

                var purchasePriceReg = /^[0-9.]+$/;
                if (!purchasePriceReg.test(String($rootScope.carBeans.vehicle.purchasePrice))) {
                    $rootScope.carBeans.vehicle.purchasePrice = "";
                    $U.showToast('您填写的新车购置价不符合要求，请重新填写');
                    return false;
                }
                //新车购置价不能为0
                if ($rootScope.carBeans.vehicle.purchasePrice <=0) {
                    $rootScope.carBeans.vehicle.purchasePrice = "";
                    $U.showToast('您填写的新车购置价，小于或等于0，请重新填写');
                    return false;
                }

               $handleService.logger('object', $rootScope.carBeans, '车辆信息页面数据');
               //跳转下一页
              // $rootScope.carBeans.is_reload =false;
               $rootScope.carBeans.vehicle.licenseNo = $rootScope.carBeans.vehicle.licenseNo||"*-*";
               $handleService.saveTmp(function() {
                   $rootScope.renewalMemory = false;//下个页面返回此页不覆盖续保数据标志
                  $location.path("tab/insuranceSelect");
               });
            }
         };

         $scope.newCarFlagChange = function(){
            $rootScope.isNewCarFlag = this.isNewCarFlag_temp;
         };

          if($rootScope.carBeans.base.busiAttrConfig.useNatures != '02' && $rootScope.carBeans.vehicle.carKindCode == '200'){
              $rootScope.carBeans.vehicle.useNatureShow = '01';
          }else{
              $rootScope.carBeans.vehicle.useNatureShow = '';
          }
          //虚报数据查询车架号 精友数据覆盖带出数据 避免车船税报价为0
          if ($location.search().SU_CODE && $location.search().SU_CODE == 'RENEWAL' && $rootScope.renewalMemory) {
              $scope.loseFocus();
          }
         //----------------------------------------end   车辆信息页面----------------------------------------//

      });
      return app;
   });
