define([
   'services/app.service',
   'services/app.store',
   'services/app.general.service',
   'services/app.sqlLite.service',
   'services/app.car.beans',
   'directives/app.directives',
   'services/app.jpush.service'
], function () {
   'use strict';
   var app = angular.module('app.compController', ['ionic', 'app.handle.service', 'app.general.service', 'app.sqlLite.service', 'app.directives', 'app.store', 'app.car.beans', 'app.jpush.service']);
   app.controller('compController', function ($ionicPopup, $scope, $rootScope, $stateParams, $handleService, $generalService, $sqlSQLiteService, $templateCache, $location, $state, $http, $compile, $interFace, $carBeansService, $ionicHistory,$window, $jpushService, $timeout, store, $message, $ionicNavBarDelegate,$cordovaDevice) {
      //--------------------------------------------------  beigin 变量  --------------------------------------------------//
      var now = new Date().format('yyyy-MM-dd');

       //人人团一键续保   处理登录该处理的问题
       //1.机构业务员信息存储
       if(window.requestParam && window.requestParam.webSources == "QMYX"){
           $handleService.sessionHandle.saveSession("SLS_INFO", {
               employCode: window.requestParam.employCode,  // 业务员编码
               deptCode: window.requestParam.deptCode,  //机构编码
               isNewCoreFlag: "1",
               newCoreDeptNo: window.requestParam.deptCode
           });
           $U.sessionHandle.saveSession("SLS_CDE",window.requestParam.employCode);
          /*
           //2.报价传 行驶城市
           $rootScope.CAR_BEANS.COUNTY_CODE = window.requestParam.countyCode;
           //3.提核传 推荐人ID
           $rootScope.SUB_CH_DATA.REFEREE_ID = window.requestParam.refereeId;
           //4.报价  城市名称
           $rootScope.CAR_BEANS.COUNTY_NAME = window.requestParam.countyName;*/
       }

      //定义对象
      //本地草稿箱对象
      $scope.locVm = {};
      //网络数据对象
      $scope.netVm = {};

      $scope.draftsType = $stateParams.type;
       $scope.isShowCar1 = false;
      //删除数据对象
      $scope.deleteArr={
         data:[]
      };

      //编辑flag
      $scope.editCheck=false;

      //判断在网络还是本地flag  false 网络  true  本地
      $scope.netOrLoc=false;

      //续保选框
      $scope.RW_LSP_SELECT = false;
      $scope.salesmanCode = $handleService.sessionHandle.getSession("SLS_INFO").salesmanCode;
      $scope.renewalData = $handleService.sessionHandle.getLocalSession("RW_LSP_NUM" + $scope.salesmanCode);

      $scope.revSwitch = $rootScope.switchBean.revSwitch == "1";


      $scope.ODR_TYPE = {'N': '新保/转保', 'R': '续保', 'B': '退回修改'}
      //  $scope.LOC_DRAFTS_LIST = {}; //本地草稿箱
      //  $scope.NET_DRAFTS_LIST = {}; //网络草稿箱

      $scope.orderVm = {
         JQ_PLY_APP_NO: '',
         SY_PLY_APP_NO: ''
      };

      $scope.queryVm = {
         IS_SELBY_DATE: true
      };

      $scope.queryVm.CAR_ODER_SEL = { //保单状态查询
         SLS_CDE: $U.getSession('SLS_CDE'),
         DRV_OWNER: '',
         PLY_APP_NO: '',
         APP_BGN_TM: now,
         APP_END_TM: now,
         coreflag:  "1" //"0"是老核心地区 "1"是新核心地区
      };
      $scope.CAR_ODER_DETAILS = [] || $rootScope.CAR_ODER_DETAILS; //保单结果

      $rootScope.CAR_ODER_PAYS = {}; //支付选中对象

      $scope.NO_CAR_ODER = { //非车投保单查询对象
         policyNo: '', //保单号
         appName: '', //投保人
         insrntName: '', //被保人
         beginDate: now, //开始时间
         endDate: now //结束时间
      };

      $scope.REN = {
         RENEWAL_TEXT: '' //一健续保 查询文本
      };
      //--------------------------------------------------  end   变量  --------------------------------------------------//

      //--------------------------------------------------  begin 公共方法 --------------------------------------------------//
      var Handle = (function (handle) {

         handle.draftsDataHandle = function (params) {
            var _resultArray = [];
            angular.forEach(params, function (item, index, array) {
               if(item.drafts_text) {
                  item.drafts_text = JSON.parse(item.drafts_text);
                  _resultArray.push(item);
               }
            });
            return _resultArray;
         };
         handle.draftsDataMidle = function (bean) {  //赋值草稿箱数据 给 前端
            $handleService.logger("object", bean, "点击草稿箱封装前数据---》");
            if ($U.isNotEmpty(bean) && $U.isNotEmpty(bean.CVRG_LIST)) {
               angular.forEach(bean.CVRG_LIST, function (item) {
                  angular.forEach($rootScope.CAR_BEANS.CVRG_LIST, function (ltem, ldex) {
                     if (item.INSRNC_CDE == ltem.INSRNC_CDE) {
                        $rootScope.CAR_BEANS.CVRG_LIST[ldex] = item;
                        //勾选不计免赔
                        $rootScope.NO_DED["FRANCHISE_FLAG_" + ldex + "T"] = item.FRANCHISE_FLAG == "1" ? true : false;
                     }
                  });
               });
            }
            //保存 险种列表
            var cvrList = $rootScope.CAR_BEANS.CVRG_LIST;
            $rootScope.CAR_BEANS = bean;
            $rootScope.CAR_BEANS.CVRG_LIST = cvrList;
            //特殊数据处理  保险起期  去掉最后 00
            var insBgnTm = $rootScope.CAR_BEANS.INSRNC_BGN_TM;
            var insBgnTmJQ = $rootScope.CAR_BEANS.INSRNC_BGN_TM_JQ;
            if (insBgnTm && insBgnTm.length == 19) {
               $rootScope.CAR_BEANS.INSRNC_BGN_TM = insBgnTm.substr(0, 16);
            }
            if (insBgnTmJQ && insBgnTmJQ.length == 19) {
               $rootScope.CAR_BEANS.INSRNC_BGN_TM_JQ = insBgnTmJQ.substr(0, 16);
            }
            //折扣系数全部清空
            $rootScope.CAR_BEANS.ADVICE_TOTAL_ADJUST = "";
            $rootScope.CAR_BEANS.APPLY_TOTAL_ADJUST ="";
            $handleService.logger("object", $rootScope.CAR_BEANS, "点击草稿箱封装后数据---》");
         };
         //保存 车架号
         handle.lpnSession = {
            save: function (text) {
               var arr = [];
               var str_arr = $handleService.sessionHandle.getLocalSession("RW_LSP_NUM" + $scope.salesmanCode);
               if (str_arr) {

                  arr = str_arr.push(text);
                  arr = $U.duplicateRemoval(str_arr);
                  if (arr.length > 5) {
                     arr.shift();
                  }
                  $handleService.sessionHandle.saveLocalSession("RW_LSP_NUM" + $scope.salesmanCode, arr);
               }
               else {
                  arr.push(text);
                  $handleService.sessionHandle.saveLocalSession("RW_LSP_NUM" + $scope.salesmanCode, arr);
               }
            }
         };

         //车险、摩托车险投保流程中进入草稿箱控制
         handle.showDraftsType = function() {
            if($scope.draftsType == "car") { //车险进入时
               $("#tab_internet_data").show();
               $("#tab_location_data").hide();
            } else if($scope.draftsType == "moto") { //摩托车险进入时 只显示摩托车
               $("#tab_internet_data").hide();
               $("#tab_location_data").show();
            }
         };
          //检查 是否绑定了手机号
         handle.getUInfo = function () {
              return $U.sessionHandle.getSession("SLS_INFO");
          };
          //index控制器和component控制器各自都有注册手机号的跳转路径
         handle.checkBPhoneComp = function (opts) {
              var _self = this;
              var options = {
                  message: "您未绑定手机号",
                  success: function () {},
                  fail: function () {}
              };
              angular.extend(options,opts);
              //如果未绑定手机号 跳转到绑定页面
              if ($U.isEmpty(_self.getUInfo().phone)) {
                  $U.showToast(options.message);
                  $state.go('tab.bindPhone');
                  options.fail();
              }
              else{
                  options.success();
              }
          };


         return handle;
      })(Handle || {});
      //--------------------------------------------------  end   公共方法 --------------------------------------------------//

      //获取是否展示完成信息活动开关
      $handleService.checkIfNeedShowCompleteInfomationActivity(function(needShowCompleteInfomationActivity){
         $scope.needShowCompleteInfomationActivity = needShowCompleteInfomationActivity;
      });
      //全局获取绑定资格证
      $handleService.getBindSaleCodeFun();

      /////////////////////////////////////////////*/
      var ImgHandle = (function (handle) {
         handle.imgChooseHandle = function (imgs) {
            // alert(JSON.stringify(imgs));// 测试获取入参信息
            if (typeof imgs === "object" && $U.isNotEmpty(imgs)) { //相册选取
               $scope.imgList = imgs;
               $scope.selectedFile = true;
            } else if (typeof imgs === "string" && imgs) { //拍照选取
               $scope.imgList[0]=imgs;
               $scope.selectedFile = true;
            }
         };
         return handle;
      })(ImgHandle || {});
      ///////  End of Section comment block  ////////

      //------------------------------------------------- being 菜单功能区 --------------------------------------------------//

      //获取用户信息 供展示绑定状态
      $scope.getSlsInfo = function(){
         return $U.sessionHandle.getSession("SLS_INFO");
      }
      //检查更新功能
      $scope.checkUpdate = function () {
         //检查更新
         $handleService.checkUpdate({
            autoCheck: false
         });
      };
      //退出功能
      $scope.showConfirm = function () {
         var confirmPopup = $ionicPopup.confirm({
            title: '确认框',
            template: '确认退出吗?',
            cancelText: '取消',
            okText: '确定',
            okType: 'button-assertive',
            cancelType: 'button-cfirm-cancle'
         });
         confirmPopup.then(function (res) {
            if (res) {
	      //退出时清空数据，解决机构切换带来的数据影响
               $rootScope.CAR_BEANS = angular.copy(CarBeans);
                window.sessionStorage.removeItem('SLS_INFO');
               // ionic.Platform.exitApp();
               $state.go("login");
            }
         });
      };
      $scope.gotoTheIndex = function() {
         $ionicHistory.clearCache();
         if (!window.requestParam.webSources) {
             // //判断新首页可见性
             // if($rootScope.isNewHome){
             //     $state.go("tab.mitNewIndex");
             // }else{
             //     $state.go("tab.mitIndex");
             // }
            $state.go("tab.mitNewIndex");
         } else {
            $state.go('tab.owinfoweb');
         }
      }
      //常用联系人
      $scope.commonUerUrl = function(){
         Handle.checkBPhoneComp({
            message:"温馨提示：您还未绑定手机，请绑定手机号",
            success: function () {
                var url =  $interFace.commonUerUrl
                $handleService.openUrl(url, {
                    shareFlag: false
                });
            }
        });
      }
      //我的名片
      $scope.mycard = function () {
        /* var token = $U.getSession('TOKEN');
         var salesmanCname = $U.sessionHandle.getSession("SLS_INFO").salesmanCname;
         var salesmanCode = $U.sessionHandle.getSession("SLS_INFO").salesmanCode;*/
         $generalService.getAssistant({
            success: function (data) {
               if(data.resultCode == "0") {
                  $rootScope.salesAss = data.result;
                  /**  获取所属区域  */
                  $http.get('data/dept-data.json').success(function (deptdata) {
                     var _sls_info = JSON.parse($U.getSession('SLS_INFO'));
                     if (_sls_info) {
                        $rootScope.deptname = deptdata[$U.getTwoDeptID()];
                        //$rootScope.CAR_BEANS.SLS_CDE = $U.getSession('SLS_CDE');
                     }

                  });
                  $state.go("tab.salesComp", {pageSouces: "MY_CARD"});
               }
            }
         });
      };
       //移动打卡
       $scope.checkIn = function () {
           var slsInfo = $U.sessionHandle.getSession("SLS_INFO"),
               device = $U.sessionHandle.getSession("deviceId"),//+ '&deviceId=' + deviceId
               salesmanCname = encodeURIComponent(slsInfo.salesmanCname),
               salesmanCode = encodeURIComponent(slsInfo.salesmanCode);
           var deviceId;
           if(device == '' && device != null && device != undefined){
               device = device.split('');
               device.shift();
               device.pop();
               deviceId = device.join("")
           }
           var url = $interFace.checkInUrl + 'salesmanCname=' + salesmanCname + '&salesmanCode=' + salesmanCode + '&route=comp' + '&deviceId=' + deviceId;
           $jpushService.openUrl(url, {
               shareFlag: false,
               toolbar: {
                   height: 0,
                   color: '#e13c36'
               }
           });
       };
      //我的资料
      $scope.myInfo = function(){
         var url = $interFace.myInfoUrl+'?sign=' + Handle.getUInfo().sign;
         if($scope.needShowCompleteInfomationActivity){
            url = url + '&activity=1';
         }
         $jpushService.openUrl(url, {
             shareFlag: false,
             toolbar: {
                 height: 0,
                 color: '#e13c36'
             }
         });
      }
      //我的签到
      $scope.signIn=function () {
         var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
         var employCode = slsInfo.employCode;
         var phone = slsInfo.phone;
         var plat = slsInfo.plat;
         var salesmanCname = slsInfo.salesmanCname;
         var sign = slsInfo.sign;
         var url = $interFace.signInUrl + '&mobile=' + phone + '&nick=' + salesmanCname + '&plat=' + plat + '&plat_user_id=' + employCode + '&sign=' + sign;
         $handleService.openUrl(url, {
            shareFlag: false,
            otherOptions: {
            }
         });
      };
      //管理报表
      $scope.reportIn = function (){
         var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
         var employCode = slsInfo.employCode;
         var phone = slsInfo.phone;
         var plat = slsInfo.plat;
         var salesmanCname = slsInfo.salesmanCname;
         var sign = slsInfo.sign;
         var url = $interFace.reportUrl + '&mobile=' + phone + '&nick=' + salesmanCname + '&plat=' + plat + '&plat_user_id=' + employCode + '&sign=' + sign;
         $handleService.openUrl(url, {
            shareFlag: false,
            otherOptions: {
            }
         });
      }
      //影像上传
      $scope.goImgUpload = function() {

         $rootScope.modelcode = "S001_001";
         var callAppArr = [];
         var plyAppNo = "";
         if($rootScope.orderVm.jqPlyAppNo) {
            plyAppNo += $rootScope.orderVm.jqPlyAppNo + ",";
         }
         if($rootScope.orderVm.syPlyAppNo) {
            plyAppNo += $rootScope.orderVm.syPlyAppNo + ",";
         }
         plyAppNo = plyAppNo.replace(/[,]$/, '');
         if($U.isNotEmpty($rootScope.calPremiumResult.jqCalData||{}) && $rootScope.calPremiumResult.jqCalData.quotationNo) {
            callAppArr.push($rootScope.calPremiumResult.jqCalData.quotationNo);
         }
         if($U.isNotEmpty($rootScope.calPremiumResult.syCalData||{}) && $rootScope.calPremiumResult.syCalData.quotationNo) {
            callAppArr.push($rootScope.calPremiumResult.syCalData.quotationNo);
         }
         angular.forEach(callAppArr, function(item, index) {
            callAppArr[index] = item.replace(/(^Q)/, 'I');
         });
         callAppArr = callAppArr.reverse();
         var imageId = callAppArr.join(",");
         //报价单号传值
         //区分 人人团和 app
         if(window.requestParam.webSources){
            $state.go('tab.imgUpForWeb', {
               imageId: imageId,
               plyAppNo: plyAppNo,
               beforeSubmit:false
            });
         }
         else{
            $state.go('tab.imagesUpload', {imageId: imageId,plyAppNo: plyAppNo,beforeSubmit:false});
         }
      }

      //我的海报
      $scope.myPoster = function () {
         if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
            return;
         }
         var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
         if ($U.isEmpty(phone)) {
            $U.showToast('温馨提示：您还未绑定手机，请绑定手机号');
            $state.go('tab.bindPhone');
         }
         else {
            var url = $interFace.myPosterUrl+"?";
            var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
            var salesmanCname = $U.sessionHandle.getSession("SLS_INFO").salesmanCname;
            var employCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
            url = url + "userName=" + salesmanCname + "&userMobile=" + phone + "&salesCode=" + employCode;
            $handleService.openUrl(url, {
               shareFlag: false,
               otherOptions: {
               }
            });
         }
      };
       //跳转学习频道(展业软文)
       $scope.advertorial = function(){
          if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
             return;
          }
           Handle.checkBPhoneComp({
               message:"温馨提示：您还未绑定手机，请绑定手机号",
               success: function () {
                   var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                   var phone = slsInfo.phone;
                   var url =  $interFace.advertorialUrl
                       +
                       'salesCode=' + slsInfo.employCode  //工号
                       + "&sign=" + slsInfo.sign + "&token=" + slsInfo.token
                       +
                       '&phone=' + phone; //电话号码
                   $handleService.openUrl(url, {
                       shareFlag: false,
                       otherOptions: {
                       }
                   });

               }
           });
       };
       //跳转个人微店
       $scope.shop = function(){
          if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
             return;
          }
           var url =  $interFace.shopUrl + '?salesCode=' + $U.sessionHandle.getSession('SLS_INFO').employCode + '?salesmanCode=' + $U.sessionHandle.getSession('SLS_INFO').salesmanCode;  //工号;
           $handleService.openUrl(url, {
               shareFlag: false,
               otherOptions: {
               }
           });
       };
         //跳转关于掌上宝APP
         $scope.aboutApp = function () {
            $state.go("tab.aboutAppPage", {param: false});
         };
       // 续保代理设置
       // $scope.gotoConfigRenewal = function(){
       //   $state.go("tab.configRenewal", {back: 'comp', noComplete3: false});
       // }
      //
      $scope.checkInsuranceLicense = function(){
         var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
         var checkCertificateSwitch = $rootScope.switchBean.checkCertificateSwitch;
         var bindSalesCode = $handleService.getBindSalesCode();
         if(!slsInfo.license){
            if(checkCertificateSwitch=='1'){
               //开关打开
               if(bindSalesCode){
                  //绑定执业证书号
                  return true;
               }
               //未绑定执业证书号    弹原有框 且返回false
               var insuranceLicensePop = {
                  cssClass: "insurance-license-popup",
                  okText: "我知道了",
                  templateUrl: "templates/iv-pages/tools/need-insurance-license-popup.html",
                  okType: "button-hide",
                  scope: $scope
               };
               $scope.insuranceLicensePop = $handleService.showAlert("", "", null, insuranceLicensePop);
               $scope.goToBindInsuranceLicense = function(){
                  $scope.insuranceLicensePop.close();
                  var url = $interFace.bindInsuranceLicenseUrl +'?sign=' + Handle.getUInfo().sign;
                  $jpushService.openUrl(url, {
                     shareFlag: false,
                     toolbar: {
                        height: 0,
                        color: '#e13c36'
                     }
                  });
               }
               return false;
            }
            //开关关闭 弹提示框 且返回false
            $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-title">温馨提示</div>', "", null, {
               cssClass: "new-pop new-popup ele",
               okType: "hidden-box",
               templateUrl: "templates/common/need-insurance-license-popup.html",
               scope: $scope
            });
            $scope.closePup = function(){
               $handleService.closeModule($scope.alertPopup);
            }
            return false;
         }
         return true;
      }
       //清除缓存
      $scope.clearHistoryData = function () {
         $handleService.showLoading("show");
         $rootScope.baseBean = angular.copy(BaseBean);
         $rootScope.carBeans = angular.copy(CarBeans);
         //$rootScope.carBeans = angular.copy(riskObj);
         $rootScope.baseBean.syRiskList = angular.copy(SY_RISK);
         $rootScope.baseBean.jqRiskList = angular.copy(JQ_RISK);
         $ionicHistory.clearCache();
         window.setTimeout(function () {
            $U.showToast("缓存清除成功");
            $handleService.showLoading("hide");
         }, 1000);
      };
      $scope.needBindPhoneBefore = function(){
         $U.showToast('请先绑定手机号');
      }
      /*  ---  下载核保人值班表0827_start  ---  */
      $scope.selectedFile = $scope.selectedFile || false; // 确认上传按钮状态切换
      $scope.imgList = []; // 上传的图片列表,只有一个图片,重置图片
      $scope.imgUrl = $scope.imgUrl || '';// 缓存图片路径
      $scope.reUpload = $scope.reUpload || false; // 上传状态
      $scope.hasGetPic = $scope.hasGetPic || false; // 是否有请求记录
      
      //5.影像上传->图片选择
      $scope.imgChoose = function () {
         // $scope.imgList = []; // 上传的图片列表,只有一个图片,重置图片
         // 01.开始选择图片
         $handleService.appHandle.cameraHandle({
            quality: 100, //相片质量0-100
            targetWidth: 1460, //照片宽度
            targetHeight: 1460,
            destinationType: 1, //使用路径格式
            imagePicker: false,
            ionButtons: [{
               text: '拍摄照片'
            }, {
               text: '从相册选取'
            }],
            maximumImagesCount: 1,
            success: function (imgs) {
               // var imgs = '//stest.sinosafe.com.cn/iplatform/upload/cms/shop/201801/31162259ihgr.jpg'; // 测试用假数据
               //根据返回结果类型 来区分 是拍照 还是相册选取--》结果处理 oImg.src = img;
               //替换已上传图片时，将上传标志置空
               ImgHandle.imgChooseHandle(imgs);
            }
         });
      };
      //点击上传文件到服务器0827
      $scope.fileUpload = function () {
         //1.清空图片缓存
         $scope.fileList = [];
         $handleService.logger('info', '共上传[' + $scope.imgList.length + ']张图片');
         var imageArr = [];
         var imageIndex = 0;
         //3.获取图片缓存路径
         if ($scope.imgList.length > 0) {
            // var uploadDeferred = [];
            //$handleService.showLoading('show');
            //上传到缓存路径
            angular.forEach($scope.imgList, function (item, index) {
               window.resolveLocalFileSystemURL(item, function (fileEntry) {
                  fileEntry.file(function (file) {
                     //将图片base64编码
                     var reader = new FileReader();
                     reader.readAsArrayBuffer(file);
                     reader.onloadend = function (e) {
                        //base64图片放入数组
                        //去掉base64头
                        var formData = new FormData();
                        var the_file = new Blob([e.target.result], {
                           type: file.type
                        });
                        formData.append('deptCode', $U.getDeptCode());
                        formData.append('dutyImg', the_file, file.name);
                        $handleService.motoHttp({
                           // https://m.sinosafe.com.cn/eauto/zuul/eautomobile/feedback/save
                           url: $interFace.upLoadImg + '/upload/savePicture',
                           method: 'POST',
                           data: formData,
                           headers: {
                              'Content-Type': undefined
                           },

                           complete: function () {},
                           success: function (result) {
                              if (result.resultCode == "0") {
                                 $handleService.logger('info', '提交到savePicture接口,共[' + $scope.imgList.length + ']张图片');
                                 /*  ---  Subsection comment block  ---  */
                                 //关闭值班表选框
                                 $handleService.closeModule($scope.downloadAlert);
                                 $timeout(function () {
                                    $scope.selectedFile = false; //重置选择文件状态
                                    // $scope.imgList = []; //重置图片列表
                                    $scope.reUpload = true;//改为上传文件状态为真
                                    $U.showToast("已更新核保人员值班表");
                                 }, 300)
                                 /*  ---  Subsection comment block  ---  */
                              } else {
                                 $U.showToast(result.errorMsg || '提交失败');
                              }
                           },
                           error: function (ex) {
                              $handleService.logger('error', ex);
                           }
                        });
                     }
                  });
               });
            });
            //-------------------------------------------end   图片上传-------------------------------------------//
         }
      };
      //删除图片0827
      $scope.deleteImg = function (i) {
         if ($U.isNotEmpty($scope.imgList)) {
            $scope.imgList.splice(i, 1);
            $scope.selectedFile = false;
         }
      }
      //下载值班表图片文件0827
      $scope.downloadOpen = function () {
         if ($U.isNotEmpty($scope.imgList)) {
            $handleService.openUrl($scope.imgList[0], {
               shareFlag: false,
               type: "_system",
               otherOptions: {},
            });
         } else {
            $timeout(function () {
               $U.showToast('暂未查询到相关信息,请联系分公司电商部');
            }, 300)
         }
      }
      //关闭下载核保人员值班表弹框0827
      $scope.closePopup = function () {
         $handleService.closeModule($scope.downloadAlert);
         $scope.selectedFile = false; //重置选择文件状态
         $scope.imgList = []; //重置图片列表
         $rootScope.showSheet && $rootScope.showSheet();
         return;
      };
      //打开值班表弹框0827
      $scope.downloadDutyTable = function () {
         // 请求接口
         var opts = {
            url: "/upload/getPicture?deptCode=" + $U.getDeptCode(),
            method: 'GET',
            cache: ($scope.reUpload ? false: true),
            success: function (data) {
               var url = $interFace.mitMainFace+"/upload/getPicture?deptCode=" + $U.getDeptCode(); // 获取图片url
               if(data){
                  $scope.imgUrl = url || ''; // 请求成功把url保存起来
                  $scope.imgList[0] = url;
                  $scope.reUpload = false; //重置上传成功状态为false
               } else {
               }
            },
            error: function (ex) {
               $handleService.logger('error', ex);
            }
         };
         $handleService.http(opts);
         // $U.showToast('请耐心等待,功能尚未完善,持续开发中...');
         $scope.selectedFile = false; //重置为未选中文件状态
         ///////////////////////////////////////////////
         //           Section comment block           //
         /////////////////////////////////////////////*/
         $scope.downloadAlert = $handleService.showAlert('<div class="poput-download-staff-duty-table-title">下载核保人值班表</div>', "", null, {
            cssClass: "pay-across-popup poput-download-staff-duty-table",
            okType: "hidden-box",
            templateUrl: "templates/common/download-staff-duty-table.html",
            scope: $scope
         });
         ///////  End of Section comment block  ////////
      }
      /*  ---  下载核保人值班表0827_end  ---  */

      //------------------------------------------------- end   菜单功能区 --------------------------------------------------//

      //投保单显示
      if ($rootScope.orderVm && $rootScope.orderVm.jqPlyAppNo) {
         $scope.orderVm.jqPlyAppNo = $rootScope.orderVm.jqPlyAppNo;
      }
      if ($rootScope.orderVm && $rootScope.orderVm.syPlyAppNo) {
         $scope.orderVm.syPlyAppNo = $rootScope.orderVm.syPlyAppNo;
      }

      //投保进度查询 时间选择
      $scope.$watch("queryVm.IS_SELBY_DATE", function () {
         if (!$scope.queryVm.IS_SELBY_DATE) {
            delete $scope.queryVm.CAR_ODER_SEL.APP_BGN_TM;
            delete $scope.queryVm.CAR_ODER_SEL.APP_END_TM;
         }
         else {
            $scope.queryVm.CAR_ODER_SEL.APP_BGN_TM = now;
            $scope.queryVm.CAR_ODER_SEL.APP_END_TM = now;

         };
      });


      //-------------------------------------------------begin 草稿箱-------------------------------------------------//
      (function () {
         //本地草稿箱-》加载本地数据
         $scope.motoLoading = function () {
            $scope.deleteArr.data=[];
            $scope.netOrLoc=true;
            $scope.editCheck=false;
            $scope.locVm.isLoading = true;

           //获取摩托车草稿箱
            $handleService.http({
               url: $interFace.motoMainFace,
               method: 'POST',
               headers: {
                  method: 'queryDrafts'
               },
               data: {
                  emp_cde: $handleService.sessionHandle.getSession('SLS_CDE'),
                  refereeId:window.requestParam.refereeId
               },
               success: function (data) {
                  $handleService.logger("object", data, "摩托车草稿箱返回数据--》");
                  $scope.locVm.isLoading = false;
                  Handle.showDraftsType();
                  if ($U.isNotEmpty(data) && data.resultCode == "0") {
                     $scope.locVm.LOC_DRAFTS_LIST = Handle.draftsDataHandle(data.data);
                  } else {
                     $U.showToast(data.errorMsg||"未查询到数据");
                  }
               },
               error: function (ex) {
                  $handleService.logger('error', ex);
               }
            });
         };
         //网络数据点击->加载网络数据->获取网络草稿箱
         $scope.netLoading = function () {
            $scope.netOrLoc=false;
            $scope.editCheck=false;
            $scope.deleteArr.data=[];
            $scope.netVm.isLoading = true;
            $handleService.http({
               url: $interFace.mitMainFace,
               method: 'POST',
               headers: {
                  method: 'queryDrafts'
               },
               data: {
                  emp_cde: $handleService.sessionHandle.getSession('SLS_CDE'),
                  refereeId:window.requestParam.refereeId
               },
               success: function (data) {
                  $handleService.logger("object", data, "网络草稿箱返回数据--》");
                  $scope.netVm.isLoading = false;
                  Handle.showDraftsType();
                  if ($U.isNotEmpty(data) && data.success == "true") {

                     $scope.netVm.NET_DRAFTS_LIST = Handle.draftsDataHandle(data.data);
                  }
               },
               error: function (ex) {
                  $handleService.logger('error', ex);
               }
            });
         };
         //草稿箱点击事件->点击跳转到投保页面
         $scope.draftsEvent = function (bean,$event) {
            if($scope.editCheck==false){
               Handle.draftsDataMidle(bean.drafts_text);
               //判断 如果是全民营销 走 owinfoweb 否则 走 owinfo
               var _page = window.requestParam.webSources ? "tab.owinfoweb" :"tab.config";
               $state.go(_page, {SU_CODE: 'DRAFTS'});
            }else{
               var judge1=$($event.target).parents('.item-thumbnail-left').find('.hide').length;
               if(judge1==0){
                  $($event.target).parents('.item-thumbnail-left').css('background','#fff').find('.show').removeClass('show').addClass('hide');
                  angular.forEach($scope.deleteArr.data,function (data,index,arr) {
                     if(data.vhl_frm==bean.vhl_frm && data.lcn_no==bean.lcn_no){
                        $scope.deleteArr.data.splice(index,1);
                     }
                  })
               }else{
                  $($event.target).parents('.item-thumbnail-left').css('background','#d9d9d9').find('.hide').removeClass('hide').addClass('show');
                  $scope.deleteArr.data.push({lcn_no:bean.lcn_no,vhl_frm:bean.vhl_frm});
               }
            }
         };

         //草稿箱点击事件->点击跳转到摩托车投保页面
         $scope.draftsMotoEvent = function(bean,$event) {
            if($scope.editCheck==false){
               //判断 如果是全民营销 走 owinfoweb 否则 走 owinfo
               var _page = "tab.motoIndex";//window.requestParam.webSources ? "tab.motoIndex" :"tab.owinfo";
               //报价信息赋值
               $rootScope.MotoCAR = angular.copy(bean.drafts_text);
               //草稿箱进入时删除保单号，订单号，报价单号

               //清空订单号
               $rootScope.MotoCAR.orderNo = '';
               angular.forEach($rootScope.MotoCAR.riskList, function(item) {
                  item.proposalNo = "";
                  item.quotationNo = "";
               });

               $state.go(_page, {SU_CODE: 'DRAFTS'});
            }else{
               var judge1=$($event.target).parents('.item-thumbnail-left').find('.hide').length;
               if(judge1==0){
                  $($event.target).parents('.item-thumbnail-left').css('background','#fff').find('.show').removeClass('show').addClass('hide');
                  angular.forEach($scope.deleteArr.data,function (data,index,arr) {
                     //车牌和发动机号相同时
                     if(data.vhl_frm==bean.vehicle.frameNo && data.lcn_no==bean.vehicle.licenseNo){
                        $scope.deleteArr.data.splice(index,1);
                     }
                  })
               }else{
                  $($event.target).parents('.item-thumbnail-left').css('background','#d9d9d9').find('.hide').removeClass('hide').addClass('show');
                  $scope.deleteArr.data.push({lcn_no:bean.lcn_no,vhl_frm:bean.vhl_frm});
               }
            }
         }
      })();


      $scope.editChange=function () {
         $scope.editCheck=!$scope.editCheck;
         if($scope.editCheck==false){
            var arr=[];
            if($scope.netOrLoc==false){
               arr=angular.element('.net-drafts-box').find('.ion-checkmark-circled');
            }else{
               arr=angular.element('.loc-drafts-box').find('.ion-checkmark-circled');
            }

            angular.forEach(arr,function (data,index,arr) {
               $(data).removeClass('show').addClass('hide').parents('.item-thumbnail-left').css('background','#fff');
               $scope.deleteArr.data=[];
            })
         }

      };

      $scope.selectAll=function () {
         var arr=[];
         $scope.deleteArr.data=[];
         if($scope.netOrLoc==false){
            arr=angular.element('.net-drafts-box').find('.ion-checkmark-circled');
            angular.forEach($scope.netVm.NET_DRAFTS_LIST,function (data,index,arr) {
               $scope.deleteArr.data.push({lcn_no:data.lcn_no,vhl_frm:data.vhl_frm})
            });
         }else{
            arr=angular.element('.loc-drafts-box').find('.ion-checkmark-circled');
            angular.forEach($scope.locVm.LOC_DRAFTS_LIST,function (data,index,arr) {
               $scope.deleteArr.data.push({lcn_no:data.lcn_no,vhl_frm:data.vhl_frm})
            });
         }
         angular.forEach(arr,function (data,index,arr) {
            $(data).removeClass('hide').addClass('show').parents('.item-thumbnail-left').css('background','#d9d9d9');
         });

      };

      //删除
      $scope.deleteDate=function () {
         var delUrl = "";
         if($scope.deleteArr.data.length==0){
            $U.showToast('请选择需要操作的选项');
            return
         }
         if($scope.netOrLoc==false) {
            delUrl = $interFace.mitMainFace;
         } else {
            delUrl = $interFace.motoMainFace;
         }

         $handleService.showConfirm({
            title: '刪除前确认',
            template: '您确定要删除吗？',
            sure: function () {
               $handleService.http({
                  url: delUrl,
                  method: 'POST',
                  headers: {
                     method: 'deleteDrafts'
                  },
                  data: $scope.deleteArr,
                  success: function (data) {
                     $handleService.logger('object', data, '我的报价删除接口');

                     if($scope.netOrLoc==false){
                        if (data.success == "true") {
                           angular.forEach($scope.deleteArr.data,function (item) {
                              angular.forEach($scope.netVm.NET_DRAFTS_LIST,function (data,index) {
                                 if(item.lcn_no==data.lcn_no && item.vhl_frm==data.vhl_frm){
                                    $scope.netVm.NET_DRAFTS_LIST.splice(index,1);
                                 }
                              })
                           })
                        }
                        $U.showToast(data.msg);
                     } else {
                        if(data.resultCode == "0") {
                           angular.forEach($scope.deleteArr.data,function (item) {
                              angular.forEach($scope.locVm.LOC_DRAFTS_LIST,function (data,index) {
                                 if(item.lcn_no==data.lcn_no && item.vhl_frm==data.vhl_frm){
                                    $scope.locVm.LOC_DRAFTS_LIST.splice(index,1);
                                 }
                              })
                           });
                           $U.showToast(data.errorMsg);
                        }
                     }


                  },
                  error: function (ex) {
                     $handleService.logger('error', '撤单异常' + ex);
                  }
               });
            }
         });
      };

      //重新刷新页面
      $scope.reloadRoute = function () {
         $window.location.reload();
      };
      //-------------------------------------------------end   草稿箱-------------------------------------------------//


      //----------------------------------------------begin 投保进度查询-----------------------------------------------//
      //车险-》投保进度查询
      $scope.carOderQHandle = function () {
         if (!$scope.queryVm.IS_SELBY_DATE && !$scope.queryVm.CAR_ODER_SEL.PLY_APP_NO && !$scope.queryVm.CAR_ODER_SEL.DRV_OWNER) {
            return $U.showToast("请选择一种查询条件");
         }
         $handleService.logger('object', $scope.queryVm.CAR_ODER_SEL, '投保进度查询参数');
         $handleService.http({
            url: $interFace.mitMainFace,
            method: 'POST',
            headers: {
               method: 'queryTPolicyStatusNewBusiness'
            },
            data: $scope.queryVm.CAR_ODER_SEL,
            success: function (data) {
               $handleService.logger('object', data, '投保进度查询返回结果');
               if (data.success == "true") {
                  //--------------------------------begin 批量查询红包--------------------------------//
                  var APP_LIST = [],
                     params = {},
                     hack_result = [];
                  angular.forEach(data.DATA, function (item) {
                     APP_LIST.push({
                        APP_NO: item.PLY_APP_NO
                     });
                  });
                  params["APP_LIST"] = APP_LIST;
                  params["SLS_CDE"] = $U.getSession('SLS_CDE');

                  $handleService.logger('object', params, '投保进度查询-->红包查询参数');
                  $handleService.http({
                     url: $interFace.mitMainFace,
                     method: 'POST',
                     headers: {
                        //getRedBagInfo
                        //method: 'getRedBagJson'
                        method: 'getRedBagInfo'
                     },
                     data: params,
                     success: function (redpag) {
                        $handleService.logger('object', redpag, '投保进度查询-->红包查询结果');
                        if ($U.isNotEmpty(redpag) && redpag.success == "true") {
                           angular.forEach(data.DATA, function (oder) { //循环投保进度查询结果
                              angular.forEach(redpag.result, function (rp) { //循环 红包接口结果
                                 if (oder.PLY_APP_NO == rp.APP_NO) {
                                    oder.RED_BAG = rp.RED_BAG;
                                 }
                              });
                              hack_result.push(oder);
                           });
                        }
                        else {
                           hack_result = data.DATA;
                        }

                        /********************begin 跳转详情页***********************/
                           //     $rootScope.CAR_ODER_DETAILS = hack_result;
                        $scope.CAR_ODER_DETAILS = hack_result;
                        $state.go('tab.oderDetails');
                        //进行列表加载
                        $http.get('templates/common/car-oder-list.html').success(function (html) {
                           window.setTimeout(function () {
                              angular.element('.car-oder-details').empty().append($compile(html)($scope));
                           }, 0);
                        });
                        /********************end    跳转详情页***********************/
                     },
                     error: function (ex) {
                        $handleService.logger('error', ex);
                     }
                  });
                  //--------------------------------end  批量查询红包--------------------------------//
               }
               else {
                  $U.showToast(data.msg);
               }
            },
            error: function (ex) {
               $handleService.logger('error', ex);
            }
         });
      };





      //订单支付选择
      $scope.checkOrder = function (oder) {
         var _pbox = angular.element('.button-pay-box');
         //保存订单对象
         oder.CHECK_PAY ? ($rootScope.CAR_ODER_PAYS[oder.PLY_APP_NO] = oder) : (delete $rootScope.CAR_ODER_PAYS[oder.PLY_APP_NO]);
         //显示支付按钮
         $U.isNotEmpty($rootScope.CAR_ODER_PAYS) ? _pbox.show() : _pbox.hide();
      };

      //车险-》撤单
      $scope.revokeOder = function (oder) {
         $handleService.showConfirm({
            title: '撤单前确认',
            template: '您确定撤销此单么？',
            sure: function () {
               //开始撤单
               $handleService.http({
                  url: $interFace.mitMainFace,
                  method: 'POST',
                  headers: {
                     method: 'cancelNewBusiness'
                  },
                  data: {APP_INFO: [oder]},
                  success: function (data) {
                     if (data.success == "true") {
                        //移除当前节点
                        var _el = angular.element('#' + oder.PLY_APP_NO);
                        _el.addClass('a-bounceoutR');
                        window.setTimeout(function () {
                           _el.remove();
                        }, 800);
                     }
                     $U.showToast(data.msg);
                  },
                  error: function (ex) {
                     $handleService.logger('error', '撤单异常' + ex);
                  }
               });
            }
         });
      };
      
      //非车-》投保进度查询
      $scope.otherOderQHandle = function () {
         //1.拼接链接参数
         var url = $interFace.policyQuery +
            '&salesCode=' + $U.getSlsCode() //工号
            +
            '&policyNo=' + $scope.NO_CAR_ODER.policyNo //保单号
            +
            '&appName=' + $scope.NO_CAR_ODER.appName //投保人姓名
            +
            '&insrntName=' + $scope.NO_CAR_ODER.insrntName //被保险人姓名
            +
            '&beginDate=' + $scope.NO_CAR_ODER.beginDate //开始时间
            +
            '&endDate=' + $scope.NO_CAR_ODER.endDate; //结束时间
         //2.当参数传递到子页面
         $state.go('tab.otherCPage', {TYPE: 'NO_CAR_ODER', URL: url});
      };
      //----------------------------------------------end   投保进度查询-----------------------------------------------//


      //----------------------------------------------begin 一健续保-----------------------------------------------//
      $scope.renewalQuery = function (form) {
         $handleService.validateForm.call(this, form);
         if (form.$valid) {
             var options = {
                 engineNo:""					//发动机号
                 ,frameNo:""					//车架号
                 ,licenseNo:""	            //车牌号
                 ,policyNo:""		//保单号
                 ,proposalNo:""				//投保单号
                 ,insuredProduct:"0"			//车辆种类 0 机动车
             };

            var renewalText = $scope.REN.RENEWAL_TEXT;
             if($.trim(renewalText) == '') {
                 $scope.selectRenewalType('car');
                 return;
             }
             var textLen = renewalText.length;
             if (textLen <= 9 && textLen >= 7) { //车牌号
                 options.licenseNo = renewalText;
             }
             else if (textLen == 17) {       //车架号
                 options.frameNo = renewalText;
             }
             else if (textLen >= 19 && textLen <= 22) { //保单号
                 options.policyNo = renewalText;
             }
             else {
                 $U.showToast('您输入的信息不正确,请核对');
                 return;
             }
            options.SLS_CDE = String($handleService.sessionHandle.getSession("SLS_CDE"));
            //一健续保 查询
   /*         $handleService.http({
               url: $interFace.mitMainFace,
               method: 'POST',
               headers: {
                  method: 'queryReInsuNewBusiness'
               },
               data: options,
               success: function (data) {
                  Handle.lpnSession.save(renewalText);
                  $handleService.logger('object', data, '一键续保查询结果');
                  if (data.success == "true") {
                     //1.赋值 给Bean
                     $generalService.renParamsHandle(data);
                     //续保标志 保存草稿箱续保标识
                     $rootScope.CAR_BEANS.BU='R';

                     //2.跳转投保页面
                      if(window.requestParam.webSources == "QMYX"){//人人团
                          $state.go('tab.owinfoweb',{SU_CODE: 'RENEWAL'});
                      }else{
                          $state.go('tab.config', {SU_CODE: 'RENEWAL'});
                      }
                  }
                  else {
                     $U.showToast('未查询到相关单据信息');
                  }
               },
               error: function (ex) {
                  $handleService.logger('error', ex);
               }
            });*/


             //一健续保 查询
             $handleService.http({
                 url: '/renewal/queryPolicyInfo',
                 method: 'POST',
                 data: options,
                 success: function (data) {
                     $handleService.logger('object', data, '一键续保查询结果');
                     if (data.resultCode == "0") {
                         //0.赋值 给Bean
                         // $generalService.renParamsHandle(data.result);

                         // //1.续保标志 保存草稿箱续保标识
                         // $rootScope.CAR_BEANS.BU='R';
                        if($rootScope.baseBean.syOrigFlag) {
                           $rootScope.baseBean.syInsureStartTime = $handleService.addSecond($rootScope.baseBean.syInsureEndTime);
                        }
                        if($rootScope.baseBean.jqOrigFlag) {
                           $rootScope.baseBean.jqInsureStartTime = $handleService.addYear($rootScope.baseBean.jqInsureStartTime);
                        }
                         if(data.result.length > 1){
                             $rootScope.vhlList = angular.copy(data.result);
                             $scope.isShowCar1 = true;
                         }else{
                             $handleService.reModifyPolicyData(data.result[0]); //重构的方法
                             //2.跳转投保页面
                             if (window.requestParam.webSources == "QMYX") {//人人团
                                 $state.go('tab.owinfoweb', {SU_CODE: 'RENEWAL'});
                             } else {
                                 $state.go('tab.config', {SU_CODE: 'RENEWAL'});
                             }
                         }

                     } else {
                         $U.showToast(data.errorMsg || '未查询到相关单据信息');
                     }
                 },
                 error: function (ex, status) {
                     $handleService.logger('error', ex);
                 }
             })

         }
      };

      $scope.showSelect = function ($event) {
         if ($event.stopPropagation) {
            $event.stopPropagation();
         }
         $scope.RW_LSP_SELECT = !$scope.RW_LSP_SELECT;
         if ($scope.RW_LSP_SELECT) {
            angular.element('.renewalSelect').addClass('a-fadein').removeClass('a-fadeout');
         }
         else {
            angular.element('.renewalSelect').addClass('a-fadeout').removeClass('a-fadein');
         }
      };
      
      $scope.selectRenewalNum = function ($event) {
         $scope.REN.RENEWAL_TEXT = $event.target.innerHTML;
         $scope.RW_LSP_SELECT = !$scope.RW_LSP_SELECT;
         if ($scope.RW_LSP_SELECT) {
            angular.element('.renewalSelect').addClass('a-fadein').removeClass('a-fadeout');
         }
         else {
            angular.element('.renewalSelect').addClass('a-fadeout').removeClass('a-fadein');
         }
      };
       //多车型选择
       $scope.chooseModel = function (a,b){
           $handleService.reModifyPolicyData(b); //重构的方法
       }
       $scope.comfirmCar = function (){
           $scope.isShowCar1 = false;
           //2.跳转投保页面
           if (window.requestParam.webSources == "QMYX") {//人人团
               $state.go('tab.owinfoweb', {SU_CODE: 'RENEWAL'});
           } else {
               $state.go('tab.config', {SU_CODE: 'RENEWAL'});
           }
       }
       $scope.cancelCar = function (){
           $scope.isShowCar1 = false;
       }
      
      $scope.judgeRenewalSelect = function ($event) {
         if ($event.target.className == "renewalSelect" || $event.target.className == "coverDisable") {
            return;
         }
         else {
            $scope.RW_LSP_SELECT = false;
            angular.element('.renewalSelect').addClass('a-fadeout').removeClass('a-fadein');
         }
      };
      //----------------------------------------------end   一健续保-----------------------------------------------//
   });
   return app;
});