define([
        'services/app.service',
        'services/app.general.service',
        'directives/app.directives',
        'filters/app.filters',
        'services/app.car.beans',
        'modalSelect',
        'ngUpload'
    ],
    function () {
        'use strict';
        var app = angular.module('app.config.controller', [
            'app.handle.service',
            'app.general.service',
            'app.directives',
            'app.filters',
            'app.car.beans',
            'ionic-modal-select',
            'ngFileUpload'
        ]);
        //表单控制器
        app.controller('configController', function ($scope, $rootScope, $http, $location, $state, $stateParams, $handleService, $generalService, $interFace, Upload, $carBeansService) {
            //----------------------------------------begin 变量----------------------------------------//
            var pageCode = $stateParams.SU_CODE; //页面路由参数 SU_CODE
            var INTENT = $stateParams.INTENT;
            $scope.INTENT = $stateParams.INTENT;
            $scope.pageCode = $stateParams.SU_CODE; //页面路由参数 SU_CODE
            $scope.agentOptions = []; //个人代理
            $scope.assistOptions = []; //协作人
            $scope.interOptions = []; //经办人，选择了个人代理才会有经办人
            $scope.cooperation=[];//合作网点，选择了个人代理才会有合作网点
            $scope.outerNode=[];//渠道网点，选择了个人代理才会有合作网点
            $rootScope.isTiheFail = false;// 清理掉是否是提核页回来的标识
            var typeNum=[];
            var typeShow=['非营运','营运','个人','企业','机关'];
            $scope.cooperateNameValue = ""; //默认客户源
            $scope.intermediaryNameValue = ""; //默认渠道
            $scope.supervise=false;
            // 新保报价 返回修改需显示 折扣系数  默认不显示
            $rootScope.newPolicyShow = false;
            //----------------------------------------end   变量----------------------------------------//
            var Handle = (function (handle) {
                //初始化 页面 方法
                handle.initData = function () {

                    $scope.$watch("carBeans.base.intermediaryCode", function(value) {
                        if(value) {
                            $rootScope.baseBean.isCmpnyAgt = true;
                            $scope.intermediaryNameValue = $rootScope.carBeans.base.intermediaryName||'';
                        } else {
                            $rootScope.baseBean.isCmpnyAgt = false;
                            $scope.intermediaryNameValue = '';
                        }
                    });

                    $scope.$watch("carBeans.base.cooperateCode", function(value) {
                        if(value) {
                            $rootScope.baseBean.isTrueAgtCde = true;
                            $scope.cooperateNameValue = $rootScope.carBeans.base.cooperateName ||'';
                        } else {
                            $rootScope.baseBean.isTrueAgtCde = false;
                            $scope.cooperateNameValue = "";
                        }
                    });

                    $scope.$watch("carBeans.base.outerCompanyCode", function(value) {
                        if(value) {
                            $rootScope.baseBean.isOuterNode = true;
                            $rootScope.carBeans.base.outerCompanyCode = $rootScope.carBeans.base.outerCompanyCode ||'';
                        } else {
                            $rootScope.baseBean.isOuterNode = false;
                            $rootScope.carBeans.base.outerCompanyCode = "";
                        }
                    });

                    //机构判断
                    $handleService.deptJudge();
                    //流程初始化 暂存单编辑操作需要关联暂存单号
                    $handleService.initProcess($stateParams.TEMP_NO);
                    //初始化动态Form 解决安卓 Bug
                    $handleService.initFormApp();
                    //获取配置信息
                    Handle.getConfigInfo();
                    //Handle.getBaseData();

                    if($stateParams.SOURCE=='index'){
                        //首页进入的新保删除投保单号以及报价单号
                        $handleService.clearProposalNoAndQuotationNo();
                        //首页进入的新保设置保额默认个性化配置0827
                        if($rootScope.hasDefaultValueFlag){
                           delete $rootScope.hasDefaultValueFlag;
                        }
                    }
                    // 0730APP走复制流程报价，清理：“报价号和投保单号”_start
                    if($stateParams.SU_CODE) {
                        switch($stateParams.SU_CODE.toUpperCase()) {
                            case 'DRAFTS':
                                // 我的报价
                            // case 'PQUERY':
                                // 进度查询
                            // case 'RENEWAL':
                                // 我的续保
                                $handleService.clearProposalNoAndQuotationNo();
                            break;
                            default:
                                // 默认不做处理
                            break;
                        }
                    }
                    // 0730APP走复制流程报价，清理：“报价号和投保单号”_end
                    //------------------------------------- begin 其他信息 初始化 -------------------------------------//
                    //------------------------------------- end   其他信息 初始化 -------------------------------------//
                };

                //获取配置信息
                handle.getConfigInfo = function() {
                    $handleService.getConfigSwitch(function() {
                        //如果配置了个人代理
                        if($rootScope.switchBean.personOperate){
                            //查询个人代理
                            Handle.queryAgent();
                        }
                        //如果配置了协作人
                        if($rootScope.switchBean.channelOperate){
                            //查询协作人数据
                            Handle.queryAssteam();
                        }
                        //tips配置
                        if($rootScope.switchBean.typeSwitch){
                            handle.getTips($rootScope.switchBean.typeSwitch);
                        }
                        //只允许电子保单样式 北京
                        if($rootScope.switchBean.elecPolicySwitch) {
                            $rootScope.carBeans.base.busiAttrConfig.policyStyles = '1';
                        } else if(!$rootScope.switchBean.elecSwitch){
                            //不支持电子保单的时候
                            $rootScope.carBeans.base.busiAttrConfig.policyStyles = '';
                        }
                        if($rootScope.switchBean.elecCompanySwitch && $rootScope.switchBean.elecPolicySwitch){
                            $rootScope.carBeans.appConfig.electronicPolicyFlag = '1';
                        }else if($rootScope.switchBean.elecCompanySwitch && $rootScope.switchBean.defaultElecindSwitch && !$rootScope.carBeans.appConfig.electronicPolicyFlag){
                            // 可选华安电子保单，默认华安电子保单
                            // 分开选会以险种为准
                            if($rootScope.switchBean.elecindSwitch){
                                if($rootScope.switchBean.elecindComplusSwitch){
                                    $rootScope.baseBean.jqElectronicPolicy = '1';
                                }
                                if($rootScope.switchBean.elecindCommerceSwitch){
                                    $rootScope.baseBean.syElectronicPolicy = '1';
                                }
                                $rootScope.carBeans.appConfig.electronicPolicyFlag = '1';
                            }else{
                                $rootScope.carBeans.appConfig.electronicPolicyFlag = '1';
                            }
                        }
                        if($rootScope.switchBean.elecSwitch){
                            if($location.search().SOURCE && $location.search().SOURCE == 'index'){
                                //新投保，默认电子保单样式
                                $rootScope.carBeans.base.busiAttrConfig.policyStyles = '1'
                            }else if($location.search().SU_CODE && $location.search().SU_CODE == 'PQUERY'){
                                //下发修改默认样式
                                if($rootScope.carBeans.base.busiAttrConfig.policyStyles !='1'){
                                    $rootScope.carBeans.base.busiAttrConfig.policyStyles = '';
                                }else{
                                    $rootScope.carBeans.base.busiAttrConfig.policyStyles = '1';
                                }
                            }
                        }
                        if(!$rootScope.carBeans.appConfig.electronicPolicyFlag){
                            $rootScope.carBeans.appConfig.electronicPolicyFlag = '0';
                        }

                    });
                };

                //渠道查询
                handle.queryAgent = function () {
                    $handleService.http({
                        url: "/queryPersonProxyList?salesCode=" + $U.getSlsCode()+ "&deptCode=" + $U.getDeptCode(),
                        method: 'GET',
                        success: function (data) {
                            $handleService.logger('object', data, "渠道查询返回结果---》");
                            if (data.resultCode == '0') {
                                $scope.agentOptions = data.result;
                                //if(!$U.isEmpty(data.result)) $rootScope.baseBean.isCmpnyAgt =true;
                                //如果代理人有，并存在于查询结果的列表中，就赋值
                                if($rootScope.carBeans.base.intermediaryCode) {
                                    angular.forEach($scope.agentOptions, function(item) {
                                        //当存在渠道代码时
                                        if($rootScope.carBeans.base.intermediaryCode && item.intermediaryCode == $rootScope.carBeans.base.intermediaryCode) {
                                            $scope.intermediaryNameValue = item.intermediaryName || "";
                                        }
                                    });
                                }
                                //处理合作网点和经办人
                                handle.modyData();
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                        }
                    });
                };
                //处理来自退回修改的 pageCode == "PQUERY"
                handle.modyData =function () {
                    if($rootScope.carBeans.base.intermediaryCode && $rootScope.carBeans.base.intermediaryName ) {
                        if($rootScope.carBeans.base.businessSource.indexOf('19001')+$rootScope.carBeans.base.businessSource.indexOf('1900203')==-2){
                            $scope.supervise=true;
                            Handle.querySaleManCode($rootScope.carBeans.base.intermediaryCode);
                            Handle.queryCooperation($rootScope.carBeans.base.intermediaryCode);
                        }
                    }
                    //清空合作网点何经办人信息
                    Handle.initInterAndCoo();
                };
                handle.initInterAndCoo =function () {
                    $rootScope.baseBean.isIntersales = false;
                    $rootScope.carBeans.base.interSalesmanCode ='';
                    $rootScope.carBeans.base.interSalesmanName ='';
                    $rootScope.carBeans.base.interSalesmanLicense ='';
                    $rootScope.carBeans.base.agreementNo = ''; //需要清空后台返回的

                    $rootScope.baseBean.isCooperation = false;
                    $rootScope.carBeans.base.cooperateSiteCode ='';
                    $rootScope.carBeans.base.cooperateSiteName ='';
                };
                //客户源查询
                handle.queryAssteam = function () {
                    $handleService.http({
                        url: "/queryChannel?salesCode=" + $U.getSlsCode()+ "&deptCode=" + $U.getDeptCode(),
                        method: 'GET',
                        success: function (data) {
                            $handleService.logger("object", data, "客户源查询返回结果----》");
                            if (data.resultCode == '0') {
                                $scope.assistOptions = data.result;
                                //if(!$U.isEmpty(data.result)) $rootScope.baseBean.isTrueAgtCde =true;
                                //客户源
                                if($rootScope.carBeans.base.cooperateCode) {
                                    angular.forEach($scope.assistOptions, function(item) {
                                        //当存在渠道代码时
                                        if($rootScope.carBeans.base.cooperateCode && item.cooperateCode == $rootScope.carBeans.base.cooperateCode) {
                                            $scope.cooperateNameValue = item.cooperateName || "";
                                        }
                                    });
                                }
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                        }
                    });
                };

                //经办人查询
                handle.querySaleManCode = function (salesCode) {
                    $handleService.http({
                        url: "/interSalesmanQuery?chaEmploy=" + salesCode,
                        method: 'GET',
                        success: function (data) {
                            $handleService.logger("object", data, "经办人查询返回结果----》");
                            if (data.resultCode == '0') {
                                $scope.interOptions = data.result;
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                        }
                    });
                };

                //合作网点
                handle.queryCooperation = function (salesCode) {
                    $handleService.http({
                        url: "/chaNode?chaCode="+salesCode+"&deptCode="+$U.getDeptCode(),
                        method: 'GET',
                        success: function (data) {
                            $handleService.logger("object", data, "合作网点查询返回结果----》");
                            if (data.resultCode == '0') {
                                $scope.cooperation = data.result;
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                        }
                    });
                };
                //渠道网点
                handle.queryOuterNode = function (options) {
                    $handleService.http({
                        url: "/channelNetQuery",
                        method: 'POST',
                        data:{
                            deptCode:$U.getDeptCode(),
                            salesCode:$handleService.sessionHandle.getSession("SLS_INFO").employCode,
                            combineCode:options.cooperateCode||$rootScope.carBeans.base.cooperateCode||"",
                            chaCode:options.intermediaryCode||$rootScope.carBeans.base.intermediaryCode||""
                        },
                        success: function (data) {
                            $handleService.logger("object", data, "渠道网点查询返回结果----》");
                            if (data.resultCode == '0') {
                                $scope.outerNode = data.result;
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                        }
                    });
                };

                //tips 展示
                handle.getTips = function (typeSwitch) {
                    typeNum=typeSwitch.split('');
                    $scope.tips='';
                    angular.forEach(typeNum,function (item,index) {
                        if(item=='1'){
                            $scope.tips+=typeShow[index]+',';
                        }
                    });
                    $scope.tips=$scope.tips.substr(0, $scope.tips.length - 1);
                };
                //base节点赋值
                handle.getconfigData = function () {
                    $rootScope.baseBean.configData = angular.copy($rootScope.carBeans.base);
                };

                handle.getBaseData = function () {
                    $rootScope.baseBean.configData = angular.copy(BaseBean.configData);
                    $rootScope.carBeans.base = angular.extend($rootScope.carBeans.base,$rootScope.baseBean.configData);
                };
                return handle;
            })(Handle || {});
            Handle.initData();
            //----------------------------------------begin 车主信息页面----------------------------------------//

            //----------------------------------------begin 监听----------------------------------------//
            //是否为营运货车
            $scope.$watch("carBeans.base.busiAttrConfig.useNatures", function (value) {
                $scope.chooseConfigModel($('.use .button-choice'),value);
            });
            //所属性质
            $scope.$watch("carBeans.base.busiAttrConfig.attachNatures", function (value) {
                $scope.chooseConfigModel($('.belong .button-choice'),value);
            });

            $scope.chooseConfigModel=function (arr,value) {
                angular.forEach(arr,function (item,index,arr) {
                    if($(item).attr('data-value')==value){
                        $(item).addClass('config-active').siblings('.button-choice').removeClass('config-active');
                    }

                });
            };

            $scope.changeChannel = function () {
                $rootScope.baseBean.isCmpnyAgt=!$rootScope.baseBean.isCmpnyAgt;
                if ($rootScope.baseBean.isCmpnyAgt) {
                    $("#channelContent").trigger("click");
                } else {
                    $rootScope.carBeans.base.intermediaryCode = '';
                    $rootScope.carBeans.base.intermediaryName = '';
                    $rootScope.carBeans.base.businessSource = '';
                    $scope.intermediaryNameValue = '';
                    $scope.interOptions=[];
                    $scope.cooperation=[];

                    //清空合作网点何经办人信息
                    Handle.initInterAndCoo();
                }
            };
            $scope.changeAssist = function () {
                $rootScope.baseBean.isTrueAgtCde=!$rootScope.baseBean.isTrueAgtCde;
                if ($rootScope.baseBean.isTrueAgtCde) {
                    $("#assistContent").trigger("click");
                } else {
                    $rootScope.carBeans.base.cooperateCode = '';
                    $rootScope.carBeans.base.cooperateName = '';
                    $scope.cooperateNameValue = '';
                }
            };

            //选择渠道的每个item之后请求经办人 合作网点
            $scope.selecCopnytItem=function (options) {
                if(options.businessSource.indexOf('19001')+options.businessSource.indexOf('1900203')>-2){
                    $scope.supervise=false;
                }else{
                    $scope.supervise=true;
                    $rootScope.baseBean.isIntersales=false;
                    $rootScope.baseBean.isCooperation=false;
                    Handle.querySaleManCode(options.intermediaryCode);
                    Handle.queryCooperation(options.intermediaryCode);
                    Handle.queryOuterNode(options);
                }
                $rootScope.carBeans.base.isOnline = options.isOnline;//赋值个代信息
            };

            //经办人查询
            $scope.changeSalesManCode= function () {
                $rootScope.baseBean.isIntersales=!$rootScope.baseBean.isIntersales;
                if($rootScope.baseBean.isIntersales){
                    $("#saleCodeContent").trigger("click");
                }else{
                    $rootScope.carBeans.base.interSalesmanName = '';
                    $rootScope.carBeans.base.interSalesmanCode = '';
                    $rootScope.carBeans.base.interSalesmanLicense = '';
                }

            };

            //选择客户源的每个item之后请求渠道网点
            $scope.selecSalesManItem=function (options) {
                $rootScope.baseBean.isOuterNode=false;
                Handle.queryOuterNode(options);
            };

            //合作网点查询
            $scope.changeCooperation= function () {
                $rootScope.baseBean.isCooperation=!$rootScope.baseBean.isCooperation;
                if($rootScope.baseBean.isCooperation){
                    $("#cooperationNet").trigger("click");
                }else{
                    $rootScope.carBeans.base.cooperateSiteCode = '';

                }

            };
            //渠道网点查询
            $scope.changeOuterNode= function () {
                $rootScope.baseBean.isOuterNode=!$rootScope.baseBean.isOuterNode;
                if($rootScope.baseBean.isOuterNode){
                    $("#outerNodeNet").trigger("click");
                }else{
                    $rootScope.carBeans.base.outerCompanyCode = '';
                }

            };

            $scope.exchangeClass=function ($event,value) {
                //机构管控 配置config页面五个按钮选项（可选不可选）
                //['非营运','营运','个人','企业','机关']
                if(value == 'configFlag'){
                    if($($event.target).attr('data-value')=='02'&&typeNum[0]=='0'){  //非营运
                        return;
                    }else if($($event.target).attr('data-value')=='01'&&typeNum[1]=='0'){//营运
                        return;
                    }
                }
                if(value == 'attachNatures'){
                    if($($event.target).attr('data-value')=='01'&&typeNum[2]=='0'){//个人
                        return;
                    }else if($($event.target).attr('data-value')=='03'&&typeNum[3]=='0'){//企业
                        return;
                    }else if($($event.target).attr('data-value')=='02'&&typeNum[4]=='0'){//机关
                        return;
                    }
                }
                $($event.target).addClass('config-active').siblings('.button-choice').removeClass('config-active');
                if(value=='attachNatures'){
                    $rootScope.carBeans.base.busiAttrConfig.attachNatures=$($event.target).attr('data-value');
                    //车主类别 1个人 2机关 3企业
                    $rootScope.carBeans.owner.insuredTypeCode =$rootScope.BASE_BEAN.BELOG_TYPES[$($event.target).attr('data-value')];
                    $rootScope.tes1=false;


                    //企业机关
                    if($rootScope.carBeans.base.busiAttrConfig.attachNatures != "01") {
                        var ceritTypeArr = ["13", "09", "10","11","12", "99"]; //企业机关证件类型可以选择的值
                        if(ceritTypeArr.indexOf($rootScope.carBeans.owner.identifyType) == -1) {
                            $rootScope.carBeans.owner.identifyType = ceritTypeArr[0];
                        }
                    } else { //个人
                        var ceritTypeArr = ["01", "06", "05", "02", "99","03","04","07","15"]; //个人证件类型可以选择的值
                        if(ceritTypeArr.indexOf($rootScope.carBeans.owner.identifyType) == -1) {
                            $rootScope.carBeans.owner.identifyType = ceritTypeArr[0];
                        }
                    }
                }else if(value=='configFlag'){
                    //$rootScope.baseBean.configFlag=$($event.target).attr('data-value');
                    $rootScope.carBeans.base.busiAttrConfig.useNatures=$($event.target).attr('data-value');
                }
                //是否电子投保  选择赋值
                // if(value=='elecSignFlag'){
                //     if($rootScope.elecSignData.forceSigned != '1'){
                //         $rootScope.carBeans.base.elecSignFlag=$($event.target).attr('data-value');
                //     }
                //
                // }
            };

            //选择保单样式
            $scope.changeElecPolicy = function(value) {
                $rootScope.carBeans.base.busiAttrConfig.policyStyles = value;
            };

            $scope.configSubmit=function () {

                if($rootScope.baseBean.isCmpnyAgt && !$rootScope.carBeans.base.intermediaryCode){
                    $U.showToast("请选择渠道");
                    return;
                }

                if($rootScope.switchBean.interSalesSwitch&&$scope.supervise&&$rootScope.carBeans.base.intermediaryCode&&!$rootScope.carBeans.base.interSalesmanCode){
                    if(!$rootScope.switchBean.interSalesMaySwitch){
                        if($rootScope.switchBean.interSalesBusinessSwitch){
                            if($rootScope.carBeans.base.businessSource == '1900201' || $rootScope.carBeans.base.businessSource == '19003'){
                                $U.showToast("请选择销售经办人");
                                return;
                            }
                        }else{
                            $U.showToast("请选择销售经办人");
                            return;
                        }
                    }
                }
                // if($rootScope.elecSignData.enableSigned == '1' && $rootScope.carBeans.base.elecSignFlag == ''){//电子投保默认不勾选强制点选 无操作提示操作
                //     $U.showToast("请选择是否电子投保");
                //     return;
                // }
                if($rootScope.switchBean.outerCompanyMustSwitch&&$rootScope.carBeans.base.intermediaryCode&&$scope.supervise&&!$rootScope.carBeans.base.outerCompanyCode){
                    $U.showToast("请选择渠道网点");
                    return;
                }
                /*if($rootScope.baseBean.isCmpnyAgt) {
                    if(!$rootScope.carBeans.base.intermediaryCode) { //业务来源为空
                        $U.showToast("业务来源为空，请重新选择渠道");
                        return;
                    }
                    if(!$rootScope.carBeans.base.intermediaryName) { //业务来源为空
                        $U.showToast("渠道名称为空，请重新选择渠道");
                        return;
                    }

                }*/

                if($rootScope.baseBean.isTrueAgtCde && !$rootScope.carBeans.base.cooperateCode){
                    $U.showToast("请选择客户源");
                    return;
                }
                if($U.isEmpty($rootScope.carBeans.base.busiAttrConfig.useNatures)){
                    $U.showToast("请选择车辆使用性质");
                    return;
                }
                if($U.isEmpty($rootScope.carBeans.base.busiAttrConfig.attachNatures)){
                    $U.showToast("请选择所属性质");
                    return;
                }
                if($rootScope.baseBean.isOuterNode&&!$rootScope.carBeans.base.outerCompanyCode){
                    $U.showToast("请选择渠道网点");
                    return;
                }
                //$handleService.saveTmp();
                //base节点赋值
                Handle.getconfigData();
                $handleService.logger('object', $rootScope.baseBean.configData, 'configData配置信息页面数据');
                $handleService.logger('object', $rootScope.carBeans, '配置信息页面数据');
                $state.go('tab.owinfo', {SU_CODE: pageCode},{reload:true});
                
            };

            //内部电子保单
            $scope.changeLocalElecPolicy = function(value) {
                $rootScope.carBeans.appConfig.electronicPolicyFlag = value;
            };
            //山东电子保单
            $scope.changeShandongElecPolicy = function(value) {
                if(value=='jq'){
                    $rootScope.baseBean.jqElectronicPolicy=$rootScope.baseBean.jqElectronicPolicy?($rootScope.baseBean.jqElectronicPolicy=='0'?'1':'0'):'1';
                }else{
                    $rootScope.baseBean.syElectronicPolicy=$rootScope.baseBean.syElectronicPolicy?($rootScope.baseBean.syElectronicPolicy=='0'?'1':'0'):'1';
                }
            }

            //清除数据
            $scope.clearAll = function() {
                $rootScope.errorResult={
                    showIcon:false
                };
                $rootScope.baseBean = angular.copy(BaseBean);
                $rootScope.carBeans = angular.copy(CarBeans);
                //$rootScope.carBeans = angular.copy(riskObj);
                $rootScope.baseBean.syRiskList = angular.copy(SY_RISK);
                $rootScope.baseBean.jqRiskList = angular.copy(JQ_RISK);
                $rootScope.carBeans.base.busiAttrConfig.policyStyles=$rootScope.switchBean.elecPolicySwitch?"1":"0";
                if($rootScope.switchBean.elecCompanySwitch && $rootScope.switchBean.elecPolicySwitch){
                    $rootScope.carBeans.appConfig.electronicPolicyFlag = '1';
                }else if($rootScope.switchBean.elecCompanySwitch && $rootScope.switchBean.defaultElecindSwitch && !$rootScope.carBeans.appConfig.electronicPolicyFlag){
                    // 可选华安电子保单，默认华安电子保单
                    // 分开选会以险种为准
                    if($rootScope.switchBean.elecindSwitch){
                        if($rootScope.switchBean.elecindComplusSwitch){
                            $rootScope.baseBean.jqElectronicPolicy = '1';
                        }
                        if($rootScope.switchBean.elecindCommerceSwitch){
                            $rootScope.baseBean.syElectronicPolicy = '1';
                        }
                        $rootScope.carBeans.appConfig.electronicPolicyFlag = '1';
                    }else{
                        $rootScope.carBeans.appConfig.electronicPolicyFlag = '1';
                    }
                }
                if(!$rootScope.carBeans.appConfig.electronicPolicyFlag){
                    $rootScope.carBeans.appConfig.electronicPolicyFlag = '0';
                }
            };
            if($location.search().SOURCE && $location.search().SOURCE == 'index' && $rootScope.previousState != 'from'){
                $scope.clearAll();
            }else{
                $rootScope.previousState = '';  //判断缓存是否保留
            }

            //----------------------------------------end   车主信息页面----------------------------------------//
        });
        return app;
    });
