define([
        'services/app.service',
        'services/app.general.service',
        'directives/app.directives',
        'filters/app.filters',
        'services/app.car.beans',
        'modalSelect',
        'ngUpload'
    ],
    function () {
        'use strict';
        var app = angular.module('app.configRenewal.controller', [
            'app.handle.service',
            'app.general.service',
            'app.directives',
            'app.filters',
            'app.car.beans',
            'ionic-modal-select',
            'ngFileUpload'
        ]);
        //表单控制器
        app.controller('configRenewalController', function ($scope, $rootScope, $http, $location, $state, $stateParams, $handleService, $generalService, $interFace) {
            //----------------------------------------begin 变量----------------------------------------//
            $scope.opts={
                choicedType: '1',
                noComplete: false,
                noComplete3: $stateParams.noComplete3,
                Q_Renewal_Info: JSON.parse(window.localStorage.getItem('Q_Renewal_Info')) || {},
                salesmanCode: $handleService.sessionHandle.getSession("SLS_INFO").employCode,
            };
            $rootScope.xbConfig = { //全局
                agentOptions:[],//个人代理  渠道协议数据
                assistOptions:[],//协作人  客户源数据
                cooperateName:'',//默认客户源名称
                intermediaryName:'',//默认渠道名称
                intermediaryCode:'',//默认渠道协议编码
                cooperateCode:'',//默认客户源编码编码
                isCmpnyAgt:false,//默认渠道协议 不选中
                isTrueAgtCde:false,//默认客户源 不选中
            };
            $scope.intermediaryName = '';//本页面渠道名称
            $scope.cooperateName = ''; //本页面客户源名称
            $scope.intermediaryCode = '';//本页面渠道编码
            $scope.cooperateCode = ''; //本页面客户源编码
             //跳一键续保
            $scope.goYJXB = function () {
                //处理url
                var url = $interFace.yjxbUrl;
                //var urlShare =  $interFace.yjxbUrl2;
                var urlParms = null;
                var urlParmsArr = [];
                if($scope.opts.choicedType == 1){
                    urlParms = {
                        choicedType: "a",
                        terminalSource : '0106',
                        deptCode : encodeURIComponent($handleService.sessionHandle.getSession("SLS_INFO").deptCode),
                        salesmanCode: encodeURIComponent($handleService.sessionHandle.getSession("SLS_INFO").employCode),
                        operatorCode: encodeURIComponent($handleService.sessionHandle.getSession("SLS_INFO").salesmanCode),
                        sign:encodeURIComponent($handleService.sessionHandle.getSession("SLS_INFO").sign),
                        orgin: '000077',
                        browser: 'ZSB',
                    }
                }else if($scope.opts.choicedType == 2){
                    urlParms = {
                        choicedType: "b",
                        terminalSource : '0106',
                        deptCode : encodeURIComponent($handleService.sessionHandle.getSession("SLS_INFO").deptCode),
                        salesmanCode: encodeURIComponent($handleService.sessionHandle.getSession("SLS_INFO").employCode),
                        operatorCode: encodeURIComponent($handleService.sessionHandle.getSession("SLS_INFO").salesmanCode),
                        sign:encodeURIComponent($handleService.sessionHandle.getSession("SLS_INFO").sign),
                        orgin: '000078',
                        browser: 'ZSB',
                    }
                }
                else if($scope.opts.choicedType == 3){
                    urlParms = {
                        choicedType: "c",
                        terminalSource : '0106',
                        deptCode : encodeURIComponent($handleService.sessionHandle.getSession("SLS_INFO").deptCode),
                        salesmanCode: encodeURIComponent($handleService.sessionHandle.getSession("SLS_INFO").employCode),
                        cooperateCode: encodeURIComponent($scope.cooperateCode),
                        intermediaryCode: encodeURIComponent($scope.intermediaryCode),
                        operatorCode: encodeURIComponent($handleService.sessionHandle.getSession("SLS_INFO").salesmanCode),
                        sign:encodeURIComponent($handleService.sessionHandle.getSession("SLS_INFO").sign),
                        orgin: '000079',
                        browser: 'ZSB',
                    }
                }
                for(var key in urlParms){
                    urlParmsArr.push(key+"="+urlParms[key]);
                }
                url = url + "?" + urlParmsArr.join("&");
                $scope.opts.Q_Renewal_Info[$scope.opts.salesmanCode] = url;// 和业务员匹配的url
                window.localStorage.setItem('Q_Renewal_Info', JSON.stringify($scope.opts.Q_Renewal_Info));
                $handleService.openUrl(url, {
                    shareFlag: false,
                });
            };
            $scope.$watch('opts.choicedType', function (value) {
                switch(value){
                    case 1:
                        $scope.opts.choicedType = 1;
                        $scope.opts.noComplete = false;
                        $scope.opts.noComplete3 = true;
                        break;
                    case 2:
                        $scope.opts.choicedType = 2;
                        $scope.opts.noComplete = false;
                        $scope.opts.noComplete3 = true;
                        break;
                    case 3:
                       $scope.opts.choicedType = 3;
                       if($scope.intermediaryCode||$scope.cooperateCode){
                           $scope.opts.noComplete = false;
                       }else{
                           $scope.opts.noComplete = true;
                       }
                        break;
                }
            });
            $scope.moreSet = function(){
                if($scope.opts.choicedType == 3){
                    //确保每次进配置页都是最新的数据；
                    $rootScope.xbConfig.cooperateCode = $scope.cooperateCode;
                    $rootScope.xbConfig.intermediaryCode = $scope.intermediaryCode;
                    $rootScope.xbConfig.intermediaryName = $scope.intermediaryName;
                    $rootScope.xbConfig.cooperateName = $scope.cooperateName;
                    $state.go("tab.xbConfig");
                }
            }
            $scope.goIndex = function(){
                $state.go("tab.mitNewIndex");
            }
            //查询用户C方案配置
            $scope.getXbconfig = function(){
                var salesmanCode = $handleService.sessionHandle.getSession("SLS_INFO").employCode;
                var params = {salesmanCode:salesmanCode};
                $handleService.motoHttp({
                    url: $interFace.getXbConfig,
                    method: 'GET',
                    params: params,
                    success: function (data) {
                        $handleService.logger('object', data, "用户C方案配置返回结果---》");
                        if(data.resultCode == "0") {
                            $scope.cooperateCode = $rootScope.xbConfig.cooperateCode = data.result.cooperateCode||'';
                            $scope.intermediaryCode = $rootScope.xbConfig.intermediaryCode = data.result.intermediaryCode||'';
                        }else if(data.resultCode == "E17018"){
                            $scope.cooperateCode = $rootScope.xbConfig.cooperateCode = "";
                            $scope.intermediaryCode = $rootScope.xbConfig.intermediaryCode = "";
                        }else {
                            $handleService.showAlert('提示', data.errorMsg || $message.serverError);
                        }
                        //机构判断
                        $handleService.deptJudge();
                        //初始化动态Form 解决安卓 Bug
                        $handleService.initFormApp();
                        //获取配置信息
                        $scope.getConfigInfo();
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });
            };
            //获取配置信息
            $scope.getConfigInfo = function() {
                $handleService.getConfigSwitch(function() {
                    //如果配置了个人代理
                    if($rootScope.switchBean.personOperate){
                        //查询个人代理
                        Handle.queryAgent();
                    }
                    //如果配置了协作人
                    if($rootScope.switchBean.channelOperate){
                        //查询协作人数据
                        Handle.queryAssteam();
                    }
                });
            };
            //----------------------------------------end   变量----------------------------------------//
            var Handle = (function (handle) {
                //初始化 页面 方法
                handle.initData = function () {
                    var choicedType;
                    var preUrl = $scope.opts.Q_Renewal_Info[$scope.opts.salesmanCode];
                    if(preUrl){
                        var parmList = preUrl.split('?')[1].split("&");
                        parmList.forEach( function (parm) {
                            if(parm.indexOf('choicedType')  != -1){
                                choicedType = parm.split("=")[1];
                            }
                        });
                        switch(choicedType){
                            case 'a':
                                $scope.opts.choicedType = 1;
                                break;
                            case 'b':
                                $scope.opts.choicedType = 2;
                                break;
                            case 'c':
                                $scope.opts.choicedType = 3;
                                break;
                        };
                    }
                    $scope.getXbconfig();
                };
                //渠道查询
                handle.queryAgent = function () {
                    $handleService.http({
                        url: "/queryPersonProxyList?salesCode=" + $U.getSlsCode()+ "&deptCode=" + $U.getDeptCode(),
                        method: 'GET',
                        success: function (data) {
                            $handleService.logger('object', data, "渠道查询返回结果---》");
                            if (data.resultCode == '0') {
                                $rootScope.agentOptions = data.result||[];
                                //如果代理人有，并存在于查询结果的列表中，就赋值
                                if($scope.intermediaryCode) {
                                    angular.forEach($rootScope.agentOptions, function(item) {
                                        //当存在渠道代码时
                                        if($scope.intermediaryCode && item.intermediaryCode == $scope.intermediaryCode) {
                                            $scope.intermediaryName = $rootScope.xbConfig.intermediaryName = item.intermediaryName || "";
                                            $scope.intermediaryCode = $rootScope.xbConfig.intermediaryCode = item.intermediaryCode || "";
                                            console.log($scope.intermediaryName,'$rootScope.intermediaryName');
                                            if($rootScope.xbConfig.intermediaryCode){
                                                $scope.opts.noComplete = false;
                                            }else{
                                                $scope.opts.noComplete = true;
                                            }
                                        }
                                    });
                                }
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                        }
                    });
                };
                //客户源查询
                handle.queryAssteam = function () {
                    $handleService.http({
                        url: "/queryChannel?salesCode=" + $U.getSlsCode()+ "&deptCode=" + $U.getDeptCode(),
                        method: 'GET',
                        success: function (data) {
                            $handleService.logger("object", data, "客户源查询返回结果----》");
                            if (data.resultCode == '0') {
                                $rootScope.assistOptions = data.result||[];
                                //客户源
                                if($scope.cooperateCode) {
                                    angular.forEach($rootScope.assistOptions, function(item) {
                                        //当存在渠道代码时
                                        if($scope.cooperateCode && item.cooperateCode == $scope.cooperateCode) {
                                            $scope.cooperateName = $rootScope.xbConfig.cooperateName = item.cooperateName || "";
                                            $scope.cooperateCode = $rootScope.xbConfig.cooperateCode = item.cooperateCode || "";
                                            console.log($scope.cooperateName,'$rootScope.cooperateName');
                                            if($rootScope.xbConfig.cooperateCode){
                                                $scope.opts.noComplete = false;
                                            }else{
                                                $scope.opts.noComplete = true;
                                            }
                                        }
                                    });
                                }
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                        }
                    });
                };
                return handle;
            })(Handle || {});
            Handle.initData();
        });
        return app;
    });
