define(['services/app.service',
   'services/app.sqlLite.service',
   'services/app.car.beans',
   'services/app.store',
   'directives/app.directives'], function () {
   'use strict';
   var app = angular.module('app.compController',
      ['app.handle.service',
         'app.directives',
         'app.store',
      ]);
   //投保查询控制器
   app.controller('draftQueryCtrl', function ($scope, $handleService, $interFace, $state,$stateParams, store) {
      var now = new Date().format('yyyy-MM-dd');
      var nows = new Date().setDate(new Date().getDate() - 10);
      nows = new Date(nows).format('yyyy-MM-dd');

      $scope.activeFlag = "car";
      if($stateParams.draftdata == "moto") {
         $scope.activeFlag = "moto";
      }

      //车险 投保查询对象
      $scope.vm = {
         $IS_SELBY_DATE: true,
         data: {
            deptCode: $U.getDeptCode(),
            salesmanCode:$U.getSlsCode(),
            insuredName: '',
            vhlNo: '',
            startDate: nows,
            endDate: now,
            duringDate:'',
            keywords:''//报价列表页搜索条件
         }
      };
      //非车投保单查询对象
      $scope.motorVm = {
         $IS_MOTO_SELBY_DATE: true,
         data: {
            deptCode: $U.getDeptCode(),
            salesmanCode:$U.getSlsCode(),
            insuredName: '',
            vhlNo: '',
            startDate: nows,
            endDate: now,
            duringDate:'',
         }
      };




      //--------------------------------------------------  begin 公共方法 --------------------------------------------------//
      var Handle = (function (handle) {


         //车险、摩托车险投保流程中进入草稿箱控制
         handle.showDraftsType = function() {
            if($scope.activeFlag == "car") { //车险进入时
               $("#tab_car_oder").show();
               $("#tab_ncar_oder").hide();
            } else if($scope.activeFlag == "moto") { //摩托车险进入时 只显示摩托车
               $("#tab_car_oder").hide();
               $("#tab_ncar_oder").show();
            }


         };

         handle.dealTimeMoto = function() {
            if (!$scope.motorVm.$IS_MOTO_SELBY_DATE) {
               $scope.motorVm.data.startDate="";
               $scope.motorVm.data.endDate="";
               $scope.motorVm.data.duringDate="";

            }

         };

         handle.dealTimeCar = function() {
            if (!$scope.vm.$IS_SELBY_DATE) {
               $scope.vm.data.startDate="";
               $scope.vm.data.endDate="";
               $scope.vm.data.duringDate ='';

            }


         };
         return handle;
      })(Handle || {});

      //--------------------------------------------------  end   公共方法 --------------------------------------------------//
      // Handle.showDraftsType();

      //---------------------------------------- begin 监听 ----------------------------------------//
         $scope.showTab =function () {
            Handle.showDraftsType();
         }

      //查询起期监听
      $scope.$watch("vm.data.startDate", function (value) {
         //起期 发生变化时  止期 自动往后7 天
         var calsDate = function (opts) {
            var options={
               date:new Date(),
               deadline:false, //是否截止当前
               differs:0  //相差多少天
            };
            angular.extend(options,opts);
            var resultDate = new Date(options.date.setDate(options.date.getDate()+options.differs));
            //开始计算 两天相差日期
            if(options.deadline && resultDate > new Date()){
               resultDate = new Date();
            }
            return resultDate;
         };
         var endDate = calsDate({
            deadline:true,
            date:new Date(value),
            differs:10
         });
         //止期变化
         $scope.vm.data.endDate = endDate.format("yyyy-MM-dd");
         var differDay = Math.abs($U.daysBetween(value,$scope.vm.data.endDate));
         $scope.vm.data.duringDate = differDay;
      });
      //查询止期监听
      $scope.$watch("vm.data.endDate", function (value) {
         //逻辑
         //1.止期 不可以 大于 起期
         //2.止期 不可 比起期 多 超过 7天
         var beginTm = new Date($scope.vm.data.startDate);
         var endinTm = new Date(value);
         var endinTmStr = value;
         var differDay = Math.abs($U.daysBetween($scope.vm.data.startDate,value));
         if(endinTm < beginTm){
            endinTmStr = $scope.vm.data.startDate;
            $U.showToast("查询止期不可小于查询起期");
         }
         // else if(differDay > 10){
         //    endinTmStr = new Date(beginTm.setDate(beginTm.getDate()+7)).format("yyyy-MM-dd");
         //    $U.showToast("最多只可查询10天内的数据");
         // }
         //给止期赋值
         $scope.vm.data.duringDate = differDay;
         $scope.vm.data.endDate = endinTmStr;
      });

      //查询起期监听
      $scope.$watch("motorVm.data.startDate", function (value) {
         //起期 发生变化时  止期 自动往后7 天
         var calsDate = function (opts) {
            var options={
               date:new Date(),
               deadline:false, //是否截止当前
               differs:0  //相差多少天
            };
            angular.extend(options,opts);
            var resultDate = new Date(options.date.setDate(options.date.getDate()+options.differs));
            //开始计算 两天相差日期
            if(options.deadline && resultDate > new Date()){
               resultDate = new Date();
            }
            return resultDate;
         };
         var endDate = calsDate({
            deadline:true,
            date:new Date(value),
            differs:10
         });
         //止期变化

         $scope.motorVm.data.endDate = endDate.format("yyyy-MM-dd");
         var differDay = Math.abs($U.daysBetween(value,$scope.motorVm.data.endDate));
         $scope.motorVm.data.duringDate = differDay;
      });
      //查询止期监听
      $scope.$watch("motorVm.data.endDate", function (value) {
         //逻辑
         //1.止期 不可以 大于 起期
         //2.止期 不可 比起期 多 超过 7天
         var beginTm = new Date($scope.motorVm.data.startDate);
         var endinTm = new Date(value);
         var endinTmStr = value;
         var differDay = Math.abs($U.daysBetween($scope.motorVm.data.startDate,value));
         if(endinTm < beginTm){
            endinTmStr = $scope.motorVm.data.startDate;
            $U.showToast("查询止期不可小于查询起期");
         }
         // else if(differDay > 10){
         //    endinTmStr = new Date(beginTm.setDate(beginTm.getDate()+7)).format("yyyy-MM-dd");
         //    $U.showToast("最多只可查询10天内的数据");
         // }
         //给止期赋值
         $scope.motorVm.data.duringDate = differDay;
         $scope.motorVm.data.endDate = endinTmStr;
      });
      //---------------------------------------- end   监听 ----------------------------------------//

      $scope.queryVm = {
         IS_SELBY_DATE: true,
      };

      $scope.vm.carDraftQHandle = function () {
         // if (!$scope.vm.$IS_SELBY_DATE && $scope.vm.data.insuredName == "" && $scope.vm.data.vhlNo == "") {
         //    $U.showToast('请输入被保人姓名或车牌号');
         //    return;
         // }
         Handle.dealTimeCar();
         store.searchDraftData = $scope.vm.data;
         $state.go('tab.draftsList2',{type: 'car'});
         return;
      };

      $scope.motorVm.motoDraftQHandle = function () {
         // if (!$scope.motorVm.$IS_MOTO_SELBY_DATE && $scope.motorVm.data.insuredName == "" && $scope.motorVm.data.vhlNo == "") {
         //    $U.showToast('请输入被保人姓名或车牌号');
         //    return;
         // }
         Handle.dealTimeMoto();
         store.searchDraftData = $scope.motorVm.data;
         $state.go('tab.draftsList2',{type: 'moto'});
         return;
      };

      //是否  按 日期查询
      $scope.vm.isDateSel = function () {
         if ($scope.vm.$IS_SELBY_DATE) {
            $scope.vm.data.startDate = nows;
            $scope.vm.data.endDate = now;
         }
         else {
            $scope.vm.data.startDate="";
            $scope.vm.data.endDate="";
            $scope.vm.data.duringDate ='';
            console.log($scope.vm.data);
         }
      };

      //是否  按 日期查询
      $scope.motorVm.isMotorDateSel = function () {
         if ($scope.motorVm.$IS_MOTO_SELBY_DATE) {
            $scope.motorVm.data.startDate = nows;
            $scope.motorVm.data.endDate = now;
         }
         else {
            $scope.motorVm.data.startDate="";
            $scope.motorVm.data.endDate="";
            $scope.motorVm.data.duringDate="";
            console.log($scope.motorVm.data);
         }
      };




   });
   return app;
});