define([
    'services/app.service',
    'services/app.general.service',
    'directives/app.directives',
    'filters/app.filters',
    'services/app.sqlLite.service',
    'services/app.car.beans',
    'services/app.store',
    'modalSelect',
    'ngUpload'
], function() {
    'use strict';
    var app = angular.module('app.compController',
        [
            'app.handle.service',
            'app.general.service',
            'app.directives',
            'app.filters',
            'app.sqlLite.service',
            'app.car.beans',
            'ionic-modal-select',
            // 'app.store',
            'ngCordova',
            'ngFileUpload'
        ]);
    //草稿箱控制器
    app.controller('draftsListCtrl', function($state,$scope, $rootScope, $http, $location, $handleService,$generalService, $interFace, $compile, $ionicActionSheet,$stateParams, $ionicHistory,store) {
        //编辑flag
        $scope.editCheck=false;
        //判断在网络还是本地flag  false 网络  true  本地
        $scope.netOrLoc=false;
        //网络数据对象
        $scope.netVm = {};//车险

        $scope.locVm={};//摩托车


        //解决投保流中点击首页，然后回到草稿箱中跳转到投保流的缓存问题
        $ionicHistory.clearCache();

        //删除数据对象
        $scope.deleteArr={
            data:[]
        };

        $scope.draftsType = $stateParams.type;
        $scope.motoTips ='以下为'+30+'天内报价记录';
        $scope.carTips = '已默认查询最新的'+50+'条报价记录';
        $scope.dataTips ='';
        $scope.searchData = store.searchDraftData&&store.searchDraftData.keywords||'';//列表页搜索条件

        (function () {
            //本地草稿箱-》加载本地数据
            $scope.motoLoading = function () {
                $scope.deleteArr.data=[];
                $scope.netOrLoc=true;
                $scope.editCheck=false;
                $scope.locVm.isLoading = true;
                $scope.searType = 'moto';
                //获取摩托车草稿箱
                $handleService.motoHttp({
                    url: $interFace.motoMainFace,
                    method: 'POST',
                    headers: {
                        method: 'queryDrafts'
                    },
                    data: {
                        emp_cde: $U.getSlsCode(),
                        refereeId:window.requestParam.refereeId,
                        startTime:store.searchDraftData ? store.searchDraftData.startDate :'',
                        endTime:store.searchDraftData ? store.searchDraftData.endDate :'',
                        insuredName:store.searchDraftData ? store.searchDraftData.insuredName :'',
                        vhlNo:store.searchDraftData ? store.searchDraftData.vhlNo :'',
                        page:{
                            pageSize:50,
                            pageNum:1
                        }

                    },
                    success: function (data) {
                        $handleService.logger("object", data, "摩托车草稿箱返回数据--》");
                        $scope.locVm.isLoading = false;
                        Handle.showDraftsType();
                        if ($U.isNotEmpty(data) && data.resultCode == "0") {
                            $scope.locVm.LOC_DRAFTS_LIST = Handle.draftsDataHandle(data.data);
                            store.searchDraftData={};
                        } else {
                            $U.showToast(data.errorMsg||"未查询到数据");
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });
            };
            //网络数据点击->加载网络数据->获取网络草稿箱
            $scope.netLoading = function (flag) {
                //flag  判断carTips文案标识
                var option={};
                $scope.netOrLoc=false;
                $scope.editCheck=false;
                $scope.deleteArr.data=[];
                $scope.netVm.isLoading = true;
                $scope.searType = 'car';

                if(window.requestParam.refereeId){
                    option={
                        //deptCode:$handleService.sessionHandle.getSession('SLS_INFO').deptCode,
                        salesmanCode: window.requestParam.employCode||"",
                        refereeId: window.requestParam.refereeId||"", //人人团增加
                        startTime:store.searchDraftData ? store.searchDraftData.startDate :'',
                        endTime:store.searchDraftData ? store.searchDraftData.endDate :'',
                        insuredName:store.searchDraftData ? store.searchDraftData.insuredName :'',
                        vhlNo:store.searchDraftData ? store.searchDraftData.vhlNo :'',
                        keywords:store.searchDraftData&&store.searchDraftData.keywords||$scope.searchData||'',//列表页搜索条件
                        insuredProduct:0,
                        page:{
                            pageSize:50,
                            pageNum:1
                        }
                    }
                }else{
                    option={
                        //deptCode:$handleService.sessionHandle.getSession('SLS_INFO').deptCode,
                        startTime:store.searchDraftData ? store.searchDraftData.startDate :'',
                        endTime:store.searchDraftData ? store.searchDraftData.endDate :'',
                        insuredName:store.searchDraftData ? store.searchDraftData.insuredName :'',
                        vhlNo:store.searchDraftData ? store.searchDraftData.vhlNo :'',
                        keywords:store.searchDraftData&&store.searchDraftData.keywords||$scope.searchData||'',//列表页搜索条件
                        salesmanCode: $U.getSlsCode(),
                        insuredProduct:0,
                        page:{
                            pageSize:50,
                            pageNum:1
                        }
                    }
                }
                $handleService.http({
                    url: "/temp/queryTempPage",
                    method: 'POST',
                    data: option,
                    success: function (data) {
                        $handleService.logger("object", option, "车险网络草稿箱请求参数--》");
                        $handleService.logger("object", data, "网络草稿箱返回数据--》");
                        $scope.netVm.isLoading = false;
                        Handle.showDraftsType();
                        if(store.searchDraftData&&store.searchDraftData.duringDate){
                            $scope.dataTips = '未能在该时间段内，查询到相关报价记录';
                            $scope.carTips ='已从近'+store.searchDraftData.duringDate+'天数据里查询到相关记录';
                        }else{
                            $scope.dataTips ='未能在近'+30+'天内，查询到相关报价记录，您可点击“查询更多报价”，快速精确查询';
                            if(flag){
                                $scope.carTips ='已从近'+30+'天数据里查询到相关记录';
                            }else{
                                $scope.carTips ='已默认查询最新的'+50+'条报价记录';
                            }
                        }
                        if ($U.isNotEmpty(data.result) && data.resultCode == "0") {
                            $scope.netVm.NET_DRAFTS_LIST = data.result;
                            store.searchDraftData={};
                        }else{
                            $scope.netVm.NET_DRAFTS_LIST = [];
                            store.searchDraftData={};
                            // $U.showToast(data.errorMsg||"未查询到数据");
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });
            };
            //草稿箱点击事件->点击跳转到投保页面
            $scope.draftsEvent = function (bean,$event) {
                if($scope.editCheck==false){
                    $handleService.http({
                        url: "/temp/tempDetail?tempNo="+bean.tempNo + "&applyPolicyFlag="+bean.applyPolicyFlag,
                        method: 'GET',
                        success: function (data) {
                            $handleService.logger("object", data, "机动车网络草稿箱详情数据--》");
                            $rootScope.tempNo = ""; //报价进入清除暂存单号       
                            if(data.resultCode == "0") {
                                //$rootScope.carBeans=angular.extend($rootScope.carBeans, data);
                                $handleService.reModifyPolicyData(data.result);
                                // 提核前置触碰规则暂存单处理
                                if(data.result.undrRuleResults && $U.isNotEmpty(data.result.undrRuleResults)){
                                    $rootScope.errorResult=$handleService.showQzErrorMsg(data.result.undrRuleResults);
                                }else{
                                    $rootScope.errorResult={
                                        showIcon:false
                                    }
                                }

                                //判断 如果是全民营销 走 owinfoweb 否则 走 owinfo
                                var _page = window.requestParam.webSources ? "tab.owinfoweb" :"tab.config";
                                var options = {
                                    SU_CODE: 'DRAFTS'
                                }
                                //无投保单为编辑操作，需要关联暂存单
                                if(bean.applyPolicyFlag!='1'){
                                    options.TEMP_NO = bean.tempNo; 
                                }
                                $state.go(_page, options);
                            } else {
                                $handleService.showAlert("提示", data.errorMsg);
                            }

                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                            $rootScope.tempNo = "";
                        }
                    });

                }else{
                    var judge1=$($event.target).parents('.item-thumbnail-left').find('.hide').length;
                    if(judge1==0){
                        $($event.target).parents('.item-thumbnail-left').css('background','#fff').find('.show').removeClass('show').addClass('hide');
                        angular.forEach($scope.deleteArr.data,function (data,index,arr) {
                            if(data.tempNo==bean.tempNo){
                                $scope.deleteArr.data.splice(index,1);
                            }
                        })
                    }else{
                        $($event.target).parents('.item-thumbnail-left').css('background','#d9d9d9').find('.hide').removeClass('hide').addClass('show');
                        $scope.deleteArr.data.push(bean.tempNo);
                    }
                }
            };

            //草稿箱点击事件->点击跳转到摩托车投保页面
            $scope.draftsMotoEvent = function(bean,$event) {
                if($scope.editCheck==false){
                    //判断 如果是全民营销 走 owinfoweb 否则 走 owinfo
                    var _page = "tab.motoIndex";//window.requestParam.webSources ? "tab.motoIndex" :"tab.owinfo";
                    //报价信息赋值
                    $rootScope.MotoCAR = angular.copy(bean.drafts_text);
                    //草稿箱进入时删除保单号，订单号，报价单号

                    //清空订单号
                    $rootScope.MotoCAR.orderNo = '';
                    angular.forEach($rootScope.MotoCAR.riskList, function(item) {
                        item.proposalNo = "";
                        item.quotationNo = "";
                    });

                    $state.go(_page, {SU_CODE: 'DRAFTS'});
                }else{
                    var judge1=$($event.target).parents('.item-thumbnail-left').find('.hide').length;
                    if(judge1==0){
                        $($event.target).parents('.item-thumbnail-left').css('background','#fff').find('.show').removeClass('show').addClass('hide');
                        angular.forEach($scope.deleteArr.data,function (data,index,arr) {
                            //车牌和发动机号相同时
                            if(data.vhl_frm==bean.vehicle.frameNo && data.lcn_no==bean.vehicle.licenseNo){
                                $scope.deleteArr.data.splice(index,1);
                            }
                        })
                    }else{
                        $($event.target).parents('.item-thumbnail-left').css('background','#d9d9d9').find('.hide').removeClass('hide').addClass('show');
                        $scope.deleteArr.data.push({lcn_no:bean.lcn_no,vhl_frm:bean.vhl_frm});
                    }
                }
            }


        })();



        //--------------------------------------------------  begin 公共方法 --------------------------------------------------//
        var Handle = (function (handle) {


            //车险、摩托车险投保流程中进入草稿箱控制
            handle.showDraftsType = function() {
                if($scope.draftsType == "car") { //车险进入时
                    $("#tab_internet_data").show();
                    $("#tab_location_data").hide();
                } else if($scope.draftsType == "moto") { //摩托车险进入时 只显示摩托车
                    $("#tab_internet_data").hide();
                    $("#tab_location_data").show();
                }
                if(store.searchDraftData&&store.searchDraftData.duringDate){
                    $scope.carTips ='已从近'+store.searchDraftData.duringDate+'天数据里查询到相关记录';
                    $scope.motoTips ='以下为'+store.searchDraftData.duringDate+'天内报价记录';
                }else{
                    $scope.carTips ='已默认查询最新的'+50+'条报价记录';
                    $scope.motoTips ='以下为'+30+'天内报价记录';
                }

            };
            handle.draftsDataHandle = function (params) {
                var _resultArray = [];
                angular.forEach(params, function (item, index, array) {
                    if(item.drafts_text) {
                        item.drafts_text = JSON.parse(item.drafts_text);
                        _resultArray.push(item);
                    }
                });
                return _resultArray;
            };

            return handle;
        })(Handle || {});
        //--------------------------------------------------  end   公共方法 --------------------------------------------------//


        $scope.search = function(){
            $scope.searchData = $('#keywords').val()||'';
            store.searchDraftData = {}; //清空更多报价搜索里面的搜索条件
            if($scope.searType == 'moto'){
                $scope.motoLoading();
            }else{
                $scope.netLoading(1);//判断carTips文案标识
            }
        };
        $scope.editChange=function () {
            $scope.editCheck=!$scope.editCheck;
            if($scope.editCheck==false){
                var arr=[];
                if($scope.netOrLoc==false){
                    arr=angular.element('.net-drafts-box').find('.ion-checkmark-circled');
                }else{
                    arr=angular.element('.loc-drafts-box').find('.ion-checkmark-circled');
                }

                angular.forEach(arr,function (data,index,arr) {
                    $(data).removeClass('show').addClass('hide').parents('.item-thumbnail-left').css('background','#fff');
                    $scope.deleteArr.data=[];
                })
            }

        };

        $scope.selectAll=function () {
            var arr=[];
            $scope.deleteArr.data=[];
            if($scope.netOrLoc==false){
                arr=angular.element('.net-drafts-box').find('.ion-checkmark-circled');
                angular.forEach($scope.netVm.NET_DRAFTS_LIST,function (data,index,arr) {
                    $scope.deleteArr.data.push(data.tempNo)
                });
            }else{
                arr=angular.element('.loc-drafts-box').find('.ion-checkmark-circled');
                angular.forEach($scope.locVm.LOC_DRAFTS_LIST,function (data,index,arr) {
                    $scope.deleteArr.data.push({lcn_no:data.lcn_no,vhl_frm:data.vhl_frm})
                });
            }
            angular.forEach(arr,function (data,index,arr) {
                $(data).removeClass('hide').addClass('show').parents('.item-thumbnail-left').css('background','#d9d9d9');
            });

        };
        //跳转到精确查找
        $scope.searDraftList = function(type) {
            if(type == "moto") {
                $state.go('tab.draftsListmore',{draftdata: "moto"});
            } else {
                $state.go('tab.draftsListmore',{draftdata: "car"});
            }
        }
        //删除
        $scope.deleteDate=function () {
            if($scope.deleteArr.data.length==0){
                $U.showToast('请选择需要操作的选项');
                return
            }

            if($scope.netOrLoc==false) {
                $handleService.showConfirm({
                    title: '刪除前确认',
                    template: '您确定要删除吗？',
                    sure: function () {
                        $handleService.http({
                            url: "/temp/deleteTempInfo",
                            method: 'POST',
                            data: $scope.deleteArr.data,
                            success: function (data) {
                                $handleService.logger('object', data, '机动车我的报价删除接口');

                                if (data.resultCode == "0") {
                                    angular.forEach($scope.deleteArr.data,function (item) {
                                        angular.forEach($scope.netVm.NET_DRAFTS_LIST,function (data,index) {
                                            if(item==data.tempNo){
                                                $scope.netVm.NET_DRAFTS_LIST.splice(index,1);
                                            }
                                        })
                                    })
                                }else{
                                    $U.showToast(data.errorMsg);
                                }
                            },
                            error: function (ex) {
                                $handleService.logger('error', '撤单异常' + ex);
                            }
                        });
                    }
                });
            } else {
                $handleService.showConfirm({
                    title: '刪除前确认',
                    template: '您确定要删除吗？',
                    sure: function () {
                        $handleService.motoHttp({
                            url: $interFace.motoMainFace,
                            method: 'POST',
                            headers: {
                                method: 'deleteDrafts'
                            },
                            data: $scope.deleteArr,
                            success: function (data) {
                                $handleService.logger('object', data, 'Moto我的报价删除接口');

                                if(data.resultCode == "0") {
                                    angular.forEach($scope.deleteArr.data,function (item) {
                                        angular.forEach($scope.locVm.LOC_DRAFTS_LIST,function (data,index) {
                                            if(item.lcn_no==data.lcn_no && item.vhl_frm==data.vhl_frm){
                                                $scope.locVm.LOC_DRAFTS_LIST.splice(index,1);
                                            }
                                        })
                                    });
                                    $U.showToast(data.errorMsg);
                                }

                            },
                            error: function (ex) {
                                $handleService.logger('error', '撤单异常' + ex);
                            }
                        });
                    }
                });
            }
        };

    });
    return app;
});
