define(['services/app.general.service', 'directives/app.directives', 'services/app.jpush.service', 'filters/app.filters'], function () {
    'use strict';
    var app = angular.module('app.indexNewController', ['app.general.service', 'app.directives', 'app.jpush.service', 'app.filters']);
    //展业首页控制器
    app.controller('iconMoreController', function ($scope, $rootScope, $generalService, $handleService, $interFace, $ionicSlideBoxDelegate, $state, $ionicHistory, $jpushService) {
        //--------------------------------begin 全局监听--------------------------------//
        $scope.salesAccessType  = '1'; //默认团队经理权限
        $scope.editFlag = 0;
        $scope.editText = '编辑';
        $rootScope.isRelation = false;//首页跳转关联车险保单
        $rootScope.hasRelationPolicy = false;//是否有关联保单
        $rootScope.failtgetCode = false;//是否扫码失败
        $rootScope.relationCarList = [];//关联保单车险列表
        $rootScope.relationMotoCarList = [];//关联保单摩托车列表
        $rootScope.relationCarMoreList = [];//关联保单车险更多列表
        $rootScope.relationMotoCarMoreList = [];//关联保单摩托车更多列表
        $rootScope.isDeliveryRelation = false;//是否保单配送关联列表
        $rootScope.isOnlyCompany = false;//关联保单时弹窗控制显示快递单号很快递公司
        $rootScope.relationInfo = {//扫码录入数据
            logisticCode:'',//快递单号
            companyCode: '',//快递公司code
            companyName:'',//快递公司name
            phone4: '',//手机后四位
            receiverProvince: '',//收件人省
            receiverCity:'',//收件人市
            receiverDistrict: '',//收件人区
            receiverName: '',//收件人姓名
            receiverAddress: '',//收件人详细地址
            receiverMobile: ''//收件人电话
        };
        //首页网格模块入口
        //isBeta 热门
        //isNew 新品
        $scope.gridAppSwiper = {
            items: [
                {
                    id:1001,
                    name: '车险投保',
                    icon: 'images/newicon/zsbf_icon_zsbicon_chexiantoubao.png',
                    event: 'gotoConfig()',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:3001,
                    name: '车险续保',
                    icon: 'images/newicon/zsbf_icon_zsbicon_chexianxubao.png',
                    event: 'gotoPage_Qrenewal("tab.configRenewal")',
                    isHome:'',
                    type:'renewalMenu',
                },
                {
                    id:1002,
                    name: '验车编码',
                    icon: 'images/newicon/zsbf_icon_zsbicon_yanchebianma.png',
                    event: 'gotoPage("tab.validateCarNum")',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:2001,
                    name: '非车投保',
                    icon: 'images/newicon/zsbf_icon_zsbicon_feichetoubao.png',
                    event: 'openUrl("nocar")',
                    isHome:'',
                    type:'marketMenu',
                },
                {
                    id:3002,
                    name: '续保跟进',
                    icon: 'images/newicon/zsbf_icon_zsbicon_xubaogenjin.png',
                    event: 'openSalesPerform("xubaogenjinUrl")',
                    isHome:'',
                    type:'renewalMenu',
                },
                {
                    id:1003,
                    name: '进度查询',
                    icon: 'images/newicon/zsbf_icon_zsbicon_jinduchaxun.png',
                    event: 'gotoPage("tab.oderSetbacksList", {PAGE_CHANNAL: "LIST"})',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:2002,
                    name: '个人微店',
                    icon: 'images/newicon/zsbf_icon_zsbicon_gerenweidian.png',
                    event: 'shop()',
                    isHome:'',
                    type:'marketMenu',
                },
                {
                    id:2003,
                    name: '展业软文',
                    icon: 'images/newicon/zsbf_icon_zsbicon_zhanyeruanwen.png',
                    event: 'advertorial()',
                    isHome:'',
                    type:'marketMenu',
                },
                {
                    id:2004,
                    name: '展业海报',
                    icon: 'images/newicon/zsbf_icon_zsbicon_zhanyehabao.png',
                    event: 'myPoster()',
                    isHome:'',
                    type:'marketMenu',
                },
                {
                    id:1004,
                    name: '我的报价',
                    icon: 'images/newicon/zsbf_img_zsbicon_wodebaojia.png',
                    event: 'gotoPage("tab.draftsList2")',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:4001,
                    name: '我的业绩',
                    icon: 'images/newicon/zsbf_icon_zsbicon_wodeyeji.png',
                    event: 'gotoPage("tab.trackRecord", {TYPE: "CAR"})',
                    isHome:'',
                    type:'othersMenu',
                },
                {
                    id:1005,
                    name: '验车影像',
                    icon: 'images/newicon/zsbf_icon_zsbicon_yancheyingxiang.png',
                    event: 'gotoPage("tab.imagesFValidate")',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:1006,
                    name: '车险保单',
                    icon: 'images/newicon/zsbf_icon_zsbicon_chexianbaodan.png',
                    event: 'gotoPage("tab.policySearch")',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:1007,
                    name: '违章查询',
                    icon: 'images/newicon/zsbf_icon_zsbicon_weizhangchaxun.png',
                    event: 'openPeccancyQuery()',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:1008,
                    name: '摩托车投保',
                    icon: 'images/newicon/zsbf_icon_zsbicon_motuochexian.png',
                    event: 'openMoto()',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:1009,
                    name: '车险理赔',
                    icon: 'images/newicon/zsbf_icon_zsbicon_chexianlipei.png',
                    event: 'openSalesPerform("lipeigenjinUrl")',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:1010,
                    name: '保单配送',
                    icon: 'images/newicon/zsbf_icon_zsbicon_baodanpeisong.png',
                    event: 'goToPolicyDelivery()',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:2005,
                    name: '活动专区',
                    icon: 'images/newicon/zsbf_icon_zsbicon_huodongzhuanqu.png',
                    event: 'openActivity()',
                    isHome:'',
                    type:'marketMenu',
                },
                {
                    id:2006,
                    name: '激活卡',
                    icon: 'images/newicon/zsbf_icon_zsbicon_jihuoka.png',
                    event: 'openVirtualActivateCard()',
                    isHome:'',
                    type:'marketMenu',
                },
                {
                    id:2007,
                    name: '优惠券',
                    icon: 'images/newicon/zsbf_icon_zsbicon_youhuiquan.png',
                    event: 'openCoupon()',
                    isHome:'',
                    type:'marketMenu',
                },
                // {
                //     name: '渤海人寿',
                //     icon: 'images/icon/bohai-icon.png',
                //     event: 'selfInsurance()',
                //     disabled: true
                // },
                // {
                //     name: '中宏寿险',
                //     icon: 'images/icon/icon-zh.png',
                //     event: 'openMainSino()',
                //     disabled: true
                // },

                // {
                //     name: '续保清单',
                //     icon: 'images/newicon/zsbf_icon_zsbicon_chexianpigai.png',
                //     event: 'openSalesPerform("xubaoqingdanUrl")',
                // },
                // {
                //     id:3003,
                //     name: '我的续保',
                //     icon: 'images/newicon/zsbf_icon_zsbicon_wodexubao.png',
                //     event: 'gotoPage("tab.renewalnew")',
                //     isHome:'',
                //     type:'renewalMenu',
                // },
                {
                    id:3004,
                    name: '续保统计',
                    icon: 'images/newicon/zsbf_icon_zsbicon_xubaotongji.png',
                    event: 'openSalesPerform("xubaotongjiUrl")',
                    isHome:'',
                    type:'renewalMenu',
                },
                {
                    id:4002,
                    name: '个人绩效',
                    icon: 'images/newicon/zsbf_icon_zsbicon_gerenjixiao.png',
                    event: 'openSalesPerform("gerenjixiaoUrl")',
                    isHome:'',
                    type:'othersMenu',
                },
                {
                    id:4003,
                    name: '签到',
                    icon: 'images/newicon/zsbf_icon_zsbicon_qiandao.png',
                    event: 'signIn()',
                    isHome:'',
                    type:'othersMenu',
                },
                {
                    id:4004,
                    name: '扫一扫',
                    icon: 'images/newicon/zsbf_icon_zsbicon_saoyisao2.png',
                    event: 'getCode()',
                    isHome:'',
                    type:'othersMenu',
                },
                {
                    id: 4005,
                    name: '移动打卡',
                    icon: 'images/newicon/zsbf_icon_zsbicon_daka.png',
                    event: 'checkIn()',
                    isHome: '',
                    type: 'othersMenu',
                },
                {
                    id:3005,
                    name: '续保清单',
                    icon: 'images/newicon/zsbf_icon_zsbicon_xubaoqingdan.png',
                    event: 'openSalesPerform("xubaoqingdanUrl")',
                    isHome:'',
                    type:'renewalMenu',
                }

            ],
            countInPage: 11,
            countInRow: 3,
            homeMenu:[],
            carInsuranceMenu: [],
            marketMenu:[],
            renewalMenu:[],
            othersMenu:[],
            init: function(){
                $scope.getUserMenu();
            },
            filterActiveItems: function () {
                var items = this.homeMenu;
                var activeItems = [];
                for (var j in items) {
                    var item = items[j];
                    if (!item.disabled) {
                        activeItems.push(item);
                    }
                }
                return activeItems;
            },
        };
        $scope.getDeptCode = function (){
            if($U.getDeptCode()) {
                var $deferredConfig = $.Deferred(), $deferredAccessType = $.Deferred();
                $handleService.getConfigSwitch(function(){
                    $deferredConfig.resolve();
                });
                //获取业务员权限
                $handleService.motoHttp({
                    url: $interFace.salesPerformMainFace + '/personalPerformance/findAssessType',
                    method: 'POST',
                    params: {
                        salesCode: $U.sessionHandle.getSession("SLS_INFO").employCode,
                    },
                    success: function (data) {
                        if(data.resultCode == '0'){
                            $scope.salesAccessType = data.result;
                            /*
                            1-客户经理,2-团队按客户经理考核,3-团队经理考核,4-团队经理按机构经理考核,
                            5-机构经理按团队经理考核,6-机构经理考核,7-机构经理按客户经理考核,9-无
                            */
                        }
                        $deferredAccessType.resolve();
                    },
                    error: function(err){
                        $deferredAccessType.resolve();
                    }
                });
                $.when($deferredConfig, $deferredAccessType).then(function () {
                    $scope.gridAppSwiper.init();
                });
            }
        }
        $scope.getDeptCode();
        //全局获取绑定资格证
        $handleService.getBindSaleCodeFun();
        //节流方法
        var throttle = function(func, delay) {            
            　　var prev = Date.now();            
            　　return function() {                
            　　　　var context = this;                
            　　　　var args = arguments;                
            　　　　var now = Date.now();                
            　　　　if (now - prev >= delay) {                    
            　　　　　　func.apply(context, args);                    
            　　　　　　prev = Date.now();                
            　　　　}            
            　　}        
            };
        //--------------------------------end   全局监听--------------------------------//

        //--------------------------------begin   内部方法--------------------------------//
        //全局工具方法 跳转链接
        var Handle = (function (handle) {
            //获取用户信息
            handle.getUInfo = function () {
                return $U.sessionHandle.getSession("SLS_INFO")
            };
            //拼接URL
            handle.mosaicUrl = function (url) {
                var _self = this;

                var slsInfo = _self.getUInfo();
                if (url.indexOf('activity=huiyuanchengzhang') >= 0) {
                    var phone = slsInfo.phone;
                    var plat = slsInfo.plat;
                    var salesmanCname = slsInfo.salesmanCname;
                    var employCode = slsInfo.employCode;
                    var sign = slsInfo.sign;
                    var deptCode= slsInfo.deptCode;
                    url = url + '&mobile=' + phone + '&nick=' + salesmanCname + '&plat=' + plat + '&plat_user_id=' + employCode + '&sign=' + sign + '&deptcode=' + deptCode;
                }else{
                    var phone = slsInfo.phone;
                    var salesmanCname = slsInfo.salesmanCname;
                    var employCode = slsInfo.employCode;
                    url = url +
                        "&userName=" + salesmanCname +
                        "&userMobile=" + phone +
                        "&salesCode=" + employCode;
                }

                return url;
            };
            //检查 是否绑定了手机号
            handle.checkBPhone = function (opts) {
                var _self = this;
                var options = {
                    message: "您未绑定手机号",
                    success: function () {},
                    fail: function () {}
                };
                angular.extend(options,opts);
                //如果未绑定手机号 跳转到绑定页面
                if ($U.isEmpty(_self.getUInfo().phone)) {
                    $U.showToast(options.message);
                    $state.go('tab.bindPhoneIndex');
                    options.fail();
                }
                else{
                    options.success();
                }
            };
            handle.recNowDate = function () {
                var nex = new Date();
                nex.setDate(nex.getDate());
                return nex.format('yyyy-MM-dd');
            };
            handle.recNxtWeek = function () {
                var nex = new Date();
                nex.setDate(nex.getDate() + 7);
                return nex.format('yyyy-MM-dd');
            };
            handle.recNxtDay = function () {
                var nex = new Date();
                nex.setDate(nex.getDate() + 1);
                return nex.format('yyyy-MM-dd');
            };

            //下3个月
            handle.recNxtThreeMonth = function () {
                var nex = new Date();
                nex.setMonth(nex.getMonth() + 3);
                return nex.format('yyyy-MM-dd');
            };

            //获取非车本周待续保数据
            handle.queryNocarHasRenew = function() {
                var slsCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
                var subObj = {
                    "salesCode": slsCode,   			//业务员代码
                    "startDate":Handle.recNowDate(),		//	开始时间
                    "endDate": Handle.recNxtWeek()			//结束时间
                }

                $handleService.nocarHttp({
                    url: $interFace.nocarGetNotice,
                    method: 'POST',
                    data: subObj,
                    success: function (data) {
                        $handleService.logger('object', data, '非车下月可续保-》');
                        if (data.resultCode == "000000") {
                            $scope.nocarMonthRenewNumber = (data.resultData || "0");
                        }
                    }
                })
            }
            //获取车险最近可续保单数
            handle.queryRenewal = function() {
                var slsCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
                var subObj = {
                    PolicyNo: '',
                    InsureEndStartDate: Handle.recNxtDay() + " 00:00:00",
                    InsureEndDate: Handle.recNxtThreeMonth() + " 23:59:59",
                    SalesmanCode: slsCode,//slsCode,
                    LicenseNo: '', //车牌
                    FrameNO: '', //车架号
                    InsureIdNumber: '', //被保险人证件号码
                    InsuredName: '',  //被保人姓名
                    Start: 0,
                    Length: 20,
                    InterfaceId: '234562564568576', //交易ID
                    OrderType: '0' // 0正序 1倒序   排序
                };

                $handleService.http({
                    url: $interFace.motoMainFace,
                    method: 'POST',
                    headers: {
                        method: 'queryRenewalList'
                    },
                    data: subObj,
                    success: function (data) {

                        $handleService.logger('object', data, '车险下月可续保-》');
                        $scope.carMonthRenewNumber = data.countNum ||'0';
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });

            };
            //调用摄像头扫码
            handle.getCanner = function() {
                var regnum = /\d{7,30}/;
                if(!cordova.plugins.barcodeScanner){
                    $U.showToast('请安装最新安装包');
                }else{
                    cordova.plugins.barcodeScanner.scan(
                        function (result) {
                            if(result.text.indexOf('=')>-1 && regnum.test(result.text.split('=')[1])){
                                $rootScope.relationInfo.logisticCode = result.text.split('=')[1]
                            }else if(regnum.test(result.text)){
                                $rootScope.relationInfo.logisticCode = result.text
                            }else if(result.text){
                                $rootScope.isRelation = true;
                                $rootScope.failtgetCode = true;
                                $state.go("tab.policySearchNumber");
                                return;
                            }else{//没有任何返回值，返回首页
                                return;
                            }
                            $rootScope.failtgetCode = false;
                            $handleService.http({
                                url: '/policyDelivery/getExpressCompanyByExpressNo?logisticCode='+$rootScope.relationInfo.logisticCode,
                                method: 'GET',
                                success: function (data) {
                                    $handleService.logger('object', data, '扫一扫快递单号查询保单');
                                    if(data.resultCode == '0'){
                                        $rootScope.expressCompanyList = data.result;
                                        if($rootScope.expressCompanyList.length==1){//如果只返回一个快递公司,直接查询关联保单
                                            $rootScope.relationInfo.companyCode = $rootScope.expressCompanyList[0].shipperCode;
                                            $rootScope.relationInfo.companyName = $rootScope.expressCompanyList[0].shipperName;
                                            $handleService.http({//查询关联保单
                                                url:'/policyDelivery/queryOrderListByLogisticCode?logisticCode='+$rootScope.relationInfo.logisticCode+'&shipperCode='+$rootScope.relationInfo.companyCode,
                                                method: 'GET',
                                                success: function (res){
                                                    if(res.resultCode == "0") {//有关联保单
                                                        if(res.result){//有关联保单
                                                            $handleService.logger('object', res, '根据快递单号和快递公司查询配送订单');
                                                            $rootScope.relationPolicyList = res.result;
                                                            $rootScope.isRelation = false;
                                                            $rootScope.hasRelationPolicy = true;
                                                        }else{//没有关联保单  
                                                            $rootScope.isRelation = true;
                                                            $rootScope.hasRelationPolicy = false;
                                                            $rootScope.isOnlyCompany = true;//只有一条快递公司跳转显示录入快递单号
                                                        }
                                                        $state.go('tab.policySearch')
                                                    }
                                                },
                                                error: function (ex) {
                                                    $handleService.logger('error', ex);
                                                }
                                            })
                                        }else{//如果没有查询到快递公司或多条快递公司跳转手动录入信息
                                            $rootScope.isRelation = true;
                                            $rootScope.isOnlyCompany = false;//多条快递公司跳转录入页，关联时不显示录入信息
                                            $state.go("tab.policySearchNumber");
                                        }
                                    }else{
                                        $U.showToast(data.errorMsg)
                                    }
                                },
                                error: function (ex) {
                                    $handleService.logger('error', ex);
                                }
                            });
                        },
                        function (error) {
                            $U.showToast(error);
                        }
                    );
                }  
            }
            return handle;
        })(Handle || {});
        //--------------------------------end    内部方法--------------------------------//


        $scope.gotoPage = function(routeName, opts){
            if((routeName =='tab.oderSetbacksList'||routeName =='tab.draftsList2') &&!$scope.checkInsuranceLicense()){
                return;//执业资格证检测 1112期
            }
            $state.go(routeName, opts||{});
        };

        $scope.gotoPage_Qrenewal = function(routeName){
            // var salesmanCode = $handleService.sessionHandle.getSession("SLS_INFO").employCode;
            // var sign = encodeURIComponent($handleService.sessionHandle.getSession("SLS_INFO").sign);
            // var Qick_Renewal_URL = (JSON.parse(window.localStorage.getItem('Q_Renewal_Info')) || {} )[salesmanCode];
            // if(Qick_Renewal_URL){
            //     if(Qick_Renewal_URL.indexOf('&sign=') == -1){
            //         Qick_Renewal_URL = Qick_Renewal_URL + '&sign=' + sign;
            //     }
            //     $handleService.openUrl(Qick_Renewal_URL, {
            //         shareFlag: false,
            //     });
            // }else{
            //
            // }
            if(!$scope.checkInsuranceLicense()){
                return;
            }
            $state.go(routeName);
        }

        $scope.closeNotice = function() {
            $scope.showRenewalNotice = false;
        }

        $scope.gotoConfig = function() {
            if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
                return;
            }
            $ionicHistory.clearCache();
            $rootScope.carBeans.base.frmNoFlag = '';
            $state.go("tab.config",{SOURCE:'index'});
        }

        $rootScope.gotoTheIndex = function() {
            $ionicHistory.clearCache();
            // //判断新首页可见性
            // if($rootScope.isNewHome){
            //     $state.go("tab.mitNewIndex");
            // }else{
            //     $state.go("tab.mitIndex");
            // }
            $state.go("tab.mitNewIndex");
        }

        //1.车险投保点击事件
        $scope.carInsBuy = function () {
            $generalService.foreCastRedPag();
        };

        //我的海报
        $scope.myPoster = function () {
            if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
                return;
            }
            Handle.checkBPhone({
                message:"温馨提示：您还未绑定手机，请绑定手机号",
                success: function () {

                    //获取 处理 后的url
                    var url = $interFace.myPosterUrl+"?";
                    var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
                    var salesmanCname = $U.sessionHandle.getSession("SLS_INFO").salesmanCname;
                    var employCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
                    url = url + "userName=" + salesmanCname + "&userMobile=" + phone + "&salesCode=" + employCode;
                    $handleService.openUrl(url, {
                        shareFlag: false,
                        otherOptions: {
                        }
                    });
                }
            });
        };

        //优惠卷跳转
        $scope.openCoupon = function () {
            var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
            if ($U.isEmpty(phone)) {
                $U.showToast('温馨提示：您还未绑定手机，请绑定手机立享优惠');
                $state.go('tab.bindPhoneIndex');
            }
            else {
                var url = $interFace.couponUrl + $U.sessionHandle.getSession("SLS_INFO").userId + "&agentcode=" + $U.getSlsCode();
                $handleService.openUrl(url, {
                    shareFlag: false,
                    otherOptions: {
                    }
                });
            }
        };
        //打开中宏寿险页面
        $scope.openMainSino = function () {
            var  saleCode =$U.sessionHandle.getSession("SLS_INFO").employCode;
            $handleService.openUrl($interFace.ZHlifeInsureUrl+'saleCode='+saleCode,{
                closeFlag: true,
                backCallBack:function (browser, closeFlag) {
                    console.log(browser)
                    if(closeFlag) {
                        browser.close();
                    }

                }
            });
        }
        //活动专区跳转
        $scope.openActivity = function () {
            var url = $interFace.activityUrl;
            $handleService.openUrl(url, {
                shareFlag: false,
                otherOptions: {
                }
            });
        };
        //跳转展业软文
        $scope.advertorial = function(){
            if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
                return;
            }
            Handle.checkBPhone({
                message:"温馨提示：您还未绑定手机，请绑定手机号",
                success: function () {
                    var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                    var phone = slsInfo.phone;
                    var url =  $interFace.advertorialUrl
                        +
                        'salesCode=' + slsInfo.employCode  //工号
                        + "&sign=" + slsInfo.sign + "&token=" + slsInfo.token
                        +
                        '&phone=' + phone; //电话号码
                    $handleService.openUrl(url, {
                        shareFlag: false,
                        otherOptions: {
                        },
                        backCallBack:function (browser) {
                            cordova.ThemeableBrowser.getCurLocation(function (url) {
                                //截取后面 URL 参数
                                // if(url.indexOf('advertorial.jhtml')!=-1||url.indexOf('chexian.jhtml')!=-1||url.indexOf('knowledge.jhtml')!=-1||url.indexOf('bxkepu.jhtml')!=-1){
                                //     browser.close();
                                // }
                            });
                        }
                    });

                }
            });

        };
        // 跳转渤海人寿
        $scope.selfInsurance = function() {
            var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
            var salesmanCname = $U.sessionHandle.getSession("SLS_INFO").salesmanCname;
            var url =  $interFace.selfInsurance
                +
                'salesCode=' + $U.sessionHandle.getSession("SLS_INFO").employCode  //工号
                +
                '&phone=' + phone //电话号码
                +
                '&salesmanCname=' + salesmanCname; //销售员姓名

            $handleService.showConfirm({
                title: '温馨提示',
                template: '为支持完整的投保流程，将跳转到浏览器打开页面。请勿将链接分享给他人，该链接分享后将无法使用。',
                buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
                    text: '取消',
                    type: 'button-cfirm-cancle',
                    onTap: function (e) {
                        return false;
                    }
                }, {
                    text: '在浏览器打开',
                    type: 'button-cfirm-ok',
                    onTap: function (e) {
                        return true;
                    }
                }],
                sure: function () {
                    $handleService.openUrl(url, {
                        shareFlag: false,
                        type: "_system",
                        otherOptions: {
                        },
                    });
                }
            });
        };

        //跳转个人微店
        $scope.shop = function(){
            if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
                return;
            }
            var url =  $interFace.shopUrl + '?salesCode=' + $U.sessionHandle.getSession('SLS_INFO').employCode + '?salesmanCode=' + $U.sessionHandle.getSession('SLS_INFO').salesmanCode;  //工号;
            $handleService.openUrl(url, {
                shareFlag: false,
                otherOptions: {
                }
            });
        };
        //违章查询跳转
        $scope.openPeccancyQuery = function () {
            Handle.checkBPhone({
                message:"温馨提示：您还未绑定手机，请绑定手机号",
                success: function () {
                    var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
                    var userId = $U.sessionHandle.getSession("SLS_INFO").userId;
                    var url = $interFace.peccancyQueryUrl;
                    if (!$U.isEmpty(phone)) {
                        url = url + "operator=" + userId + "&phone=" + phone;
                    }
                    else {
                        url = url + "operator=" + userId;
                    }
                    $handleService.openUrl(url, {
                        shareFlag: false,
                        otherOptions: {
                        }
                    });
                }
            });
        };
        //我的签到
        $scope.signIn=function () {
            var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
            var employCode = slsInfo.employCode;
            var phone = slsInfo.phone;
            var plat = slsInfo.plat;
            var salesmanCname = slsInfo.salesmanCname;
            var sign = slsInfo.sign;
            var url = $interFace.signInUrl + '&mobile=' + phone + '&nick=' + salesmanCname + '&plat=' + plat + '&plat_user_id=' + employCode + '&sign=' + sign;
            $handleService.openUrl(url, {
                shareFlag: false,
                otherOptions: {
                }
            });
        };

        //移动打卡
        $scope.checkIn = function () {
            var slsInfo = $U.sessionHandle.getSession("SLS_INFO"),
                device = $U.sessionHandle.getSession("deviceId"),//+ '&deviceId=' + deviceId
                salesmanCname = encodeURIComponent(slsInfo.salesmanCname),
                salesmanCode = encodeURIComponent(slsInfo.salesmanCode);
            var deviceId;
            if(device == '' && device != null && device != undefined){
                device = device.split('');
                device.shift();
                device.pop();
                deviceId = device.join("")
            }
            var url = $interFace.checkInUrl + 'salesmanCname=' + salesmanCname + '&salesmanCode=' + salesmanCode + '&route=iconMore' + '&deviceId=' + deviceId;
            $jpushService.openUrl(url, {
                shareFlag: false,
                toolbar: {
                    height: 0,
                    color: '#e13c36'
                }
            });
        };
        //摩托车控制
        $scope.openMoto = function() {
            if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
                return;
            }
            if($rootScope.hasMotoFlag) {
                $state.go("tab.motoIndex");
            } else {
                $U.showToast("该区域暂未开放摩托车投保，请与分公司车险部沟通确认");
            }
        }

        //打开第三方页面
        $scope.openUrl = function (type) {
            switch (type) {
                case "learn":
                    $handleService.openUrl($interFace.learningUrl, {
                        shareFlag: false
                    });
                    break;
                case "nocar":
                    if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
                        return;
                    }
                    $handleService.uMengListen("noCarPrd");
                    //打开非车链接
                    $handleService.openUrl($interFace.policyUrl + $handleService.getBindSalesCodeOrSalesCode() + "&deptCode=" + $U.getDeptCode(), {
                        shareFlag: true,
                        otherOptions: {
                        },
                        shareCallBack: function () {  //非车分享 每次要获取分享参数
                            //获取当前URL
                            cordova.ThemeableBrowser.getCurLocation(function (url) {
                                //截取后面 URL 参数
                                var _params = url.split("?")[1];
                                //Angular ajax 不支持同步 用Jquery
                                $.ajax({
                                    url: $interFace.policyShareInfo + _params + "&share=zhanye-app-share",
                                    async: false,
                                    success: function (data) {
                                        $handleService.logger("object", data, "非车分享参数获取接口返回结果--》");
                                        var _options = {
                                            title: "华安保险微商城，您的保险掌上管家",
                                            text: "在线投保、理赔服务、保单查询一站式轻松解决,随时随地满足您的保险需求！",
                                            url: $interFace.policyWeMall + $U.getSession("SLS_CDE"),
                                            imgUrl: "https://m.sinosafe.com.cn/tplresource/cms/www/shop/images/index/wexinLog.jpg",
                                        };
                                        if (data.resultCode == "000000") {
                                            _options = {
                                                title: data.shareInfo.SHARE_TITLE,
                                                text: data.shareInfo.SHARE_SUMMARY,
                                                url: url + "&share=zhanye-app-share",
                                                imgUrl: data.shareInfo.SHARE_PICTURE
                                            };
                                        }
                                        _options.siteUrl = _options.url;
                                        _options.titleUrl = _options.url;
                                        $handleService.logger("object", _options, "非车分享调用参数--》");
                                        //开始调用分享--------》
                                        $handleService.sharePanle(_options);
                                    }
                                });
                            });
                        }
                    });
                    break;
                default:
                    return false;
            }
        }

        //虚拟激活卡
        $scope.openVirtualActivateCard = function(){
            //检查是否绑定了手机号
            Handle.checkBPhone({
                message: "温馨提示：您还未绑定手机，请绑定手机号",
                success: function () {
                    var slsInfo = $U.sessionHandle.getSession('SLS_INFO');
                    var url = $interFace.virtualActivateCardUrl + '?userId=' + slsInfo.userId + '&salesmanCname=' + slsInfo.salesmanCname + '&deptCode=' + slsInfo.deptCode
                        + '&employCode=' + slsInfo.employCode + '&phone=' + slsInfo.phone + '&salesmanCode=' + slsInfo.salesmanCode;
                    $handleService.openUrl(url, {
                        shareFlag: false,
                        otherOptions: {
                        }
                    });
                },
                fail: function () {
                    //关闭 弹窗
                    $handleService.closeModule($scope.indexPop);
                }
            });
        };

        //打开个人工作平台
        $scope.openSalesPerform = function(interFaceName){
            if((interFaceName=='xubaoqingdanUrl'||interFaceName=='xubaogenjinUrl')&&!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
                return;
            }
            //团队经理、机构经理才有权限查看续保清单
            // salesAccessType
            // 1-客户经理,2-团队按客户经理考核,3-团队经理考核,4-团队经理按机构经理考核,
            // 5-机构经理按团队经理考核,6-机构经理考核,7-机构经理按客户经理考核,9-无
            if(interFaceName=='xubaoqingdanUrl' && (['3', '4', '5', '6'].indexOf($scope.salesAccessType)<0)){
                $U.showToast('温馨提示：您暂无权限访问');
                return;
            }
            var url = $interFace[interFaceName];
            $jpushService.openUrl(url, {
                shareFlag: false,
                toolbar: {
                    height: 0,
                    color: '#e13c36'
                }
            });
        };

        $rootScope.revSwitch = $U.sessionHandle.getSession("SLS_INFO").revSwitch; //是否支持复核
        $scope.select_index= 0;//默认选择
        $scope.renewalMenu = false;//续保分组 默认图标显示 控制参数
        $scope.othersMenu = false;//其他分组 默认图标显示 控制参数
        $scope.carInsuranceMenu = false;//车险分组 默认图标显示 控制参数
        $scope.marketMenu = false;//营销分组 默认图标显示 控制参数
        $scope.slideObj={
            isScroll : false,
            m_height:50,//标题高度
            scroll_height:0,//滚动条高度
            el:document.getElementById('scroll-box'),
            par :document.getElementById('tab-app'),
            parT :document.getElementById('tab-app1'),
            nav_menu:document.getElementById('tb-tab'),
            // wrapper : $('.has-header'),
            menuTop:0,//获取应用菜单距文档顶部位置
            height:$('.im-wrapper').height(),//最外层容器高度
            // c_height:,//最后一个应用框高度设为100%；
            tabName:['车险相关','营销','续保','其他'],//菜单

            topArr:[],
            init:function(){
                var _this =this;
                var el = _this.el;
                el.addEventListener('touchmove', this.scrollFn, false);
                el.addEventListener('scroll', this.scrollFn, false);
            },
            scrollFn:function(e){
                var flag = false;
                var _this = $scope.slideObj;
                _this.scroll_height =_this.el.scrollTop|| e.target.scrollTop;
                _this.nav_menu = document.getElementById('tb-tab');
                _this.par = document.getElementById('tab-app');
                _this.menuTop = angular.element(_this.par).prop('offsetTop');
                $('.more-type-app').eq(_this.topArr.length-1).height(_this.height+10);// 最后一个应用菜单 高度 设置为100%
                if(!_this.topArr.length){
                    $('.more-type-app').each(function(i,t){
                        _this.topArr.push(angular.element(t).prop('offsetTop'));// 获取每个应用菜单滚动条范围
                    });
                }
                if(!_this.isScroll){// 滚动改变菜单位置
                    for(var i=0; i<_this.topArr.length;i++){
                        var item = _this.topArr[i];
                        var nextItem = _this.topArr[i+1];
                        if(i == _this.topArr.length-1){
                            nextItem = 99999999;
                        }
                        if((_this.scroll_height>=item&&_this.scroll_height<nextItem)){ //滚动条处于哪个应用菜单范围内
                            $scope.select_index = i;
                            flag = true;
                            break;
                        }
                    }
                    if(_this.scroll_height >= (_this.menuTop+43)){
                        $('#scroll-box').css('top','92px');
                    }else{
                        $('#scroll-box').css('top','43px');
                    }
                    _this.height = $('.im-wrapper').height();
                    $('.more-type-app').eq(_this.topArr.length-1).height(_this.height+10);
                }else{// 滑动改变菜单位置
                    if(_this.scroll_height>=43+_this.menuTop-_this.m_height){ // 滚动调位置 大于 顶部菜单高度+内容中菜单高度-标题高度
                        $('#scroll-box').css('top','92px');
                    }else{
                        $('#scroll-box').css('top','43px');
                    }
                }
                if (flag) {
                    $scope.$apply();//强制刷新
                }
            },
            _css:function(ele,opt){
                angular.element(ele).css(opt);
            },
            activeAnimate:function(index){
                if(this.isScroll){
                    return ;
                }
                this.isScroll = true;
                $scope.select_index=index;//选中某一应用类别的下标

                $('#scroll-box').css('top','92px');
                this.slideTo(index);
            },
            slideTo:function(id){// 页面滑动
                var target = document.getElementById(id);
                var top = angular.element(target).prop('offsetTop');
                $('#scroll-box').animate({scrollTop:top-this.m_height+50},500,function() {
                    $scope.slideObj.isScroll = false;
                });
            }
        }
        $scope.slideObj.init();
        $scope.showEdit = function(type){
            var ele = document.getElementById('icon-drag');
            if(type==0){
                // 编辑状态
                $scope.editFlag = 1;
                $scope.editText = '确定';
                $scope.isTitle = true;//控制标题提示是否显示
                $scope.isBlock = true; //控制小图标是否显示
                //绑定拖拽事件
                // $scope.dragObj = new Sortable(document.getElementById('row-icon-list'), {
                //     animation: 150,
                // });
                [].forEach.call(ele.getElementsByClassName('row-icon-list'), function (el){
                    $scope.dragObj =  Sortable.create(el, {
                        group: 'photo',
                        animation: 200
                    },false);
                });
            }else{
                // 保存用户首页菜单
                $scope.saveUserMenu();
            }

        };
        //菜单应用排序
        $scope.sortF = function (a,b){
            return a.id - b.id;
        }
        // 编辑首页应用
        $scope.changeSort = function (item,index,type,e){
            //最多11个，最少一个
            if(($scope.gridAppSwiper.homeMenu.length<=1 && type == 0)){
                $U.showToast('首页应用最少允许删除至1个');
                return ;
            }
            if($scope.gridAppSwiper.homeMenu.length>=11 && type==1){
                $U.showToast('首页应用最多允许添加至11个');
                return ;
            }
            //从首页应用删除，添加到相应菜单，并排序
            if(type){
                //添加到首页应用
                item.isHome = true;
                $scope.gridAppSwiper.homeMenu.push(item);
                $scope.gridAppSwiper[item.type].splice(index,1);
            }else{
                //移除首页应用
                item.isHome = false;
                $scope.gridAppSwiper.homeMenu.splice(index,1);
                $scope.gridAppSwiper[item.type].push(item);
            }
            // 菜单应用 为空时  显示空应用图标
            if(!$scope.gridAppSwiper[item.type].length){
                $scope[item.type] =  true;
            }else{
                $scope[item.type] =  false;
            }
            $scope.gridAppSwiper[item.type].sort($scope.sortF);
        };
        //获取用户菜单
        $scope.getUserMenu = function(){
            $scope.gridAppSwiper.homeMenu = [];
            $handleService.http({
                url: "/menuManage/queryUserMenu?employCode="+$U.sessionHandle.getSession('SLS_INFO').employCode,
                method: 'GET',
                success: function (data) {
                    $handleService.logger("object", data, "用户菜单获取接口接口--》");
                    if(data.resultCode ==0){
                        var homePageMenu = data.result.homePageMenu;
                        var gridAppSwiper = $scope.gridAppSwiper;
                        //初始化各数组
                        gridAppSwiper.homeMenu = [];
                        gridAppSwiper.carInsuranceMenu = [];
                        gridAppSwiper.marketMenu = [];
                        gridAppSwiper.renewalMenu = [];
                        gridAppSwiper.othersMenu = [];
                        for(var j = 0;j<homePageMenu.length;j++){
                            for(var i in gridAppSwiper.items){
                                var item = gridAppSwiper.items[i];
                                // 摩托车险 广西、广东、贵州、云南可见
                                if($rootScope.isMotoShow){
                                    item.isMoto = true;
                                }else{
                                    item.isMoto = false;
                                }
                                //分类应用
                                if(homePageMenu[j] == String(item.id)){
                                    // 首页应用
                                    item.isHome = true;
                                    if((!$rootScope.isSendShow && item.id == '1010') || (!$rootScope.isSendShow && item.id == '4004') || (!item.isMoto && item.id == '1008') || ($rootScope.switchBean.attendanceSwitch != '1' && item.id == '4005')||(!$rootScope.switchBean.salesplatformSwitch && item.id == '3005')){

                                    }else{
                                        gridAppSwiper.homeMenu.push(item);
                                    }
                                }
                                if(!item.isHome && j==homePageMenu.length-1){ // 最后一次外循环 进行其他应用分类
                                    item.isHome = false;
                                    if(item.type=='renewalMenu'){
                                        if(!$rootScope.switchBean.salesplatformSwitch && item.id == '3005' ){

                                        }else{
                                            gridAppSwiper.renewalMenu.push(item);
                                        }
                                    }
                                    if(item.type=='othersMenu'){
                                        if((!$rootScope.isSendShow && item.id == '4004') || ($rootScope.switchBean.attendanceSwitch != '1' && item.id == '4005')){

                                        }else{
                                            gridAppSwiper.othersMenu.push(item);
                                        }
                                    }
                                    if(item.type=='carInsuranceMenu'){
                                        if((!$rootScope.isSendShow && item.id == '1010') || (!$rootScope.isMotoShow && item.id == '1008')){

                                        }else{
                                            gridAppSwiper.carInsuranceMenu.push(item);
                                        }
                                    }
                                    if(item.type=='marketMenu'){
                                        gridAppSwiper.marketMenu.push(item);
                                    }
                                }
                            }
                        }
                        //车险分类数组为空，显示空应用图标
                        if(!gridAppSwiper.carInsuranceMenu.length){
                            $scope.carInsuranceMenu = true;
                        }else{
                            $scope.carInsuranceMenu = false ;
                        }
                        //营销分类数组为空，显示空应用图标
                        if(!gridAppSwiper.marketMenu.length){
                            $scope.marketMenu = true;
                        }else{
                            $scope.marketMenu = false;
                        }
                        //续保分类数组为空，显示空应用图标
                        if(!gridAppSwiper.renewalMenu.length){
                            $scope.renewalMenu = true;
                        }else{
                            $scope.renewalMenu = false;
                        }
                        //其他分类数组为空，显示空应用图标
                        if(!gridAppSwiper.othersMenu.length){
                            $scope.othersMenu = true;
                        }else{
                            $scope.othersMenu = false;
                        }
                    }

                },
                error: function (ex) {
                    $handleService.logger('error', ex);
                }
            });
        };
        //保存用户首页菜单
        $scope.saveUserMenu = function(){
            var homePageMenu = [];
            var sendObj = {
                employCode:'',
                homePageMenu:[],
                carInsuranceMenu:[],
                marketMenu:[],
                renewalMenu:[],
                othersMenu:[],
            };
            //获取首页应用的顺序
            $('#icon-drag .icon-item').each(function(i,v){
                var str = String($(v).data('id'));
                homePageMenu.push(str);
            });
            //赋值
            sendObj.employCode = $U.sessionHandle.getSession('SLS_INFO').employCode;
            sendObj.homePageMenu = homePageMenu;
            $handleService.http({
                url: "/menuManage/saveUserMenu",
                method: 'POST',
                data:sendObj,
                success: function (data) {
                    $handleService.logger("object", data, "保存用户菜单接口--》");
                    if(data.resultCode ==0){
                        // 修改成功
                        $scope.editFlag = 0;
                        $scope.editText = '编辑';
                        //取消绑定拖拽事件
                        $scope.dragObj.destroy();
                        $scope.isBlock = false;//控制小图标是否显示
                        $scope.isTitle = false;//控制标题提示是否显示
                        //重新获取一次用户菜单
                        $scope.getDeptCode();
                    }
                },
                error: function (ex) {
                    $handleService.logger('error', ex);
                }
            });
        };

        //调用扫描快递单号
        $scope.getCode = throttle(Handle.getCanner,1000);

        //保单配送跳转
        $scope.goToPolicyDelivery = function(){
            $rootScope.isRelation = true;
            $rootScope.isDeliveryRelation = true;//保单配送
            $state.go("tab.policyDelivery");
        }
        $scope.checkInsuranceLicense = function(){
            var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
            var checkCertificateSwitch = $rootScope.switchBean.checkCertificateSwitch;
            var bindSalesCode = $handleService.getBindSalesCode();
            if(!slsInfo.license){
                if(checkCertificateSwitch=='1'){
                    //开关打开
                    if(bindSalesCode){
                        //绑定执业证书号
                        return true;
                    }
                    //未绑定执业证书号    弹原有框 且返回false
                    var insuranceLicensePop = {
                        cssClass: "insurance-license-popup",
                        okText: "我知道了",
                        templateUrl: "templates/iv-pages/tools/need-insurance-license-popup.html",
                        okType: "button-hide",
                        scope: $scope
                    };
                    $scope.insuranceLicensePop = $handleService.showAlert("", "", null, insuranceLicensePop);
                    $scope.goToBindInsuranceLicense = function(){
                        $scope.insuranceLicensePop.close();
                        var url = $interFace.bindInsuranceLicenseUrl +'?sign=' + Handle.getUInfo().sign;
                        $jpushService.openUrl(url, {
                            shareFlag: false,
                            toolbar: {
                                height: 0,
                                color: '#e13c36'
                            }
                        });
                    }
                    return false;
                }
                //开关关闭 弹提示框 且返回false
                $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-title">温馨提示</div>', "", null, {
                    cssClass: "new-pop new-popup ele",
                    okType: "hidden-box",
                    templateUrl: "templates/common/need-insurance-license-popup.html",
                    scope: $scope
                });
                $scope.closePup = function(){
                    $handleService.closeModule($scope.alertPopup);
                }
                return false;
            }
            return true;
        }
    });
    return app;
});

