define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives','filters/app.filters' ,'services/app.store'], function () {
    'use strict';
    var app = angular.module('app.imageValidate.controller', ['app.handle.service', 'app.directives','app.filters', 'app.general.service','ionic']);
    //投保查询控制器
    app.controller('imageValidateController', function ($generalService, $ionicPopup, $scope, $rootScope, $state, $stateParams, $handleService, $interFace, store) {
        //----------------------------------------- begin 变量 -----------------------------------------//

        $scope.currentPage = 0;//投保进度查询页码 石梦星
        $scope.PAGE_LENGTH = 10; // 投保查询每页条数
        $scope.vm = {
            isDate: true
        };
        $scope.isDefultData = true;
        $scope.revSwitch = $rootScope.switchBean.revSwitch;
        //----------------------------------------- end   变量 -----------------------------------------//

        //----------------------------------------- begin Handle -----------------------------------------//

        var Handle = (function (handle) {
            handle.recNowDate = function() {
                var nex = new Date();
                nex.setDate(nex.getDate());
                return nex.format('yyyy-MM-dd');
            }
            handle.recPrevDate = function() {
                var nex = new Date();
                nex.setDate(nex.getDate()-3);
                return nex.format('yyyy-MM-dd');
            }

            //1.查询页面
            handle.queryPage = function (opts) {
                var _self = this;
                //1.进度查询集合对象
                $scope.scheList = [];
                //2.进度查询 单条详情
                $scope.scheItem = {};
                //1.查询数据
                _self.querySche(opts);

            };

            //3.查询投保进度方法
            handle.querySche = function (opts) {
                var nowTime = new Date();
                var beginTime = nowTime.format("yyyy-MM-dd");
                var spaceDays = 3;//新核心投保进度查询查近3天
                var endTime = new Date(new Date().setDate(nowTime.getDate() - spaceDays)).format("yyyy-MM-dd");

                var options = {
                    companyCode:$U.getDeptCode(),
                    salesManCode:$U.sessionHandle.getSession("SLS_INFO").employCode,
                    insuredName: "",  //被保人姓名
                    applyPolicyNo: "", //投保单号
                    startDate: $scope.vm.startDate, //查询起期
                    endDate: $scope.vm.endDate, //查询止期
                    //origSysList: ["eautomobile","peoplemark"], //查询业务来源  APP和人人团
                    page:{
                        pageNum:($scope.currentPage * $scope.PAGE_LENGTH).toString(),
                        pageSize:$scope.PAGE_LENGTH
                    }
                };

                options = angular.extend(options, opts);
                $handleService.http({
                    url: "/policyOrder/queryOrderList",
                    method: 'POST',
                    data: options,
                    success: function (scheData) {
                        $handleService.logger("object", scheData, "查询验车影像结果集---》");
                        if (scheData.result) {//scheData.resultCode == "0"
                            /*if ($scope.currentPage > 0) {
                                for (var i = 0; i < scheData.result.length; i++) {
                                    $scope.scheList.push(scheData.result[i]);
                                }
                            } else {
                                $scope.scheList = scheData.result;
                            }
                            if (scheData.result.length < $scope.PAGE_LENGTH) {
                                $scope.carNoMorePage = true;
                            }*/

                            //先过滤数据data.data   保存在filterData里面
                            var filterData = [];
                            if (($rootScope.baseBean.imageRevType||'') == '' && scheData.result) {
                                filterData = scheData.result;
                            } else if(scheData.result) {
                                angular.forEach(scheData.result, function (item, index) {
                                    if ((item.applyPolicyNoJq && item.imageRevTypeJq == $rootScope.baseBean.imageRevType) || (item.applyPolicyNoSy && item.imageRevTypeSy == $rootScope.baseBean.imageRevType)) {
                                        filterData.push(item);
                                    }
                                });
                            }

                            //整合每次分页查询的数据
                            if ($scope.currentPage > 0) {
                                if(scheData.result.length === 0){
                                    $scope.carNoMorePage = true;
                                }else if(filterData.length > 0) {
                                    for (var i = 0; i < filterData.length; i++) {
                                        $scope.scheList.push(filterData[i]);
                                    }
                                }
                            } else {
                                if(scheData.result.length === 0) { //数据为空时增加提示
                                    $U.showToast("找不到对应的数据,请核实");

                                    $scope.carNoMorePage = true;

                                }else {
                                    $scope.scheList = filterData;
                                }
                            }
                            $scope.$broadcast('scroll.infiniteScrollComplete');
                        }
                        else {
                            $scope.carNoMorePage = true;
                            //查询失败时，增加默认提示信息
                            $U.showToast(scheData.errorMsg|| "找不到对应的数据");
                        }
                    }
                });
            };

            /******************摩托车**************************************/

            handle.getPageData = function(options) {
                Handle.queryPage(options);
            }

            return handle;
        })(Handle || {});
        //----------------------------------------- end   Handle -----------------------------------------//
        $scope.vm.startDate = Handle.recPrevDate();
        $scope.vm.endDate = Handle.recNowDate();

        //查询起期监听
        $scope.$watch("vm.startDate", function (value) {
            //起期 发生变化时  止期 自动往后7 天
            var calsDate = function (opts) {
                var options={
                    date:new Date(),
                    deadline:false, //是否截止当前
                    differs:0  //相差多少天
                };
                angular.extend(options,opts);
                var resultDate = new Date(options.date.setDate(options.date.getDate()+options.differs));
                //开始计算 两天相差日期
                if(options.deadline && resultDate > new Date()){
                    resultDate = new Date();
                }
                return resultDate;
            };
            var endDate = calsDate({
                deadline:true,
                date:new Date(value),
                differs:7
            });
            //止期变化
            $scope.vm.endDate = endDate.format("yyyy-MM-dd");
        });
        //查询止期监听
        $scope.$watch("vm.endDate", function (value) {
            //逻辑
            //1.止期 不可以 大于 起期
            //2.止期 不可 比起期 多 超过 7天
            var beginTm = new Date($scope.vm.startDate);
            var endinTm = new Date(value);
            var endinTmStr = value;
            var differDay = Math.abs($U.daysBetween($scope.vm.startDate,value));
            if(endinTm < beginTm){
                endinTmStr = $scope.vm.startDate;
                $U.showToast("查询止期不可小于查询起期");
            }
            else if(differDay > 7){
                endinTmStr = new Date(beginTm.setDate(beginTm.getDate()+7)).format("yyyy-MM-dd");
                $U.showToast("仅支持查询7日内的数据");
            }
            //给止期赋值
            $scope.vm.endDate = endinTmStr;
        });

        //----------------------------------------- begin 共享方法 -----------------------------------------//

        $scope.imgUpSel = function() {
            $scope.isDefultData = false;
            $scope.scheList = [];
            $scope.currentPage = 0;
            $scope.carNoMorePage = false;
            var options = {
                licenseNo: $scope.vm.licenseNo,
                applyPolicyNo: $scope.vm.applyPolicyNo,
                endDate: "",
                startDate: ""
            };

            //有时间
            if($scope.vm.isDate) {
                options.startDate = $scope.vm.startDate;
                options.endDate = $scope.vm.endDate;
            } else {
                if(!options.licenseNo && !options.applyPolicyNo) {
                    $U.showToast("请输入车牌或投保单号");
                    return;
                }
            }

           Handle.queryPage(options);
        }

        //投保进度查询翻页
        $scope.loadMore = function () {
            $scope.currentPage ++;
            Handle.querySche();
        };

        //跳转影像上传
        $scope.uploadImage = function(data, type) {
            var imageId, policyNo,policyAppNo;
            var revArr = ["11", "1_0", "21", "2_2", "2_1_0", "3"]; //禁用复核按钮
            var beforeSubmit = '';
            if(type == "sy") {
                imageId = data.imageId;
                policyNo = data.policyNoSy||"";
                policyAppNo = data.applyPolicyNoSy ||"";
                if(revArr.indexOf(data.imageRevTypeSy) == -1) {
                    beforeSubmit = false;
                } else {
                    beforeSubmit = true;
                }
            } else if(type == "jq") {
                imageId = data.imageId || "";
                policyNo = data.policyNoJq ||"";
                policyAppNo = data.applyPolicyNoJq ||"";
                if(revArr.indexOf(data.imageRevTypeJq) == -1) {
                    beforeSubmit = false;
                } else {
                    beforeSubmit = true;
                }
            }


            $state.go('tab.imagesUpload', {imageId: imageId,plyAppNo: policyAppNo,policyNo: policyNo,beforeSubmit:beforeSubmit});
        }

        Handle.getPageData();
        //end  ------------------------------------- 非车-》投保进度查询 -------------------------------------//

        //----------------------------------------- end   共享方法 -----------------------------------------//
    });
    return app;
});