define([
    'services/app.service',
    'services/app.store',
    'services/app.car.beans',
    'directives/app.directives'], function () {
    'use strict';
    var app = angular.module('app.imgUpController', ['ionic', 'ngCordova', 'app.handle.service', 'app.directives', 'app.store', 'app.car.beans', 'app.filters']);
    //展业->影像上传
    app.controller('imgUpController', function ($rootScope, $scope, $handleService, $cordovaFileTransfer, $interFace, $state, $stateParams, store, $ionicSlideBoxDelegate, $ionicNavBarDelegate, $location, $carBeansService, $message) {
        //--------------------------------begin 变量定义--------------------------------//
        //-------------2017.9.5 默认按照时间查询-------------------------------

        $rootScope.IMG_UPSEL.$IS_SELBY_DATE = true;
        $rootScope.imageList = [];
        $scope.nodate = false;
        $scope.isDefultData = false;
        //提交复核成功后提交复核按钮禁用
        $scope.buttonCtrl = false;
        //提交复核成功后上传按钮禁用
        $scope.buttonSubmit = false;
        //提核前影像上传核保意见隐藏
        $scope.beforeRev=true;

        $scope.imageId = $stateParams.imageId ||"";
        $scope.revSwitch = $rootScope.switchBean.revSwitch;
        //是否是暂存单，投保单、保单不存使用另一套接口提交、查勘、删除影像
        $scope.isTemp = !($stateParams.policyNo || $stateParams.plyAppNo);


        if($stateParams.beforeSubmit=='true'){
            $scope.buttonCtrl=true;
            $scope.beforeRev=false;
        }

        var slsInfo = $handleService.sessionHandle.getSession('SLS_INFO');
        $scope.vm = {};

        //清空
        store.imgUpload.empty();
        $scope.vm.imgT001006 = store.imgUpload.T001006.all();
        $scope.vm.imgT001002 = store.imgUpload.T001002.all();
        $scope.vm.imgT001001 = store.imgUpload.T001001.all();


        /*$scope.vm.imgT001003 = store.imgUpload.T001003.all();
         $scope.vm.imgT001004 = store.imgUpload.T001004.all();
         $scope.vm.imgT001005 = store.imgUpload.T001005.all();*/

        $scope.vm.state = store.state;

        $scope.vm.imgPreview = {};
        $scope.vm.imgPreview.list = [];
        $scope.vm.imgPreview.activeSlide = 0;
        $scope.vm.imgPreview.isShowSlide = false;

        $scope.hasImg1=false;
        $scope.hasImg2=false;
        $scope.hasImg6=false;


        $scope.imgList = []; //上传的图片合集
        $scope.DEPT_CODE = $U.getDeptCode();  //机构编码
        $scope.SLS_CDE = $U.getSlsCode();  //业务员编码

        var defaultImg = {
            car: 'images/other/image-car.png',
            idcard: 'images/other/image-idcard.png',
            oder: 'images/other/image-oder.png'
        };

        //--------------------------------end   变量定义--------------------------------//

        var ImgHandle = (function (handle) {
            //获取图片 -> 公共方法
            handle.getTypeObj = function (type, index) {
                var imgObj = {
                    "T001001": store.imgUpload.T001001,
                    "T001002": store.imgUpload.T001002,
                    /*"T001003": store.imgUpload.T001003,
                     "T001004": store.imgUpload.T001004,
                     "T001005": store.imgUpload.T001005,*/
                    "T001006": store.imgUpload.T001006
                };

                if (!imgObj[type]) {
                    return;
                }

                if (index != undefined) {
                    return imgObj[type].get(index);
                } else {
                    return imgObj[type];
                }
            };
            handle.maximumImagesCount = function (type, index) {
                if (type == "T001001") {
                    return $scope.vm.imgT001001.list.length - index;
                }
                else if (type == "T001002") {
                    return $scope.vm.imgT001002.list.length - index;
                }/*else if (type == "T001003") {
                 return $scope.vm.imgT001003.list.length - index;
                 }
                 else if (type == "T001004") {
                 return $scope.vm.imgT001004.list.length - index;
                 }else if (type == "T001005") {
                 return $scope.vm.imgT001005.list.length - index;
                 }*/
                else if (type == "T001006") {
                    return $scope.vm.imgT001006.list.length - index;
                }
            };
            handle.imgChooseHandle = function (opts) {
                var options = {
                    imgs: "",
                    index: "",
                    type: ""
                };
                angular.extend(options, opts);
                function getMediaType(path){
                    var tmp = path.split('.');
                    return (['mp4', '3gp', 'mov'].indexOf(tmp[tmp.length -1].toLowerCase()) >= 0)?'video':'image';
                }

                //判断是否选取相册照片成功
                if($U.isNotEmpty(options.imgs)){
                    //获取图片  默认个数
                    //视频为单选，不考虑并发
                    var videoIndexs = [];
                    var fileCategory = 'img' + options.type;

                    if (typeof options.imgs === "object") {  //相册选取
                        for (var i = 0; i < options.imgs.length; i++) {
                            var imgOrVideoPath = options.imgs[i].fullPath || options.imgs[i];
                            var mediaType = getMediaType(imgOrVideoPath);

                            if($scope['hasImg'+options.type.substr(options.type.length-1,1)]){
                                if(i==0){
                                    $scope.vm[fileCategory].list[options.index + i].src = imgOrVideoPath;
                                    $scope.vm[fileCategory].list[options.index + i].mediaType = mediaType;
                                    $scope.vm[fileCategory].list[options.index + i].isUpload = false;
                                }else{
                                    $scope.vm[fileCategory].list.push({src:imgOrVideoPath, mediaType: mediaType, isUpload:false});
                                }

                            }else{
                                $scope.vm[fileCategory].list[options.index + i].src = imgOrVideoPath;
                                $scope.vm[fileCategory].list[options.index + i].mediaType = mediaType;
                            }
                            if(mediaType === 'video'){
                                videoIndexs.push({path: imgOrVideoPath, index: options.index + i});
                            }
                        }

                    }
                    else if (typeof options.imgs === "string") { //拍照选取
                        var imgOrVideoPath = options.imgs;
                        var mediaType = getMediaType(imgOrVideoPath);
                        $scope.vm[fileCategory].list[options.index].src = imgOrVideoPath;
                        $scope.vm[fileCategory].list[options.index].mediaType = mediaType;
                        $scope.vm[fileCategory].list[options.index].isUpload = false;
                        if(mediaType === 'video'){
                            videoIndexs.push({path: imgOrVideoPath, index: options.index});
                        }
                    }

                    if($scope['hasImg'+options.type.substr(options.type.length-1,1)]){
                        $scope.vm[fileCategory].list.push({src:'images/other/plus.png',isUpload:false});
                    }

                    //上传到缓存路径
                    if(videoIndexs.length>0){
                        $handleService.showLoading('show');
                    }

                    angular.forEach(videoIndexs, function (item, i) {
                        var videoIndex = item.index;
                        
                        window.resolveLocalFileSystemURL((item.path.slice(0, 4) == 'file'?'':'file://')+item.path, function (fileEntry) {
                            fileEntry.file(function (file) {
                                if(file.size > 10*1024*1024){
                                    $handleService.showLoading('hide');
                                    $handleService.showAlert('提示', '您上传的视频过大，请限制在10M以内！');
                                    $scope.vm[fileCategory].list[videoIndex]= {
                                        src: null,
                                        mediaType: 'image',
                                        isUpload: false
                                    };
                                    return;
                                }
                                var reader = new FileReader();
                                reader.readAsArrayBuffer(file);
                                reader.onloadend = function (e) {
                                    var the_file = new Blob([e.target.result ], { type: file.type||'video/mp4'} );
                                    var formData = new FormData();
                                    formData.append('file', the_file, file.name);
                                    $handleService.motoHttp({
                                        url: $interFace.fileStreamUploadUrl + "?x-ha-appname=eshopauto&x-ha-appmodel=yingxiang_image",
                                        method: 'POST',
                                        data: formData,
                                        headers: {
                                            'Content-Type':undefined,
                                        },
                                        complete: function () {
                                            //$handleService.showLoading('show');
                                        },
                                        success: function (result) {
                                            if (result.errCode == "0") {
                                                //提交到服务器
                                                $handleService.logger('object', result.data, '返回的图片网址:');
                                                angular.forEach(result.data, function(item, i){
                                                    var realPath = item.domainPath + item.relativePath + item.newFileName;
                                                    $scope.vm[fileCategory].list[videoIndex].realPath = realPath;
                                                })
                                                $handleService.showLoading('hide');
                                            } else {
                                                $handleService.showLoading('hide');
                                                $scope.vm[fileCategory].list[videoIndex]= {
                                                    src: null,
                                                    mediaType: 'image',
                                                    isUpload: false
                                                };
                                                $handleService.showAlert('提示', result.msg || $message.serverError);
                                            }
                                        },
                                        error: function (ex) {
                                            $handleService.showLoading('hide');
                                            $scope.vm[fileCategory].list[videoIndex]= {
                                                src: null,
                                                mediaType: 'image',
                                                isUpload: false
                                            };
                                            $handleService.logger('error', ex);
                                        }
                                    });
                                }
                            });
                        }, function (e){
                            $handleService.showLoading('hide');
                            $handleService.showAlert('提示', '视频文件读取错误');
                            $scope.vm[fileCategory].list[videoIndex]= {
                                src: null,
                                mediaType: 'image',
                                isUpload: false
                            };
                        });
                    });
                }

            };
            //设置上年投保方案截图供上传
            handle.getLastYearInsurePlanPath = function(){
                if($rootScope.lastYearPlanImgPath){
                    $scope.vm['imgT001002'].list.unshift({
                        src: $rootScope.lastYearPlanImgPath,
                        realPath: $rootScope.lastYearPlanImgPath,
                        mediaType: 'image',
                        isUpload: false
                    });
                    angular.element('.tabs-top').find('.tabs a[for-tab="#T001002"]').trigger('click');
                    $rootScope.lastYearPlanImgPath = null;
                }  
            }
            //获取报价单号，然后跳转到影像上传
            handle.getImageId = function() {
                $handleService.http({
                    url: "/policyOrder/appNoDetail?proposalNo=" + $stateParams.plyAppNo,
                    method: 'GET',
                    success: function (data) {
                        if(data.resultCode == "0") {
                            var imageIdStr = "";
                            $handleService.logger('object', data, "获取影像ID数据");
                            if(data.resultCode == "0") {
                               /* angular.forEach(data.result.riskList, function(item) {
                                    imageIdStr += item.imageId + ",";
                                });*/
                                $scope.imageId = data.result.riskList[0].imageId;//imageIdStr.replace(/(,)$/, '');
                               //$handleService.logger("log",$scope.imageId, "获取的影像ID");
                                ImgHandle.getImgRoute($scope.imageId);
                            } else {
                                $handleService.showAlert("提示", "获取影像ID数据异常");
                            }

                        } else {
                            $handleService.showAlert('提示', data.errorMsg || $message.serverError);
                            handle.getLastYearInsurePlanPath(); 
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });
            };
            handle.getImgRoute = function (opt) {
                $handleService.http({
                    url: $scope.isTemp?("/tempImgCacheBack?flowId=" + $rootScope.flowId):"/imgCacheBack",
                    method: 'POST',
                    data: {
                        imageId:opt
                    },
                    success: function (data) {
                        $handleService.logger('object', data, "影像返回图片路径");
                        if (data.resultCode == '0') {
                            var dataDeal = function (arrName,flag,arrDeal) {
                                if($U.isNotEmpty(arrName)){
                                    $scope[flag]=true;
                                    $scope.vm[arrDeal].list=[];
                                    angular.forEach(arrName,function (item) {
                                        var type = item.split("FileId=")[1].split("&Type")[0].split('.')[1];
                                        var mediaType = 'image';
                                        if(['mp4', '3gp', 'mov'].indexOf(type.toLowerCase())>=0){
                                            mediaType = 'video';
                                            //视频无缩略图 链接带Type表示后台返回
                                            item = item.replace('&Type=2', '&Type=1');
                                        }
                                        $scope.vm[arrDeal].list.push({
                                            src:item,
                                            isUpload:true,
                                            mediaType: mediaType
                                        })
                                    });
                                    $scope.vm[arrDeal].list.push({src:'images/other/plus.png',isUpload:false});

                                }
                            };

                            dataDeal(data.result.imgValidatePathList,"hasImg1","imgT001001");
                            dataDeal(data.result.imgInsurePathList,"hasImg2","imgT001002");
                            dataDeal(data.result.imgIDCardPathList,"hasImg6","imgT001006");

                        } else {
                            if(data.errorMsg != '没有影像上传记录'){
                                $U.showToast(data.errorMsg);
                            }
                        }

                        handle.getLastYearInsurePlanPath(); 
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });
            };
            handle.h5ImgCompress = function(file) {
                var _lrzIniz = lrz(file, {quality: 0.7});
                return _lrzIniz;
            }

            return handle;
        })(ImgHandle || {});

        //----------------------------------------------begin   影像补传-----------------------------------------------//

        function getObjectURL(file) {
            var url = null ;
            if (window.createObjectURL!=undefined) { // basic
                url = window.createObjectURL(file) ;
            } else if (window.URL!=undefined) { // mozilla(firefox)
                url = window.URL.createObjectURL(file) ;
            } else if (window.webkitURL!=undefined) { // webkit or chrome
                url = window.webkitURL.createObjectURL(file) ;
            }
            return url ;
        }

         //文件选择事件 html5方式，ios拍摄视频闪退，暂未使用
         $scope.fileChoose = function(ele){
            var  _type = ele.name,
               _files = ele.files,
               _index = parseInt(ele.dataset.index),
               formData = new FormData(),
               hasImg =  $scope['hasImg'+_type.substr(_type.length-1,1)],
               videoIndexs = [];

            angular.forEach(_files, function(file, i) {
                var mediaType = file.type.split('/')[0];
                //开始进行 压缩
                if(~'image/jpg,image/jpeg,image/png,image/bmp,image/tga'.indexOf(file.type)){
                    ImgHandle.h5ImgCompress(file).then(function (rst) {
                        var sourceSize = (file.size / 1024).toFixed(2),
                            resultSize = (rst.fileLen / 1024).toFixed(2),
                            scale = parseInt(100 - (resultSize / sourceSize * 100));
    
                        $handleService.logger("info","处理前:" + sourceSize + "处理后:" + resultSize + "省去:" + scale + "%");
                        
                        $scope.$apply(function(){
                            if(hasImg){
                                if(i==0){
                                    $scope.vm["img" + _type].list[_index + i].src = rst.base64;
                                    $scope.vm["img" + _type].list[_index + i].mediaType = mediaType;
                                    $scope.vm["img" + _type].list[_index + i].isUpload = false;
                                }else{
                                    $scope.vm["img" + _type].list.push({
                                        src: rst.base64,
                                        mediaType: mediaType,
                                        isUpload: false
                                    })
                                }
                            }else{
                                $scope.vm["img" + _type].list[_index + i].src = rst.base64;
                                $scope.vm["img" + _type].list[_index + i].mediaType = mediaType;
                            }
                            if(hasImg){
                                $scope.vm["img" + _type].list.push({src:'images/other/plus.png',isUpload:false})
                            }
                        });
                    });
                }else{
                    var objUrl = getObjectURL(file);
                    $scope.$apply(function(){
                        if(hasImg){
                            if(i==0){
                                $scope.vm["img" + _type].list[_index + i].src = objUrl;
                                $scope.vm["img" + _type].list[_index + i].mediaType = mediaType;
                                $scope.vm["img" + _type].list[_index + i].isUpload = false;
                            }else{
                                $scope.vm["img" + _type].list.push({
                                    src: objUrl,
                                    mediaType: mediaType,
                                    isUpload: false
                                })
                            }
                        }else{
                            $scope.vm["img" + _type].list[_index + i].src = objUrl;
                            $scope.vm["img" + _type].list[_index + i].mediaType = mediaType;
                        }
                        if(hasImg){
                            $scope.vm["img" + _type].list.push({src:'images/other/plus.png',isUpload:false})
                        }
                    });
                    videoIndexs.push(_index + i);
                    formData.append('file', file);
                }
            });


            if(videoIndexs.length > 0){
                // 视频先上传避免占用太多内存
                $handleService.motoHttp({
                    url: $interFace.fileStreamUploadUrl + "?x-ha-appname=eshopauto&x-ha-appmodel=yingxiang_image",
                    method: 'POST',
                    data: formData,
                    headers: {
                        'Content-Type':undefined,
                    },
                    complete: function () {
                        $handleService.showLoading('show');
                    },
                    success: function (result) {
                        if (result.errCode == "0") {
                            //提交到服务器
                            $handleService.logger('object', result.data, '返回的图片网址:');
                            angular.forEach(result.data, function(item, i){
                                var videoIndex = videoIndexs[i];
                                var realPath = item.domainPath + item.relativePath + item.newFileName;
                                $scope.vm['img' + _type].list[videoIndex].realPath = realPath;
                            })
                            //$scope.uploadServer(result.data, _type);
                        } else {
                            $handleService.showLoading('hide');
                            $handleService.showAlert('提示', result.msg || $message.serverError);
                        }
                    },
                    error: function (ex) {
                        $handleService.showLoading('hide');
                        $handleService.logger('error', ex);
                        $handleService.showAlert('提示', ex);
                    }
                });
            }
         }

        //点击上传文件
        $scope.fileUpload = function (type) {

            var oImg = ImgHandle.getTypeObj(type);
            $handleService.logger('info', '上传文件的类型是:' + type);
            $handleService.logger('object', oImg.all().list, '上传文件的List是:');
            //1.清空图片缓存
            $scope.imgList = [];
            $scope.fileList = [];
            //2.计算图片
            angular.forEach(oImg.all().list, function (item) {
                if(!item.isUpload && !!item.realPath){
                    //视频已上传
                    $scope.fileList.push(item.realPath);
                }else if (!item.isUpload && !!item.src) {
                    $scope.imgList.push(item.src);
                }
            });
            if($scope['hasImg'+type.substr(type.length-1,1)]){
                $scope.imgList.pop();
            }

            $handleService.logger('info', '共上传[' + $scope.imgList.length + ']张图片');
            var imageArr = [];
            var imageIndex = 0;
            //3.获取图片缓存路径
            if ($scope.imgList.length > 0) {
                var uploadDeferred = [];
                $handleService.showLoading('show');
                //上传到缓存路径
                angular.forEach($scope.imgList, function (item, index) {
                    window.resolveLocalFileSystemURL(item, function (fileEntry) {
                        fileEntry.file(function (file) {
                            //将图片base64编码
                            var reader = new FileReader();
                            reader.readAsDataURL(file);
                            reader.onloadend = function (e) {
                                //base64图片放入数组
                                //去掉base64头
                                var imageStr = e.target.result.split(",")[1];
                                
                                // 批量上传太大、时间太长导致，所以单文件上传
                                var formData = {
                                    images: [imageStr],
                                };
                                imageIndex++;
                                var $deferred = $.Deferred();
                                uploadDeferred.push($deferred);

                                $handleService.motoHttp({
                                    url: $interFace.fileUploadUrl + "?x-ha-appname=eshopauto&x-ha-appmodel=yingxiang_image",
                                    method: 'POST',
                                    data: formData,
                                    hasShowLoadding: false, // loading由uploadServer隐藏
                                    complete: function () {
                                        //$handleService.showLoading('show');
                                    },
                                    success: function (result) {
                                        if (result.errCode == "0") {
                                            //提交到服务器
                                            $handleService.logger('object', result.data, '返回的图片网址:');
                                            angular.forEach(result.data, function(item, i){
                                                var realPath = item.domainPath + item.relativePath + item.newFileName;
                                                $scope.fileList.push(realPath);
                                            })
                                            $deferred.resolve();
                                        } else {
                                            $deferred.reject();
                                            $handleService.showLoading('hide');
                                            $handleService.showAlert('提示', result.msg || $message.serverError);
                                        }
                                    },
                                    error: function (ex) {
                                        $deferred.reject();
                                        $handleService.showLoading('hide');
                                        $handleService.logger('error', ex);
                                    }
                                });

                                if (imageIndex == $scope.imgList.length) {
                                    // 上传缓存成功，提交
                                    $.when.apply($, uploadDeferred).then(function(){
                                        $scope.uploadServer($scope.fileList, type);
                                    });
                                }


                                /*
                                imageArr.push(imageStr);
                                imageIndex++;
                                //加载完后一起上传到缓存
                                if (imageIndex == $scope.imgList.length) {
                                    var formData = {
                                        images: imageArr
                                    };
                                    $handleService.motoHttp({
                                        url: $interFace.fileUploadUrl + "?x-ha-appname=eshopauto&x-ha-appmodel=yingxiang_image",
                                        method: 'POST',
                                        data: formData,
                                        complete: function () {
                                            $handleService.showLoading('show');
                                        },
                                        success: function (result) {
                                            imageArr = [];
                                            imageIndex = 0;
                                            if (result.errCode == "0") {
                                                //提交到服务器
                                                $handleService.logger('object', result.data, '返回的图片网址:');
                                                angular.forEach(result.data, function(item, i){
                                                    var realPath = item.domainPath + item.relativePath + item.newFileName;
                                                    $scope.fileList.push(realPath);
                                                })
                                                $scope.uploadServer($scope.fileList, type);
                                            } else {
                                                $handleService.showLoading('hide');
                                                $handleService.showAlert('提示', result.msg || $message.serverError);
                                            }
                                        },
                                        error: function (ex) {
                                            imageArr = [];
                                            imageIndex = 0;
                                            $handleService.showLoading('hide');
                                            $handleService.logger('error', ex);
                                        }
                                    });
                                }
                                */
                            }
                        });
                    });
                });
                //-------------------------------------------end   图片上传-------------------------------------------//
            }
            else if($scope.fileList.length > 0){
                $scope.uploadServer($scope.fileList, type);
            }
            else {
                $U.showToast('请选择至少一张图片');
            }
        };



        //没有影像ID时  通过投保单号获取影像ID
        if(!$scope.imageId) {
            ImgHandle.getImageId();
        }else{
            ImgHandle.getImgRoute($scope.imageId);
        }



        //复核意见弹框
        $scope.revAdvice = function () {
            $handleService.http({
                url: "/policyOrder/argument?proposalNo="+$stateParams.plyAppNo,
                method: 'POST',
                success: function (data) {
                    $handleService.logger('object', data, "查看复核意见");
                    if (data.resultCode == '0') {
                        var msg='';
                        if($U.isNotEmpty(data.result.imageIlogBaseInfoRespVO)){
                            angular.forEach(data.result.imageIlogBaseInfoRespVO,function (item,index) {
                                msg+=(index+1) + ". "+item.ruleMessage+"</br>";
                            })
                        }else{
                            msg='无复核意见';
                        }
                        $handleService.showAlert("复核意见",msg);

                    } else {
                        $U.showToast(data.errorMsg);
                    }
                },
                error: function (ex) {
                    $handleService.logger('error', ex);
                }
            });
        };

        //提交复核按钮
        $scope.submitRev = function () {
            // console.log($rootScope.scheItem);
            var revFlag='';
            var opt = {
                title: '提示',
                template: '交强险商业险是否一起复核？',
                buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
                    text: '否',
                    type: 'button-cfirm-cancle',
                    onTap: function (e) {
                        return false;
                    }
                }, {
                    text: '是',
                    type: 'button-cfirm-ok',
                    onTap: function (e) {
                        return true;
                    }
                }],
                sure: function () {
                    revFlag='1';
                    revHttp();
                },
                cancle: function () {
                    revFlag='0';
                    revHttp();
                }
            };
            var revHttp=function(){
                $handleService.http({
                    url: "/submitReview",
                    method: 'POST',
                    data: {
                        proposalNo: $stateParams.plyAppNo|| "",
                        policyNo: $stateParams.policyNo || "",
                        relFlag: revFlag
                    },
                    success: function (data) {
                        $handleService.logger('object', data, "提交复核数据");
                        if (data.resultCode == '0') {
                            $scope.buttonCtrl = true;
                            $scope.buttonSubmit=true;
                        } else {
                            $handleService.showAlert('提交复核', data.errorMsg);
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });
            };
            if(($stateParams.imageId && $stateParams.imageId.indexOf(',')!=-1) || $stateParams.plyAppNo.indexOf(',')==-1){
                    $handleService.showConfirm(opt);
            }else{
                revFlag='0';
                revHttp();
            }



        };


        $scope.clearData = function () {
            $rootScope.imageList = [];
            $rootScope.IMG_UPSEL = {};
        };
        //2.关闭预览
        $scope.vm.closePreview = function () {
            $scope.vm.imgPreview.src='';
            $scope.vm.imgPreview.isShowSlide = false;
            $ionicNavBarDelegate.showBar(true);
            $scope.vm.imgPreview.list = [];

        };
        //3.图片预览
        // $scope.vm.imgPreview = function (type, index) {
        //     var oImg = ImgHandle.getTypeObj(type, index);
        //     $scope.vm.imgPreview.src = oImg.src;
        //     $ionicNavBarDelegate.showBar(false);
        //     $scope.vm.imgPreview.isShowSlide = true;
        // };
        $scope.vm.imgPreview = function (type, item) {
            //判断是否是后台返回链接
            if(item.src.indexOf("&Type")!=-1){
                var newItem=item.src.substr(0,item.src.length-1)+'1';
                $scope.vm.imgPreview.src =newItem;
            }else{
                $scope.vm.imgPreview.src = item.src;
            }
            $scope.vm.imgPreview.mediaType = item.mediaType;
            $ionicNavBarDelegate.showBar(false);
            $scope.vm.imgPreview.isShowSlide = true;
        };
        //4.图片删除
        $scope.vm.imgDelete = function (type, index,item) {
            $handleService.showConfirm({
                title: '提示',
                template: '你确定要删除这张图片么？',
                sure: function () {
                    if(item.isUpload){

                        var fileId=item.src.split("FileId=")[1].split("&Type")[0];

                        $handleService.http({
                            url: $scope.isTemp?("/tempDelImgServer?flowId=" + $rootScope.flowId):"/delImgServer",
                            method: 'POST',
                            data: {
                                imageId:$scope.imageId,
                                fileId:fileId
                            },
                            success: function (data) {
                                $handleService.logger('object', data, "影像删除接口");
                                if (data.resultCode == '0') {
                                    $scope.vm["img" + type].list.splice(index,1);
                                } else {
                                    $U.showToast(data.errorMsg);
                                }
                            },
                            error: function (ex) {
                                $handleService.logger('error', ex);
                            }
                        });
                    }else{
                        if($scope['hasImg'+type.substr(type.length-1,1)]){
                            $scope.vm["img" + type].list.splice(index,1);
                        } else {
                            var oImg = ImgHandle.getTypeObj(type, index);
                            //删除图片后  上传标志改为false
                            oImg.isUpload = false;
                            delete oImg["src"];
                            //delete oImg["src"];
                        }

                    }
                }
            });

        };
        //5.影像上传->图片选择
        $scope.vm.imgChoose = function (type, index) {

            $handleService.logger('info', '选择文件的类型是:' + type);
            var oImg = ImgHandle.getTypeObj(type, index);
            if(!$scope['hasImg'+type.substr(type.length-1,1)]){
                var imgLenght = ImgHandle.maximumImagesCount(type, index);
            }

            $handleService.logger('object', oImg, '选择图片获取的文件对象');
            //01.开始选择图片
            //增加选择视频和拍摄视频
            $handleService.appHandle.cameraHandle({
                targetWidth: 768, //照片宽度
                targetHeight: 1024,
                destinationType: 1,//使用路径格式
                imagePicker: true,
                maximumImagesCount: imgLenght || 10,
                success: function (img) {
                    //根据返回结果类型 来区分 是拍照 还是相册选取--》结果处理 oImg.src = img;
                    //替换已上传图片时，将上传标志置空

                    if (img.length === 1) {
                        if (oImg.src !== img[0]) {
                            oImg.isUpload = false;
                        }
                    }
                    ImgHandle.imgChooseHandle({
                        imgs: img,
                        index: index,
                        type: type
                    });
                }
            });
        };
        //6.点击上传影像
        $scope.imgUpload = function (type) {

            var oImg = ImgHandle.getTypeObj(type);
            $handleService.logger('info', '上传文件的类型是:' + type);
            $handleService.logger('object', oImg.all().list, '上传文件的List是:');
            //1.清空图片缓存
            $scope.imgList = [];
            //2.计算图片
            angular.forEach(oImg.all().list, function (item) {
                if (!item.isUpload && !!item.src) {
                    $scope.imgList.push(item.src);
                }
            });
            if($scope['hasImg'+type.substr(type.length-1,1)]){
                $scope.imgList.pop();
            }

            $handleService.logger('info', '共上传[' + $scope.imgList.length + ']张图片');
            var imageArr = [];
            var imageIndex = 0;
            //3.获取图片缓存路径
            if ($scope.imgList.length > 0) {


                //上传到缓存路径
                angular.forEach($scope.imgList, function (item, index) {
                    window.resolveLocalFileSystemURL(item, function (fileEntry) {
                        fileEntry.file(function (file) {
                            //将图片base64编码
                            var reader = new FileReader();
                            reader.readAsDataURL(file);
                            reader.onloadend = function (e) {
                                //base64图片放入数组
                                //去掉base64头
                                var imageStr = this.result.split(",")[1];
                                imageArr.push(imageStr);
                                imageIndex++;
                                //加载完后一起上传到缓存
                                if (imageIndex == $scope.imgList.length) {
                                    var formData = {
                                        images: imageArr
                                    };
                                    $handleService.motoHttp({
                                        url: $interFace.fileUploadUrl + "?x-ha-appname=eshopauto&x-ha-appmodel=yingxiang_image",
                                        method: 'POST',
                                        data: formData,
                                        complete: function () {
                                            $handleService.showLoading('show');
                                        },
                                        success: function (result) {
                                            imageArr = [];
                                            imageIndex = 0;
                                            if (result.errCode == "0") {
                                                //提交到服务器
                                                $handleService.logger('object', result.data, '返回的图片网址:');
                                                $scope.uploadServer(result.data, type);

                                            } else {
                                                $handleService.showLoading('hide');
                                                $handleService.showAlert('提示', result.msg || $message.serverError);
                                            }
                                        },
                                        error: function (ex) {
                                            imageArr = [];
                                            imageIndex = 0;
                                            $handleService.showLoading('hide');
                                            $handleService.logger('error', ex);
                                        }
                                    });
                                }
                            }
                        });
                    });
                });
                //-------------------------------------------end   图片上传-------------------------------------------//
            }
            else {
                $U.showToast('请选择至少一张图片');
            }
        };

        $scope.uploadServer = function (obj, type) {
            //交商报价单号
            var maindocument = "";
            var flwcodeStr = "";

            //如果有保单号，则为补传
            if ($stateParams.policyNo) { //有保单号
                $scope.modelcode = "S001_003";

            } else {
                $scope.modelcode = "S001_001";
            }

            //影像ID
            maindocument = $scope.imageId;

            if (!maindocument) {
                $U.showToast("获取影像ID异常，请重新操作");
                return;
            }

            if ($scope.modelcode == "S001_001") { //投保
                flwcodeStr = maindocument;
            } else { //补传
                if (maindocument.split(",").length == 1) {
                    flwcodeStr = new Date().format('yyyy-MM-dd hh:mm:ss') + " random " + Math.random();
                } else {
                    flwcodeStr = new Date().format('yyyy-MM-dd hh:mm:ss') + " random " + Math.random();
                    flwcodeStr += "," + new Date().format('yyyy-MM-dd hh:mm:ss') + " random " + Math.random();
                }
            }
            var reqModel = {

                imgIDCardVo: { //身份证
                    fileTypeList: [],
                    imgPathList: []
                },
                imgInsureVo: { //投保照片
                    fileTypeList: [],
                    imgPathList: []
                },
                imgValidateVo: { //验车照片
                    fileTypeList: [],
                    imgPathList: []
                },
                paramVo: {
                    flwCode: flwcodeStr,//	业务号	string
                    mainDocument: maindocument,//报价单号
                    modelCode: $scope.modelcode || "S001_001",//上传类型编码	string	投保 S001_001 批改 S001_002 补传 S001_003
                    operCode: $scope.SLS_CDE,//操作人，柜员号,也可以填系统号	string
                    orgCode	: $scope.DEPT_CODE//机构编号,也可以填系统号
                }

            };

            var imgPath = []; //图片路径
            var fileArr = []; //
            type = type || "T001001";
            var fileTypeObj = {
                "T001001": "01",
                "T001002": "02",
                "T001006": "03"
            };

            angular.forEach(obj, function (item) {
                //组装图片路径
                var realPath;
                var fileType = $scope.modelcode + fileTypeObj[type];

                //拼接图片路径
                if(typeof(item) === 'string'){
                    realPath = item;
                }
                else if (!item.domainPath) {
                    return;
                }else{
                    realPath = item.domainPath + item.relativePath + item.newFileName;
                }
                fileArr.push(fileType);
                imgPath.push(realPath);
            });

            switch (type) {
                case "T001001":
                    reqModel.imgValidateVo = { //验车
                        fileTypeList: fileArr,
                        imgPathList: imgPath
                    }
                    break;
                case "T001002":
                    reqModel.imgInsureVo = { //投保
                        fileTypeList: fileArr,
                        imgPathList: imgPath
                    }
                    break;
                case "T001006":
                    reqModel.imgIDCardVo = { //身份证
                        fileTypeList: fileArr,
                        imgPathList: imgPath
                    }
                    break;
            }

            var upUrl = "";

            if($scope.isTemp){ // 暂存单、投保上传
                upUrl = "/tempUploadServer?imageId=" + maindocument + "&salesCode=" +$scope.SLS_CDE + '&flowId=' + $rootScope.flowId;
            }
            else if($scope.modelcode == "S001_001") { //投保单上传
                upUrl = "/uploadServer?imageId=" + maindocument + "&salesCode=" +$scope.SLS_CDE;
            } else {
                //补传
                upUrl = "/suppUploadServer?salesmanCode=" +$scope.SLS_CDE;
            }
            //提交到服务器
            $handleService.http({
                url: upUrl,
                method: 'POST',
                data: reqModel,
                complete: function () {
                    //$handleService.showLoading('show');
                },
                success: function (data) {
                    $handleService.logger('object', data, '上传图片返回结果');

                    if (data.resultCode == "0") {
                        var imgList = ImgHandle.getTypeObj(type).all().list;
                        angular.forEach(imgList, function (item) {
                            item.src && (item.isUpload = true);
                        });
                        $handleService.uMengListen("imageUpload");
                        $U.showToast('图片上传成功!');
                        // $scope.goBack();
                    } else {
                        $handleService.showAlert('提示', data.errorMsg || $message.serverError);
                    }
                },
                error: function (ex) {
                    $handleService.showLoading('hide');
                    $handleService.logger('error', ex);
                }
            });
        }
        //----------------------------------------------end     影像补传-----------------------------------------------//


        //---------------------------------------------- begin 其他 ----------------------------------------------//
        //返回按钮
        $scope.goBack = function () {
            //上传类型清空
            if ($stateParams.SOURCE == "INSURE") {
                $location.path("tab/mit-index-new");
            }
            else {
                history.back(-1);
            }
        };
        //点击工具栏事件 防止冒泡
        angular.element('.up-btn-box').on('click', function ($event) {
            $event.stopPropagation();
        });
        //---------------------------------------------- end   其他 ----------------------------------------------//
    });
    return app;
});