define(['services/app.general.service', 'directives/app.directives', 'services/app.jpush.service', 'filters/app.filters'], function () {
    'use strict';
    var app = angular.module('app.indexController', ['app.general.service', 'app.directives', 'app.jpush.service', 'app.filters']);
    //展业首页控制器
    app.controller('indexController', function ($scope, $rootScope, $generalService, $handleService, $interFace, $ionicSlideBoxDelegate, $state, $ionicHistory, $jpushService, $timeout, $interval) {
        //--------------------------------begin 全局监听--------------------------------//
        //如果是 安卓平台 跳转显示加载中
        if (ionic.Platform.isAndroid()) {
            //路由跳转之前
            $rootScope.$on("$stateChangeStart", function (event, toState, toParams, fromState, fromParams) {
                $handleService.showLoading("show");
            });
            //路由跳转完成后
            $rootScope.$on("$stateChangeSuccess", function (event, toState, toParams, fromState, fromParams) {
                $handleService.showLoading("hide");
            });
        }
        $rootScope.otherMorePage = false;
        $rootScope.previousState = '';//清除缓存数据标志
        //记录未登录的状态 登录后跳转我的业绩
        if ($rootScope.preMessage) {
            switch($rootScope.preMessage){
                case "trackRecord":
                    $state.go("tab.trackRecord",{TYPE: "CAR"}, {reload:true});
                    $rootScope.preMessage = '';
                    return false;
                    break;
                case "oderList":
                    $state.go("tab.oderSetbacksList", {PAGE_CHANNAL: "LIST"});
                    $rootScope.preMessage = '';
                    return false;
                    break;
                case "print":
                // dev-page
                    // $state.go("tab.policyDetail", {orderNo:  $rootScope.orderNumber});
                    $state.go("tab.orderDetail-A", {
                        orderNo: $rootScope.orderNumber
                    })
                    // if ($rootScope.switchBean && $rootScope.switchBean.newPageEdition) {
                    //     $state.go("tab.orderDetail-A", {
                    //         orderNo: $rootScope.orderNumber
                    //     })
                    // } else {
                    //     $state.go("tab.policyDetail", {
                    //         orderNo: $rootScope.orderNumber
                    //     })
                    // }
                    // $state.go("tab.policySearch");
                    $rootScope.preMessage = '';
                    $rootScope.orderNumber = '';
                    return false;
                    break;
                // case "print":
                case "preMessage":
                    // $state.go("tab.policyDetail", {orderNo:  $rootScope.orderNumber});
                    $state.go("tab.policySearch");
                    $rootScope.preMessage = '';
                    $rootScope.orderNumber = '';
                    return false;
                    break;
                case "orderToPay":
                    //待支付
                    $rootScope.orderNo = $rootScope.orderNumber;
                    $state.go("tab.oderSetbacksDetail");
                    $rootScope.preMessage = '';
                    $rootScope.orderNumber = '';
                    return false;
                    break;
                //  跳转我的反馈
                case "userFeedList":
                    $state.go("tab.userFeedList");
                    $rootScope.preMessage = '';
                    return false;
                    break;
            }

        }

        $rootScope.historyTy = [];
        //更新登录字段控制

        //检查更新 -- >防止部分用户 登录前更新出不来
        $handleService.checkUpdate();

        $scope.salesAccessType  = '1'; //默认团队经理权限
        //首页网格模块入口
        $scope.gridSwiper = {
            items: [
                {
                    name: '车险投保',
                    icon: 'images/icon/icon-02.png',
                    event: 'gotoConfig()'
                },
                {
                    name: '非车险销售',
                    icon: 'images/icon/icon-03.png',
                    event: 'openUrl("nocar")'
                },
                {
                    name: '我的报价',
                    icon: 'images/icon/icon-04.png',
                    event: 'gotoPage("tab.draftsList2")'
                },
                {
                    name: '车险快速续保',
                    icon: 'images/icon/icon-quickrenewl.png',
                    event: 'gotoPage_Qrenewal("tab.configRenewal")',
                    isNew: true,
                },
                {
                    name: '我的业绩',
                    icon: 'images/icon/icon-06.png',
                    event: 'gotoPage("tab.trackRecord", {TYPE: "CAR"})'
                },
                {
                    name: '进度查询',
                    icon: 'images/icon/icon-08.png',
                    event: 'gotoPage("tab.oderSetbacksList", {PAGE_CHANNAL: "LIST"})'
                },
                {
                    name: '我的续保',
                    icon: 'images/icon/icon-05.png',
                    event: 'gotoPage("tab.renewalnew")'
                },
                {
                    name: '验车影像',
                    icon: 'images/icon/icon-07.png',
                    event: 'gotoPage("tab.imagesFValidate")'
                },
                {
                    name: '车险保单',
                    icon: 'images/icon/icon-policy.png',
                    event: 'gotoPage("tab.policySearch")'
                },
                {
                    name: '违章查询',
                    icon: 'images/icon/icon-11.png',
                    event: 'openPeccancyQuery()'
                },
                {
                    name: '我的签到',
                    icon: 'images/icon/icon-13.png',
                    event: 'signIn()'
                },
                {
                    name: '验车码',
                    icon: 'images/icon/icon-12.png',
                    event: 'gotoPage("tab.validateCarNum")'
                },
                {
                    name: '优惠券',
                    icon: 'images/icon/icon-coupon.png',
                    event: 'openCoupon()'
                },
                {
                    name: '中宏寿险',
                    icon: 'images/icon/icon-zh.png',
                    event: 'openMainSino()',
                    disabled: true
                },
                {
                    name: '活动专区',
                    icon: 'images/icon/icon-activity.png',
                    event: 'openActivity()'
                },
                {
                    name: '展业软文',
                    icon: 'images/icon/icon-learning.png',
                    event: 'advertorial()'
                },
                {
                    name: '个人微店',
                    icon: 'images/icon/shop-icon.png',
                    event: 'shop()'
                },
                {
                    name: '渤海人寿',
                    icon: 'images/icon/bohai-icon.png',
                    event: 'selfInsurance()',
                    disabled: true
                },
                {
                    name: '电子激活卡',
                    icon: 'images/icon/jihuoka-test.png',
                    event: 'openVirtualActivateCard()'
                },
                {
                    name: '展业海报',
                    icon: 'images/icon/icon-myPoster.png',
                    event: 'myPoster()'
                },
                {
                    name: '个人绩效',
                    icon: 'images/icon/icon-gerenjixiao.png',
                    event: 'openSalesPerform("gerenjixiaoUrl")',
                },
                {
                    name: '续保清单',
                    icon: 'images/icon/icon-xubaoqingdan.png',
                    event: 'openSalesPerform("xubaoqingdanUrl")',
                },
                {
                    name: '续保跟进',
                    icon: 'images/icon/icon-xubaogenjin.png',
                    event: 'openSalesPerform("xubaogenjinUrl")',
                },
                {
                    name: '续保统计',
                    icon: 'images/icon/icon-xubaotongji.png',
                    event: 'openSalesPerform("xubaotongjiUrl")',
                },
                {
                    name: '理赔跟进',
                    icon: 'images/icon/icon-lipeigenjin.png',
                    event: 'openSalesPerform("lipeigenjinUrl")',
                },
                {
                    name: '摩托车投保',
                    icon: 'images/moto/icon-moto-index.png',
                    event: 'openMoto()'
                },
            ],
            countInPage: 6,
            countInRow: 3,
            groupActiveItems: [],
            init: function(){
                var salesplatformItemNames = ['个人绩效', '续保清单', '续保跟进', '续保统计', '理赔跟进'];
                var needPrivilegeItemNames = ['续保清单'];
                if($rootScope.switchBean.salesplatformSwitch != '1'){
                    for(var i in this.items){
                        var item = this.items[i];
                        if(salesplatformItemNames.indexOf(item.name)>=0){
                            item.disabled = true;
                        }
                    }
                }else{

                    for(var i in this.items){
                        var item = this.items[i];
                        //团队经理、机构经理才有权限查看续保清单
                        if(needPrivilegeItemNames.indexOf(item.name)>=0 && ['3', '4', '5', '6'].indexOf($scope.salesAccessType)<0){
                            item.disabled = true;
                        }else if(salesplatformItemNames.indexOf(item.name)>=0){
                            item.disabled = false;
                        }
                    }

                }
                this.groupActiveItems = this.getGroupActiveItems();
                $timeout(function () {
                    $ionicSlideBoxDelegate.$getByHandle("gridSwiper").update();
                });
            },
            getGroupActiveItems: function(){
                var activeItems = this.filterActiveItems();
                var groupActiveItems = [];
                for(var swiperPageIndex=0; swiperPageIndex < this.getPageCount(activeItems); swiperPageIndex++){
                    var RowsInPage = [];
                    var pageItems = this.getPageItems(activeItems, swiperPageIndex);
                    for(var swiperRowIndex=0; swiperRowIndex < this.getRowCountInPage(pageItems, swiperPageIndex); swiperRowIndex++){
                        var rowItems = this.getRowItems(pageItems, swiperRowIndex);
                        RowsInPage[swiperRowIndex] = rowItems
                    }
                    groupActiveItems[swiperPageIndex] = RowsInPage;
                }
                return groupActiveItems;
            },
            filterActiveItems: function () {
                var items = this.items;
                var activeItems = [];
                for (var j in items) {
                    var item = items[j];
                    if (!item.disabled) {
                        activeItems.push(item);
                    }
                }
                return activeItems;
            },
            getPageCount: function (activeItems) {
                var pages = Math.ceil(activeItems.length / this.countInPage);
                return pages;
            },
            getPageItems: function (activeItems, swiperPageIndex) {
                var start = swiperPageIndex * this.countInPage;
                return activeItems.slice(start, start + this.countInPage);
            },
            getRowCountInPage: function (pageItems, swiperPageIndex) {
                var rows = Math.ceil(pageItems.length / this.countInRow);
                return rows;
            },
            getRowItems: function (pageItems, swiperRowIndex) {
                var start = swiperRowIndex * this.countInRow;
                var items = pageItems.slice(start, start + this.countInRow);
                return items;
            }
        };
        $scope.gridSwiper.init();

        if($U.getDeptCode()) {
            var $deferredConfig = $.Deferred(), $deferredAccessType = $.Deferred();
            $handleService.getConfigSwitch(function(){
                $deferredConfig.resolve();
            });
            //获取业务员权限
            $handleService.motoHttp({
                url: $interFace.salesPerformMainFace + '/personalPerformance/findAssessType',
                method: 'POST',
                params: {
                    salesCode: $U.sessionHandle.getSession("SLS_INFO").employCode,
                },
                success: function (data) {
                    if(data.resultCode == '0'){
                        $scope.salesAccessType = data.result;
                        /*
                        1-客户经理,2-团队按客户经理考核,3-团队经理考核,4-团队经理按机构经理考核,
                        5-机构经理按团队经理考核,6-机构经理考核,7-机构经理按客户经理考核,9-无
                        */
                    }
                    $deferredAccessType.resolve();
                },
                error: function(err){
                    $deferredAccessType.resolve();
                }
            });
            $.when($deferredConfig, $deferredAccessType).then(function () {
                $scope.gridSwiper.init();
            });
        }

        $scope.carMonthRenewNumber = 0; //最近车险可续保单数
        $scope.nocarMonthRenewNumber = 0;
        $scope.showRenewalNotice = true; //显示续保提示

        $scope.msgRecords = []; //消息列表
        $scope.unreadMsgNum = 0; //未读消息条数

        //--------------------------------end   全局监听--------------------------------//

        //--------------------------------begin   内部方法--------------------------------//
        //全局工具方法 跳转链接
        var Handle = (function (handle) {
            //获取用户信息
            handle.getUInfo = function () {
                return $U.sessionHandle.getSession("SLS_INFO")
            };
            //拼接URL
            handle.mosaicUrl = function (url) {
                var _self = this;

                var slsInfo = _self.getUInfo();
                if (url.indexOf('activity=huiyuanchengzhang') >= 0) {
                    var phone = slsInfo.phone;
                    var plat = slsInfo.plat;
                    var salesmanCname = slsInfo.salesmanCname;
                    var employCode = slsInfo.employCode;
                    var sign = slsInfo.sign;
                    var deptCode= slsInfo.deptCode;
                    url = url + '&mobile=' + phone + '&nick=' + salesmanCname + '&plat=' + plat + '&plat_user_id=' + employCode + '&sign=' + sign + '&deptcode=' + deptCode;
                }else{
                    var phone = slsInfo.phone;
                    var salesmanCname = slsInfo.salesmanCname;
                    var employCode = slsInfo.employCode;
                    url = url +
                        "&userName=" + salesmanCname +
                        "&userMobile=" + phone +
                        "&salesCode=" + employCode;
                }

                return url;
            };
            //检查 是否绑定了手机号
            handle.checkBPhone = function (opts) {
                var _self = this;
                var options = {
                    message: "您未绑定手机号",
                    success: function () {},
                    fail: function () {}
                };
                angular.extend(options,opts);
                //如果未绑定手机号 跳转到绑定页面
                if ($U.isEmpty(_self.getUInfo().phone)) {
                    $U.showToast(options.message);
                    $state.go('tab.bindPhoneIndex');
                    options.fail();
                }
                else{
                    options.success();
                }
            };
            handle.recNowDate = function () {
                var nex = new Date();
                nex.setDate(nex.getDate());
                return nex.format('yyyy-MM-dd');
            };
            handle.recNxtWeek = function () {
                var nex = new Date();
                nex.setDate(nex.getDate() + 7);
                return nex.format('yyyy-MM-dd');
            };
            handle.recNxtDay = function () {
                var nex = new Date();
                nex.setDate(nex.getDate() + 1);
                return nex.format('yyyy-MM-dd');
            };

            //下3个月
            handle.recNxtThreeMonth = function () {
                var nex = new Date();
                nex.setMonth(nex.getMonth() + 3);
                return nex.format('yyyy-MM-dd');
            };

            //获取非车本周待续保数据
            handle.queryNocarHasRenew = function() {
                var slsCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
                var subObj = {
                    "salesCode": slsCode,   			//业务员代码
                    "startDate":Handle.recNowDate(),		//	开始时间
                    "endDate": Handle.recNxtWeek()			//结束时间
                }

                $handleService.nocarHttp({
                    url: $interFace.nocarGetNotice,
                    method: 'POST',
                    data: subObj,
                    success: function (data) {
                        $handleService.logger('object', data, '非车下月可续保-》');
                        if (data.resultCode == "000000") {
                            $scope.nocarMonthRenewNumber = (data.resultData || "0");
                        }
                    }
                })
            }
            //获取车险最近可续保单数
            handle.queryRenewal = function() {
                var slsCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
                var subObj = {
                    PolicyNo: '',
                    InsureEndStartDate: Handle.recNxtDay() + " 00:00:00",
                    InsureEndDate: Handle.recNxtThreeMonth() + " 23:59:59",
                    SalesmanCode: slsCode,//slsCode,
                    LicenseNo: '', //车牌
                    FrameNO: '', //车架号
                    InsureIdNumber: '', //被保险人证件号码
                    InsuredName: '',  //被保人姓名
                    Start: 0,
                    Length: 20,
                    InterfaceId: '234562564568576', //交易ID
                    OrderType: '0' // 0正序 1倒序   排序
                };

                $handleService.http({
                    url: $interFace.motoMainFace,
                    method: 'POST',
                    headers: {
                        method: 'queryRenewalList'
                    },
                    data: subObj,
                    success: function (data) {

                        $handleService.logger('object', data, '车险下月可续保-》');
                        $scope.carMonthRenewNumber = data.countNum ||'0';
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });

            }
            return handle;
        })(Handle || {});
        //--------------------------------end    内部方法--------------------------------//

        //获取续保提示消息个数
        // Handle.queryNocarHasRenew();
        // Handle.queryRenewal();



        $scope.gotoPage = function(routeName, opts){
            $state.go(routeName, opts||{});
        };

        $scope.gotoPage_Qrenewal = function(routeName){
            var salesmanCode = $handleService.sessionHandle.getSession("SLS_INFO").employCode;
            var Qick_Renewal_URL = (JSON.parse(window.localStorage.getItem('Q_Renewal_Info')) || {} )[salesmanCode];
            if(Qick_Renewal_URL){
                $handleService.openUrl(Qick_Renewal_URL, {
                    shareFlag: false,
                });
            }else{
                $state.go(routeName);
            }
        }

        $scope.closeNotice = function() {
            $scope.showRenewalNotice = false;
        }

        //首页广告轮播图的当前页码，绑定到视图的active-slide属性上
        $scope.curIndex = 0;
        //点击后去到对应的页面
        $scope.goTo = function(curIndex){
            $ionicSlideBoxDelegate.slide(curIndex);
        }
        // $scope.go_changed = function(curIndex){
        // }
        // $scope.repeatDone = function() {
        //    $ionicSlideBoxDelegate.update();
        // };

        //获取index页面展示图片
        $handleService.motoHttp({
            url: $interFace.cmscenterMainFace + "/subject/webSubject",
            method: 'GET',
            params: {
                subjectCodes: 'zsb-app-advertisInfo,zsb-app-headerAdvInfos,zsb-app-bottomAdvInfos',
                rn: new Date().format("yyyyMMddhhmm") //缓存一分钟
            },
            success: function (res) {
                $handleService.logger("object", res, "首页图片获取接口接口--》");
                if (res.errCode == '0') {
                    //index-popup 展示图

                    //修改为cms返回描述字段管控机构展示广告
                    //排除模式 exclude: '0102', '0103'
                    //包含模式 include: '0102', '0103'
                    var filterAdvertis = function(advertisList, deptCode){
                        var advertisResultList = [];
                        for(var i = 0; i < advertisList.length; i++){
                            var item = advertisList[i];
                            if(!item.properties){
                                continue;
                            }
                            if(item.properties.exclude){
                                var deptCodePatt = new RegExp(/\d+/g), m, isExclude = false;
                                while(m = deptCodePatt.exec(item.properties.exclude)){
                                    var deptCodePrefix = new RegExp('^' + m[0]);
                                    if(deptCodePrefix.test(deptCode)){
                                        isExclude = true;
                                        break;
                                    }
                                }
                                if(isExclude){
                                    continue;
                                }
                            }else if(item.properties.include){
                                var deptCodePatt = new RegExp(/\d+/g), m, isInclude = false;
                                while(m = deptCodePatt.exec(item.properties.include)){
                                    var deptCodePrefix = new RegExp('^' + m[0]);
                                    if(deptCodePrefix.test(deptCode)){
                                        isInclude = true;
                                        break;
                                    }
                                }
                                if(!isInclude){
                                    continue;
                                }
                            }
                            
                            advertisResultList.push(item.properties);
                        }
                        return advertisResultList;
                    }
                    var subjects = res.data.subjects;
                    var deptCode = Handle.getUInfo().deptCode;
                    var advertisInfo = filterAdvertis(subjects[0].contents, deptCode);
                    var headerAdvInfos = filterAdvertis(subjects[1].contents, deptCode);
                    var bottomAdvInfos = filterAdvertis(subjects[2].contents, deptCode);



                    //除广东机构，其他机构屏蔽一路平安广告
                    /*
                    var advertisInfo = [];
                    if(/^0102/.test(Handle.getUInfo().deptCode)){
                        advertisInfo = data.AdvertisInfo;
                    }else{
                        for(var i in data.AdvertisInfo){
                            var item = data.AdvertisInfo[i];
                            if(!/productId=P060113/.test(item.contentUrl)){
                                advertisInfo.push(item);
                            }
                        }
                    }

                    var headerAdvInfos = [];
                    if(/^0102/.test(Handle.getUInfo().deptCode)){
                        headerAdvInfos = data.headerAdvInfos;
                    }else{
                        for(var i in data.headerAdvInfos){
                            var item = data.headerAdvInfos[i];
                            if(!/productId=P060113/.test(item.contentUrl)){
                                headerAdvInfos.push(item);
                            }
                        }
                    }

                    var bottomAdvInfos = [];
                    angular.forEach(data.BottomAdvInfos,function (item) {
                        if(/^0102/.test(Handle.getUInfo().deptCode)){
                            if(!/productId=P064702/.test(item.contentUrl)){
                                bottomAdvInfos.push(item);
                            }
                        }else{
                            if(!/productId=P060113/.test(item.contentUrl)){
                                bottomAdvInfos.push(item);
                            }
                        }

                    });
                    */

                    $scope.INDEXPOPUP = advertisInfo;
                    //BANNERS 展示图片
                    $scope.BANNERS = headerAdvInfos;
                    //底部 展示图片
                    $scope.BUTTOM_IMGS = bottomAdvInfos;

                    //-------------------- begin  index-popup 展示图 --------------------//
                    var hasdes = $scope.INDEXPOPUP[0].description;
                    var indexPop = {
                        cssClass: "index-popup",
                        okText: "我知道了",
                        templateUrl: "templates/common/index-popup.html",
                        okType: hasdes ? "button-assertive" : "button-hide",
                        scope: $scope
                    };
                    if ($scope.INDEXPOPUP[0].imgUrl && !$U.getSession("index_popup")) {
                        $scope.indexPopTimer = 5;
                        var indexPopInterval;
                        $scope.indexPop = $handleService.showAlert("", "", null, indexPop);
                        //缓存起来 用户打开一次 只弹出一次
                        $U.sessionHandle.saveSession("index_popup", false);
                        $('body').removeClass('popup-open');
                        $('body').on('click.aa','.popup-container',function(e){
                            if(e.target.className.indexOf('popup-container')!=-1){
                                $('body').off('click.aa','.popup-container');
                                $('span.closeindex').trigger('click');
                                $('span.closeindex-auto').trigger('click');
                            }
                        });
                        
                        $scope.autoCloseIndexPop = function() {
                            if (angular.isDefined(indexPopInterval)) {
                                $interval.cancel(indexPopInterval);
                                indexPopInterval = undefined;
                                if($scope.indexPop){
                                    $scope.indexPop.close();
                                }
                            }
                        };

                        indexPopInterval = $interval(function(){
                            if($scope.indexPopTimer > 1){
                                $scope.indexPopTimer--;
                            }else{
                                $scope.autoCloseIndexPop();
                            }
                        }, 1000);

                    }
                    // console.log($ionicBody.removeClass('popup-open');)
                    //-------------------- end    index-popup 展示图 --------------------//

                    //刷新一下轮播插件
                    $ionicSlideBoxDelegate.$getByHandle("bannerimgs").update();
                    $ionicSlideBoxDelegate.loop(true);
                    $timeout(function () {
                        $ionicSlideBoxDelegate.$getByHandle("bannerimgs").update();
                    });
                }
            },
            error: function (ex) {
                $handleService.logger('error', ex);
            }
        });

        //最新未读消息
        $handleService.motoHttp({
            //url: $interFace.salesPerformMainFace + '/msgrecord/query',
            url: $interFace.mitMainFace + '/msgrecord/query',
            method: 'POST',
            data: {
                salesCode: $U.sessionHandle.getSession('SLS_INFO').employCode,
                page: {
                    pageNum: 0,
                    pageSize: 5
                },
                statusCode: 0
            },
            success: function (data) {
                $scope.msgRecords = data.result.recordList;
                $scope.unreadMsgNum = data.result.unRead;
                $jpushService.setBadge($scope.unreadMsgNum);
            },
            error: function(err){

            }
        });

        //本地未读消息条数
        /*
        if(window.JPush){
           $jpushService.getApplicationIconBadgeNumber(function (badgeNum) {
              $scope.unreadMsgNum = badgeNum;
           });
        }*/


        /*活动：新人绑定送话费 begin*/
        var slsInfo = $handleService.sessionHandle.getSession('SLS_INFO');
        $scope.xinrenzhuanxiang = {
            mobile: '',
            hasCharge: false,
            receivePhoneChargePop: null,
            receivePhoneCharge: function (form) {
                var _this = this;
                $handleService.validateForm.call(this, form);
                if (form.$valid) {
                    $handleService.motoHttp({
                        url: $interFace.phoneChargeUrl,
                        method: 'POST',
                        data: {
                            userId: slsInfo.userId,
                            phone: _this.mobile,
                            planCode: '002002002'
                        },
                        success: function (res) {
                            $handleService.logger("object", res, "");
                            if (res.returnCode == '000000') {
                                _this.hasCharge = true;
                            } else {
                                $U.showToast(res.errorMsg);
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                            _this.receivePhoneChargePop.close();
                        }
                    })
                }
            },
            hasKnow: function () {
                if (this.receivePhoneChargePop) {
                    this.receivePhoneChargePop.close();
                }
            },
            popupReceivePhoneCharge: function () {
                //已绑定，领取话费
                var receivePhoneChargePop = {
                    cssClass: "charge-popup",
                    okText: "我知道了",
                    templateUrl: "templates/iv-pages/tools/receive-phone-charge-popup.html",
                    okType: "button-hide",
                    scope: $scope
                };
                this.receivePhoneChargePop = $handleService.showAlert("", "", null, receivePhoneChargePop);
            },
            checkResut: function (isAuto) {
                // 新人登录完善信息送30元话费活动
                // 首次访问后台需记录是否出单状态，避免活动过程中出单无法领取
                var _this = this;
                if(!isAuto){
                    $state.go('tab.comp');
                    if ($scope.indexPop) {
                        $scope.indexPop.close();
                    }
                }else{
                    return;
                }
            }
        };

        //$scope.xinrenzhuanxiang.checkResut(true);
        /*活动：新人绑定送话费 end*/


        $scope.gotoConfig = function() {
            $ionicHistory.clearCache();
            $rootScope.carBeans.base.frmNoFlag = '';
            $state.go("tab.config",{SOURCE:'index'});
        }

        $rootScope.gotoTheIndex = function() {
            $ionicHistory.clearCache();
            // //判断新首页可见性
            // if($rootScope.isNewHome){
            //     $state.go("tab.mitNewIndex");
            // }else{
            //     $state.go("tab.mitIndex");
            // }
            $state.go("tab.mitNewIndex");
        }

        //1.车险投保点击事件
        $scope.carInsBuy = function () {
            $generalService.foreCastRedPag();
        };
        //广告位
        $scope.openImgUrl = function (url) {

            var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
            var employCode = slsInfo.employCode;
            if (url.indexOf('activity=huiyuanchengzhang') >= 0) {
                var phone = slsInfo.phone;
                var plat = slsInfo.plat;
                var salesmanCname = slsInfo.salesmanCname;
                var sign = slsInfo.sign;
                var deptCode= slsInfo.deptCode;
                url = url + '&mobile=' + phone + '&nick=' + salesmanCname + '&plat=' + plat + '&plat_user_id=' + employCode + '&sign=' + sign + '&deptcode=' + deptCode;
            } else {
                url = url + "&salesCode=" + employCode;
            }
            $handleService.openUrl(url, {
                shareFlag: false,
                otherOptions: {
                }
            });
        };
        $scope.checkISBindPhone = function () {
            var Phone = $U.sessionHandle.getSession("SLS_INFO").phone;
            if ($U.isEmpty(Phone)) {
                $U.showToast('温馨提示：您还未绑定手机，请绑定手机立享优惠');
                $state.go('tab.bindPhone');
            }
        };

        //点击弹屏广告---》跳转界面
        $scope.openPopupUrl = function (url, e) {
            //有URL 进行跳转
            if (url) {
                if (url.indexOf('activity=xinrendenglu') >= 0) {
                    // 新人登录完善信息送30元话费活动
                    $scope.xinrenzhuanxiang.checkResut(false);
                } else {
                    //检查是否绑定了手机号
                    Handle.checkBPhone({
                        message: "温馨提示：您还未绑定手机，请绑定手机号",
                        success: function () {
                            //获取 处理 后的url
                            $handleService.openUrl(Handle.mosaicUrl(url));
                        },
                        fail: function () {
                            //关闭 弹窗
                            $handleService.closeModule($scope.indexPop);
                        }
                    });
                }
            }
            //新人登录活动不关闭开屏广告
            if(e && url.indexOf('activity=xinrendenglu')<0){
                e.stopPropagation();
            }
        };

        //我的海报
        $scope.myPoster = function () {
            Handle.checkBPhone({
                message:"温馨提示：您还未绑定手机，请绑定手机号",
                success: function () {

                    //获取 处理 后的url
                    var url = $interFace.myPosterUrl+"?";
                    var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
                    var salesmanCname = $U.sessionHandle.getSession("SLS_INFO").salesmanCname;
                    var employCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
                    url = url + "userName=" + salesmanCname + "&userMobile=" + phone + "&salesCode=" + employCode;
                    $handleService.openUrl(url, {
                        shareFlag: false,
                        otherOptions: {
                        }
                    });
                }
            });
        };

        //优惠卷跳转
        $scope.openCoupon = function () {
            var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
            if ($U.isEmpty(phone)) {
                $U.showToast('温馨提示：您还未绑定手机，请绑定手机立享优惠');
                $state.go('tab.bindPhoneIndex');
            }
            else {
                var url = $interFace.couponUrl + $U.sessionHandle.getSession("SLS_INFO").userId + "&agentcode=" + $U.getSlsCode();
                $handleService.openUrl(url, {
                    shareFlag: false,
                    otherOptions: {
                    }
                });
            }
        };
        //打开中宏寿险页面
        $scope.openMainSino = function () {
            var  saleCode =$U.sessionHandle.getSession("SLS_INFO").employCode;
            $handleService.openUrl($interFace.ZHlifeInsureUrl+'saleCode='+saleCode,{
                closeFlag: true,
                backCallBack:function (browser, closeFlag) {
                    console.log(browser)
                    if(closeFlag) {
                        browser.close();
                    }

                }
            });
        }
        //活动专区跳转
        $scope.openActivity = function () {
            var url = $interFace.activityUrl;
            $handleService.openUrl(url, {
                shareFlag: false,
                otherOptions: {
                }
            });
        };
        //跳转展业软文
        $scope.advertorial = function(){
            Handle.checkBPhone({
                message:"温馨提示：您还未绑定手机，请绑定手机号",
                success: function () {
                    var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                    var phone = slsInfo.phone;
                    var url =  $interFace.advertorialUrl
                        +
                        'salesCode=' + slsInfo.employCode  //工号
                        + "&sign=" + slsInfo.sign + "&token=" + slsInfo.token;
                        +
                        '&phone=' + phone; //电话号码
                    $handleService.openUrl(url, {
                        shareFlag: false,
                        otherOptions: {
                        },
                        backCallBack:function (browser) {
                            cordova.ThemeableBrowser.getCurLocation(function (url) {
                                //截取后面 URL 参数
                                // if(url.indexOf('advertorial.jhtml')!=-1||url.indexOf('chexian.jhtml')!=-1||url.indexOf('knowledge.jhtml')!=-1||url.indexOf('bxkepu.jhtml')!=-1){
                                //     browser.close();
                                // }
                            });
                        }
                    });

                }
            });

        };
        // 跳转渤海人寿
        $scope.selfInsurance = function() {
            var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
            var salesmanCname = $U.sessionHandle.getSession("SLS_INFO").salesmanCname;
            var url =  $interFace.selfInsurance
                +
                'salesCode=' + $U.sessionHandle.getSession("SLS_INFO").employCode  //工号
                +
                '&phone=' + phone //电话号码
                +
                '&salesmanCname=' + salesmanCname; //销售员姓名

            $handleService.showConfirm({
                title: '温馨提示',
                template: '为支持完整的投保流程，将跳转到浏览器打开页面。请勿将链接分享给他人，该链接分享后将无法使用。',
                buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
                    text: '取消',
                    type: 'button-cfirm-cancle',
                    onTap: function (e) {
                        return false;
                    }
                }, {
                    text: '在浏览器打开',
                    type: 'button-cfirm-ok',
                    onTap: function (e) {
                        return true;
                    }
                }],
                sure: function () {
                    $handleService.openUrl(url, {
                        shareFlag: false,
                        type: "_system",
                        otherOptions: {
                        },
                    });
                }
            });
        };

        //跳转个人微店
        $scope.shop = function(){
            var url =  $interFace.shopUrl + '?salesCode=' + $U.sessionHandle.getSession('SLS_INFO').employCode + '?salesmanCode=' + $U.sessionHandle.getSession('SLS_INFO').salesmanCode;  //工号;
            $handleService.openUrl(url, {
                shareFlag: false,
                otherOptions: {
                }
            });
        };
        //违章查询跳转
        $scope.openPeccancyQuery = function () {
            Handle.checkBPhone({
                message:"温馨提示：您还未绑定手机，请绑定手机号",
                success: function () {
                    var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
                    var userId = $U.sessionHandle.getSession("SLS_INFO").userId;
                    var url = $interFace.peccancyQueryUrl;
                    if (!$U.isEmpty(phone)) {
                        url = url + "operator=" + userId + "&phone=" + phone;
                    }
                    else {
                        url = url + "operator=" + userId;
                    }
                    $handleService.openUrl(url, {
                        shareFlag: false,
                        otherOptions: {
                        }
                    });
                }
            });
        };
        //我的签到
        $scope.signIn=function () {
            var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
            var employCode = slsInfo.employCode;
            var phone = slsInfo.phone;
            var plat = slsInfo.plat;
            var salesmanCname = slsInfo.salesmanCname;
            var sign = slsInfo.sign;
            var url = $interFace.signInUrl + '&mobile=' + phone + '&nick=' + salesmanCname + '&plat=' + plat + '&plat_user_id=' + employCode + '&sign=' + sign;
            $handleService.openUrl(url, {
                shareFlag: false,
                otherOptions: {
                }
            });
        };

        //摩托车控制
        $scope.openMoto = function() {
            if($rootScope.hasMotoFlag) {
                $state.go("tab.motoIndex");
            } else {
                $U.showToast("该区域暂未开放摩托车投保，请与分公司车险部沟通确认");
            }
        }

        //打开第三方页面
        $scope.openUrl = function (type) {
            switch (type) {
                case "learn":
                    $handleService.openUrl($interFace.learningUrl, {
                        shareFlag: false
                    });
                    break;
                case "nocar":
                    $handleService.uMengListen("noCarPrd");
                    //打开非车链接
                    $handleService.openUrl($interFace.policyUrl + $U.getSlsCode() + "&deptCode=" + $U.getDeptCode() , {
                        shareFlag: true,
                        otherOptions: {
                        },
                        shareCallBack: function () {  //非车分享 每次要获取分享参数
                            //获取当前URL
                            cordova.ThemeableBrowser.getCurLocation(function (url) {
                                //截取后面 URL 参数
                                var _params = url.split("?")[1];
                                //Angular ajax 不支持同步 用Jquery
                                $.ajax({
                                    url: $interFace.policyShareInfo + _params + "&share=zhanye-app-share",
                                    async: false,
                                    success: function (data) {
                                        $handleService.logger("object", data, "非车分享参数获取接口返回结果--》");
                                        var _options = {
                                            title: "华安保险微商城，您的保险掌上管家",
                                            text: "在线投保、理赔服务、保单查询一站式轻松解决,随时随地满足您的保险需求！",
                                            url: $interFace.policyWeMall + $U.getSession("SLS_CDE"),
                                            imgUrl: "https://m.sinosafe.com.cn/tplresource/cms/www/shop/images/index/wexinLog.jpg",
                                        };
                                        if (data.resultCode == "000000") {
                                            _options = {
                                                title: data.shareInfo.SHARE_TITLE,
                                                text: data.shareInfo.SHARE_SUMMARY,
                                                url: url + "&share=zhanye-app-share",
                                                imgUrl: data.shareInfo.SHARE_PICTURE
                                            };
                                        }
                                        _options.siteUrl = _options.url;
                                        _options.titleUrl = _options.url;
                                        $handleService.logger("object", _options, "非车分享调用参数--》");
                                        //开始调用分享--------》
                                        $handleService.sharePanle(_options);
                                    }
                                });
                            });
                        }
                    });
                    break;
                default:
                    return false;
            }
        }

        //虚拟激活卡
        $scope.openVirtualActivateCard = function(){
            //检查是否绑定了手机号
            Handle.checkBPhone({
                message: "温馨提示：您还未绑定手机，请绑定手机号",
                success: function () {
                    var slsInfo = $U.sessionHandle.getSession('SLS_INFO');
                    var url = $interFace.virtualActivateCardUrl + '?userId=' + slsInfo.userId + '&salesmanCname=' + slsInfo.salesmanCname + '&deptCode=' + slsInfo.deptCode
                        + '&employCode=' + slsInfo.employCode + '&phone=' + slsInfo.phone + '&salesmanCode=' + slsInfo.salesmanCode;
                    $handleService.openUrl(url, {
                        shareFlag: false,
                        otherOptions: {
                        }
                    });
                },
                fail: function () {
                    //关闭 弹窗
                    $handleService.closeModule($scope.indexPop);
                }
            });
        };

        //打开个人工作平台
        $scope.openSalesPerform = function(interFaceName){
            var url = $interFace[interFaceName];
            $jpushService.openUrl(url, {
                shareFlag: false,
                toolbar: {
                    height: 0,
                    color: '#e13c36'
                }
            });
        };

        //打开消息
        $scope.openMsg = function(msg){
            var sms;
            if(msg.sms){
                sms = JSON.parse(msg.sms);
            }
            if(sms && sms.extras){
                var id = msg.id, msgType = msg.msgType, salesCode = msg.salesCode;
                var url = sms.extras.url;
                $jpushService.readMsg({
                    id: id,
                    salesCode: salesCode
                });
                if(url){
                    $jpushService.openUrl(sms.extras.url);
                }else if(msgType == '20501'){ //滚动条出单成功消息跳转
                    $state.go("tab.trackRecord",{TYPE: "CAR"}, {reload:true});
                }else if(msgType == '20502'){ //人工核保通过跳投保进度
                    $state.go("tab.oderSetbacksList", {PAGE_CHANNAL: "LIST"});
                }else if(msgType == '20503' || msgType == '20504'){ //打印成功\失败消息跳转保单详情  保单配送消息跳转逻辑
                    // $state.go("tab.policySearch");
                    //配送开关跳转不同详情页面 ;
                    if ($rootScope.switchBean) {
                        $state.go("tab.orderDetail-A", {
                            orderNo: sms.extras.orderNo
                        })
                        // if ($rootScope.switchBean.newPageEdition) {
                        //     $state.go("tab.orderDetail-A", {
                        //         orderNo: sms.extras.orderNo
                        //     })
                        // } else {
                        //     $state.go("tab.policyDetail", {
                        //         orderNo: sms.extras.orderNo
                        //     })
                        // } //dev-page
                    } else {
                        //判断新首页可见性
                        // if($rootScope.isNewHome){
                        //     $state.go("tab.mitNewIndex");
                        // }else{
                        //     $state.go("tab.mitIndex");
                        // }
                        $state.go("tab.mitNewIndex");
                    }
                }else if(msgType == '20506' || msgType == '20507' || msgType == '20508'){ //打印成功\失败消息跳转保单详情  保单配送消息跳转逻辑
                    // $state.go("tab.policySearch");
                    $state.go("tab.orderDetail-A", {
                        orderNo: sms.extras.orderNo
                    })//0827配送跳详情
                }else if(msgType == '20505'){ //待支付跳转
                    $rootScope.orderNo = sms.extras.orderNo;
                    $state.go("tab.oderSetbacksDetail");
                }else{
                    $jpushService.openSalesPerformNotification({
                        msgType: msgType,
                        noticeId: sms.extras.noticeId,
                        licenceNo: sms.extras.licenceNo,
                        frameNo: sms.extras.frameNo,
                        policyNo: sms.extras.policyNo,
                        calcDate: sms.extras.calcDate
                    });
                }
            }else{
                //$scope.openSalesPerform('unreadMsgListUrl');
                var msgType = msg.msgType;
                $jpushService.openSalesPerformNotification({
                    msgType: msgType
                });
            }
        };


        $rootScope.revSwitch = $U.sessionHandle.getSession("SLS_INFO").revSwitch; //是否支持复核

        // if(!$U.sessionHandle.getSession("SLS_INFO").phone && !$rootScope.gotoPhone){
        //     $state.go("tab.bindPhone",{pageName:'bindPhone'});
        //
        // }
    });
    return app;
});

