define(['services/app.general.service', 'directives/app.directives', 'services/app.jpush.service', 'filters/app.filters'], function () {
    'use strict';
    var app = angular.module('app.indexNewController', ['app.general.service', 'app.directives', 'app.jpush.service', 'app.filters']);
    //展业首页控制器
    app.controller('indexNewController', function ($scope, $rootScope, $generalService, $handleService, $interFace, $ionicSlideBoxDelegate, $state, $ionicHistory, $jpushService, $timeout, $interval) {
        //--------------------------------begin 全局监听--------------------------------//
        //如果是 安卓平台 跳转显示加载中
        if (ionic.Platform.isAndroid()) {
            //路由跳转之前
            $rootScope.$on("$stateChangeStart", function (event, toState, toParams, fromState, fromParams) {
                $handleService.showLoading("show");
            });
            //路由跳转完成后
            $rootScope.$on("$stateChangeSuccess", function (event, toState, toParams, fromState, fromParams) {
                $handleService.showLoading("hide");
            });
        }
        $scope.isIos = ionic.Platform.isIOS();
        $rootScope.historyTy = [];
        $rootScope.previousState = '';//清除缓存数据标志
        $rootScope.isRelation = false;//首页跳转关联车险保单
        $rootScope.hasRelationPolicy = false;//是否有关联保单
        $rootScope.failtgetCode = false;//是否扫码失败
        $rootScope.relationCarList = [];//关联保单车险列表
        $rootScope.relationMotoCarList = [];//关联保单摩托车列表
        $rootScope.relationCarMoreList = [];//关联保单车险更多列表
        $rootScope.relationMotoCarMoreList = [];//关联保单摩托车更多列表
        $rootScope.isDeliveryRelation = false;//是否保单配送关联列表
        $rootScope.isOnlyCompany = false;//关联保单时弹窗控制显示快递单号很快递公司
        $rootScope.relationInfo = {//扫码录入数据
            logisticCode:'',//快递单号
            companyCode: '',//快递公司code
            companyName:'',//快递公司name
            phone4: '',//手机后四位
            receiverProvince: '',//收件人省
            receiverCity:'',//收件人市
            receiverDistrict: '',//收件人区
            receiverName: '',//收件人姓名
            receiverAddress: '',//收件人详细地址
            receiverMobile: ''//收件人电话
        };
        //快递鸟快递公司
        $rootScope.relationCompanyList = [{shipperCode:'SF',shipperName:'顺丰'},
        {shipperCode:'ZTO',shipperName:'中通速递'},{shipperCode:'STO',shipperName:'申通快递'},
        {shipperCode:'YTO',shipperName:'圆通快递'},{shipperCode:'YD',shipperName:'韵达速递'},
        {shipperCode:'EMS',shipperName:'EMS'},{shipperCode:'HHTT',shipperName:'天天快递'},
        {shipperCode:'JD',shipperName:'京东快递'},{shipperCode:'UC',shipperName:'优速快递'},
        {shipperCode:'DBL',shipperName:'德邦快递'},{shipperCode:'ZJS',shipperName:'宅急送'},
        {shipperCode:'FEDEX',shipperName:'FEDEX联邦(国内件)'},{shipperCode:'HTKY',shipperName:'百世快递'},
        {shipperCode:'TJS',shipperName:'特急送'}]
        //记录未登录的状态 登录后跳转我的业绩
        // alert('$rootScope.preMessage:=>'+$rootScope.preMessage);//调试
        if ($rootScope.preMessage) {
            switch($rootScope.preMessage){
                case "trackRecord":
                    $state.go("tab.trackRecord",{TYPE: "CAR"}, {reload:true});
                    $rootScope.preMessage = '';
                    return false;
                    break;
                case "oderList":
                    $state.go("tab.oderSetbacksList", {PAGE_CHANNAL: "LIST"});
                    $rootScope.preMessage = '';
                    return false;
                    break;
                case "print":
                    // dev-page
                    // $state.go("tab.policyDetail", {orderNo:  $rootScope.orderNumber});
                    $state.go("tab.orderDetail-A", {
                        orderNo: $rootScope.orderNumber
                    })
                    // if ($rootScope.switchBean && $rootScope.switchBean.newPageEdition) {
                    //     $state.go("tab.orderDetail-A", {
                    //         orderNo: $rootScope.orderNumber
                    //     })
                    // } else {
                    //     $state.go("tab.policyDetail", {
                    //         orderNo: $rootScope.orderNumber
                    //     })
                    // }
                    // $state.go("tab.policySearch");
                    $rootScope.preMessage = '';
                    $rootScope.orderNumber = '';
                    return false;
                    break;
                // case "print":
                case "preMessage":
                    // $state.go("tab.policyDetail", {orderNo:  $rootScope.orderNumber});
                    $state.go("tab.policySearch");
                    $rootScope.preMessage = '';
                    $rootScope.orderNumber = '';
                    return false;
                    break;
                case "orderToPay":
                    //待支付
                    $rootScope.orderNo = $rootScope.orderNumber;
                    $state.go("tab.oderSetbacksDetail");
                    $rootScope.preMessage = '';
                    $rootScope.orderNumber = '';
                    return false;
                    break;
                //  跳转我的反馈
                case "userFeedList":
                    $state.go("tab.userFeedList");
                    $rootScope.preMessage = '';
                    return false;
                    break;
            }

        }



        //更新登录字段控制

        //检查更新 -- >防止部分用户 登录前更新出不来
        $handleService.checkUpdate();
        $scope.isRenewalList = false; //续保跟进默认提示框提示
        $scope.isSign = false;//默认未签到
        $scope.salesAccessType  = '1'; //默认团队经理权限
        //首页网格模块入口
        //isBeta 热门
        //isNew 新品
        $scope.gridAppSwiper = {
            items: [
                {
                    id:1001,
                    name: '车险投保',
                    icon: 'images/newicon/zsbf_icon_zsbicon_chexiantoubao.png',
                    event: 'gotoConfig()',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:3001,
                    name: '车险续保',
                    icon: 'images/newicon/zsbf_icon_zsbicon_chexianxubao.png',
                    event: 'gotoPage_Qrenewal("tab.configRenewal")',
                    isHome:'',
                    type:'renewalMenu',
                },
                {
                    id:1002,
                    name: '验车编码',
                    icon: 'images/newicon/zsbf_icon_zsbicon_yanchebianma.png',
                    event: 'gotoPage("tab.validateCarNum")',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:2001,
                    name: '非车投保',
                    icon: 'images/newicon/zsbf_icon_zsbicon_feichetoubao.png',
                    event: 'openUrl("nocar")',
                    isHome:'',
                    type:'marketMenu',
                },
                {
                    id:3002,
                    name: '续保跟进',
                    icon: 'images/newicon/zsbf_icon_zsbicon_xubaogenjin.png',
                    event: 'openSalesPerform("xubaogenjinUrl")',
                    isHome:'',
                    type:'renewalMenu',
                },
                {
                    id:1003,
                    name: '进度查询',
                    icon: 'images/newicon/zsbf_icon_zsbicon_jinduchaxun.png',
                    event: 'gotoPage("tab.oderSetbacksList", {PAGE_CHANNAL: "LIST"})',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:2002,
                    name: '个人微店',
                    icon: 'images/newicon/zsbf_icon_zsbicon_gerenweidian.png',
                    event: 'shop()',
                    isHome:'',
                    type:'marketMenu',
                },
                {
                    id:2003,
                    name: '展业软文',
                    icon: 'images/newicon/zsbf_icon_zsbicon_zhanyeruanwen.png',
                    event: 'advertorial()',
                    isHome:'',
                    type:'marketMenu',
                },
                {
                    id:2004,
                    name: '展业海报',
                    icon: 'images/newicon/zsbf_icon_zsbicon_zhanyehabao.png',
                    event: 'myPoster()',
                    isHome:'',
                    type:'marketMenu',
                },
                {
                    id:1004,
                    name: '我的报价',
                    icon: 'images/newicon/zsbf_img_zsbicon_wodebaojia.png',
                    event: 'gotoPage("tab.draftsList2")',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:4001,
                    name: '我的业绩',
                    icon: 'images/newicon/zsbf_icon_zsbicon_wodeyeji.png',
                    event: 'gotoPage("tab.trackRecord", {TYPE: "CAR"})',
                    isHome:'',
                    type:'othersMenu',
                },
                {
                    id:1005,
                    name: '验车影像',
                    icon: 'images/newicon/zsbf_icon_zsbicon_yancheyingxiang.png',
                    event: 'gotoPage("tab.imagesFValidate")',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:1006,
                    name: '车险保单',
                    icon: 'images/newicon/zsbf_icon_zsbicon_chexianbaodan.png',
                    event: 'gotoPage("tab.policySearch")',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:1007,
                    name: '违章查询',
                    icon: 'images/newicon/zsbf_icon_zsbicon_weizhangchaxun.png',
                    event: 'openPeccancyQuery()',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:1008,
                    name: '摩托车投保',
                    icon: 'images/newicon/zsbf_icon_zsbicon_motuochexian.png',
                    event: 'openMoto()',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:1009,
                    name: '车险理赔',
                    icon: 'images/newicon/zsbf_icon_zsbicon_chexianlipei.png',
                    event: 'openSalesPerform("lipeigenjinUrl")',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:1010,
                    name: '保单配送',
                    icon: 'images/newicon/zsbf_icon_zsbicon_baodanpeisong.png',
                    event: 'goToPolicyDelivery()',
                    isHome:'',
                    type:'carInsuranceMenu',
                },
                {
                    id:2005,
                    name: '活动专区',
                    icon: 'images/newicon/zsbf_icon_zsbicon_huodongzhuanqu.png',
                    event: 'openActivity()',
                    isHome:'',
                    type:'marketMenu',
                },
                {
                    id:2006,
                    name: '激活卡',
                    icon: 'images/newicon/zsbf_icon_zsbicon_jihuoka.png',
                    event: 'openVirtualActivateCard()',
                    isHome:'',
                    type:'marketMenu',
                },
                {
                    id:2007,
                    name: '优惠券',
                    icon: 'images/newicon/zsbf_icon_zsbicon_youhuiquan.png',
                    event: 'openCoupon()',
                    isHome:'',
                    type:'marketMenu',
                },
                // {
                //     name: '渤海人寿',
                //     icon: 'images/icon/bohai-icon.png',
                //     event: 'selfInsurance()',
                //     disabled: true
                // },
                // {
                //     name: '中宏寿险',
                //     icon: 'images/icon/icon-zh.png',
                //     event: 'openMainSino()',
                //     disabled: true
                // },

                // {
                //     name: '续保清单',
                //     icon: 'images/newicon/zsbf_icon_zsbicon_chexianpigai.png',
                //     event: 'openSalesPerform("xubaoqingdanUrl")',
                // },
                // {
                //     id:3003,
                //     name: '我的续保',
                //     icon: 'images/newicon/zsbf_icon_zsbicon_wodexubao.png',
                //     event: 'gotoPage("tab.renewalnew")',
                //     isHome:'',
                //     type:'renewalMenu',
                // },
                {
                    id:3004,
                    name: '续保统计',
                    icon: 'images/newicon/zsbf_icon_zsbicon_xubaotongji.png',
                    event: 'openSalesPerform("xubaotongjiUrl")',
                    isHome:'',
                    type:'renewalMenu',
                },
                {
                    id:4002,
                    name: '个人绩效',
                    icon: 'images/newicon/zsbf_icon_zsbicon_gerenjixiao.png',
                    event: 'openSalesPerform("gerenjixiaoUrl")',
                    isHome:'',
                    type:'othersMenu',
                },
                {
                    id:4003,
                    name: '签到',
                    icon: 'images/newicon/zsbf_icon_zsbicon_qiandao.png',
                    event: 'signIn()',
                    isHome:'',
                    type:'othersMenu',
                },
                {
                    id:4004,
                    name: '扫一扫',
                    icon: 'images/newicon/zsbf_icon_zsbicon_saoyisao2.png',
                    event: 'getCode()',
                    isHome:'',
                    type:'othersMenu',
                },
                {
                    id: 4005,
                    name: '移动打卡',
                    icon: 'images/newicon/zsbf_icon_zsbicon_daka.png',
                    event: 'checkIn()',
                    isHome: '',
                    type: 'othersMenu',
                },
                {
                    id:3005,
                    name: '续保清单',
                    icon: 'images/newicon/zsbf_icon_zsbicon_xubaoqingdan.png',
                    event: 'openSalesPerform("xubaoqingdanUrl")',
                    isHome:'',
                    type:'renewalMenu',
                }
                
            ],
            countInPage: 11,
            countInRow: 3,
            homeMenu:[],
            carInsuranceMenu: [],
            marketMenu:[],
            renewalMenu:[],
            othersMenu:[],
            init: function(){
                $scope.getUserMenu();
            },
            getGroupActiveItems: function(){
                var activeItems = this.filterActiveItems();
                // //第十二个为更多
                activeItems.push(
                    {
                        name: '更多',
                        icon: 'images/newicon/zsbf_icon_zsbicon_more.png',
                        event: 'gotoIconMore()',
                    }
                );
                return activeItems;
            },
            filterActiveItems: function () {
                var activeItems = [];
                var items = this.homeMenu;
                for (var j in items) {
                    var item = items[j];
                    if (!item.disabled) {
                        activeItems.push(item);
                    }
                }
                return activeItems;
            },
        };
        $scope.getDeptCode = function (){
            if($U.getDeptCode()) {
                var $deferredConfig = $.Deferred(), $deferredAccessType = $.Deferred();
                $handleService.getConfigSwitch(function(){
                    $deferredConfig.resolve();
                });
                //获取业务员权限
                $handleService.motoHttp({
                    url: $interFace.salesPerformMainFace + '/personalPerformance/findAssessType',
                    method: 'POST',
                    params: {
                        salesCode: $U.sessionHandle.getSession("SLS_INFO").employCode,
                    },
                    success: function (data) {
                        if(data.resultCode == '0'){
                            $scope.salesAccessType = data.result;
                            /*
                            1-客户经理,2-团队按客户经理考核,3-团队经理考核,4-团队经理按机构经理考核,
                            5-机构经理按团队经理考核,6-机构经理考核,7-机构经理按客户经理考核,9-无
                            */
                        }
                        $deferredAccessType.resolve();
                    },
                    error: function(err){
                        $deferredAccessType.resolve();
                    }
                });
                $.when($deferredConfig, $deferredAccessType).then(function () {
                    $scope.gridAppSwiper.init();
                });
            }
        }
        $scope.getDeptCode();

        $scope.carMonthRenewNumber = 0; //最近车险可续保单数
        $scope.nocarMonthRenewNumber = 0;
        $scope.showRenewalNotice = true; //显示续保提示

        $scope.msgRecords = []; //消息列表
        $scope.unreadMsgNum = 0; //未读消息条数

        // $scope.getHeight = function (index){
        //     // $('.tb-tab .tb-slide').eq(index)
        // }
        //节流方法
        var throttle = function(func, delay) {            
        　　var prev = Date.now();            
        　　return function() {                
        　　　　var context = this;                
        　　　　var args = arguments;                
        　　　　var now = Date.now();                
        　　　　if (now - prev >= delay) {                    
        　　　　　　func.apply(context, args);                    
        　　　　　　prev = Date.now();                
        　　　　}            
        　　}        
        };
        //--------------------------------end   全局监听--------------------------------//

        //--------------------------------begin   内部方法--------------------------------//
        //全局工具方法 跳转链接
        var Handle = (function (handle) {
            //获取用户信息
            handle.getUInfo = function () {
                return $U.sessionHandle.getSession("SLS_INFO")
            };
            //拼接URL
            handle.mosaicUrl = function (url) {
                var _self = this;

                var slsInfo = _self.getUInfo();
                if (url.indexOf('activity=huiyuanchengzhang') >= 0) {
                    var phone = slsInfo.phone;
                    var plat = slsInfo.plat;
                    var salesmanCname = slsInfo.salesmanCname;
                    var employCode = slsInfo.employCode;
                    var sign = slsInfo.sign;
                    var deptCode= slsInfo.deptCode;
                    url = url + '&mobile=' + phone + '&nick=' + salesmanCname + '&plat=' + plat + '&plat_user_id=' + employCode + '&sign=' + sign + '&deptcode=' + deptCode;
                }else{
                    var phone = slsInfo.phone;
                    var salesmanCname = slsInfo.salesmanCname;
                    var employCode = slsInfo.employCode;
                    url = url +
                        "&userName=" + salesmanCname +
                        "&userMobile=" + phone +
                        "&salesCode=" + employCode;
                }

                return url;
            };
            //检查 是否绑定了手机号
            handle.checkBPhone = function (opts) {
                var _self = this;
                var options = {
                    message: "您未绑定手机号",
                    success: function () {},
                    fail: function () {}
                };
                angular.extend(options,opts);
                //如果未绑定手机号 跳转到绑定页面
                if ($U.isEmpty(_self.getUInfo().phone)) {
                    $U.showToast(options.message);
                    $state.go('tab.bindPhoneIndex');
                    options.fail();
                }
                else{
                    options.success();
                }
            };
            handle.recNowDate = function () {
                var nex = new Date();
                nex.setDate(nex.getDate());
                return nex.format('yyyy-MM-dd');
            };
            handle.recNxtWeek = function () {
                var nex = new Date();
                nex.setDate(nex.getDate() + 7);
                return nex.format('yyyy-MM-dd');
            };
            handle.recNxtDay = function () {
                var nex = new Date();
                nex.setDate(nex.getDate() + 1);
                return nex.format('yyyy-MM-dd');
            };

            //下3个月
            handle.recNxtThreeMonth = function () {
                var nex = new Date();
                nex.setMonth(nex.getMonth() + 3);
                return nex.format('yyyy-MM-dd');
            };

            //获取非车本周待续保数据
            handle.queryNocarHasRenew = function() {
                var slsCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
                var subObj = {
                    "salesCode": slsCode,   			//业务员代码
                    "startDate":Handle.recNowDate(),		//	开始时间
                    "endDate": Handle.recNxtWeek()			//结束时间
                }

                $handleService.nocarHttp({
                    url: $interFace.nocarGetNotice,
                    method: 'POST',
                    data: subObj,
                    success: function (data) {
                        $handleService.logger('object', data, '非车下月可续保-》');
                        if (data.resultCode == "000000") {
                            $scope.nocarMonthRenewNumber = (data.resultData || "0");
                        }
                    }
                })
            }
            //获取车险最近可续保单数
            handle.queryRenewal = function() {
                var slsCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
                var subObj = {
                    PolicyNo: '',
                    InsureEndStartDate: Handle.recNxtDay() + " 00:00:00",
                    InsureEndDate: Handle.recNxtThreeMonth() + " 23:59:59",
                    SalesmanCode: slsCode,//slsCode,
                    LicenseNo: '', //车牌
                    FrameNO: '', //车架号
                    InsureIdNumber: '', //被保险人证件号码
                    InsuredName: '',  //被保人姓名
                    Start: 0,
                    Length: 20,
                    InterfaceId: '234562564568576', //交易ID
                    OrderType: '0' // 0正序 1倒序   排序
                };

                $handleService.http({
                    url: $interFace.motoMainFace,
                    method: 'POST',
                    headers: {
                        method: 'queryRenewalList'
                    },
                    data: subObj,
                    success: function (data) {

                        $handleService.logger('object', data, '车险下月可续保-》');
                        $scope.carMonthRenewNumber = data.countNum ||'0';
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });
            }
            //调用摄像头扫码
            handle.getCanner = function() {
                var regnum = /\d{7,30}/;
                // 仅供测试快递单号 ******start*******
                // $rootScope.relationInfo.logisticCode = '6600218001071'
                // $handleService.http({
                //     url: '/policyDelivery/getExpressCompanyByExpressNo?logisticCode='+$rootScope.relationInfo.logisticCode,
                //     method: 'GET',
                //     success: function (data) {
                //         $handleService.logger('object', data, '扫一扫快递单号查询保单');
                //         if(data.resultCode == '0'){
                //             $rootScope.expressCompanyList = data.result;
                //             if($rootScope.expressCompanyList.length==1){//如果只返回一个快递公司,直接查询关联保单
                //                 $rootScope.relationInfo.companyCode = $rootScope.expressCompanyList[0].shipperCode;
                //                 $rootScope.relationInfo.companyName = $rootScope.expressCompanyList[0].shipperName;
                //                 $handleService.http({//查询关联保单
                //                     url:'/policyDelivery/queryOrderListByLogisticCode?logisticCode='+$rootScope.relationInfo.logisticCode+'&shipperCode='+$rootScope.relationInfo.companyCode,
                //                     method: 'GET',
                //                     success: function (res){
                //                         if(res.resultCode == "0") {
                //                             if(res.result){//有关联保单
                //                                 $handleService.logger('object', res, '根据快递单号和快递公司查询配送订单');
                //                                 $rootScope.relationPolicyList = res.result;
                //                                 $rootScope.hasRelationPolicy = true;
                //                                 $rootScope.isRelation = false;
                //                             }else{//没有关联保单  
                //                                 $rootScope.isRelation = true;
                //                                 $rootScope.hasRelationPolicy = false;
                //                                 $rootScope.isOnlyCompany = true;//只有一条快递公司跳转显示录入快递单号
                //                             }
                //                             $state.go('tab.policySearch')
                //                         }
                //                     },
                //                     error: function (ex) {
                //                         $handleService.logger('error', ex);
                //                     }
                //                 })
                //             }else{//如果没有查询到快递公司或多条快递公司跳转手动录入信息
                //                 $rootScope.isRelation = true;
                //                 $rootScope.isOnlyCompany = false;//多条快递公司跳转录入页，关联时不显示录入信息
                //                 $state.go("tab.policySearchNumber");
                //             }
                //         }else{
                //             $U.showToast(data.errorMsg)
                //         }
                //     },
                //     error: function (ex) {
                //         $handleService.logger('error', ex);
                //     }
                // });
                // return;
                // 仅供测试快递单号 ******end*******
                if(!cordova.plugins.barcodeScanner){
                    $U.showToast('请安装最新安装包');
                }else{
                    cordova.plugins.barcodeScanner.scan(
                        function (result) {
                            if(result.text.indexOf('=')>-1 && regnum.test(result.text.split('=')[1])){
                                $rootScope.relationInfo.logisticCode = result.text.split('=')[1]
                            }else if(regnum.test(result.text)){
                                $rootScope.relationInfo.logisticCode = result.text
                            }else if(result.text){
                                $rootScope.isRelation = true;
                                $rootScope.failtgetCode = true;
                                $state.go("tab.policySearchNumber");
                                return;
                            }else{//没有任何返回值，返回首页
                                return;
                            }
                            $rootScope.failtgetCode = false;
                            $handleService.http({
                                url: '/policyDelivery/getExpressCompanyByExpressNo?logisticCode='+$rootScope.relationInfo.logisticCode,
                                method: 'GET',
                                success: function (data) {
                                    $handleService.logger('object', data, '扫一扫快递单号查询保单');
                                    if(data.resultCode == '0'){
                                        $rootScope.expressCompanyList = data.result;
                                        if($rootScope.expressCompanyList.length==1){//如果只返回一个快递公司,直接查询关联保单
                                            $rootScope.relationInfo.companyCode = $rootScope.expressCompanyList[0].shipperCode;
                                            $rootScope.relationInfo.companyName = $rootScope.expressCompanyList[0].shipperName;
                                            $handleService.http({//查询关联保单
                                                url:'/policyDelivery/queryOrderListByLogisticCode?logisticCode='+$rootScope.relationInfo.logisticCode+'&shipperCode='+$rootScope.relationInfo.companyCode,
                                                method: 'GET',
                                                success: function (res){
                                                    if(res.resultCode == "0") {//有关联保单
                                                        if(res.result){//有关联保单
                                                            $handleService.logger('object', res, '根据快递单号和快递公司查询配送订单');
                                                            $rootScope.relationPolicyList = res.result;
                                                            $rootScope.isRelation = false;
                                                            $rootScope.hasRelationPolicy = true;
                                                        }else{//没有关联保单  
                                                            $rootScope.isRelation = true;
                                                            $rootScope.hasRelationPolicy = false;
                                                            $rootScope.isOnlyCompany = true;//只有一条快递公司跳转显示录入快递单号
                                                        }
                                                        $state.go('tab.policySearch')
                                                    }
                                                },
                                                error: function (ex) {
                                                    $handleService.logger('error', ex);
                                                }
                                            })
                                        }else{//如果没有查询到快递公司或多条快递公司跳转手动录入信息
                                            $rootScope.isRelation = true;
                                            $rootScope.isOnlyCompany = false;//多条快递公司跳转录入页，关联时不显示录入信息
                                            $state.go("tab.policySearchNumber");
                                        }
                                    }else{
                                        $U.showToast(data.errorMsg)
                                    }
                                },
                                error: function (ex) {
                                    $handleService.logger('error', ex);
                                }
                            });
                        },
                        function (error) {
                            $U.showToast(error);
                        }
                    );
                }  
            }
            return handle;
        })(Handle || {});
        //--------------------------------end    内部方法--------------------------------//

        //获取续保提示消息个数
        // Handle.queryNocarHasRenew();
        // Handle.queryRenewal();
        //查询签到状态
        $scope.getSignStatus = function (){
            var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
            var salesCode = slsInfo && slsInfo.employCode;
            $handleService.http({
                url: 'getSignStatus',//标识 app.service.js http方法判断接口路径标识
                method: 'GET',
                data:{"salecode":salesCode},
                success: function (data) {
                    $handleService.logger("object", data, "获取签到状态接口--》");
                    if(data.code==0){
                        $scope.isSign = data.data;
                    }
                },
                error: function(ex){

                }
            });
        };
        // $scope.getSignStatus();


        $scope.gotoPage = function(routeName, opts){
            if((routeName =='tab.oderSetbacksList'||routeName =='tab.draftsList2') && !$scope.checkInsuranceLicense()){
                return;//执业资格证检测 1112期
            }
            $state.go(routeName, opts||{});
        };

        $scope.gotoPage_Qrenewal = function(routeName){
            if(!$scope.checkInsuranceLicense()){
                return;
            }
            $state.go(routeName);
        }

        $scope.closeNotice = function() {
            $scope.showRenewalNotice = false;
        }

        //首页广告轮播图的当前页码，绑定到视图的active-slide属性上
        $scope.curIndex = 0;
        //点击后去到对应的页面
        $scope.goTo = function(curIndex){
            $ionicSlideBoxDelegate.slide(curIndex);
        }
        // $scope.go_changed = function(curIndex){
        // }
        // $scope.repeatDone = function() {
        //    $ionicSlideBoxDelegate.update();
        // };

        //获取index页面展示图片
        $handleService.motoHttp({
            url: $interFace.cmscenterMainFace + "/subject/webSubject",
            method: 'GET',
            params: {
                subjectCodes: 'zsb-app-advertisInfo,zsb-app-headerAdvInfos,zsb-app-bottomAdvInfos,zsb-app-new-bottomAdvInfos',
                rn: new Date().format("yyyyMMddhhmm") //缓存一分钟
            },
            success: function (res) {
                $handleService.logger("object", res, "首页图片获取接口接口--》");
                if (res.errCode == '0') {
                    //index-popup 展示图

                    //修改为cms返回描述字段管控机构展示广告
                    //排除模式 exclude: '0102', '0103'
                    //包含模式 include: '0102', '0103'
                    var filterAdvertis = function(advertisList, deptCode){
                        var advertisResultList = [];
                        for(var i = 0; i < advertisList.length; i++){
                            var item = advertisList[i];
                            if(!item.properties){
                                continue;
                            }
                            if(item.properties.exclude){
                                var deptCodePatt = new RegExp(/\d+/g), m, isExclude = false;
                                while(m = deptCodePatt.exec(item.properties.exclude)){
                                    var deptCodePrefix = new RegExp('^' + m[0]);
                                    if(deptCodePrefix.test(deptCode)){
                                        isExclude = true;
                                        break;
                                    }
                                }
                                if(isExclude){
                                    continue;
                                }
                            }else if(item.properties.include){
                                var deptCodePatt = new RegExp(/\d+/g), m, isInclude = false;
                                while(m = deptCodePatt.exec(item.properties.include)){
                                    var deptCodePrefix = new RegExp('^' + m[0]);
                                    if(deptCodePrefix.test(deptCode)){
                                        isInclude = true;
                                        break;
                                    }
                                }
                                if(!isInclude){
                                    continue;
                                }
                            }

                            advertisResultList.push(item.properties);
                        }
                        return advertisResultList;
                    }
                    var subjects = res.data.subjects;
                    var deptCode = Handle.getUInfo().deptCode;
                    var advertisInfo = filterAdvertis(subjects[0].contents, deptCode);
                    var headerAdvInfos = filterAdvertis(subjects[1].contents, deptCode);
                    var bottomAdvInfos = filterAdvertis(subjects[2].contents, deptCode);
                    var bottomNewAdvInfos = filterAdvertis(subjects[3].contents, deptCode);


                    //除广东机构，其他机构屏蔽一路平安广告
                    /*
                    var advertisInfo = [];
                    if(/^0102/.test(Handle.getUInfo().deptCode)){
                        advertisInfo = data.AdvertisInfo;
                    }else{
                        for(var i in data.AdvertisInfo){
                            var item = data.AdvertisInfo[i];
                            if(!/productId=P060113/.test(item.contentUrl)){
                                advertisInfo.push(item);
                            }
                        }
                    }

                    var headerAdvInfos = [];
                    if(/^0102/.test(Handle.getUInfo().deptCode)){
                        headerAdvInfos = data.headerAdvInfos;
                    }else{
                        for(var i in data.headerAdvInfos){
                            var item = data.headerAdvInfos[i];
                            if(!/productId=P060113/.test(item.contentUrl)){
                                headerAdvInfos.push(item);
                            }
                        }
                    }

                    var bottomAdvInfos = [];
                    angular.forEach(data.BottomAdvInfos,function (item) {
                        if(/^0102/.test(Handle.getUInfo().deptCode)){
                            if(!/productId=P064702/.test(item.contentUrl)){
                                bottomAdvInfos.push(item);
                            }
                        }else{
                            if(!/productId=P060113/.test(item.contentUrl)){
                                bottomAdvInfos.push(item);
                            }
                        }

                    });
                    */

                    $scope.INDEXPOPUP = advertisInfo;
                    //BANNERS 展示图片
                    $scope.BANNERS = headerAdvInfos;
                    //底部 展示图片
                    $scope.BUTTOM_IMGS = bottomAdvInfos;
                    $scope.BUTTOM_IMGS_NEW = bottomNewAdvInfos;

                    //-------------------- begin  index-popup 展示图 --------------------//
                    var hasdes = $scope.INDEXPOPUP[0].description;
                    var indexPop = {
                        cssClass: "index-popup",
                        okText: "我知道了",
                        templateUrl: "templates/common/index-popup.html",
                        okType: hasdes ? "button-assertive" : "button-hide",
                        scope: $scope
                    };
                    if ($scope.INDEXPOPUP[0].imgUrl && !$U.getSession("index_popup")) {
                        $scope.indexPopTimer = 5;
                        var indexPopInterval;
                        $scope.indexPop = $handleService.showAlert("", "", null, indexPop);
                        //缓存起来 用户打开一次 只弹出一次
                        $U.sessionHandle.saveSession("index_popup", false);
                        $('body').removeClass('popup-open');
                        $('body').on('click.aa','.popup-container',function(e){
                            if(e.target.className.indexOf('popup-container')!=-1){
                                $('body').off('click.aa','.popup-container');
                                $('span.closeindex').trigger('click');
                                $('span.closeindex-auto').trigger('click');
                            }
                        });

                        $scope.autoCloseIndexPop = function() {
                            if (angular.isDefined(indexPopInterval)) {
                                $interval.cancel(indexPopInterval);
                                indexPopInterval = undefined;
                                if($scope.indexPop){
                                    $scope.indexPop.close();
                                }
                            }
                        };

                        indexPopInterval = $interval(function(){
                            if($scope.indexPopTimer > 1){
                                $scope.indexPopTimer--;
                            }else{
                                $scope.autoCloseIndexPop();
                            }
                        }, 1000);

                    }
                    // console.log($ionicBody.removeClass('popup-open');)
                    //-------------------- end    index-popup 展示图 --------------------//

                    //刷新一下轮播插件
                    $ionicSlideBoxDelegate.$getByHandle("bannerimgs").update();
                    $ionicSlideBoxDelegate.loop(true);
                    $timeout(function () {
                        $ionicSlideBoxDelegate.$getByHandle("bannerimgs").update();
                    });
                }
            },
            error: function (ex) {
                $handleService.logger('error', ex);
            }
        });

        //最新未读消息
        $handleService.motoHttp({
            //url: $interFace.salesPerformMainFace + '/msgrecord/query',
            url: $interFace.mitMainFace + '/msgrecord/query',
            method: 'POST',
            data: {
                salesCode: $U.sessionHandle.getSession('SLS_INFO').employCode,
                page: {
                    pageNum: 0,
                    pageSize: 5
                },
                statusCode: 0
            },
            success: function (data) {
                $scope.msgRecords = data.result.recordList;
                $scope.unreadMsgNum = data.result.total;
                $jpushService.setBadge($scope.unreadMsgNum);
            },
            error: function(err){

            }
        });

        //本地未读消息条数
        /*
        if(window.JPush){
           $jpushService.getApplicationIconBadgeNumber(function (badgeNum) {
              $scope.unreadMsgNum = badgeNum;
           });
        }*/


        /*活动：新人绑定送话费 begin*/
        var slsInfo = $handleService.sessionHandle.getSession('SLS_INFO');
        $scope.xinrenzhuanxiang = {
            mobile: '',
            hasCharge: false,
            receivePhoneChargePop: null,
            receivePhoneCharge: function (form) {
                var _this = this;
                $handleService.validateForm.call(this, form);
                if (form.$valid) {
                    $handleService.motoHttp({
                        url: $interFace.phoneChargeUrl,
                        method: 'POST',
                        data: {
                            userId: slsInfo.userId,
                            phone: _this.mobile,
                            planCode: '002002002'
                        },
                        success: function (res) {
                            $handleService.logger("object", res, "");
                            if (res.returnCode == '000000') {
                                _this.hasCharge = true;
                            } else {
                                $U.showToast(res.errorMsg);
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                            _this.receivePhoneChargePop.close();
                        }
                    })
                }
            },
            hasKnow: function () {
                if (this.receivePhoneChargePop) {
                    this.receivePhoneChargePop.close();
                }
            },
            popupReceivePhoneCharge: function () {
                //已绑定，领取话费
                var receivePhoneChargePop = {
                    cssClass: "charge-popup",
                    okText: "我知道了",
                    templateUrl: "templates/iv-pages/tools/receive-phone-charge-popup.html",
                    okType: "button-hide",
                    scope: $scope
                };
                this.receivePhoneChargePop = $handleService.showAlert("", "", null, receivePhoneChargePop);
            },
            checkResut: function (isAuto) {
                // 新人登录完善信息送30元话费活动
                // 首次访问后台需记录是否出单状态，避免活动过程中出单无法领取
                var _this = this;
                if(!isAuto){
                    $state.go('tab.comp');
                    if ($scope.indexPop) {
                        $scope.indexPop.close();
                    }
                }else{
                    return;
                }
            }
        };

        //$scope.xinrenzhuanxiang.checkResut(true);
        /*活动：新人绑定送话费 end*/


        $scope.gotoConfig = function() {
            if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
                return;
            }
            $ionicHistory.clearCache();
            $rootScope.carBeans.base.frmNoFlag = '';
            $state.go("tab.config",{SOURCE:'index'});
        }
        $scope.gotoIconMore = function() {
            $ionicHistory.clearCache();
            $state.go("tab.iconMore",{SOURCE:'index'});
        }
        $rootScope.gotoTheIndex = function() {
            $ionicHistory.clearCache();
            // //判断新首页可见性
            // if($rootScope.isNewHome){
            //     $state.go("tab.mitNewIndex");
            // }else{
            //     $state.go("tab.mitIndex");
            // }
            $state.go("tab.mitNewIndex");
        }

        //1.车险投保点击事件
        $scope.carInsBuy = function () {
            $generalService.foreCastRedPag();
        };
        //广告位
        $scope.openImgUrl = function (url) {

            var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
            var employCode = slsInfo.employCode;
            if (url.indexOf('activity=huiyuanchengzhang') >= 0) {
                var phone = slsInfo.phone;
                var plat = slsInfo.plat;
                var salesmanCname = slsInfo.salesmanCname;
                var sign = slsInfo.sign;
                var deptCode= slsInfo.deptCode;
                url = url + '&mobile=' + phone + '&nick=' + salesmanCname + '&plat=' + plat + '&plat_user_id=' + employCode + '&sign=' + sign + '&deptcode=' + deptCode;
            } else {
                url = url + "&salesCode=" + employCode;
            }
            $handleService.openUrl(url, {
                shareFlag: false,
                otherOptions: {
                }
            });
        };
        $scope.checkISBindPhone = function () {
            var Phone = $U.sessionHandle.getSession("SLS_INFO").phone;
            if ($U.isEmpty(Phone)) {
                $U.showToast('温馨提示：您还未绑定手机，请绑定手机立享优惠');
                $state.go('tab.bindPhone');
            }
        };
        //移动打卡
        $scope.checkIn = function () {
            var slsInfo = $U.sessionHandle.getSession("SLS_INFO"),
                device = $U.sessionHandle.getSession("deviceId"),//+ '&deviceId=' + deviceId
                salesmanCname = encodeURIComponent(slsInfo.salesmanCname),
                salesmanCode = encodeURIComponent(slsInfo.salesmanCode);
            var deviceId;
            if(device == '' && device != null && device != undefined){
                device = device.split('');
                device.shift();
                device.pop();
                deviceId = device.join("")
            }
            var url = $interFace.checkInUrl + 'salesmanCname=' + salesmanCname + '&salesmanCode=' + salesmanCode + '&route=index' + '&deviceId=' + deviceId;
            $jpushService.openUrl(url, {
                shareFlag: false,
                toolbar: {
                    height: 0,
                    color: '#e13c36'
                }
            });
        };
        //点击弹屏广告---》跳转界面
        $scope.openPopupUrl = function (url, e) {
            //有URL 进行跳转
            if (url) {
                if (url.indexOf('activity=xinrendenglu') >= 0) {
                    // 新人登录完善信息送30元话费活动
                    $scope.xinrenzhuanxiang.checkResut(false);
                } else {
                    //检查是否绑定了手机号
                    Handle.checkBPhone({
                        message: "温馨提示：您还未绑定手机，请绑定手机号",
                        success: function () {
                            //获取 处理 后的url
                            $handleService.openUrl(Handle.mosaicUrl(url));
                        },
                        fail: function () {
                            //关闭 弹窗
                            $handleService.closeModule($scope.indexPop);
                        }
                    });
                }
            }
            //新人登录活动不关闭开屏广告
            if(e && url.indexOf('activity=xinrendenglu')<0){
                e.stopPropagation();
            }
        };

        //我的海报
        $scope.myPoster = function () {
            if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
                return;
            }
            Handle.checkBPhone({
                message:"温馨提示：您还未绑定手机，请绑定手机号",
                success: function () {

                    //获取 处理 后的url
                    var url = $interFace.myPosterUrl+"?";
                    var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
                    var salesmanCname = $U.sessionHandle.getSession("SLS_INFO").salesmanCname;
                    var employCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
                    url = url + "userName=" + salesmanCname + "&userMobile=" + phone + "&salesCode=" + employCode;
                    $handleService.openUrl(url, {
                        shareFlag: false,
                        otherOptions: {
                        }
                    });
                }
            });
        };

        //优惠卷跳转
        $scope.openCoupon = function () {
            var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
            if ($U.isEmpty(phone)) {
                $U.showToast('温馨提示：您还未绑定手机，请绑定手机立享优惠');
                $state.go('tab.bindPhoneIndex');
            }
            else {
                var url = $interFace.couponUrl + $U.sessionHandle.getSession("SLS_INFO").userId + "&agentcode=" + $U.getSlsCode();
                $handleService.openUrl(url, {
                    shareFlag: false,
                    otherOptions: {
                    }
                });
            }
        };
        //打开中宏寿险页面
        $scope.openMainSino = function () {
            var  saleCode =$U.sessionHandle.getSession("SLS_INFO").employCode;
            $handleService.openUrl($interFace.ZHlifeInsureUrl+'saleCode='+saleCode,{
                closeFlag: true,
                backCallBack:function (browser, closeFlag) {
                    console.log(browser)
                    if(closeFlag) {
                        browser.close();
                    }

                }
            });
        }
        //活动专区跳转
        $scope.openActivity = function () {
            var url = $interFace.activityUrl;
            $handleService.openUrl(url, {
                shareFlag: false,
                otherOptions: {
                }
            });
        };
        //跳转展业软文
        $scope.advertorial = function(){
            if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
                return;
            }
            Handle.checkBPhone({
                message:"温馨提示：您还未绑定手机，请绑定手机号",
                success: function () {
                    var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                    var phone = slsInfo.phone;
                    var url =  $interFace.advertorialUrl
                        +
                        'salesCode=' + slsInfo.employCode  //工号
                        + "&sign=" + slsInfo.sign + "&token=" + slsInfo.token
                        +
                        '&phone=' + phone; //电话号码
                    $handleService.openUrl(url, {
                        shareFlag: false,
                        otherOptions: {
                        },
                        backCallBack:function (browser) {
                            cordova.ThemeableBrowser.getCurLocation(function (url) {
                                //截取后面 URL 参数
                                // if(url.indexOf('advertorial.jhtml')!=-1||url.indexOf('chexian.jhtml')!=-1||url.indexOf('knowledge.jhtml')!=-1||url.indexOf('bxkepu.jhtml')!=-1){
                                //     browser.close();
                                // }
                            });
                        }
                    });

                }
            });

        };
        // 跳转渤海人寿
        $scope.selfInsurance = function() {
            var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
            var salesmanCname = $U.sessionHandle.getSession("SLS_INFO").salesmanCname;
            var url =  $interFace.selfInsurance
                +
                'salesCode=' + $U.sessionHandle.getSession("SLS_INFO").employCode  //工号
                +
                '&phone=' + phone //电话号码
                +
                '&salesmanCname=' + salesmanCname; //销售员姓名

            $handleService.showConfirm({
                title: '温馨提示',
                template: '为支持完整的投保流程，将跳转到浏览器打开页面。请勿将链接分享给他人，该链接分享后将无法使用。',
                buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
                    text: '取消',
                    type: 'button-cfirm-cancle',
                    onTap: function (e) {
                        return false;
                    }
                }, {
                    text: '在浏览器打开',
                    type: 'button-cfirm-ok',
                    onTap: function (e) {
                        return true;
                    }
                }],
                sure: function () {
                    $handleService.openUrl(url, {
                        shareFlag: false,
                        type: "_system",
                        otherOptions: {
                        },
                    });
                }
            });
        };

        //跳转个人微店
        $scope.shop = function(){
            if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
                return;
            }
            var url =  $interFace.shopUrl + '?salesCode=' + $U.sessionHandle.getSession('SLS_INFO').employCode + '?salesmanCode=' + $U.sessionHandle.getSession('SLS_INFO').salesmanCode;  //工号;
            $handleService.openUrl(url, {
                shareFlag: false,
                otherOptions: {
                }
            });
        };
        //违章查询跳转
        $scope.openPeccancyQuery = function () {
            Handle.checkBPhone({
                message:"温馨提示：您还未绑定手机，请绑定手机号",
                success: function () {
                    var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
                    var userId = $U.sessionHandle.getSession("SLS_INFO").userId;
                    var url = $interFace.peccancyQueryUrl;
                    if (!$U.isEmpty(phone)) {
                        url = url + "operator=" + userId + "&phone=" + phone;
                    }
                    else {
                        url = url + "operator=" + userId;
                    }
                    $handleService.openUrl(url, {
                        shareFlag: false,
                        otherOptions: {
                        }
                    });
                }
            });
        };
        //我的签到
        $scope.signIn=function () {
            var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
            var employCode = slsInfo.employCode;
            var phone = slsInfo.phone;
            var plat = slsInfo.plat;
            var salesmanCname = slsInfo.salesmanCname;
            var sign = slsInfo.sign;
            var url = $interFace.signInUrl + '&mobile=' + phone + '&nick=' + salesmanCname + '&plat=' + plat + '&plat_user_id=' + employCode + '&sign=' + sign;
            $handleService.openUrl(url, {
                shareFlag: false,
                otherOptions: {
                }
            });
        };

        //摩托车控制
        $scope.openMoto = function() {
            if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
                return;
            }
            if($rootScope.hasMotoFlag) {
                $state.go("tab.motoIndex");
            } else {
                $U.showToast("该区域暂未开放摩托车投保，请与分公司车险部沟通确认");
            }
        }

        //打开第三方页面
        $scope.openUrl = function (type) {
            switch (type) {
                case "learn":
                    $handleService.openUrl($interFace.learningUrl, {
                        shareFlag: false
                    });
                    break;
                case "nocar":
                    if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
                        return;
                    }
                    $handleService.uMengListen("noCarPrd");
                    //打开非车链接
                    $handleService.openUrl($interFace.policyUrl + $handleService.getBindSalesCodeOrSalesCode() + "&deptCode=" + $U.getDeptCode() , {
                        shareFlag: true,
                        otherOptions: {
                        },
                        shareCallBack: function () {  //非车分享 每次要获取分享参数
                            //获取当前URL
                            cordova.ThemeableBrowser.getCurLocation(function (url) {
                                //截取后面 URL 参数
                                var _params = url.split("?")[1];
                                //Angular ajax 不支持同步 用Jquery
                                $.ajax({
                                    url: $interFace.policyShareInfo + _params + "&share=zhanye-app-share",
                                    async: false,
                                    success: function (data) {
                                        $handleService.logger("object", data, "非车分享参数获取接口返回结果--》");
                                        var _options = {
                                            title: "华安保险微商城，您的保险掌上管家",
                                            text: "在线投保、理赔服务、保单查询一站式轻松解决,随时随地满足您的保险需求！",
                                            url: $interFace.policyWeMall + $U.getSession("SLS_CDE"),
                                            imgUrl: "https://m.sinosafe.com.cn/tplresource/cms/www/shop/images/index/wexinLog.jpg",
                                        };
                                        if (data.resultCode == "000000") {
                                            _options = {
                                                title: data.shareInfo.SHARE_TITLE,
                                                text: data.shareInfo.SHARE_SUMMARY,
                                                url: url + "&share=zhanye-app-share",
                                                imgUrl: data.shareInfo.SHARE_PICTURE
                                            };
                                        }
                                        _options.siteUrl = _options.url;
                                        _options.titleUrl = _options.url;
                                        $handleService.logger("object", _options, "非车分享调用参数--》");
                                        //开始调用分享--------》
                                        $handleService.sharePanle(_options);
                                    }
                                });
                            });
                        }
                    });
                    break;
                default:
                    return false;
            }
        }

        //虚拟激活卡
        $scope.openVirtualActivateCard = function(){
            //检查是否绑定了手机号
            Handle.checkBPhone({
                message: "温馨提示：您还未绑定手机，请绑定手机号",
                success: function () {
                    var slsInfo = $U.sessionHandle.getSession('SLS_INFO');
                    var url = $interFace.virtualActivateCardUrl + '?userId=' + slsInfo.userId + '&salesmanCname=' + slsInfo.salesmanCname + '&deptCode=' + slsInfo.deptCode
                        + '&employCode=' + slsInfo.employCode + '&phone=' + slsInfo.phone + '&salesmanCode=' + slsInfo.salesmanCode;
                    $handleService.openUrl(url, {
                        shareFlag: false,
                        otherOptions: {
                        }
                    });
                },
                fail: function () {
                    //关闭 弹窗
                    $handleService.closeModule($scope.indexPop);
                }
            });
        };

        //打开个人工作平台
        $scope.openSalesPerform = function(interFaceName){
            if((interFaceName=='xubaoqingdanUrl'||interFaceName=='xubaogenjinUrl')&&!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
                return;
            }
            //团队经理、机构经理才有权限查看续保清单
            // salesAccessType
            // 1-客户经理,2-团队按客户经理考核,3-团队经理考核,4-团队经理按机构经理考核,
            // 5-机构经理按团队经理考核,6-机构经理考核,7-机构经理按客户经理考核,9-无
            if(interFaceName=='xubaoqingdanUrl' && (['3', '4', '5', '6'].indexOf($scope.salesAccessType)<0)){
                $U.showToast('温馨提示：您暂无权限访问');
                return;
            }

            var url = $interFace[interFaceName];
            $jpushService.openUrl(url, {
                shareFlag: false,
                toolbar: {
                    height: 0,
                    color: '#e13c36'
                }
            });
        };
        //我的资料
        $scope.myInfo = function(){
            var url = $interFace.myInfoUrl+'?sign=' + Handle.getUInfo().sign;
            if($scope.needShowCompleteInfomationActivity){
                url = url + '&activity=1';
            }
            $jpushService.openUrl(url, {
                shareFlag: false,
                toolbar: {
                    height: 0,
                    color: '#e13c36'
                }
            });
        }

        //打开消息
        $scope.openMsg = function(msg){
            var sms;
            if(msg.sms){
                sms = JSON.parse(msg.sms);
            }
            if(sms && sms.extras){
                var id = msg.id, msgType = msg.msgType, salesCode = msg.salesCode;
                var url = sms.extras.url;
                $jpushService.readMsg({
                    id: id,
                    salesCode: salesCode
                });
                if(url){
                    $jpushService.openUrl(sms.extras.url);
                }else if(msgType == '20501'){ //滚动条出单成功消息跳转
                    $state.go("tab.trackRecord",{TYPE: "CAR"}, {reload:true});
                }else if(msgType == '20502'){ //人工核保通过跳投保进度
                    $state.go("tab.oderSetbacksList", {PAGE_CHANNAL: "LIST"});
                }else if(msgType == '20503' || msgType == '20504'){ //打印成功\失败消息跳转保单详情  保单配送消息跳转逻辑
                    // $state.go("tab.policySearch");
                    //配送开关跳转不同详情页面 ;
                    if ($rootScope.switchBean) {
                        $state.go("tab.orderDetail-A", {
                            orderNo: sms.extras.orderNo
                        })
                        // if ($rootScope.switchBean.newPageEdition) {
                        //     $state.go("tab.orderDetail-A", {
                        //         orderNo: sms.extras.orderNo
                        //     })
                        // } else {
                        //     $state.go("tab.policyDetail", {
                        //         orderNo: sms.extras.orderNo
                        //     })
                        // } //dev-page
                    } else {
                        //判断新首页可见性
                        // if($rootScope.isNewHome){
                        //     $state.go("tab.mitNewIndex");
                        // }else{
                        //     $state.go("tab.mitIndex");
                        // }
                        $state.go("tab.mitNewIndex");
                    }
                }else if(msgType == '20506' || msgType == '20507' || msgType == '20508'){ //打印成功\失败消息跳转保单详情  保单配送消息跳转逻辑
                    $state.go("tab.orderDetail-A", {
                        orderNo: sms.extras.orderNo
                    })
                }else if(msgType == '20505'){ //待支付跳转
                    $rootScope.orderNo = sms.extras.orderNo;
                    $state.go("tab.oderSetbacksDetail");
                }else{
                    $jpushService.openSalesPerformNotification({
                        msgType: msgType,
                        noticeId: sms.extras.noticeId,
                        licenceNo: sms.extras.licenceNo,
                        frameNo: sms.extras.frameNo,
                        policyNo: sms.extras.policyNo,
                        calcDate: sms.extras.calcDate
                    });
                }
            }else{
                //$scope.openSalesPerform('unreadMsgListUrl');
                var msgType = msg.msgType;
                $jpushService.openSalesPerformNotification({
                    msgType: msgType
                });
            }
        };



        $rootScope.revSwitch = $U.sessionHandle.getSession("SLS_INFO").revSwitch; //是否支持复核

        // if(!$U.sessionHandle.getSession("SLS_INFO").phone && !$rootScope.gotoPhone){
        //     $state.go("tab.bindPhone",{pageName:'bindPhone'});
        //
        // }
        //获取头像
        $scope.getUserAvatar = function(){
            var msgOpt = {
                "sign":"",
                "salesCode":""
            };
            var formdata = new FormData();
            var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
            msgOpt.salesCode = msgOpt.salesCode || (slsInfo && slsInfo.employCode);
            msgOpt.sign = msgOpt.sign || (slsInfo && slsInfo.sign);
            //通过append()方法在末尾追加key为name值为laoliu的数据
            formdata.append("sign",msgOpt.sign);
            formdata.append("salesCode",msgOpt.salesCode);
            $handleService.http({
                url: 'queryAppUserInfo',//标识 app.service.js http方法判断接口路径标识
                method: 'POST',
                params: {sign:msgOpt.sign,salesCode:msgOpt.salesCode},
                success: function (data) {
                    $handleService.logger("object", data, "获取头像接口--》");
                    if(data.errCode==0){
                        if(data.data.visitingCard && data.data.visitingCard.headPortrait){
                            $scope.avatar = $interFace.imgUrl+ data.data.visitingCard.headPortrait;
                        }
                        //提供绑定执业资格证号的业务员代码给非车出单、我的业绩、续保跟进、续保统计、个人绩效使用
                        $handleService.storeBindSalesCode(data.data.bindSalesCode);
                        //判断绑定执业资格证，同一人登录只弹出一次，最多弹出两次
                        var insuranceLicensePopTimes = window.localStorage.getItem("insuranceLicensePopTimes_" + slsInfo.employCode) || 0;
                        if($rootScope.switchBean.checkCertificateSwitch == '1' && !$handleService.getBindSalesCode() && !slsInfo.license && !$U.getSession("insuranceLicensePop_" + slsInfo.employCode) && insuranceLicensePopTimes < 2){
                            var insuranceLicensePop = {
                                cssClass: "insurance-license-popup",
                                okText: "我知道了",
                                templateUrl: "templates/iv-pages/tools/need-insurance-license-popup.html",
                                okType: "button-hide",
                                scope: $rootScope
                            };
                            $rootScope.insuranceLicensePop = $handleService.showAlert("", "", null, insuranceLicensePop);
                            $rootScope.goToBindInsuranceLicense = function(){
                                $rootScope.insuranceLicensePop.close();
                                var url = $interFace.bindInsuranceLicenseUrl +'?sign=' + Handle.getUInfo().sign;
                                $jpushService.openUrl(url, {
                                    shareFlag: false,
                                    toolbar: {
                                        height: 0,
                                        color: '#e13c36'
                                    }
                                });
                            }
                            $U.sessionHandle.saveSession("insuranceLicensePop_" + slsInfo.employCode, false);
                            window.localStorage.setItem("insuranceLicensePopTimes_" + slsInfo.employCode, ++insuranceLicensePopTimes);
                        }
                    }
                },
                error: function(ex){
                    $handleService.logger('error', ex);
                }
            });
        }
        $scope.getUserAvatar();
        //获取是否展示完成信息活动开关
        $handleService.checkIfNeedShowCompleteInfomationActivity(function(needShowCompleteInfomationActivity){
            $scope.needShowCompleteInfomationActivity = needShowCompleteInfomationActivity;
        });
        //获取用户菜单
        $scope.getUserMenu = function(){
            $handleService.http({
                url: "/menuManage/queryUserMenu?employCode="+$U.sessionHandle.getSession('SLS_INFO').employCode,
                method: 'GET',
                success: function (data) {
                    $handleService.logger("object", data, "用户菜单获取接口接口--》");
                    if(data.resultCode ==0){
                        var homePageMenu = data.result.homePageMenu;
                        var gridAppSwiper = $scope.gridAppSwiper;
                        //初始化各数组
                        gridAppSwiper.homeMenu = [];
                        gridAppSwiper.carInsuranceMenu = [];
                        gridAppSwiper.marketMenu = [];
                        gridAppSwiper.renewalMenu = [];
                        gridAppSwiper.othersMenu = [];
                        for(var j = 0;j<homePageMenu.length;j++){
                            for(var i in gridAppSwiper.items){
                                var item = gridAppSwiper.items[i];
                                // 摩托车险 可见
                                if($rootScope.isMotoShow){
                                    item.isMoto = true;
                                }else{
                                    item.isMoto = false;
                                }
                                //分类应用
                                if(homePageMenu[j] == String(item.id)){
                                    // 首页应用
                                    item.isHome = true;
                                    if((!$rootScope.isSendShow && item.id == '1010') || (!$rootScope.isSendShow && item.id == '4004') || (!item.isMoto && item.id == '1008') || ($rootScope.switchBean.attendanceSwitch != '1' && item.id == '4005')||(!$rootScope.switchBean.salesplatformSwitch && item.id == '3005')){
                                        
                                    }else{
                                        gridAppSwiper.homeMenu.push(item);
                                    }
                                }
                                if(!item.isHome && j==homePageMenu.length-1){ // 最后一次外循环 进行其他应用分类
                                    item.isHome = false;
                                    if(item.type=='renewalMenu'){
                                        if(!$rootScope.switchBean.salesplatformSwitch && item.id == '3005' ){

                                        }else{
                                            gridAppSwiper.renewalMenu.push(item);
                                        }
                                    }
                                    if(item.type=='othersMenu'){
                                        if((!$rootScope.isSendShow && item.id == '4004') || ($rootScope.switchBean.attendanceSwitch != '1' && item.id == '4005')){

                                        }else{
                                            gridAppSwiper.othersMenu.push(item);
                                        }

                                    }
                                    if(item.type=='carInsuranceMenu'){
                                        if((!$rootScope.isSendShow && item.id == '1010') || (!$rootScope.isMotoShow && item.id == '1008')){

                                        }else{
                                            gridAppSwiper.carInsuranceMenu.push(item);
                                        }
                                    }
                                    if(item.type=='marketMenu'){
                                        gridAppSwiper.marketMenu.push(item);
                                    }
                                    
                                }
                            }
                        }
                        gridAppSwiper.homeMenu = gridAppSwiper.getGroupActiveItems();//过滤APP应用  添加 '更多'
                    }

                },
                error: function (ex) {
                    $handleService.logger('error', ex);
                }
            });
        };
        //获取续保跟进数据
        $scope.getRenewalList = function(){
            var msgOpt = {
                pageNum: 1,
                pageSize: 10,
                renewalType: "0",
                salesCode:'',
                dateLimitFuture: "180",
                dateLimitPast: "0",
                orderBy: 2   //1 降序 2 升序
            };
            var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
            msgOpt.salesCode = msgOpt.salesCode || (slsInfo && slsInfo.employCode);
            $handleService.motoHttp({
                url: $interFace.salesPerformMainFace + '/salesrenewal/queryRenewalList',
                method: 'POST',
                data: msgOpt,
                success: function (data) {
                    $handleService.logger("object", data, "续保跟进接口--》");
                    if(data.resultCode==0){
                        $scope.renewalList = data.result.list;
                        if(data.result.list.length<10){
                            $scope.isRenewalList =  true;
                        }else{
                            $scope.isRenewalList = false;
                        }

                    }
                },
                error: function(){
                }
            });
        };
        $scope.getRenewalList();
        // 续保跟进详情页
        $scope.goCarInsure = function (item){
            console.log(item);
            var url="";
            var baseUrl = $interFace["renewalDetailUrl"];
            url = baseUrl + "?salesCode="+item.salesCode+"&assignType=1&page=renewalFollow"+"&policyNo="+item.policyNo;
            console.log(url)
            $jpushService.openUrl(url, {
                shareFlag: false,
                toolbar: {
                    height: 0,
                    color: '#e13c36'
                }
            });
        };
        $scope.tabNames=['旅游','意外','健康','财产'];
        $scope.slectIndex=0;//默认第一个
        $scope.activeSlide=function(index){//点击时候触发
            $scope.slectIndex=index;
            $ionicSlideBoxDelegate.slide(index);
        };
        $scope.slideChanged=function(index){//滑动时候触发
            $scope.slectIndex=index;
        };
        $scope.policyList = [];//初始化非车列表
        //获取非车列表
        $scope.getPolicyList = function(){
            var msgOpt = {
                "issueChannel":"", // 出单渠道  1代表微商城，2代表展业
                "salesCode":"",
            };
            var formdata = new FormData();
            var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
            msgOpt.issueChannel = 2;
            msgOpt.salesCode = msgOpt.salesCode || (slsInfo && slsInfo.employCode);
            //通过append()方法在末尾追加key为name值的数据
            formdata.append("salesCode",msgOpt.salesCode);
            formdata.append("issueChannel",msgOpt.issueChannel);
            $handleService.http({
                url: 'queryPolicyList',//标识 app.service.js http方法判断接口路径标识
                method: 'POST',
                data: formdata,
                success: function (res) {
                    $handleService.logger("object", res, "获取非车产品列表接口--》");
                    if(res.resultCode=='000000'){
                        var productList = [];
                        if(res.productList && res.productList.length){
                            var data = res.productList;
                            for(var j=0;j<data.length;j++){
                                if(data[j].dataList || !data[j].dataList.length){
                                    //处理图片没有协议
                                    for(var i=0;i<data[j].dataList.length;i++){
                                        if(data[j].dataList[i].LOGO_URL){
                                            data[j].dataList[i].LOGO_URL = data[j].dataList[i].LOGO_URL.replace(/(\/\/)|((http|https):\/\/)/g,'https://');
                                        }
                                    }
                                }
                                //分类
                                if(data[j].CATEGORY&&data[j].CATEGORY == 'lycx'){
                                    productList[0] = data[j];
                                }
                                if(data[j].CATEGORY&&data[j].CATEGORY == 'rsyw'){
                                    productList[1] = data[j];
                                }
                                if(data[j].CATEGORY&&data[j].CATEGORY == 'jkyl'){
                                    productList[2] = data[j];
                                }
                                if(data[j].CATEGORY&&data[j].CATEGORY == 'ccbz'){
                                    productList[3] = data[j];
                                }
                            }
                            $scope.policyList = productList;
                        }
                    }
                },
                error: function(){

                }
            });
        }
        $scope.getPolicyList();
        // 非车险种详情页
        $scope.goProDetail = function (item){
            var saleUrl="";
            var url=item.URL;
            var product_id=item.PRODUCT_ID;
            var SALE_COUNT= item.SALE_COUNT-0;//销量
            var baseUrl = $interFace["policyDetail"];
            var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
            var salesCode = $handleService.getBindSalesCodeOrSalesCode();
            if(item.PRODUCT_PLAN_ID !=undefined ||item.PRODUCT_PLAN_ID !=null){
                saleUrl=baseUrl+"?productId="+product_id+"&productPlanId="+item.PRODUCT_PLAN_ID+"&salesCode="+salesCode+"&issueChannel="+"2"+"&SALE_COUNT="+SALE_COUNT;
            }else if(url){
                saleUrl=url+"?productId="+product_id+"&isMulti=1&salesCode="+salesCode+"&issueChannel="+"2"+"&SALE_COUNT="+SALE_COUNT;
            }else{
                saleUrl=baseUrl+"?productId="+product_id+"&isMulti=1&salesCode="+salesCode+"&issueChannel="+"2"+"&SALE_COUNT="+SALE_COUNT;
            }
            $handleService.openUrl(saleUrl, {
                shareFlag: true,
            });

        }
        //调用扫描快递单号
        $scope.getCode = throttle(Handle.getCanner,1000);

        //保单配送跳转
        $scope.goToPolicyDelivery = function(){
            $rootScope.isRelation = true;
            $rootScope.isDeliveryRelation = true;//保单配送
            $state.go("tab.policyDelivery");
        }
        //
        $scope.checkInsuranceLicense = function(){
            var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
            var checkCertificateSwitch = $rootScope.switchBean.checkCertificateSwitch;
            var bindSalesCode = $handleService.getBindSalesCode();
            if(!slsInfo.license){
                if(checkCertificateSwitch=='1'){
                    //开关打开
                    if(bindSalesCode){
                        //绑定执业证书号
                        return true;
                    }
                    //未绑定执业证书号    弹原有框 且返回false
                    var insuranceLicensePop = {
                        cssClass: "insurance-license-popup",
                        okText: "我知道了",
                        templateUrl: "templates/iv-pages/tools/need-insurance-license-popup.html",
                        okType: "button-hide",
                        scope: $scope
                    };
                    $scope.insuranceLicensePop = $handleService.showAlert("", "", null, insuranceLicensePop);
                    $scope.goToBindInsuranceLicense = function(){
                        $scope.insuranceLicensePop.close();
                        var url = $interFace.bindInsuranceLicenseUrl +'?sign=' + Handle.getUInfo().sign;
                        $jpushService.openUrl(url, {
                            shareFlag: false,
                            toolbar: {
                                height: 0,
                                color: '#e13c36'
                            }
                        });
                    }
                    return false;
                }
                //开关关闭 弹提示框 且返回false
                $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-title">温馨提示</div>', "", null, {
                    cssClass: "new-pop new-popup ele",
                    okType: "hidden-box",
                    templateUrl: "templates/common/need-insurance-license-popup.html",
                    scope: $scope
                });
                $scope.closePup = function(){
                    $handleService.closeModule($scope.alertPopup);
                }
                return false;
            }
            return true;
        }
    });
    return app;
});

