define(['services/app.service',
   'services/app.sqlLite.service',
   'services/app.car.beans',
   'services/app.store',
   'directives/app.directives'], function () {
   'use strict';
   var app = angular.module('app.compController',
      ['app.handle.service',
         'app.directives',
         'app.store',
      ]);
   //投保查询控制器
   app.controller('insuredQueryCtrl', function ($scope, $handleService, $interFace, $state,$stateParams, store) {
      var now = new Date().format('yyyy-MM-dd');
      var nows = new Date().setDate(new Date().getDate() - 7);
      nows = new Date(nows).format('yyyy-MM-dd');

      $scope.activeFlag = "car";
      if($stateParams.checkdata == "moto") {
         $scope.activeFlag = "moto";
         $("#tab_moto_oder1").show();
      } else {
         $("#tab_car_oder1").show();
      }

      //车险 投保查询对象
      $scope.vm = {
         $IS_SELBY_DATE: true,
         $IS_MOTO_SELBY_DATE: true,
         data: {
            SLS_CDE: $U.getSession('SLS_CDE'),
            DRV_OWNER: '',
            PLY_APP_NO: '',
            APP_BGN_TM: nows,
            APP_END_TM: now,
            startDate: nows,
            endDate: now,
            electronicnameFlag: ""
         }
      };
      //非车投保单查询对象
      $scope.NO_CAR_ODER = {
         queryType: 'All',
         allNo: '',
         policyNo: '', //保单号
         appName: '', //投保人
         insrntName: '', //被保人
         policyAppNo: '',//投保单
         beginDate: nows, //开始时间
         endDate: now //结束时间
      };

      //---------------------------------------- begin 监听 ----------------------------------------//
      //查询起期监听
      $scope.$watch("vm.data.APP_BGN_TM", function (value) {
         //起期 发生变化时  止期 自动往后7 天
         var calsDate = function (opts) {
            var options={
               date:new Date(),
               deadline:false, //是否截止当前
               differs:0  //相差多少天
            };
            angular.extend(options,opts);
            var resultDate = new Date(options.date.setDate(options.date.getDate()+options.differs));
            //开始计算 两天相差日期
            if(options.deadline && resultDate > new Date()){
               resultDate = new Date();
            }
            return resultDate;
         };
         var endDate = calsDate({
            deadline:true,
            date:new Date(value),
            differs:7
         });
         //止期变化
         $scope.vm.data.APP_END_TM = endDate.format("yyyy-MM-dd");
      });
      //查询止期监听
      $scope.$watch("vm.data.APP_END_TM", function (value) {
         //逻辑
         //1.止期 不可以 大于 起期
         //2.止期 不可 比起期 多 超过 7天
         var beginTm = new Date($scope.vm.data.APP_BGN_TM);
         var endinTm = new Date(value);
         var endinTmStr = value;
         var differDay = Math.abs($U.daysBetween($scope.vm.data.APP_BGN_TM,value));
         if(endinTm < beginTm){
            endinTmStr = $scope.vm.data.APP_BGN_TM;
            $U.showToast("查询止期不可小于查询起期");
         }
         else if(differDay > 7){
            endinTmStr = new Date(beginTm.setDate(beginTm.getDate()+7)).format("yyyy-MM-dd");
            $U.showToast("仅支持查询7日内的数据");
         }
         //给止期赋值
         $scope.vm.data.APP_END_TM = endinTmStr;
      });

      //查询起期监听
      $scope.$watch("vm.data.startDate", function (value) {
         //起期 发生变化时  止期 自动往后7 天
         var calsDate = function (opts) {
            var options={
               date:new Date(),
               deadline:false, //是否截止当前
               differs:0  //相差多少天
            };
            angular.extend(options,opts);
            var resultDate = new Date(options.date.setDate(options.date.getDate()+options.differs));
            //开始计算 两天相差日期
            if(options.deadline && resultDate > new Date()){
               resultDate = new Date();
            }
            return resultDate;
         };
         var endDate = calsDate({
            deadline:true,
            date:new Date(value),
            differs:7
         });
         //止期变化
         $scope.vm.data.endDate = endDate.format("yyyy-MM-dd");
      });
      //查询止期监听
      $scope.$watch("vm.data.endDate", function (value) {
         //逻辑
         //1.止期 不可以 大于 起期
         //2.止期 不可 比起期 多 超过 7天
         var beginTm = new Date($scope.vm.data.startDate);
         var endinTm = new Date(value);
         var endinTmStr = value;
         var differDay = Math.abs($U.daysBetween($scope.vm.data.startDate,value));
         if(endinTm < beginTm){
            endinTmStr = $scope.vm.data.startDate;
            $U.showToast("查询止期不可小于查询起期");
         }
         else if(differDay > 7){
            endinTmStr = new Date(beginTm.setDate(beginTm.getDate()+7)).format("yyyy-MM-dd");
            $U.showToast("仅支持查询7日内的数据");
         }
         //给止期赋值
         $scope.vm.data.endDate = endinTmStr;
      });
      //---------------------------------------- end   监听 ----------------------------------------//

      $scope.queryVm = {
         IS_SELBY_DATE: true,
      };

      $scope.vm.carOderQHandle = function () {
         if (!$scope.vm.$IS_SELBY_DATE && $scope.vm.data.insuredName == "" && $scope.vm.data.applyPolicyNo == "") {
            $U.showToast('请输入车主姓名或投保单号');
            return;
         }
         store.searchData = $scope.vm.data;
         $state.go('tab.oderSetbacksList', {PAGE_CHANNAL: 'LISTMORE'});
         // $state.go('tab.oderDetailsOld');
         return;
      };

      $scope.vm.motoCarOderQHandle = function () {
         var searchObj= {
            insuredName: $scope.vm.data.insuredName,  //车主姓名
            applyPolicyNo: $scope.vm.data.applyPolicyNo, //投保单号
            startDate: $scope.vm.data.startDate, //查询起期
            endDate: $scope.vm.data.endDate //查询止期
         }
         if (!$scope.vm.$IS_MOTO_SELBY_DATE && $scope.vm.data.insuredName == "" && $scope.vm.data.applyPolicyNo == "") {
            $U.showToast('请输入车主姓名或投保单号');
            return;
         }
         store.searchData = searchObj;
         $state.go('tab.oderSetbacksList', {PAGE_CHANNAL: 'LISTMORE_MOTO'});
         // $state.go('tab.oderDetailsOld');
         return;
      };

      //是否  按 日期查询
      $scope.vm.isDateSel = function () {
         if ($scope.vm.$IS_SELBY_DATE) {
            $scope.vm.data.startDate = nows;
            $scope.vm.data.endDate = now;
         }
         else {
            $scope.vm.data.startDate="";
            $scope.vm.data.endDate="";
            console.log($scope.vm.data);
         }
      };

      //非车-》投保进度查询
      $scope.otherOderQHandle = function () {
         if ($scope.NO_CAR_ODER.queryType == 'All') {
            $scope.NO_CAR_ODER.policyAppNo = $scope.NO_CAR_ODER.allNo;
            $scope.NO_CAR_ODER.policyNo = $scope.NO_CAR_ODER.allNo;
         }
         //1.拼接链接参数
         var url = $interFace.policyQuery +
            '&salesCode=' + $U.getSlsCode() //工号
            +
            '&policyNo=' + $scope.NO_CAR_ODER.policyNo //保单号
            +
            '&appName=' + $scope.NO_CAR_ODER.appName //投保人姓名
            +
            '&insrntName=' + $scope.NO_CAR_ODER.insrntName //被保险人姓名
            +
            '&beginDate=' + $scope.NO_CAR_ODER.beginDate //开始时间
            +
            '&endDate=' + $scope.NO_CAR_ODER.endDate //结束时间
            +
            '&policyAppNo=' + $scope.NO_CAR_ODER.policyAppNo //投保单号
            +
            '&queryType=' + $scope.NO_CAR_ODER.queryType; //查询类型
         //2.当参数传递到子页面
         // $state.go('tab.otherCPage', {TYPE: 'NO_CAR_ODER', URL: url});
         $handleService.openUrl(url);
      };


   });
   return app;
});