define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives', 'services/app.jpush.service'], function () {
    'use strict';
    var app = angular.module('app.loginController', ['app.handle.service', 'app.general.service', 'app.car.beans', 'app.directives', 'app.jpush.service']);
    //展业登录控制器
    app.controller('loginController', function ($scope, $rootScope, $stateParams, $handleService, $generalService, $location, $state, $interFace, $carBeansService, $jpushService) {
        //---------------------------------- begin 变量 ----------------------------------//
        $scope.num = ""
        $scope.forbit = false;
        $scope.bindName = "确认绑定";
        $scope.bindTip = "手机号绑定";
        $scope.bindTitle = "手机绑定";
        $scope.select1 = true;
        $scope.select2 = false;
        //登录信息 ->手机登录 isPhone为 1 是手机号
        $scope.P_LOGIN_DATA = JSON.parse(window.localStorage.getItem('P_LOGIN_DATA')) || {
                isPhone: "1",
                userid: "",
                passwd: ""
            };
        //登录信息 ->帐号登录 isPhone为 0 是账号
        $scope.N_LOGIN_DATA = JSON.parse(window.localStorage.getItem('N_LOGIN_DATA')) || {
                isPhone: "0",
                userid: "",
                passwd: ""
            };
        //找回密码请求参数
        $scope.RETRIEVE_PWD = {
            mobile: "", //手机号
            newPassWord: "", //新密码
            checkcode: "", //验证码
            newPassWord2: "", //再次输入密码
            serverCode: "",  //服务端验证码
            passWord: ""//找回密码请求参数 石梦星添加
        };
        //绑定手机号请求参数
        $scope.BIND_PHONE = {
            isBind: false,
            mobile: '', //手机号
            valiCode: '', //验证码
            userId: '',//用户名
            salesCode:'',//业务员工号
            passWord: ''//密码
        };
        //---------------------------------- end   变量 ----------------------------------//
        // 去除前后空格
        function myTrim(x) {
            return x.replace(/^\s+|\s+$/gm,'');
        }
        // 检测账号
        $scope.$watch('N_LOGIN_DATA.userid',function(newValue,oldValue){
            if(typeof newValue != 'undefined'){
                newValue = newValue.toLowerCase();
                $scope.N_LOGIN_DATA.userid = newValue;
            }
        });

        //会员绑定消息推送Id
        $scope.bindingMsgpush = function(data){
            $handleService.http({
                url: '/websit/bindingMsgpush',
                method: 'POST',
                data: data,
                success: function (data) {
                    if (data.success != 'true') {
                        $handleService.logger('info', '会员绑定消息推送ID:' + data.returnMsg);
                    }
                },
                error: function (err) {
                    $handleService.logger('info', '会员绑定消息推送ID:' + err);
                }
            });
        }

        //登录表单处理方法
        $scope.loginFormHandle = function (form, type) {
            $handleService.validateForm.call(this, form);
            if (form.$valid) {
                var _login = {};
                $scope.accountType = type;
                if (type == "1") {
                    $scope.P_LOGIN_DATA.userid = myTrim($scope.P_LOGIN_DATA.userid);
                    _login = $scope.P_LOGIN_DATA;
                } else {
                    $scope.N_LOGIN_DATA.userid = $scope.N_LOGIN_DATA.userid.toLowerCase();
                    $scope.N_LOGIN_DATA.userid = myTrim($scope.N_LOGIN_DATA.userid);
                    _login = $scope.N_LOGIN_DATA;
                }
                $handleService.appHandle.login({
                    data: _login,
                    success: function (data) {
                        //登录成功逻辑处理
                        //1、缓存登录账号，下次来直接填充 里面有 手机号/账号 密码 类型
                        window.localStorage.setItem('P_LOGIN_DATA', JSON.stringify($scope.P_LOGIN_DATA));
                        window.localStorage.setItem('N_LOGIN_DATA', JSON.stringify($scope.N_LOGIN_DATA));
                        //2、缓存登录接口返回的所有数据
                        window.sessionStorage.setItem('SLS_INFO', JSON.stringify(data));
                        //不知道在做什么操作
                        $handleService.uMengListen("loginMessage");
                        $handleService.uMengListen("login");
                        $handleService.uMengListen("loginUser")
                        $handleService.logger('object', data, '登录完成后返回数据--》');
                        $handleService.deptJudge();
                        //获取设备ID
                        if(window.MobclickAgent){
                            window.MobclickAgent.getDeviceId(function(deviceId){
                                window.sessionStorage.setItem('deviceId', JSON.stringify(deviceId));
                            });
                        }
                        //开关配置
                        $handleService.getConfigSwitch(function () {
                            //检查更新
                            if($rootScope.switchBean.updateSwitch){
                                //$handleService.checkUpdate();
                            }
                        });
                        var onGetRegistrationID = function (registId) {
                            try {
                                if (registId.length == 0) {
                                    window.setTimeout(getRegistrationID, 10000);
                                }else{
                                    $scope.bindingMsgpush({
                                        employCode: data.employCode,
                                        registId: registId,
                                        syscode: (ionic.Platform.isAndroid()?'1':'2')
                                    })
                                }
                            } catch (e) {
                                $handleService.logger('info', '获取消息推送ID:' + e);
                            }
                        };

                        var getRegistrationID = function () {
                            if(window.JPush){
                                window.JPush.getRegistrationID(onGetRegistrationID);
                            }
                        };
                        
                        getRegistrationID();                        

                        /**
                         *逻辑
                         * 1.从localStorage 取 业务员选择的 销售助理 如果有 --》
                         * 2.直接去首页 否则 弹出选择框 选择销售助理
                         * 3.重新登录 需要取出 localStorage 销售助理 并且赋值到内存中去
                         */


                        var sales = $handleService.sessionHandle.getLocalSession("SALES" + data.salesmanCode);
                        if (true) {
                            //开关配置
                            $handleService.getConfigSwitch(function () {
                                // //判断新首页可见性
                                // if($rootScope.isNewHome){
                                //     $state.go("tab.mitNewIndex");
                                // }else{
                                //     $state.go("tab.mitIndex");
                                // }
                                $state.go("tab.mitNewIndex");
                            });
                            var notifyUrl = $stateParams.notifyUrl;
                            if(notifyUrl){
                                $jpushService.openUrl(notifyUrl);
                            }
                        } else {
                            $generalService.getAssistant({
                                token: data.token,
                                name: data.salesmanCname,
                                SLS_CDE: data.employCode,
                                success: function (data) {
                                    $rootScope.salesAss = data.data;
                                    $state.go("tab.sales");
                                }
                            });
                        }
                        $rootScope.accountPhone = data.phone;
                        var postData =  data;
                        // deptCode;  employCode;  salesmanCode; salesmanCname;  userId;  phone;  system;
                        delete postData['idCard'];
                        delete postData['idCardName'];
                        delete postData['plat'];
                        delete postData['sign'];
                        delete postData['success'];
                        delete postData['token'];
                        delete postData['userToken'];
                        delete postData['verifiMessage'];
                        // postData.version = _login.data.version;
                        // postData.loginTime = new Date().format('yyyy-MM-dd hh:mm:ss');
                        var u = navigator.userAgent;
                        //Android终端
                        var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1;

                        //iOS终端
                        var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/);
                        if(isAndroid){
                            postData.system = 'Android';
                        }
                        if(isiOS){
                            postData.system = 'iOS';
                        }
                        /*
                        if(!data.license){
                            var msg = '亲，您尚未办理执业证登记，根据最新监管要求不允许出单，请联系所属机构营销管理部设置后再出单！否则将无法出单，甚至有可能影响您所在机构考核评分!';
                            setTimeout(function(){
                                $handleService.showAlert('tips',msg, function () {});
                            },1000)
                        }
                        */
                        //掌上宝用户信息数据收集统计
                        $handleService.http({
                            url: '/recordUserInfo',
                            method: 'POST',
                            data: postData,
                            success: function (data) {
                                if (data.success != 'true') {
                                    $handleService.logger('info', '会员绑定消息推送ID:' + data.returnMsg);
                                }
                            },
                            error: function (err) {
                                $handleService.logger('info', '会员绑定消息推送ID:' + err);
                            }
                        });
                        if(!data.phone){
                            $rootScope.gotoPhone = true;
                            setTimeout(function(){
                                $state.go("tab.bindPhone",{pageName:'bindPhone'});
                                return false;
                            },800)
                        }
                    },
                    error: function () {
                        $U.showToast('服务器繁忙，请稍后再试哟~');
                    }
                });
            }
        };


        //忘记密码方法
        $scope.forgetPwdHandle = function (form) {
            $handleService.validateForm.call(this, form);
            if (form.$valid) {
                //校验两次密码输入是否一致
                if ($scope.RETRIEVE_PWD.newPassWord == $scope.RETRIEVE_PWD.newPassWord2) {

                    $scope.RETRIEVE_PWD.passWord = $scope.RETRIEVE_PWD.newPassWord;
                    //调用找回密码
                    $handleService.http({
                        url: '/websit/findpassword',
                        method: 'POST',
                        data: $scope.RETRIEVE_PWD,
                        success: function (data) {
                            if (data.success == 'true') {
                                $handleService.logger("object", data, "忘记密码方法接口返回结果--》");
                                var _title = '<div class="new-pwd-title">密码已成功找回</div>',
                                    _temp = '<div class="new-pwd-temp"><div>手机号:{{RETRIEVE_PWD.mobile}}</div><div>新密码:{{RETRIEVE_PWD.newPassWord}}</div></div>';
                                $handleService.showAlert(_title, _temp, function () {
                                    //跳转到手机号登录
                                    $location.path('/login');
                                }, {scope: $scope});
                            }
                            else {
                                $U.showToast(data.returnMsg);
                            }

                        },
                        error: function (err) {
                            $handleService.logger('info', '找回密码方法异常:' + err);
                        }
                    });


                }
                else {
                    $U.showToast('两次密码输入不一致');
                }
            }
        };

        //绑定手机号
        $scope.bindPhone = function (form) {
            //赋值-》用户名 密码
            var account = $handleService.sessionHandle.getSession("SLS_INFO");
            if ($scope.accountType == "1") {
                $scope.BIND_PHONE.passWord = $scope.P_LOGIN_DATA.passwd;
            } else {
                $scope.BIND_PHONE.passWord = $scope.N_LOGIN_DATA.passwd;
            }
            $scope.BIND_PHONE.userId = $handleService.sessionHandle.getSession("SLS_INFO").salesmanCode;
            $scope.BIND_PHONE.salesCode = $handleService.sessionHandle.getSession("SLS_INFO").employCode;
            //表单校验
            $handleService.validateForm.call(this, form);
            if (form.$valid) {
                if (account.phone) {
                    $handleService.http({
                        url: '/websit/updateRelations',
                        method: 'POST',
                        data: $scope.BIND_PHONE,
                        success: function (data) {
                            $handleService.logger("object", data, "绑定手机号接口返回结果--》");
                            if (data.success == 'true') {
                                $handleService.showAlert('提示', '手机号绑定成功', function () {
                                    $state.go("login");
                                });
                            }
                            else {
                                $U.showToast(data.returnMsg);
                            }
                        },
                        error: function (err) {

                            $handleService.logger('info', '找回密码方法异常:' + err);
                        }
                    });
                } else {
                    $handleService.http({
                        url: '/websit/bindingMobile',
                        method: 'POST',
                        data: $scope.BIND_PHONE,
                        success: function (data) {
                            if (data.success == 'true') {
                                $handleService.showAlert('提示', '手机号绑定成功', function () {
                                    $state.go("login");
                                });
                            }
                            else {
                                $U.showToast(data.returnMsg);
                            }
                        },
                        error: function (err) {
                            $handleService.logger('info', '找回密码方法异常:' + err);
                        }
                    });
                }


            }


        };

        //修改绑定手机号
        $scope.changePhone = function () {
            $scope.BIND_PHONE.isBind = false;
            var phone = $handleService.sessionHandle.getSession("SLS_INFO").phone;
            if (phone) {
                $scope.bindName = "确认更改";
                $scope.bindTip = "手机号更改";
                $scope.BIND_PHONE.mobile = "";
                $scope.bindTitle = "手机更改";
            }
        };

        //获取-》找回密码-》验证码
        $scope.getCheckCode = function (phone) {
            //校验手机号
            var _rex = /^[1][3-9][0-9]{9}$/;
            if (_rex.test(phone)) {
                $scope.forbit = true;
                $scope.num = 30;
                $scope.select1 = false;
                $scope.select2 = true;
                var over = window.setInterval(function () {
                    var num = $scope.num;
                    num--;
                    $scope.num = num;

                    if (num == 0) {
                        $scope.forbit = false;
                        $scope.select2 = false;
                        $scope.select1 = true;
                        $scope.num = "";
                        clearInterval(over);
                    }

                    $scope.$apply();
                }, 1000);
                //调用找回密码
                $handleService.http({
                    url: '/websit/getcheckCode',
                    method: 'POST',
                    data: {
                        mobile: phone
                    },
                    success: function (data) {
                        $handleService.logger("object", data, "发送验证码接口返回结果--》");
                        if (data.success == 'true') {
                            $U.showToast(data.message);
                        }
                    },
                    error: function (err) {
                        $handleService.logger('info', '获取验证码异常:' + err);
                    }
                });
            }
            else {
                $U.showToast('请填写正确的手机号');
            }
        };
        $scope.backPage = function(){
            if($rootScope.gotoPhone){
                $rootScope.gotoPhone = false;
                // //判断新首页可见性
                // if($rootScope.isNewHome){
                //     $state.go("tab.mitNewIndex");
                // }else{
                //     $state.go("tab.mitIndex");
                // }
                $state.go("tab.mitNewIndex");
            }else{
                history.back(-1);
            }
        };
        //-----------------------------------------------begin 页面初始化方法-----------------------------------------------//
        //初始化部分操作
        var init = function () {
            //初始化表单bug
            $handleService.initFormApp();
            //检查更新
            $handleService.checkUpdate({
                updateLoading: true
            });
            //初始化 路由区分
            (function () {
                //开始区分
                switch ($stateParams.pageName) {
                    case 'bindPhone':
                        var account = $handleService.sessionHandle.getSession("SLS_INFO");
                        if ($U.isNotEmpty(account.phone)) {
                            $scope.BIND_PHONE.mobile = account.phone;
                            $scope.BIND_PHONE.isBind = true;
                        }
                        break;
                }
            })();
        }
        init();
        //-----------------------------------------------end   页面初始化方法-----------------------------------------------//
    });
    return app;
});
