define([
   'services/app.service',
   'services/app.store',
   'services/app.general.service',
   'services/app.sqlLite.service',
   'services/app.car.beans',
   'directives/app.directives',
   'services/app.jpush.service'
], function () {
   'use strict';
   var app = angular.module('app.mineController', ['ionic', 'app.handle.service', 'app.general.service', 'app.sqlLite.service', 'app.directives', 'app.store', 'app.car.beans', 'app.jpush.service']);
   app.controller('mineController', function ($ionicPopup, $scope, $rootScope, $stateParams, $handleService, $generalService, $sqlSQLiteService, $templateCache, $location, $state, $http, $compile, $interFace, $carBeansService, $ionicHistory,$window, $jpushService) {
      //--------------------------------------------------  beigin 变量  --------------------------------------------------//
      var now = new Date().format('yyyy-MM-dd');
      $scope.isSign = false;//默认未签到

      //--------------------------------------------------  end   变量  --------------------------------------------------//

      //--------------------------------------------------  begin 公共方法 --------------------------------------------------//
      var Handle = (function (handle) {
          //检查 是否绑定了手机号
         handle.getUInfo = function () {
              return $U.sessionHandle.getSession("SLS_INFO");
          };
          //index控制器和component控制器各自都有注册手机号的跳转路径
         handle.checkBPhoneComp = function (opts) {
              var _self = this;
              var options = {
                  message: "您未绑定手机号",
                  success: function () {},
                  fail: function () {}
              };
              angular.extend(options,opts);
              //如果未绑定手机号 跳转到绑定页面
              if ($U.isEmpty(_self.getUInfo().phone)) {
                  $U.showToast(options.message);
                  $state.go('tab.bindPhone');
                  options.fail();
              }
              else{
                  options.success();
              }
          };
         return handle;
      })(Handle || {});
      //--------------------------------------------------  end   公共方法 --------------------------------------------------//

      //------------------------------------------------- being 菜单功能区 --------------------------------------------------//
       //全局获取绑定资格证
       $handleService.getBindSaleCodeFun();
       //最新未读消息
       $handleService.motoHttp({
           //url: $interFace.salesPerformMainFace + '/msgrecord/query',
           url: $interFace.mitMainFace + '/msgrecord/query',
           method: 'POST',
           data: {
               salesCode: $U.sessionHandle.getSession('SLS_INFO').employCode,
               page: {
                   pageNum: 0,
                   pageSize: 5
               },
               statusCode: 0
           },
           success: function (data) {
               $scope.unreadMsgNum = data.result.total;
               $jpushService.setBadge($scope.unreadMsgNum);
           },
           error: function(err){

           }
       });
       //获取用户信息 供展示绑定状态
      $scope.getSlsInfo = function(){
         return $U.sessionHandle.getSession("SLS_INFO");
      }
       //获取头像
       $scope.getUserAvatar = function(){
           var msgOpt = {
               "sign":"",
               "salesCode":""
           };
           var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
           msgOpt.salesCode = msgOpt.salesCode || (slsInfo && slsInfo.employCode);
           msgOpt.sign = msgOpt.sign || (slsInfo && slsInfo.sign);
           $handleService.http({
               url: 'queryAppUserInfo',//标识 app.service.js http方法判断接口路径标识
               method: 'POST',
               params: {sign:msgOpt.sign,salesCode:msgOpt.salesCode},
               success: function (data) {
                   $handleService.logger("object", data, "获取头像接口--》");
                   if(data.errCode==0){
                       if(data.data.visitingCard && data.data.visitingCard.headPortrait){
                           $scope.avatar = $interFace.imgUrl+ data.data.visitingCard.headPortrait;
                       }else{
                           $scope.avatar ='images/newicon/icon_touxiang_default.png';
                       }
                       if(data.data.visitingCard && data.data.visitingCard.userName){
                           $scope.userName = data.data.visitingCard.userName;
                       }
                       if(data.data.visitingCard && data.data.visitingCard.jobTitle){
                           $scope.jobTitle = data.data.visitingCard.jobTitle;
                       }
                   }
               },
               error: function(){
               }
           });
       }
       $scope.getUserAvatar();
       //打开个人工作平台
       $scope.openSalesPerform = function(interFaceName,flag){
           var url = $interFace[interFaceName];
           if(url.indexOf('?')<0){
               url = url + '?';
           }
           url = url + '&reload='+flag;
           $jpushService.openUrl(url, {
               shareFlag: false,
               toolbar: {
                   height: 0,
                   color: '#e13c36'
               }
           });
       };
      //退出功能
      $scope.showConfirm = function () {
         var confirmPopup = $ionicPopup.confirm({
            title: '确认框',
            template: '确认退出吗?',
            cancelText: '取消',
            okText: '确定',
            okType: 'button-assertive',
            cancelType: 'button-cfirm-cancle'
         });
         confirmPopup.then(function (res) {
            if (res) {
	      //退出时清空数据，解决机构切换带来的数据影响
               $rootScope.CAR_BEANS = angular.copy(CarBeans);
                window.sessionStorage.removeItem('SLS_INFO');
               // ionic.Platform.exitApp();
               $state.go("login");
            }
         });
      };
      //常用联系人
      $scope.commonUerUrl = function(){
         Handle.checkBPhoneComp({
            message:"温馨提示：您还未绑定手机，请绑定手机号",
            success: function () {
                var url =  $interFace.commonUerUrl
                $handleService.openUrl(url, {
                    shareFlag: false
                });
            }
        });
      }
       //我的名片
       $scope.mycard = function(){
           var url = $interFace.myCardUrl+'?sign=' + Handle.getUInfo().sign+'&firstPage=mycard';
           $jpushService.openUrl(url, {
               shareFlag: false,
               toolbar: {
                   height: 0,
                   color: '#e13c36'
               }
           });
       }
      //我的资料
      $scope.myInfo = function(){
         var url = $interFace.myInfoUrl+'?sign=' + Handle.getUInfo().sign;
         if($scope.needShowCompleteInfomationActivity){
            url = url + '&activity=1';
         }
         $jpushService.openUrl(url, {
             shareFlag: false,
             toolbar: {
                 height: 0,
                 color: '#e13c36'
             }
         });
      }
      //我的签到
      $scope.signIn=function () {
         var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
         var employCode = slsInfo.employCode;
         var phone = slsInfo.phone;
         var plat = slsInfo.plat;
         var salesmanCname = slsInfo.salesmanCname;
         var sign = slsInfo.sign;
         var url = $interFace.signInUrl + '&mobile=' + phone + '&nick=' + salesmanCname + '&plat=' + plat + '&plat_user_id=' + employCode + '&sign=' + sign ;
         $handleService.openUrl(url, {
            shareFlag: false,
            otherOptions: {
            }
         });
      };
       //活动专区跳转
       $scope.openActivity = function () {
           var url = $interFace.activityUrl;
           $handleService.openUrl(url, {
               shareFlag: false,
               otherOptions: {
               }
           });
       };
      //我的海报
      $scope.myPoster = function () {
          if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
              return;
          }
         var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
         if ($U.isEmpty(phone)) {
            $U.showToast('温馨提示：您还未绑定手机，请绑定手机号');
            $state.go('tab.bindPhone');
         }
         else {
            var url = $interFace.myPosterUrl+"?";
            var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
            var salesmanCname = $U.sessionHandle.getSession("SLS_INFO").salesmanCname;
            var employCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
            url = url + "userName=" + salesmanCname + "&userMobile=" + phone + "&salesCode=" + employCode;
            $handleService.openUrl(url, {
               shareFlag: false,
               otherOptions: {
               }
            });
         }
      };
       //优惠卷跳转
       $scope.openCoupon = function () {
           var phone = $U.sessionHandle.getSession("SLS_INFO").phone;
           if ($U.isEmpty(phone)) {
               $U.showToast('温馨提示：您还未绑定手机，请绑定手机立享优惠');
               $state.go('tab.bindPhoneIndex');
           }
           else {
               var url = $interFace.couponUrl + $U.sessionHandle.getSession("SLS_INFO").userId + "&agentcode=" + $U.getSlsCode();
               $handleService.openUrl(url, {
                   shareFlag: false,
                   otherOptions: {
                   }
               });
           }
       };
       //跳转个人微店
       $scope.shop = function(){
           if(!$scope.checkInsuranceLicense()){//执业资格证检测 1112期
               return;
           }
           var url =  $interFace.shopUrl + '?salesCode=' + $U.sessionHandle.getSession('SLS_INFO').employCode + '?salesmanCode=' + $U.sessionHandle.getSession('SLS_INFO').salesmanCode;  //工号;
           $handleService.openUrl(url, {
               shareFlag: false,
               otherOptions: {
               }
           });
       };
       //查询签到状态
       $handleService.getSignStatus();
       //获取是否展示完成信息活动开关
       $handleService.checkIfNeedShowCompleteInfomationActivity(function(needShowCompleteInfomationActivity){
            $scope.needShowCompleteInfomationActivity = needShowCompleteInfomationActivity;
       });
       // 监听签到状态
       $rootScope.$watch('isSignShow', function (value) {
           $scope.isSign = value;
       });
       $scope.checkInsuranceLicense = function(){
           var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
           var checkCertificateSwitch = $rootScope.switchBean.checkCertificateSwitch;
           var bindSalesCode = $handleService.getBindSalesCode();
           if(!slsInfo.license){
               if(checkCertificateSwitch=='1'){
                   //开关打开
                   if(bindSalesCode){
                       //绑定执业证书号
                       return true;
                   }
                   //未绑定执业证书号    弹原有框 且返回false
                   var insuranceLicensePop = {
                       cssClass: "insurance-license-popup",
                       okText: "我知道了",
                       templateUrl: "templates/iv-pages/tools/need-insurance-license-popup.html",
                       okType: "button-hide",
                       scope: $scope
                   };
                   $scope.insuranceLicensePop = $handleService.showAlert("", "", null, insuranceLicensePop);
                   $scope.goToBindInsuranceLicense = function(){
                       $scope.insuranceLicensePop.close();
                       var url = $interFace.bindInsuranceLicenseUrl +'?sign=' + Handle.getUInfo().sign;
                       $jpushService.openUrl(url, {
                           shareFlag: false,
                           toolbar: {
                               height: 0,
                               color: '#e13c36'
                           }
                       });
                   }
                   return false;
               }
               //开关关闭 弹提示框 且返回false
               $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-title">温馨提示</div>', "", null, {
                   cssClass: "new-pop new-popup ele",
                   okType: "hidden-box",
                   templateUrl: "templates/common/need-insurance-license-popup.html",
                   scope: $scope
               });
               $scope.closePup = function(){
                   $handleService.closeModule($scope.alertPopup);
               }
               return false;
           }
           return true;
       }

   });
   return app;
});