define([
    'services/app.service',
    'services/app.general.service',
    'directives/app.directives',
    'filters/app.filters',
    'services/app.car.beans',
    'modalSelect',
    'ngUpload'
],
    function () {
        'use strict';
        var app = angular.module('app.motoHandle.controller', [
            'app.handle.service',
            'app.general.service',
            'app.directives',
            'app.filters',
            'app.car.beans',
            'ionic-modal-select',
            'ngFileUpload'
        ]);
        //表单控制器
        app.controller('motoController', function ($scope, $rootScope, $timeout, $http, $location, $state, $stateParams, $handleService, $generalService, $interFace) {
            //----------------------------------------begin 变量----------------------------------------//
            var pageCode = $stateParams.SU_CODE; //页面路由参数 SU_CODE
            $scope.agentOptions = []; //个代
            $scope.assistOptions = []; // 协作人
            /* $scope.MotoCAR.showChannel = false; //是否显示个代
             $scope.MotoCAR.showAssist = false; //是否显示协作人*/
            $scope.apclientIsSameDrv = true; //投保人同车主
            $scope.isQMYX = false; //是否是人人团，默认否
            $rootScope.calMoto =false;
            $scope.applicantWorkMoto = []; //投保人职业
            $scope.insuredWorkMoto = [];  //被保人职业
            $scope.motoBenifitWork = []; //受益人职业
            $scope.motoBenifitWork = []; //受益人职业
            $scope.countryList = []; // 国家列表
            $rootScope.beneficiaryMoto = false;   //受益人默认收起

            //监听 OCR 文件变化 ---》 非原生  web 访问时的OCR
            //Web OCR 身份证图片对象
            $scope.modyImg = {
                owImg: "",  //车主身份证图片
                appImg: "", //投保人身份证图片
                recImg: "",  //被保险人身份证图片
                befImg: ""  //受益人身份证图片
            };
            /*证件有效期  相关代码  ---------------------开始*/
            $scope.expiry = {
                owner: false,   // 车主
                applicant: false,  // 投保人
                insured: false,    //被保人
                benifitMoto: false  //受益人
            };
            //默认赋是否长期有效
            if ($rootScope.MotoCAR.owner.identifyExpiry == '9999-12-31') {
                $rootScope.MotoCAR.owner.identifyLongValid = '1';
                $scope.expiry.owner = true;
            } else {
                $rootScope.MotoCAR.owner.identifyLongValid = '0';
                $scope.expiry.owner = false;
            }
            //默认赋是否长期有效
            if ($rootScope.MotoCAR.applicant.identifyExpiry == '9999-12-31') {
                $rootScope.MotoCAR.applicant.identifyLongValid = '1';
                $scope.expiry.applicant = true;
            } else {
                $rootScope.MotoCAR.applicant.identifyLongValid = '0';
                $scope.expiry.applicant = false;
            }
            //默认赋是否长期有效
            if ($rootScope.MotoCAR.insured.identifyExpiry == '9999-12-31') {
                $rootScope.MotoCAR.insured.identifyLongValid = '1';
                $scope.expiry.insured = true;
            } else {
                $rootScope.MotoCAR.insured.identifyLongValid = '0';
                $scope.expiry.insured = false;
            }
            //默认赋是否长期有效
            if ($rootScope.MotoCAR.beneficiary && $rootScope.MotoCAR.beneficiary.identifyExpiry == '9999-12-31') {
                $rootScope.MotoCAR.beneficiary.identifyLongValid = '1';
                $scope.expiry.benifitMoto = true;
            } else if($rootScope.MotoCAR.beneficiary){
                $rootScope.MotoCAR.beneficiary.identifyLongValid = '0';
                $scope.expiry.benifitMoto = false;
            }

            $scope.$watch('expiry.owner', function (val) {
                if (val) {
                    $rootScope.MotoCAR.owner.identifyExpiry = '9999-12-31';
                    $rootScope.MotoCAR.owner.identifyLongValid = '1';
                } else {
                    $rootScope.MotoCAR.owner.identifyLongValid = '0';
                }
            });
            $scope.$watch('expiry.applicant', function (val) {
                if (val) {
                    $rootScope.MotoCAR.applicant.identifyExpiry = '9999-12-31';
                    $rootScope.MotoCAR.applicant.identifyLongValid = '1';
                } else {
                    $rootScope.MotoCAR.applicant.identifyLongValid = '0';
                }
            });
            $scope.$watch('expiry.insured', function (val) {
                if (val) {
                    $rootScope.MotoCAR.insured.identifyExpiry = '9999-12-31';
                    $rootScope.MotoCAR.insured.identifyLongValid = '1';
                } else {
                    $rootScope.MotoCAR.insured.identifyLongValid = '0';
                }
            });
            $scope.$watch('expiry.benifitMoto', function (val) {
                if (val) {
                    $rootScope.MotoCAR.beneficiary.identifyExpiry = '9999-12-31';
                    $rootScope.MotoCAR.beneficiary.identifyLongValid = '1';
                } else {
                    $rootScope.MotoCAR.beneficiary ? $rootScope.MotoCAR.beneficiary.identifyLongValid = '0':'';
                }
            });

            /*证件有效期  相关代码  -----------------------结束*/
            //1.车主身份证OCR
            $scope.$watch("modyImg.owImg", function (file) {
                if (file) {
                    $generalService.ocrGetInfo({
                        cardType: "2",  //身份证
                        file: file,
                        success: function (data) {
                            Handle.ownfoHandle(1, data);
                        }
                    });
                }
            });
            //2.投保人身份证OCR
            $scope.$watch("modyImg.appImg", function (file) {
                if (file) {
                    $generalService.ocrGetInfo({
                        cardType: "2",
                        file: file,
                        success: function (data) {
                            Handle.ownfoHandle(2, data);
                        }
                    });
                }
            });
            //3.被保险人身份证OCR
            $scope.$watch("modyImg.recImg", function (file) {
                if (file) {
                    $generalService.ocrGetInfo({
                        cardType: "2",
                        file: file,
                        success: function (data) {
                            Handle.ownfoHandle(3, data);
                        }
                    });
                }
            });

            //4.受益人身份证OCR
            $scope.$watch("modyImg.befImg", function (file) {
                if (file) {
                    $generalService.ocrGetInfo({
                        cardType: "2",
                        file: file,
                        success: function (data) {
                            Handle.ownfoHandle(4, data);
                        }
                    });
                }
            });
            var Handle = (function (handle) {
                handle.initPage = function () {
                    if(!$rootScope.MotoCAR.owner.country){
                        $rootScope.MotoCAR.owner.countryName = "中国";
                        $rootScope.MotoCAR.owner.country = "1010090156";
                    }
                    if(!$rootScope.MotoCAR.insured.country){
                        $rootScope.MotoCAR.insured.countryName = "中国";
                        $rootScope.MotoCAR.insured.country = "1010090156";
                    }
                    if(!$rootScope.MotoCAR.applicant.country){
                        $rootScope.MotoCAR.applicant.countryName = "中国";
                        $rootScope.MotoCAR.applicant.country = "1010090156";
                    }
                    // if(!$rootScope.MotoCAR.beneficiary.country){
                    //     $rootScope.MotoCAR.beneficiary.countryName = "中国";
                    //     $rootScope.MotoCAR.beneficiary.country = "1010090156";
                    // }
                    if (window.requestParam.webSources) {
                        if (window.requestParam.webSources == "QMYX") {
                            $scope.isQMYX = true;
                            //外网访问的情况下  处理登录该处理的问题
                            //1.机构业务员信息存储
                            $handleService.sessionHandle.saveSession("SLS_INFO", {
                                employCode: window.requestParam.employCode,  // 业务员编码
                                deptCode: window.requestParam.deptCode,  //机构编码
                                isNewCoreFlag: "1",
                                newCoreDeptNo: window.requestParam.deptCode
                            });
                            $U.sessionHandle.saveSession("SLS_CDE", window.requestParam.employCode);
                            //2.提核传 推荐人ID
                            $rootScope.MotoCAR.REFEREE_ID = window.requestParam.refereeId;

                            $rootScope.MotoCAR.base.intermediaryCode = window.requestParam.agentCode;// 代理人编码(渠道代码)
                            $rootScope.MotoCAR.base.salesmanCode = window.requestParam.employCode; //(出单员) 业务员或销售助理
                            $rootScope.MotoCAR.base.companyCode = window.requestParam.deptCode; //(机构编码:8位出单机构编码 10位出单机构编码)
                            window.requestParam.agentCode ? $rootScope.MotoCAR.base.businessMode = '2' : $rootScope.MotoCAR.base.businessMode = '1';//(业务方式:1-直接业务2-其他业务)
                            // $rootScope.MotoCAR.base.businessSource =  //(业务来源)

                            //机构判断
                            $handleService.deptJudge();
                        }
                    } else {
                        $rootScope.MotoCAR.base.companyCode = $U.sessionHandle.getSession("SLS_INFO").deptCode;
                        $rootScope.MotoCAR.base.salesmanCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
                        $rootScope.MotoCAR.base.operatorCode = $U.sessionHandle.getSession("SLS_INFO").salesmanCode;
                        $rootScope.MotoCAR.base.operatorName = $U.sessionHandle.getSession("SLS_INFO").salesmanCname;
                        $rootScope.MotoCAR.base.salesmanName = $U.sessionHandle.getSession("SLS_INFO").salesmanCname;

                        $scope.intermediaryNameValue = '';
                        $scope.cooperateNameValue = '';
                        //存在代理人和代理人编码时
                        if ($rootScope.MotoCAR.base.intermediaryCode && $rootScope.MotoCAR.base.intermediaryName) {
                            $scope.MotoCAR.showChannel = true;
                            $scope.intermediaryNameValue = $rootScope.MotoCAR.base.intermediaryName;
                        }

                        if ($rootScope.MotoCAR.base.cooperateCode && $rootScope.MotoCAR.base.cooperateName) {
                            $scope.MotoCAR.showAssist = true;
                            $scope.cooperateNameValue = $rootScope.MotoCAR.base.cooperateName;
                        }

                        handle.setDefaultPolicyStyles();
                        Handle.queryAgent();
                        Handle.queryAssteam();
                        Handle.queryWork();
                        handle.queryCountry();

                    }
                };

                handle.setDefaultPolicyStyles = function () {
                    /*
                    motoElecSwitch 支持平台电子保单   
                    motoElecCompanySwitch 支持内部电子保单
                    motoElecPolicySwitch 只支持电子保单
                    支持电子保单的机构默认电子保单

                    policyStyles 0 监制保单 1 平台电子保单 2 内部电子保单 
                    */
                    if ($rootScope.switchBean.motoElecSwitch) {
                        //支持平台电子保单
                        if ($rootScope.switchBean.motoElecPolicySwitch) {
                            //只支持电子保单
                            $rootScope.MotoCAR.base.busiAttrConfig.policyStyles = '1';
                        } else if (!$rootScope.MotoCAR.base.busiAttrConfig.policyStyles) {
                            //默认电子保单
                            $rootScope.MotoCAR.base.busiAttrConfig.policyStyles = '1';
                        }

                    } else if ($rootScope.switchBean.motoElecCompanySwitch) {
                        //支持内部电子保单
                        if ($rootScope.switchBean.motoElecPolicySwitch) {
                            //只支持电子保单
                            $rootScope.MotoCAR.base.busiAttrConfig.policyStyles = '2';
                        } else if (!$rootScope.MotoCAR.base.busiAttrConfig.policyStyles) {
                            //默认电子保单
                            $rootScope.MotoCAR.base.busiAttrConfig.policyStyles = '2';
                        }
                    } else {
                        //不支持电子保单
                        $rootScope.MotoCAR.base.busiAttrConfig.policyStyles = '0';
                    }
                }

                //个人代理查询
                handle.queryAgent = function () {
                    $handleService.motoHttp({
                        url: $interFace.motoMainFace,
                        method: 'POST',
                        headers: {
                            method: 'queryPersonProxyList'
                        },
                        data: { SLS_CDE: $handleService.sessionHandle.getSession("SLS_CDE") },
                        success: function (data) {
                            $handleService.logger('object', data, "渠道协议查询返回结果---》");
                            if (data.success == 'true') {
                                $scope.agentOptions = data.data;
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                        }
                    });
                };
                //协作人查询
                handle.queryAssteam = function () {
                    $handleService.motoHttp({
                        url: $interFace.motoMainFace,
                        method: 'POST',
                        headers: {
                            method: 'queryChannel'
                        },
                        data: { SLS_CDE: $handleService.sessionHandle.getSession("SLS_CDE") },
                        success: function (data) {
                            $handleService.logger("object", data, "客户源查询返回结果----》");
                            if (data.success == 'true') {
                                $scope.assistOptions = data.VHL_LIST;
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                        }
                    });
                };
                //获取国家列表
                handle.queryCountry = function () {
                    $handleService.http({
                        url: "/countryManager/getAllCountry",
                        data: {
                        },
                        method: 'GET',
                        success: function (data) {
                            $handleService.logger('object', data, "客户行业返回结果---》");
                            if (data.resultCode == '0') {
                                $scope.countryList = data.result;
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                        }
                    });
                }
                //获取客户职业
                handle.queryWork = function () {
                    $handleService.http({
                        url: "/quote/queryOccupationConfig",
                        data: {
                            code: "",
                            occupationName: ""
                        },
                        method: 'POST',
                        success: function (data) {
                            $handleService.logger('object', data, "客户职业返回结果---》");
                            if (data.resultCode == '0') {
                                data.result.unshift({ code: "", occupationName: "无" });
                                $scope.applicantWorkMoto = data.result;
                                $scope.insuredWorkMoto = data.result;
                                $scope.motoBenifitWork = data.result;
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                        }
                    });
                };

                //车主信息 赋值方法 -->OCR 调用
                handle.ownfoHandle = function (type, data) {
                    switch (type) {
                        case 1:
                            $rootScope.MotoCAR.owner.name = data.name; //车主姓名
                            $rootScope.MotoCAR.owner.identifyNumber = data.id_number; //车主身份证
                            //车主地址为空证件类型为身份证时赋值地址
                            if($rootScope.switchBean.idcardAreaSwitch && $rootScope.MotoCAR.owner.identifyType == '01'){
                                $rootScope.MotoCAR.owner.address = data.address
                            }else{
                                $rootScope.MotoCAR.owner.address = $rootScope.MotoCAR.owner.address
                            }
                            break;
                        case 2:
                            $rootScope.MotoCAR.applicant.name = data.name; //投保人姓名
                            $rootScope.MotoCAR.applicant.identifyNumber = data.id_number; //投保人身份证
                            //投保人地址为空证件类型为身份证时赋值地址
                            if($rootScope.switchBean.idcardAreaSwitch && $rootScope.MotoCAR.applicant.identifyType == '01'){
                                $rootScope.MotoCAR.applicant.address = data.address
                            }else{
                                $rootScope.MotoCAR.applicant.address = $rootScope.MotoCAR.applicant.address
                            }
                            break;
                        case 3:
                            $rootScope.MotoCAR.insured.name = data.name; //被保人姓名
                            $rootScope.MotoCAR.insured.identifyNumber = data.id_number; //被保人身份证
                            //被保人地址为空证件类型为身份证时赋值地址
                            if($rootScope.switchBean.idcardAreaSwitch && $rootScope.MotoCAR.insured.identifyType == '01'){
                                $rootScope.MotoCAR.insured.address = data.address
                            }else{
                                $rootScope.MotoCAR.insured.address = $rootScope.MotoCAR.insured.address
                            }
                            break;
                        case 4:
                            $rootScope.MotoCAR.beneficiary.insuredName = data.name; //受益人姓名
                            $rootScope.MotoCAR.beneficiary.identifyNumber = data.id_number; //受益人身份证
                            //受益人地址为空证件类型为身份证时赋值地址
                            if($rootScope.switchBean.idcardAreaSwitch && $rootScope.MotoCAR.beneficiary.identifyType == '01'){
                                $rootScope.MotoCAR.beneficiary.address = data.address
                            }else{
                                $rootScope.MotoCAR.beneficiary.address = $rootScope.MotoCAR.beneficiary.address
                            }
                            break;
                    }
                };
                //base节点重新赋值
                handle.overideValue = function () {
                    $rootScope.MotoCAR = angular.copy(motoCar);
                    $rootScope.MotoCAR.base.companyCode = $U.sessionHandle.getSession("SLS_INFO").deptCode;
                    $rootScope.MotoCAR.base.salesmanCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
                    $rootScope.MotoCAR.base.operatorCode = $U.sessionHandle.getSession("SLS_INFO").salesmanCode;
                    $rootScope.MotoCAR.base.operatorName = $U.sessionHandle.getSession("SLS_INFO").salesmanCname;
                };

                //同车主、同投保人的信息复制
                handle.copyInfo = function (data, copyData, sameOwner) {
                    for (var prop in data) {
                        if (copyData.hasOwnProperty(prop) && copyData[prop]) {
                            data[prop] = copyData[prop];
                        }
                    }
                    if (sameOwner) {
                        data.phone = copyData.mobilePhone;
                    }
                };

                //输入身份证号,地址赋值省市区
                handle.getAddress = function (type,d) {
                    if($rootScope.MotoCAR[type].identifyType == '01' && $rootScope.switchBean.idcardAreaSwitch && $rootScope.MotoCAR[type].identifyNumber.length>=6){
                        if(d && $rootScope.MotoCAR[type].address){
                            return;
                        }
                        $handleService.http({
                            url: '/countryManager/getAreaName?idNo='+$rootScope.MotoCAR[type].identifyNumber,
                            method: 'GET',
                            success: function(data){
                                if(data.resultCode == '0'){
                                    $rootScope.MotoCAR[type].address = data.result;
                                }
                            },
                            error: function (ex) {
                                $handleService.logger('error', ex);
                            }
                        })
                    }
                }
                return handle;
            })(Handle || {});
            //OCR 方法->OCR调用
            $scope.ocrHandle = function (type) {
                $handleService.appHandle.cameraHandle({
                    success: function (img) {
                        $generalService.ocrImgUpload({
                            type: "2", // 1.行驶证 2.身份证 3.驾驶证 4.银行卡
                            img: img,
                            success: function (data) {
                                $handleService.logger('info', data);
                                if (data.type != '未知类型') {
                                    Handle.ownfoHandle(type, data);
                                }
                                else {
                                    $U.showToast('请选择带有清晰的证件号码的照片');
                                }
                            }
                        });
                    }
                });
            };
            //提交
            $scope.owMotoSubmit = function (form) {
                if ($rootScope.beneficiaryMoto && $rootScope.MotoCAR.beneficiary.isSameApp && $rootScope.MotoCAR.beneficiary.isSameIns) {
                    $U.showToast('受益人只能同投保人或者同被保人');
                    return;
                }

                if ($rootScope.switchBean.motoElecSwitch && $rootScope.MotoCAR.base.busiAttrConfig.policyStyles == '') {
                    $U.showToast('请选择保单样式');
                    return;
                }

                //投保人赋值
                if ($rootScope.MotoCAR.applicant.isSameDriver) {
                    angular.extend($rootScope.MotoCAR.applicant, $rootScope.MotoCAR.owner);
                    $rootScope.MotoCAR.applicant.phone = $rootScope.MotoCAR.applicant.mobilePhone = $rootScope.MotoCAR.owner.mobilePhone;
                }else if(!$rootScope.MotoCAR.applicant.mobilePhone){
                    $rootScope.MotoCAR.applicant.mobilePhone = $rootScope.MotoCAR.applicant.phone;
                }
                //被保人赋值
                if ($rootScope.MotoCAR.insured.isSameDriver) {
                    angular.extend($rootScope.MotoCAR.insured, $rootScope.MotoCAR.owner);
                    $rootScope.MotoCAR.insured.phone = $rootScope.MotoCAR.owner.mobilePhone;
                }
                //受益人赋值
                if ($rootScope.beneficiaryMoto && $rootScope.MotoCAR.beneficiary.isSameApp) {
                    Handle.copyInfo($rootScope.MotoCAR.beneficiary, $rootScope.MotoCAR.applicant);
                    $rootScope.MotoCAR.beneficiary.insuredName = $rootScope.MotoCAR.applicant.name;
                    $rootScope.MotoCAR.beneficiary.sex = $rootScope.MotoCAR.applicant.gender;
                }
                //受益人赋值
                if ($rootScope.beneficiaryMoto && $rootScope.MotoCAR.beneficiary.isSameIns) {
                    Handle.copyInfo($rootScope.MotoCAR.beneficiary, $rootScope.MotoCAR.insured);
                    $rootScope.MotoCAR.beneficiary.insuredName = $rootScope.MotoCAR.insured.name;
                    $rootScope.MotoCAR.beneficiary.sex = $rootScope.MotoCAR.insured.gender;
                }



                $handleService.validateForm.call(this, form);
                //校验表单
                if (form.$valid) {
                    var TypeRegExp = {
                        //身份证
                        "01": /^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X)$/,
                        //护照
                        "02": /^([A-Z0-9]{4,20})$/,
                        //军人证
                        "03": /^([a-zA-Z0-9\(\)\（\）]{4,20})$/,
                        //学生证
                        "04": /^([a-zA-Z0-9\(\)\（\）]{4,20})$/,
                        //台胞证
                        "05": /^([0-9A-Z\(\)\（\）]{4,20})$/,
                        //港澳通行证
                        "06": /^((.){4,20})$/,
                        //出生证
                        "07": /^([a-zA-Z0-9]{1,20})$/,
                        //统一社会信用代码
                        "09": /^([A-Z0-9]{18})$/,
                        //组织机构代码
                        "10": /^([a-zA-Z0-9]{8}-[0-9|X]|[a-zA-Z0-9]{10}|[a-zA-Z0-9]{18})$/,
                        //工商注册号
                        "11": /^([a-zA-Z0-9]{4,20})$/,
                        //税务登记证号
                        "12": /^([a-zA-Z0-9]{4,20})$/,
                        //纳税人识别号
                        "13": /^([a-zA-Z0-9]{15}|[a-zA-Z0-9]{17}|[a-zA-Z0-9]{18}|[a-zA-Z0-9]{20})$/,
                        //港澳台居民居住证
                        "15": /^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X)$/
                    };

                    //渠道协议
                    if ($scope.MotoCAR.showChannel) {
                        if (!$scope.MotoCAR.base.intermediaryCode) {
                            $U.showToast("请选择渠道协议");
                            return;
                        }
                    }
                    //客户源
                    if ($scope.MotoCAR.showAssist) {
                        if (!$scope.MotoCAR.base.cooperateCode) {
                            $U.showToast("请选择客户源");
                            return;
                        }
                    }

                    var carReg = /^([\u4e00-\u9fa5]|[A-Za-z_0-9]){0,10}$/;
                    var typeRExp = new RegExp(TypeRegExp[$rootScope.MotoCAR.owner.identifyType] || /\S/);
                    var typeRExp2 = new RegExp(TypeRegExp[$rootScope.MotoCAR.applicant.identifyType] || /\S/);
                    var typeRExp3 = new RegExp(TypeRegExp[$rootScope.MotoCAR.insured.identifyType] || /\S/);
                    var typeRExp4;
                    if($rootScope.MotoCAR.beneficiary){
                        typeRExp4 = new RegExp(TypeRegExp[$rootScope.MotoCAR.beneficiary.identifyType] || /\S/);
                    }


                    //验证车牌
                    if ($rootScope.MotoCAR.vehicle.licenseNo != "" && $rootScope.MotoCAR.vehicle.licenseNo != "*-*") {
                        if (!carReg.test($rootScope.MotoCAR.vehicle.licenseNo)) {
                            $U.showToast('您的车牌号码输入不正确');
                            return;
                        }
                    }

                    if ($rootScope.beneficiaryMoto && /^[\u4e00-\u9fa5 •\·]{2,10}$/.test($rootScope.MotoCAR.beneficiary.insuredName) == false) {
                        $U.showToast('您的受益人姓名输入不正确');
                        return;
                    }

                    //&&typeRExp2.test($rootScope.CAR_BEANS.APP_CERT_NO)&&typeRExp3.test($rootScope.CAR_BEANS.BIZ_CERT_NO)
                    if (typeRExp.test($rootScope.MotoCAR.owner.identifyNumber) == false) {
                        $U.showToast('您的车主证件号码输入不正确');
                        return;
                    }
                    if (typeRExp2.test($rootScope.MotoCAR.applicant.identifyNumber) == false) {
                        $U.showToast('您的投保人证件号码输入不正确');
                        return;
                    }
                    if (typeRExp3.test($rootScope.MotoCAR.insured.identifyNumber) == false) {
                        $U.showToast('您的被保险人证件号码输入不正确');
                        return;
                    }

                    //电子保单必录投被保人手机、邮箱
                    if (['1', '2'].indexOf($rootScope.MotoCAR.base.busiAttrConfig.policyStyles) >= 0) {
                        if ($rootScope.MotoCAR.applicant.isSameDriver) {
                            if (!$rootScope.MotoCAR.owner.email) {
                                $U.showToast('请输入电子邮箱');
                                return;
                            }
                        }
                        if (!$rootScope.MotoCAR.applicant.email) {
                            $U.showToast('请输入投保人电子邮箱');
                            return;
                        }
                        if (!$rootScope.MotoCAR.insured.email) {
                            $U.showToast('请输入被保人电子邮箱');
                            return;
                        }
                    }

                    if ($rootScope.beneficiaryMoto && $rootScope.MotoCAR.beneficiary.identifyType && typeRExp4.test($rootScope.MotoCAR.beneficiary.identifyNumber) == false) {
                        $U.showToast('您的受益人证件号码输入不正确');
                        return;
                    }

                    if ($rootScope.beneficiaryMoto && !(/^([1][3-9][0-9]{9})$|^((\*){7}(\d){4})$/.test($rootScope.MotoCAR.beneficiary.phone))) {
                        $U.showToast('您的受益人电话输入不正确');
                        return;
                    }

                    /*  ---  Subsection comment block  ---  */
                    //车主地址验证0910
                    if ($rootScope.MotoCAR.owner.address) {
                        var r = $U.checkAddress({
                            person: '车主',
                            address: $rootScope.MotoCAR.owner.address
                        })
                        if (!r.chkres && r.errmsg) {
                            $U.showToast(r.errmsg);
                            return;
                        }
                    }
                    //投保人地址验证0910
                    if ($rootScope.MotoCAR.applicant.address) {
                        var r = $U.checkAddress({
                            person: '投保人',
                            address: $rootScope.MotoCAR.applicant.address
                        })
                        if (!r.chkres && r.errmsg) {
                            $U.showToast(r.errmsg);
                            return;
                        }
                    }
                    //被保人地址验证0910
                    if ($rootScope.MotoCAR.insured.address) {
                        var r = $U.checkAddress({
                            person: '被保人',
                            address: $rootScope.MotoCAR.insured.address
                        })
                        if (!r.chkres && r.errmsg) {
                            $U.showToast(r.errmsg);
                            return;
                        }
                    }
                    //受益人地址验证0910  
                    if ($rootScope.beneficiaryMoto && $rootScope.MotoCAR.beneficiary.address) {
                        var r = $U.checkAddress({
                            person:'受益人',
                            address: $rootScope.MotoCAR.beneficiary.address
                        })
                        if (!r.chkres && r.errmsg) {
                            $U.showToast(r.errmsg);
                            return;
                        }
                    }
                    /*  ---  Subsection comment block  ---  */
                    $location.path("tab/motoInsurance");
                    // $state.go("tab.motoInsurance");
                }
            };

            //获取点击身份
            $scope.getPersonel = function (type) {
                $scope.personelClick = type
            }
            //输入身份证后,赋值省市区
            $scope.getAdress = function () {
                Handle.getAddress($scope.personelClick)
            };
            //清除数据
            $scope.clearAll = function () {
                Handle.overideValue();
                Handle.setDefaultPolicyStyles();
            };
            //
            //个代
            $scope.changeChannel = function () {
                //$rootScope.MotoCAR.showAssist = false;
                if ($rootScope.MotoCAR.showChannel) {
                    $("#channelContent").trigger("click");
                } else {
                    $rootScope.MotoCAR.base.intermediaryCode = '';
                    $rootScope.MotoCAR.base.intermediaryName = '';
                    $rootScope.MotoCAR.base.businessSource = '';
                    $rootScope.MotoCAR.base.businessMode = '';
                    $scope.intermediaryNameValue = '';
                }
            };
            //客户源
            $scope.changeAssist = function () {
                //$rootScope.MotoCAR.showChannel = false;
                if ($rootScope.MotoCAR.showAssist) {
                    $("#assistContent").trigger("click");
                } else {
                    $rootScope.MotoCAR.base.cooperateCode = '';
                    $rootScope.MotoCAR.base.cooperateName = '';
                    $scope.cooperateNameValue = '';
                }
            };


            function addYear(dateStr) {
                var str = "";
                var newDate = new Date(dateStr.replace(/-/g, "/"));

                newDate.setFullYear(newDate.getFullYear() + 1);

                str = newDate.format("yyyy-MM-dd hh:mm:ss");

                return str;
            }

            function addSecond(dateStr) {
                var str = "";
                var newDate = new Date(dateStr.replace(/-/g, "/"));

                newDate.setSeconds(newDate.getSeconds() + 1);

                str = newDate.format("yyyy-MM-dd hh:mm:ss");

                return str;
            }
            //摩托车续保
            $scope.motoCarCheck = function () {

                var options = {
                    "licenseNo": $rootScope.MotoCAR.vehicle.licenseNo,
                    "queryPolicyInfo": "1"
                };
                //续保
                if ($rootScope.MotoCAR.vehicle.licenseNo == '') {
                    return;
                }
                var reg = /^([\u4e00-\u9fa5]|[A-Za-z_0-9]){0,10}$/;
                if (reg.test($rootScope.MotoCAR.vehicle.licenseNo)) {//!reg.test(value)
                    $handleService.motoHttp({
                        url: $interFace.motoMainFace,
                        headers: {
                            method: "queryPolicyInfo"
                        },
                        data: options,
                        success: function (scheData) {
                            $handleService.logger("object", scheData, "续保返回数据---》");
                            if (scheData.resultCode == "0") {
                                // $rootScope.motoRiskData = angular.copy(scheData.result);
                                // $state.go("tab.motoCarSearch");
                                if (scheData.result.length > 0) {
                                    $generalService.renewalParam(scheData.result[0]);
                                    Handle.setDefaultPolicyStyles();
                                } else if (scheData.result) {
                                    $generalService.renewalParam(scheData.result);
                                    Handle.setDefaultPolicyStyles();
                                }


                            } else {
                                var carNum = $rootScope.MotoCAR.vehicle.licenseNo;
                                var showChannel = $rootScope.MotoCAR.showChannel;
                                var showAssist = $rootScope.MotoCAR.showAssist;
                                var policyStyles = $rootScope.MotoCAR.base.busiAttrConfig.policyStyles; //保存保单样式避免覆盖
                                var channelInfo = {
                                    intermediaryCode: $rootScope.MotoCAR.base.intermediaryCode,
                                    intermediaryName: $rootScope.MotoCAR.base.intermediaryName,
                                    businessSource: $rootScope.MotoCAR.base.businessSource,
                                    businessMode: $rootScope.MotoCAR.base.businessMode,
                                    cooperateCode: $rootScope.MotoCAR.base.cooperateCode,
                                    cooperateName: $rootScope.MotoCAR.base.cooperateName
                                };
                                Handle.overideValue();//base节点下业务员信息重新赋值
                                $rootScope.MotoCAR.vehicle.licenseNo = carNum;
                                $rootScope.MotoCAR.base.busiAttrConfig.policyStyles = policyStyles;
                                angular.extend($rootScope.MotoCAR.base, channelInfo);
                                $rootScope.MotoCAR.showChannel = showChannel;
                                $rootScope.MotoCAR.showAssist = showAssist;
                                $U.showToast('请继续完善您的信息');
                            }
                        }
                    });

                } else {
                    $U.showToast('您的车牌号输入不正确');
                }
            };


            //清空投保人
            $scope.clearApplicant = function () {
                if (!$rootScope.MotoCAR.applicant.isSameDriver) {
                    $rootScope.MotoCAR.applicant.name = ""; //投保人姓名
                    $rootScope.MotoCAR.applicant.identifyNumber = ""; //投保人身份证
                    $rootScope.MotoCAR.applicant.identifyExpiry = ""; //证件有效期
                    $scope.expiry.applicant = false;   // 证件有效期
                    $rootScope.MotoCAR.applicant.phone = ""; //投保人手机
                    $rootScope.MotoCAR.applicant.address = ""; //投保人地址
                    $rootScope.MotoCAR.applicant.email = ""; //投保人邮箱
                    $rootScope.MotoCAR.applicant.birthday = "";
                }
            };
            //清空被保人
            $scope.clearInsured = function () {
                if (!$rootScope.MotoCAR.insured.isSameDriver) {
                    $rootScope.MotoCAR.insured.name = ""; //被保人姓名
                    $rootScope.MotoCAR.insured.identifyNumber = ""; //被保人身份证
                    $rootScope.MotoCAR.insured.identifyExpiry = ""; //证件有效期
                    $scope.expiry.insured = false;  // 证件有效期
                    $rootScope.MotoCAR.insured.phone = ""; //被保人手机
                    $rootScope.MotoCAR.insured.address = ""; //被保人地址
                    $rootScope.MotoCAR.insured.email = ""; //被保人邮箱
                    $rootScope.MotoCAR.insured.birthday = "";
                }
            };

            //清空受益人
            $scope.clearBeneficiary = function () {
                if (!$rootScope.MotoCAR.beneficiary.isSameApp && !$rootScope.MotoCAR.beneficiary.isSameIns) {
                    $rootScope.MotoCAR.beneficiary.insuredName = ""; //受益人姓名
                    $rootScope.MotoCAR.beneficiary.identifyType = ""; //受益人姓名
                    $rootScope.MotoCAR.beneficiary.identifyNumber = ""; //受益人身份证
                    $rootScope.MotoCAR.beneficiary.identifyExpiry = ""; //证件有效期
                    $scope.expiry.benifitMoto = false;  // 证件有效期
                    $rootScope.MotoCAR.beneficiary.phone = ""; //受益人手机
                    $rootScope.MotoCAR.beneficiary.address = ""; //受益人地址
                    $rootScope.MotoCAR.beneficiary.email = ""; //受益人邮箱
                }
            };

            //跳转到草稿箱
            $scope.goDrafts = function () {
                $state.go("tab.draftsList2", { type: "moto" });
            };
            //国籍
            $scope.changeCountry = function (type) {
                if (type == 0) {
                    $("#ownerCountry").trigger("click");
                } else if (type == 1) {
                    $("#applicantCountry").trigger("click");
                } else if (type == 2) {
                    $("#insuredCountry").trigger("click");
                } else if (type == 3) {
                    $("#benifitCountry").trigger("click");
                }
            };

            //客户职业
            $scope.changeWork = function (type) {
                if (type == 0) {
                    $("#ownerWorkMoto").trigger("click");
                } else if (type == 1) {
                    $("#applicantWorkMoto").trigger("click");
                } else if (type == 2) {
                    $("#insuredWorkMoto").trigger("click");
                } else if (type == 3) {
                    $("#motoBenifitWork").trigger("click");
                }

            };
            $scope.compare = function (property) {
                return function (a, b) {
                    var value1 = a[property];
                    var value2 = b[property];
                    return value1 - value2;
                }
            };
            $scope.changeCountryItem = function (item, type) {
                if (type == 0) {
                    if (item.country) {
                        $rootScope.MotoCAR.owner.countryName = item.countryName;
                        $rootScope.MotoCAR.owner.country = item.country;
                    } else {
                        $rootScope.MotoCAR.owner.countryName = '';
                        $rootScope.MotoCAR.owner.country = '';
                    }
                } else if (type == 1) {
                    if (item.country) {
                        $rootScope.MotoCAR.applicant.countryName = item.countryName;
                        $rootScope.MotoCAR.applicant.country = item.country;
                    } else {
                        $rootScope.MotoCAR.applicant.countryName = '';
                        $rootScope.MotoCAR.applicant.country = '';
                    }
                } else if (type == 2) {
                    if (item.country) {
                        $rootScope.MotoCAR.insured.countryName = item.countryName;
                        $rootScope.MotoCAR.insured.country = item.country;
                    } else {
                        $rootScope.MotoCAR.insured.countryName = '';
                        $rootScope.MotoCAR.insured.country = '';
                    }
                } else if (type == 3) {
                    if (item.country) {
                        $rootScope.MotoCAR.beneficiary.countryName = item.countryName;
                        $rootScope.MotoCAR.beneficiary.country = item.country;
                    } else {
                        $rootScope.MotoCAR.beneficiary.countryName = '';
                        $rootScope.MotoCAR.beneficiary.country = '';
                    }
                }
                $scope.$applyAsync();
            };

            $scope.changeWorkItem = function (item, type) {
                if (type == 0) {
                    if (item.code) {
                        $rootScope.MotoCAR.owner.occupationName = item.occupationName;
                        $rootScope.MotoCAR.owner.occupationCode = item.code;
                    } else {
                        $rootScope.MotoCAR.owner.occupationName = "";
                        $rootScope.MotoCAR.owner.occupationCode = "";
                    }
                } else if (type == 1) {
                    if (item.code) {
                        $rootScope.MotoCAR.applicant.occupationName = item.occupationName;
                        $rootScope.MotoCAR.applicant.occupationCode = item.code;
                    } else {
                        $rootScope.MotoCAR.applicant.occupationName = "";
                        $rootScope.MotoCAR.applicant.occupationCode = "";
                    }
                } else if (type == 2) {
                    if (item.code) {
                        $rootScope.MotoCAR.insured.occupationName = item.occupationName;
                        $rootScope.MotoCAR.insured.occupationCode = item.code;
                    } else {
                        $rootScope.MotoCAR.insured.occupationName = "";
                        $rootScope.MotoCAR.insured.occupationCode = "";
                    }

                }
                else if (type == 3) {
                    if (item.code) {
                        $rootScope.MotoCAR.beneficiary.occupationName = item.occupationName;
                        $rootScope.MotoCAR.beneficiary.occupationCode = item.code;
                    } else {
                        $rootScope.MotoCAR.beneficiary.occupationName = "";
                        $rootScope.MotoCAR.beneficiary.occupationCode = "";
                    }

                }

                $scope.$applyAsync();
            };

            //邮箱赋值
            $scope.mailChange = function (a) {
                $(".inputMailList").mailAutoComplete();
                switch (a) {
                    case 'c': $rootScope.MotoCAR.applicant.email = event.target.innerText; break;
                    case 'd': $rootScope.MotoCAR.insured.email = event.target.innerText; break;
                    case 'e': $rootScope.MotoCAR.owner.email = event.target.innerText; break;
                    case 'f': $rootScope.MotoCAR.beneficiary.email = event.target.innerText; break;
                }
            };

            // 保单样式选择
            $scope.changeElecPolicy = function () {
                if ($rootScope.switchBean.motoElecSwitch) {
                    //支持平台电子保单
                    if ($rootScope.switchBean.motoElecPolicySwitch) {
                        //只支持电子保单
                        $rootScope.MotoCAR.base.busiAttrConfig.policyStyles = '1';
                    }
                } else if ($rootScope.switchBean.motoElecCompanySwitch) {
                    //支持内部电子保单
                    if ($rootScope.switchBean.motoElecPolicySwitch) {
                        //只支持电子保单
                        $rootScope.MotoCAR.base.busiAttrConfig.policyStyles = '2';
                    }
                }
                console.log('保单样式：', $rootScope.MotoCAR.base.busiAttrConfig.policyStyles);
            };
            $scope.benneficiaryChange = function(){
                $rootScope.beneficiaryMoto = !$rootScope.beneficiaryMoto;
            };

            if ($rootScope.switchBean.motoSwitch) {
                Handle.initPage();
            } else {
                $handleService.getConfigSwitch(function () {
                    Handle.initPage();
                });
            }
            if(pageCode != 'DRAFTS' && pageCode != 'PQUERY'){
                $scope.clearAll();//清除缓存
            }
            return app;
        });
    });