define([
        'services/app.service',
        'services/app.general.service',
        'directives/app.directives',
        'filters/app.filters',
        'services/app.car.beans',
        'modalSelect',
        'ngUpload',
        'services/app.store',
    ],
    function () {
        'use strict';
        var app = angular.module('app.motoOdersDetail.controller', [
            'app.handle.service',
            'app.general.service',
            'app.directives',
            'app.filters',
            'app.car.beans',
            'ionic-modal-select',
            'ngFileUpload',
            'app.store'
        ]);
        //表单控制器
        app.controller('motoOdersDetailController', function ($scope, $rootScope, $http, $location, $state, $stateParams, $handleService, $generalService, $interFace, Upload, $carBeansService,store) {
            //----------------------------------------begin 变量----------------------------------------//
            $scope.cancelOrBack = true;
            //摩托车交强险保单状态
            $scope.PAY_STATE = {
                "1":"人工核保通过", //不能退
                "2":"待修改", //
                "3":"自核通过", //不能退回
                "9":"待核保", //不能退
                "0":"初始状态", //
                "6":"已支付" //不能退 //不能撤
            };

            //摩托车影像上传
            $scope.IMG_STATE = {
                '2': '已上传,可继续补传',
                '0': '未上传'
            };
            // $scope.totallyDate = $rootScope.carBeans;
            var Handle = (function (handle){
                handle.getMotoDeail = function() {
                    $handleService.motoHttp({
                        url: $interFace.motoMainFace, //  "data/queryFile.json"
                        headers: {
                            method: "applyPolicyDetail"
                        },
                        data: {
                            orderNo: $stateParams.orderNo
                        },
                        success: function (scheData) {
                            $handleService.logger("object", scheData, "Moto投保查询详情---》");
                            if (scheData.resultCode == "0") {
                                $scope.scheItem = scheData.result;

                                //险种转换
                                Handle.translateRisk();
                                // start 非车险种展示
                                $scope.totallyDate=scheData.result;
                                $scope.JQnocarList=[];
                                $scope.SYnocarList=[];
                                //add by wll 非车险
                                if($rootScope.switchBean.noCarPrdSwitch){ // 新非车
                                    angular.forEach(scheData.result.noCarProductList,function (item) {
                                        if(item.carRiskCode=="0301"){
                                            $scope.JQnocarList.push(item);
                                        }
                                        if(item.carRiskCode=="0302"){
                                            $scope.SYnocarList.push(item);
                                        }
                                    });
                                }else{
                                    angular.forEach(scheData.result.noCarRiskList,function (item) {
                                        if(item.carRiskCode=="0301"){
                                            $scope.JQnocarList.push(item);
                                        }
                                        if(item.carRiskCode=="0302"){
                                            $scope.SYnocarList.push(item);
                                        }
                                    });
                                }
                                // end 非车险种展示
                            }
                            else {
                                //查询失败时，增加默认提示信息
                                $U.showToast(scheData.errorMsg|| "找不到对应的数据");
                            }
                        }
                    });
                };
                handle.translateRisk = function() {
                    angular.forEach($scope.scheItem.riskList, function(item) {
                       if(item.riskCode == "0302") {
                           $scope.scheItem.syRisk = item;
                       } else if(item.riskCode == "0301") {
                           $scope.scheItem.jqRisk = item;
                       }
                    });
                };
                return handle;
            })(Handle || {});

            Handle.getMotoDeail();
            //退回修改
            $scope.returnToModify = function(item) {
                $handleService.motoHttp({
                    url: $interFace.motoMainFace, //  "data/queryFile.json"
                    headers: {
                        method: "applyPolicyCorrect"
                    },
                    data: {
                        operatorCode: $scope.scheItem.base.operatorCode, //业务员账号
                        orderNo: $stateParams.orderNo, //订单号
                        applyPolicyNo: $scope.scheItem.jqRisk.proposalNo //投保单号
                    },
                    success: function (scheData) {
                        $handleService.logger("object", scheData, "退回修改返回数据---》");
                        if (scheData.resultCode == "0") {
                            $generalService.renewalParam(scheData.result);
                            $scope.data = {};
                            angular.forEach(scheData.result.riskList, function(item, index) {
                                if(item.riskCode == "0301") {
                                    $scope.data.jqRisk = item;
                                } else if(item.riskCode == "0302") {
                                    $scope.data.syRisk = item;
                                }
                            });
                            if($scope.data.jqRisk.startDate) {
                                $rootScope.MotoCAR.INSRNC_BGN_TM_JQ = $scope.data.jqRisk.startDate;
                                //暂时规避即时起保问题
                                $rootScope.MotoCAR.riskList[0].effectFlag2 = ($scope.data.jqRisk.effectFlag == "1");
                                /*if(!$rootScope.MotoCAR.riskList[0].vhlTax) {
                                    $rootScope.MotoCAR.riskList[0].vhlTax = {};
                                }*/
                                //$rootScope.MotoCAR.riskList[0].vhlTax.taxRelifFlag = $rootScope.MotoCAR.riskList[0].vhlTax.taxRelifFlag
                            }
                            $state.go("tab.motoIndex",{SU_CODE: 'PQUERY'});
                        }
                        else {
                            //查询失败时，增加默认提示信息
                            $U.showToast(scheData.errorMsg|| "服务器超时");
                        }
                    }
                });
            }

            //上传影像
            $scope.uploadImage = function(item) {
                //跳转到影像上传
                var calPlyNo = item.jqRisk.imageId;
                if(!calPlyNo) {
                    $U.showToast("报价单号异常，请重新操作");
                    return;
                }
                //policyNo&plyAppNo&beforeSubmit
                $state.go('tab.imagesUpload', {imageId: calPlyNo, policyNo: item.jqRisk.policyNo||'', plyAppNo: item.jqRisk.proposalNo, beforeSubmit: false}); //报价
            }

            //撤销订单
            $scope.revokeOder = function(item) {
                //applyPolicyDelete
                var options = {
                    applyPolicyNo: item.jqRisk.proposalNo
                };

                $handleService.motoHttp({
                    url: $interFace.motoMainFace, //  "data/queryFile.json"
                    headers: {
                        method: "applyPolicyDelete"
                    },
                    data: options,
                    success: function (scheData) {
                        store.searchData = {}; //清空单个查询数据
                        $handleService.logger("object", scheData, "撤销订单返回数据---》");
                        if (scheData.resultCode == "0") {
                            $U.showToast("撤单成功！");
                            $state.go('tab.oderSetbacksList', {PAGE_CHANNAL: 'LISTMORE_MOTO'});
                        } else {
                            //查询失败时，增加默认提示信息
                            $U.showToast(scheData.errorMsg|| "服务器超时");
                        }
                    }
                });
            }

            //刷新数据
            $scope.reloadView = function() {
                Handle.getMotoDeail();
            }

            //支付保费
            $scope.payTypeChoose = function(item) {
                var options = {
                    applyPolicyNo: item.jqRisk.proposalNo, //投保单号
                    userId: $U.sessionHandle.getSession("SLS_INFO").salesmanCode,// 域账号
                    telVerifyCode: "" //北京短信验证码
                }

                //提示支付选择
                $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-title">请选择操作</div>', "", null, {
                    cssClass: "pay-popup",
                    okType: "hidden-box",
                    templateUrl: "templates/common/oder-pay-style.html",
                    scope: $scope
                });

                //取消操作
                $scope.returnMixIndex = function () {
                    $handleService.closeModule($scope.alertPopup);
                };

                //支付
                $scope.payOders = function(item, isLocation) {
                    $handleService.closeModule($scope.alertPopup);
                    options.success = function (data) {
                        if (!isLocation) {
                            $handleService.showAlert("支付申请号", data.BASE.PAY_APP_NO, function () {
                                Handle.goIndex();
                            });
                        }
                    };
                    $handleService.motoHttp({
                        url: $interFace.motoMainFace, //  "data/queryFile.json"
                        headers: {
                            method: "payment"
                        },
                        data: options,
                        success: function (scheData) {
                            $handleService.logger("object", scheData, "支付返回数据---》");
                            if (scheData.resultCode == "0") {
                                //增加逻辑  支付号包含 18HAIC 的，sysCode 传 08
                                var haicFlag = scheData.result.indexOf("18HAIC") > 0;
                                //第三方 页面 全部走新支付  渠道地址 传 06 写死
                                var payPath = "",
                                    payChannel = "&PayChannel=06",
                                    sysCode = "&sysCode" + haicFlag ? "08" : "06";
                                //直通支付 全民营销 需要添加 sysCode=05
                                if (window.requestParam.webSources) {
                                    payPath = $interFace.policyNewPay + scheData.result + payChannel + "&sysCode=" + (haicFlag ? "08" : "05");
                                }
                                else {
                                    payPath = $interFace.policyNewPay + scheData.result + payChannel + sysCode;
                                }

                                $handleService.logger("info", "支付跳转地址是:" + payPath);
                                //开始调支付
                                if (isLocation) {
                                    $handleService.openUrl(payPath, {
                                        shareFlag: false
                                    });
                                }
                                else {
                                    $handleService.showAlert('申请支付号',scheData.result,function () {
                                        Handle.goIndex();
                                    })
                                }
                            } else {
                                //查询失败时，增加默认提示信息
                                $U.showToast(scheData.errorMsg|| "服务器超时");
                            }
                        }
                    });
                }

            }
            //核保意见
            $scope.lookOption = function(data) {

                if (data.jqRisk.undwrtComm) {
                    $handleService.showAlert('核保意见', data.jqRisk.undwrtComm, function () {
                    });
                }
                else {
                    $handleService.showAlert('核保意见', "无", function () {
                    });
                }
            }

            return app;
        });
    });