define(['services/app.service', 'services/app.car.beans', 'directives/app.directives', 'filters/app.filters',], function () {
  'use strict';
  var app = angular.module('app.utils.calDetails', ['ionic', 'app.handle.service', 'app.car.beans', 'app.directives', 'app.filters']);

  app.controller('nocarDetailsController', function ($scope, $rootScope, $handleService,$interFace, $state, $stateParams,$carBeansService) {
      $scope.itemList = $rootScope.nocarDetailsItem;
      $scope.scheItem = $scope.itemList.rationList[0]; //默认第1个


      var Handle = (function (handle) {
          handle.recNexDate = function() {
              var nex = new Date();
              nex.setDate(nex.getDate() + 1);
              return nex.format('yyyy-MM-dd');
          };
          handle.recNexYear = function () {
              var nex = new Date();
              nex.setFullYear(nex.getFullYear()+1);
              return nex.format('yyyy-MM-dd');
          };

          //非车时间
          handle.getNocarTime = function() {

              var dateBeans = {};
              if($rootScope.baseBean.syOrigFlag) { //商业险
                  dateBeans.startDate = $rootScope.baseBean.syInsureStartTime.replace(/-/g, "/");
                    // moto特殊处理start
                    if ($rootScope.fromMotoFlag) {
                        // $rootScope.MotoCAR.riskList[0].startDate
                        dateBeans.startDate = $rootScope.MotoCAR.riskList[0].startDate2.replace(
                        /-/g,
                        '/'
                        );
                        $rootScope.MotoCAR.startDate = dateBeans.startDate;
                        $rootScope.fromMotoFlag = false;
                        $rootScope.fromDetialsFlag = true;
                    }
                    // moto特殊处理end
                  var tmDate = new Date(dateBeans.startDate);
                  var tmDate2 = new Date(dateBeans.startDate);
                  dateBeans.startDate = tmDate.format('yyyy-MM-dd hh:mm:ss');

                  if (tmDate.getHours() == "0" && tmDate.getMinutes() == "0" && tmDate.getSeconds() == "0") {
                      dateBeans.endDate = tmDate.addYear(1).format('yyyy-MM-dd hh:mm:ss');
                  }
                  else {
                      dateBeans.endDate = tmDate.addMonth(12).format('yyyy-MM-dd 23:59:59');
                  }

                  if($rootScope.switchBean.shortInsuranceSwitch && $rootScope.isShortSY) {
                      var endDate = $rootScope.baseBean.syInsureEndTimeShort.replace(/-/g, "/");
                      var startDate = $rootScope.baseBean.syInsureStartTimeShort.replace(/-/g, "/");
                      dateBeans.startDate = startDate.format('yyyy-MM-dd 00:00:00');
                      dateBeans.endDate = endDate.format('yyyy-MM-dd hh:mm:59');
                  }
              } else {
                  dateBeans.startDate = $rootScope.baseBean.jqInsureStartTime.replace(/-/g, "/");
                  var tmJqDate = new Date(dateBeans.startDate);
                  dateBeans.startDate = tmJqDate.format('yyyy-MM-dd hh:mm:ss');
                  if(tmJqDate.getHours() == "0" && tmJqDate.getMinutes() == "0" && tmJqDate.getSeconds() == "0") {
                      dateBeans.endDate = tmJqDate.addYear(1).format('yyyy-MM-dd hh:mm:ss');
                  } else {
                      //交强险止期是完整一年，精确到小时
                      dateBeans.endDate = tmJqDate.addFullYear(1).format('yyyy-MM-dd hh:00:00');
                  }
                  if($rootScope.switchBean.shortInsuranceSwitch && $rootScope.isShortJQ) {
                      var endDate = $rootScope.baseBean.jqInsureEndTimeShort.replace(/-/g, "/");
                      var startDate = $rootScope.baseBean.jqInsureStartTimeShort.replace(/-/g, "/");
                      dateBeans.startDate = startDate.format('yyyy-MM-dd 00:00:00');
                      dateBeans.endDate = endDate.format('yyyy-MM-dd hh:mm:59');
                  }
              }

              return dateBeans;
          }

          return handle;
      })(Handle||{});

      var dateObj = Handle.getNocarTime();
      $scope.startDate = dateObj.startDate.split(" ")[0];
      $scope.endDate = dateObj.endDate.split(" ")[0];

      //切换套餐类型
      $scope.changeCvrgType = function(index) {
          $scope.scheItem = $scope.itemList.rationList[index];
          $scope.selectIndex = index;
          $(".tabItem").removeClass("active");
          $(".tabItem").eq(index).addClass("active");
      }


      if($scope.itemList.rationCode) { //存在选中的方案类型时
          angular.forEach($scope.itemList.rationList, function(item,index){
              if(item.rationCode == $scope.itemList.rationCode) { //获取选中的代码
                  $scope.changeCvrgType(index);
              }
          });
      } else {
          $scope.changeCvrgType(0);
      }


      $scope.nocarType = ["方案一","方案二","方案三","方案四","方案五","方案六","方案七","方案八","方案九","方案十","方案十一"]

      //确认选择哪个非车险
      $scope.checkNocarType = function() {
          $scope.itemList.rationCode =  $scope.scheItem.rationCode;
          $scope.itemList.calType = $scope.scheItem.calType;
          $scope.itemList.premium = $scope.scheItem.actualPremiumAmt ||$scope.scheItem.premium;
          // $scope.itemList.clauseText = $scope.scheItem.clauseText;

          $scope.itemList.maxBatch = $scope.scheItem.maxBatch;
          //处理不同方案最大份数不一样导致报价问题
          if(Number($scope.itemList.waxBatch) > Number($scope.scheItem.maxBatch)) {
              $scope.itemList.waxBatch = 1; //选中为一份
          }

          if($scope.itemList.calType == "2") { //非车险种保费显示
              $scope.itemList.totalPremium =  Number($scope.scheItem.premium) * Number($rootScope.carBeans.vehicle.seatCount) * Number($scope.itemList.waxBatch);
          } else {
              $scope.itemList.totalPremium =  Number($scope.scheItem.premium) * Number($scope.itemList.waxBatch);;
          }
          //选中非车险显示
          angular.forEach($rootScope.nocarArr, function(item, index) { //查询非车险种  选中非车险种显示
              if($scope.itemList.riskCode == item.riskCode) { //当险种类型一致时，将非车险种型号（尊享型）的价格赋值
                  //item.rationList[0] = $scope.scheItem; //尊享型
                  $rootScope.nocarArr[index] = angular.copy($scope.itemList.rationList[$scope.selectIndex||0]);
                  $rootScope.nocarArr[index].waxBatch = $scope.itemList.waxBatch;
                  /* if(item.calType == '2') { //按座位数计算
                      item.totalPremium = Number(item.premium) *  Number($rootScope.carBeans.vehicle.seatCount) * Number(item.waxBatch);
                  } else {
                      item.totalPremium = Number(item.premium) * Number(item.waxBatch);
                  }*/
              }
          })

            // 保存操作 为了切换页面后数据还在
            if($rootScope.switchBean.noCarPrdSwitch){ // 非车险
                $rootScope.carBeans.noCarProductList = $rootScope.nocarArr;
                $rootScope.carBeans.noCarRiskList = [];
            }else{
                $rootScope.carBeans.noCarProductList = [];
                $rootScope.carBeans.noCarRiskList = $rootScope.nocarArr;
            }

          //重新计算
          $rootScope.reCalPremiumFlag = true;
          // moto特殊处理start
          if ($rootScope.fromMotoFlag) {
            $rootScope.reCalPremiumFlagMoto = true;
          }
          history.go(-1);
          // moto特殊处理end
      };

      //点击取消
      $scope.cancelNocar = function() {
          history.go(-1);
      };
      $scope.mustKnow=function () {
          $state.go("tab.insureNotice");
      }

  });
  return app;
});
