define([
    'services/app.service',
    'services/app.general.service',
    'directives/app.directives',
    'filters/app.filters',
    'services/app.sqlLite.service',
    'services/app.car.beans',
    'modalSelect',
    'ngUpload'
], function() {
    'use strict';
    var app = angular.module('app.compController',
        [
            'app.handle.service',
            'app.general.service',
            'app.directives',
            'app.filters',
            'app.sqlLite.service',
            'app.car.beans',
            'ionic-modal-select',
            'ngCordova',
            'ngFileUpload',
            'ionic'
        ]);
    //投保查询控制器
    app.controller('oderSetbacksDetailCtrl', function($state,$scope, $interval, $rootScope,$ionicPopup, $http, $location, $handleService,$generalService, $interFace, $compile, $ionicActionSheet,$stateParams) {

        // $scope.isBeijing = $rootScope.IS_BEIJING_07;
        $scope.vm={};
        $scope.isSigin = $rootScope.switchBean.elecSignIn;//电子签名开关
        $scope.dataSY = {};
        $scope.dataJQ = {};
        $scope.flagSY = false;
        $scope.flagJQ = false;
        $scope.totallyDate = $rootScope.carBeans;
        $scope.sendShare = false;//电子投保单分享标志
        $scope.initSign = false;//页面初始化调签名的标志
        $scope.$watch("vm.flagSY", function () {
            $scope.judgeIsneedVcode($scope.totallyDate);
        });
        $scope.$watch("vm.flagJQ", function () {
            $scope.judgeIsneedVcode($scope.totallyDate);
        });
        $scope.judgeIsneedVcode = function(carBeans){
            //必须满足,才需要验证码:  非营业个人10座以下客车
            //10座以  非营业 客车 个人 投被保人其中一个为个人
            if((carBeans.vehicle.seatCount<10 && carBeans.base.busiAttrConfig.useNatures==='02'&& carBeans.vehicle.carKindCode==='100' && carBeans.base.busiAttrConfig.attachNatures === '01')&& ( carBeans.applicant.insuredType=='1'|| carBeans.insured.insuredType=='1')){
                if(($scope.vm.flagSY && !$scope.disPaySY) || ($scope.vm.flagJQ && !$scope.disPayJQ)){
                    $scope.isNeedVCode = true;
                }else{
                    $scope.isNeedVCode = false;
                }
                
            }else{
                $scope.isNeedVCode = false;
            }
        };

        $scope.reTransmitFlag = false;
        $rootScope.specialDataJd = [];//1112特约

        var Handle=(function (handle) {
            handle.getDetail=function (opt) {
                $handleService.http({
                    url: "/policyOrder/orderDetail",
                    method: "POST",
                    data: {
                        orderNo:opt
                    },
                    success: function (data) {
                        $handleService.logger("object", data, "投保进度查询详情---》");
                        $scope.syRiskList = [];//整理商业险列表详细信息
                        if (data.resultCode == "0") {
                            $scope.totallyDate=data.result;
                            $scope.JQnocarList=[];
                            $scope.SYnocarList=[];
                            angular.forEach(data.result.underwriteResultVOList,function (item) {
                                if(item.riskCode=="0301"){
                                    $scope.dataJQ=item;
                                }
                                if(item.riskCode=="0302"){
                                    $scope.dataSY=item;
                                }
                            });
                            angular.forEach(data.result.riskList,function (item) {
                                if(item.riskCode=="0301"){
                                    $scope.dataJQ = angular.extend($scope.dataJQ, item);
                                    $scope.flagJQ = true;
                                }
                                if(item.riskCode=="0302"){
                                    $scope.dataSY = angular.extend($scope.dataSY, item);
                                    $scope.flagSY = true;
                                }
                            });
                            /*  ---  Subsection comment block  ---  */
                            var clauseListSy = $scope.dataSY.clauseList || [];
                            var clauseListJq = $scope.dataJQ.clauseList || [];
                            $rootScope.specialDataJd = clauseListSy.concat(clauseListJq);
                            /*  ---  Subsection comment block  ---  */
                            //add by wll 非车险
                            if($rootScope.switchBean.noCarPrdSwitch){ // 新非车
                                angular.forEach(data.result.noCarProductList,function (item) {
                                    if(item.carRiskCode=="0301"){
                                        $scope.JQnocarList.push(item);
                                    }
                                    if(item.carRiskCode=="0302"){
                                        $scope.SYnocarList.push(item);
                                    }
                                });
                            }else{
                                angular.forEach(data.result.noCarRiskList,function (item) {
                                    if(item.carRiskCode=="0301"){
                                        $scope.JQnocarList.push(item);
                                    }
                                    if(item.carRiskCode=="0302"){
                                        $scope.SYnocarList.push(item);
                                    }
                                });
                            }
                            

                            //add by wll
                            if($scope.dataSY&&($scope.dataSY.underWriteState=='1'||$scope.dataSY.underWriteState=='3')){
                                if($scope.dataSY.payEnabled=='0'){
                                    $scope.disPaySY=true;
                                }else{
                                    $scope.disPaySY=false;
                                }
                            }else{
                                $scope.disPaySY=true;
                            }
                            if($scope.dataJQ&&($scope.dataJQ.underWriteState=='1'||$scope.dataJQ.underWriteState=='3')){
                                if($scope.dataJQ.payEnabled=='0'){
                                    $scope.disPayJQ=true;
                                }else{
                                    $scope.disPayJQ=false;
                                }
                            }else{
                                $scope.disPayJQ=true;
                            }

                            /*整理商业险列表详细信息*/
                            angular.forEach($scope.dataSY.coverageList, function (cvrTem) {
                                var _cvrName = $rootScope.BASE_BEAN.INS_CN_NAME[cvrTem.kindCode],
                                    _cvrAmt = cvrTem.sumInsured;
                                if (_cvrName) {
                                    if(cvrTem.kindCode=='030201'){
                                        $scope.syRiskList.push({
                                            kindCode: cvrTem.kindCode,
                                            sumInsured: _cvrAmt? "￥" + _cvrAmt : "",
                                            grossPremium: cvrTem.grossPremium,
                                            name: _cvrName,
                                            rate: cvrTem.rate,
                                            quantity: cvrTem.quantity,
                                            valueType: cvrTem.valueType,
                                            unitInsured: cvrTem.unitInsured||'0'
                                        });

                                        angular.forEach($scope.dataSY.coverageList, function (cvrTem2) {
                                            if (cvrTem2.kindCode == '021') {
                                                $scope.syRiskList.pop();
                                                $scope.syRiskList.push({
                                                    kindCode: cvrTem.kindCode,
                                                    sumInsured: _cvrAmt? "￥" + _cvrAmt : "",
                                                    // grossPremium: $U.accAdd(cvrTem.grossPremium,cvrTem2.grossPremium||'0'),
                                                    grossPremium: cvrTem.grossPremium,
                                                    name: _cvrName,
                                                    rate: cvrTem.rate,
                                                    quantity: cvrTem.quantity,
                                                    valueType: cvrTem.valueType,
                                                    unitInsured: cvrTem.unitInsured||'0'
                                                });

                                                $scope.syRiskList.push({
                                                    kindCode: cvrTem2.kindCode,
                                                    sumInsured: cvrTem2.rate+"%",
                                                    grossPremium: cvrTem2.grossPremium,
                                                    name: '免赔率',
                                                    rate: cvrTem2.rate,
                                                    quantity: cvrTem2.quantity,
                                                    valueType: cvrTem2.valueType,
                                                    unitInsured: cvrTem2.unitInsured||'0'
                                                });
                                            }
                                        })

                                    }else{
                                        $scope.syRiskList.push({
                                            kindCode: cvrTem.kindCode,
                                            sumInsured: _cvrAmt ? "￥" + _cvrAmt : "",
                                            grossPremium: cvrTem.grossPremium,
                                            name: _cvrName,
                                            rate: cvrTem.rate,
                                            quantity: cvrTem.quantity,
                                            valueType: cvrTem.valueType,
                                            unitInsured: cvrTem.unitInsured || '0'
                                        });
                                    }

                                }
                            })
                            
                            $scope.judgeIsneedVcode($scope.totallyDate);
                            // $scope.signName($scope.dataSY,$scope.dataJQ,'','b');//页面初始化调签名分享接口出发核心 回调电商接口

                        }
                        else {
                            //查询失败时，增加默认提示信息
                            $U.showToast(data.errorMsg);
                        }
                    }
                });
            };
            //退回修改弹框
            handle.motify = function (option) {
                var confirmPopup = $ionicPopup.confirm({
                    title: '确认框',
                    template: "确定退回修改吗?",
                    cancelText: '取消',
                    okText: '确定',
                    okType: 'button-assertive',
                    cancelType: 'button-cfirm-cancle'
                });
                confirmPopup.then(function (res) {
                    if (res) {
                        Handle.returnModify(option);
                        //$state.go('tab.owinfo', {SU_CODE: 'PQUERY',PLY_APP_NO:option.PLY_APP_NO,PROD_NO:option.PROD_NO});
                    }
                });
            };
            //退回修改执行结果
            handle.returnModify = function(obj) {
                var options = {
                    appNoList: [], //投保单号列表
                    orderNo: "" //订单号
                };
                var salesmanCode=$U.sessionHandle.getSession("SLS_INFO").salesmanCode;
                $rootScope.isShowJQCheck = true; //交强是否显示
                $rootScope.isShowSYCheck = true; //商业险是否显示
                angular.extend(options, obj);
                $handleService.http({
                    url: "/correct?operatorCode="+salesmanCode,
                    method: 'POST',
                    data: options,
                    success: function (data) {
                        $handleService.logger("object", data, "退回修改数据");
                        if(data.resultCode=='0'){
                            $handleService.reModifyPolicyData(data.result, true);
                            // 历史特约
                            var concatSyJq = [];
                            angular.forEach(data.result.riskList, function (riskListItem) {
                                if($U.isNotEmpty(riskListItem.clauseList)){
                                    concatSyJq = concatSyJq.concat(riskListItem.clauseList);//如果有数据就添加到一个数组列
                                }
                            })
                            $rootScope.historyTy = concatSyJq;
                            // 历史特约
                            $state.go("tab.config",{SU_CODE: 'PQUERY'});
                        }else{
                            $U.showToast(data.errorMsg);
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', '退回修改异常' + ex);
                    }
                });
            };
            //4.撤单方法
            handle.revoke = function (option) {
                $handleService.showConfirm({
                    title: '撤单前确认',
                    template: "您确定撤销订单吗？",
                    sure: function () {
                        //开始撤单
                        $handleService.http({
                            url: "/delApplyNo?applyPolicyNo="+option,
                            method: 'delete',
                            success: function (data) {
                                if(data.resultCode=='0'){
                                    $U.showToast('撤单成功');
                                    history.back(-1);
                                }else{
                                    $U.showToast(data.errorMsg);
                                }
                            },
                            error: function (ex) {
                                $handleService.logger('error', '撤单异常' + ex);
                            }
                        });
                    }
                });
            };

            //补单
            handle.supplementApp = function(options) {
                $handleService.http({
                    url: "/replaceOrder",
                    method: 'POST',
                    data: options,
                    success: function (data) {
                        $handleService.logger("object", data, "补单返回数据");

                        if(data.resultCode=='0'){
                            // if(data.result.result=='1'){
                            $handleService.showAlert('补单信息',data.result.message,function () {
                                Handle.getDetail($rootScope.orderNo);
                            });
                            // }
                        }else{
                            $U.showToast(data.errorMsg);
                        }


                    }
                })
            };
            //返回首页 方法  --》全民营销 不需要跳转
            handle.goIndex = function () {
                if (!window.requestParam.webSources) {
                    // //判断新首页可见性
                    // if($rootScope.isNewHome){
                    //     $state.go("tab.mitNewIndex");
                    // }else{
                    //     $state.go("tab.mitIndex");
                    // }
                    $state.go("tab.mitNewIndex");
                } else {
                    $state.go('tab.owinfoweb');
                }
            };

            return handle;
        })(Handle||{});

        Handle.getDetail($rootScope.orderNo);


        //刷新
        $scope.reloadView=function () {
            Handle.getDetail($rootScope.orderNo);
        };

        // 重发短信验证码
        $scope.reTransmit = function(){
            $scope.closeVcode();
            $handleService.showConfirm({
                title: '温馨提示',
                template: '如果您已分享好友代付链接给客户，重发验证码后，必须重新分享好友代付，否则支付后无法出单。',
                buttons: [{
                    text: '关闭',
                    type: 'button-cfirm-cancle',
                    onTap: function (e) {
                        return false;
                    }
                },
                    {
                        text: '确认重发',
                        type: 'button-cfirm-ok',
                        onTap: function (e) {
                            return true;
                        }
                    }],
                sure: function () {
                    $scope.reTransmitConfirm();
                },
                cancle: function () {
                    //弹出验证码输入框
                    $scope.vCodeAlert = $handleService.showAlert('<div class="poput-select-pay-across-title">请输入验证码</div>', "", null, {
                        cssClass: "pay-across-popup pre-pop",
                        okType: "hidden-box",
                        templateUrl: "templates/common/order-pay-vcode.html",
                        scope: $scope
                    });
                }
            });
            $scope.reTransmitConfirm=function () {

                $handleService.http({
                    url: "/sendVerificationCode ",
                    data:{
                        orderNo:$scope.totallyDate.orderNo,
                        applyPolicyNo : $scope.policyNum
                    },
                    method: 'POST',
                    success: function (data) {
                        $handleService.logger('object', data, "重发短信返回结果---》");
                        if (data.resultCode == '0') {
                            $scope.tipsVcode='应监管要求，我们已向'+data.result+'的手机号发送了短信验证码';
                            $scope.countDown();
                        }else{
                            $scope.tipsVcode=data.errorMsg;
                        }
                        //弹出验证码输入框
                        $scope.vCodeAlert = $handleService.showAlert('<div class="poput-select-pay-across-title">请输入验证码</div>', "", null, {
                            cssClass: "pay-across-popup pre-pop",
                            okType: "hidden-box",
                            templateUrl: "templates/common/order-pay-vcode.html",
                            scope: $scope
                        });
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });
            }
        };
       
        $scope.countDown = function(){
             if($scope.reTransmitFlag) return;
             $scope.reTransmitFlag = true;
             $scope.cdSeconds = 120;
             $scope.timer =  $interval( function(){
                 $scope.cdSeconds--;
                 if($scope.cdSeconds == 0){
                     $interval.cancel($scope.timer);
                     $scope.reTransmitFlag = false;
                 }
             }, 1000);

        }

        //查看核保意见
        $scope.lookOption = function (item) {
            if (item.undwrtComm) {
                $handleService.showAlert('核保意见', item.undwrtComm, function () {
                });
            }
            else {
                $handleService.showAlert('核保意见', "无", function () {
                });
            }
        };

        //退回修改方法
        $scope.returnToModify = function (itemSY,itemJQ) {
            var option = {};
            var opt = {};
            if($scope.vm.flagSY || $scope.vm.flagJQ ){
                if($scope.vm.flagSY && $scope.vm.flagJQ){
                    option = {
                        appNoList: [itemSY.proposalNo,itemJQ.proposalNo],
                        orderNo: $rootScope.orderNo
                    };
                    Handle.motify(option);
                    return;
                }
                if($scope.vm.flagSY && !$scope.vm.flagJQ){
                    if($scope.totallyDate.riskList.length>1){
                        opt = {
                            templateUrl: "templates/common/oder-return.html",
                            scope: $scope,
                            buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
                                text: '否',
                                type: 'button-cfirm-cancle',
                                onTap: function (e) {
                                    return false;
                                }
                            }, {
                                text: '是',
                                type: 'button-cfirm-ok',
                                onTap: function (e) {
                                    return true;
                                }
                            }],
                            sure: function () {
                                option = {
                                    appNoList: [itemSY.proposalNo,itemJQ.proposalNo],
                                    orderNo: $rootScope.orderNo
                                };
                                Handle.returnModify(option);
                            },
                            cancle: function () {
                                option = {
                                    appNoList: [itemSY.proposalNo],
                                    orderNo: $rootScope.orderNo
                                };
                                Handle.returnModify(option);
                            }
                        };
                        $scope.alertConfirm=$handleService.showConfirm(opt);
                    }else{
                        option = {
                            appNoList: [itemSY.proposalNo],
                            orderNo: $rootScope.orderNo
                        };
                        Handle.motify(option);
                    }
                    return;
                }
                if(!$scope.vm.flagSY && $scope.vm.flagJQ){
                    if($scope.totallyDate.riskList.length>1){
                        opt = {
                            templateUrl: "templates/common/oder-return.html",
                            scope: $scope,
                            buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
                                text: '否',
                                type: 'button-cfirm-cancle',
                                onTap: function (e) {
                                    return false;
                                }
                            }, {
                                text: '是',
                                type: 'button-cfirm-ok',
                                onTap: function (e) {
                                    return true;
                                }
                            }],
                            sure: function () {
                                option = {
                                    appNoList: [itemSY.proposalNo,itemJQ.proposalNo],
                                    orderNo: $rootScope.orderNo
                                };
                                Handle.returnModify(option);
                            },
                            cancle: function () {
                                option = {
                                    appNoList: [itemJQ.proposalNo],
                                    orderNo: $rootScope.orderNo
                                };
                                Handle.returnModify(option);
                            }
                        };
                        $scope.alertConfirm=$handleService.showConfirm(opt);
                    }else{
                        option = {
                            appNoList: [itemJQ.proposalNo],
                            orderNo: $rootScope.orderNo
                        };
                        Handle.motify(option);
                    }
                    return;
                }
            }else{
                $U.showToast("请先选择您要操作的订单");
                return;
            }
        };

        //关闭confirm模板
        $scope.closePopConfirm=function () {
            $handleService.closeModule($scope.alertConfirm);
        };

        //撤单方法
        $scope.revokeOder = function (itemSY,itemJQ) {
            var option = {};
            var sls_cde=$U.getSession("SLS_CDE");
            if($scope.vm.flagSY || $scope.vm.flagJQ ){
                if($scope.vm.flagSY && $scope.vm.flagJQ) {
                    option = itemSY.proposalNo+','+itemJQ.proposalNo;
                    Handle.revoke(option);
                    return;
                }
                if ($scope.vm.flagSY && !$scope.vm.flagJQ) {
                    option = itemSY.proposalNo;
                    Handle.revoke(option);
                    return;
                }
                if (!$scope.vm.flagSY && $scope.vm.flagJQ) {
                    option = itemJQ.proposalNo;

                    Handle.revoke(option);
                    return;
                }
            }
            else {
                $U.showToast("请先选择您要操作的订单");
                return;
            }
        };

        //签名方法
        $scope.signName = function (itemSY,itemJQ,event,a) {
            if(!a){
                $scope.sendShare = false;
            }
            switch(a){
                case 'a':
                    $scope.sendShare = true;
                    break;
                case 'b':
                    $scope.sendShare = true;//发送微信分享标志
                    $scope.initSign = true;//页面初始化调签名的标志
                    // $scope.vm.flagSY = true;//初始化模拟签名 模拟勾选商业和交强险
                    // $scope.vm.flagJQ = true;
                    break;

            }
            var ply_no_biz = "";
            var ply_no_cpi = "";
            var jsFlag ;//签名类型 0 交商同保  1 交强  2 商业
            if($scope.vm.flagSY || $scope.vm.flagJQ){
                if($scope.vm.flagSY){ //商业险
                    ply_no_biz =itemSY.proposalNo;//商业险投保单号;
                }
                if($scope.vm.flagJQ) { //交强险
                    ply_no_cpi =itemJQ.proposalNo;//交强险投保单号;
                }
            }
            else {
                $U.showToast("请先选择您要操作的订单");
                return;
            }
            //交商同保标志
            if(ply_no_biz&&ply_no_cpi){
                jsFlag =0;
            }else if(ply_no_biz&&!ply_no_cpi){
                jsFlag =2;
            }else if(!ply_no_biz&&ply_no_cpi){
                jsFlag =1;
            }

            var applicantPhone = $scope.totallyDate.applicant.phone;
            applicantPhone ? ($scope.signPhone = applicantPhone.slice(0,3) + "****"+ applicantPhone.slice(7,11)):'';
            $rootScope.dataItem = $rootScope.progressDetail;
            console.log($rootScope.progressDetail,'$rootScope.progressDetail')
            $scope.jsFlag = jsFlag;//记录单交 单商还是 商交 弹出的弹框
            if(jsFlag != '0'){
                if($rootScope.progressDetail.elecSignFlagJq == '1' && $rootScope.progressDetail.elecSignFlagSy == '1' && !($scope.vm.flagSY && $scope.vm.flagJQ) && $rootScope.progressDetail.sendStatusSy&& $rootScope.progressDetail.sendStatusJq && !$scope.initSign){
                    $scope.signFlag = true;
                    $scope.payAlert = $handleService.showAlert("<div class='flexj'><div>选择投保方式</div></div>", "", null, {
                        cssClass: "pay-across-popup new-pop new-popup",
                        okType: "hidden-box",
                        templateUrl: "templates/common/send-msg.html",
                        scope: $scope
                    });
                }else{
                    if($scope.sendShare){ //如果是分享 就不修改手机号直接调取分享链接
                        $scope.makeSure('a');
                    }else{
                        $scope.signAlert();
                    }
                }
            }else{
                if($scope.sendShare){ //如果是分享 就不修改手机号直接调取分享链接
                    $scope.makeSure('a');
                }else{
                    $scope.signAlert();
                }
            }
        };

        //影像上传
        $scope.uploadImage = function (dataSY,dataJQ) {
            var imageIdStr = "";
            var policyNo = "";
            var proposalNo = "";
            var beforeSubmit = '';
            var revArr = ["11", "1_0", "21", "2_2", "2_1_0", "3"]; //禁用复核按钮
            if($scope.vm.flagSY || $scope.vm.flagJQ){
                if($scope.vm.flagSY) {
                    imageIdStr = dataSY.imageId;
                    if(dataSY.policyNo) {
                        policyNo += dataSY.policyNo + ",";
                    }
                    proposalNo += dataSY.proposalNo + ",";
                }
                if($scope.vm.flagJQ) {
                    imageIdStr = dataJQ.imageId;
                    if(dataJQ.policyNo) {
                        policyNo += dataJQ.policyNo + ",";
                    }
                    proposalNo += dataJQ.proposalNo + ",";
                }
                proposalNo = proposalNo.replace(/(,)$/, '');
                policyNo = policyNo.replace(/(,)$/, '');
                //11 1_0  21 2_2 2_1_0 3
                if($scope.vm.flagSY && !$scope.vm.flagJQ) { //单商业
                    if(revArr.indexOf(dataSY.imageRevType) == -1) { //
                        beforeSubmit = false;
                    } else {
                        beforeSubmit = true;
                    }
                } else if(!$scope.vm.flagSY && $scope.vm.flagJQ) { //单交强
                    if(revArr.indexOf(dataJQ.imageRevType) == -1) {
                        beforeSubmit = false;
                    } else {
                        beforeSubmit = true;
                    }
                } else { //交商同保
                    if(revArr.indexOf(dataSY.imageRevType) == -1 && revArr.indexOf(dataJQ.imageRevType) == -1) {
                        beforeSubmit = false;
                    } else {
                        beforeSubmit = true;
                    }
                }
            }else{
                $U.showToast("请先选择您要操作的订单");
                return;
            }

            $state.go('tab.imagesUpload', {imageId: imageIdStr,policyNo: policyNo,plyAppNo:proposalNo,beforeSubmit:beforeSubmit});
        };

        // 控制验证码只能是字母 和  数字
        $scope.telVerifyCodeInput = function(){
            var value = $scope.vm.telVerifyCode||'';
            $scope.vm.telVerifyCode = (value.match(/^([0-9a-zA-Z]{1,6})/g) || [])[0] || ''
        };
        //关闭
        $scope.closeVcode = function () {
            $handleService.closeModule($scope.vCodeAlert);
        };
        //定义作用域 支付方法
        $scope.sure = function () {
            if($scope.vm.telVerifyCode && $scope.vm.telVerifyCode.length===6){
                $scope.toPay();
                $scope.closeVcode();
            }else{
                $U.showToast("请输入正确的验证码");
            }
        };
        $scope.toPay=function () {


            var options = {
                applyPolicyNo: $scope.policyNum,	//投保单号	string	如果两个都保单用，隔开
                // orderNo: data.orderNo,  //订单号
                salesCode: $U.getSlsCode(),
                telVerifyCode: $scope.vm.telVerifyCode, //	短信验证码
                payMethod: "" //支付方式 在线支付标识07，移动pos09
            };

            //弹出选择框
            $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-across-title">选择支付方式</div>', "", null, {
                cssClass: "pay-across-popup",
                okType: "hidden-box",
                templateUrl: "templates/common/oder-pay-across-sale.html",
                scope: $scope
            });

            //支付方式弹出框 ---》返回首页方法
            $scope.returnMixIndex = function () {
                $handleService.closeModule($scope.alertPopup);
                //$state.go("tab.mitIndex");
            };





            //定义作用域 支付方法
            $scope.payOders = function (opts, isLocation) {
                $handleService.closeModule($scope.alertPopup);
                options.success = function (data) {
                    $handleService.uMengListen("pay");
                    if (!isLocation) {
                        $handleService.showAlert("支付申请号", "<div class='text-center'>"+data.result+"</div>"+"<div class='text-center'><img  src='" + $interFace.ZFQRCODE+data.result + "'/></div>"+"<div class='text-center'>使用快钱智能POS 扫一扫</div>", function () {
                            //  Handle.goIndex();
                        });
                    }
                };
                //开始调用支付
                $generalService.serverPay(options, isLocation);
            };
        };

        $scope.telVerifyCallkback=function () {
            //弹出验证码输入框
            $scope.vCodeAlert = $handleService.showAlert('<div class="poput-select-pay-across-title">请输入验证码</div>', "", null, {
                cssClass: "pay-across-popup pre-pop",
                okType: "hidden-box",
                templateUrl: "templates/common/order-pay-vcode.html",
                scope: $scope
            });
        };

        //支付
        $scope.payPolicy = function(itemSY,itemJQ) {
            $scope.vm.telVerifyCode='';
            $scope.policyNum='';


            if($scope.vm.flagSY || $scope.vm.flagJQ) {
                if ($scope.vm.flagSY) {
                    $scope.policyNum += itemSY.proposalNo + ",";
                }
                if ($scope.vm.flagJQ) {
                    $scope.policyNum += itemJQ.proposalNo + ",";
                }
                $scope.policyNum = $scope.policyNum.replace(/(,)$/, '');
            } else{
                $U.showToast("请先选择您要操作的订单");
                return;
            }
            $scope.toPay();
            // $handleService.http({
            //     url: "/payment/virtualConfirm",
            //     method: 'POST',
            //     data:{
            //         applyPolicyNo:$scope.policyNum
            //     },
            //     success: function (data) {
            //         if (data.resultCode == '0') {
            //             $scope.toPay();
            //         }else if(data.resultCode == 'E13006'){
            //             $scope.telVerifyCallkback();
            //         }else {
            //             $U.showToast(data.errorMsg || '网络异常');
            //         }
            //     },
            //     error: function (ex) {
            //         $handleService.logger('error', ex);
            //     }
            // });

        };

        //补单
        $scope.supplementNo = function(itemSY,itemJQ) {
            var applyPolicyNo = '';
            var startDate='';
            var options;
            if($scope.vm.flagSY || $scope.vm.flagJQ){
                if($scope.vm.flagSY){ //商业险
                    applyPolicyNo=itemSY.proposalNo;
                    startDate=itemSY.startDate;
                }

                if($scope.vm.flagJQ) { //交强险
                    applyPolicyNo=itemJQ.proposalNo;
                    startDate=itemJQ.startDate;
                }

                options = {
                    applyPolicyNo: applyPolicyNo,
                    operatorCode:$handleService.sessionHandle.getSession("SLS_INFO").employCode,
                    startDate:startDate
                };

                Handle.supplementApp(options);
            }
            else {
                $U.showToast("请先选择您要操作的订单");
                return;
            }

        }
        // 核保意见列表
        $rootScope.adviceList = [];
        // 规则列表
        $rootScope.ruleList = [];
        // 复合规则列表
        $rootScope.reRuleList = [];

        //核保意见
        $scope.underwritingAdvice = function(itemSY,itemJQ) {
            var applyPolicyNo = '';
            if($scope.vm.flagSY || $scope.vm.flagJQ){
                if($scope.vm.flagSY){ //商业险
                    applyPolicyNo=itemSY.proposalNo;
                }

                if($scope.vm.flagJQ) { //交强险
                    applyPolicyNo=itemJQ.proposalNo;
                }
                $scope.getAdivceList(applyPolicyNo);
            }
            else {
                $U.showToast("请先选择您要操作的订单");
                return;
            }

        };

        //  调用核保意见接口
        $scope.getAdivceList = function(applyPolicyNo){
            $handleService.http({
                url: "/policyOrder/argument?proposalNo="+applyPolicyNo,
                method: 'POST',
                success: function (data) {
                    if (data.resultCode == '0' && data.result) {
                        var msg='';
                        if($U.isNotEmpty(data.result.autoIlogBaseSaveRespVO)){ // 核心返回的规则
                            angular.forEach(data.result.autoIlogBaseSaveRespVO,function (item,index) {
                                if(item.applyPolicyNo==applyPolicyNo){  // 只展示对应保单的规则
                                    $rootScope.ruleList.push(item)
                                }
                            })
                        }
                        if($U.isNotEmpty(data.result.imageIlogBaseInfoRespVO)){ // 核心返回的复合规则
                            angular.forEach(data.result.imageIlogBaseInfoRespVO,function (item,index) {
                                if(item.appPolicyNo==applyPolicyNo){  // 只展示对应保单的规则
                                    $rootScope.reRuleList.push(item)
                                }
                            })
                        }

                        if($U.isNotEmpty(data.result.undwtInfoRespVoList)){  // 核保意见
                            angular.forEach(data.result.undwtInfoRespVoList,function (item,index) {
                                if(item.operatorShowName){  // 处理人为空时  不展示
                                    $rootScope.adviceList.unshift(item);  // 倒序排列  大的意见排前面
                                }
                            })
                        }
                        
                        $rootScope.message = data.result.message;
                        if($U.isEmpty(data.result.autoIlogBaseSaveRespVO) && $U.isEmpty(data.result.undwtInfoRespVoList) && $U.isEmpty(data.result.imageIlogBaseInfoRespVO) && $U.isEmpty(data.result.message)){
                             // 规则和意见都为空

                            $U.showToast('无核保意见');
                        }else{
                            $state.go("tab.underwritingAdvice", {applyPolicyNo: applyPolicyNo});
                        }

                    } else {
                        $U.showToast(data.errorMsg || '网络异常');
                    }
                },
                error: function (ex) {
                    $handleService.logger('error', ex);
                }
            });
        };

        //查看电子保单
        $scope.gotoElecImage = function(data, policyNo, type, plyAppNo) {
            $handleService.openUrl($interFace.webUrl+policyNo,{
                type: "_system",
                title: {
                    color: '#ffffff',
                    align: "center",
                    showPageTitle: true,
                    staticText: "保单详情"
                },
                backCallBack:function (browser, closeFlag) {
                    if(closeFlag) {
                        browser.close();
                    }

                }
            });
            //$state.go("tab.policyElecDetail", {policyNo: policyNo,type: type, plyAppNo: plyAppNo});
        };

        //查询保单数据
        $scope.gotoElecData=function (orderNo,dataSY,dataJQ) {
            if($scope.vm.flagSY || $scope.vm.flagJQ ){
                if($scope.vm.flagSY && $scope.vm.flagJQ){
                    $U.showToast("一次只能发送一份电子保单");
                    return;
                }
            }else{
                $U.showToast("请先选择您要操作的订单");
                return;
            }

            $handleService.http({
                url: "/policyOrder/electPolicyParam?orderNo="+orderNo,
                method: 'POST',
                success: function (data) {
                    $handleService.logger("object", data, "查看电子保单");
                    if(data.resultCode=='0'){
                        $rootScope.elecData={
                            email:data.result.email,
                            checkEmail:true,
                            phone:data.result.phone,
                            checkPhone:true
                        };
                        var confirmPopup =$ionicPopup.confirm({
                            title: '发送电子保单',
                            templateUrl: "templates/common/elec-data.html",
                            cssClass:"ele-title",
                            buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
                                text: '取消',
                                type: 'button-cfirm-cancle',
                                onTap: function (e) {
                                    return false;
                                }
                            }, {
                                text: '确定发送',
                                type: 'button-special-ok',
                                onTap: function (e) {
                                    if($rootScope.elecData.email&&$rootScope.elecData.checkEmail){
                                        $scope.isEmail='1';
                                    }else{
                                        $scope.isEmail='0';
                                    }
                                    if($rootScope.elecData.phone&&$rootScope.elecData.checkPhone){
                                        $scope.isPhone='1';
                                    }else{
                                        $scope.isPhone='0';
                                    }
                                    if($scope.vm.flagSY){
                                        $scope.policyNo=dataSY.policyNo;
                                    }else if($scope.vm.flagJQ){
                                        $scope.policyNo=dataJQ.policyNo;
                                    }
                                    if($scope.isEmail=='1' || $scope.isPhone=='1'){
                                        $handleService.http({
                                            url: "/policyOrder/reSendElectrPolicy",
                                            method: 'POST',
                                            data:{
                                                isSendEmail:$scope.isEmail,
                                                isSendPhone:$scope.isPhone,
                                                policyNo: $scope.policyNo
                                            },
                                            success: function (data) {
                                                $handleService.logger("object", data, "发送电子保单");
                                                if(data.resultCode=='0'){
                                                    $U.showToast(data.result);
                                                }else{
                                                    $U.showToast(data.errorMsg);
                                                }
                                            },
                                            error: function (ex) {
                                                $handleService.logger('error', ex);
                                            }
                                        });
                                        return true;
                                    }else{
                                        $U.showToast("请先选择您要操作的选项");
                                        e.preventDefault();
                                        return false;
                                    }


                                }
                            }]
                        });
                    }else{
                        $U.showToast(data.errorMsg);
                    }
                },
                error: function (ex) {
                    $handleService.logger('error', ex);
                }
            });
        };
        $scope.makeSure = function(a){
            switch(a){
                case 'a':
                    if(($scope.signPhone).indexOf('****') > -1){
                        if(!$scope.sendShare){
                            $handleService.closeModule($scope.payAlert);
                        }
                        $scope.getMsg($rootScope.dataItem,false);
                    }else{
                        if(!/^([1][3-9][0-9]{9})$|^((\d){3}(\*){4}(\d){4})$/.test($scope.signPhone)){
                            $U.showToast('您的投保人手机号码输入有误！');
                            return false;
                        }
                        $handleService.closeModule($scope.payAlert);
                        $scope.getMsg($rootScope.dataItem,false,a);
                    }
                    break;
                case 'b':
                    $handleService.closeModule($scope.payAlert);
                    // $scope.getMsg($rootScope.dataItem,false)
                    break;
                case 'c':
                    $scope.getMsg($rootScope.dataItem,false);
                    break;
                case 'f':
                    $scope.signPhone = $("#signPhone").val();
                    break;
                case 'x':
                    $handleService.closeModule($scope.payAlert);
                    $scope.signFlag =false;
                    $scope.jsFlag = '0';
                    if($scope.sendShare){
                        $scope.makeSure('a');
                    }else{
                        $scope.signAlert();
                    }
                    break;
                case 'y':
                    $handleService.closeModule($scope.payAlert);
                    $scope.signFlag =false;
                    if($scope.sendShare){
                        $scope.makeSure('a');
                    }else{
                        $scope.signAlert();
                    }
                    break;
                default:
                    $handleService.closeModule($scope.payAlert);
                    break;
            }

        };
        //短信验证码
        $scope.getMsg =  function(a,b,c){
            var signOption = {
                proposalNo: '', //投保单号
                // relProposalNo: '', //关联投保单号
                applyNo:  '',  //缴费申请单号
                phone:  ($scope.signPhone).indexOf('****') > -1 ? a.applicantPhone:$scope.signPhone,   //接收短信电话(如不传默认为投保人电话，短信发给投保人)
                faceFlag: '1'
            };
            // 定义作用域 支付方法
            var options = {
                applyPolicyNo: '',	//投保单号	string	如果两个都保单用，隔开
                // orderNo: a.orderNo,  //订单号
                salesCode: $U.getSlsCode(),
                telVerifyCode: '', //短信验证码$scope.vm.telVerifyCode
                payMethod: "" //支付方式 在线支付标识07，移动pos09
            };
            if(a.elecSignFlagJq == '1' && a.elecSignFlagSy == '1' && $scope.jsFlag == '0' && a.sendStatusJq && a.sendStatusSy){
                signOption.proposalNo = a.applyPolicyNoSy;
                signOption.relProposalNo = a.applyPolicyNoJq;
                options.applyPolicyNo = a.applyPolicyNoSy;
                options.orderNo = a.orderNo;
            }else if(a.elecSignFlagJq == '1' && $scope.jsFlag == '1' && a.sendStatusJq){
                signOption.proposalNo = a.applyPolicyNoJq;
                options.applyPolicyNo = a.applyPolicyNoJq;
            }else if(a.elecSignFlagSy == '1' && $scope.jsFlag == '2' && a.sendStatusSy){
                signOption.proposalNo = a.applyPolicyNoSy;
                options.applyPolicyNo = a.applyPolicyNoSy;
            }else{
                return false;
            }
            $scope.sendShare ? delete signOption['phone']:'';//如果是分享 不发送手机号
            // signOption.phone= '17722547279'; //测试用
            //定义作用域 支付方法
            options.success = function (data) {
                $handleService.uMengListen("pay");
                if(data.result){
                    signOption.applyNo = data.result;
                    if($scope.sendShare){
                        $scope.shareCount = 1;//签名分享接口轮询时间记录
                        $scope.sendShareHttp(signOption);
                    }else{
                        $scope.signHttp(signOption,c);
                    }
                    // $scope.signHttp(signOption,c);
                }

            };
            //开始调用支付
            $generalService.serverPay(options, b, 'pay');

        };
        //签名接口
        $scope.signHttp = function (opt,c) {
            $handleService.http({
                url: "/policyOrder/sendElecAppNo",
                method: "POST",
                data: opt,
                success: function (data) {
                    $handleService.logger("object", data, "电子投保签名查询详情---》");
                    if (data.resultCode == "0") {
                        // if($scope.sendShare){//调分享接口获取信息 签名链接的获取有延迟 需要5秒后调取接口
                        //     $scope.shareCount = 1;//签名分享接口轮询时间记录
                        //     $scope.sendShareHttp(opt);
                        //
                        // }else{//直接发送签名短信到手机号
                        //     $handleService.showAlert('温馨提示','短信已发送成功，请提醒投保人完成签名！',function(){
                        //         //请求成功签名状态改变 重新刷新页面
                        //         // switch($scope.jsFlag){
                        //         //     case '0': $rootScope.progressDetail.signCnameSy = '待签名';$rootScope.progressDetail.signCnameJq = '待签名';break;
                        //         //     case '1': $rootScope.progressDetail.signCnameJq = '待签名';break;
                        //         //     case '2': $rootScope.progressDetail.signCnameSy = '待签名';break;
                        //         // }
                        //     });
                        // }
                        $handleService.showAlert('温馨提示','短信已发送成功，请提醒投保人完成签名！',function(){
                            //请求成功签名状态改变 重新刷新页面
                            // switch($scope.jsFlag){
                            //     case '0': $rootScope.progressDetail.signCnameSy = '待签名';$rootScope.progressDetail.signCnameJq = '待签名';break;
                            //     case '1': $rootScope.progressDetail.signCnameJq = '待签名';break;
                            //     case '2': $rootScope.progressDetail.signCnameSy = '待签名';break;
                            // }
                        });

                    } else {
                        //查询失败时，增加默认提示信息
                        $U.showToast(data.errorMsg);
                    }
                }
            });
        };
        //分享签名接口
        $scope.sendShareHttp = function (opt,c) {
            $handleService.http({
                url: "/policyOrder/queryEleSms",
                method: "POST",
                data: opt,
                success: function (data) {
                    if (data.resultCode == "0") {
                        if(data.result){
                            var num = data.result.smsMessage.indexOf('http');
                            var _options = {
                                title: '车险电子投保单在线签名',
                                text: data.result.smsMessage,
                                url: data.result.smsMessage.substring(num),  //截取链接
                                imgUrl: 'https://m.sinosafe.com.cn/eb-web/new-www/images/webview/drawable-xhdpi-icon.jpg'
                            };
                            console.log(_options,'分享内容');
                            if(ionic.Platform.isAndroid()) {
                                $handleService.sharingText({
                                    text: data.result.smsMessage
                                });
                            } else if(ionic.Platform.isIOS()) {
                                $handleService.sharePanle(_options);
                            }
                        }else if($scope.shareCount<=5){
                            setTimeout(function(){
                                $scope.sendShareHttp(opt);
                            },Number(++$scope.shareCount +'000'));
                        }
                    } else {
                        //查询失败时，增加默认提示信息
                        $U.showToast('正在生产分享内容，请稍后');
                    }
                }
            });
        };
        $scope.signAlert = function (item,event,$index) {
            if($rootScope.progressDetail.enableSigned == '1'){
                var applicantPhone = $scope.totallyDate.applicant.phone;
                applicantPhone ? ($scope.signPhone = applicantPhone.slice(0,3) + "****"+ applicantPhone.slice(7,11)):'';
                $rootScope.dataItem = $rootScope.progressDetail;
                $scope.payAlert = $handleService.showAlert("<div class='flexj'><div>选择投保方式</div></div>", "", null, {
                    cssClass: "pay-across-popup new-pop new-popup",
                    okType: "hidden-box",
                    templateUrl: "templates/common/send-msg.html",
                    scope: $scope
                });
            }
        };
    });
    return app;
});

