define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives','filters/app.filters' ,'services/app.store'], function () {
   'use strict';
   var app = angular.module('app.oderSetbacksController', ['app.handle.service', 'app.directives','app.filters', 'app.general.service','ionic']);
   //投保查询控制器
   app.controller('oderSetbacksController', function ($generalService, $ionicPopup, $scope, $rootScope, $state, $stateParams, $handleService, $interFace, store) {
      //----------------------------------------- begin 变量 -----------------------------------------//
      $scope.moreFlag = false;
      var now = new Date().format('yyyy-MM-dd');
      var nows = new Date().setDate(new Date().getDate() - 7);
      nows = new Date(nows).format('yyyy-MM-dd');
      $scope.isSigin = $rootScope.switchBean.elecSignIn;//电子签名开关
       $scope.signPhone = '';//电子签名弹框手机号显示
       $rootScope.progressDetail = {};
       $rootScope.baseBean.tempChooseData = [];//置空特约


       $scope.$on("$stateChangeStart", function (event, toState, toParams, fromState, fromParams) {
           if(toState.name === 'tab.owConfirm'){
               event.preventDefault();
               // $state.go("tab.mitIndex");
               if (window.requestParam.webSources == "QMYX") {
                   $state.go('tab.owinfoweb');
               }else{
                   // //判断新首页可见性
                   // if($rootScope.isNewHome){
                   //     $state.go("tab.mitNewIndex");
                   // }else{
                   //     $state.go("tab.mitIndex");
                   // }
                   $state.go("tab.mitNewIndex");
               }
           }
       });
      //摩托车交强险保单状态
      $scope.PAY_STATE = {
         "1":"人工核保通过",
         "2":"下发修改",
         "3":"自核通过",
         "9":"待核保",
         "0":"待修改",
         "6":"已支付"
      }
      $scope.cancelOrBack=true; //支付选择 取消
      $scope.currentPage = 0;//投保进度查询页码 石梦星
      $scope.PAGE_LENGTH = 50; // 投保查询每页条数
      $scope.carNoMorePage = false;//数据是否加载完毕 石梦星
      $scope.motoScheList = [];

      //----------------------------------------- end   变量 -----------------------------------------//

      //----------------------------------------- begin Handle -----------------------------------------//
      var Handle = (function (handle) {
         //1.查询页面
         handle.queryPage = function (opts) {
            var _self = this;
            //1.进度查询集合对象
            $scope.scheList = [];
            //2.进度查询 单条详情
            $scope.scheItem = {};
            //1.查询数据
            _self.querySche(opts);

            //2.订单详情方法
            $rootScope.oderDetail = function (scheItem) {
                //显示每张订单详情
               $rootScope.orderNo = scheItem.orderNo;
                $rootScope.progressDetail = scheItem;
               $state.go("tab.oderSetbacksDetail");
            };

         };
         //2.订单详情页面
         handle.detailsPage = function () {
            var plyAppNo=$rootScope.scheItem.POL_INFO.CVRG_BIZ.PLY_APP_NO_BIZ;
            var plyAppNo2=$rootScope.scheItem.POL_INFO.CVRG_CPI.PLY_APP_NO_CPI;
            var value='';

            if(plyAppNo!=''&&plyAppNo2!=''){
               value=plyAppNo+','+plyAppNo2;
            }else if(plyAppNo!=''&&plyAppNo2==''){
               value=plyAppNo;
            }else if(plyAppNo2!=''&&plyAppNo==''){
               value=plyAppNo2;
            }
            $handleService.http({
               url: $interFace.mitMainFace,
               headers: {
                  method: "queryNbzPolicy"
               },
               data: {
                  proposalNo: value
               },
               success: function (scheData) {
                  $handleService.logger("object", scheData, "获取非车保单号---》");
                  if (scheData.responseCode == "true") {
                     angular.forEach($rootScope.scheItem.NBZ_LIST.NBZ_DATA, function(item) {
                        angular.forEach(scheData.NbzPolicyNoList, function(items) {
                           if(items.NbzRiskNo == item.RISK_CODE) { //险种相同时 赋值保单号
                              item.PLY_NO = items.NonPolicyNo;
                           }
                        });
                     });
                  }

               }
            });
         };

         //3.查询投保进度方法
         handle.querySche = function (opts) {
            var nowTime = new Date();
            var beginTime = nowTime.format("yyyy-MM-dd");
            var spaceDays = 3;//新核心投保进度查询查近3天
            var endTime = new Date(new Date().setDate(nowTime.getDate() - spaceDays)).format("yyyy-MM-dd");



            var options = {
               companyCode:$U.getDeptCode(),
               salesManCode:$U.sessionHandle.getSession("SLS_INFO").employCode,
               insuredName: "",  //被保人姓名
               applyPolicyNo: "", //投保单号
               startDate: endTime, //查询起期
               endDate: beginTime, //查询止期
               page:{
                  pageNum:($scope.currentPage * $scope.PAGE_LENGTH).toString(),
                  pageSize:$scope.PAGE_LENGTH
               },
               insuredProduct:0
               //origSysList:["eautomobile","peoplemark"]
            };

            options = angular.extend(options, opts);

            $handleService.http({
               url: "/policyOrder/queryOrderList",
               method: 'POST',
               data: options,
               success: function (scheData) {
                  $handleService.logger("object", scheData, "投保进度查询结果集---》");
                  var sendStatus = { //1和3 符合签名的状态 0:初始状态;1:核保通过(人工核保通过);2:核保不通过(下发修改);3:自动核保通过;4:拒保;6:承保确认;9:待核保(转人工核保)
                          "0":false,
                          "1":true,
                           "2":false,
                           "3":true,
                           "4":false,
                           "6":false,
                           "9":false
                   };
                  if (scheData.result) {//scheData.resultCode == "0"
                     if ($scope.currentPage > 0) {
                         for (var i = 0; i < scheData.result.length; i++) {
                             var scheItem = scheData.result[i];
                             //判断商业险和交强险的签名状态
                             if(scheItem.enableSigned){
                                 scheItem.signCnameJq = $scope.getSignName(scheItem.elecSignFlagJq);
                                 scheItem.sendStatusJq = sendStatus[scheItem.statusJq];//核保状态遍历
                                 scheItem.signCnameSy = $scope.getSignName(scheItem.elecSignFlagSy);
                                 scheItem.sendStatusSy = sendStatus[scheItem.statusSy];
                                 scheItem.signCname = $scope.getSignName(scheItem.elecSignFlag);//列表页面显示的状态

                             }

                             $scope.scheList.push(scheItem);
                             // $scope.scheList.push(scheData.result[i]);
                         }
                     } else {
                        if(scheData.result.length > 0){
                            for (var i = 0; i < scheData.result.length; i++) {
                                var scheItem = scheData.result[i];
                                //判断商业险和交强险的签名状态
                                if(scheItem.enableSigned){
                                    scheItem.signCnameJq = $scope.getSignName(scheItem.elecSignFlagJq);
                                    scheItem.sendStatusJq = sendStatus[scheItem.statusJq];//核保状态遍历
                                    scheItem.signCnameSy = $scope.getSignName(scheItem.elecSignFlagSy);
                                    scheItem.sendStatusSy = sendStatus[scheItem.statusSy];
                                    scheItem.signCname = $scope.getSignName(scheItem.elecSignFlag);//列表页面显示的状态elecSignFlag 0为签名1待签名2已签名3不显示
                                }
                                $scope.scheList.push(scheItem);
                                // $scope.scheList.push(scheData.result[i]);
                            }
                        }
                        $scope.scheList = scheData.result;
                     }
                     console.log($scope.scheList);
                     if (scheData.result.length < $scope.PAGE_LENGTH) {
                        $scope.carNoMorePage = true;
                     }
                     $scope.$broadcast('scroll.infiniteScrollComplete');
                  }
                  else {
                     $scope.carNoMorePage = true;
                     //查询失败时，增加默认提示信息
                     $U.showToast(scheData.errorMsg|| "找不到对应的数据");
                  }
               }
            });
         };





         handle.modyOder = function (scheItem) {
            var oderResult = [];
            //订单对象  --- > 主要为了注释
            var oderInfo = {
               APPLICANTNO: "", //投保单号
               AMOUNT: "", //合计保费
               APPLICANTNAME: "", //投保人姓名
               APP_TM: "", //投保日期
               INSRNC_BGN_TM: "", //保险起期
               //红包需求添加
               INSRNC_END_TM: "", //保险止期
               PROD_CODE: "",    //产品代码
               isRecharge: ""  //是否充值红包(处理git fetch
                // ---》走 旧支付平台，即使勾选了红包  也要去掉所有的充值标识)
            };
            if (scheItem.BIZ_FLAG) { //商业险订单
               var bizInfo = scheItem.POL_INFO.CVRG_BIZ;
               oderResult.push({
                  APPLICANTNO: bizInfo.PLY_APP_NO_BIZ,
                  AMOUNT: bizInfo.PREMIUM_BIZ,
                  INSRNC_BGN_TM: bizInfo.BEGAIN_BIZ,
                  INSRNC_END_TM: bizInfo.END_BIZ,
                  PROD_CODE: bizInfo.PRO_CODE_BIZ,
                  APPLICANTNAME: scheItem.APP_INFO.APP_NME,
                  APP_TM: scheItem.INS_BUY_DATE,
                  isRecharge: scheItem.SY_REDBAG_FLAG ? "1" : "0"
               });
            }
            if (scheItem.CPI_FLAG) { //交强险订单
               var zpiInfo = scheItem.POL_INFO.CVRG_CPI;
               oderResult.push({
                  APPLICANTNO: zpiInfo.PLY_APP_NO_CPI,
                  AMOUNT: zpiInfo.CPI_MIUM,
                  INSRNC_BGN_TM: zpiInfo.BEGAIN_CPI,
                  INSRNC_END_TM: zpiInfo.END_CPI,
                  PROD_CODE: zpiInfo.PRO_CODE_CPI,
                  APPLICANTNAME: scheItem.APP_INFO.APP_NME,
                  APP_TM: scheItem.INS_BUY_DATE,
                  isRecharge: scheItem.JQ_REDBAG_FLAG ? "1" : "0"
               });
            }
            return oderResult;
         };

         /******************摩托车**************************************/

         //1.查询页面
         handle.queryPageMoto = function (opts) {
            var _self = this;
            //1.进度查询集合对象
            $scope.scheList = [];
            //2.进度查询 单条详情
            $scope.scheItem = {};
            //1.查询数据
            _self.queryScheMoto(opts);

            //2.订单详情方法
            $scope.motoOderDetail = function (scheItem, index) {

               $state.go("tab.motoOdersDetail", {orderNo: scheItem.orderNo});
            };
         };

         //3.摩托车查询投保进度方法
         handle.queryScheMoto = function (opts) {
            var nowTime = new Date();
            var beginTime = nowTime.format("yyyy-MM-dd");
            var spaceDays = $scope.IS_NEW_HEXIN ? 3 : 7;//新核心投保进度查询查近3天
            var endTime = new Date(new Date().setDate(nowTime.getDate() - spaceDays)).format("yyyy-MM-dd");

            if($U.isNotEmpty(opts)) {
               beginTime = opts.startDate;
               endTime = opts.endDate;
            }

            var options = {
               ownerName: "",  //车主姓名
               applyPolicyNo: "", //投保单号
               startDate: endTime, //查询起期
               endDate: beginTime, //查询止期
               page: {
                  pageNum: 1,
                  pageSize: 50
               },
               insuredProduct: "1", // 0:机动车   1：摩托车
               salesmanCode: $U.sessionHandle.getSession("SLS_CDE"),
               companyCode: $U.getDeptCode()
            };

            options = angular.extend(options, opts);

            $handleService.motoHttp({
               url: $interFace.motoMainFace, //  "data/queryFile.json"
               headers: {
                  method: "applyPolicyOrderList"
               },
               data: options,
               success: function (scheData) {
                  $handleService.logger("object", scheData, "摩托车投保进度查询结果集---》");
                  if (scheData.resultCode == "0") {
                     if (scheData.result.length > 0) {
                        $scope.motoScheList = scheData.result;
                     } else {
                        //数据为空时增加增加提示
                        if($('[for-tab="#tab_moto_oder"]').hasClass("active")) {
                           $U.showToast("找不到对应的数据");
                        }
                     }
                     $rootScope.scheList =$scope.scheList;
                     //$scope.$broadcast('scroll.infiniteScrollComplete');
                  }
                  else {
                     //查询失败时，增加默认提示信息
                     $U.showToast(scheData.errorMsg);
                  }
               }
            });
         };

         handle.getPageData = function(options) {
            Handle.queryPage(options);
            if($rootScope.hasMotoFlag) {
               Handle.queryPageMoto(options);
            }
         }

         //补单
         handle.supplementApp = function(options) {
            $handleService.http({
               url: $interFace.mitMainFace,
               headers: {
                  method: "payFillRecordNewBusiness"
               },
               data: options,
               success: function (data) {
                     //var msg = "正在补单中，请点击确定查看保单号或2分钟后刷新页面查看！";
                     var msg = "";
                     if(data.success == "true") {
                        msg = "出单成功";

                     } else {
                        angular.forEach(data.resultList, function(item) {
                           msg += "<div>" + item.applicantNo + "" + item.errMsg + "</div>";
                        });
                     }

                     $handleService.showAlert('', msg, function() {
                        $scope.reloadView($rootScope.scheItem);
                     }, {okText: "确定"});

               }
            })
         }
         return handle;
      })(Handle || {});
      //----------------------------------------- end   Handle -----------------------------------------//

      //----------------------------------------- begin 共享方法 -----------------------------------------//

      //分级判断 根据不同页面来源 执行不同代码块
      switch ($stateParams.PAGE_CHANNAL) {
         case "LIST": //首页列表页面
            Handle.getPageData();
            $("#tab_car_oder").show();
            $("a[for-tab='#tab_car_oder']").addClass("active");
            break;
         case "LIST_REVOKE": //撤单跳转的页面
            Handle.getPageData();
            $("#tab_car_oder").show();
            $("a[for-tab='#tab_car_oder']").addClass("active");
            break;
         case "DETAILS":  //详情页面
            Handle.detailsPage();
            $("#tab_car_oder").show();
            $("a[for-tab='#tab_car_oder']").addClass("active");
            break;
         case "LISTMORE": //更多页面
            $scope.moreFlag = true;
            Handle.queryPage(store.searchData);
            $("#tab_car_oder").show();
            $("a[for-tab='#tab_car_oder']").addClass("active");
              break;
         case "LIST_MOTO": //首页列表页面
            Handle.getPageData();
            $("#tab_moto_oder").show();
            $("a[for-tab='#tab_moto_oder']").addClass("active");
            break;
         case "LIST_REVOKE_MOTO": //撤单跳转的页面
            Handle.getPageData();
            $("#tab_moto_oder").show();
            $("a[for-tab='#tab_moto_oder']").addClass("active");
            break;
         case "DETAILS_MOTO":  //详情页面

            break;
         case "LISTMORE_MOTO": //更多页面
            $scope.moreFlag = true;
            $("#tab_moto_oder").show();
            $("a[for-tab='#tab_moto_oder']").addClass("active");
            Handle.queryPageMoto(store.searchData);
            break;
      }

   //核保状态
      $scope.getStatus = function (status) {
        /* 1、待修改
         校验：0:初始状态;2:核保不通过;
         2、待核保
         校验：9:待核保;
         3、待支付
         校验：1:核保通过;3:自动核保;
         4、已完成
         校验：6:承保确认;
         */
            switch(status){
               case '0':
               case '2':
               case '4':
                  return '待修改';
               case '9':
                  return '待核保';
               case '1':
               case '3':
                  return '待支付';
               case '6':
                  return '已完成';
               default:
                  return '待处理';

            }
      }


      //获取报价单号，然后跳转到影像上传
      $scope.getCallAPPNO = function(item, ply_no) {
         var options = {
            //PLY_APP_NO: "6050101030220170000009",//$stateParams.PLY_APP_NO
            SYPLY_APP_NO: item.SYPLY_APP_NO || "",
            JQPLY_APP_NO: item.JQPLY_APP_NO || ""
         };
         var plyAppNo = "";

         if(item.SYPLY_APP_NO) {
            plyAppNo += item.SYPLY_APP_NO + ",";
         }
         if(item.JQPLY_APP_NO) {
            plyAppNo += item.JQPLY_APP_NO + ",";
         }

         plyAppNo = plyAppNo.replace(/[,]$/,'');

         $handleService.http({
            url: $interFace.mitMainFace,
            method: 'POST',
            headers: {
               method: 'queryImageId'
            },
            data: options,
            success: function (data) {
               if(data.resultCode == "0") {
                  $handleService.logger('object', data, "获取报价单号数据");
                  $rootScope.imageRevFlag = data.t.imageRevFlag;  //保存复核状态
                  //跳转到 图片上传页面
                  $state.go('tab.imagesUpload', {PLY_APP_NO: data.t.imageId, PLY_NO: ply_no, plyAppNo: plyAppNo,beforeSubmit:false});

               } else {
                  $handleService.showAlert('提示', data.errorMsg || $message.serverError);
               }
            },
            error: function (ex) {
               $handleService.logger('error', ex);
            }
         });
      };

       $scope.makeSure = function(a){
           switch(a){
               case 'a':
                   if(($scope.signPhone).indexOf('****') > -1){
                       $scope.getMsg($rootScope.dataItem,false);
                       $handleService.closeModule($scope.payAlert);
                   }else{
                       if(!/^([1][3-9][0-9]{9})$|^((\d){3}(\*){4}(\d){4})$/.test($scope.signPhone)){
                           $U.showToast('您的投保人手机号码输入有误！');
                           return false;
                       }
                       $scope.getMsg($rootScope.dataItem,false,a);
                       $handleService.closeModule($scope.payAlert);
                   }
                   break;
               case 'b':
                   $handleService.closeModule($scope.payAlert);
                   // $scope.getMsg($rootScope.dataItem,false)
                   break;
               case 'c':
                   $scope.getMsg($rootScope.dataItem,false);
                   break;
               case 'f':
                   $scope.signPhone = $("#signPhone").val();
                   console.log($scope.signPhone);
                   break;
               default:
                   $handleService.closeModule($scope.payAlert);
                   break;
           }

       };
       //短信验证码
       $scope.getMsg =  function(a,b,c){
          var signOption = {
              proposalNo: '', //投保单号
              relProposalNo: '', //关联投保单号
              applyNo:  '',  //缴费申请单号
              phone:  ($scope.signPhone).indexOf('****') > -1 ? a.applicantPhone:$scope.signPhone,   //接收短信电话(如不传默认为投保人电话，短信发给投保人)
              faceFlag: '1'
            };
            // 定义作用域 支付方法
           var options = {
               applyPolicyNo: '',	//投保单号	string	如果两个都保单用，隔开
               // orderNo: a.orderNo,  //订单号
               salesCode: $U.getSlsCode(),
               telVerifyCode: '', //短信验证码$scope.vm.telVerifyCode
               payMethod: "" //支付方式 在线支付标识07，移动pos09
           };//elecSignFlagJq  elecSignFlagSy
           if(a.elecSignFlagJq == '1' && a.elecSignFlagSy == '1' && a.sendStatusJq && a.sendStatusSy){
               signOption.proposalNo = a.applyPolicyNoSy;
               signOption.relProposalNo = a.applyPolicyNoJq;
               options.applyPolicyNo = a.applyPolicyNoSy;
               options.orderNo = a.orderNo;
           }else if(a.elecSignFlagJq == '1' && a.sendStatusJq){
               signOption.proposalNo = a.applyPolicyNoJq;
               options.applyPolicyNo = a.applyPolicyNoJq;
           }else if(a.elecSignFlagSy == '1' && a.sendStatusSy){
               signOption.proposalNo = a.applyPolicyNoSy;
               options.applyPolicyNo = a.applyPolicyNoSy;
           }
           // signOption.phone= '17722547279'; //测试用
           //定义作用域 支付方法
           options.success = function (data) {
               $handleService.uMengListen("pay");
               if(data.result){
                   signOption.applyNo = data.result;
                   $scope.signHttp(signOption,c);
               }

           };
           //开始调用支付
           $generalService.serverPay(options, b, 'pay');

       };
       //签名接口
       $scope.signHttp = function (opt,c) {
           $handleService.http({
               url: "/policyOrder/sendElecAppNo",
               method: "POST",
               data: opt,
               success: function (data) {
                   $handleService.logger("object", data, "电子投保签名查询详情---》");
                   if (data.resultCode == "0") {
                       $handleService.showAlert('温馨提示','短信已发送成功，请提醒投保人完成签名！',function(){
                           //请求成功签名状态改变 重新刷新页面
                           if(c=='a'){
                               Handle.getPageData();
                               $("#tab_car_oder").show();
                               $("a[for-tab='#tab_car_oder']").addClass("active");
                           }
                       });
                   } else {
                       //查询失败时，增加默认提示信息
                       $U.showToast(data.errorMsg);
                   }
               }
           });
       };
       $scope.signAlert = function (item,event,$index) {
          if(item.enableSigned == '1'){
              if(event.currentTarget.id == "signName"){
                  item.applicantPhone ? ($scope.signPhone = item.applicantPhone.slice(0,3) + "****"+ item.applicantPhone.slice(7,11)):'';
                  $rootScope.dataItem = item;
                  switch(item.signCname){
                      case '待签名':
                          // 弹出验证码输入框
                          $scope.payAlert = $handleService.showAlert("<div class='flexj'><div>是否发起电子投保</div></div>", "", null, {
                              cssClass: "pay-across-popup new-pop new-popup",
                              okType: "hidden-box",
                              templateUrl: "templates/common/send-msg.html",
                              scope: $scope
                          });
                          break;
                  }

              }else{
                  $scope.oderDetail(item,$index);
              }
          }
       };
      //签名方法
      $scope.signName = function (item,event) {
         var ply_no_biz = "";
         var ply_no_cpi = "";
         var jsFlag ;//签名类型 0 交商同保  1 交强  2 商业
            event.stopPropagation();
            ply_no_biz =item.applyPolicyNoSy;//商业险投保单号;
            ply_no_cpi =item.applyPolicyNoJq;//交强险投保单号;

            if(ply_no_biz&&ply_no_cpi){//交商同保
               if(item.elecSignFlagSy!='1'&&item.elecSignFlagJq!='1'){
                  jsFlag =0;
               }else if(item.elecSignFlagSy!='1'&&item.elecSignFlagJq=='1'){
                  jsFlag =2;
               }else if(item.elecSignFlagSy=='1'&&item.elecSignFlagJq!='1'){
                  jsFlag =1;
               }else if(item.elecSignFlagSy=='1'&&item.elecSignFlagJq=='1'){
                  return;
               }
            }else if(ply_no_biz&&!ply_no_cpi){
               if(item.elecSignFlagSy!='1'){
                  jsFlag =2;
               }else{
                  return;
               }
            }else if(!ply_no_biz&&ply_no_cpi){
               if(item.elecSignFlagJq!='1'){
                  jsFlag =1;
               }else{
                  return;
               }
            }

         var optionsign ={
            "bizAppNo": item.applyPolicyNoSy,
            "cpiAppNo": item.applyPolicyNoJq,
            "signType":jsFlag,
            "deptCode": $U.getDeptCode()
         };
         $handleService.logger('object', optionsign, "签名请求参数");
         $handleService.motoHttp({
            url: $interFace.SigNameUrl,
            method: 'POST',
            data: optionsign,
            success: function (data) {
               if(data.resultCode == "0") {
                  $handleService.logger('object', data, "获取分享数据");
                  var _options = {
                     title: data.content.shareTitle,
                     text: data.content.shareWxContent,
                     url: data.content.shareUrl,
                     imgUrl: data.content.shareImageUrl
                  };
                  if(ionic.Platform.isAndroid()) {
                     $handleService.sharingText({
                        text: data.content.shareContent
                     });
                  } else if(ionic.Platform.isIOS()) {
                     $handleService.sharePanle(_options);
                  }

               } else {
                  $handleService.showAlert('提示', data.errorMsg || $message.serverError);
               }
            },
            error: function (ex) {
               $handleService.logger('error', ex);
            }
         });



      };

      //补单
      $scope.supplementNo = function(item) {
         var appArr = [];
         var options;
         if(item.BIZ_FLAG || item.CPI_FLAG){
            if(item.BIZ_FLAG){ //商业险
               appArr.push(item.POL_INFO.CVRG_BIZ.PLY_APP_NO_BIZ);
            }

            if(item.CPI_FLAG) { //交强险
               appArr.push(item.POL_INFO.CVRG_CPI.PLY_APP_NO_CPI);
            }

            options = {
               applicantNo: appArr.join(","),
               salesmanCode: $handleService.sessionHandle.getSession("SLS_INFO").salesmanCode
            };

            Handle.supplementApp(options);
         }
         else {
            $U.showToast("请先选择您要操作的订单");
            return;
         }

      }

      //非车投保单查询对象
      $scope.NO_CAR_ODER = {
         queryType: 'All',
         allNo: '',
         policyNo: '', //保单号
         appName: '', //投保人
         insrntName: '', //被保人
         policyAppNo: '',//投保单
         beginDate: nows, //开始时间
         endDate: now //结束时间
      };
      //查看核保意见
      $scope.lookOption = function (item, where) {
         if (where == "CPI") {
            var strCpi = item.POL_INFO.CVRG_CPI.UNDR_MRK_CPI;
            if (strCpi.length == 1) {
               $handleService.showAlert('核保意见', "无", function () {
               });
            }
            else {
               $handleService.showAlert('核保意见', strCpi, function () {
               });
            }
         }
         if (where == "BIZ") {
            var strBiz = item.POL_INFO.CVRG_BIZ.UNDR_MRK_BIZ;
            if (strBiz.length == 1) {
               $handleService.showAlert('核保意见', "无", function () {
               });
            }
            else {
               $handleService.showAlert('核保意见', strBiz, function () {
               });
            }
         }
      };

      //支付方法
      /**
       * 支付逻辑:
       * 1.判断是否勾选了订单
       * 2.勾选了一单后 判断红包
       *   a.交商同保 -》只勾选了 一单支付 无法使用红包
       *   b.交商同保 -》同时勾选支付  可以使用红包
       *   c.交商同保 -》同时勾选支付  只勾选了一单红包 无法使用红包
       *   d.单交强OR单商业 -》勾选红包 即可用，否则 不可用红包
       **/

      //调用支付
      $scope.payOders = function (scheItem, isLocation) {
         //关闭模式框
         // $handleService.closeModule($scope.alertPopup);
         //交商同保  分开支付表示
         var sepFlag = false;
         //获取用户登录信息
         var selsInfo = $U.sessionHandle.getSession("SLS_INFO");
         //请求参数 数据结构
         var options = {
            //红包需求添加
            APP_NME: scheItem.APP_INFO.APP_NME, //投保人姓名
            LCN_NO: scheItem.LCN_NO || "*-*", //车牌
            INSRNT_CNM: scheItem.BIZ_INFO.BIZ_CNM, // 被保人姓名
            salesmanCode: $U.sessionHandle.getSession("SLS_INFO").salesmanCode || "", //域账号
            phone: selsInfo.phone,//业务员手机号
            userId: selsInfo.userId,//会员ID
            SLS_CDE: selsInfo.employCode, //业务员ID
            isRedBag: "",//是否使用红包 0 否 1 是
            cJsFlag: "",//是否交商同保 车险必传【1：交商同保、0：非交商同保】
            APPLICANT_MOBILE:scheItem.APP_INFO.APP_TEL, //支付传入投保人手机号  新增
            TEL_VERIFY_CODE: scheItem.TEL_VERIFY_CODE,//北京短信验证码 石梦星
            APP_INFO: []  // //订单列表
         };

         options.success = function (data) {
            $handleService.uMengListen("pay");
            if (!isLocation) {
               $handleService.closeModule($scope.alertPopup);
               $handleService.showAlert("支付申请号", "<div class='text-center'>"+data.BASE.PAY_APP_NO+"</div>"+"<div class='text-center'><img  src='" + $interFace.ZFQRCODE+data.BASE.PAY_APP_NO + "'/></div>"+"<div class='text-center'>使用快钱智能POS 扫一扫</div>");
            }
         };

         //开始判断处理订单信息
         //----->未勾选的情况下
         if (!scheItem.BIZ_FLAG && !scheItem.CPI_FLAG) {
            $U.showToast("请先选择您要支付的订单");
            return;
         }
         //1.交商同保
         if (scheItem.IS_BUY_BIZ == "1" && scheItem.IS_BUY_CPI == "1") {
            options.cJsFlag = "1";
            //1.1.分开支付的时候 --> 红包不可用
            if ((scheItem.BIZ_FLAG && !scheItem.CPI_FLAG) || (!scheItem.BIZ_FLAG && scheItem.CPI_FLAG)) {
               sepFlag = true;
               options.isRedBag = "0";
               $handleService.logger('info', '支付单为交商同保 分开支付--》不使用红包');
            }
            //1.2.合并支付的时候 -->全部勾选红包 红包可用 -->否则 不可用
            if (scheItem.BIZ_FLAG && scheItem.CPI_FLAG) {
               if (scheItem.SY_REDBAG_FLAG && scheItem.JQ_REDBAG_FLAG) {
                  options.isRedBag = "1";
                  $handleService.logger('info', '支付单为交商同保 合并支付--》同时勾选红包--》使用红包');
               }
               else {
                  options.isRedBag = "0";
                  $handleService.logger('info', '支付单为交商同保 合并支付--》未勾选或只勾选一单红包--》不使用红包');
               }
            }
         }
         //2.单保交强或者商业 --> 勾选红包 红包可用 -->未勾选 红包不可用
         else {
            options.cJsFlag = "0";
            if (scheItem.IS_BUY_BIZ == "1") {  //单商业
               if (scheItem.SY_REDBAG_FLAG) { //勾选了红包
                  options.isRedBag = "1";
                  $handleService.logger('info', '支付单为单商业--》勾选了红包--》使用红包');
               }
               else {
                  options.isRedBag = "0";
                  $handleService.logger('info', '支付单为单商业--》未勾选红包--》不使用红包');
               }
            }
            if (scheItem.IS_BUY_CPI == "1") {  //单交强
               if (scheItem.JQ_REDBAG_FLAG) { //勾选了红包
                  options.isRedBag = "1";
                  $handleService.logger('info', '支付单为单交强--》勾选了红包--》使用红包');
               }
               else {
                  options.isRedBag = "0";
                  $handleService.logger('info', '支付单为单商业--》未勾选红包--》不使用红包');
               }
            }
         }
         //3.获取 订单信息
         var oderList = Handle.modyOder(scheItem);
         if (oderList.length > 0) {
            //3.1如果 红包逻辑 得到不支持红包 则所有的不充值红包
            if (options.isRedBag == "0") {
               angular.forEach(oderList, function (oder) {
                  oder.isRecharge = "0";
               });
            }
            //3.2 如果 是POS 支付 所有不用红包
            if (!isLocation) {
               options.isRedBag = "0";
               angular.forEach(oderList, function (oder) {
                  oder.isRecharge = "0";
               });
            }
            //3.3 如果 是在线支付 isRedBag = "1"
            else{
               options.isRedBag = "1";
            }
         }
         options.APP_INFO = oderList;

         //判断交商同保 是否分开支付
         if (sepFlag) {
            $handleService.showConfirm({
               template: "您投保的交强险和商业险需同时一起勾选后提交支付，才能使用积分抵扣保费，不能分开支付。",
               sure: function () {
                  $generalService.bragPay(options, isLocation);
               },
               cancle: function () {
                  return;
               }
            });
         }
         else {
            $generalService.bragPay(options, isLocation);
         }
      };
      //支付方式弹出框 ---》返回首页方法
      $scope.returnMixIndex = function () {
         $handleService.closeModule($scope.alertPopup);
          // //判断新首页可见性
          // if($rootScope.isNewHome){
          //     $state.go("tab.mitNewIndex");
          // }else{
          //     $state.go("tab.mitIndex");
          // }
          $state.go("tab.mitNewIndex");
      };

      //投保进度查询翻页
      $scope.loadMore = function () {
         $scope.currentPage ++;
         Handle.querySche();
      };

      //begin------------------------------------- 非车-》投保进度查询 -------------------------------------//
      $scope.otherOderQHandle = function () {
         if ($scope.NO_CAR_ODER.queryType == 'All') {
            $scope.NO_CAR_ODER.policyAppNo = $scope.NO_CAR_ODER.allNo;
            $scope.NO_CAR_ODER.policyNo = $scope.NO_CAR_ODER.allNo;
         }
         //1.拼接链接参数
         var url = $interFace.policyQuery +
            '&salesCode=' + $U.getSlsCode() //工号
            +
            '&policyNo=' + $scope.NO_CAR_ODER.policyNo //保单号
            +
            '&appName=' + $scope.NO_CAR_ODER.appName //投保人姓名
            +
            '&insrntName=' + $scope.NO_CAR_ODER.insrntName //被保险人姓名
            +
            '&beginDate=' + $scope.NO_CAR_ODER.beginDate //开始时间
            +
            '&endDate=' + $scope.NO_CAR_ODER.endDate //结束时间
            +
            '&policyAppNo=' + $scope.NO_CAR_ODER.policyAppNo //投保单号
            +
            '&queryType=' + $scope.NO_CAR_ODER.queryType; //查询类型

         // console.log(url);
         //2.当参数传递到子页面

         // $state.go('tab.otherCPage', {TYPE: 'NO_CAR_ODER', URL: url});
         $handleService.openUrl(url);
      };
      $scope.getSignName = function(a){
          var signName = '';
          switch(a){
              // elecSignFlagSy elecSignFlagJq 0未签名1待签名2已签名3已失效 未签名
              //列表页面显示的状态elecSignFlag 0为签名1待签名2已签名3不显示
              case '0':signName = '未签名'; break;
              case '1': signName = '待签名'; break;
              case '2': signName = '已签名'; break;
              case '3': signName =''; break;
          }
          return signName;
      };

      //跳转到精确查找
      $scope.searchOderList = function(type) {
         if(type == "moto") {
            $state.go('tab.oderSetbacks',{checkdata: "moto"});
         } else {
            $state.go('tab.oderSetbacks',{checkdata: "car"});
         }
      }
      //end  ------------------------------------- 非车-》投保进度查询 -------------------------------------//

      //----------------------------------------- end   共享方法 -----------------------------------------//
   });
   return app;
});
