define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives','filters/app.filters' ,'services/app.store'], function () {
    'use strict';
    var app = angular.module('app.orderDetail-A.controller', ['app.handle.service', 'app.directives','app.filters', 'app.general.service','ionic']);
    //投保查询控制器
    app.controller('orderDetail-A', function ($generalService, $ionicPopup, $scope, $rootScope, $state, $stateParams, $handleService, $interFace,$location, store, $timeout, $ionicScrollDelegate) {
        $scope.policyData = {};
        $rootScope.showPolicy = true;
        $scope.deliveryStatusList = [];
        $scope.vm = {};
        $scope.printPolicy = {  // 申请保单打相关参数
            syChecked: false,
            jqChecked: false,
            showCheckbox: false,
            showPrintStatus: false,
        };
        
        /*  ---  dev-page状态start  ---  */
        $rootScope.status = ($rootScope.status || {//配送状态
            '0': '待配送',
            '1': '待揽件',
            '2': '已揽件',
            '3': '运输中',
            '301': '运输中',
            '302': '派件中',
            '311': '待取件',
            '4': '已签收',
            '5': '配送异常',
            '6': '未知'
        });
        /*  ---  dev-page状态end  ---  */
        

        $scope.hasElecCompanyPolicy = $rootScope.switchBean.elecCompanySwitch;

        var noDeductible = {  //不计免赔险种信息
            "030101": "车损",
            "030102": "三者",
            "030103": "盗抢",
            "030104": "司机",
            "030105": "乘客",
            "030108": "自燃",
            "030110": "划痕",
            "030111": "涉水",
            "030114": "精抚"
        };

        var Handle = (function (handle) {
            handle.initPage = function() {
                Handle.getPolicyInfo();
                Handle.setPageFocus();// dev-page
            };
            //0813跳投保详情定焦dev-page
            handle.setPageFocus = function () {
                // dev-page 定焦start
                if (!$rootScope.fromState || $rootScope.fromState !== 'policySearch') {
                    $timeout(function () {
                        var location = $location.url();
                        $location.hash('foc');
                        $location.replace();
                        $ionicScrollDelegate.$getByHandle('mainScroll').anchorScroll(true);
                        $timeout(function () {
                            $location.url(location);
                            $location.replace();
                        }, 300)
                    }, 500)
                    $rootScope.fromState = '';
                }
                // dev-page 定焦end
            }

            //获取保单信息
            handle.getPolicyInfo = function() {
                $handleService.http({
                    url: "/policyOrder/orderDetail",
                    data: {
                        deptCode: $U.getDeptCode(), // dev-page
                        orderNo: $stateParams.orderNo
                    },
                    success: function (data) {
                        $handleService.logger('object', data, '查询保单详情');
                        if(data.resultCode == "0") { 
                            /*  ---  dev-page 获取配送信息start  ---  */
                            if($U.isNotEmpty(data.result.deptList)){
                                var deptNameList = [], slManList = [];
                                angular.forEach(data.result.deptList,function(item){
                                    deptNameList.push(item.deptName);
                                    slManList.push(item.salesmanName + '：' + (item.phone||' '));
                                })
                                $rootScope.subDeptNameStr = deptNameList.join('，');
                                $rootScope.subSlManStr = slManList.join('，');
                                $rootScope.subSlName = slManList.join('，').split('：')[0];
                                $rootScope.subSlPhone = slManList.join('，').split('：')[1];
                            }
                            /*  ---  dev-page 获取配送信息end  ---  */

                            $scope.policyData = data.result;
                            Handle.getDelivery();
                            angular.forEach(data.result.riskList, function(item) {
                                if(item.riskCode == "0301") {
                                    $scope.policyData.policyJq = item;
                                    if(item.policyNoPrintState){
                                        angular.extend(item,{printStatus:item.policyNoPrintState})
                                        $scope.printStateJqNew = Handle.mergePrintStatus(item);
                                    }
                                } else if(item.riskCode == "0302") {
                                    if(item.policyNoPrintState){
                                        $scope.policyData.policySy = item;
                                        angular.extend(item,{printStatus:item.policyNoPrintState})
                                        $scope.printStateSyNew = Handle.mergePrintStatus(item);
                                    }
                                }
                            });
                            if($scope.policyData.policySy) {
                                Handle.handleData();
                            }
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                })
            }
            handle.handleData = function() {
                $scope.syRiskList = [];
                var noArr = [];
                //商业险明细
                angular.forEach($scope.policyData.policySy.coverageList, function (cvrTem) {
                    var _cvrName = $rootScope.BASE_BEAN.INS_CN_NAME[cvrTem.kindCode],
                        _cvrAmt = cvrTem.sumInsured;//$handleService.getQuota($rootScope.BASE_BEAN, cvrTem.AMT);

                    if(cvrTem.relatedInd == "1" && noDeductible[cvrTem.kindCode]) { //不计免赔险种
                        noArr.push(noDeductible[cvrTem.kindCode]);
                    }

                    // if (_cvrName) {
                    //     $scope.syRiskList.push({
                    //         kindCode: cvrTem.kindCode,
                    //         sumInsured: _cvrAmt? "￥" + _cvrAmt : "",
                    //         grossPremium: cvrTem.grossPremium,
                    //         name: _cvrName,
                    //         rate: cvrTem.rate,
                    //         quantity: cvrTem.quantity,
                    //         valueType: cvrTem.valueType,
                    //         unitInsured: cvrTem.unitInsured||'0'
                    //     });
                    // }
                    if (_cvrName) {
                        if(cvrTem.kindCode=='030201'){
                            $scope.syRiskList.push({
                                kindCode: cvrTem.kindCode,
                                sumInsured: _cvrAmt? "￥" + _cvrAmt : "",
                                grossPremium: cvrTem.grossPremium,
                                name: _cvrName,
                                rate: cvrTem.rate,
                                quantity: cvrTem.quantity,
                                valueType: cvrTem.valueType,
                                unitInsured: cvrTem.unitInsured||'0'
                            });

                            angular.forEach($scope.dataSY.coverageList, function (cvrTem2) {
                                if (cvrTem2.kindCode == '021') {
                                    $scope.syRiskList.pop();
                                    $scope.syRiskList.push({
                                        kindCode: cvrTem.kindCode,
                                        sumInsured: _cvrAmt? "￥" + _cvrAmt : "",
                                        // grossPremium: $U.accAdd(cvrTem.grossPremium,cvrTem2.grossPremium||'0'),
                                        grossPremium: cvrTem.grossPremium,
                                        name: _cvrName,
                                        rate: cvrTem.rate,
                                        quantity: cvrTem.quantity,
                                        valueType: cvrTem.valueType,
                                        unitInsured: cvrTem.unitInsured||'0'
                                    });

                                    $scope.syRiskList.push({
                                        kindCode: cvrTem2.kindCode,
                                        sumInsured: cvrTem2.rate+"%",
                                        grossPremium: cvrTem2.grossPremium,
                                        name: '免赔率',
                                        rate: cvrTem2.rate,
                                        quantity: cvrTem2.quantity,
                                        valueType: cvrTem2.valueType,
                                        unitInsured: cvrTem2.unitInsured||'0'
                                    });
                                }
                            })

                        }else{
                            $scope.syRiskList.push({
                                kindCode: cvrTem.kindCode,
                                sumInsured: _cvrAmt ? "￥" + _cvrAmt : "",
                                grossPremium: cvrTem.grossPremium,
                                name: _cvrName,
                                rate: cvrTem.rate,
                                quantity: cvrTem.quantity,
                                valueType: cvrTem.valueType,
                                unitInsured: cvrTem.unitInsured || '0'
                            });
                        }

                    }
                });

                var glassObj = {
                    "1": "国产玻璃",
                    "2": "进口玻璃"
                }
                angular.forEach($scope.syRiskList, function(item) { //处理特殊险种
                    if(item.kindCode == "030119") { //不计免赔
                        item.sumInsured = noArr.join("/");
                    }

                    if(item.kindCode == "030116") { //指定修理厂
                        item.sumInsured = (Number(item.rate||0) * 10) + "‰";
                    }

                    if(item.kindCode == "030112") { //修理期间补偿险
                        item.sumInsured = item.sumInsured + " * " + item.quantity + "天";
                    }

                    if(item.kindCode == "030107") { //玻璃险  1国产 2进口
                        item.sumInsured = (glassObj[item.valueType] || "");
                    }

                    if(item.kindCode == "030105") {
                        item.sumInsured = "￥" + item.unitInsured + " * " + item.quantity + "座";
                    }

                });
            }
            // 为每个保单匹配申请打印时间
            handle.matchPrintTime = function(policyItem){ // policyNoSy  policyNoJq
                var time = '';
                angular.forEach($rootScope.applyPrintTimeList, function(item){
                    if(item.policyNo == policyItem.policyNo){
                        time = item.printTime;
                    }
                });
                angular.extend(policyItem,{printTime:time});
            }
            // 现在日期 参数日期  48小时以前: 0  48小时以内: 1
            // handle.judge48Hours = function(timestr){
            //     var newDate = new Date(timestr.replace(/[-]/g, '/'));
            //     var nowDate = new Date();
            //     var dif = nowDate.getTime() - newDate.getTime();
            //     if( dif > 48*60*60*1000){
            //         return '0';
            //     }else{
            //         return '1';
            //     }
            // }
            // 整合打印状态
            handle.mergePrintStatus = function(policyItem){
                var status = '';
                if(policyItem.printStatus == '0'){// 待打印
                    status = '2';
                }else if(policyItem.printStatus == '1'){// 已打印
                    status = '1';
                }else if(policyItem.printStatus == '2'){// 打印中
                    status = '4';
                    // if(policyItem.printTime){
                    //     if(Handle.judge48Hours(policyItem.printTime) == '0' ){ // 超过48小时
                    //         status = '3';
                    //     }else if(Handle.judge48Hours(policyItem.printTime) == '1' ){// 48小时以内
                    //         status = '4';
                    //     }
                    // }else{
                    //     status = '4';
                    // }
                }else if(policyItem.printStatus == '3'){//打印失败
                    status = '3';
                }else if(!policyItem.printStatus){// 不显示
                    status = '5';
                }
                return status;
            }

            handle.getDelivery = function() {//获取打印、配送状态

                $handleService.http({
                    url: "/policyDelivery/queryDeliveryInfo?orderNo="+$stateParams.orderNo,
                    method: 'GET',
                    success: function (data) {
                        if(data.resultCode == "0") {
                            angular.forEach(data.result,function(item) {
                                if($rootScope.applyPrintTimeList){//从列表过来
                                    Handle.matchPrintTime(item);
                                    //获取打印状态
                                    if(item.policyNo && $scope.policyData.policyJq && item.policyNo == $scope.policyData.policyJq.policyNo){
                                        $scope.printStateJqNew ? '' : $scope.printStateJqNew = Handle.mergePrintStatus(item);
                                    }else if(item.policyNo && $scope.policyData.policySy && item.policyNo == $scope.policyData.policySy.policyNo){
                                        $scope.printStateSyNew ? '' : $scope.printStateSyNew = Handle.mergePrintStatus(item);
                                    }
                                }
                                //直接取首个数字状态
                                item.deliveryStatus.substring(0,1) == '4' ? item.deliveryStatus = '4' : '';
                                item.deliveryStatus.substring(0,1) == '5' ? item.deliveryStatus = '5' : '';
                                $scope.deliveryStatusList.push(item)
                            });
                            if($scope.deliveryStatusList.length==2){
                                angular.forEach(data.result,function(data) {//返回两条数据,判断交强、商业险
                                    if($rootScope.policyDeliveryData && $rootScope.policyDeliveryData.policyNoJq){
                                        if(data.policyNo == $rootScope.policyDeliveryData.policyNoJq){
                                            $rootScope.policyDeliveryData.policyNoJq = data.policyNo;
                                            $rootScope.policyDeliveryData.deliveryStatusJq = data.deliveryStatus;
                                        }else{
                                            $rootScope.policyDeliveryData.policyNoSy = data.policyNo;
                                            $rootScope.policyDeliveryData.deliveryStatusSy = data.deliveryStatus;
                                        }
                                    }else if($rootScope.policyDeliveryData && $rootScope.policyDeliveryData.policyNoSy){
                                        if(data.policyNo == $rootScope.policyDeliveryData.policyNoSy){
                                            $rootScope.policyDeliveryData.policyNoSy = data.policyNo;
                                            $rootScope.policyDeliveryData.deliveryStatusSy = data.deliveryStatus;
                                        }else{
                                            $rootScope.policyDeliveryData.policyNoJq = data.policyNo;
                                            $rootScope.policyDeliveryData.deliveryStatusJq = data.deliveryStatus;
                                        }
                                    }
                                });
                                if($scope.deliveryStatusList[0].logisticCode==$scope.deliveryStatusList[1].logisticCode && $scope.deliveryStatusList[0].deliveryStatus==$scope.deliveryStatusList[1].deliveryStatus){
                                    $rootScope.showPolicy = false;
                                    $scope.deliveryStatusList.splice(0,1)
                                }
                            }
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                })

            }
            return handle;
        })(Handle || {});

        Handle.initPage();

        $scope.goToNext = function(code,name,shipperCode,policyNo){
            var data = '';
            if(policyNo == $rootScope.policyDeliveryData.policyNoJq && $rootScope.showPolicy){
                data='jq';
                $rootScope.policyNo = $rootScope.policyDeliveryData.policyNoJq
            }
            if(policyNo == $rootScope.policyDeliveryData.policyNoSy && $rootScope.showPolicy){
                data='sy';
                $rootScope.policyNo = $rootScope.policyDeliveryData.policyNoSy
            }
            if(!$rootScope.showPolicy){
                data='';
                $rootScope.policyNo = $rootScope.policyDeliveryData.policyNoJq
            }
            $rootScope.isSucc = '1';
            $rootScope.type = data;
            $rootScope.logisticCode = code;
            $rootScope.shipperName = name;
            $rootScope.shipperCode = shipperCode
            $state.go("tab.policyDeliverySuccess")
        };
        //查看电子保单图片
        $scope.gotoElecImage = function(data, type) {
            if(data.electronicInd == '1' && data.electronicPolicyFlag != '1'){ //电子保单自建转共建28号前提示管控
                var flag = new Date($scope.policyData.base.issueDate.split('-').join('/')) <　new Date('2019/04/11 20:01:00')
                if(flag && ($U.getDeptCodeNewFunc('0107') || $U.getDeptCodeNewFunc('0117') || $U.getDeptCodeNewFunc('0118') || $U.getDeptCodeNewFunc('0122') || $U.getDeptCodeNewFunc('0130') || $U.getDeptCodeNewFunc('0101'))){
                    $handleService.showAlert("温馨提示",'您可登录华安保险官方网站：https://www.sinosafe.com.cn:18080/elec/ele/search.do?actionType=searchElecSys   自助进行查询、下载及验真。',function(){
                        return false;
                    });
                }else{
                    $scope.pdf(data, type);
                }
            }else{
                $scope.pdf(data, type);
            }
            //$rootScope.policyData = $scope.policyData;
            //$state.go("tab.policyElecDetail", {policyNo: data.policyNo,type: type});
        };
        $scope.pdf = function(data, type){
            $handleService.openUrl($interFace.webUrl + data.policyNo,{
                type: "_system",
                title: {
                    color: '#ffffff',
                    align: "center",
                    showPageTitle: true,
                    staticText: "保单详情"
                },
                backCallBack:function (browser, closeFlag) {
                    console.log(browser)
                    if(closeFlag) {
                        browser.close();
                    }

                }
            });
        }
    });
    return app;
});