define([
       'services/app.service',
       'services/app.general.service',
       'directives/app.directives',
       'filters/app.filters',
       'services/app.car.beans',
       'modalSelect'],
    function () {
       'use strict';
       var app = angular.module('app.guaSelect.controller', [
          'app.handle.service',
          'app.general.service',
          'app.directives',
          'app.filters',
          'app.car.beans',
          'ionic-modal-select'
       ]);
       //表单控制器
       app.controller('owConfirmController', function ($scope,$timeout, $rootScope, $interval, $http, $q, $location, $state, $ionicHistory,$handleService, $generalService, $interFace, $message, $carBeansService,$ionicScrollDelegate) {
            //0910不中断流程
            $scope.proposalNo = [];
            $scope.orderNo = '';//订单号
            $scope.hasConfirm = false;
           //所属性质  false-个人  true-机关团体
           $scope.isCarMass = $rootScope.carBeans.base.busiAttrConfig.attachNatures=='02' || $rootScope.carBeans.base.busiAttrConfig.attachNatures=='03';
           $scope.vm={// 自核通过的支付之前需要弹出验证码
               telVerifyCode: ''
           };
           $scope.isReCal = false;//提核报价的时候，监听价格跟之前是否发生变化，
           $timeout(function(){
               //dom ready再jQuery操作
               //邮箱初始化插件
               $(".inputMailList").mailAutoComplete();
               $rootScope.carBeans.applicant.email?$('#appMail').val($rootScope.carBeans.applicant.email):'';
               $rootScope.carBeans.insured.email?$('#insuredMail').val($rootScope.carBeans.insured.email):'';
               $rootScope.carBeans.beneficiary.email?$('#appBenifitMail').val($rootScope.carBeans.beneficiary.email):'';
               $rootScope.carBeans.applicant.contactEmail?$('#contactEmail').val($rootScope.carBeans.applicant.contactEmail):'';
           });
            if($rootScope.switchBean.driLicenseSwitch){//河北机构清空车主地址避免投/被保人同步到车主地址
                $rootScope.ownerAddress = $rootScope.carBeans.owner.address;
                $rootScope.carBeans.owner.address = '';
            }
           //保存投保单号
           $rootScope.orderVm = {};
           $rootScope.beneficiaryFlag?'':$rootScope.beneficiaryBtn = false;   //受益人默认收起

           $scope.idCardLength1 = "";
           $scope.idCardLength2 = "";
            // 国家列表
           $scope.applicantCountry = []; // 投保人国家
           $scope.insuredCountry = []; // 被保人国家
           $scope.appBenifitCountry = []; // 被保人国家

           $scope.applicantWork=[]; //投保人职业
           $scope.insuredWork=[];  //被保人职业
           $scope.appBenifitWork=[];//受益人职业

           $scope.applicantBusiness=[]; //投保人行业
           $scope.insuredBusiness=[];  //被保人行业
           $scope.beneficiaryBusiness=[];  //受益人行业

           //提核前置规则
           $scope.qzTips=false;

           /*证件有效期  相关代码  ---------------------开始*/
           $scope.expiry = {
               applicant: false,  // 投保人
               insured: false,    //被保人
               benifitApp:false  //受益人
           };
           $scope.maxLength = function (a,b) {
               if(b == 1){
                   //投保人证件
                   switch (a) {
                       case '01':$scope.idCardLength1 = '18'; break;//身份证
                       case '02':$scope.idCardLength1 = '20'; break;//护照
                       case '03':$scope.idCardLength1 = '20'; break;//军人证
                       case '04':$scope.idCardLength1 = '20'; break;//学生证
                       case '05':$scope.idCardLength1 = '20'; break;//台胞证
                       case '06':$scope.idCardLength1 = '20'; break;//港澳返乡证
                       case '07':$scope.idCardLength1 = '20'; break;//出生证
                       case '09':$scope.idCardLength1 = '18'; break;//统一社会信用代码
                       case '10':$scope.idCardLength1 = '18'; break;//组织机构代码
                       case '11':$scope.idCardLength1 = '10'; break;//工商注册号
                       case '12':$scope.idCardLength1 = '10'; break;//税务登记证号
                       case '13':$scope.idCardLength1 = '20'; break;//纳税人识别号
                       case '15':$scope.idCardLength1 = '18'; break;//港澳台居民居住证
                       case '99':$scope.idCardLength1 = '20'; break;//其他
                       default:$scope.idCardLength1 = ''; break;
                   }
               }else if(b == 2){
                   //被保人证件
                   switch (a) {
                       case '01':$scope.idCardLength2 = '18'; break;//身份证
                       case '02':$scope.idCardLength2 = '20'; break;//护照
                       case '03':$scope.idCardLength2 = '20'; break;//军人证
                       case '04':$scope.idCardLength2 = '20'; break;//学生证
                       case '05':$scope.idCardLength2 = '20'; break;//台胞证
                       case '06':$scope.idCardLength2 = '20'; break;//港澳返乡证
                       case '07':$scope.idCardLength2 = '20'; break;//出生证
                       case '09':$scope.idCardLength2 = '18'; break;//统一社会信用代码
                       case '10':$scope.idCardLength2 = '18'; break;//组织机构代码
                       case '11':$scope.idCardLength2 = '10'; break;//工商注册号
                       case '12':$scope.idCardLength2 = '10'; break;//税务登记证号
                       case '13':$scope.idCardLength2 = '20'; break;//纳税人识别号
                       case '15':$scope.idCardLength2 = '18'; break;//港澳台居民居住证
                       case '99':$scope.idCardLength2 = '20'; break;//其他
                       default:$scope.idCardLength2 = ''; break;
                   }
               }else if(b == 3){
                   //受益人证件
                   switch (a) {
                       case '01':$scope.idCardLength3 = '18'; break;//身份证
                       case '02':$scope.idCardLength3 = '20'; break;//护照
                       case '03':$scope.idCardLength3 = '20'; break;//军人证
                       case '04':$scope.idCardLength3 = '20'; break;//学生证
                       case '05':$scope.idCardLength3 = '20'; break;//台胞证
                       case '06':$scope.idCardLength3 = '20'; break;//港澳返乡证
                       case '07':$scope.idCardLength3 = '20'; break;//出生证
                       case '09':$scope.idCardLength3 = '18'; break;//统一社会信用代码
                       case '10':$scope.idCardLength3 = '18'; break;//组织机构代码
                       case '11':$scope.idCardLength3 = '10'; break;//工商注册号
                       case '12':$scope.idCardLength3 = '10'; break;//税务登记证号
                       case '13':$scope.idCardLength3 = '20'; break;//纳税人识别号
                       case '15':$scope.idCardLength3 = '18'; break;//港澳台居民居住证
                       case '99':$scope.idCardLength3 = '20'; break;//其他
                       default:$scope.idCardLength3 = ''; break;
                   }
               }

           };

           //默认赋是否长期有效
           if($rootScope.carBeans.applicant.identifyExpiry == '9999-12-31'){
               $rootScope.carBeans.applicant.identifyLongValid = '1';
               $scope.expiry.applicant=true;
           }else{
               $rootScope.carBeans.applicant.identifyLongValid = '0';
               $scope.expiry.applicant=false;
           }
           //默认赋是否长期有效
           if($rootScope.carBeans.insured.identifyExpiry == '9999-12-31'){
               $rootScope.carBeans.insured.identifyLongValid = '1';
               $scope.expiry.insured=true;
           }else{
               $rootScope.carBeans.insured.identifyLongValid = '0';
               $scope.expiry.insured=false;
           }

           //默认赋是否长期有效
           if($rootScope.carBeans.beneficiary.identifyExpiry == '9999-12-31'){
               $rootScope.carBeans.beneficiary.identifyLongValid = '1';
               $scope.expiry.benifitApp=true;
           }else{
               $rootScope.carBeans.beneficiary.identifyLongValid = '0';
               $scope.expiry.benifitApp=false;
           }
           //保费总价
           var calTotalPrice = {
               syTotalPremium : Number($rootScope.getCalPremiumResult.calPremiumResult.syTotalPremium) || 0,
               jqTotalPremium:Number($rootScope.getCalPremiumResult.calPremiumResult.jqTotalPremium) || 0,
               nocarTotalPremium:Number($rootScope.getCalPremiumResult.nocarPremiumResult) || 0,
               vhlTaxPremium:$rootScope.getCalPremiumResult.calPremiumResult.vhlTax.sumPayTax?Number($rootScope.getCalPremiumResult.calPremiumResult.vhlTax.sumPayTax): 0,
           };
           // console.log($rootScope.getCalPremiumResult,'$rootScope.getCalPremiumResult')
           // console.log(calTotalPrice,'calTotalPrice')
           // console.log(calTotalPrice.syTotalPremium+'syTotalPremium',calTotalPrice.jqTotalPremium+'jqTotalPremium',calTotalPrice.nocarTotalPremium+'nocarTotalPremium',calTotalPrice.vhlTaxPremium+'vhlTaxPremium')
           $scope.totalCalPremiumResult = calTotalPrice.syTotalPremium+calTotalPrice.jqTotalPremium+calTotalPrice.nocarTotalPremium+calTotalPrice.vhlTaxPremium;
           $scope.totalCalPremiumResult = $scope.totalCalPremiumResult.toFixed(2);
           $scope.$watch('expiry.applicant',function(val){
               if(val){
                   $rootScope.carBeans.applicant.identifyExpiry = '9999-12-31';
                   $rootScope.carBeans.applicant.identifyLongValid = '1';
               }else{
                   $rootScope.carBeans.applicant.identifyLongValid = '0';
               }
           });
           $scope.$watch('expiry.insured',function(val){
               if(val){
                   $rootScope.carBeans.insured.identifyExpiry = '9999-12-31';
                   $rootScope.carBeans.insured.identifyLongValid = '1';
               }else{
                   $rootScope.carBeans.insured.identifyLongValid = '0';
               }
           });
           $scope.$watch('expiry.benifitApp',function(val){
               if(val){
                   $rootScope.carBeans.beneficiary.identifyExpiry = '9999-12-31';
                   $rootScope.carBeans.beneficiary.identifyLongValid = '1';
               }else{
                   $rootScope.carBeans.beneficiary.identifyLongValid = '0';
               }
           });
           /*证件有效期  相关代码  -----------------------结束*/


           /*-----提核输入 验证码信息-----------start*/
           $scope.verCodeObj = {
               showSY: false,
               showJQ: false
           };
           $scope.verCodeShowFlag = false;
           $scope.cancelVerCode = function() {
               $scope.verCodeObj = {};
               $scope.verCodeShowFlag = false;
           };


           $scope.checkVerCode = function() {
               if($scope.verCodeObj.showJQ) { //交强险
                   if(!$scope.verCodeObj.jq.answer && $scope.verCodeObj.jq.checkQuestion) { //交强险验证码未输入
                      $U.showToast('请输入交强险验证码');
                      return;
                   }
               }
               if($scope.verCodeObj.showSY) { // 商业险
                   if(!$scope.verCodeObj.sy.answer && $scope.verCodeObj.sy.checkQuestion) { //商业险验证码未输入
                       $U.showToast('请输入商业险验证码');
                       return;
                   }
               }
               var riskList = angular.copy($rootScope.quoteRistList);
               angular.forEach(riskList, function(item){
                   if(item.riskCode === '0301' && $scope.verCodeObj.showJQ){
                       item.answer = $scope.verCodeObj.jq.answer;
                   }
                   if(item.riskCode === '0302' && $scope.verCodeObj.showSY){
                       item.answer = $scope.verCodeObj.sy.answer;
                   }
               });
               $scope.reqModel.riskList = riskList;
               Handle.thPolicy($scope.reqModel);
           };
           /*-----验证码 end-------*/

           /*------提核意见复制----start*/
           $scope.copyText = function () {
               $scope.shareText = "请核保人员帮忙核保此单， 谢谢！" + "\n";
               $scope.shareText += '车牌号：' + $rootScope.carBeans.vehicle.licenseNo + "\n";
               $scope.shareText += '最近一次核保信息如下：' + "\n";

               if(($scope.revListSY.length> 0 && $scope.underWriteStateSY !=='3') || $scope.unwListSY.length> 0){
                   $scope.shareText += "商业险\n";
                   if($scope.unwLevelSY){$scope.shareText += $scope.unwLevelSY + "\n";}
                   if($scope.unwListSY.length> 0 && $scope.underWriteStateSY !=='3'){
                       $scope.shareText += "核保规则：" + "\n";
                       angular.forEach($scope.unwListSY, function(item, index){
                           if(item.argument){$scope.shareText +=index+1 +'. ' + item.argument + "\n";}
                           if(item.errorMsg){$scope.shareText +=  '   ' + item.errorMsg + "\n";}
                           if(item.errorNo){$scope.shareText +=  '   ' + item.errorNo + "\n";}
                       });
                   }
                   if($scope.revListSY.length> 0){
                       $scope.shareText += "复核规则：" + "\n";
                       angular.forEach($scope.revListSY, function(item, index){
                           if(item.argument){$scope.shareText += index+1 +'. ' + item.argument + "\n";}
                           if(item.errorMsg){$scope.shareText +=  '   ' + item.errorMsg + "\n";}
                           if(item.errorNo){$scope.shareText +=  '   ' + item.errorNo + "\n";}
                       });
                   }
               }
               if(($scope.unwListJQ.length> 0 && $scope.underWriteStateJQ !=='3') || $scope.revListJQ.length> 0){
                   $scope.shareText += "交强险\n";
                   if($scope.unwLevelJQ){$scope.shareText += $scope.unwLevelJQ + "\n";}
                   if($scope.unwListJQ.length> 0 && $scope.underWriteStateJQ !=='3'){
                       $scope.shareText += "核保规则：" + "\n";
                       angular.forEach($scope.unwListJQ, function(item, index){
                           if(item.argument){$scope.shareText += index+1 +'. ' + item.argument + "\n";}
                           if(item.errorMsg){$scope.shareText +=  '   ' + item.errorMsg + "\n";}
                           if(item.errorNo){$scope.shareText +=  '   ' + item.errorNo + "\n";}
                       });
                   }
                   if($scope.revListJQ.length> 0){
                       $scope.shareText += "复核规则：" + "\n";
                       angular.forEach($scope.revListJQ, function(item, index){
                           if(item.argument){$scope.shareText += index+1 +'. ' + item.argument + "\n";}
                           if(item.errorMsg){$scope.shareText += '   ' + item.errorMsg + "\n";}
                           if(item.errorNo){$scope.shareText += '   ' + item.errorNo + "\n";}
                       });
                   }
               }

               if($scope.unwListFC.length> 0){
                   $scope.shareText += "非车险\n";
                   $scope.shareText += "核保规则：" + "\n";
                   angular.forEach($scope.unwListFC, function(item, index){
                       if(item.errorMsg){$scope.shareText += index+1 +'. ' + item.errorMsg + "\n";}
                   });
               }

               $handleService.copyClipboard({
                   text: $scope.shareText,
                   doms:".copyText",
                   success: function () {
                       $U.showToast("已复制核保信息");
                       // 监听复制多少次
                       $handleService.uMengListen("copyText");
                   },
                   error: function () {
                       $U.showToast("核保信息复制失败，请手动复制");
                   }
               });
           };
           /*------end--------*/

            //电子发票电话默认为投保人电话
           if(!$rootScope.carBeans.applicant.mobilePhone){
               $rootScope.carBeans.applicant.mobilePhone=$rootScope.carBeans.applicant.phone;
               $rootScope.carBeans.applicant.unmaskMobilePhone=$rootScope.carBeans.applicant.unmaskPhone;
           }

           $scope.applicantChange=function () {
               $rootScope.carBeans.applicant.mobilePhone=$rootScope.carBeans.applicant.phone;
           };





           //开具票务信息联动
           if(window.requestParam.webSources == "QMYX") {
               $scope.isCertPersonal = true;
               $rootScope.carBeans.applicant.insuredType = $rootScope.carBeans.applicant.insuredType || "1";
               $rootScope.carBeans.insured.insuredType = $rootScope.carBeans.insured.insuredType || "1";

           }

           if($rootScope.carBeans.applicant.insuredType == "2"){
               $scope.isCertPersonal = false; //证件类型是否为个人：否，为团体/机关
               if($rootScope.carBeans.applicant.taxType != '02' && $rootScope.carBeans.applicant.taxType != '01'){
                   $rootScope.carBeans.applicant.taxType = "";//纳税人类型: 默认为空
               }

           }else if($rootScope.carBeans.applicant.insuredType == "1"){
               $scope.isCertPersonal = true; //证件类型是否为个人: 是
               $rootScope.carBeans.applicant.taxType = "03";  //纳税人类型: 个人
               
                //0924个人客户发票类型默认显示电子发票
                if($rootScope.switchBean.elecInvoice && $rootScope.carBeans.base.busiAttrConfig.attachNatures == "01" && $rootScope.carBeans.base.busiAttrConfig.policyStyles == '1' && !$rootScope.carBeans.applicant.invtype){
                    $rootScope.carBeans.applicant.invtype = '2';//发票信息: 电子发票
                }else{
                    $rootScope.carBeans.applicant.invtype ? "" : $rootScope.carBeans.applicant.invtype = '0'; //发票信息: 普通发票
                }
           }



           //Web OCR 身份证图片对象
           $scope.modyImg = {
               owImg: "",  //车主身份证图片
               appImg: "", //投保人身份证图片
               recImg: "",  //被保险人身份证图片
               benifitAppImg:""
           };

        //    //处理从特约页面返回，只有点击确认才保留修改数据
        //    if ($rootScope.prePage.name == 'tab.specialAgreement') {
        //        $scope.copySpecialData = angular.copy($rootScope.copyOriginSpecialData) || []; //备份特约
        //        if ($U.isNotEmpty($rootScope.baseBean.tempChooseData)) {
        //            angular.forEach($scope.copySpecialData, function (item) {
        //                 if (!(item.isNeeded === '1' && item.isModify === '0')) {
        //                     item['checked'] = false; //除了必传不可改特约，其他全部初始默认不选中
        //                 }
        //                 angular.forEach($rootScope.baseBean.tempChooseData, function (temp) {
        //                    if (item.isNeeded === '1' && item.isModify === '0') {
        //                        //必传不可改特约，不取
        //                    } else {
        //                        //对应放置到特约
        //                        if (item.riskCode === temp.riskCode && item.clauseCode === temp.clauseCode) {
        //                            angular.extend(item, temp);
        //                            item['checked'] = true; // 选中
        //                        }
        //                    }
        //                })
        //            })
        //        } else if ($U.isNotEmpty($scope.copySpecialData)) {
        //            console.log('特约页面没有点击确认，数据不保留');
        //        }
        //        $rootScope.baseBean.specialData = angular.copy($scope.copySpecialData); //赋值给特约
        //    }

           //$scope.calPremiumResult = angular.copy($rootScope.calPremiumResult);
           var Handle = (function(handle) {
               //手动校验车架号
               handle.validateEvent = function () {
                   var vhls = $rootScope.carBeans.vehicle.frameNo || "";
                   if(!$rootScope.baseBean.is_twoNumber_success && $rootScope.isNewCarFlag) {// 没有2号  并且是新车 增加车架号校验
                       var isReach;
                       isReach = vhls.indexOf("I") + vhls.indexOf("O") + vhls.indexOf("Q");
                       if (isReach > -3) { //车架号 不包含 I O Q
                           $U.showToast('您的车架号输入不正确');
                           return false;
                       }
                       return true;
                   }else{
                       return true;
                   }
               };


                handle.initPage = function() {
                    if(!$rootScope.carBeans.insured.country){
                        $rootScope.carBeans.insured.countryName = "中国";
                        $rootScope.carBeans.insured.country = "1010090156";
                    }
                    if(!$rootScope.carBeans.applicant.country){
                        $rootScope.carBeans.applicant.countryName = "中国";
                        $rootScope.carBeans.applicant.country = "1010090156";
                    }
                    if(!$rootScope.carBeans.beneficiary.country){
                        $rootScope.carBeans.beneficiary.countryName = "中国";
                        $rootScope.carBeans.beneficiary.country = "1010090156";
                    }
                    $scope.ocrHandleQmybApp = function(type){
                        Handle.imgChoose_Html5Plus(type);
                    }
                    //2.投保人身份证OCR
                    $scope.$watch("modyImg.appImg", function (file) {
                        if (file) {
                            $generalService.ocrGetInfo({
                                cardType:"2",
                                file:file,
                                success: function (data) {
                                    Handle.ownfoHandle(2,data);
                                }
                            });
                        }
                    });

                   //3.被保险人身份证OCR
                   $scope.$watch("modyImg.recImg", function (file) {
                       if (file) {
                           $generalService.ocrGetInfo({
                               cardType:"2",
                               file:file,
                               success: function (data) {
                                   Handle.ownfoHandle(3,data);
                               }
                           });
                       }
                   });

                   //4.受益人身份证OCR
                   $scope.$watch("modyImg.benifitAppImg", function (file) {
                       if (file) {
                           $generalService.ocrGetInfo({
                               cardType:"2",
                               file:file,
                               success: function (data) {
                                   Handle.ownfoHandle(4,data);
                               }
                           });
                       }
                   });

                   $scope.$watch("carBeans.owner", function(item, oldItem) {
                       if($rootScope.baseBean.appIsSameDriver) { //投保人同车主
                           $scope.infoHandle($rootScope.carBeans, 1);
                           if($rootScope.carBeans.applicant.identifyExpiry == '9999-12-31'){
                               $rootScope.carBeans.applicant.identifyLongValid = '1';
                               $scope.expiry.applicant=true;
                           }else{
                               $rootScope.carBeans.applicant.identifyLongValid = '0';
                               $scope.expiry.applicant=false;
                           }
                       }
                       if($rootScope.baseBean.insuredSameDriver) { //被保人同车主
                           $scope.infoHandle($rootScope.carBeans, 2);
                           if($rootScope.carBeans.insured.identifyExpiry == '9999-12-31'){
                               $rootScope.carBeans.insured.identifyLongValid = '1';
                               $scope.expiry.insured=true;
                           }else{
                               $rootScope.carBeans.insured.identifyLongValid = '0';
                               $scope.expiry.insured=false;
                           }
                       }
                   }, true);

                   $scope.$watch("carBeans.applicant", function(item, old) {
                       if($rootScope.baseBean.insuredSameApp) { //被保人同投保人
                           $scope.infoHandle($rootScope.carBeans, 3);
                           $rootScope.carBeans.insured.email = $rootScope.carBeans.applicant.email;
                           if($rootScope.carBeans.insured.identifyLongValid == '1'){
                               $scope.expiry.insured=true;
                           }else{
                               $scope.expiry.insured=false;
                           }
                       }
                       if($rootScope.baseBean.benifitSameApp){
                           $scope.infoHandle($rootScope.carBeans, 4);
                           $rootScope.carBeans.beneficiary.email = $rootScope.carBeans.applicant.email;
                           $rootScope.carBeans.beneficiary.sex = $rootScope.carBeans.applicant.gender;
                           if($rootScope.carBeans.beneficiary.identifyLongValid == '1'){
                               $scope.expiry.benifitApp=true;
                           }else{
                               $scope.expiry.benifitApp=false;
                           }
                       }
                   },true);
                    $scope.$watch("carBeans.insured", function(item, old) {
                        if($rootScope.baseBean.benifitSameInsure) { //受益人同被保人
                            $scope.infoHandle($rootScope.carBeans, 5);
                            $rootScope.carBeans.beneficiary.email = $rootScope.carBeans.insured.email;
                            $rootScope.carBeans.beneficiary.sex = $rootScope.carBeans.insured.gender;
                            if($rootScope.carBeans.beneficiary.identifyLongValid == '1'){
                                $scope.expiry.benifitApp=true;
                            }else{
                                $scope.expiry.benifitApp=false;
                            }
                        }
                    },true);

                   $scope.$watch("carBeans.vehicle.carCheckStatus", function(val) {
                       if(val == '3' && $rootScope.carBeans.vehicle.carCheckResult=='02') {
                           $rootScope.baseBean.clauseList[0].checked = true;////验车特约
                       }else{
                           $rootScope.baseBean.clauseList[0].checked = false;////验车特约
                       }
                   },true);
                   $scope.maxLength($rootScope.carBeans.applicant.identifyType,1);
                   $scope.maxLength($rootScope.carBeans.insured.identifyType,2);
                   Handle.RoadHelp();

               };

                //同车主、同投保人的信息复制
                handle.copyInfo = function(data, copyData, sameOwner) {
                    // 加个countryName字段
                    data.countryName = data.countryName || '';
                    for(var prop in data) {
                        if(copyData.hasOwnProperty(prop) && copyData[prop]) {
                            data[prop] = copyData[prop];
                        }
                    }

                   if(sameOwner) {
                        data.phone = copyData.mobilePhone;
                   }
               };
               //道路救援条件限制
               handle.RoadHelp = function() {
                   //筛选商业险
                   var _syRiskList = angular.copy($rootScope.baseBean.syRiskList);
                   var roadSwitch = $rootScope.switchBean.requiredHA0013N =='1' ? true:false;
                   $scope.isRoadHelptemp = (!roadSwitch && $rootScope.baseBean.syOrigFlag && $rootScope.carBeans.vehicle.seatCount<9 && $rootScope.carBeans.base.busiAttrConfig.useNatures =='02' && $rootScope.carBeans.vehicle.carKindCode =='100') ? true : false;
                   angular.forEach(_syRiskList, function (item, index, array) {
                       if (item.checked == true && item.kindCode == '030101'&&$scope.isRoadHelptemp) {
                            $scope.isRoadHelp = true;
                       }
                   });
               };
               //车主信息 赋值方法 -->OCR 调用
               handle.ownfoHandle = function (type, data) {
                   switch (type) {
                       case 1:
                           $rootScope.carBeans.owner.name = data.name; //车主姓名
                           $rootScope.carBeans.owner.identifyNumber = data.id_number; //车主身份证
                           //证件类型为身份证时赋值地址
                           if($rootScope.switchBean.idcardAreaSwitch && $rootScope.carBeans.owner.identifyType == '01'){
                                $rootScope.carBeans.owner.address = data.address;
                           }else{
                                $rootScope.carBeans.owner.address = $rootScope.carBeans.owner.address;
                           }
                           break;
                       case 2:
                           $rootScope.carBeans.applicant.name = data.name; //投保人姓名
                           $rootScope.carBeans.applicant.identifyNumber = data.id_number; //投保人身份证
                           //投保人地址为空证件类型为身份证时赋值地址
                           if($rootScope.switchBean.idcardAreaSwitch && $rootScope.carBeans.applicant.identifyType == '01'){
                                $rootScope.carBeans.applicant.address = data.address;
                           }else{
                                $rootScope.carBeans.applicant.address = $rootScope.carBeans.applicant.address;
                           }
                           break;
                       case 3:
                           $rootScope.carBeans.insured.name = data.name; //被保人姓名
                           $rootScope.carBeans.insured.identifyNumber = data.id_number; //被保人身份证
                           //被保人地址为空证件类型为身份证时赋值地址
                           if($rootScope.switchBean.idcardAreaSwitch && $rootScope.carBeans.insured.identifyType == '01'){
                                $rootScope.carBeans.insured.address = data.address
                           }else{
                                $rootScope.carBeans.insured.address = $rootScope.carBeans.insured.address
                           }
                           break;
                       case 4:
                           $rootScope.carBeans.beneficiary.insuredName = data.name; //受益人姓名
                           $rootScope.carBeans.beneficiary.identifyNumber = data.id_number; //受益人身份证
                            //受益人地址为空证件类型为身份证时赋值地址
                            if($rootScope.switchBean.idcardAreaSwitch && $rootScope.carBeansbeneficiary.identifyType == '01'){
                                $rootScope.carBeans.beneficiary.address = data.address
                            }else{
                                $rootScope.carBeans.beneficiary.address = $rootScope.carBeans.beneficiary.address
                            }
                           break;
                   }
               };

               //组装提核核心返回数据
               handle.showThErrorMsg = function(list) {
                   var udwmsg = "";
                   var revmsg="";
                   var msg='';
                   var revFlag=false;
                   var udwFlag=false;
                   var hasPay=true;
                   var groupPolicies =list[0].groupPolicies;
                   var revListSY = [], revListJQ=[],unwListFC=[], unwListSY=[], unwListJQ=[], unwLevelSY = '', unwLevelJQ = '', underWriteStateJQ = '', underWriteStateSY=''; // 复合规则列表  核保规则列表


                   angular.forEach(list, function(item) {
                       udwmsg += item.riskName + "<br/>";
                       udwmsg += (item.uwLevel||'') + "<br/>";
                       revmsg += item.riskName + "<br/>";
                       revmsg += (item.uwLevel||'') + "<br/>";

                       if(item.riskCode == "0301") {
                           $rootScope.orderVm.jqPlyAppNo = item.proposalNo;
                           revListJQ = item.imageRevErrorList || [];
                           unwListJQ = item.underwriteErrorList || [];
                           unwLevelJQ = item.uwLevel;
                           underWriteStateJQ = item.underWriteState;
                       } else if(item.riskCode == "0302") {
                           $rootScope.orderVm.syPlyAppNo = item.proposalNo;
                           revListSY = item.imageRevErrorList || [];
                           unwListSY = item.underwriteErrorList || [];
                           unwLevelSY = item.uwLevel;
                           underWriteStateSY = item.underWriteState;
                       }else{
                           unwListFC = item.underwriteErrorList || [];
                       }

                       if(item.payEnabled==0){
                           hasPay=false;
                       }
                       if($U.isNotEmpty(item.imageRevErrorList||[])){ // 复核规则
                           revFlag=true;
                           angular.forEach(item.imageRevErrorList, function(errItem,index) {
                               revmsg += (index+1) + ". " + errItem.argument + " " + (errItem.errorMsg||'') + " " + errItem.errorNo + "<br/>";
                           });
                       }
                       if($U.isNotEmpty(item.underwriteErrorList||[])){ // 核保规则
                           udwFlag=true;
                           angular.forEach(item.underwriteErrorList, function(errItem,index) {
                               udwmsg += (index+1) + ". " + (errItem.argument||'') + " " + (errItem.errorMsg||'') + " " + (errItem.errorNo||'') + "<br/>";
                           });
                       }
                       if(udwFlag&&revFlag){
                           msg='核保规则<br/>'+udwmsg+'复核规则<br/>'+revmsg;
                       }else if(udwFlag&&!revFlag){
                           msg='核保规则<br/>'+udwmsg;
                       }else if(!udwFlag&&revFlag){
                           msg='复核规则<br/>'+revmsg;
                       }else if(!udwFlag&&!revFlag){
                           msg="";
                       }

                   });
                   return {
                       msg:msg,
                       hasPay:hasPay,
                       groupPolicies:groupPolicies,
                       revListJQ: revListJQ,
                       unwListJQ: unwListJQ,
                       revListSY: revListSY,
                       unwListSY: unwListSY,
                       unwListFC: unwListFC,
                       revFlag: revFlag,
                       udwFlag: udwFlag,
                       unwLevelSY :unwLevelSY,
                       unwLevelJQ: unwLevelJQ,
                       underWriteStateJQ: underWriteStateJQ,
                       underWriteStateSY: underWriteStateSY
                   };
               };

               //--------》拼装 支付参数 进行支付
               handle.directPay = function (data,flag) {

                   var options = {
                       applyPolicyNo: "",	//投保单号	string	如果两个都保单用，隔开
                       orderNo: data.orderNo,  //订单号
                       salesCode: $U.getSlsCode(),
                       telVerifyCode: $scope.vm.telVerifyCode, //	短信验证码
                       payMethod: "" //支付方式 在线支付标识07，移动pos09
                   };
                    if(flag){
                        //开通电子投保机构
                        $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-title">选择投保方式</div>', "", null, {
                            cssClass: "new-pop new-popup ele",
                            okType: "hidden-box",
                            templateUrl: "templates/common/select-policy.html",
                            scope: $scope
                        });
                    }else{
                        $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-title">请选择操作</div>', "", null, {
                            cssClass: "pay-popup",
                            okType: "hidden-box",
                            templateUrl: "templates/common/oder-pay-style.html",
                            scope: $scope
                        });
                    }
                   // //弹出选择框
                   // $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-title">请选择操作</div>', "", null, {
                   //     cssClass: "pay-popup",
                   //     okType: "hidden-box",
                   //     templateUrl: "templates/common/oder-pay-style.html",
                   //     scope: $scope
                   // });
                   //弹出选择框
                   // $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-title">选择投保方式</div>', "", null, {
                   //     cssClass: "new-pop new-popup ele",
                   //     okType: "hidden-box",
                   //     templateUrl: "templates/common/select-policy.html",
                   //     scope: $scope
                   // });
                   //

                   //定义作用域 支付方法
                   $scope.payOders = function (opts, isLocation) {
                       $handleService.closeModule($scope.alertPopup);
                       options.success = function (data) {
                           $handleService.uMengListen("pay");
                           if (!isLocation) {
                               $handleService.showAlert("支付申请号", "<div class='text-center'>"+data.result+"</div>"+"<div class='text-center'><img  src='" + $interFace.ZFQRCODE+data.result + "'/></div>"+"<div class='text-center'>使用快钱智能POS 扫一扫</div>", function () {
                                   Handle.goIndex();
                               });
                           }
                       };
                       //开始调用支付
                       $generalService.serverPay(options, isLocation);
                   };
                   //end ---------------------------------------------》调用 支付接口
               };


               //-------->> 在支付前再进行一次封装判断, 如果是北京,海南地区,还满足一些条件  需要输入验证码
               handle.preDirectPay = function(data,flag){
                   handle.directPay($scope.dataResult,flag);
                   // $handleService.http({
                   //     url: "/payment/virtualConfirm",
                   //     method: 'POST',
                   //     data:{
                   //         orderNo:data.orderNo
                   //     },
                   //     success: function (data) {
                   //         if (data.resultCode == '0') {
                   //             handle.directPay($scope.dataResult);
                   //         }else if(data.resultCode == 'E13006'){
                   //             handle.telVerifyCallkback();
                   //         }else {
                   //             $U.showToast(data.errorMsg || '网络异常');
                   //         }
                   //     },
                   //     error: function (ex) {
                   //         $handleService.logger('error', ex);
                   //     }
                   // });
               };

               handle.telVerifyCallkback = function () {
                   //弹出验证码输入框
                   $scope.vCodeAlert = $handleService.showAlert('<div class="poput-select-pay-across-title">请输入验证码</div>', "", null, {
                       cssClass: "pay-across-popup pre-pop",
                       okType: "hidden-box",
                       templateUrl: "templates/common/order-pay-vcode.html",
                       scope: $scope
                   });

                   //关闭
                   $scope.closeVcode = function () {
                       $handleService.closeModule($scope.vCodeAlert);
                   };

                   $scope.telVerifyCodeInput = function(){
                       var value = $scope.vm.telVerifyCode||'';
                       $scope.vm.telVerifyCode = (value.match(/^([0-9a-zA-Z]{1,6})/g) || [])[0] || ''
                   };

                   //定义作用域 支付方法
                   $scope.sure = function () {
                       if($scope.vm.telVerifyCode.length===6){
                           $handleService.closeModule($scope.vCodeAlert);
                           //开始调用支付
                           handle.directPay($scope.dataResult);
                       }else{
                           $U.showToast("请输入正确的验证码");
                       }
                   };

                   // 重发短信验证码
                   $scope.reTransmit = function(){
                       $handleService.http({
                           url: "/sendVerificationCode ",
                           data:{
                               orderNo:$scope.dataResult.orderNo
                           },
                           method: 'POST',
                           success: function (data) {
                               $handleService.logger('object', data, "客户行业返回结果---》");
                               if (data.resultCode == '0') {
                                   $scope.tipsVcode='应监管要求，我们已向'+data.result+'的手机号发送了短信验证码';
                                   $scope.countDown();
                               }else{
                                   $scope.tipsVcode=data.errorMsg;
                               }
                           },
                           error: function (ex) {
                               $handleService.logger('error', ex);
                           }
                       });
                   };

                   $scope.countDown = function(){
                       if($scope.reTransmitFlag) return;
                       $scope.reTransmitFlag = true;
                       $scope.cdSeconds = 120;
                       $scope.timer =  $interval( function(){
                           $scope.cdSeconds--;
                           if($scope.cdSeconds == 0){
                               $interval.cancel($scope.timer);
                               $scope.reTransmitFlag = false;
                           }
                       }, 1000);

                   }
               };

               //封装特约
               handle.getClauseList = function() {
                   var newList = [];
                   var newItem;
                   angular.forEach($rootScope.baseBean.specialData, function(item) {
                       if(item.checked) { //如果选中

                           if(item.specialCode=='HB9999'){
                               if(!item.clauseContext){
                                   if(item.riskCode=='0301'){
                                       $U.showToast('请完善交强险特约');
                                   }else{
                                       $U.showToast('请完善商业险特约');
                                   }
                                   newList=false;
                                   return;
                               }
                           }else{
                               if(item.clauseContext && item.clauseContext.indexOf('#')==-1){
                                   newItem = angular.copy(item);
                                   delete newItem.checked;
                                   delete newItem.textContent;
                                   if(Array.isArray(newList)){
                                       newList.push(newItem);
                                   }else{
                                       return;
                                   }

                               }else{
                                   if(item.riskCode=='0301'){
                                       $U.showToast('请完善交强险特约');
                                   }else{
                                       $U.showToast('请完善商业险特约');
                                   }
                                   newList=false;
                                   return;
                               }
                           }

                       }
                   });
                   return newList;
               };

               //提交提核数据
               handle.thPolicy = function(reqModel) {
                   if($rootScope.switchBean.underwRuleSwitch){
                       $handleService.http({
                           url: "/underwrite/queryUndrRuleInfo?flowId=" + $rootScope.flowId,
                           method: 'POST',
                           data: reqModel,
                           success: function (data) {
                               $scope.submitFlag = false;
                               if(data.resultCode == "0"){
                                   Handle.thConfirm(reqModel);
                               }else if(data.resultCode == "E22001"){
                                   $rootScope.errorResult=$handleService.showQzErrorMsg(data.result.undrRuleResults); // 处理核保意见
                                   $scope.qzTips=true;
                                   $handleService.showConfirm({
                                       title: '提核提醒',
                                       scope: $scope,
                                       templateUrl: 'templates/common/underwriting-rules.html',
                                       buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
                                           text: '返回修改',
                                           type: 'button-cfirm-cancle',
                                           onTap: function (e) {
                                               return false;
                                           }
                                       }, {
                                           text: '继续提核',
                                           type: 'button-cfirm-ok',
                                           onTap: function (e) {
                                               return true;
                                           }
                                       }],
                                       sure: function () {
                                            Handle.thConfirm(reqModel);
                                       }
                                   });
                               }else{
                                   $U.showToast(data.errorMsg);
                               }
                           },
                           error: function (ex) {
                               $scope.submitFlag = true;
                               $handleService.logger('error', ex);
                           }
                       });
                   }else{
                       Handle.thConfirm(reqModel);
                   }
               };
               handle.thConfirm = function (reqModel) {
                   $handleService.http({
                       url: "/underwriting?flowId=" + $rootScope.flowId,
                       method: 'POST',
                       data: reqModel,
                       complete: function () {
                           $scope.submitFlag = false;
                           $handleService.showLoading('show');
                       },
                       success: function (data) {
                           $rootScope.errorResult={
                               showIcon:false
                           };
                           $scope.submitFlag = false;
                           $scope.verCodeShowFlag = false;
                           $scope.verCodeObj = {};
                           //投保时长
                           var opt={
                               operatId: "04",
                               orderNo:"",
                               jqApplyPolicyNo:"",
                               syApplyPolicyNo:""
                           };
                           if(data.result&&data.result.underwriteResultList){
                               opt.orderNo=data.result.orderNo;
                               angular.forEach(data.result.underwriteResultList,function (item) {
                                   if(item.riskCode=="0302"){
                                       opt.syApplyPolicyNo=item.proposalNo;
                                   }else if(item.riskCode=="0301") {
                                       opt.jqApplyPolicyNo=item.proposalNo;
                                   }
                               });
                           }
                           
                           /*  ---  Subsection comment block  ---  */
                           //0910不中断流程
                           if (data.result) {
                               $scope.orderNo = data.result.orderNo || '';
                               $scope.proposalNo = [];
                               if ($U.isNotEmpty(data.result.underwriteResultList)) {
                                   angular.forEach(data.result.underwriteResultList, function (item, index) {
                                       //如果有订单列表则塞入
                                       item.proposalNo && $scope.proposalNo.push(item.proposalNo);
                                   })
                               }
                           }
                           /*  ---  Subsection comment block  ---  */
                           
                           $handleService.logger('object', data, '提交核保返回结果');
                           var resultObj = {};
                           if(data.resultCode!='E00000' && data.resultCode!='E27002'){
                               if(data.result && data.result.underwriteResultList) {
                                   resultObj = Handle.showThErrorMsg(data.result.underwriteResultList); // 处理核保意见
                                   $scope.revListJQ = resultObj.revListJQ;
                                   $scope.unwListJQ = resultObj.unwListJQ;
                                   $scope.revListSY = resultObj.revListSY;
                                   $scope.unwListSY = resultObj.unwListSY;
                                   $scope.unwListFC = resultObj.unwListFC;
                                   $scope.revFlag = resultObj.revFlag;
                                   $scope.udwFlag = resultObj.udwFlag;
                                   $scope.unwLevelSY = resultObj.unwLevelSY;
                                   $scope.unwLevelJQ = resultObj.unwLevelJQ;
                                   $scope.underWriteStateJQ = resultObj.underWriteStateJQ;
                                   $scope.underWriteStateSY = resultObj.underWriteStateSY;
                                   $scope.resultCode = data.resultCode;//0910新增
                                   $scope.errMsg = data.errorMsg;//0910新增
                               }
                           }

                           if (data.resultCode == "0" && resultObj.hasPay) { //自核通过同时复核通过
                               //投保时长
                               $handleService.operateTime(opt);

                               $handleService.uMengListen("submitUnderwriting");
                               /*if($rootScope.CAR_BEANS.BU=='R') { //续保
                                $handleService.uMengListen("submitUnderwriting_xubao");
                                }*/
                               if(resultObj.groupPolicies){
                                   $rootScope.orderVm.groupPolicies = resultObj.groupPolicies;
                               }
                               console.log(resultObj,'resultObj')
                               if(resultObj.msg){
                                   var wJQ = '';
                                   var wSY = '';
                                   var wFC = '';
                                   $scope.jqItem = '';
                                   $scope.syItem = '';
                                   $scope.orderNo = opt.orderNo;
                                   $handleService.showAlert('核保状态提示', '', function () {
                                       $scope.dataResult=data.result;
                                       // 取各个险种的核保状态
                                       angular.forEach($scope.dataResult.underwriteResultList, function(item) {
                                           if(item.riskCode == "0301") {
                                               wJQ=item.underWriteState;
                                               $scope.jqItem = item;
                                           } else if(item.riskCode == "0302") {
                                               wSY=item.underWriteState;
                                               $scope.syItem = item;
                                           }else{
                                               wFC = item.underWriteState;
                                           }
                                       });
                                       //判断机构是否支持电子投保   且各险种是否自核通过  投保人证件类型类型为身份证，投保人类型为个人
                                       if($rootScope.elecSignData.enableSigned == '1'&&(wJQ=='3'||wSY=='3'||wFC=='3')&&reqModel.applicant.identifyType=='01'&&reqModel.applicant.insuredType=='1'){
                                           //拼装 支付参数 进行支付
                                           Handle.preDirectPay(data.result,true);
                                        }else{
                                           Handle.preDirectPay(data.result,false);
                                       }
                                   }, {
                                       templateUrl: "templates/common/underwriting-status.html",
                                       scope: $scope
                                   });


                                   /*$handleService.showAlert("核保状态提示",resultObj.msg,function () {
                                    //拼装 支付参数 进行支付
                                    Handle.preDirectPay(data.result);
                                    })*/
                               }else{
                                   $scope.dataResult=data.result;
                                   //拼装 支付参数 进行支付
                                   Handle.preDirectPay(data.result,false);
                               }
                           }
                           else if(data.resultCode == "2"){ // 需输入验证码
                               $scope.verCodeShowFlag = true;
                               angular.forEach(data.result.underwriteResultList, function(item){
                                   if(item.riskCode == "0301") {
                                       $scope.verCodeObj.showJQ = true;
                                       $scope.verCodeObj.jq = {};
                                       $scope.verCodeObj.jq.checkQuestion = 'data:image/png;base64,' + item.question;
                                   }
                                   if(item.riskCode == "0302") {
                                       $scope.verCodeObj.showSY = true;
                                       $scope.verCodeObj.sy = {};
                                       $scope.verCodeObj.sy.checkQuestion = 'data:image/png;base64,' + item.question;
                                   }
                               });
                           }else if(data.resultCode == '3'){
                               $rootScope.errorType =data.errorMsg;
                               $state.go('tab.payment');
                           }
                           else {
                               /*  ---  Subsection comment block  ---  */
                               //0910不中断流程，如果再次提核，提示！
                               if ($scope.hasConfirm) {
                                   $U.showToast('亲，请重新报价后再提交订单！');
                                   return;
                               }
                               $scope.hasConfirm = true; //0910不中断流程，提核报错标记状态
                               /*  ---  Subsection comment block  ---  */

                               var errMsg;
                               var tipMsg ="";
                               var errorMsgTip = "抱歉，系统开小差了，请复制系统日志查看具体原因，根据日志提示修改后重新报价，如无法解决请联系总部处理"; // 0910不中断流程，修改文案
                               if(data.resultCode == "E00000") { //系统异常
                                   errMsg = ($scope.hasConfirm == data.resultCode) ? data.errorMsgTip : (data.errorMsg || errorMsgTip); // 0910不中断流程，修改系统异常
                                   tipMsg = "核保失败提示";
                                   $handleService.showAlert(tipMsg, errMsg || $message.serverError, function () {

                                       $ionicHistory.clearCache();
                                       
                                       /*  ---  Subsection comment block  ---  */
                                       //0910不中断流程,停留在当前页面
                                       //    if (window.requestParam.webSources == "QMYX") {
                                       //        $state.go('tab.owinfoweb');
                                       //    }else{
                                       //        //判断新首页可见性
                                       //        if($rootScope.isNewHome){
                                       //            $state.go("tab.mitNewIndex");
                                       //        }else{
                                       //            $state.go("tab.mitIndex");
                                       //        }
                                       //    }
                                       /*  ---  Subsection comment block  ---  */
                                       

                                   });
                               } else if(data.resultCode == "E27002" || data.resultCode == "E22001") { //错误提示，需修改数据的
                                   $handleService.showAlert("提示", data.errorMsg || $message.serverError);
                               } else { //核心规则异常
                                   //投保时长
                                   if(data.resultCode == "E12003"){
                                       $handleService.operateTime(opt);
                                   }


                                   if((data.resultCode == "E12003"||data.resultCode == "0")&&$rootScope.carBeans.vehicle.groupCode){
                                       var opt = {
                                           title: '核保状态提示',
                                           template: '',
                                           templateUrl: "templates/common/underwriting-status.html",
                                           scope: $scope,
                                           buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
                                               text: '确定',
                                               type: 'button-cfirm-left-ok',
                                               onTap: function (e) {
                                                   return false;
                                               }
                                           }, {
                                               text: '团单继续录入',
                                               type: 'button-cfirm-ok',
                                               onTap: function (e) {
                                                   return true;
                                               }
                                           }],
                                           sure: function () {
                                               $rootScope.carBeans.vehicle.licenseNo="";
                                               $rootScope.carBeans.vehicle.frameNo="";
                                               $rootScope.carBeans.vehicle.engineNo="";
                                               $rootScope.carBeans.orderNo="";
                                               $rootScope.carBeans.base.frmNoFlag = '';
                                               $rootScope.baseBean.jqProposalNo="";
                                               $rootScope.baseBean.syProposalNo="";
                                               $handleService.clearImageIdAndQuotationNo();
                                               if (window.requestParam.webSources == "QMYX") {
                                                   $ionicHistory.clearCache();
                                                   $state.go('tab.owinfoweb');
                                               }else{
                                                   $ionicHistory.clearCache();
                                                   $state.go('tab.config');
                                               }
                                           },
                                           cancle: function () {
                                               if (window.requestParam.webSources == "QMYX") {
                                                   $state.go('tab.owinfoweb');
                                               }else{
                                                   $state.go('tab.oderSetbacksList');
                                               }
                                           }
                                       };
                                       $handleService.showConfirm(opt);
                                   }else if(data.resultCode == "E10001"){
                                       $handleService.showAlert('温馨提示',data.errorMsg, function () {
                                        
                                        /*  ---  Subsection comment block  ---  */
                                        // 0910不中断流程，停留在提核页面
                                        //    if(!window.requestParam.webSources){
                                        //        //判断新首页可见性
                                        //        if($rootScope.isNewHome){
                                        //            $state.go("tab.mitNewIndex");
                                        //        }else{
                                        //            $state.go("tab.mitIndex");
                                        //        }
                                        //    }
                                        /*  ---  Subsection comment block  ---  */
                                       });
                                   }else{
                                        $handleService.showAlert('核保状态提示', data.errorMsg, function () {
                                            if (data.resultCode == "E12003") {
                                                /*  ---  Subsection comment block  ---  */
                                                $scope.hasConfirm = false; //0910不中断流程，提核报错标记状态，E12003保持原状态走老逻辑
                                                // 0910不中断流程
                                                if (window.requestParam.webSources == "QMYX") {
                                                    $state.go('tab.owinfoweb');
                                                } else {
                                                    $state.go('tab.oderSetbacksList', {PAGE_CHANNAL: "LIST"});
                                                }
                                                /*  ---  Subsection comment block  ---  */
                                            } else if(data.resultCode == "E12001" && (data.result && data.result.question)) {
                                                 $scope.hasConfirm = false; //0910不中断流程，提核报错标记状态,当为E12001并且question不为空时保持原逻辑
                                                 if (window.requestParam.webSources == "QMYX") {
                                                     $state.go('tab.owinfoweb');
                                                 } else {
                                                     $state.go('tab.oderSetbacksList', {PAGE_CHANNAL: "LIST"});
                                                 }
                                            }
                                        }, {
                                            templateUrl: "templates/common/underwriting-status.html",
                                            scope: $scope
                                        });
                                    
                                   }
                               }

                           }
                           // //0910不中断流程，退回修改执行结果
                           // if ($scope.hasConfirm) {
                           //     //提核报错，返回上一步时重新请求下发修改接口
                           //     var option = {
                           //         appNoList: $scope.proposalNo,
                           //         orderNo: $scope.orderNo
                           //     };
                           //     if ($U.isNotEmpty(option.appNoList)) {
                           //         $ionicHistory.clearCache();
                           //         // 判断是否有订单号列表，用于点击返回时调用下发修改接口
                           //         Handle.returnModify(option);
                           //     };
                           // }
                       },
                       error: function (ex) {
                           $scope.submitFlag = false;
                           $handleService.logger('error', ex);
                       }
                   });
               };

               //返回首页 方法  --》全民营销 不需要跳转
               handle.goIndex = function () {
                   if (!window.requestParam.webSources) {
                       // //判断新首页可见性
                       // if($rootScope.isNewHome){
                       //     $state.go("tab.mitNewIndex");
                       // }else{
                       //     $state.go("tab.mitIndex");
                       // }
                       $state.go("tab.mitNewIndex");
                   } else {
                       $state.go('tab.owinfoweb');
                   }
               };

               //获取国家列表
               handle.queryCountry = function(){
                $handleService.http({
                    url: "/countryManager/getAllCountry",
                    data:{
                    },
                    method: 'GET',
                    success: function (data) {
                        $handleService.logger('object', data, "客户行业返回结果---》");
                        if (data.resultCode == '0') {
                            $scope.applicantCountry =  data.result;
                            $scope.insuredCountry =  data.result;
                            $scope.appBenifitCountry = data.result;
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });
               }

                //获取行业列表
               handle.queryBusiness = function () {
                   $handleService.http({
                       url: "/quote/queryBusiness",
                       data:{
                           businessCode:"",
                           businessName:""
                       },
                       method: 'POST',
                       success: function (data) {
                           $handleService.logger('object', data, "客户行业返回结果---》");
                           if (data.resultCode == '0') {
                               data.result.unshift({businessCode:"",businessName:"无"});
                               var businessList = (data.result).sort($scope.compare('businessCode'));
                               $scope.applicantBusiness = businessList;
                               $scope.insuredBusiness = businessList;
                               $scope.beneficiaryBusiness = businessList;
                           }
                       },
                       error: function (ex) {
                           $handleService.logger('error', ex);
                       }
                   });
               };
               //获取客户职业
               handle.queryWork = function () {
                   $handleService.http({
                       url: "/quote/queryOccupationConfig",
                       data:{
                           code:"",
                           occupationName:""
                       },
                       method: 'POST',
                       success: function (data) {
                           $handleService.logger('object', data, "客户职业返回结果---》");
                           if (data.resultCode == '0') {
                               data.result.unshift({code:"",occupationName:"无"});
                               $scope.applicantWork = data.result;
                               $scope.insuredWork = data.result;
                               $scope.appBenifitWork = data.result;
                           }
                       },
                       error: function (ex) {
                           $handleService.logger('error', ex);
                       }
                   });
               };
               //通过身份证号默认地址省市区
               handle.getAddress = function (type,d) {
                   if($rootScope.carBeans[type].identifyType == '01' && $rootScope.switchBean.idcardAreaSwitch && $rootScope.carBeans[type].identifyNumber.length>=6){
                        if(d && $rootScope.carBeans[type].address){
                            return;
                        }
                        $handleService.http({
                            url: '/countryManager/getAreaName?idNo='+$rootScope.carBeans[type].identifyNumber,
                            method: 'GET',
                            success: function(data){
                                if(data.resultCode == '0'){
                                    $rootScope.carBeans[type].address = data.result;
                                }
                            },
                            error: function (ex) {
                                $handleService.logger('error', ex);
                            }
                        })
                   }
                    
               };
               handle.imgChoose_Html5Plus = function (type) {//
                function showActionSheet() {
                   var actionbuttons = [{ title: "拍照" }, { title: "相册选取" }];
                   var actionstyle = { cancel: "取消", buttons: actionbuttons };
                   window.plus.nativeUI.actionSheet(actionstyle, function (e) {
                      if (e.index == 1) {
                         getImage_Html5Plus(imgFunc);
                      } else if (e.index == 2) {
                         galleryImg_Html5Plus(imgFunc);
                      }
                   });
                }
                function imgFunc(error, content) {
                   if (error == 1) {
                      $handleService.showAlert('提示', content || '拍照失败');
                   } else {
                         // todo  调用  OCR  伍念
                         $generalService.ocrImgUpload({
                            type: '2', // 1.行驶证 2.身份证 3.驾驶证 4.银行卡
                            img: content,
                            success: function (data) {
                                $handleService.logger('info', data);
                                if (data.type != '未知类型') {
                                    Handle.ownfoHandle(type, data);
                                }
                                else {
                                    $U.showToast('请选择带有清晰的证件号码的照片');
                                }
                            }
                        });
                   }
                };
                showActionSheet();
             };
            //0910不中断流程，退回修改执行结果
            handle.returnModify = function (obj) {
                var options = {
                    appNoList: [], //投保单号列表
                    orderNo: "" //订单号
                };
                var salesmanCode = $U.sessionHandle.getSession("SLS_INFO").salesmanCode;
                $rootScope.isShowJQCheck = true; //交强是否显示
                $rootScope.isShowSYCheck = true; //商业险是否显示
                angular.extend(options, obj);
                $handleService.http({
                    url: "/correct?operatorCode=" + salesmanCode,
                    method: 'POST',
                    data: options,
                    success: function (data) {
                        $handleService.logger("object", data, "退回修改数据");
                        if (data.resultCode == '0') {
                            // $handleService.reModifyPolicyData(data.result, true);
                            // 不需要跳转
                            // $state.go("tab.config", {
                            //     SU_CODE: 'PQUERY'
                            // });
                        } else {
                            $U.showToast(data.errorMsg);
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', '退回修改异常' + ex);
                    }
                });
            };

               return handle;
           })(Handle||{});
           
            Handle.getAddress('owner',true);//初始化身份证获取地址
            Handle.getAddress('applicant',true);
            Handle.getAddress('insured',true);
            Handle.getAddress('beneficiary',true);
           
           Handle.queryWork();
           Handle.queryBusiness();
           Handle.queryCountry();

           $scope.compare = function(property){
               return function(a,b){
                   var value1 = a[property];
                   var value2 = b[property];
                   return value1 - value2;
               }
           };
           $scope.returnSelect = function(){
               $handleService.closeModule($scope.alertPopup);
               $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-title">选择投保方式</div>', "", null, {
                   cssClass: "new-pop new-popup ele",
                   okType: "hidden-box",
                   templateUrl: "templates/common/select-policy.html",
                   scope: $scope
               });
           };
           $scope.preDirectPay = Handle.preDirectPay;
           $scope.totallyDate = $rootScope.carBeans;
           $scope.sendShare = false;//电子投保单分享标志
           //签名方法
           $scope.signName = function (isShare) {
               var ply_no_sy = "";
               var ply_no_jq = "";
               var jsFlag ;//签名类型 0 交商同保  1 交强  2 商业
               var applicantPhone = $scope.totallyDate.applicant.phone;
               ply_no_sy =$scope.syItem.proposalNo;//商业险投保单号;
               ply_no_jq =$scope.jqItem.proposalNo;//交强险投保单号;
               //交商同保标志
               if(ply_no_sy&&ply_no_jq){
                   jsFlag =0;
               }else if(!ply_no_sy&&ply_no_jq){//单交
                   jsFlag =1;
               }else if(ply_no_sy&&!ply_no_jq){//单商
                   jsFlag =2;
               }
               applicantPhone ? ($scope.signPhone = applicantPhone.slice(0,3) + "****"+ applicantPhone.slice(7,11)):'';
               $scope.jsFlag = jsFlag;//记录单交 单商还是 商交 弹出的弹框
               $scope.sendShare = isShare; //判断是否为微信分享
               if(isShare){ //如果是分享 就不修改手机号直接调取分享链接
                   $scope.makeSure('a');
               }else{
                   $scope.signAlert();
               }
           };
           $scope.makeSure = function(a){
               switch(a){
                   case 'a':
                       if(($scope.signPhone).indexOf('****') > -1){
                           if(!$scope.sendShare){
                               $handleService.closeModule($scope.alertPopup);
                           }
                           $scope.getMsg();
                       }else{
                           if(!/^([1][3-9][0-9]{9})$|^((\d){3}(\*){4}(\d){4})$/.test($scope.signPhone)){
                               $U.showToast('您的投保人手机号码输入有误！');
                               return false;
                           }
                           $handleService.closeModule($scope.alertPopup);
                           $scope.getMsg();
                       }
                       break;
                   case 'b':
                       $handleService.closeModule($scope.alertPopup);
                       break;
                   case 'f':
                       $scope.signPhone = $("#signPhone").val();
                       break;
                   default:
                       $handleService.closeModule($scope.alertPopup);
                       break;
               }

           };
           //短信验证码
           $scope.getMsg =  function(){
               var signOption = {
                   proposalNo: '', //投保单号
                   relProposalNo: '', //关联投保单号
                   // applyNo:  '',  //缴费申请单号
                   orderNo:'',//订单号
                   phone:  ($scope.signPhone).indexOf('****') > -1 ? $scope.totallyDate.applicant.phone:$scope.signPhone,   //接收短信电话(如不传默认为投保人电话，短信发给投保人)
                   faceFlag: '1'
               };
               if($scope.jsFlag ==1){  //单交
                   signOption.proposalNo = $scope.jqItem.proposalNo;
               }else if($scope.jsFlag ==2){ //单商
                   signOption.proposalNo = $scope.syItem.proposalNo;
               }else if($scope.jsFlag ==0){// 交商同保
                   signOption.orderNo =  $scope.orderNo;
                   signOption.proposalNo = $scope.jqItem.proposalNo;
                   signOption.relProposalNo = $scope.syItem.proposalNo;
               }
               // $scope.sendShare ? delete signOption['phone']:'';//如果是分享 不发送手机号
               // $scope.signHttp(signOption);
               if($scope.sendShare){//如果是分享 不发送手机号
                   delete signOption['phone'];
                   $scope.shareCount = 1;//签名分享接口轮询时间记录
                   $scope.sendShareHttp(signOption);
               }else{
                   $scope.signHttp(signOption);
               }
           };

           //签名接口
           $scope.signHttp = function (opt) {
               $handleService.http({
                   url: "/policyOrder/sendElecAppNo",
                   method: "POST",
                   data: opt,
                   success: function (data) {
                       $handleService.logger("object", data, "电子投保签名查询详情---》");
                       if (data.resultCode == "0") {
                           $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-title">发送电子投保短信</div>', "", null, {
                               cssClass: "new-pop new-popup ele",
                               okType: "hidden-box",
                               templateUrl: "templates/common/send-msg-success.html",
                               scope: $scope
                           });
                           // if($scope.sendShare){//调分享接口获取信息 签名链接的获取有延迟 需要5秒后调取接口
                           //     $scope.shareCount = 1;//签名分享接口轮询时间记录
                           //     $scope.sendShareHttp(opt);
                           //
                           // }else{//直接发送签名短信到手机号
                           //     $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-title">发送电子投保短信</div>', "", null, {
                           //         cssClass: "new-pop new-popup ele",
                           //         okType: "hidden-box",
                           //         templateUrl: "templates/common/send-msg-success.html",
                           //         scope: $scope
                           //     });
                           // }
                       } else {
                           //查询失败时，增加默认提示信息
                           // $U.showToast(data.errorMsg);
                           $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-title">发送电子投保短信</div>', "", null, {
                               cssClass: "new-pop new-popup ele",
                               okType: "hidden-box",
                               templateUrl: "templates/common/send-msg-fail.html",
                               scope: $scope
                           });
                       }
                   }
               });
           };
           //APP分享签名接口
           $scope.sendShareHttp = function (opt) {
               $handleService.http({
                   url: "/policyOrder/queryEleSms",
                   method: "POST",
                   data: opt,
                   success: function (data) {
                       $handleService.logger("object", data, "电子投保签名分享---》");
                       if (data.resultCode == "0") {
                           if(data.result){
                               var num = data.result.smsMessage.indexOf('http');
                               var _options = {
                                   title: '车险电子投保单在线签名',
                                   text: data.result.smsMessage,
                                   url: data.result.smsMessage.substring(num),  //截取链接
                                   imgUrl: 'https://m.sinosafe.com.cn/eb-web/new-www/images/webview/drawable-xhdpi-icon.jpg'
                               };
                               console.log(_options,'分享内容');
                               // 人人团微信分享
                               if(window.requestParam && window.requestParam.webSources == "QMYX"){
                                   window.plusShare({
                                       type:"web",
                                       title: _options.title,//应用名字
                                       content: _options.text,
                                       href: _options.url,//分享出去后，点击跳转地址
                                       thumbs: [_options] //分享缩略图
                                   }, function(result) {
                                       //分享回调
                                       // alert('分享成功');
                                   });
                               }else{
                                   // APP微信分享
                                   if(ionic.Platform.isAndroid()) {
                                       $handleService.sharingText({
                                           text: data.result.smsMessage
                                       });
                                   } else if(ionic.Platform.isIOS()) {
                                       $handleService.sharePanle(_options);
                                   }
                               }
                           }else if($scope.shareCount<=5){
                               setTimeout(function(){
                                   $scope.sendShareHttp(opt);
                               },Number(++$scope.shareCount +'000'));
                           }
                       } else {
                           //查询失败时，增加默认提示信息
                           $U.showToast('正在生产分享内容，请稍后');
                       }
                   }
               });
           };
           $scope.signAlert = function (item,event,$index) {
               $handleService.closeModule($scope.alertPopup);
               var applicantPhone = $scope.totallyDate.applicant.phone;
               applicantPhone ? ($scope.signPhone = applicantPhone.slice(0,3) + "****"+ applicantPhone.slice(7,11)):'';
               // $scope.alertPopup = $handleService.showAlert("<div class='flexj'><div>选择投保方式</div></div>", "", null, {
               //     cssClass: "pay-across-popup new-pop new-popup",
               //     okType: "hidden-box",
               //     templateUrl: "templates/common/send-msg-new.html",
               //     scope: $scope
               // });
               $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-title">发送电子投保短信</div>', "", null, {
                   cssClass: "new-pop new-popup ele",
                   okType: "hidden-box",
                   templateUrl: "templates/common/send-msg-new.html",
                   scope: $scope
               });
           };
           //选择支付
           $scope.toPolicy = function(){
               $handleService.closeModule($scope.alertPopup);
               //弹出选择框
               $scope.alertPopup = $handleService.showAlert('<div class="poput-select-pay-title">请选择操作</div>', "", null, {
                   cssClass: "pay-popup",
                   okType: "hidden-box",
                   templateUrl: "templates/common/oder-pay-style.html",
                   scope: $scope
               });
           };
           //OCR 方法->OCR调用
           $scope.ocrHandle = function (type) {
               $handleService.appHandle.cameraHandle({
                   success: function (img) {
                       $generalService.ocrImgUpload({
                           type: "2", // 1.行驶证 2.身份证 3.驾驶证 4.银行卡
                           img: img,
                           success: function (data) {
                               $handleService.logger('info', data);
                               if (data.type != '未知类型') {
                                   Handle.ownfoHandle(type, data);
                               }
                               else {
                                   $U.showToast('请选择带有清晰的证件号码的照片');
                               }
                           }
                       });
                   }
               });
           };

           $scope.saveOwnerAddress = function(){
                if($scope.isReCal){//提核报价的时候，监听价格跟之前是否发生变化，
                    $ionicHistory.clearCache();
                }
                if($rootScope.switchBean.driLicenseSwitch){//河北机构返回时再赋值给车主行驶证地址
                    if($rootScope.ownerAddress){
                        $rootScope.carBeans.owner.address = $rootScope.ownerAddress
                    }    
                }
                //0910不中断流程
               if ($scope.hasConfirm) {
                   //提核报错，返回上一步时重新请求下发修改接口
                   var option = {
                       appNoList: $scope.proposalNo,
                       orderNo: $scope.orderNo
                   };
                   if ($U.isNotEmpty(option.appNoList)) {
                       $ionicHistory.clearCache();
                       // 判断是否有订单号列表，用于点击返回时调用下发修改接口
                       Handle.returnModify(option);
                   };
               }
            }

           //跳转影像上传
           $scope.openUploadFile = function () {
               //影像类型  投保：CBCX_001 批改：CBCX_002  补传：CBCX_003
               $rootScope.modelcode = "S001_001";
                var callAppArr = [];
               if($U.isNotEmpty($rootScope.calPremiumResult.jqCalData||{}) && $rootScope.calPremiumResult.jqCalData.quotationNo) {
                   callAppArr.push($rootScope.calPremiumResult.jqCalData.quotationNo);
               }
               if($U.isNotEmpty($rootScope.calPremiumResult.syCalData||{}) && $rootScope.calPremiumResult.syCalData.quotationNo) {
                   callAppArr.push($rootScope.calPremiumResult.syCalData.quotationNo);
               }
               angular.forEach(callAppArr, function(item, index) {
                   callAppArr[index] = item.replace(/(^Q)/, 'I');
               });
               callAppArr = callAppArr.reverse();
               var imageId = callAppArr.join(",");
               //报价单号传值
               //区分 人人团和 app
               if(window.requestParam.webSources){
                   $state.go('tab.imgUpForWeb', {
                       imageId: imageId,
                       proposalNo:window.requestParam.PLY_APP_NO ||"",
                       policyNo:window.requestParam.PLY_NO || "",
                   });
               }
               else{
                   $state.go('tab.imagesUpload', {imageId: imageId,beforeSubmit:true});
               }
           };

            //投被保人ng-change联动控制
            $scope.relevance=function (val) {
                if(val=='applicant'){
                    $rootScope.carBeans.applicant.insuredType=='2'?$rootScope.isAppCarMass=true:$rootScope.isAppCarMass=false;
                    $rootScope.carBeans.applicant.identifyNumber='';
                    $rootScope.carBeans.applicant.identifyType='';
                    $rootScope.carBeans.applicant.name='';
                    $rootScope.carBeans.applicant.contactName='';
                    $rootScope.carBeans.applicant.contactMobile='';
                    $rootScope.carBeans.applicant.contactIdType='';
                    $rootScope.carBeans.applicant.contactIdNumber='';
                    $rootScope.carBeans.applicant.contactEmail='';
                    $scope.taxPhone();

               }else if(val=='insured'){
                   $rootScope.carBeans.insured.insuredType=='2'?$rootScope.isBizCarMass=true:$rootScope.isBizCarMass=false;
                   $rootScope.carBeans.insured.identifyNumber='';
                   $rootScope.carBeans.insured.identifyType='';
                   $rootScope.carBeans.insured.name='';
               }else if(val=='benifit'){
                   $rootScope.carBeans.beneficiary.insuredType=='2'?$rootScope.isBenifitMass=true:$rootScope.isBenifitMass=false;
                   $rootScope.carBeans.beneficiary.identifyNumber='';
                   $rootScope.carBeans.beneficiary.identifyType='';
                   $rootScope.carBeans.beneficiary.insuredName='';
               }
           };

            //获取点击身份
            $scope.getPersonel = function (type) {
                $scope.personelClick = type
            };
            //获取省市区地址
            $scope.getAdress = function() {
                Handle.getAddress($scope.personelClick)
            }

           //团单标志码修改
           $scope.getNewGroupPolicie = function (val) {
                if(val){
                    $handleService.showConfirm({
                        template: '请确认该团单标志码绑定的影像资料不合格，点击后将生成新的团单标志码!',
                        sure: function () {
                            $rootScope.carBeans.vehicle.getNewGroupPolicies = 'Y';
                        },
                        cancle: function () {
                            $rootScope.carBeans.vehicle.getNewGroupPolicies ='';
                            $rootScope.baseBean.isGetNewGroupProfiles = false;
                        }
                    });
                }
           };
            //处理团单标志码默认值问题
           $scope.$watch("carBeans.applicant.insuredType", function (value,oldValue) {

               if(value!=oldValue){
                   //开票信息
                   $rootScope.carBeans.applicant.insuredType=='2'?$scope.isCertPersonal=false:$scope.isCertPersonal=true;
                   $rootScope.carBeans.applicant.invtype="";
                   $rootScope.carBeans.applicant.taxType="";
               }


               if (value=="2") {
                   $rootScope.isAppCarMass=true;
               }else{
                   $rootScope.carBeans.vehicle.getNewGroupPolicies ='';
                   $rootScope.baseBean.isGetNewGroupProfiles = false;
                   $rootScope.isAppCarMass=false;
               }
           });
           //被保人团体个人区分证件类型
           $scope.$watch("carBeans.insured.insuredType", function (value,oldValue) {
               if(value == '2'){
                   $rootScope.isBizCarMass=true;
               }else{
                   $rootScope.isBizCarMass=false;
               }
           });
           //受益人团体个人区分证件类型
           $scope.$watch("carBeans.beneficiary.insuredType", function (value,oldValue) {
               if(value == '2'){
                   $rootScope.isBenifitMass=true;
               }else{
                   $rootScope.isBenifitMass=false;
               }
           });

           //同车主同被保人切换
           $scope.sameCheck=function (val) {
               if(val=='1'){
                   $rootScope.baseBean.insuredSameApp=!$rootScope.baseBean.insuredSameDriver;
                   $scope.idCardLength2 = $scope.idCardLength;
               }
               if(val=='2'){
                   $rootScope.baseBean.insuredSameDriver=!$rootScope.baseBean.insuredSameApp;
                   $scope.idCardLength2 = $scope.idCardLength1;
               }

               if(val=='3'){
                   $rootScope.baseBean.benifitSameInsure=!$rootScope.baseBean.benifitSameApp;
                   $scope.idCardLength3 = $scope.idCardLength1;
               }
               if(val=='4'){
                   $rootScope.baseBean.benifitSameApp=!$rootScope.baseBean.benifitSameInsure;
                   $scope.idCardLength3 = $scope.idCardLength2;
               }
           };

           //同车主和投保人
           $scope.infoHandle = function (beans, type) {
               // 投保人信息 -->同车主 -->赋值
               if ($rootScope.baseBean.appIsSameDriver && type=='1') {
                   //将车主信息复制到投保人
                   Handle.copyInfo(beans.applicant, $rootScope.carBeans.owner, true);
                   //投保人类型
                   beans.applicant.insuredType = $rootScope.carBeans.owner.insuredTypeCode =='1' ? '1':'2';
                   beans.applicant.insuredType==1?$rootScope.isAppCarMass=false:$rootScope.isAppCarMass=true;
                   $scope.taxPhone();
                   $scope.idCardLength1 = $scope.idCardLength;
                   if($rootScope.carBeans.applicant.identifyExpiry == '9999-12-31'){
                       $rootScope.carBeans.applicant.identifyLongValid = '1';
                       $scope.expiry.applicant=true;
                   }else{
                       $rootScope.carBeans.applicant.identifyLongValid = '0';
                       $scope.expiry.applicant=false;
                   }

               }
               // 被保人信息 -->同车主 -->赋值
               if ($rootScope.baseBean.insuredSameDriver && type=='2') {
                   //将车主信息复制到投保人
                   Handle.copyInfo(beans.insured, $rootScope.carBeans.owner, true);
                   //被保人类别
                   beans.insured.insuredType = $rootScope.carBeans.owner.insuredTypeCode =='1' ? '1':'2';
                   beans.insured.insuredType==1?$rootScope.isBizCarMass=false:$rootScope.isBizCarMass=true;
                   $scope.idCardLength2 = $scope.idCardLength;
                   if($rootScope.carBeans.insured.identifyExpiry == '9999-12-31'){
                       $rootScope.carBeans.insured.identifyLongValid = '1';
                       $scope.expiry.insured=true;
                   }else{
                       $rootScope.carBeans.insured.identifyLongValid = '0';
                       $scope.expiry.insured=false;
                   }
               }

               // 被保人信息 -->同投保人 -->赋值
               if ($rootScope.baseBean.insuredSameApp && type=='3') {
                   Handle.copyInfo(beans.insured, $rootScope.carBeans.applicant);
                   beans.insured.insuredType==1?$rootScope.isBizCarMass=false:$rootScope.isBizCarMass=true;
                   $('#insuredMail').val($rootScope.carBeans.insured.email);
                   $scope.idCardLength2 = $scope.idCardLength1;
                   if($rootScope.carBeans.insured.identifyLongValid == '1'){
                       $scope.expiry.insured=true;
                   }else{
                       $scope.expiry.insured=false;
                   }
               }


               // 受益人 -->同投保人 -->赋值
               if ($rootScope.baseBean.benifitSameApp && type=='4') {
                   Handle.copyInfo(beans.beneficiary, $rootScope.carBeans.applicant);
                   beans.beneficiary.insuredName=$rootScope.carBeans.applicant.name;
                   beans.beneficiary.sex=$rootScope.carBeans.applicant.gender;
                   beans.beneficiary.insuredType==1?$rootScope.isBenifitMass=false:$rootScope.isBenifitMass=true;
                   $('#appBenifitMail').val($rootScope.carBeans.beneficiary.email);
                   $scope.idCardLength3 = $scope.idCardLength1;
                   if($rootScope.carBeans.beneficiary.identifyLongValid == '1'){
                       $scope.expiry.benifitApp=true;
                   }else{
                       $scope.expiry.benifitApp=false;
                   }
               }
               // 受益人 -->同被保人 -->赋值
               if ($rootScope.baseBean.benifitSameInsure && type=='5') {
                   Handle.copyInfo(beans.beneficiary, $rootScope.carBeans.insured);
                   beans.beneficiary.insuredName=$rootScope.carBeans.insured.name;
                   beans.beneficiary.sex=$rootScope.carBeans.insured.gender;
                   beans.beneficiary.insuredType==1?$rootScope.isBenifitMass=false:$rootScope.isBenifitMass=true;
                   $('#appBenifitMail').val($rootScope.carBeans.beneficiary.email);
                   $scope.idCardLength3 = $scope.idCardLength2;
                   if($rootScope.carBeans.beneficiary.identifyLongValid == '1'){
                       $scope.expiry.benifitApp=true;
                   }else{
                       $scope.expiry.benifitApp=false;
                   }
               }
           };

           //切换证件类型
           $scope.default=function (val,b) {
               if(val=='tes1'){
                   $rootScope.carBeans.owner.identifyNumber='';
                   $rootScope.carBeans.owner.birthday='';
               }else if(val=='tes2'){
                   $rootScope.carBeans.applicant.identifyNumber='';
                   $rootScope.carBeans.applicant.birthday='';
                   $scope.maxLength(b,1);
                   if($rootScope.baseBean.insuredSameApp){
                       $scope.idCardLength2 = $scope.idCardLength1;
                   }


               }else if(val=='tes3'){
                   $rootScope.carBeans.insured.identifyNumber='';
                   $rootScope.carBeans.insured.birthday='';
                   $scope.maxLength(b,2)
               }else if(val=='tes4'){
                   $rootScope.carBeans.beneficiary.identifyNumber='';
                   $scope.maxLength(b,3)
               }
           };

           //监听纳税人信息改变
           $scope.changeTaxType = function() {
               var value = $rootScope.carBeans.applicant.taxType;
               if(value == '02'){ //小规模纳税人
                   $rootScope.carBeans.applicant.invtype = '0'; //普通发票
               }else if(value == '01'){ //一般纳税人
                   $rootScope.carBeans.applicant.invtype = '1'; //专用发票
               }
           };
           //提交核保
           $scope.checkOrder = function (form) {
                // 手动校验车架号
                if(!Handle.validateEvent()){
                    return;
                }
                if($rootScope.switchBean.contactSwitch && $rootScope.carBeans.applicant.insuredType=='2'){
                    if(!/^[\u4e00-\u9fa5 •\·]{2,10}$/.test($rootScope.carBeans.applicant.contactName)) {
                        $U.showToast('您的经办人姓名输入有误');
                        return;
                    }
                }
                //确保提核信息准确，移到提核请求接口之前
               // var reqModel = {
               //    // owner: $rootScope.carBeans.owner,
               //     applicant: $rootScope.carBeans.applicant,
               //     base: $rootScope.carBeans.base,
               //     insured: $rootScope.carBeans.insured,
               //     vehicle: $rootScope.carBeans.vehicle,
               //     appCustRecordInfo: $rootScope.carBeans.appCustRecordInfo,
               //     insCustRecordInfo: $rootScope.carBeans.insCustRecordInfo,
               //     clauseList: Handle.getClauseList(),
               //     underwriteInfo: {
               //         answer: "", //转保答案
               //         handleText: $rootScope.baseBean.handleText //提核说明
               //     }
               // };
               // $rootScope.beneficiaryBtn ? reqModel['beneficiary'] = $rootScope.carBeans.beneficiary:'';
               // if(!reqModel.clauseList){
               //     return;
               // }
               var  appMail = $('#appMail').val(),
                    insuredMail = $('#insuredMail').val(),
                    contactEmail = $('#contactEmail').val(),
                    appBenifitMail = $('#appBenifitMail').val();
               $rootScope.carBeans.applicant.email = appMail;
               $rootScope.carBeans.insured.email = insuredMail;
               $rootScope.carBeans.applicant.contactEmail = contactEmail;
               $rootScope.carBeans.beneficiary.email = appBenifitMail;

               //校验表单准确性
               $handleService.validateForm.call(this, form);
               if (form.$valid) {
                   var TypeRegExp = {
                       //身份证
                        "IdCodeValid": function (code) {
                            return $U.IdCodeValid(code);
                        },
                       //护照
                       "02": /^([A-Z0-9]{4,20})$/,
                       //军人证
                       "03": /^([a-zA-Z0-9\(\)\（\）]{4,20})$/,
                       //学生证
                       "04": /^([a-zA-Z0-9\(\)\（\）]{4,20})$/,
                       //台胞证
                       "05": /^([0-9A-Z\(\)\（\）]{4,20})$/,
                       //港澳通行证
                       "06": /^((.){4,20})$/,
                       //出生证
                       "07": /^([a-zA-Z0-9]{1,20})$/,
                       //统一社会信用代码
                       "09": /^([A-Z0-9]{18})$/,
                       //组织机构代码
                       "10": /^([a-zA-Z0-9]{8}-[0-9|X]|[a-zA-Z0-9]{10}|[a-zA-Z0-9]{18})$/,
                       //工商注册号
                       "11": /^([a-zA-Z0-9]{4,20})$/,
                       //税务登记证号
                       "12": /^([a-zA-Z0-9]{4,20})$/,
                       //纳税人识别号
                       "13": /^([a-zA-Z0-9]{15}|[a-zA-Z0-9]{17}|[a-zA-Z0-9]{18}|[a-zA-Z0-9]{20})$/,
                       //港澳台居民居住证
                       "15": /^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X)$/
                   };
                   var appRes ,insRes ={} ,befRes ={};
                   var typeRExp2 ='';
                   var typeRExp3 ='';
                   var typeRExp4 ='';
                   //投保人类型
                   if($rootScope.carBeans.applicant.identifyType=='01'){
                       appRes =  TypeRegExp.IdCodeValid($rootScope.carBeans.applicant.identifyNumber);
                   }else{
                       typeRExp2 = new RegExp(TypeRegExp[$rootScope.carBeans.applicant.identifyType] || /\S/);
                   }
                   //受益人类型
                   if($rootScope.carBeans.beneficiary.identifyNumber && $rootScope.carBeans.beneficiary.identifyType){
                       if($rootScope.carBeans.beneficiary.identifyType=='01'){
                           befRes = TypeRegExp.IdCodeValid($rootScope.carBeans.beneficiary.identifyNumber);
                       }else{
                           typeRExp4 = new RegExp(TypeRegExp[$rootScope.carBeans.beneficiary.identifyType]|| /\S/);
                       }
                   }

                   //被保人类型
                   if($rootScope.carBeans.insured.identifyType=='01'){
                       insRes = TypeRegExp.IdCodeValid($rootScope.carBeans.insured.identifyNumber);
                   }else{
                       typeRExp3 = new RegExp(TypeRegExp[$rootScope.carBeans.insured.identifyType]|| /\S/);
                   }
                   //投保人个人
                   if($rootScope.carBeans.applicant.insuredType == "1") {
                       if(!/^[\u4e00-\u9fa5 •\·]{2,10}$/.test($rootScope.carBeans.applicant.name)) {
                           $U.showToast('您的投保人姓名输入有误');
                           return;
                       }
                   } else {
                       //投保人团体
                       if(!/^[\u4e00-\u9fa5 •\(\)\（\）\·A-Za-z]{2,50}$/.test($rootScope.carBeans.applicant.name)) {
                           $U.showToast('您的投保人姓名输入有误');
                           return;
                       }
                   }
                   //被保人个人
                   if($rootScope.carBeans.insured.insuredType == "1") {
                       if(!/^[\u4e00-\u9fa5 •\·]{2,10}$/.test($rootScope.carBeans.insured.name)) {
                           $U.showToast('您的被保险人姓名输入有误');
                           return;
                       }
                   } else {
                       //企业机关
                       if(!/^[\u4e00-\u9fa5 •\(\)\（\）\·A-Za-z]{2,50}$/.test($rootScope.carBeans.insured.name)) {
                           $U.showToast('您的被保险人姓名输入有误');
                           return;
                       }
                   }
                   //受益人个人
                   if($rootScope.carBeans.beneficiary.insuredType == "1") {
                       if($rootScope.carBeans.beneficiary.insuredName&&!/^[\u4e00-\u9fa5 •\·]{2,10}$/.test($rootScope.carBeans.beneficiary.insuredName)) {
                           $U.showToast('您的受益人姓名输入有误');
                           return;
                       }
                   } else if($rootScope.carBeans.beneficiary.insuredType == "2") {
                       //企业机关
                       if($rootScope.carBeans.beneficiary.insuredName&&!/^[\u4e00-\u9fa5 •\(\)\（\）\·A-Za-z]{2,50}$/.test($rootScope.carBeans.beneficiary.insuredName)) {
                           $U.showToast('您的受益人姓名输入有误');
                           return;
                       }
                   }
                   //投保人身份证单独校验
                   if($rootScope.carBeans.applicant.identifyType == "01"){
                       if(appRes.pass==false) {
                           $U.showToast('您的投保人证件号码输入不正确');
                           return;
                       }
                   }
                   else if (typeRExp2.test($rootScope.carBeans.applicant.identifyNumber) == false) {
                       $U.showToast('您的投保人证件号码输入不正确');
                       return;
                   }

                   //被保人身份证单独校验
                   if($rootScope.carBeans.insured.identifyType=='01'){
                       if(insRes.pass==false) {
                           $U.showToast('您的被保险人证件号码输入不正确');
                           return;
                       }
                   }
                   else if (typeRExp3.test($rootScope.carBeans.insured.identifyNumber) == false) {
                       $U.showToast('您的被保险人证件号码输入不正确');
                       return;
                   }
                   var regphone =/^([1][3-9][0-9]{9})$|^((\d){3}(\*){4}(\d){4})$/,
                        regtel =/^0\d{2,3}-?\d{7,8}$|^0\d{2}(\*){4,5}\d{4}$/,
                        flag;


                   if($U.isNotEmpty($rootScope.carBeans.appConfig)){
                       flag = ($rootScope.carBeans.base.busiAttrConfig.policyStyles == '1' || $rootScope.carBeans.appConfig.electronicPolicyFlag == '1');
                   }else{
                       flag = $rootScope.carBeans.base.busiAttrConfig.policyStyles == '1'
                   }
                   //受益人身份证单独校验
                   if($rootScope.carBeans.beneficiary.identifyNumber&&$rootScope.carBeans.beneficiary.identifyType){
                       if($rootScope.carBeans.beneficiary.identifyType=='01' ){
                           if(befRes.pass==false) {
                               $U.showToast('您的受益人证件号码输入不正确');
                               return;
                           }
                       }
                       else if (typeRExp4.test($rootScope.carBeans.beneficiary.identifyNumber) == false) {
                           $U.showToast('您的受益人证件号码输入不正确');
                           return;
                       }
                   }


                   if($rootScope.carBeans.owner.mobilePhone){
                       var num =$rootScope.carBeans.owner.mobilePhone;
                       if(!regphone.test(num)&& !regtel.test(num)){
                           $U.showToast('请输入11位手机号码或者区号+座机格式车主联系电话');
                           return;
                       }
                   }

                    if($rootScope.carBeans.applicant.phone){
                        var num =$rootScope.carBeans.applicant.phone;
                        if(flag && !regphone.test(num)){
                            $U.showToast('请输入11位投保人手机号码');
                            return;
                        }else if(!regphone.test(num)&& !regtel.test(num)){
                            $U.showToast('请输入11位手机号码或者区号+座机格式投保人联系电话');
                            return;
                        }
                    }

                    if($rootScope.carBeans.insured.phone){
                        var num =$rootScope.carBeans.insured.phone;
                        if(flag && !regphone.test(num)){
                            $U.showToast('请输入11位被保人手机号码');
                            return;
                        }else if(!regphone.test(num) && !regtel.test(num)){
                            $U.showToast('请输入11位手机号码或者区号+座机格式被保人联系电话');
                            return;
                        }
                    }

                   if($rootScope.carBeans.applicant.mobilePhone){
                       var num =$rootScope.carBeans.applicant.mobilePhone;
                       if($rootScope.carBeans.applicant.invtype == '2' && !regphone.test(num)){
                           $U.showToast('请输入11位电子发票手机号码');
                           return;
                       }else if(!regphone.test(num)&& !regtel.test(num)){
                           $U.showToast('请输入11位手机号码或者区号+座机格式电子发票联系电话');
                           return;
                       }
                   }

                   if($rootScope.carBeans.beneficiary.phone){
                       var num =$rootScope.carBeans.beneficiary.phone;
                       if(flag && !regphone.test(num)){
                           $U.showToast('请输入11位受益人手机号码');
                           return;
                       }else if(!regphone.test(num)&& !regtel.test(num)){
                           $U.showToast('请输入11位手机号码或者区号+座机格式受益人联系电话');
                           return;
                       }
                   }
                   if($scope.isAppCarMass){
                       var num =$rootScope.carBeans.applicant.invPhone;
                       if(num && !regphone.test(num) && !regtel.test(num)){
                           $U.showToast('请输入11位手机号码或者区号+座机格式税务登记联系电话');
                           return;
                       }
                   }
                
                /*  ---  Subsection comment block  ---  */
                // 银行账号正则表达式优化,不能为连续重复一个数字,0910优化
                if ($rootScope.carBeans.applicant.account) {
                    var r = /^(\d)\1{5,29}$/;
                    var tes = r.test($rootScope.carBeans.applicant.account);
                    if (tes) {
                        $U.showToast('银行账户不能为连续重复一个数字');
                        return;
                    }
                }
                //投保人地址验证0910
                if ($rootScope.carBeans.applicant.address) {
                    var r = $U.checkAddress({
                        person: '投保人',
                        address: $rootScope.carBeans.applicant.address
                    })
                    if (!r.chkres && r.errmsg) {
                        $U.showToast(r.errmsg);
                        return;
                    }
                }
                //被保人地址验证0910
                if ($rootScope.carBeans.insured.address) {
                    var r = $U.checkAddress({
                        person: '被保人',
                        address: $rootScope.carBeans.insured.address
                    })
                    if (!r.chkres && r.errmsg) {
                        $U.showToast(r.errmsg);
                        return;
                    }
                }
                //受益人地址验证0910  
                if ($rootScope.carBeans.beneficiary.address) {
                    var r = $U.checkAddress({
                        person:'受益人',
                        address: $rootScope.carBeans.beneficiary.address
                    })
                    if (!r.chkres && r.errmsg) {
                        $U.showToast(r.errmsg);
                        return;
                    }
                }
                /*  ---  Subsection comment block  ---  */

                   //邮箱检验
                   var mailReg = /^[a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@([a-zA-Z0-9]*[-_]?[a-zA-Z0-9]+)+[\\.][A-Za-z]{2,3}([\\.][A-Za-z]{2,3})?$/;
                   if( (flag || appMail) && !mailReg.test(appMail)){
                       flag && !appMail?$U.showToast('请输入投保人邮箱'):$U.showToast('投保人邮箱输入有误');
                       // $U.showToast('投保人邮箱输入有误');
                       return;
                   }else if(appMail&& mailReg.test(appMail)){
                       $rootScope.carBeans.applicant.email = appMail;
                   }else{
                       $rootScope.carBeans.applicant.email = '';
                   }
                   if( insuredMail&& !mailReg.test(insuredMail)){
                       $U.showToast('被保人邮箱输入有误');
                       return;
                   }else if(insuredMail&& mailReg.test(insuredMail)){
                       $rootScope.carBeans.insured.email = insuredMail;
                   }else{
                       $rootScope.carBeans.insured.email = '';
                   }
                    //经办人邮箱验证
                    if( contactEmail&& !mailReg.test(contactEmail)){
                        $U.showToast('经办人邮箱输入有误');
                        return;
                    }else if(contactEmail&& mailReg.test(contactEmail)){
                        $rootScope.carBeans.applicant.contactEmail = contactEmail;
                    }else{
                        $rootScope.carBeans.applicant.contactEmail = '';
                    }
                   if( appBenifitMail&& !mailReg.test(appBenifitMail)){
                       $U.showToast('受益人邮箱输入有误');
                       return;
                   }else if(appBenifitMail&& mailReg.test(appBenifitMail)){
                       $rootScope.carBeans.beneficiary.email = appBenifitMail;
                   }else{
                       $rootScope.carBeans.beneficiary.email = '';
                   }


                   $scope.submitFlag = true;

                   var hasChangeFlag = false; //是否改变了投被保人信息

                   //港澳台居民居住证设置年龄、生日、性别
                   if ($rootScope.carBeans.applicant.identifyType == '15') {
                       var applicantCardInfo = $U.getIdCardInfo($rootScope.carBeans.applicant.identifyNumber);
                       $rootScope.carBeans.applicant.age = applicantCardInfo.age;
                       $rootScope.carBeans.applicant.birthday = applicantCardInfo.birthday;
                       $rootScope.carBeans.applicant.sex = applicantCardInfo.sex;
                   }
                   if ($rootScope.carBeans.insured.identifyType == '15') {
                       var insuredCardInfo = $U.getIdCardInfo($rootScope.carBeans.insured.identifyNumber);
                       $rootScope.carBeans.insured.age = insuredCardInfo.age;
                       $rootScope.carBeans.insured.birthday = insuredCardInfo.birthday;
                       $rootScope.carBeans.insured.sex = insuredCardInfo.sex;
                   }
                   //投保人信息是否一致判断
                   angular.forEach($rootScope.subObj.applicant, function(val, key) {
                       //投保人类型
                       if(key =='insuredType'&&($rootScope.carBeans.applicant[key] && $rootScope.carBeans.applicant[key] != val)){
                           hasChangeFlag = true;//是否改变了投被保人信息
                       }
                       if(key =='name'&&($rootScope.carBeans.applicant[key] && $rootScope.carBeans.applicant[key] != val)){
                           hasChangeFlag = true;//是否改变了投被保人信息
                       }
                       if(key =='identifyType'&&($rootScope.carBeans.applicant[key] && $rootScope.carBeans.applicant[key] != val)){
                           hasChangeFlag = true;//是否改变了投被保人信息
                       }
                       if(key =='identifyNumber'&&($rootScope.carBeans.applicant[key] && $rootScope.carBeans.applicant[key] != val)){
                           hasChangeFlag = true;//是否改变了投被保人信息
                       }
                       if(key =='age'&&($rootScope.carBeans.applicant[key] && $rootScope.carBeans.applicant[key] != val)){
                           hasChangeFlag = true;//是否改变了投被保人信息
                       }
                       if(key =='gender'&&($rootScope.carBeans.applicant[key] && $rootScope.carBeans.applicant[key] != val)){
                           hasChangeFlag = true;//是否改变了投被保人信息
                       }

                   });
                   //被保人信息是否一致判断
                   angular.forEach($rootScope.subObj.insured, function(val, key) {
                       if(key =='insuredType'&&($rootScope.carBeans.insured[key] && $rootScope.carBeans.insured[key] != val)){
                           hasChangeFlag = true;//是否改变了投被保人信息
                       }
                       if(key =='name'&&($rootScope.carBeans.insured[key] && $rootScope.carBeans.insured[key] != val)){
                           hasChangeFlag = true;//是否改变了投被保人信息
                       }
                       if(key =='identifyType'&&($rootScope.carBeans.insured[key] && $rootScope.carBeans.insured[key] != val)){
                           hasChangeFlag = true;//是否改变了投被保人信息
                       }
                       if(key =='identifyNumber'&&($rootScope.carBeans.insured[key] && $rootScope.carBeans.insured[key] != val)){
                           hasChangeFlag = true;//是否改变了投被保人信息
                       }
                       if(key =='age'&&($rootScope.carBeans.insured[key] && $rootScope.carBeans.insured[key] != val)){
                           hasChangeFlag = true;//是否改变了投被保人信息
                       }
                       if(key =='gender'&&($rootScope.carBeans.insured[key] && $rootScope.carBeans.insured[key] != val)){
                           hasChangeFlag = true;//是否改变了投被保人信息
                       }

                   });
                   if(hasChangeFlag){
                       // $rootScope.subObj = JSON.parse(JSON.stringify($rootScope.carBeans));//缓存投被保人信息
                       $scope.submitFlag = false;
                       $handleService.showAlert('温馨提示','您输入的车主与投被保人不是同一人。根据公开定价规则，将为您重新报价',function () {
                           $handleService.http({
                               url: "/quote?flowId=" + $rootScope.flowId,
                               data: $rootScope.carBeans,
                               // hasShowLoadding: false, //是否显示loadding图标
                               success: function(data){
                                   if(data.resultCode == "0" || data.resultCode == "E00005" || data.resultCode == "E21001"){
                                       $rootScope.subObj = JSON.parse(JSON.stringify($rootScope.carBeans));//缓存投被保人信息
                                       $scope.isReCal = true;
                                       $scope.submitFlag = false;
                                       $scope.calResultData = data.result.policyInfo;
                                       $scope.setPremium(data.result.policyInfo.riskList);
                                       //保费总价
                                       var calTotalPrice1 = {
                                           syTotalPremium : Number($rootScope.getCalPremiumResult.calPremiumResult.syTotalPremium) || 0,
                                           jqTotalPremium:Number($rootScope.getCalPremiumResult.calPremiumResult.jqTotalPremium) || 0,
                                           nocarTotalPremium:Number($rootScope.getCalPremiumResult.nocarPremiumResult) || 0,
                                           vhlTaxPremium:$rootScope.getCalPremiumResult.calPremiumResult.vhlTax.sumPayTax?Number($rootScope.getCalPremiumResult.calPremiumResult.vhlTax.sumPayTax): 0,
                                       };
                                       var totalCalPremiumResult = calTotalPrice1.syTotalPremium+calTotalPrice1.jqTotalPremium+calTotalPrice1.nocarTotalPremium+calTotalPrice1.vhlTaxPremium;
                                       $scope.totalCalPremiumResult = totalCalPremiumResult.toFixed(2);
                                       $ionicScrollDelegate.scrollTop(true);//滑动到最上面

                                   }else {
                                       // var errorMsg = data.errorMsg || '报价失败';
                                       $scope.submitFlag = true;
                                       var errorMsg = '系统重新报价失败,您可返回上一页手动报价';
                                       $handleService.showAlert('提示',errorMsg);
                                   }
                               },
                               error: function (ex) {
                                   $scope.submitFlag = true;
                                   $handleService.logger('error', ex);
                               }
                           })
                       });

                       return;
                   }
                   //未修改信息，继续提核
                   var reqModel = {
                       // owner: $rootScope.carBeans.owner,
                       applicant: $rootScope.carBeans.applicant,
                       base: $rootScope.carBeans.base,
                       insured: $rootScope.carBeans.insured,
                       vehicle: $rootScope.carBeans.vehicle,
                       appCustRecordInfo: $rootScope.carBeans.appCustRecordInfo,
                       insCustRecordInfo: $rootScope.carBeans.insCustRecordInfo,
                       clauseList: Handle.getClauseList(),
                       underwriteInfo: {
                           answer: "", //转保答案
                           handleText: $rootScope.baseBean.handleText //提核说明
                       }
                   };
                   $rootScope.beneficiaryBtn ? reqModel['beneficiary'] = $rootScope.carBeans.beneficiary:'';
                   if(!reqModel.clauseList){
                       return;
                   }
                   $handleService.logger('object', reqModel, '提交核保请求参数');
                   $scope.reqModel = reqModel;
                   $rootScope._CAR_BEANS.vehicle.frameNo = $rootScope.carBeans.vehicle.frameNo;
                   $rootScope._CAR_BEANS.vehicle.engineNo = $rootScope.carBeans.vehicle.engineNo;
                   $rootScope._CAR_BEANS.base.frmNoFlag = '2'; //真两号

                   //TerminalSource处理 jxx
                   if(window.requestParam.webSources == "QMYX"){
                       window.requestParam.terminalSource ? $rootScope._CAR_BEANS.base.terminalSource = window.requestParam.terminalSource : '';
                   }

                   if($rootScope.isNewCarFlag){// 新车免两号 需要重新报价
                       $handleService.http({
                           url: "/quote?flowId=" + $rootScope.flowId,
                           data: $rootScope._CAR_BEANS,
                           success: function(data){
                               $scope.submitFlag = true;
                               if(data.resultCode == "0" || data.resultCode == "E00005" || data.resultCode == "E21001"){
                                   Handle.thPolicy(reqModel);
                                   $rootScope.carBeans.base.frmNoFlag = '2';
                                   $rootScope.tempEngineNo = $rootScope.carBeans.vehicle.engineNo;
                                   $rootScope.tempFrameNo = $rootScope.carBeans.vehicle.frameNo;
                               }else {
                                   var errorMsg = data.errorMsg || '报价失败';
                                   $handleService.showAlert('提示',errorMsg);
                               }
                           },
                           error: function (ex) {
                               $scope.submitFlag = true;
                               $handleService.logger('error', ex);
                           }
                       })
                   }else{
                       Handle.thPolicy(reqModel);
                   }
                   console.log($rootScope.carBeans,'$rootScope.carBeans')

               }

           };
           //设置险种保费
           $scope.setPremium = function(riskList) {
               //calPremiumResult
               $rootScope.calPremiumResult = $scope.calPremiumResult = {}; //保存计算后的商业险保费
               $rootScope.getCalPremiumResult = {};//清空缓存，此参数用来保存保费计算结果，用来在提核页重新报价之后做对比，1112期
               var deductiblePremium = 0; //不计免赔
               angular.forEach(riskList, function(riskItem) {
                   if(riskItem.riskCode == "0302") {
                       //遍历商业险
                       angular.forEach(riskItem.coverageList, function(coverageItem, index) {
                           if(coverageItem.relatedInd == '1') {
                               deductiblePremium = $U.accAdd(deductiblePremium,coverageItem.nonDeductiblePremium||'0');
                           }
                           //险种金额
                           $scope.calPremiumResult[coverageItem.kindCode] = coverageItem;
                       });
                       //计算保费成功之后 更新本地缓存折扣值
                       angular.forEach($rootScope.carBeans.riskList, function (item, allIndex) {
                           if(item.riskCode == "0302") {
                               item.applySumDiscount = riskItem.applySumDiscount;
                           }
                       });

                       //存储商业险信息
                       $scope.calPremiumResult.syCalData = riskItem;
                       console.log($scope.calPremiumResult.syCalData,'77777');
                       //商业险系数
                       $scope.calPremiumResult.syAdjustInfo = riskItem.riskItemList;
                       //商业险风险等级
                       $rootScope.riskGradeSy = riskItem.riskGrade;
                       //商业险总折扣
                       $scope.calPremiumResult.applySumDiscount = riskItem.applySumDiscount;
                       //商业险总价
                       $scope.calPremiumResult.syTotalPremium =  (riskItem.sumGrossPremium||"0");
                       //0813商业险浮动系数
                       $scope.calPremiumResult.syFloatInfo = riskItem.riskItemList[0].ciNoFloatReason;

                   } else if(riskItem.riskCode == "0301") {
                       //存储交强险信息
                       $scope.calPremiumResult.jqCalData = riskItem;
                       //交强险浮动系数
                       $scope.calPremiumResult.jqAdjustInfo = riskItem.floatInfo;
                       //交强险风险等级
                       $rootScope.riskGradeJq = riskItem.riskGrade;
                       //交强险总折扣
                       $scope.calPremiumResult.jqApplySumDiscount = riskItem.applySumDiscount;
                       //交强险保费
                       $scope.calPremiumResult.jqTotalPremium = (riskItem.sumGrossPremium||"0");
                       //车船税
                       $scope.calPremiumResult.vhlTax = (riskItem.vhlTax||"0");
                   }
               });
               //不计免赔总价
               $scope.calPremiumResult.deductible = deductiblePremium;

               //非车险种保费
               $scope.nocarTotalPremium = $scope.calResultData.base.noCarSumPremium||'0';

               //非车险种
               if($rootScope.switchBean.noCarPrdSwitch){
                   $rootScope.noCarRiskList = $scope.calResultData.noCarProductList || [];
               }else{
                   $rootScope.noCarRiskList = $scope.calResultData.noCarRiskList || [];
               }
               $rootScope.getCalPremiumResult = {
                   calPremiumResult:$scope.calPremiumResult,
                   nocarPremiumResult:$scope.nocarTotalPremium
               }
               console.log($scope.getCalPremiumResult,'保费结果')
           }
           //支付返回
           $scope.returnMixIndex = function() {
               $handleService.closeModule($scope.alertPopup);
               Handle.goIndex();
           };
           $scope.changeAppAddr = function(a,b) {
               switch(b){
                   case 'a':
                       $rootScope.carBeans.applicant.address = $('.'+a).val();
                       //当投保人姓名和被保人姓名一致时
                       if($rootScope.baseBean.appIsSameDriver && $rootScope.baseBean.insuredSameApp){
                           $rootScope.carBeans.insured.address = $rootScope.carBeans.applicant.address;
                       }
                       // if(($rootScope.baseBean.appIsSameDriver &&  $rootScope.baseBean.insuredSameDriver)|| $rootScope.baseBean.insuredSameApp) {
                       //     $rootScope.carBeans.insured.address = $rootScope.carBeans.applicant.address;
                       // }
                       break;
                   case 'b':
                       $rootScope.carBeans.insured.address = $('.'+a).val();
                       break;
                   case 'c':
                       $rootScope.carBeans.beneficiary.address = $('.'+a).val();
                       break;
                   default:
                       //当投保人姓名和被保人姓名一致时
                       if(($rootScope.baseBean.appIsSameDriver &&  $rootScope.baseBean.insuredSameDriver)|| $rootScope.baseBean.insuredSameApp) {
                           $rootScope.carBeans.insured.address = $rootScope.carBeans.applicant.address;
                       }
                       break;

               }
           };

           //客户职业
           $scope.changeWork= function (type) {
               if(type==1){
                   $("#applicantWork").trigger("click");
               }else if(type==2){
                   $("#insuredWork").trigger("click");
               }else if(type==3){
                   $("#appBenifitWork").trigger("click");
               }

           };
           
           // 选择国籍
           $scope.changeCounty= function (type) {
                if(type==1){
                    $("#applicantCountry").trigger("click");
                }else if(type==2){
                    $("#insuredCountry").trigger("click");
                }else if(type==3){
                    $("#appBenifitCountry").trigger("click");
                }
            };
           $scope.changeCountryItem = function(item,type){
                if(type==1){
                    if(item.country){
                        $rootScope.carBeans.applicant.country=item.country;
                        $rootScope.carBeans.applicant.countryName=item.countryName;
                    }else{
                        $rootScope.carBeans.applicant.country='';
                        $rootScope.carBeans.applicant.countryName='';
                    }

                }else if(type==2){
                    if(item.country){
                        $rootScope.carBeans.insured.country=item.country;
                        $rootScope.carBeans.insured.countryName=item.countryName;
                    }else{
                        $rootScope.carBeans.insured.country="";
                        $rootScope.carBeans.insured.countryName="";
                    }

                }else if(type==3){
                    if(item.country){
                        $rootScope.carBeans.beneficiary.country=item.country;
                        $rootScope.carBeans.beneficiary.countryName=item.countryName;
                    }else{
                        $rootScope.carBeans.beneficiary.country="";
                        $rootScope.carBeans.beneficiary.countryName="";
                    }

                }
                /* if($rootScope.baseBean.insuredSameApp){
                    $rootScope.carBeans.insured.countryName=$rootScope.carBeans.applicant.countryName;
                    $rootScope.carBeans.insured.country=$rootScope.carBeans.applicant.country;
                } */
           };



           $scope.changeWorkItem=function (item,type) {
               if(type==1){
                   if(item.code){
                       $rootScope.carBeans.applicant.occupationName=item.occupationName;
                       $rootScope.carBeans.applicant.occupationCode=item.code;
                   }else{
                       $rootScope.carBeans.applicant.occupationName="";
                       $rootScope.carBeans.applicant.occupationCode="";
                   }

               }else if(type==2){
                   if(item.code){
                       $rootScope.carBeans.insured.occupationName=item.occupationName;
                       $rootScope.carBeans.insured.occupationCode=item.code;
                   }else{
                       $rootScope.carBeans.insured.occupationName="";
                       $rootScope.carBeans.insured.occupationCode="";
                   }

               }else if(type==3){
                   if(item.code){
                       $rootScope.carBeans.beneficiary.occupationName=item.occupationName;
                       $rootScope.carBeans.beneficiary.occupationCode=item.code;
                   }else{
                       $rootScope.carBeans.beneficiary.occupationName="";
                       $rootScope.carBeans.beneficiary.occupationCode="";
                   }

               }
                /* if($rootScope.baseBean.insuredSameApp){
                    $rootScope.carBeans.insured.occupationName=$rootScope.carBeans.applicant.occupationName;
                    $rootScope.carBeans.insured.occupationCode=$rootScope.carBeans.applicant.occupationCode;
                } */

           };

           //客户行业
           $scope.changeBusiness= function (type) {
               if(type==1){
                   $("#applicantBusiness").trigger("click");
               }else if(type==2){
                   $("#insuredBusiness").trigger("click");
               }else if(type==3){
                   $("#beneficiaryBusiness").trigger("click");
               }

           };
           //更多信息
           $scope.goMoreApp = function () {
               if(!$rootScope.carBeans.applicant.name || !$rootScope.carBeans.applicant.identifyNumber || !$rootScope.carBeans.applicant.identifyType){
                   $U.showToast('请先填写完投保人信息');
                   return;
               }
               $state.go('tab.moreInformations',{pageFlag:'app'});
           };
           $scope.goMoreIns = function () {
               if(!$rootScope.carBeans.insured.name || !$rootScope.carBeans.insured.identifyNumber || !$rootScope.carBeans.insured.identifyType){
                   $U.showToast('请先填写完被保人信息');
                   return;
               }
               $state.go('tab.moreInformations',{pageFlag:'insure'});
           };

           $scope.changeBusinessItem=function (item,type) {
               if(type==1){
                   if(item.businessCode){
                       $rootScope.carBeans.applicant.businessName=item.businessName;
                       $rootScope.carBeans.applicant.businessCode=item.businessCode;
                   }else{
                       $rootScope.carBeans.applicant.businessName="";
                       $rootScope.carBeans.applicant.businessCode="";
                   }

               }else if(type==2){
                   if(item.businessCode){
                       $rootScope.carBeans.insured.businessName=item.businessName;
                       $rootScope.carBeans.insured.businessCode=item.businessCode;
                   }else{
                       $rootScope.carBeans.insured.businessName="";
                       $rootScope.carBeans.insured.businessCode="";
                   }
               }else if(type==3){
                   if(item.businessCode){
                       $rootScope.carBeans.beneficiary.businessName=item.businessName;
                       $rootScope.carBeans.beneficiary.businessCode=item.businessCode;
                   }else{
                       $rootScope.carBeans.beneficiary.businessName="";
                       $rootScope.carBeans.beneficiary.businessCode="";
                   }
               }
               /* if($rootScope.baseBean.insuredSameApp){
                   $rootScope.carBeans.insured.businessName=$rootScope.carBeans.applicant.businessName;
                   $rootScope.carBeans.insured.businessCode=$rootScope.carBeans.applicant.businessCode;
               } */
           };
           $scope.beneficiaryChange = function () {
               $rootScope.beneficiaryBtn = !$rootScope.beneficiaryBtn;
               $rootScope.beneficiaryFlag = true; //暂存受益人数据
           };
           $scope.taxPhone = function(){
               if($rootScope.isAppCarMass){
                   //税务登记电话
                   $rootScope.carBeans.applicant.invPhone ? '':$rootScope.carBeans.applicant.invPhone = $rootScope.carBeans.applicant.phone;
               }else{
                   $rootScope.carBeans.applicant.invPhone = '';
               }
           };
           //邮箱赋值
           $scope.mailChange = function(a){
               if(a == 'a'){
                   $rootScope.carBeans.applicant.email = event.target.innerText;
               }else if(a == 'b'){
                   $rootScope.carBeans.insured.email = event.target.innerText;
               }else if(a == 'c'){
                   $rootScope.carBeans.applicant.contactEmail = event.target.innerText;
               }else if(a == 'd'){
                   $rootScope.carBeans.beneficiary.email = event.target.innerText;
               }
               if($rootScope.baseBean.insuredSameApp){
                   $rootScope.carBeans.insured.email = $rootScope.carBeans.applicant.email;
               }
           };
           Handle.initPage();
       });
      return app;
   })
;
