define([
        'services/app.service',
        'services/app.general.service',
        'directives/app.directives',
        'filters/app.filters',
        'services/app.car.beans',
        'modalSelect',
        'ngUpload'
    ],
    function () {
        'use strict';
        var app = angular.module('app.payment.controller', [
            'app.handle.service',
            'app.general.service',
            'app.directives',
            'app.filters',
            'app.car.beans',
            'ionic-modal-select',
            'ngFileUpload'
        ]);
        //表单控制器
        app.controller('paymentController', function ($scope, $rootScope, $http,$location, $state, $stateParams, $handleService, $generalService, $interFace, Upload, $carBeansService, $q) {
            //----------------------------------------begin 变量----------------------------------------//

            $scope.idCardLength = '';
            $scope.isCarMass = $rootScope.carBeans.owner.insuredTypeCode=='2' || $rootScope.carBeans.owner.insuredTypeCode=='3';
            if($rootScope.carBeans.applicant.name==''&& $rootScope.carBeans.applicant.identifyNumber=='') {
                $scope.isCarMass ? $rootScope.carBeans.applicant.insuredType = '2' : $rootScope.carBeans.applicant.insuredType = '1';
                $scope.isCarMass ? $rootScope.carBeans.insured.insuredType = '2' : $rootScope.carBeans.insured.insuredType = '1';
            }


            $scope.maxLength = function (a,b) {
                if(b == 1){
                    //投保人证件
                    switch (a) {
                        case '01':$scope.idCardLength = '18'; break;//身份证
                        case '02':$scope.idCardLength = '20'; break;//护照
                        case '03':$scope.idCardLength = '20'; break;//军人证
                        case '04':$scope.idCardLength = '20'; break;//学生证
                        case '05':$scope.idCardLength = '20'; break;//台胞证
                        case '06':$scope.idCardLength = '20'; break;//港澳返乡证
                        case '07':$scope.idCardLength = '20'; break;//出生证
                        case '09':$scope.idCardLength = '18'; break;//统一社会信用代码
                        case '10':$scope.idCardLength = '18'; break;//组织机构代码
                        case '11':$scope.idCardLength = '10'; break;//工商注册号
                        case '12':$scope.idCardLength = '10'; break;//税务登记证号
                        case '13':$scope.idCardLength = '20'; break;//纳税人识别号
                        case '15':$scope.idCardLength = '18'; break;//港澳台居民居住证
                        case '99':$scope.idCardLength = '20'; break;//其他
                        default:$scope.idCardLength = ''; break;
                    }
                }else if(b == 2){
                    //被保人证件
                    switch (a) {
                        case '01':$scope.idCardLength = '18'; break;//身份证
                        case '02':$scope.idCardLength = '20'; break;//护照
                        case '03':$scope.idCardLength = '20'; break;//军人证
                        case '04':$scope.idCardLength = '20'; break;//学生证
                        case '05':$scope.idCardLength = '20'; break;//台胞证
                        case '06':$scope.idCardLength = '20'; break;//港澳返乡证
                        case '07':$scope.idCardLength = '20'; break;//出生证
                        case '09':$scope.idCardLength = '18'; break;//统一社会信用代码
                        case '10':$scope.idCardLength = '18'; break;//组织机构代码
                        case '11':$scope.idCardLength = '10'; break;//工商注册号
                        case '12':$scope.idCardLength = '10'; break;//税务登记证号
                        case '13':$scope.idCardLength = '20'; break;//纳税人识别号
                        case '15':$scope.idCardLength = '18'; break;//港澳台居民居住证
                        case '99':$scope.idCardLength = '20'; break;//其他
                        default:$scope.idCardLength = ''; break;
                    }
                }

            }
            if($rootScope.errorType){
                switch($rootScope.errorType){
                    case '1':$scope.errorMsg = '投保人';break;
                    case '2':$scope.errorMsg = '被保人';break;
                    case '3':$scope.errorMsg = '经办人';break;
                    case '4':$scope.errorMsg = '投保人和被保人';break;
                    case '5':$scope.errorMsg = '被保人和经办人';break;

                }
            }




            var Handle = (function (handle) {
                //初始化 页面 方法
                handle.initPage = function () {
                    //初始化动态Form 解决安卓 Bug
                    $handleService.initFormApp();
                    //------------------------------------- begin 其他信息 初始化 -------------------------------------//

                    // 证件类型输入位数控制
                    $scope.maxLength($rootScope.carBeans.applicant.identifyType);
                    $scope.maxLength($rootScope.carBeans.insured.identifyType);
                    //------------------------------------- end   其他信息 初始化 -------------------------------------//
                };
                handle.infoHandle = function (beans) {
                    var _val_beans = angular.copy(beans);
                    // 投保人信息 -->同车主 -->赋值
                    beans.applicant.insuredType =  $scope.isCarMass ? '2':'1';

                    /** 投保人姓名 */
                    beans.applicant.name = _val_beans.owner.name;
                    /**投保人证件类型*/
                    beans.applicant.identifyType = _val_beans.owner.identifyType;
                    /** 投保人证件号码 */
                    beans.applicant.identifyNumber = _val_beans.owner.identifyNumber;
                    /** 投保人联系人电话 */
                    beans.applicant.phone = _val_beans.owner.mobilePhone;
                    /** 投保人邮箱 */
                    beans.applicant.email = _val_beans.owner.email;
                    /** 性别 */
                    beans.applicant.gender = _val_beans.owner.gender;
                    /** 出生日期 */
                    beans.applicant.birthday = _val_beans.owner.birthday;
                    beans.applicant.address = _val_beans.owner.address

                    // }
                    // 被保人信息 -->同车主 -->赋值
                    //被保人类别
                    beans.insured.insuredType = $scope.isCarMass ? '2':'1';
                    /** 被保人姓名 */
                    beans.insured.name = _val_beans.owner.name;
                    /** 被保人证件类型 */
                    beans.insured.identifyType = _val_beans.owner.identifyType;
                    /** 被保人证件号码 */
                    beans.insured.identifyNumber = _val_beans.owner.identifyNumber;
                    /** 被保人联系人电话 */
                    beans.insured.phone = _val_beans.owner.mobilePhone;

                    /** 被保人邮箱 */
                    beans.insured.email = _val_beans.owner.email;
                    /** 性别 */
                    beans.insured.gender = _val_beans.owner.gender;
                    /** 出生日期 */
                    beans.insured.birthday = _val_beans.owner.birthday;
                    beans.insured.address = _val_beans.owner.address;
                };
                handle.qmysHandle = function (opts) {

                    var options = {
                        appNoList: [], //投保单号列表
                        orderNo: "" //订单号
                    };
                    var salesmanCode=window.requestParam.issueCode||"";
                    angular.extend(options, opts);

                };

                return handle;
            })(Handle || {});
            Handle.initPage();

            //----------------------------------------begin 车主信息页面----------------------------------//


            //切换证件类型
            $scope.default=function (val,b) {
                if(val=='tes1'){
                    $rootScope.carBeans.owner.identifyNumber='';
                    $rootScope.carBeans.owner.birthday='';
                    $rootScope.tes1=false;
                }else if(val=='tes2'){
                    $rootScope.carBeans.applicant.identifyNumber='';
                    $rootScope.carBeans.applicant.birthday='';
                    $rootScope.tes2=false;
                    $scope.maxLength(b,1);
                    if($rootScope.baseBean.insuredSameApp){
                        $scope.idCardLength2 = $scope.idCardLength1;
                    }


                }else if(val=='tes3'){
                    $rootScope.carBeans.insured.identifyNumber='';
                    $rootScope.carBeans.insured.birthday='';
                    $rootScope.tes3=false;
                    $scope.maxLength(b,2)
                }
            };

            //实名缴费信息提交方法
            $scope.owinfoSubmit = function (form) {
                //校验表单准确性
                $handleService.validateForm.call(this, form);
                if (form.$valid) {
                    var TypeRegExp = {
                        //身份证
                        "IdCodeValid": function (code) {
                            return $U.IdCodeValid(code);
                        },
                        //护照
                        "02": /^([A-Z0-9]{4,20})$/,
                        //军人证
                        "03": /^([a-zA-Z0-9\(\)\（\）]{4,20})$/,
                        //学生证
                        "04": /^([a-zA-Z0-9\(\)\（\）]{4,20})$/,
                        //台胞证
                        "05": /^([0-9A-Z\(\)\（\）]{4,20})$/,
                        //港澳通行证
                        "06": /^((.){4,20})$/,
                        //出生证
                        "07": /^([a-zA-Z0-9]{1,20})$/,
                        //统一社会信用代码
                        "09": /^([A-Z0-9]{18})$/,
                        //组织机构代码
                        "10": /^([a-zA-Z0-9]{8}-[0-9|X]|[a-zA-Z0-9]{10}|[a-zA-Z0-9]{18})$/,
                        //工商注册号
                        "11": /^([a-zA-Z0-9]{4,20})$/,
                        //税务登记证号
                        "12": /^([a-zA-Z0-9]{4,20})$/,
                        //纳税人识别号
                        "13": /^([a-zA-Z0-9]{15}|[a-zA-Z0-9]{17}|[a-zA-Z0-9]{18}|[a-zA-Z0-9]{20})$/,
                        //港澳台居民居住证
                        "15": /^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X)$/
                    };
                    var appRes ,insRes ={};
                    var typeRExp2 ='';
                    var typeRExp3 ='';
                    //投保人类型
                    if($rootScope.carBeans.applicant.identifyType=='01'){
                        appRes =  TypeRegExp.IdCodeValid($rootScope.carBeans.applicant.identifyNumber);
                    }else{
                        typeRExp2 = new RegExp(TypeRegExp[$rootScope.carBeans.applicant.identifyType] || /\S/);
                    }
                    //被保人类型
                    if($rootScope.carBeans.insured.identifyType=='01'){
                        insRes = TypeRegExp.IdCodeValid($rootScope.carBeans.insured.identifyNumber);
                    }else{
                        typeRExp3 = new RegExp(TypeRegExp[$rootScope.carBeans.insured.identifyType]|| /\S/);
                    }
                    //投保人个人
                    if($rootScope.carBeans.applicant.insuredType == "1") {
                        if(!/^[\u4e00-\u9fa5 •\·]{2,10}$/.test($rootScope.carBeans.applicant.name)) {
                            $U.showToast('您的投保人姓名输入有误');
                            return;
                        }
                    } else {
                        //投保人团体
                        if(!/^[\u4e00-\u9fa5 •\(\)\（\）\·A-Za-z]{2,25}$/.test($rootScope.carBeans.applicant.name)) {
                            $U.showToast('您的投保人姓名输入有误');
                            return;
                        }
                    }
                    //被保人个人
                    if($rootScope.carBeans.insured.insuredType == "1") {
                        if(!/^[\u4e00-\u9fa5 •\·]{2,10}$/.test($rootScope.carBeans.insured.name)) {
                            $U.showToast('您的被保险人姓名输入有误');
                            return;
                        }
                    } else {
                        //企业机关
                        if(!/^[\u4e00-\u9fa5 •\(\)\（\）\·A-Za-z]{2,25}$/.test($rootScope.carBeans.insured.name)) {
                            $U.showToast('您的被保险人姓名输入有误');
                            return;
                        }
                    }
                    //经办人名称验证
                    if($rootScope.carBeans.applicant.contactName) {
                        if(!/^[\u4e00-\u9fa5 •]{2,10}$/.test($rootScope.carBeans.applicant.contactName)) {
                            $U.showToast('您的经办人名称输入有误');
                            return;
                        }
                    }
                    //投保人持有人姓名验证
                    if($rootScope.carBeans.applicant.phoneHolder) {
                        if(!/^[\u4e00-\u9fa5 •]{2,10}$/.test($rootScope.carBeans.applicant.phoneHolder)) {
                            switch($rootScope.errorType){
                                case '1':
                                case '4':
                                    $U.showToast('您的投保人持有人名称输入有误');
                                    return;
                                    break;
                                case '3':
                                case '5':
                                    $U.showToast('您的经办人持有人名称输入有误');
                                    return;
                                    break;
                            }

                        }
                    }
                    //被保人持有人姓名验证
                    if($rootScope.carBeans.insured.phoneHolder) {
                        if(!/^[\u4e00-\u9fa5 •]{2,10}$/.test($rootScope.carBeans.insured.phoneHolder)) {
                            $U.showToast('您的被保人持有人名称输入有误');
                            return;

                        }
                    }

                    //投保人身份证单独校验
                    if($rootScope.carBeans.applicant.identifyType == "01"){
                        if(!TypeRegExp.IdCodeValid($rootScope.carBeans.applicant.identifyNumber).pass) {
                            $U.showToast('您的投保人证件号码输入不正确');
                            return;
                        }
                    }
                    else if (typeRExp2.test($rootScope.carBeans.applicant.identifyNumber) == false) {
                        $U.showToast('您的投保人证件号码输入不正确');
                        return;
                    }

                    //被保人身份证单独校验
                    if($rootScope.carBeans.insured.identifyType=='01'){
                        if(!TypeRegExp.IdCodeValid($rootScope.carBeans.insured.identifyNumber).pass) {
                            $U.showToast('您的被保险人证件号码输入不正确');
                            return;
                        }
                    }
                    else if (typeRExp3.test($rootScope.carBeans.insured.identifyNumber) == false) {
                        $U.showToast('您的被保险人证件号码输入不正确');
                        return;
                    }
                    //手机号持有人单独校验
                    if($rootScope.carBeans.applicant.holderCertiCode){
                        if(!TypeRegExp.IdCodeValid($rootScope.carBeans.applicant.holderCertiCode).pass) {
                            switch($rootScope.errorType){
                                case '1':
                                case '4':
                                    $U.showToast('您的投保人持有人身份证号码输入不正确');
                                    return;
                                    break;
                                case '3':
                                case '5':
                                    $U.showToast('您的经办人持有人身份证号码输入不正确');
                                    return;
                                    break;
                            }


                        }
                    }
                    if($rootScope.carBeans.insured.holderCertiCode){
                        if(!TypeRegExp.IdCodeValid($rootScope.carBeans.insured.holderCertiCode).pass) {
                            $U.showToast('您的被保人持有人身份证号码输入不正确');
                            return;
                        }
                    }
                    //经办人证件号单独校验
                    if($rootScope.carBeans.applicant.contactIdNumber && $rootScope.carBeans.applicant.contactIdType=='01'){
                        if(!TypeRegExp.IdCodeValid($rootScope.carBeans.applicant.contactIdNumber).pass) {
                            $U.showToast('您的经办人证件号码输入不正确');
                            return;
                        }
                    }
                    else if ($rootScope.carBeans.applicant.contactIdNumber && typeRExp3.test($rootScope.carBeans.applicant.contactIdNumber) == false) {
                        $U.showToast('您的经办人证件号码输入不正确');
                        return;
                    }
                    var regphone =/^([1][3-9][0-9]{9})$|^((\d){3}(\*){4}(\d){4})$/;
                    var regtel =/^0\d{2,3}-?\d{7,8}$|^0\d{2}(\*){4,5}\d{4}$/;
                    var flag;
                    if($U.isNotEmpty($rootScope.carBeans.appConfig)){
                        flag = ($rootScope.carBeans.base.busiAttrConfig.policyStyles == '1' || $rootScope.carBeans.appConfig.electronicPolicyFlag == '1');
                    }else{
                        flag = $rootScope.carBeans.base.busiAttrConfig.policyStyles == '1'
                    }

                    if($rootScope.carBeans.applicant.phone){
                        var num =$rootScope.carBeans.applicant.phone;

                        if(flag && !regphone.test(num)){
                            $U.showToast('请输入11位投保人手机号码');
                            return;
                        }else if(!regphone.test(num)&& !regtel.test(num)){
                            $U.showToast('请输入11位手机号码或者区号+座机格式投保人联系电话');
                            return;
                        }

                    }

                    if($rootScope.carBeans.insured.phone){
                        var num =$rootScope.carBeans.insured.phone;
                        if(flag && !regphone.test(num)){
                            $U.showToast('请输入11位被保人手机号码');
                            return;
                        }else if(!regphone.test(num) && !regtel.test(num)){
                            $U.showToast('请输入11位手机号码或者区号+座机格式被保人联系电话');
                            return;
                        }
                    }
                    
                    if($rootScope.carBeans.applicant.contactMobile){
                        var num =$rootScope.carBeans.applicant.contactMobile;
                        if(!regphone.test(num)){
                            $U.showToast('请输入11位经办人手机号码');
                            return;
                        }else if(!regphone.test(num)&& !regtel.test(num)){
                            $U.showToast('请输入11位手机号码或者区号+座机格式被保人联系电话');
                            return;
                        }
                    }
                    $rootScope.payment = true;
                    $location.path("tab/owConfirm");
                }

            };



            //----------------------------------------end   实名缴费信息页面----------------------------------------//
        });
        return app;
    });