define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives','filters/app.filters' ,'services/app.store'], function () {
    'use strict';
    var app = angular.module('app.policyDelivery.controller', ['app.handle.service', 'app.directives','app.filters', 'app.general.service','ionic']);
    //投保查询控制器
    app.controller('policyDelivery', function ($generalService, $ionicPopup, $scope, $rootScope, $state, $stateParams, $handleService, $interFace,$location, store) {
        $scope.deliveryMode = '';
        $scope.deliveryStatus = [];
        $rootScope.showPolicy = true;
        $rootScope.showRelationTips = false;//是否显示关联保单弹窗提示
        if(!$rootScope.isRelation){
            $rootScope.deliveryPolicyNo = {
                policyNoJq: $rootScope.policyDeliveryData.deliveryStatusJq=='0' || $rootScope.policyDeliveryData.deliveryStatusJq=='7' ? $rootScope.policyDeliveryData.policyNoJq : '',
                policyNoSy: $rootScope.policyDeliveryData.deliveryStatusSy=='0' || $rootScope.policyDeliveryData.deliveryStatusSy=='7'? $rootScope.policyDeliveryData.policyNoSy : ''
            };
        }
        //节流方法
        var throttle = function(func, delay) {            
        　　var prev = Date.now();            
        　　return function() {                
        　　　　var context = this;                
        　　　　var args = arguments;                
        　　　　var now = Date.now();                
        　　　　if (now - prev >= delay) {                    
        　　　　　　func.apply(context, args);                    
        　　　　　　prev = Date.now();                
        　　　　}            
        　　}        
        };
        var Handle = (function (handle) {
            handle.initPage = function() {
                if($rootScope.isRelation){
                    Handle.getDeliveryMoonth();
                }else{
                    var dts = $.Deferred();
                    $.when(Handle.getDeliveryStatus(dts))
                    .done(function(){
                        Handle.getDeliveryMoonth();
                    });    
                }
            };

            //获取月结方式
            handle.getDeliveryMoonth = function() {
                if($rootScope.isRelation || $rootScope.policyDeliveryData.deliveryStatusJq=='0'||$rootScope.policyDeliveryData.deliveryStatusSy=='0'||$rootScope.policyDeliveryData.deliveryStatusJq=='7'||$rootScope.policyDeliveryData.deliveryStatusSy=='7'){
                    $handleService.http({
                        url: "/policyDelivery/getDeliveryTpes?deptCode="+$U.getDeptCode(),
                        method: 'GET',
                        success: function (data) {
                            if(data.resultCode == "0") {
                                $scope.deliveryMode = data.result.deliveryMode;
                                $rootScope.shipperName = data.result.shipperName;
                                $rootScope.shipperCode = data.result.shipperCode;
                                if($rootScope.isRelation){
                                    $rootScope.relationInfo.companyCode = data.result.shipperCode || '';
                                    $rootScope.relationInfo.companyName = data.result.shipperName || '';
                                }
                                $rootScope.shipper = {
                                    monthCode: data.result.monthCode,
                                    shipperCode: data.result.shipperCode,
                                    shipperName: data.result.shipperName,
                                    senderAddress: data.result.senderAddress,
                                    senderProvince: data.result.senderProvince,
                                    senderCity: data.result.senderCity,
                                    senderDistrict: data.result.senderExparea,
                                    senderPostCode: data.result.senderPostCode,
                                    senderMobile: data.result.senderMobile,
                                    senderTel: data.result.senderTel,
                                    senderName: data.result.senderName,
                                    customerName: data.result.customerName,
                                    customerPwd: data.result.customerPwd,
                                    sendSite: data.result.sendSite,
                                    sendStaff: data.result.sendStaff
                                };
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                        }
                    })
                }
            }

            //获取配送信息
            handle.getDeliveryStatus = function(dtd) {
                // if(($rootScope.policyDeliveryData.deliveryStatusJq&&$rootScope.policyDeliveryData.deliveryStatusJq!='0'&&$rootScope.policyDeliveryData.deliveryStatusJq!='7')||($rootScope.policyDeliveryData.deliveryStatusSy&&$rootScope.policyDeliveryData.deliveryStatusSy!='0'&&$rootScope.policyDeliveryData.deliveryStatusSy!='7')){
                    $handleService.http({
                        url: "/policyDelivery/queryDeliveryInfo?orderNo="+$rootScope.policyDeliveryData.orderNo+"&policyNoJq="+$rootScope.deliveryPolicyNo.policyNoJq+'&policyNoSy='+$rootScope.deliveryPolicyNo.policyNoSy,//$rootScope.policyDeliveryData.orderNo
                        method: 'GET',
                        success: function (data) {
                            if(data.resultCode == "0") {
                                angular.forEach(data.result,function(item) {
                                    //直接取首个数字状态
                                    item.deliveryStatus.substring(0,1) == '4' ? item.deliveryStatus = '4' : '';
                                    item.deliveryStatus.substring(0,1) == '5' ? item.deliveryStatus = '5' : '';
                                    if(item.logisticCode || item.deliveryStatus == '6'){
                                        $scope.deliveryStatus.push(item)
                                    }
                                });
                                if(data.result.length==2){
                                    angular.forEach(data.result,function(data) {//返回两条数据,判断交强、商业险
                                        if($rootScope.policyDeliveryData.policyNoJq){
                                            if(data.policyNo == $rootScope.policyDeliveryData.policyNoJq){
                                                $rootScope.policyDeliveryData.policyNoJq = data.policyNo;
                                                $rootScope.policyDeliveryData.deliveryStatusJq = data.deliveryStatus;
                                            }else{
                                                $rootScope.policyDeliveryData.policyNoSy = data.policyNo;
                                                $rootScope.policyDeliveryData.deliveryStatusSy = data.deliveryStatus;
                                            }
                                        }else if($rootScope.policyDeliveryData.policyNoSy){
                                            if(data.policyNo == $rootScope.policyDeliveryData.policyNoSy){
                                                $rootScope.policyDeliveryData.policyNoSy = data.policyNo;
                                                $rootScope.policyDeliveryData.deliveryStatusSy = data.deliveryStatus;
                                            }else{
                                                $rootScope.policyDeliveryData.policyNoJq = data.policyNo;
                                                $rootScope.policyDeliveryData.deliveryStatusJq = data.deliveryStatus;
                                            }
                                        }
                                    });
                                    if($scope.deliveryStatus.length == 2){
                                        if(($scope.deliveryStatus[0].logisticCode && $scope.deliveryStatus[0].logisticCode == $scope.deliveryStatus[1].logisticCode) || ($scope.deliveryStatus[0].deliveryStatus == '6' && $scope.deliveryStatus[1].deliveryStatus == '6')){
                                            //同一快递,只显示一个配送状态
                                            $rootScope.showPolicy = false;
                                            $scope.deliveryStatus.splice(0,1)
                                        };
                                    }
                                    $rootScope.deliveryPolicyNo = {
                                        policyNoJq: $rootScope.policyDeliveryData.deliveryStatusJq=='0' || $rootScope.policyDeliveryData.deliveryStatusJq=='7' ? $rootScope.policyDeliveryData.policyNoJq : '',
                                        policyNoSy: $rootScope.policyDeliveryData.deliveryStatusSy=='0' || $rootScope.policyDeliveryData.deliveryStatusSy=='7'? $rootScope.policyDeliveryData.policyNoSy : ''
                                    };
                                }
                            }else {
                                $U.showToast(data.errorMsg);
                            }
                            dtd.resolve();
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                            dtd.reject();
                        }
                    });
                    return dtd;
                // }
            }
            handle.getCanner = function() {
                var regnum = /\d{7,30}/;
                if(!cordova.plugins.barcodeScanner){
                    $U.showToast('请安装最新安装包');
                }else{
                    cordova.plugins.barcodeScanner.scan(
                        function (result) {
                            if(result.text.indexOf('=')>-1 && regnum.test(result.text.split('=')[1])){
                                $rootScope.relationInfo.logisticCode = result.text.split('=')[1]
                            }else if(regnum.test(result.text)){
                                $rootScope.relationInfo.logisticCode = result.text
                            }else if(result.text){
                                $rootScope.isRelation = true;
                                $rootScope.failtgetCode = true;
                                $state.go("tab.policySearchNumber");
                                return;
                            }else{//没有任何返回值，返回首页
                                return;
                            }
                            $rootScope.failtgetCode = false;
                            $handleService.http({
                                url: '/policyDelivery/getExpressCompanyByExpressNo?logisticCode='+$rootScope.relationInfo.logisticCode,
                                method: 'GET',
                                success: function (data) {
                                    $handleService.logger('object', data, '扫一扫快递单号查询保单');
                                    if(data.resultCode == '0'){
                                        $rootScope.expressCompanyList = data.result;
                                        if($rootScope.expressCompanyList.length==1){//如果只返回一个快递公司,直接查询关联保单
                                            $rootScope.relationInfo.companyCode = $rootScope.expressCompanyList[0].shipperCode;
                                            $rootScope.relationInfo.companyName = $rootScope.expressCompanyList[0].shipperName;
                                            $handleService.http({//查询关联保单
                                                url:'/policyDelivery/queryOrderListByLogisticCode?logisticCode='+$rootScope.relationInfo.logisticCode+'&shipperCode='+$rootScope.relationInfo.companyCode,
                                                method: 'GET',
                                                success: function (res){
                                                    if(res.resultCode == "0") {//有关联保单
                                                        if(res.result){//有关联保单
                                                            $handleService.logger('object', res, '根据快递单号和快递公司查询配送订单');
                                                            $rootScope.relationPolicyList = res.result;
                                                            $rootScope.isRelation = false;
                                                            $rootScope.hasRelationPolicy = true;
                                                        }else{//没有关联保单  
                                                            $rootScope.isRelation = true;
                                                            $rootScope.hasRelationPolicy = false;
                                                            $rootScope.isOnlyCompany = true;//只有一条快递公司跳转显示录入快递单号
                                                        }
                                                        $state.go('tab.policySearch')
                                                    }
                                                },
                                                error: function (ex) {
                                                    $handleService.logger('error', ex);
                                                }
                                            })
                                        }else{//如果没有查询到快递公司或多条快递公司跳转手动录入信息
                                            $rootScope.isRelation = true;
                                            $rootScope.isOnlyCompany = false;//多条快递公司跳转录入页，关联时不显示录入信息
                                            $state.go("tab.policySearchNumber");
                                        }
                                    }else{
                                        $U.showToast(data.errorMsg)
                                    }
                                },
                                error: function (ex) {
                                    $handleService.logger('error', ex);
                                }
                            });
                        },
                        function (error) {
                            $U.showToast(error);
                        }
                    );
                } 
            }
            handle.selectDeliveryType = function () {
                if($('#send-1').hasClass('send-item-selected')){
                    $state.go("tab.policyPerson")//月结,统一派送
                }else if($('#send-2').hasClass('send-item-selected')){
                    $state.go("tab.policySearchNumber")//快递派送
                }else if($('#send-4').hasClass('send-item-selected')){
                    Handle.getCanner();
                }else{
                    if($rootScope.isRelation){
                        $rootScope.showRelationTips = true;
                        $state.go("tab.policySearch");
                        return;
                    }
                    var opt = {
                        title: '提示',
                        template: '选择此项后，将无法通过快递寄件，请您按约定时间将保单送到客户手里',
                        scope: $scope,
                        buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
                            text: '取消',
                            type: 'button-cfirm-cancle',
                            onTap: function (e) {
                                return false;
                            }
                        }, {
                            text: '确定',
                            type: 'button-cfirm-ok',
                            onTap: function (e) {
                                return true;
                            }
                        }],
                        sure: function () {
                            $handleService.http({//自己送件
                                url: '/policyDelivery/selfDelivery',
                                data: {
                                    orderNo: $rootScope.policyDeliveryData.orderNo,
                                    policyNoSy: $rootScope.deliveryPolicyNo.policyNoSy,
                                    policyNoJq: $rootScope.deliveryPolicyNo.policyNoJq,
                                    operatorCode: $U.getSlsCode(),
                                    deptCode: $U.getDeptCode(),
                                    vhlNo: $rootScope.policyDeliveryData.licenseNo,
                                    applicant:$rootScope.policyDeliveryData.applicantName,
                                    origSys: $rootScope.policyDeliveryData.origSys //系统来源
                                },
                                success: function(data){
                                    //选择自己送件,成功手动改配送状态
                                    if(data.resultCode == '0'){
                                        $rootScope.deliveryPolicyNo.policyNoSy && !$rootScope.deliveryPolicyNo.policyNoJq ? $rootScope.policyDeliveryData.deliveryStatusSy='6' : '';
                                        $rootScope.deliveryPolicyNo.policyNoJq && !$rootScope.deliveryPolicyNo.policyNoSy ? $rootScope.policyDeliveryData.deliveryStatusJq='6' : '';
                                        if($rootScope.deliveryPolicyNo.policyNoSy && $rootScope.deliveryPolicyNo.policyNoJq){
                                            $rootScope.policyDeliveryData.deliveryStatusSy='6';
                                            $rootScope.policyDeliveryData.deliveryStatusJq='6'
                                        }
                                        $state.reload('tab.policyDelivery');
                                    }
                                }
                            })
                        },
                        cancle: function () {
                            
                        }
                    };  
                    $scope.alertConfirm=$handleService.showConfirm(opt);
                }
            }
            return handle;
        })(Handle || {});

        Handle.initPage();

        $scope.select = function(a){
            $('.send-item').removeClass('send-item-selected');
            $('#send-'+a).addClass('send-item-selected');
        }    
        $scope.sureDelivery = throttle(Handle.selectDeliveryType,1000)//选择配送方式,因调用扫码插件,用节流方法
        //跳转到配送详情
        $scope.goToNext = function(code,name,shipperCode,policyNo){
            var data = '';
            if(policyNo == $rootScope.policyDeliveryData.policyNoJq && $rootScope.showPolicy){
                data='jq';
                $rootScope.policyNo = $rootScope.policyDeliveryData.policyNoJq
            }
            if(policyNo == $rootScope.policyDeliveryData.policyNoSy && $rootScope.showPolicy){
                data='sy';
                $rootScope.policyNo = $rootScope.policyDeliveryData.policyNoSy
            }
            if(!$rootScope.showPolicy){
                data='';
                $rootScope.policyNo = $rootScope.policyDeliveryData.policyNoJq
            }
            $rootScope.isSucc = '1';
            $rootScope.type = data;
            $rootScope.logisticCode = code;
            $rootScope.shipperName = name;
            $rootScope.shipperCode = shipperCode
            $state.go("tab.policyDeliverySuccess")
        }

        //跳转保单列表
        $scope.goToPolicy = function(){
            $rootScope.isRelation = false;
            $rootScope.relationInfo.receiverName = '';
            $state.go("tab.policySearch");
        }
        //返回判断
        $scope.back = function(){
            if($rootScope.isRelation){
                // if($rootScope.isNewHome){
                //     $state.go("tab.mitNewIndex");
                // }else{
                //     $state.go("tab.mitIndex");
                // }
                $state.go("tab.mitNewIndex");
            }else{
                history.go(-1)
            }
        }
    });
    return app;
});