define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives','filters/app.filters' ,'services/app.store'], function () {
    'use strict';
    var app = angular.module('app.policyDeliverySuccess.controller', ['app.handle.service', 'app.directives','app.filters', 'app.general.service','ionic']);
    //投保查询控制器
    app.controller('policyDeliverySuccess', function ($generalService, $ionicPopup, $scope, $rootScope, $state, $stateParams, $handleService, $interFace,$location, store) {
        $scope.isSucc = $stateParams.isSucc;
        $scope.backTop = false;
        $rootScope.traces = [];
        $rootScope.traces1 = [];
        $rootScope.traces2 = [];
        $scope.isSucc = $rootScope.isSucc;
        $scope.title = $rootScope.isSucc == '1' ? '保单派送详情' : '保单配送';

        var Handle = (function (handle) {
            handle.initPage = function() {
                Handle.getExpressLogInfor();
            };

            //获取保单信息
            handle.getExpressLogInfor = function() {
                $handleService.http({
                    url: "/policyDelivery/getExpressLogInfor?logisticCode="+$rootScope.logisticCode+'&shipperCode='+$rootScope.shipperCode+'&policyNo='+$rootScope.policyNo,
                    method: 'GET',
                    success: function (data) {
                        if(data.resultCode == '0' && data.result.traces){
                            $scope.state = data.result.stateEx;
                            angular.forEach(data.result.traces,function(dt,n){
                                
                                dt.acceptStation = dt.acceptStation.replace(/[\d-]{4,}/g, '<a href="tel:$&">$&</a>');
                            })
                            if($scope.isSucc=='2'){
                                $rootScope.acceptStation = data.result.traces[data.result.traces.length-1].acceptStation;
                                $rootScope.data = data.result.traces[data.result.traces.length-1].acceptTime.split(' ')[0];
                                $rootScope.time = data.result.traces[data.result.traces.length-1].acceptTime.split(' ')[1];
                            }else{
                                $rootScope.traces2 = (data.result.traces).reverse();
                                angular.forEach($rootScope.traces2,function(item,i){
                                    i<3?$rootScope.traces1.push(item):'';
                                })
                                $rootScope.traces = $rootScope.traces1;
                            }
                        }else {
                            $U.showToast(data.errorMsg);
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                })
            }
            return handle;
        })(Handle || {});

        Handle.initPage();

        $scope.lookMore = function() {
            $rootScope.traces = $rootScope.traces2;
            $scope.backTop = true;
        };

        $scope.back = function(a) {
            if(a == '1'){
                if($rootScope.isSucc=='2'){//配送成功返回列表页面
                    $state.go("tab."+$rootScope.locationUrl);
                }else{
                    history.back(-1)
                }
            }else{//跳回查询页
                $state.go("tab."+$rootScope.locationUrl);
            } 
        };
        $scope.kdClipboard = function() {
            //复制
            var options = {
                doms: ".kdNo-img",
                text: $rootScope.logisticCode,
                success: function () {
                    $U.showToast('快递单号复制成功')
                },
                error: function () {
                    $U.showToast('快递单号号复制失败,请手动复制')
                }
            };
            $handleService.copyClipboard(options);
        }
    });
    return app;
});