define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives','filters/app.filters' ,'services/app.store'], function () {
    'use strict';
    var app = angular.module('app.policyDetail.controller', ['app.handle.service', 'app.directives','app.filters', 'app.general.service','ionic']);
    //投保查询控制器
    app.controller('policyDetailController', function ($generalService, $ionicPopup, $scope, $rootScope, $state, $stateParams, $handleService, $interFace, store) {

        $scope.policyData = {};
        $scope.vm = {};
        $scope.printPolicy = {  // 申请保单打相关参数
            syChecked: false,
            jqChecked: false,
            showCheckbox: false,
            showPrintStatus: false,
        };

        $scope.hasElecCompanyPolicy = $rootScope.switchBean.elecCompanySwitch;
        var noDeductible = {  //不计免赔险种信息
            "030101": "车损",
            "030102": "三者",
            "030103": "盗抢",
            "030104": "司机",
            "030105": "乘客",
            "030108": "自燃",
            "030110": "划痕",
            "030111": "涉水",
            "030114": "精抚"
        };

        var Handle = (function (handle) {
            handle.initPage = function() {
                function keyboardShowHandler(e){
                    $(".popup").css({
                        "margin-top": -e.keyboardHeight + "px",
                        transform: "translate(-50%, 50%)"
                    });

                    if($(".popup").offset().top <= 0) {
                        $(".popup").css({
                            "margin-top": -e.keyboardHeight - $(".popup").offset().top + "px",
                            transform: "translate(-50%, 50%)"
                        });
                    }
                    if($("#checkTowNumWrap").length > 0) {
                        $(".popup").css({
                            "margin-top": -e.keyboardHeight + "px",
                            transform: "translate(-50%, 10%)"
                        });
                    }

                }
                function keyboardHideHandler(e){
                    $(".popup").css({
                        "margin-top": "0px",
                        transform: "translate(-50%, -50%)"
                    });
                }

                if(ionic.Platform.isIOS()) { //解决IOS下 修改折扣输入框被键盘挡住的问题
                    window.addEventListener('native.keyboardshow', keyboardShowHandler);
                    window.addEventListener('native.keyboardhide', keyboardHideHandler);
                }
                Handle.getPolicyInfo();
            };

            //获取保单信息
            handle.getPolicyInfo = function() {
                $handleService.http({
                    url: "/policyOrder/orderDetail",
                    data: {
                        orderNo: $stateParams.orderNo
                    },
                    success: function (data) {
                        $handleService.logger('object', data, '查询保单详情');
                        if(data.resultCode == "0") {
                            $scope.policyData = data.result;

                            angular.forEach(data.result.riskList, function(item) {
                                if(item.riskCode == "0301") {
                                    $scope.policyData.policyJq = item;
                                } else if(item.riskCode == "0302") {
                                    $scope.policyData.policySy = item;
                                }
                            });
                            if($scope.policyData.policySy) {
                                Handle.handleData();
                            }

                        }

                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                })
            }

            handle.handleData = function() {
                $scope.syRiskList = [];
                var noArr = [];
                //商业险明细
                angular.forEach($scope.policyData.policySy.coverageList, function (cvrTem) {
                    var _cvrName = $rootScope.BASE_BEAN.INS_CN_NAME[cvrTem.kindCode],
                        _cvrAmt = cvrTem.sumInsured;//$handleService.getQuota($rootScope.BASE_BEAN, cvrTem.AMT);

                    if(cvrTem.relatedInd == "1" && noDeductible[cvrTem.kindCode]) { //不计免赔险种
                        noArr.push(noDeductible[cvrTem.kindCode]);
                    }

                    // if (_cvrName) {
                    //     $scope.syRiskList.push({
                    //         kindCode: cvrTem.kindCode,
                    //         sumInsured: _cvrAmt? "￥" + _cvrAmt : "",
                    //         grossPremium: cvrTem.grossPremium,
                    //         name: _cvrName,
                    //         rate: cvrTem.rate,
                    //         quantity: cvrTem.quantity,
                    //         valueType: cvrTem.valueType,
                    //         unitInsured: cvrTem.unitInsured||'0'
                    //     });
                    // }
                    if (_cvrName) {
                        if(cvrTem.kindCode=='030201'){
                            $scope.syRiskList.push({
                                kindCode: cvrTem.kindCode,
                                sumInsured: _cvrAmt? "￥" + _cvrAmt : "",
                                grossPremium: cvrTem.grossPremium,
                                name: _cvrName,
                                rate: cvrTem.rate,
                                quantity: cvrTem.quantity,
                                valueType: cvrTem.valueType,
                                unitInsured: cvrTem.unitInsured||'0'
                            });

                            angular.forEach($scope.dataSY.coverageList, function (cvrTem2) {
                                if (cvrTem2.kindCode == '021') {
                                    $scope.syRiskList.pop();
                                    $scope.syRiskList.push({
                                        kindCode: cvrTem.kindCode,
                                        sumInsured: _cvrAmt? "￥" + _cvrAmt : "",
                                        // grossPremium: $U.accAdd(cvrTem.grossPremium,cvrTem2.grossPremium||'0'),
                                        grossPremium: cvrTem.grossPremium,
                                        name: _cvrName,
                                        rate: cvrTem.rate,
                                        quantity: cvrTem.quantity,
                                        valueType: cvrTem.valueType,
                                        unitInsured: cvrTem.unitInsured||'0'
                                    });

                                    $scope.syRiskList.push({
                                        kindCode: cvrTem2.kindCode,
                                        sumInsured: cvrTem2.rate+"%",
                                        grossPremium: cvrTem2.grossPremium,
                                        name: '免赔率',
                                        rate: cvrTem2.rate,
                                        quantity: cvrTem2.quantity,
                                        valueType: cvrTem2.valueType,
                                        unitInsured: cvrTem2.unitInsured||'0'
                                    });
                                }
                            })

                        }else{
                            $scope.syRiskList.push({
                                kindCode: cvrTem.kindCode,
                                sumInsured: _cvrAmt ? "￥" + _cvrAmt : "",
                                grossPremium: cvrTem.grossPremium,
                                name: _cvrName,
                                rate: cvrTem.rate,
                                quantity: cvrTem.quantity,
                                valueType: cvrTem.valueType,
                                unitInsured: cvrTem.unitInsured || '0'
                            });
                        }

                    }
                });

                var glassObj = {
                    "1": "国产玻璃",
                    "2": "进口玻璃"
                }
                angular.forEach($scope.syRiskList, function(item) { //处理特殊险种
                    if(item.kindCode == "030119") { //不计免赔
                        item.sumInsured = noArr.join("/");
                    }

                    if(item.kindCode == "030116") { //指定修理厂
                        item.sumInsured = (Number(item.rate||0) * 10) + "‰";
                    }

                    if(item.kindCode == "030112") { //修理期间补偿险
                        item.sumInsured = item.sumInsured + " * " + item.quantity + "天";
                    }

                    if(item.kindCode == "030107") { //玻璃险  1国产 2进口
                        item.sumInsured = (glassObj[item.valueType] || "");
                    }

                    if(item.kindCode == "030105") {
                        item.sumInsured = "￥" + item.unitInsured + " * " + item.quantity + "座";
                    }

                });
            }
            return handle;
        })(Handle || {});

        Handle.initPage();


        // 申请打印保单
        $scope.applyPolicyPrint  = function(){
            if(!$scope.printPolicy.syChecked && !$scope.printPolicy.jqChecked){
                $scope.printPolicy.showCheckbox = false;
                return;
            }
            var policyNoList = [];
            var msgPattern = "打印提醒：业务员"+ $U.sessionHandle.getSession("SLS_INFO").salesmanCname +"已在APP为其客户"+ $scope.policyData.applicant.name +"申请保单打印，请尽快完成。";
            var msgList = [];
            if($scope.printPolicy.syChecked){
                policyNoList.push($scope.policyData.policySy.policyNo);
                msgList.push("商业险保单号："+ $scope.policyData.policySy.policyNo);
            }
            if($scope.printPolicy.jqChecked){
                policyNoList.push($scope.policyData.policyJq.policyNo);
                msgList.push("交强险保单号："+ $scope.policyData.policyJq.policyNo);
                
            }
            msgPattern += msgList.join("；");
            $handleService.http({
                url: "/policyOrder/applyPolicyPrint ",
                data: {
                    policyNoList: policyNoList,
                    salesCode: $U.sessionHandle.getSession("SLS_INFO").employCode,
                    salesmanCode: $U.sessionHandle.getSession("SLS_INFO").salesmanCode,
                    deptCode: $U.getDeptCode(),
                    messages: msgPattern,
                    orderNo: $scope.policyData.orderNo,
                    applicant: $scope.policyData.applicant.name,
                    vhlNo: $scope.policyData.vehicle.licenseNo,
                    salesName: $U.sessionHandle.getSession("SLS_INFO").salesmanCname,
                },
                success: function (data) {
                    if (data.resultCode == "0") {
                        // 打印成功了修改状态
                        if($scope.printPolicy.syChecked){
                            $rootScope.detailPrintState.printStateSyNew = '4';
                        }
                        if($scope.printPolicy.jqChecked){
                            $rootScope.detailPrintState.printStateJqNew = '4';
                        }
                        // 修改列表页状态
                        angular.forEach($rootScope.policyList,function(item){
                            if(item.orderNo == $stateParams.orderNo ){ 
                                if($scope.printPolicy.syChecked){
                                    item.printStateSyNew = '4';
                                }
                                if($scope.printPolicy.jqChecked){
                                    item.printStateJqNew = '4';
                                }
                            }
                        })
                        $U.showToast("申请打印保单成功！");
                        $scope.printPolicy.showCheckbox = false;
                    }else{
                        var errMsg = data.errorMsg || '操作失败！';
                        $scope.printPolicy.showCheckbox = false;
                        $U.showToast(errMsg);
                    }
                },
                error: function (ex) {
                    $handleService.logger('error', ex);
                }
            });
        }
        //查看电子保单图片
        $scope.gotoElecImage = function(data, type) {
            if(data.electronicInd == '1' && data.electronicPolicyFlag != '1'){ //电子保单自建转共建28号前提示管控
                var flag = new Date($scope.policyData.base.issueDate.split('-').join('/')) <　new Date('2019/04/11 20:01:00')
                if(flag && ($U.getDeptCodeNewFunc('0107') || $U.getDeptCodeNewFunc('0117') || $U.getDeptCodeNewFunc('0118') || $U.getDeptCodeNewFunc('0122') || $U.getDeptCodeNewFunc('0130') || $U.getDeptCodeNewFunc('0101'))){
                    $handleService.showAlert("温馨提示",'您可登录华安保险官方网站：https://www.sinosafe.com.cn:18080/elec/ele/search.do?actionType=searchElecSys   自助进行查询、下载及验真。',function(){
                        return false;
                    });
                }else{
                    $scope.pdf(data, type);
                }
            }else{
                $scope.pdf(data, type);
            }
            //$rootScope.policyData = $scope.policyData;
            //$state.go("tab.policyElecDetail", {policyNo: data.policyNo,type: type});
        };
        $scope.pdf = function(data, type){
            $handleService.openUrl($interFace.webUrl + data.policyNo,{
                type: "_system",
                title: {
                    color: '#ffffff',
                    align: "center",
                    showPageTitle: true,
                    staticText: "保单详情"
                },
                backCallBack:function (browser, closeFlag) {
                    console.log(browser)
                    if(closeFlag) {
                        browser.close();
                    }

                }
            });
        }
        //发送邮件
        $scope.sendEmail = function(type) {
            $scope.policyType = type;
            $scope.alertPopup = $ionicPopup.show({
                title: '发送电子保单',
                cssClass: "policy-popup",
                templateUrl: "templates/common/send-email.html",
                confirm: false,
                scope: $scope,
                buttons: [{
                    text: '确定发送',
                    type: 'button-cfirm-ok',
                    onTap: function (e) {
                        if(!$scope.vm.email) {
                            $U.showToast("邮箱输入有误");
                            e.preventDefault();
                            return;
                        } else if(!/^[a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@([a-zA-Z0-9]*[-_]?[a-zA-Z0-9]+)+[\\.][A-Za-z]{2,3}([\\.][A-Za-z]{2,3})?$/.test($scope.vm.email)) {
                            $U.showToast("邮箱输入有误");
                            e.preventDefault();
                            return;
                        } else {
                            $scope.sendEmailData();
                            e.preventDefault();
                            return;
                        }
                    }
                }],
                sure: function () {

                    return;
                }
            });
        }

        //发送邮件
        $scope.sendEmailData = function() {
            var data = {
                "proposalNo":$scope.policyType == "jq"?$scope.policyData.policyJq.proposalNo:$scope.policyData.policySy.proposalNo,
                "policyNo": $scope.policyType == "jq"? $scope.policyData.policyJq.policyNo:$scope.policyData.policySy.policyNo,
                "emailReceive":$scope.vm.email,
                "fileType":"1"// 文件类型 1 zip 2 png图片 不传默认取 1
            };
            $handleService.http({
                url: $interFace.sendEmail + "/email/sendEmail",
                method: 'POST',
                data:data,
                success: function (data) {
                    if(data.resultCode == "0") {
                        $handleService.showAlert("提示","邮件发送成功", function() {
                            $scope.closePopup();
                            history.go(-1);
                        });

                    } else {
                        $handleService.showAlert("提示",data.errorMsg);
                    }
                }
            })
        };
        $scope.closePopup = function() {
            $scope.alertPopup.close();
            //$handleService.closeModule();
        };
        //打印消息跳转  tips展开  jxx
        !$scope.printPolicy.showPrintStatus ? $scope.printPolicy.showPrintStatus = !$scope.printPolicy.showPrintStatus : '';
        if($rootScope.detailPrint){
            $scope.printPolicy.showCheckbox = true;
            $rootScope.detailPrint = false;
        }
    });
    return app;
});