define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives','filters/app.filters' ,'services/app.store'], function () {
    'use strict';
    var app = angular.module('app.policyElecDetail.controller', ['app.handle.service', 'app.directives','app.filters', 'app.general.service','ionic']);
    //投保查询控制器
    app.controller('policyElecDetailController', function ($generalService, $ionicPopup, $scope, $rootScope, $state, $stateParams, $handleService, $interFace, store,$ionicPopover) {

        $scope.itemList = ["发送", "保存"];
        $scope.vm = {};
        $scope.policyType = $stateParams.type;
        var tmpStr = '<div class="mypopover">' +
                        '<ion-popover-view class="pop-ply-v">' +
                            '<ion-content class="pop-c">' +
                                '<div>' +
                                    '<a class="item" style="background-color: transparent; color: black;text-align: center;" href="" ng-repeat="item in itemList" ng-click="popoverMenuClick($index,item)">'+
                                        '{{item}}'+
                                    '</a>'+
                                '</div>' +
                            '</ion-content>'+
                        '</ion-popover-view>' +
                    '</div>';

        $scope.popover = $ionicPopover.fromTemplate(tmpStr, {
            scope: $scope
        });

        $(".bar-header").css({
            padding:0,
            height:0
        });
        $(".tab-nav.tabs").css("display","none");
        window.setTimeout(function () {
            $(".header-item").text('');
        },3000);

        $scope.queryPolicyList = function() {
            var subObj = {
                insuredProduct: "0",	//投保产品	string
                isPolicyFlag: "1",	//是否只查保单传	string	1：是，0：否
                //origSysList: ["eautomobile","peoplemark"], //查询业务来源  APP和人人团
                licenseNo: "",//	车牌号	string
                ownerName: "",//	车主	string
                salesManCode: $stateParams.salesCode,
                page: {
                    pageNum: 1,//页码	number
                    pageSize: 10//	每页大小	number
                },
                policyNo: $stateParams.policyNo//	保单号	string
            }

            $handleService.http({
                url: "/policyOrder/queryOrderList",
                data: subObj,
                success: function (data) {
                    $handleService.logger('object', data, '查询保单列表');
                    if (data.result.length > 0) {
                        $scope.policyData = {
                            vehicle: {
                                licenseNo:data.result[0].licenseNo
                            },
                            applicant: {
                                name: data.result[0].applicantName
                            }
                        }
                        if($scope.policyType == "jq") {
                            $scope.policyData.policyJq = {
                                startDate: data.result[0].startDateJq
                            }
                        } else if($scope.policyType == "sy") {
                            $scope.policyData.policySy = {
                                startDate: data.result[0].startDateSy
                            }
                        }
                    }
                    else {

                    }
                },
                error: function (ex) {
                    $handleService.logger('error', ex);
                }
            });
        }
        function keyboardShowHandler(e){
            $(".popup").css({
                "margin-top": -e.keyboardHeight + "px",
                transform: "translate(-50%, 50%)"
            });

            if($(".popup").offset().top <= 0) {
                $(".popup").css({
                    "margin-top": -e.keyboardHeight - $(".popup").offset().top + "px",
                    transform: "translate(-50%, 50%)"
                });
            }
            if($("#checkTowNumWrap").length > 0) {
                $(".popup").css({
                    "margin-top": -e.keyboardHeight + "px",
                    transform: "translate(-50%, 10%)"
                });
            }

        }
        function keyboardHideHandler(e){
            $(".popup").css({
                "margin-top": "0px",
                transform: "translate(-50%, -50%)"
            });
        }

        if(ionic.Platform.isIOS()) { //解决IOS下 输入框被键盘挡住的问题
            window.addEventListener('native.keyboardshow', keyboardShowHandler);
            window.addEventListener('native.keyboardhide', keyboardHideHandler);
        }

        //点击右上角更多
        $scope.showMore =function ($event) {

            $scope.popover.show($event);
        }

        //点击发送邮件
        $scope.sendEmail = function() {
            $scope.alertPopup = $ionicPopup.show({
                title: '发送电子保单',
                cssClass: "policy-popup",
                templateUrl: "templates/common/send-email.html",
                confirm: false,
                scope: $scope,
                buttons: [{
                    text: '确定发送',
                    type: 'button-cfirm-ok',
                    onTap: function (e) {
                        if(!$scope.vm.email) {
                            $U.showToast("邮箱输入有误");
                            e.preventDefault();
                            return;
                        } else if(!/^[a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@([a-zA-Z0-9]*[-_]?[a-zA-Z0-9]+)+[\\.][A-Za-z]{2,3}([\\.][A-Za-z]{2,3})?$/.test($scope.vm.email)) {
                            $U.showToast("邮箱输入有误");
                            e.preventDefault();
                            return;
                        } else {
                            $scope.sendEmailData();
                            e.preventDefault();
                            return true;
                        }
                    }
                }],
                sure: function () {

                    return;
                }
            });
        }
        //发送邮件
        $scope.sendEmailData = function() {
            var data = {
                "proposalNo":$stateParams.plyAppNo,
                "policyNo":$stateParams.policyNo,
                "emailReceive":$scope.vm.email,
                "fileType":"1"// 文件类型 1 zip 2 png图片 不传默认取 1
            };
            $handleService.motoHttp({
                url: $interFace.sendEmail + "/email/sendEmail",
                method: 'POST',
                data:data,
                success: function (data) {
                    if(data.resultCode == "0") {
                        $handleService.showAlert("提示","邮件发送成功", function() {
                            $scope.closePopup();
                            history.go(-1);
                        });

                    } else {
                        $handleService.showAlert("提示",data.errorMsg);
                    }
                }
            })
        }

        $scope.closePopup = function() {
            $scope.alertPopup.close();
            //$handleService.closeModule();
        }



        $scope.goBack = function() {
            cordova.ThemeableBrowser.getCurLocation(function (url) {
                $handleService.showAlert("", url);
                cordova.ThemeableBrowser.close(url);
            })

        }

        window.result=function (result,type) {
            var resultTxt,typTxte;
            if(result=="0"){
                resultTxt="成功";
            }else if(result=="1"){
                resultTxt="失败";
            }
            if(type=="1"){
                typTxte="分享";
            }else if(type=="2"){
                typTxte="保存";
            }else {
                typTxte="接口调用"
            }
            $handleService.showAlert("提示", typTxte + resultTxt);
        }

        //保存图片
        $scope.saveImage = function() {
            var imgData = $scope.policyImageUrl.split(",")[1]||"";
            if(ionic.Platform.isIOS()){//是IOS
                window.posterImageSave(imgData);

            }else if(ionic.Platform.isAndroid()){
                if(window.Handler && window.Handler.posterImageSave){
                    window.Handler.posterImageSave(imgData);
                }
            }
        }

        $scope.closePopover = function() {
            $scope.popover.hide();
        };


        //获取保单图片路径
        $scope.getPolicyImg = function() {
            var policyNo = $stateParams.policyNo;
            $handleService.motoHttp({
                url: $interFace.sendEmail + "/imgView/electPlyView?policyNo="+policyNo+"&fileType=2",
                method: 'GET',
                success: function (data) {
                    if(data.resultCode == "0") {
                        $scope.policyImageUrl = "data:image/jpeg;base64," + data.content.base64Img;

                    } else {
                        $handleService.showAlert("提示", data.errorMsg, function() {
                            history.back(-1);
                        });
                    }

                }
            })
        }
        $scope.getPolicyImg();
        $scope.queryPolicyList();
    });
    return app;
});