define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives','filters/app.filters' ,'services/app.store'], function () {
    'use strict';
    var app = angular.module('app.policyElecInvoController', ['app.handle.service', 'app.directives','app.filters', 'app.general.service','ionic']);
    //投保查询控制器
    app.controller('policyElecInvoController', function ($generalService, $ionicPopup, $scope, $rootScope, $state, $stateParams, $handleService, $interFace,$location, store) {
        //----------------------------------------- begin 变量 -----------------------------------------//
        $scope.nowPolicy = 'jq'
        $scope.showShare = false
        var Handle = (function (handle) {
            handle.initPage = function() {
                Handle.getPolicyInfo();
            };
            //为避免搜索保单只显示一条保单数据,页面加载请求详情接口,获取完整保单数据
            handle.getPolicyInfo = function() {
                $handleService.http({
                    url: "/policyOrder/orderDetail",
                    data: {
                        orderNo: $stateParams.orderNo
                    },
                    success: function (data) {
                        $handleService.logger('object', data, '查询保单详情');
                        if(data.resultCode == "0") {
                            $scope.policyData = data.result;
                            angular.forEach(data.result.riskList, function(item) {
                                if(item.riskCode == "0301") {
                                    $scope.policyData.policyJq = item;
                                } else if(item.riskCode == "0302") {
                                    $scope.policyData.policySy = item;
                                }
                            });
                            if($scope.policyData.policyJq && $scope.policyData.policyJq.electronicInd == '1'){        
                                $scope.nowPolicy = 'jq'
                                $('.tmPlayerJq').html('<iframe frameBorder="0" scrolling="no" style="width:100%;height:100%" src="'+$interFace.webUrl+$scope.policyData.policyJq.policyNo+'"></iframe>')
                            }else{
                                $scope.nowPolicy = 'sy'
                            }
                            if($scope.policyData.policySy && $scope.policyData.policySy.electronicInd == '1'){
                                $('.tmPlayerSy').html('<iframe frameBorder="0" scrolling="no" style="width:100%;height:100%" src="'+$interFace.webUrl+$scope.policyData.policySy.policyNo+'"></iframe>')
                            }
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                })
            }
            return handle;
        })(Handle || {});
        Handle.initPage();
        $scope.lookPdf = function(data) {//tab点击
            $scope.nowPolicy = data;
        };
        $scope.showShareInfo = function () {//是否显示分享面板
            $scope.showShare = !$scope.showShare;
        };
        $scope.shareTo = function (type){//分享
            var opt={
                policyNo: $scope.nowPolicy == 'jq'? $scope.policyData.policyJq.policyNo : $scope.policyData.policySy.policyNo,
                pushType: type
            }
            $handleService.http({
                url: '/policyDelivery/pushElectrPolicy',
                data: opt,
                success: function(data){
                    $handleService.logger('object', data, '分享返回信息');
                    $scope.showShare = false;
                    if(data.resultCode == '0'){
                        $U.showToast("分享成功");
                    }else{
                        $U.showToast(data.errorMsg);
                    }
                },
                error: function (ex) {
                    $scope.showShare = false;
                    $handleService.logger('error', ex);
                }
            })
        };
        //更多微信分享
        $scope.shareToWei = function(){
            $scope.showShare = false;//隐藏分享面板
            var policyNo = '',
            str = '',
            title = '',
            text = '';
            if($scope.nowPolicy == 'jq'){
                policyNo = $scope.policyData.policyJq.policyNo;
                // str = '交强'
            }else{
                policyNo = $scope.policyData.policySy.policyNo;
                // str = '商业'
            }
            // if($rootScope.policyDeliveryData.licenseNo == '*-*'){
            //     title = '请亲启,您的'+str+'险保单'
            // }else{
            //     title = $rootScope.policyDeliveryData.licenseNo + str + '险保单'
            // }
            // if($scope.policyData.applicant && $scope.policyData.applicant.insuredType == '1'){
            //     text = $scope.policyData.applicant.name + '先生/女士'
            // }else{
            //     text = $scope.policyData.applicant.name
            // }
            var options = {
                title: '您的车险电子保单已经生成。',  //分享title
                text: '手机一键保存收藏不怕丢失，随时查阅和验证', //具体分享信息
                site: "",
                comment: "",
                url: $interFace.webUrl+policyNo ,  //
                titleUrl: $interFace.webUrl+policyNo , //
                imgUrl:'', //链接图片
                siteUrl: $interFace.webUrl+policyNo , //微信链接
                type: "shareCall",
                successCallback: function(data) {
                    alert("分享成功");
                }
            };
            if(ionic.Platform.isAndroid()) {
                $handleService.shareCallPanle(options);
            } else if(ionic.Platform.isIOS()) {
                $handleService.sharePanle(options);
            }
        }
        
        //----------------------------------------- end   共享方法 -----------------------------------------//
    });
    return app;
});