define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives','filters/app.filters' ,'services/app.store'], function () {
    'use strict';
    var app = angular.module('app.policyPerson.controller', ['app.handle.service', 'app.directives','app.filters', 'app.general.service','ionic']);
    //投保查询控制器
    app.controller('policyPerson', function ($generalService, $ionicPopup, $scope, $rootScope, $state, $stateParams, $handleService, $interFace,$location, store) {
        $scope.personSelect = 'policyHolderAddress';//默认投保人
        $scope.deliveryPerson = [];
        $scope.receiverProvince = '';//省
        $scope.receiverCity = '';//市
        $scope.receiverDistrict= '';//区
        var Handle = (function (handle) {
            handle.initPage = function() {
                function keyboardShowHandler(e){
                    $(".popup").css({
                        "margin-top": -e.keyboardHeight + "px",
                        transform: "translate(-50%, 50%)"
                    });
                    if($(".popup").offset().top <= 0) {
                        $(".popup").css({
                            "margin-top": -e.keyboardHeight - $(".popup").offset().top + "px",
                            transform: "translate(-50%, 50%)"
                        });
                    }
                    if($("#checkTowNumWrap").length > 0) {
                        $(".popup").css({
                            "margin-top": -e.keyboardHeight + "px",
                            transform: "translate(-50%, 10%)"
                        });
                    }

                }
                function keyboardHideHandler(e){
                    $(".popup").css({
                        "margin-top": "0px",
                        transform: "translate(-50%, -50%)"
                    });
                }
                if(ionic.Platform.isIOS()) { //解决IOS下 修改折扣输入框被键盘挡住的问题
                    window.addEventListener('native.keyboardshow', keyboardShowHandler);
                    window.addEventListener('native.keyboardhide', keyboardHideHandler);
                }

                if($rootScope.isRelation){//首页点击保单配送过来
                    $scope.deliveryPerson = [{type:'ownerAddress'},{type:'insuredAddress'},{type:'policyHolderAddress'}]
                 
                }else{
                    Handle.getShippingAddress();
                }
            };
            //赋值省市区
            handle.getCity = function(str) {
                var dt = str.split(' ')
                $scope.receiverProvince = dt[0] ? dt[0] : '';
                $scope.receiverCity = dt[1] ? dt[1] : '';
                $scope.receiverDistrict = dt[2] ? dt[2] : '';
            }
            //获取收件人信息
            handle.getShippingAddress = function() {
                $handleService.http({
                    url: "/policyDelivery/getShippingAddress?orderNo="+$rootScope.policyDeliveryData.orderNo,
                    method: 'GET',
                    success: function (data) {
                        if(data.resultCode == "0"){
                            angular.forEach(data.result,function(item,i) {
                                var reg = /.+?(省|市|自治区|自治州|县|区)/g;
                                var addr = '';
                                if(item.address && item.address.match(reg)){
                                    addr = item.address.match(reg).join(' ');
                                }
                                item = $.extend(true,item,{type:i,cantact:addr});
                                $scope.deliveryPerson.push(item)
                            })
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                })
            }
            return handle;
        })(Handle || {});

        Handle.initPage();
        
        //选择要寄件的角色
        $scope.sendPersonel = function(e,data) {
            $('.btn-select').removeClass('btn-selected');
            $(e.target).addClass('btn-selected');
            $scope.personSelect = data;
        }

        //选择城市
        $scope.selctCountry = function(type){
            
            var oneLevelId = $('#'+type+'_show_contact').attr('data-province-code');
            var twoLevelId = $('#'+type+'_show_contact').attr('data-city-code');
            var threeLevelId = $('#'+type+'_show_contact').attr('data-district-code');

            new IosSelect(3, 
                [iosProvinces, iosCitys, iosCountys],
                {
                    title: '地址选择',
                    itemHeight: 35,
                    relation: [1, 1],
                    oneLevelId: oneLevelId,
                    twoLevelId: twoLevelId,
                    threeLevelId: threeLevelId,
                    callback: function (selectOneObj, selectTwoObj, selectThreeObj) {
                        $('#'+type+'_contact_province_code').val(selectOneObj.id); 
                        $('#'+type+'_contact_province_code').attr('data-province-name', selectOneObj.value);
                        $('#'+type+'_contact_city_code').val(selectTwoObj.id);
                        $('#'+type+'_contact_city_code').attr('data-city-name', selectTwoObj.value);
    
                        $('#'+type+'_show_contact').attr('data-province-code', selectOneObj.id);
                        $('#'+type+'_show_contact').attr('data-city-code', selectTwoObj.id);
                        $('#'+type+'_show_contact').attr('data-district-code', selectThreeObj.id);
                        $('#'+type+'_show_contact').html(selectOneObj.value + ' ' + selectTwoObj.value + ' ' + selectThreeObj.value);
                    }
            });
        }
        $scope.goToDeliveryResult = function() {
            var regphone =/^([1][3-9][0-9]{9})$|^((\d){3}(\*){4}(\d){4})$/,
                regname = /^[\u4e00-\u9fa5 •\·]{2,10}$/,
                regtel =/^0\d{2,3}-?\d{7,8}$|^0\d{2}(\*){4,5}\d{4}$/;
            if(!regname.test($('#'+$scope.personSelect+'a').val())){
                $U.showToast("您的收件人名字输入有误");
            }else if($('#'+$scope.personSelect+'b').val().length<6){
                $U.showToast("收件地址不得小于6个字符");
            }else if($('#'+$scope.personSelect+'b').val().length>100){
                $U.showToast("收件地址不得多于100个字符");
            }else if(!regphone.test($('#'+$scope.personSelect+'c').val()) && !regtel.test($('#'+$scope.personSelect+'c').val())){
                $U.showToast("请输入11位手机号码或者区号+座机格式联系电话");
            }else if($('#'+$scope.personSelect+'_show_contact').text()==''){
                $U.showToast("请选择配送地址");
            }else{
                Handle.getCity($('#'+$scope.personSelect+'_show_contact').text().trim());//赋值省市区
                if(!$scope.receiverProvince || !$scope.receiverCity || !$scope.receiverDistrict){
                    $U.showToast("请选择对应省/市/区");
                    return;
                }
                $handleService.showConfirm({
                    title: '温馨提示',
                    template: '<div style="width:80%;text-align:left;margin:0 auto"><span style="font-weight:bold;">请确认收件人信息是否正确</span><br/><br/>收件人姓名:'+$('#'+$scope.personSelect+'a').val()+'<br/><br/>联系方式:'+$('#'+$scope.personSelect+'c').val()+'<br/><br/>收件地址:'+$scope.receiverProvince+$scope.receiverCity+$scope.receiverDistrict+$('#'+$scope.personSelect+'b').val()+'</div>',
                    buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
                        text: '返回修改',
                        type: 'button-cfirm-cancle',
                        onTap: function (e) {
                            return false;
                        }
                    }, {
                        text: '确认无误',
                        type: 'button-cfirm-ok',
                        onTap: function (e) {
                            return true;
                        }
                    }],
                    sure: function () {
                        if($rootScope.isRelation){
                            $rootScope.relationInfo.receiverName = $('#'+$scope.personSelect+'a').val();
                            $rootScope.relationInfo.receiverAddress = $('#'+$scope.personSelect+'b').val();
                            $rootScope.relationInfo.receiverMobile = $('#'+$scope.personSelect+'c').val();
                            $rootScope.relationInfo.receiverProvince = $scope.receiverProvince;
                            $rootScope.relationInfo.receiverCity = $scope.receiverCity;
                            $rootScope.relationInfo.receiverDistrict = $scope.receiverDistrict;
                            $state.go('tab.policySearch')
                            return;
                        }
                        var po = {
                            orderNo: $rootScope.policyDeliveryData.orderNo,
                            policyNoJq: $rootScope.deliveryPolicyNo.policyNoJq,
                            policyNoSy: $rootScope.deliveryPolicyNo.policyNoSy,
                            receiverPostCode: '',//收件人邮编
                            expType:'',//详细快递类型
                            receiverProvince: $scope.receiverProvince,//保留收件人省
                            receiverCity: $scope.receiverCity,//保留收件人市
                            receiverDistrict:$scope.receiverDistrict,//保留收件人区
                            quantity: 1,//包裹数
                            receiverAddress: $('#'+$scope.personSelect+'b').val(),
                            receiverMobile: $('#'+$scope.personSelect+'c').val(),
                            receiverName: $('#'+$scope.personSelect+'a').val(),
                            shipperType: '0',
                            operatorCode: $U.getSlsCode(),//操作员编码
                            deptCode: $U.getDeptCode(),//机构编码
                            deliveryMode: '0',//配送方式
                            payType: '',//支付方式
                            electPolicyFlag: '',//电子保单标识
                            applicant: $rootScope.policyDeliveryData.applicantName,//投保人姓名
                            operatorName: $U.sessionHandle.getSession("SLS_INFO").salesmanCname,//操作员姓名
                            vhlNo: $rootScope.policyDeliveryData.licenseNo,//车牌
                            origSys: $rootScope.policyDeliveryData.origSys //系统来源
                        };
                        po = $.extend(true,po,$rootScope.shipper);
                        $handleService.http({
                            url: '/policyDelivery/createDeliveryBill',
                            data: po,
                            success: function (data) {
                                if(data.resultCode == "0"){
                                    $rootScope.isSucc = '2';
                                    $rootScope.logisticCode = data.result;
                                    if(po.policyNoJq){
                                        $rootScope.policyNo = po.policyNoJq;
                                    }else{
                                        $rootScope.policyNo = po.policyNoSy;
                                    }
                                    $state.go("tab.policyDeliverySuccess");
                                }else{
                                    $U.showToast(data.errorMsg)
                                }
                            },
                            error: function (ex) {
                                $handleService.logger('error', ex);
                            }
                        })
                    }
                });
                
            }
        };
        //智能填写
        $scope.writeFill = function() {
            if($('.write-input').val()){
                var regnum = /[\d-]{6,}/g,
                    regphone =/^([1][3-9][0-9]{9})$|^((\d){3}(\*){4}(\d){4})$/,
                    regtel =/^0\d{2,3}-?\d{7,8}$|^0\d{2}(\*){4,5}\d{4}$/,
                    regcity = /.+?(省|市|自治区|自治州|县|区)/g,
                    regName =/^[\u4e00-\u9fa5]{2,6}$/,getMsg;
                var adr = getMsg = $('.write-input').val();
                var name = '';
                var phone = adr.match(regnum);
                //判断姓名正则表达式
                if(getMsg){
                    getMsg = getMsg.split(' ');
                    var length = getMsg.length;
                    for(var i=0;i<length;i++){
                        regName.test(getMsg[i])? name = getMsg[i]:'';
                    }
                }
                if(phone){
                    if(regphone.test(phone[0]) || regtel.test(phone[0])){
                        $('#'+$scope.personSelect+'c').val(phone[0])
                        adr = adr.replace(phone[0],'')
                    }else{
                        $U.showToast('请填写11位手机号码或者区号+座机格式联系电话')
                        return;
                    }
                }
                //智能填写 匹配中文姓名
                if(name) {
                    $('#' + $scope.personSelect + 'a').val(name);
                    adr = adr.replace([name], '');
                }
                var city = adr.match(regcity) || '';
                if(city){
                    $('#'+$scope.personSelect+'_show_contact').text(city.join(' '))
                    adr = adr.replace(regcity,'')
                    $('#'+$scope.personSelect+'b').val(adr) //匹配完号码跟省市区,剩下字符赋值详细地址
                    if(city.length < 3){ //如果不能匹配到3个省/市/区,赋值后错误提示
                        $U.showToast('未找到对应省/市/区,请您手动进行选择')
                    }
                }else{
                    $('#'+$scope.personSelect+'b').val(adr);
                    if($('#'+$scope.personSelect+'_show_contact').text()){
                        Handle.getCity($('#'+$scope.personSelect+'_show_contact').text());
                        $scope.receiverProvince && $scope.receiverCity && $scope.receiverDistrict ? '' : $U.showToast('未找到对应省/市/区,请您手动进行选择');
                    }else{
                        $U.showToast('未找到对应省/市/区,请您手动进行选择')
                    }
                }

            }else{
                $U.showToast('请输入地址+手机号码')
            }
        };
        //清空
        $scope.writeClear = function() {
            $('.write-input').val('');
        }
    });
    return app;
});