define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives','filters/app.filters' ,'services/app.store'], function () {
    'use strict';
    var app = angular.module('app.policyController', ['app.handle.service', 'app.directives','app.filters', 'app.general.service','ionic']);
    //投保查询控制器
    app.controller('policyController', function ($generalService, $ionicPopup, $timeout, $scope, $rootScope, $state, $stateParams, $handleService, $interFace,$location,$ionicScrollDelegate, store) {
        //----------------------------------------- begin 变量 -----------------------------------------//
        $scope.carNoMorePage = false;
        $scope.carCurrentPage = 1;
        $scope.showRelationPhone4 = false;//控制显示录入手机后四位
        $rootScope.selectStatus = {//查询状态
            deliveryStatus: '',
            printStatus: ''
        };
        $scope.showTab = true;//是否显示tab
        $scope.initTitle = '车险保单';
        $rootScope.policyList = [];
        $rootScope.relationList = [];//首页扫码，关联保单列表
        $rootScope.locationUrl = $location.url().split('tab/')[1];//当前页面路由
      //  $rootScope.applyPrintTimeList = [];
        /* $rootScope.policyPrintStatus = {
            jqStatus: "1"; // 1:交强已打印  2:待打印  3:打印失败 4:打印中
            syStatus: "1"; // 1:商业已打印
        }; */
        if($location.url() == '/tab/policySearch' && !$rootScope.otherPage && !$rootScope.otherMorePage){
            $rootScope.tabFlag = true; //清楚摩托车保单列表页的记录标志
        }
        $rootScope.detailPrint = false;
        $scope.hasElecCompanyPolicy = $U.sessionHandle.getSession("SLS_INFO").elecCompanySwitch;
        $rootScope.status = {//配送状态
            '0': '待配送',
            '1': '待揽件',
            '2': '已揽件',
            '3': '运输中',
            '301': '运输中',
            '302': '派件中',
            '311': '待取件',
            '4': '已签收',
            '5': '配送异常',
            '6': '未知'
        };
        $rootScope.wlStatus={//物流状态
            '00':'纸质保单准备中',
            '01':'保单已打印,正马不停蹄的向你飞奔而来',
            '1':'已揽收 ',
            '2':'在途中',
            '201':'到达派件城市',
            '202':'派件中',
            '211':'已放入快递柜或驿站',
            '3':'已签收 ',
            '301':'正常签收',
            '302':'派件异常后最终签收',
            '304':'代收签收',
            '311':'快递柜或驿站签收',
            '4':'配送异常',
            '401':'发货无信息',
            '402':'超时未签收',
            '403':'超时未更新',
            '404':'拒收(退件)',
            '405':'派件异常',
            '406':'退货签收',
            '407':'退货未签收',
            '412':'快递柜或驿站超时未取'
        }
        /** 车险保单页面-新增摩托车信息0827
        * 新增车辆类型
        */
        // $scope.carKindCodeList = {
        //     '100': '客车',
        //     '200': '货车',
        //     '300': '特种车',
        //     '400': '摩托车',
        //     '500': '拖拉机',
        // };
        var Handle = (function (handle) {
            handle.recNowDate = function () {
                var nex = new Date();
                nex.setDate(nex.getDate());
                return nex.format('yyyy-MM-dd');
            };

            handle.recNxtDay = function () {
                var nex = new Date();
                nex.setDate(nex.getDate() + 1);
                return nex.format('yyyy-MM-dd');
            };
            handle.recPrevThreeDay = function () {
                var nex = new Date();
                nex.setDate(nex.getDate() - 3);
                return nex.format('yyyy-MM-dd');
            };
            // 查询保单出单机构和出单员信息
            handle.queryIssuingManInfo = function(){
                $handleService.http({
                    url: "/policyOrder/queryIssuingManInfo?deptCode="+ $U.getDeptCode(),
                    method: 'GET',
                    success: function (data) {
                        if (data.resultCode == "0") {
                            var deptNameList = [], slManList = [];
                            angular.forEach(data.result,function(item){
                                deptNameList.push(item.deptName);
                                slManList.push(item.salesmanName + '：' + (item.phone||' '));
                            })
                            $rootScope.deptNameStr = deptNameList.join('，');
                            $rootScope.slManStr = slManList.join('，');
                            $rootScope.slName = slManList.join('，').split('：')[0];
                            $rootScope.slPhone = slManList.join('，').split('：')[1];
                        }
                    },
                });
            }
            //查询时间
            // handle.queryPolicyPrintInfo = function(dtd){
            //     $handleService.http({
            //         url: "/policyOrder/queryPolicyPrintInfo",
            //         data: {
            //             salesCode: $U.sessionHandle.getSession("SLS_INFO").employCode,
            //         },
            //         success: function (data) {
            //             $handleService.logger('object', data, '查询保单列表');
            //             if (data.resultCode == '0') {
            //                 $rootScope.applyPrintTimeList = data.result;
            //             }
            //             dtd.resolve();
            //         },
            //         error: function (ex) {
            //             dtd.reject();
            //             $handleService.logger('error', ex);
            //         }
            //     });
            //     return dtd;
            // }
            // 为每个保单匹配申请打印时间
            // handle.matchPrintTime = function(policyItem){ // policyNoSy  policyNoJq
            //     var printTimeSy, printTimeJq;
            //     angular.forEach($rootScope.applyPrintTimeList, function(item){
            //         if(item.policyNo == policyItem.policyNoSy){
            //             printTimeSy = item.printTime;
            //         }
            //         if(item.policyNo == policyItem.policyNoJq){
            //             printTimeJq = item.printTime;
            //         }
            //     });
            //     policyItem.printTimeSy = printTimeSy;
            //     policyItem.printTimeJq = printTimeJq;
            // }
            // 现在日期 参数日期  48小时以前: 0  48小时以内: 1
            handle.judge48Hours = function(timestr){
                var newDate = new Date(timestr.replace(/[-]/g, '/')); 
                var nowDate = new Date();
                var dif = nowDate.getTime() - newDate.getTime();
                if( dif > 48*60*60*1000){
                    return '0';
                }else{
                    return '1';
                }
            }
            // 整合打印状态
            handle.mergePrintStatus = function(policyItem,i){
                /*  printStateJq:
                        0: 待打印
                        1: 已打印
                        空: 不显示
                */ 
               /* 
                    整合后的状态:
                        printStateJqNew
                            1: 已打印       printStateJq:1
                            2: 待打印       printStateJq:0 && 国峰未返回时间
                            3: 打印失败     printStateJq:0 && 国峰时间超过48小时
                            4: 打印中       printStateJq:0 && 国峰时间48小时以内
                            5: 不显示       printStateJq:空
                */

                // 处理交强险
                if(policyItem.policyNoJq){ // 存在交强险
                    if(policyItem.printStateJq == '0'){// 未打印
                        policyItem.printStateJqNew = '2';
                    }else if(policyItem.printStateJq == '1'){// 已打印
                        policyItem.printStateJqNew = '1';
                    }else if(policyItem.printStateJq == '2'){// 打印中
                        policyItem.printStateJqNew = '4';
                        // if(policyItem.printTimeJq){
                        //     if(Handle.judge48Hours(policyItem.printTimeJq) == '0' ){ // 超过48小时 打印失败
                        //         policyItem.printStateJqNew = '3';
                        //     }else if(Handle.judge48Hours(policyItem.printTimeJq) == '1' ){// 48小时以内 打印中
                        //         policyItem.printStateJqNew = '4';
                        //     }
                        // }else{// 待打印
                        //     policyItem.printStateJqNew = '4';
                        // }
                    }else if(policyItem.printStateJq == '3'){//打印失败
                        policyItem.printStateJqNew = '3';
                    }else{// 不显示
                        policyItem.printStateJqNew = '5';
                    }
                }else if(!policyItem.printStateJq){
                    policyItem.printStateJqNew = '5';
                }

                // 处理商业险
                if(policyItem.policyNoSy){ // 存在商业险
                    if(policyItem.printStateSy == '0'){// 待打印
                        policyItem.printStateSyNew = '2';
                    }else if(policyItem.printStateSy == '1'){// 已打印
                        policyItem.printStateSyNew = '1';
                    }else if(policyItem.printStateSy == '2'){// 打印中
                        policyItem.printStateSyNew = '4';
                        // if(policyItem.printTimeSy){
                        //     if(Handle.judge48Hours(policyItem.printTimeSy) == '0' ){ // 超过48小时
                        //         policyItem.printStateSyNew = '3';
                        //     }else if(Handle.judge48Hours(policyItem.printTimeSy) == '1' ){// 48小时以内
                        //         policyItem.printStateSyNew = '4';
                        //     }
                        // }else{
                        //     policyItem.printStateSyNew = '2';
                        // }
                    }else if(policyItem.printStateSy == '3'){//打印失败
                        policyItem.printStateSyNew = '3';
                    }else if(!policyItem.printStateSy){// 不显示
                        policyItem.printStateSyNew = '5';
                    }  
                }else{
                    policyItem.printStateSyNew = '5';
                }
            }


            //查询
            handle.queryPolicyList = function(options,dtd) {
                var sls_info = JSON.parse(window.sessionStorage.getItem("SLS_INFO"));
                var subObj = {
                    applyPolicyNo: "",	//投保单号	string
                    endDate: Handle.recNowDate(), //	止期	string
                    insuredName: "",	//被保人	string
                    insuredProduct: ($rootScope.tabFlag?"0":"1"),	//投保产品	string 投保产品  0机动车  1摩托车
                    isPolicyFlag: "1",	//是否只查保单传	string	1：是，0：否
                    //origSysList:["eautomobile","peoplemark"], //查询业务来源  APP和人人团
                    licenseNo: "",//	车牌号	string
                    ownerName: "",//	车主	string
                    salesManCode: sls_info.employCode,
                    page: {
                        pageNum: $scope.carCurrentPage,//页码	number
                        pageSize: 10//	每页大小	number
                    },
                    policyNo: "",//	保单号	string
                    startDate: Handle.recPrevThreeDay(),//	起期	string
                    pageSource: '01'
                };
                if($rootScope.tabHistory){
                    $rootScope.tabHistory = false;
                    subObj.page.pageNum = 1;
                }
                if($rootScope.otherPage){
                    subObj = JSON.parse(sessionStorage.getItem('subOptions'));
                    subObj.page.pageSize = Number(subObj.page.pageNum * 10);
                    var page_Size = subObj.page.pageNum;
                    subObj.page.pageNum = $scope.carCurrentPage;
                    $scope.carCurrentPage = page_Size;

                    if($location.url() != "/tab/policySearch") {
                        var queryOption = JSON.parse(sessionStorage.getItem('queryOptions'));
                        $scope.vm.$IS_SELBY_DATE = true;
                        subObj.endDate = $scope.vm.endDate = queryOption.endDate;
                        subObj.startDate = $scope.vm.startDate = queryOption.startDate;
                        subObj.deliveryStatus = queryOption.deliveryStatus;
                        subObj.printStatus = queryOption.printStatus;
                        $rootScope.selectStatus.deliveryStatus = queryOption.deliveryStatus;
                        $rootScope.selectStatus.printStatus = queryOption.printStatus;
                    }
                    delete subObj.insuredName,subObj.policyNo;
                    $scope.querySign = true;
                    $rootScope.otherPage = false; //跳转别的页面 重新加载页面
                }else{
                    sessionStorage.setItem('subOptions',JSON.stringify(subObj));
                }

                angular.extend(subObj,options);

                $handleService.http({
                    url: "/policyOrder/queryOrderList",
                    data: subObj,
                    success: function (data) {
                        $handleService.logger('object', data, '查询保单列表');
                        if (data.result) {
                            angular.forEach(data.result,function(dt){
                                angular.extend(dt,{show:false,selectAll:false,selectJq:false,selectSy:false})
                            })
                            if ($scope.carCurrentPage > 1) { //数据有分页
                                var load = false;
                                if($rootScope.isRelation){
                                    if($location.url() != "/tab/policySearch"){//关联保单时,判断是否加载完数据
                                        if($rootScope.tabFlag){
                                            $rootScope.relationCarMoreList.length == data.page.total ?  load = true : '';
                                        }else{
                                            $rootScope.relationMotoCarMoreList.length == data.page.total ?  load = true : '';
                                        }
                                    }else{
                                        if($rootScope.tabFlag){
                                            $rootScope.relationCarList.length == data.page.total ?  load = true : '';
                                        }else{
                                            $rootScope.relationMotoCarList.length == data.page.total ?  load = true : '';
                                        }
                                    }
                                }
                                if(load){//已经加载完所有数据
                                    $scope.carNoMorePage = true;
                                    return;
                                }
                                //查到数据时
                                if (data.result && data.result.length > 0) {
                                    for (var i = 0; i < data.result.length; i++) {
                                        //Handle.matchPrintTime(data.result[i]);  // 匹配申请打印时间
                                        Handle.mergePrintStatus(data.result[i]); //整合打印状态
                                        if($rootScope.isRelation){
                                            if($location.url() != "/tab/policySearch"){
                                                $rootScope.tabFlag ? $rootScope.relationCarMoreList.push(data.result[i]) : $rootScope.relationMotoCarMoreList.push(data.result[i])
                                            }else{
                                                $rootScope.tabFlag ? $rootScope.relationCarList.push(data.result[i]) : $rootScope.relationMotoCarList.push(data.result[i])
                                            }
                                        }else{
                                            $rootScope.policyList.push(data.result[i]);
                                        }
                                    }
                                }else { //没有数据
                                    $scope.carNoMorePage = true;
                                }
                            } else { //数据未分页
                                for (var i = 0; i < data.result.length; i++) {
                                    //Handle.matchPrintTime(data.result[i]);// 匹配申请打印时间
                                    Handle.mergePrintStatus(data.result[i],i);//整合打印状态
                                }
                                if($rootScope.isRelation && data.result.length === 0 && $location.url() == "/tab/policySearch"){
                                    //首页扫码未匹配到快递单号，弹窗提示
                                    $handleService.showAlert("温馨提示","近三天没有待配送保单,请点击更多查询关联保单")
                                }
                                data.result = data.result ||[];
                                if(data.result.length === 0) { //数据为空时增加增加提示
                                    $rootScope.policyList = data.result;
                                    $scope.carNoMorePage = true;
                                    //如果为查询,显示报错文案
                                    $scope.querySign && $rootScope.selectStatus.deliveryStatus ? $U.showToast('您好，系统未查询到含有配送信息的保单') : '';
                                }else {
                                    if($rootScope.isRelation){
                                        if($location.url() != "/tab/policySearch"){
                                            if($rootScope.tabFlag){
                                                $rootScope.relationCarMoreList.length == 0 || $scope.querySign ? $rootScope.relationCarMoreList = data.result : '';
                                            }else{
                                                $rootScope.relationMotoCarMoreList.length == 0 || $scope.querySign ? $rootScope.relationMotoCarMoreList = data.result : '';
                                            }
                                        }else{
                                            if($rootScope.tabFlag){
                                                $rootScope.relationCarList.length == 0 ? $rootScope.relationCarList = data.result : '';
                                            }else{
                                                $rootScope.relationMotoCarList.length == 0 ? $rootScope.relationMotoCarList = data.result : '';
                                            }
                                        }
                                    }else{
                                        $rootScope.policyList = data.result;
                                    }
                                }
                            }
                            $scope.$broadcast('scroll.infiniteScrollComplete');
                        }
                        else {
                            $scope.carNoMorePage = true;
                            $scope.querySign && $rootScope.selectStatus.deliveryStatus ? $U.showToast('您好，系统未查询到含有配送信息的保单') : '';
                        }
                        handle.setPageFocus();
                        dtd ? dtd.resolve() : '';
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                        dtd ? dtd.reject() : '';
                    }
                });
                if(dtd){
                    return dtd;
                }
            }
            //跳投保详情定焦
            handle.setPageFocus = function () {
                // dev-page 定焦start
                if ($rootScope.tempPolicyList) {
                    $timeout(function () {
                        var location = $location.url();
                        $location.hash("list" + $rootScope.pageNum);
                        $location.replace();
                        $rootScope.tempPolicyList = '';
                        $ionicScrollDelegate.$getByHandle('mainScroll').anchorScroll(true);
                        $timeout(function () {
                            $location.url(location);
                            $location.replace();
                        }, 300)
                    }, 500)
                }
            }

            //键盘
            handle.initPopup = function(){
                function keyboardShowHandler(e){
                    $(".popup").css({
                        "margin-top": -e.keyboardHeight + "px",
                        transform: "translate(-50%, 50%)"
                    });
                    if($(".popup").offset().top <= 0) {
                        $(".popup").css({
                            "margin-top": -e.keyboardHeight - $(".popup").offset().top + "px",
                            transform: "translate(-50%, 50%)"
                        });
                    }
                    if($("#checkTowNumWrap").length > 0) {
                        $(".popup").css({
                            "margin-top": -e.keyboardHeight + "px",
                            transform: "translate(-50%, 10%)"
                        });
                    }

                }
                function keyboardHideHandler(e){
                    $(".popup").css({
                        "margin-top": "0px",
                        transform: "translate(-50%, -50%)"
                    });
                }
                if(ionic.Platform.isIOS()) { //解决IOS下 修改折扣输入框被键盘挡住的问题
                    window.addEventListener('native.keyboardshow', keyboardShowHandler);
                    window.addEventListener('native.keyboardhide', keyboardHideHandler);
                }
            }

            handle.initPage = function() {
                // Handle.queryPolicyPrintInfo(); // 查询保单申请打印时间
                if($rootScope.relationPolicyList && $rootScope.relationPolicyList.length>0 && $rootScope.hasRelationPolicy){//首页扫码查询到保单
                    $scope.initTitle = '此快递单号关联的保单';
                    $scope.showTab = false;
                    for(var i=0;i<$rootScope.relationPolicyList.length;i++){
                        Handle.mergePrintStatus($rootScope.relationPolicyList[i]);
                    }
                    $rootScope.policyList = $rootScope.relationPolicyList;
                }else if($rootScope.isRelation){//首页扫码未查询到保单
                    $scope.initTitle = '请勾选对应的保单'
                    if($rootScope.isOnlyCompany){
                        $rootScope.relationInfo.companyCode = $rootScope.expressCompanyList[0].shipperCode;
                        if($rootScope.relationInfo.companyCode == 'SF'){
                            $scope.showRelationPhone4 = true;
                        }
                    }
                    Handle.queryPolicyList({deliveryStatus:'0'})
                }else{
                    Handle.queryPolicyList(); //获取车险续保数据
                }

                //$.when(Handle.queryPolicyPrintInfo(dtd))
                //.done(Handle.queryPolicyList);
                Handle.queryIssuingManInfo();
                Handle.initPopup();
            }
            return handle;
        })(Handle || {});
        //
        $scope.loadCarMore = function (a) {
            //查询到有关联保单跳转过来不加载更多
            if($rootScope.relationPolicyList && $rootScope.relationPolicyList.length>0){
                $scope.carNoMorePage = true;
                return;
            }
            $scope.carCurrentPage ++;
            if(a == '1' && $scope.querySign){//条件查询赋值
                Handle.queryPolicyList({
                    endDate: $scope.vm.$IS_SELBY_DATE ? $scope.vm.endDate : "", //	止期	string
                    insuredName: $scope.vm.insuredName,	//被保人	string
                    policyNo: $scope.vm.policyNo,//	保单号	string
                    startDate: $scope.vm.$IS_SELBY_DATE ? $scope.vm.startDate :"",//	起期	string
                    deliveryStatus: $rootScope.selectStatus.deliveryStatus,
                    printStatus: $scope.selectStatus.printStatus
                });
            }else{
                if($rootScope.isRelation){
                    Handle.queryPolicyList({deliveryStatus:'0'});
                }else{
                    Handle.queryPolicyList();
                }
            }
        };

        $scope.vm = {
            startDate: Handle.recPrevThreeDay(),
            endDate: Handle.recNowDate()
        };
        //保单查询
        $scope.policyOderQHandle = function() {

            //未选时间
            if(!$scope.vm.$IS_SELBY_DATE) {
                if(!$scope.vm.insuredName && !$scope.vm.policyNo && !$rootScope.selectStatus.deliveryStatus && !$rootScope.selectStatus.printStatus) {
                    $U.showToast("请输入或选择被保险人姓名/保单号/打印状态/配送状态任意项");
                    return;
                }
            }
            $scope.querySign = true;//表示查询
            var options = {
                endDate: $scope.vm.$IS_SELBY_DATE ? $scope.vm.endDate : "", //	止期	string
                insuredName: $scope.vm.insuredName,	//被保人	string
                policyNo: $scope.vm.policyNo,//	保单号	string
                startDate: $scope.vm.$IS_SELBY_DATE ? $scope.vm.startDate :"",//	起期	string
                insuredProduct: ($rootScope.tabFlag?"0":"1"),	//投保产品	string 投保产品  0机动车  1摩托车
                page: {
                    pageNum: 1,//页码	number
                    pageSize: 10//	每页大小	number
                },
                deliveryStatus: $rootScope.selectStatus.deliveryStatus,
                printStatus: $rootScope.selectStatus.printStatus
            };
            sessionStorage.setItem('queryOptions',JSON.stringify(options));
            $rootScope.policyList = [];
            $scope.carCurrentPage = 1;
            //$scope.carNoMorePage = true;
            // var dts = $.Deferred();
            // $.when(Handle.queryPolicyPrintInfo(dts))
            // .done(function(){
            //     Handle.queryPolicyList(options);
            // });

            Handle.queryPolicyList(options);
        };

        //查询详情
        $scope.gotoPolicyDetail = function(data,a,b,c) {
            $rootScope.detailPrintState = {// 保单打印状态
                printStateSyNew : data.printStateSyNew,
                printStateJqNew : data.printStateJqNew
            };
            $rootScope.deliveryStatus = {// 配送状态
                deliveryStatusJq : data.deliveryStatusJq,
                deliveryStatusSy : data.deliveryStatusSy
            };
            $rootScope.policyDeliveryData = data;
            $rootScope.otherPage = true;
            $rootScope.pageNum = b;
            console.log($rootScope.pageNum);
            $rootScope.tempPolicyList = $rootScope.policyList;
            c?$rootScope.backPage = c:'';
            if(a == 'a'){ //跳转保单申请打印新页面
                if($rootScope.detailPrintState.printStateSyNew == '2'|| $rootScope.detailPrintState.printStateJqNew == '2'){
                    $state.go("tab.policyPrint-A", {orderNo: data.orderNo});
                }else{
                    $state.go("tab.policyPrint-B", {orderNo: data.orderNo});
                }
            }else if(a == 'c'){
                $state.go("tab.policyDelivery");
            }else if(a == 'd'){
                data.show = !data.show;
                for(var i = 0 ; i < $rootScope.policyList.length ; i++){
                    if(data.orderNo != $rootScope.policyList[i].orderNo){
                        $rootScope.policyList[i].show = false;
                    }
                }
            }else{
                //配送开关跳转不同详情页面 ;
                $rootScope.fromState = "policySearch";//dev-page设置跳转到详情的来源标志
                $state.go("tab.orderDetail-A", {
                    orderNo: data.orderNo
                })
                // if ($rootScope.switchBean && $rootScope.switchBean.newPageEdition) {
                //     $state.go("tab.orderDetail-A", {
                //         orderNo: data.orderNo
                //     })
                // } else {
                //     $state.go("tab.policyDetail", {
                //         orderNo: data.orderNo
                //     })
                // }
                // $rootScope.switchBean.newPageEdition ? $state.go("tab.orderDetail-A", {orderNo: data.orderNo}) : $state.go("tab.policyDetail", {orderNo: data.orderNo});
            }

        };
        
        //跳转电子保单
        $scope.gotoPolicyElecInvo = function (data){
            $state.go("tab.policyElecInvo", {orderNo: data.orderNo});
        }
        
        //时间转换
        $scope.translateTime = function(data, flag) {
            var str = "";
            if(flag == "jq") {
                str = data.startDateJq.split(" ")[0].replace(/[-]/g,'.') + "-" + data.endDateJq.split(" ")[0].replace(/[-]/g,'.');
            } else if(flag== "sy") {
                str = data.startDateSy.split(" ")[0].replace(/[-]/g,'.') + "-" + data.endDateSy.split(" ")[0].replace(/[-]/g,'.');
            }
            return str;
        }

        //跳转到保单页面
        $scope.gotoPolicyElec = function(data) {
            data.electronicPolicySy='1'
            //存在电子保单
            if((data.electronicPolicySy=='1')||(data.electronicPolicyJq=='1')) {
                $state.go("tab.policyElecList", {orderNo: data.orderNo});
            }
        }

        if($location.url() == "/tab/policySearch" || $rootScope.otherPage) {
            Handle.initPage();
        }
        $scope.goTo = function(a) {
            //存在电子保单
            if(a == 'a') {
                $state.go("tab.policyPrint-A", {orderNo: 'P2019100029840062329'});
            }else{
                $state.go("tab.policyPrint-B", {orderNo: 'P2019100029840062329'});
            }

        };
        $scope.tabClick = function(a) {
            if(a){//跳转更多页面记录信息
                $rootScope.otherMorePage = true;
                if($rootScope.isRelation){
                    $rootScope.otherPage = true;
                    var options = {
                        endDate: Handle.recNowDate(), //	止期	string
                        insuredName: $scope.vm.insuredName,	//被保人	string
                        policyNo: $scope.vm.policyNo,//	保单号	string
                        startDate: Handle.recPrevThreeDay(),//	起期	string
                        insuredProduct: ($rootScope.tabFlag?"0":"1"),	//投保产品	string 投保产品  0机动车  1摩托车
                        page: {
                            pageNum: 1,//页码	number
                            pageSize: 10//	每页大小	number
                        },
                        deliveryStatus: '0',
                        printStatus: $rootScope.selectStatus.printStatus
                    };
                    sessionStorage.setItem('queryOptions',JSON.stringify(options));
                }
                $state.go("tab.policyMoreSearch");
            }else{
                $rootScope.policyList = [];
                $rootScope.tabHistory=true;
                $scope.carNoMorePage = false;
                $scope.carCurrentPage = 1;
                $rootScope.tabFlag=!$rootScope.tabFlag;
                Handle.initPage();
            }
        };
        //选择要关联的保单
        $scope.selectPolicy = function(data,a){
            if($rootScope.isRelation){
                data['select'+a] = !data['select'+a];
                if(a == 'All'){//点击全部关联
                    data.selectJq = data.selectAll;
                    data.selectSy = data.selectAll;
                }else{
                    if(data.selectSy && data.selectJq){
                        data.selectAll = true;
                    }else{
                        data.selectAll = false;
                    }
                }
            }
        }
        //确定关联保单
        $scope.showSelectPolicy = function(){
            $rootScope.relationList = [];
            var arrAll = $rootScope.relationCarList.concat($rootScope.relationMotoCarList,$rootScope.relationCarMoreList,$rootScope.relationMotoCarMoreList),
                arr1 = [],
                setArr = [];
            angular.forEach(arrAll,function(item){
                if(item.selectJq || item.selectSy){
                    arr1.push(item);
                }
            })
            for(var i=0;i<arr1.length;i++){//去重
                var obj = {
                    policyJq : arr1[i].policyNoJq,
                    policySy : arr1[i].policyNoSy
                }
                var str = JSON.stringify(obj);
                if(setArr.indexOf(str) == -1){
                    $rootScope.relationList.push(arr1[i]);
                    setArr.push(str);
                }
            }
            if($rootScope.relationList.length > 0){
                var text = '';
                $rootScope.relationInfo.logisticCode ? text = "请确认快递及保单信息" : text = "请确认保单信息"
                $scope.relationAlert = $handleService.showAlert(text, "", null, {
                    cssClass: "pay-across-popup new-pop policy-pop",
                    okType: "hidden-box",
                    templateUrl: "templates/common/sure-policy.html",
                    scope: $scope
                });
            }else{
                $U.showToast("请选择要关联保单");
            }
            console.log($rootScope.relationList)
        }

        //快递公司变更
        $scope.showPhone4 = function(){
            if($rootScope.relationInfo.companyCode == 'SF'){
                $scope.showRelationPhone4 = true;
            }else{
                $scope.showRelationPhone4 = false;
            }
        };

        //确定关联保单请求接口
        $scope.makeSure = function(a){
            switch(a){
                case 'a':
                    var regnum = /\d/;
                    if((!$rootScope.relationInfo.logisticCode || !regnum.test($rootScope.relationInfo.logisticCode) || $rootScope.relationInfo.logisticCode.length<7 || $rootScope.relationInfo.logisticCode.length>30) && $rootScope.isOnlyCompany){
                        $U.showToast("请输入正确的快递单号");
                        return;
                    }
                    if($scope.showRelationPhone4 && ($rootScope.relationInfo.phone4.length<4 || !regnum.test($rootScope.relationInfo.phone4))){
                        $U.showToast("请输入手机后四位");
                        return;
                    }
                    var deliveryVOList=[];
                    //赋值快递name
                    if($rootScope.isOnlyCompany){
                        $rootScope.relationInfo.companyName = $('option[value="'+$rootScope.relationInfo.companyCode+'"]').text();
                    }
                    if($rootScope.isDeliveryRelation && $rootScope.relationInfo.receiverName){//保单配送月结方式
                        angular.forEach($rootScope.relationList,function(item){
                            deliveryVOList.push({
                                orderNo: item.orderNo,
                                policyNoJq: item.selectJq ? item.policyNoJq : '',
                                policyNoSy: item.selectSy ? item.policyNoSy : '',
                                deptCode: $U.getDeptCode(),
                                vhlNo: item.licenseNo,
                                applicant: item.applicantName,
                                origSys: item.origSys
                            })
                        })
                        var po = {
                            policiesInfo: deliveryVOList,
                            receiverAddress: $rootScope.relationInfo.receiverAddress,
                            receiverMobile: $rootScope.relationInfo.receiverMobile,
                            receiverName: $rootScope.relationInfo.receiverName,
                            receiverProvince: $rootScope.relationInfo.receiverProvince,//收件人省
                            receiverCity: $rootScope.relationInfo.receiverCity,//收件人市
                            receiverDistrict:$rootScope.relationInfo.receiverDistrict,//收件人区
                            receiverPostCode: '',//收件人邮编
                            expType:'',//详细快递类型
                            quantity: 1,//包裹数
                            operatorCode: $U.getSlsCode(),//操作员编码
                            deptCode: $U.getDeptCode(),
                            deliveryMode: '0',//配送方式
                            payType: '',//支付方式
                            operatorName: $U.sessionHandle.getSession("SLS_INFO").salesmanCname,//操作员姓名
                            electPolicyFlag: '',//电子保单标识
                        }
                        angular.extend(po,$rootScope.shipper);
                        $handleService.http({
                            url:'/policyDelivery/applyDeliveryBill',
                            data: po,
                            success: function(data){
                                if(data.resultCode == '0'){
                                    $rootScope.relationInfo.logisticCode = data.result;
                                    $state.go('tab.deliveryRelationSuccess')
                                }else{
                                    $U.showToast(data.errorMsg);
                                }
                            }
                        })
                    }else if($rootScope.showRelationTips){
                        angular.forEach($rootScope.relationList,function(item){
                            deliveryVOList.push({
                                policyNoJq: item.selectJq ? item.policyNoJq : '',
                                policyNoSy: item.selectSy ? item.policyNoSy : '',
                                origSys: item.origSys
                            })
                            $handleService.http({
                                url:'/policyDelivery/batchSelfDelivery',
                                data: {
                                    policiesInfo: deliveryVOList,
                                    operatorCode: $U.getSlsCode(),
                                    deptCode: $U.getDeptCode()
                                },
                                success: function(data){
                                    if(data.resultCode == '0'){
                                        $state.go('tab.deliveryRelationSuccess')
                                    }else{
                                        $U.showToast(data.errorMsg);
                                    }
                                }
                            })
                        })
                    }else{
                        angular.forEach($rootScope.relationList,function(item){
                            //选择一个保单传参一条数据
                            if(item.selectJq){
                                deliveryVOList.push({
                                    applicant:item.applicantName,
                                    deptCode:$U.getDeptCode(),
                                    orderNo:item.orderNo,
                                    origSys:item.origSys,
                                    vhlNo:item.licenseNo,
                                    policyNo:item.policyNoJq
                                })
                            }
                            if(item.selectSy){
                                deliveryVOList.push({
                                    applicant:item.applicantName,
                                    deptCode:$U.getDeptCode(),
                                    orderNo:item.orderNo,
                                    origSys:item.origSys,
                                    vhlNo:item.licenseNo,
                                    policyNo:item.policyNoSy
                                })
                            }
                        })
                        $handleService.http({
                            url:'/policyDelivery/saveScanLogisticCode',
                            data:{
                                logisticCode:$rootScope.relationInfo.logisticCode,
                                shipperCode:$rootScope.relationInfo.companyCode,
                                shipperName:$rootScope.relationInfo.companyName,
                                senderMobile:$rootScope.relationInfo.phone4,
                                operatorCode:$U.getSlsCode(),
                                deliveryVOList:deliveryVOList
                            },
                            success: function(data){
                                if(data.resultCode == '0'){
                                    $rootScope.isDeliveryRelation ? $state.go('tab.deliveryRelationSuccess') : $state.go('tab.relationSuccess');
                                }else{
                                    $U.showToast(data.errorMsg);
                                }
                            }
                        })
                    }
                    $handleService.closeModule($scope.relationAlert);
                    break;
                case 'b':
                    $handleService.closeModule($scope.relationAlert);
                    // $scope.getMsg($rootScope.dataItem,false)
                    break;
                default:
                    $handleService.closeModule($scope.relationAlert);
                    break;
            }
 
        };

        //返回判断
        $scope.back = function(){
            if($rootScope.isDeliveryRelation){
                $rootScope.isRelation = true;
                if($rootScope.relationInfo.receiverName){
                    $state.go("tab.policyPerson");
                }else{
                    $state.go("tab.policyDelivery");
                }
            }else{
                // if($rootScope.isNewHome){
                //     $state.go("tab.mitNewIndex");
                // }else{
                //     $state.go("tab.mitIndex");
                // }
                $state.go("tab.mitNewIndex");
            }
        }
        //end  ------------------------------------- 非车-》投保进度查询 -------------------------------------//

        //----------------------------------------- end   共享方法 -----------------------------------------//
    });
    return app;
});