define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives','filters/app.filters' ,'services/app.store'], function () {
    'use strict';
    var app = angular.module('app.policySearchNumber.controller', ['ionic', 'app.handle.service', 'app.directives','app.filters', 'app.general.service','ionic']);
    //投保查询控制器
    app.controller('policySearchNumber', function ($generalService, $ionicPopup, $scope, $rootScope, $state, $stateParams, $handleService, $interFace,$location, store) {

        $scope.companySreach = false;
        $scope.stateSreach = false;
        $scope.policyNo = '';
        $scope.isSf = false;
        $scope.relationCompanyList = [];
        $scope.showRelationPhone4 = false;//首页扫一扫跳此页面是否显示手机后四位输入框
        //节流方法
        var throttle = function(func, delay) {            
        　　var prev = Date.now();            
        　　return function() {                
        　　　　var context = this;                
        　　　　var args = arguments;                
        　　　　var now = Date.now();                
        　　　　if (now - prev >= delay) {                    
        　　　　　　func.apply(context, args);                    
        　　　　　　prev = Date.now();                
        　　　　}            
        　　}        
        };
        var Handle = (function (handle) {
            handle.initPage = function() {
                function keyboardShowHandler(e){
                    $(".popup").css({
                        "margin-top": -e.keyboardHeight + "px",
                        transform: "translate(-50%, 50%)"
                    });

                    if($(".popup").offset().top <= 0) {
                        $(".popup").css({
                            "margin-top": -e.keyboardHeight - $(".popup").offset().top + "px",
                            transform: "translate(-50%, 50%)"
                        });
                    }
                    if($("#checkTowNumWrap").length > 0) {
                        $(".popup").css({
                            "margin-top": -e.keyboardHeight + "px",
                            transform: "translate(-50%, 10%)"
                        });
                    }

                }
                function keyboardHideHandler(e){
                    $(".popup").css({
                        "margin-top": "0px",
                        transform: "translate(-50%, -50%)"
                    });
                }

                if(ionic.Platform.isIOS()) { //解决IOS下 修改折扣输入框被键盘挡住的问题
                    window.addEventListener('native.keyboardshow', keyboardShowHandler);
                    window.addEventListener('native.keyboardhide', keyboardHideHandler);
                }

                if($rootScope.isRelation){//首页跳转过来默认快递公司
                    $scope.ownerCompanyList = $rootScope.relationCompanyList;
                    if($rootScope.expressCompanyList.length > 0){
                        var arr = [];
                        for(var y=0;y<$scope.ownerCompanyList.length;y++){
                            arr.push($scope.ownerCompanyList[y].shipperCode);
                        }
                        for(var i=0;i<$rootScope.expressCompanyList.length;i++){
                            var item = $rootScope.expressCompanyList[i];
                            if(arr.indexOf(item.shipperCode) == -1){
                                $scope.ownerCompanyList.push(item)
                            }
                        }
                        $rootScope.relationInfo.companyCode = $rootScope.expressCompanyList[0].shipperCode;
                        if($rootScope.relationInfo.companyCode == 'SF'){
                            $scope.showRelationPhone4 = true;
                        }
                    }else{
                        $rootScope.relationInfo.companyCode = 'SF';
                        $scope.showRelationPhone4 = true;
                    }
                }

                if($rootScope.policyDeliveryData && $rootScope.policyDeliveryData.policyNoJq){//查询轨迹接口添加保单号,有Jq传Jq,没有传Sy
                    $scope.policyNo = $rootScope.policyDeliveryData.policyNoJq;
                }else if($rootScope.policyDeliveryData && $rootScope.policyDeliveryData.policyNoSy){
                    $scope.policyNo = $rootScope.policyDeliveryData.policyNoSy;
                }

                if($rootScope.failtgetCode){//首页扫一扫失败跳转过来
                    $handleService.showConfirm({
                        title: '温馨提示',
                        template: '未能成功识别快递单号',
                        buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
                            text: '再扫一次',
                            type: 'button-cfirm-cancle',
                            onTap: function (e) {
                                return true;
                            }
                        }, {
                            text: '手动录入',
                            type: 'button-cfirm-ok',
                            onTap: function (e) {
                                return false;
                            }
                        }],
                        sure: function () {
                            cordova.plugins.barcodeScanner.scan(
                                function (result) {
                                    if(result.text.indexOf('=')>-1 && regnum.test(result.text.split('=')[1])){
                                        $rootScope.relationInfo.logisticCode = result.text.split('=')[1]
                                    }else if(regnum.test(result.text)){
                                        $rootScope.relationInfo.logisticCode = result.text
                                    }else if(result.text){
                                        $rootScope.isRelation = true;
                                        $rootScope.failtgetCode = true;
                                        $state.reload()
                                        return;
                                    }
                                    $rootScope.failtgetCode = false;
                                    $handleService.http({
                                        url: '/policyDelivery/getExpressCompanyByExpressNo?logisticCode='+$rootScope.relationInfo.logisticCode,
                                        method: 'GET',
                                        success: function (data) {
                                            $handleService.logger('object', data, '扫一扫快递单号查询保单');
                                            if(data.resultCode == '0'){
                                                $rootScope.expressCompanyList = data.result;
                                                if($rootScope.expressCompanyList.length==1){//如果只返回一个快递公司,直接查询关联保单
                                                    $rootScope.relationInfo.companyCode = $rootScope.expressCompanyList[0].shipperCode;
                                                    $rootScope.relationInfo.companyName = $rootScope.expressCompanyList[0].shipperName;
                                                    $handleService.http({//查询关联保单
                                                        url:'/policyDelivery/queryOrderListByLogisticCode?logisticCode='+$rootScope.relationInfo.logisticCode+'&shipperCode='+$rootScope.relationInfo.companyCode,
                                                        method: 'GET',
                                                        success: function (res){
                                                            if(res.resultCode == "0") {
                                                                if(res.result){//有关联保单
                                                                    $handleService.logger('object', res, '根据快递单号和快递公司查询配送订单');
                                                                    $rootScope.relationPolicyList = res.result;
                                                                    $rootScope.hasRelationPolicy = true;
                                                                    $rootScope.isRelation = false;
                                                                }else{//没有关联保单  
                                                                    $rootScope.isRelation = true;
                                                                    $rootScope.hasRelationPolicy = false;
                                                                    $rootScope.isOnlyCompany = true;//只有一条快递公司跳转显示录入快递单号
                                                                }
                                                                $state.go('tab.policySearch')
                                                            }
                                                        },
                                                        error: function (ex) {
                                                            $handleService.logger('error', ex);
                                                        }
                                                    })
                                                }else{//如果没有查询到快递公司或多条快递公司跳转手动录入信息
                                                    $rootScope.isRelation = true;
                                                    $rootScope.isOnlyCompany = false;//多条快递公司跳转录入页，关联时不显示录入信息
                                                    $state.reload()
                                                }
                                            }else{
                                                $U.showToast(data.errorMsg)
                                            }
                                        },
                                        error: function (ex) {
                                            $handleService.logger('error', ex);
                                        }
                                    });
                                },
                                function (error) {
                                    $U.showToast(error);
                                }
                            );
                        }
                    });
                }
            };
            //调用摄像头扫码
            handle.getCanner = function() {
                if(!cordova.plugins.barcodeScanner){
                    $U.showToast('请安装最新安装包');
                }else{
                    cordova.plugins.barcodeScanner.scan(
                        function (result) {
                            if(result.text.indexOf('=')>-1){
                                $('#logisticCode').val(result.text.split('=')[1]);
                            }else{
                                $('#logisticCode').val(result.text);
                            }
                        },
                        function (error) {
                            $U.showToast(error);
                        }
                    );
                }  
            };
            //自己付存储接口
            handle.inputExpressNo = function (phone,dtd){
                $handleService.http({
                    url: "/policyDelivery/inputExpressNo",
                    data: {
                        logisticCode:$('#logisticCode').val(),
                        shipperCode:$('#shipperCompany').val(),
                        operatorCode:$U.getSlsCode(),
                        vhlNo:$rootScope.policyDeliveryData.licenseNo,
                        applicant:$rootScope.policyDeliveryData.applicantName,
                        orderNo:$rootScope.policyDeliveryData.orderNo,
                        shipperName:$('option[value="'+$('#shipperCompany').val()+'"]').text(),
                        policyNoJq:$rootScope.deliveryPolicyNo.policyNoJq,
                        policyNoSy:$rootScope.deliveryPolicyNo.policyNoSy,
                        origSys: $rootScope.policyDeliveryData.origSys, //系统来源
                        senderMobile: phone //寄件人手机号码后四位,只有顺丰传
                    },
                    success: function (data) {
                        if(data.resultCode == "0") {

                        }else{
                            $U.showToast(data.errorMsg)
                        }   
                        dtd.resolve();
                    },
                    error: function (ex) {
                        dtd.reject();
                        $handleService.logger('error', ex);
                    }
                });
                return dtd;
            };

            //查询轨迹
            handle.getExpressLogInfor = function(){
                $handleService.http({
                    url: "/policyDelivery/getExpressLogInfor?logisticCode="+$('#logisticCode').val()+'&shipperCode='+$('#shipperCompany').val()+'&policyNo='+$scope.policyNo,
                    method: 'GET',
                    success: function (data) {
                        if(data.resultCode == "0") {
                            $scope.stateSreach = true;
                            $rootScope.policyDeliveryData.deliveryStatusJq = $rootScope.policyDeliveryData.deliveryStatusJq == '0'||$rootScope.policyDeliveryData.deliveryStatusJq == '7'?data.result.state:$rootScope.policyDeliveryData.deliveryStatusJq;
                            $rootScope.policyDeliveryData.deliveryStatusSy = $rootScope.policyDeliveryData.deliveryStatusSy == '0'||$rootScope.policyDeliveryData.deliveryStatusSy == '7'?data.result.state:$rootScope.policyDeliveryData.deliveryStatusSy;
                            $scope.acceptStation = data.result.traces[data.result.traces.length-1].acceptStation;
                            $scope.state = data.result.traces[data.result.traces.length-1].action?data.result.traces[data.result.traces.length-1].action:data.result.state;
                            $scope.data = data.result.traces[data.result.traces.length-1].acceptTime.split(' ')[0];
                            $scope.time = data.result.traces[data.result.traces.length-1].acceptTime.split(' ')[1];
                        }else{
                            $U.showToast(data.errorMsg)
                        }   
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                })
            }
            return handle;
        })(Handle || {});

        Handle.initPage();
        $scope.codeSearch = function(a) {
            var regnum = /\d/;
            if(a == 'a'){//输入快递单号点击确定
                if($('#logisticCode').val().length<7 || $('#logisticCode').val().length>30 || !regnum.test($('#logisticCode').val())){
                    $U.showToast("请输入正确的快递单号");
                }else{
                    $handleService.http({
                        url: "/policyDelivery/getExpressCompanyByExpressNo?logisticCode="+$('#logisticCode').val(),
                        method: 'GET',
                        success: function (data) {
                            if(data.resultCode == "0") {
                                $scope.companySreach = true;
                                $scope.companyList = data.result;
                            }else{
                                $U.showToast(data.errorMsg)
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                        }
                    })
                }
            }else if(a == 'b'){//选择快递公司点击确定
                if($('option[value="'+$('#shipperCompany').val()+'"]').text().indexOf('顺丰') > -1){//如果选择顺丰
                    $scope.isSf = true;
                }else{
                    var dtd = $.Deferred();
                    $.when(Handle.inputExpressNo('',dtd))
                    .done(function(){
                        Handle.getExpressLogInfor();
                    });
                }
            }else if(a == 'c'){
                if($('#senderPhone').val().length == 4 && regnum.test($('#senderPhone').val())){
                    var dtd = $.Deferred();
                    $.when(Handle.inputExpressNo($('#senderPhone').val(),dtd))
                    .done(function(){
                        Handle.getExpressLogInfor();
                    });
                }else{
                    $U.showToast('请输入寄件人手机号码后四位')
                }
            }
        };
        $scope.back = function(){
            if($scope.stateSreach){
                $state.go("tab.policySearch");
            }else if($scope.isSf){
                $scope.isSf = false
            }else if($scope.companySreach){
                $scope.companySreach = false
            }else{
                history.back(-1)
            }
        };
        $scope.getCode = throttle(Handle.getCanner,1000);  
        
        //判断是否选择顺丰
        $scope.showPhone4 = function(){
            if($rootScope.relationInfo.companyCode == 'SF'){
                $scope.showRelationPhone4 = true;
            }else{
                $scope.showRelationPhone4 = false;
            }
        };
        
        //确定录入快递单号,选择快递公司
        $scope.getRelationPolicy = function(){
            var regnum = /\d/;
            $rootScope.relationInfo.companyName = $('option[value="'+$rootScope.relationInfo.companyCode+'"]').text(); 
            if($('#logisticCode').val().length<7 || $('#logisticCode').val().length>30 || !regnum.test($('#logisticCode').val())){
                $U.showToast("请录入正确的快递单号");
            }else if(($rootScope.relationInfo.phone4.length<4 || !regnum.test($rootScope.relationInfo.phone4)) && $scope.showRelationPhone4){
                $U.showToast("请录入正确的手机后四位");
            }else{
                $handleService.http({//查询关联保单
                    url: "/policyDelivery/queryOrderListByLogisticCode?logisticCode="+$rootScope.relationInfo.logisticCode+"&shipperCode="+$rootScope.relationInfo.companyCode,
                    method: 'GET',
                    success: function (data) {
                        if(data.resultCode == "0") {//有关联保单
                            if(data.result){
                                $handleService.logger('object', data, '根据快递单号和快递公司查询配送订单');
                                $rootScope.relationPolicyList = data.result;
                                $rootScope.isRelation = false;
                                $rootScope.hasRelationPolicy = true;
                            }else{
                                $rootScope.isRelation = true;
                                $rootScope.hasRelationPolicy = false;
                            }
                            $state.go('tab.policySearch')
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                })
            }
        }
    });
    return app;
});