/**
 * Created by Administrator on 2018/3/16.
 */
define([
    'services/app.service',
    'services/app.store',
    'services/app.car.beans',
    'directives/app.directives'], function () {
    'use strict';
    var app = angular.module('app.registerController', ['ionic', 'ngCordova', 'app.handle.service', 'app.directives', 'app.store','app.car.beans']);

    app.controller('registerController', function ($rootScope, $scope, $handleService, $cordovaFileTransfer, $interFace, $state, $stateParams, store, $ionicSlideBoxDelegate, $ionicNavBarDelegate, $location,$carBeansService) {
        //--------------------------------begin 变量定义--------------------------------//

        $scope.select = false;
        $scope.forbit = true;
        $scope.hasPhone=true;  //控制密码是否显示
        var over,saveMobile;

        $scope.register={//新员工注册对象
            mobile:"",
            valiCode:"",
            passWord:"",
            salesCode:""
        };




        $scope.checkMoble=function (phone) {

            var reg=/^[1][3-9][0-9]{9}$/;
            if(reg.test(phone)){

                $handleService.http({
                    url: '/websit/registerCheck',
                    method: 'POST',
                    data:{
                        mobile:phone
                    },
                    success: function (data) {
                        $handleService.logger('object', data, "手机号注册查询");
                        if(data.success=='true'){
                            $scope.hasPhone=false;
                            $handleService.showAlert('提示','该手机号码已是我司会员，绑定业务员工号后，可直接使用会员密码登录。');


                        }else{
                            $scope.hasPhone=true;

                        }
                        if(saveMobile!=phone){
                            $scope.select = true;
                            $scope.forbit = false;
                            clearInterval(over);
                            saveMobile=phone;
                        }


                    },
                    error: function (err) {
                        $handleService.logger('info', '找回密码方法异常:' + err);
                    }
                });
            }else{
                if(phone){
                    $U.showToast('您的手机号码输入不正确');
                }

            }

        };

        $scope.getCheckCode = function (phone) {
            //校验手机号
            var _rex = /^[1][3-9][0-9]{9}$/;
            if (_rex.test(phone)) {
                $scope.forbit = true;
                $scope.num = 60;
                $scope.select = false;
                over = window.setInterval(function () {
                    var num = $scope.num;
                    num--;
                    $scope.num = num;

                    if (num == 0) {
                        $scope.forbit = false;
                        $scope.select = true;
                        $scope.num = "";
                        clearInterval(over);
                    }

                    $scope.$apply();
                }, 1000);
                //调用找回密码
                $handleService.http({
                    url: '/websit/getcheckCode',
                    method: 'POST',
                    data: {
                        mobile: phone
                    },
                    success: function (data) {
                        $handleService.logger("object", data, "发送验证码接口返回结果--》");
                        if (data.success == 'true') {
                            $U.showToast(data.message);

                        }
                    },
                    error: function (err) {
                        $handleService.logger('info', '获取验证码异常:' + err);
                    }
                });
            }
            else {
                $U.showToast('请填写正确的手机号');
            }
        };

        $scope.bindPhone=function (form) {

            var _rex = /^[1][3-9][0-9]{9}$/;
            if (!_rex.test($scope.register.mobile)) {
                return;
            }

            $handleService.validateForm.call(this, form);
            if (form.$valid) {
                $handleService.http({
                    url: '/websit/bindingMobile',
                    method: 'POST',
                    data: $scope.register,
                    success: function (data) {
                        $handleService.logger("object", data, "新员工注册接口--》");
                        if (data.success == 'true') {
                            $handleService.showAlert('结果','注册成功',function () {
                                $state.go('login');
                            });

                        }else{
                            $U.showToast(data.returnMsg);
                        }
                    },
                    error: function (err) {
                        $handleService.logger('info', '新员工注册接口异常:' + err);
                    }
                });
            }
        };

        //---------------------------------------------- end   其他 ----------------------------------------------//
    });
    return app;
});

