define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives','filters/app.filters' ,'services/app.store'], function () {
    'use strict';
    var app = angular.module('app.relationSuccess.controller', ['ionic', 'app.handle.service', 'app.directives','app.filters', 'app.general.service','ionic']);
    //投保查询控制器
    app.controller('relationSuccessController', function ($generalService, $ionicPopup, $scope, $rootScope, $state, $stateParams, $handleService, $interFace,$location, store) {

        //节流方法
        var throttle = function(func, delay) {            
        　　var prev = Date.now();            
        　　return function() {                
        　　　　var context = this;                
        　　　　var args = arguments;                
        　　　　var now = Date.now();                
        　　　　if (now - prev >= delay) {                    
        　　　　　　func.apply(context, args);                    
        　　　　　　prev = Date.now();                
        　　　　}            
        　　}        
        };
     
        var Handle = (function (handle) {
            handle.initPage = function() {
            };
            handle.getCanner = function(){
                var regnum = /\d{7,30}/;
                if(!cordova.plugins.barcodeScanner){
                    $U.showToast('请安装最新安装包');
                }else{
                    cordova.plugins.barcodeScanner.scan(
                        function (result) {
                            if(result.text.indexOf('=')>-1 && regnum.test(result.text.split('=')[1])){
                                $rootScope.relationInfo.logisticCode = result.text.split('=')[1]
                            }else if(regnum.test(result.text)){
                                $rootScope.relationInfo.logisticCode = result.text
                            }else if(result.text){
                                $rootScope.isRelation = true;
                                $rootScope.failtgetCode = true;
                                $state.go("tab.policySearchNumber");
                                return;
                            }else{
                                return;
                            }
                            $rootScope.failtgetCode = false;
                            $handleService.http({
                                url: '/policyDelivery/getExpressCompanyByExpressNo?logisticCode='+$rootScope.relationInfo.logisticCode,
                                method: 'GET',
                                success: function (data) {
                                    $handleService.logger('object', data, '扫一扫快递单号查询保单');
                                    if(data.resultCode == '0'){
                                        $rootScope.expressCompanyList = data.result;
                                        if($rootScope.expressCompanyList.length==1){//如果只返回一个快递公司,直接查询关联保单
                                            $rootScope.relationInfo.companyCode = $rootScope.expressCompanyList[0].shipperCode;
                                            $rootScope.relationInfo.companyName = $rootScope.expressCompanyList[0].shipperName;
                                            $handleService.http({//查询关联保单
                                                url:'/policyDelivery/queryOrderListByLogisticCode?logisticCode='+$rootScope.relationInfo.logisticCode+'&shipperCode='+$rootScope.relationInfo.companyCode,
                                                method: 'GET',
                                                success: function (res){
                                                    if(res.resultCode == "0") {
                                                        if(res.result){//有关联保单
                                                            $handleService.logger('object', res, '根据快递单号和快递公司查询配送订单');
                                                            $rootScope.relationPolicyList = res.result;
                                                            $rootScope.hasRelationPolicy = true;
                                                            $rootScope.isRelation = false;
                                                        }else{//没有关联保单  
                                                            $rootScope.isRelation = true;
                                                            $rootScope.hasRelationPolicy = false;
                                                            $rootScope.isOnlyCompany = true;//只有一条快递公司跳转显示录入快递单号
                                                        }
                                                        $state.go('tab.policySearch')
                                                    }
                                                },
                                                error: function (ex) {
                                                    $handleService.logger('error', ex);
                                                }
                                            })
                                        }else{//如果没有查询到快递公司或多条快递公司跳转手动录入信息
                                            $rootScope.isRelation = true;
                                            $rootScope.isOnlyCompany = false;//多条快递公司跳转录入页，关联时不显示录入信息
                                            $state.go("tab.policySearchNumber");
                                        }
                                    }else{
                                        $U.showToast(data.errorMsg)
                                    }
                                },
                                error: function (ex) {
                                    $handleService.logger('error', ex);
                                }
                            });
                        },
                        function (error) {
                            $U.showToast(error);
                        }
                    );
                }  
            }
            
            return handle;
        })(Handle || {});

        Handle.initPage();
        $scope.getCode = throttle(Handle.getCanner,1000); 
    });
    return app;
});