define([
        'services/app.service',
        'services/app.general.service',
        'directives/app.directives',
        'filters/app.filters',
        'services/app.car.beans',
        'modalSelect',
        'ngUpload'
    ],
    function () {
        'use strict';
        var app = angular.module('app.renewal.controller', [
            'app.handle.service',
            'app.general.service',
            'app.directives',
            'app.filters',
            'app.car.beans',
            'ionic-modal-select',
            'ngFileUpload'
        ]);
        //表单控制器
        app.controller('renewalController', function ($q, $scope, $rootScope, $http, $location, $state, $stateParams, $handleService, $generalService, $interFace,$ionicHistory, Upload, $carBeansService) {
            /*******非车*******************************/
            $scope.currentPage = 1;//投保进度查询页码 石梦星
            $scope.nocarNoMorePage = false;//数据是否加载完毕 石梦星
            $scope.renewType = 'car';//续保默认显示非车险
            $scope.nocarMonthRenewNumber = 0;// 本月可续保的非车单号数

            $scope.expiredFlag = false; //是否点击已过期保单
            $scope.renewSearch = false;
            $scope.nocarList = [];  //非车数据
            $scope.searchObj = {};
            $scope.isShowVehicle = false;//控制多车型选择
            $rootScope.vhlList = [];
            $scope.hasCarSortFlag = true; //是否显示车险排序

            //是否查询过本周
            $scope.hasSearchWeek = false;
            /*******非车 END*****************************/


            $scope.carNoMorePage = false; //
            $scope.carCurrentPage = 0;
            $scope.carMonthRenewNumber = 0;// 本月可续保的非车单号数
            $scope.carList = [];  //非车数据
            $scope.carSearchObj = {};

            $ionicHistory.clearCache();

            $scope.renewalList = {
                "0301": "交强险",
                "0302": "商业险"
            };

            $scope.REN = {
                RENEWAL_TEXT_NOCAR: '', //一健续保 查询文本
                RENEWAL_TEXT: ''
            };

            var Handle = (function (handle) {

                //获取非车续保数据
                handle.queryNocarRenewal = function(options, renewSearch) {
                    var slsCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
                    options = options || {};
                    //重新开始搜索
                    $scope.renewSearch = renewSearch;
                    if(renewSearch) {
                        $scope.nocarNoMorePage = true;
                        $scope.currentPage = 1;
                        $scope.nocarList = [];
                    }
                    var subObj = {
                        "pageSize":"20",
                        "pageNum":$scope.currentPage,
                        "queryType":"01", //01 有效  02无效 03所有
                        "salesCode": slsCode,
                        "sort":"asc", //排序
                        "startDate":Handle.recPrevMonth(),//Handle.recNowDate(), //现在时间
                        "endDate": Handle.recNxtMonth() //一个月后
                    };

                    subObj = angular.extend(subObj,options);

                    $scope.searchObj = angular.copy(subObj);
                    delete $scope.searchObj.pageNum;

                    $handleService.nocarHttp({
                        url: $interFace.nocarGetrenewal,
                        method: 'POST',
                        data: subObj,
                        success: function (data) {
                            $handleService.logger('object', data, '非车续保数据集合-》');
                            if($scope.renewSearch) {
                                $scope.nocarNoMorePage = false;
                            }
                            if(data.resultCode == "000000") {
                                if ($scope.currentPage > 1) { //数据有分页
                                    //查到数据时
                                    if (data.resultData && data.resultData.length > 0) {
                                        for (var i = 0; i < data.resultData.length; i++) {
                                            $scope.nocarList.push(data.resultData[i]);
                                        }
                                        //当条数超过总条数时，则取消下拉获取数据
                                        if($scope.nocarList.length >= Number(data.pageTotal)) {
                                            $scope.nocarNoMorePage = true;
                                        }
                                    }else { //没有数据
                                        $scope.nocarNoMorePage = true;
                                    }
                                } else { //数据未分页
                                    data.resultData = data.resultData ||[];
                                    if(data.resultData.length === 0) { //数据为空时增加增加提示
                                        //$U.showToast("未查询到数据");
                                    }else {
                                        $scope.nocarList = data.resultData;
                                        if($scope.nocarList.length >= Number(data.pageTotal)) {
                                            $scope.nocarNoMorePage = true;
                                        }
                                    }
                                }
                                //当查询有效期续保数据为空时  有效期  且数据为空
                                if($scope.nocarList.length == 0 && $scope.searchObj.queryType == "01") {
                                    $scope.expiredPolicy();
                                }
                                $scope.$broadcast('scroll.infiniteScrollComplete');
                            } else {
                                $U.showToast("未查询到数据");
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                        }
                    })
                }

                //获取非车本周待续保数据
                handle.queryNocarHasRenew = function() {
                    var slsCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
                    var subObj = {
                        "salesCode": slsCode,   			//业务员代码
                        "startDate":Handle.recNowDate(),		//	开始时间
                        "endDate": Handle.recNxtWeek()			//结束时间
                    }

                    $handleService.nocarHttp({
                        url: $interFace.nocarGetNotice,
                        method: 'POST',
                        data: subObj,
                        success: function (data) {
                            $handleService.logger('object', data, '非车下月可续保-》');
                            if (data.resultCode == "000000") {
                                $scope.nocarMonthRenewNumber = (data.resultData || "0");
                            }
                        }
                    })
                }

                handle.recNowDate = function () {
                    var nex = new Date();
                    nex.setDate(nex.getDate());
                    return nex.format('yyyy-MM-dd');
                };
                handle.recNxtWeek = function () {
                    var nex = new Date();
                    nex.setDate(nex.getDate() + 7);
                    return nex.format('yyyy-MM-dd');
                };
                handle.recNxtDay = function () {
                    var nex = new Date();
                    nex.setDate(nex.getDate() + 1);
                    return nex.format('yyyy-MM-dd');
                };
                handle.recBefore15 = function () {
                    var nex = new Date();
                    nex.setDate(nex.getDate() - 15);
                    return nex.format('yyyy-MM-dd');
                };
                //今年开始
                handle.recNewYear = function() {
                    var nex = new Date();
                    nex.setFullYear(nex.getFullYear());
                    return nex.format('yyyy-01-01');
                }

                //去年
                handle.recPrevYear = function() {
                    var nex = new Date();
                    nex.setFullYear(nex.getFullYear()-1);
                    return nex.format('yyyy-MM-dd');
                }
                //明年
                handle.recNxtYear = function() {
                    var nex = new Date();
                    nex.setFullYear(nex.getFullYear()+1);
                    return nex.format('yyyy-MM-dd');
                }
                //上个月
                handle.recPrevMonth = function () {
                    var nex = new Date();
                    nex.setMonth(nex.getMonth() - 1);
                    return nex.format('yyyy-MM-dd');
                };
                //上月前一天
                handle.recPrevMonthPrevDay = function () {
                    var nex = new Date();
                    nex.setMonth(nex.getMonth() - 1);
                    nex.setDate(nex.getDate() - 1);
                    return nex.format('yyyy-MM-dd');
                };
                //下个月
                handle.recNxtMonth = function () {
                    var nex = new Date();
                    nex.setMonth(nex.getMonth() + 1);
                    return nex.format('yyyy-MM-dd');
                };

                //下3个月
                handle.recNxtThreeMonth = function () {
                    var nex = new Date();
                    nex.setMonth(nex.getMonth() + 3);
                    return nex.format('yyyy-MM-dd');
                };


                //保存 车架号
                handle.lpnSession = {
                    save: function (text) {
                        var arr = [];
                        var str_arr = $handleService.sessionHandle.getLocalSession("RW_LSP_NUM" + $scope.salesmanCode);
                        if (str_arr) {

                            arr = str_arr.push(text);
                            arr = $U.duplicateRemoval(str_arr);
                            if (arr.length > 5) {
                                arr.shift();
                            }
                            $handleService.sessionHandle.saveLocalSession("RW_LSP_NUM" + $scope.salesmanCode, arr);
                        }
                        else {
                            arr.push(text);
                            $handleService.sessionHandle.saveLocalSession("RW_LSP_NUM" + $scope.salesmanCode, arr);
                        }
                    }
                };

                //车险查询
                handle.queryRenewal = function(options, renewSearch) {
                    var slsCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
                    // console.log('time',Handle.recNxtDay(),recNxtThreeMonth());
                    var subObj = {
                        PolicyNo: '',
                        InsureEndStartDate: Handle.recBefore15() + " 00:00:00",
                        InsureEndDate: Handle.recNxtThreeMonth() + " 23:59:59",
                        SalesmanCode: slsCode,//slsCode,
                        LicenseNo: '', //车牌
                        FrameNO: '', //车架号
                        InsureIdNumber: '', //被保险人证件号码
                        InsuredName: '',  //被保人姓名
                        Start: 0,
                        Length: 20,
                        InterfaceId: '234562564568576', //交易ID
                        OrderType: '0' // 0正序 1倒序   排序
                    };

                    $scope.carRenewSearch = renewSearch;
                    if(renewSearch) {
                        $scope.carNoMorePage = true;
                        $scope.carCurrentPage = 0;
                        $scope.carList = [];
                    }

                    subObj = angular.extend(subObj, options);
                    subObj.Start = ($scope.carCurrentPage * subObj.Length);

                    $scope.carSearchObj = angular.copy(subObj);

                    $handleService.http({
                        // url: $interFace.motoMainFace,
                        url: '/renewal/queryRenewalList',  //改版后接口地址
                        method: 'POST',
                        // headers: {
                        //     method: 'queryRenewalList'
                        // },
                        data: subObj,
                        success: function (data) {
                            if(renewSearch) {
                                $scope.carNoMorePage = false;
                            }
                            $handleService.logger('object', data, '车险续保查询结果');
                            if(!$scope.hasSearchWeek) {
                                $scope.hasSearchWeek = true;
                                $scope.carMonthRenewNumber = data.countNum ||'0';
                            }
                            if (data.reInsureDateList) {
                                if ($scope.carCurrentPage > 0) { //数据有分页
                                    //查到数据时
                                    if (data.reInsureDateList && data.reInsureDateList.length > 0) {
                                        for (var i = 0; i < data.reInsureDateList.length; i++) {
                                            $scope.carList.push(data.reInsureDateList[i]);
                                        }
                                        //当条数超过总条数时，则取消下拉获取数据
                                        if($scope.carList.length >= Number(data.countNum)) {
                                            $scope.carNoMorePage = true;
                                        }
                                    }else { //没有数据
                                        $scope.carNoMorePage = true;
                                    }
                                } else { //数据未分页
                                    data.reInsureDateList = data.reInsureDateList ||[];
                                    if(data.reInsureDateList.length === 0) { //数据为空时增加增加提示
                                        //$U.showToast("未查询到数据");
                                    }else {
                                        $scope.carList = data.reInsureDateList;
                                        if($scope.carList.length >= Number(data.countNum)) {
                                            $scope.carNoMorePage = true;
                                        }
                                    }
                                }
                                $scope.$broadcast('scroll.infiniteScrollComplete');
                            }
                            else {
                                //$U.showToast('未查询到相关单据信息');
                            }
                        },
                        error: function (ex) {
                            $handleService.logger('error', ex);
                        }
                    });

                }

                handle.initPage = function() {
                    //Handle.queryRenewalNextWeek(); //获取车险本周续保
                    Handle.queryNocarHasRenew(); //获取非车本周续保
                    Handle.queryRenewal(); //获取车险续保数据

                }

                //转化数据
                // handle.translateRenewalData = function(data) {
                //     //policyNo
                //     //licenseNo
                //     //insuredName
                //     //riskCode
                //     //endDate
                //     var carList = [];
                //
                //     //交强险
                //     if(data.BASE_JQ && data.BASE_JQ.PLY_NO) {
                //         carList.push({
                //             policyNo: data.BASE_JQ.PLY_NO,
                //             licenseNo: data.VHL.LCN_NO,
                //             insuredName: data.BASE_JQ.INSRNT_CNM,
                //             riskCode: "0301",
                //             endDate: data.BASE_JQ.RENEWAL_END_TM
                //         });
                //     }
                //     //商业险
                //     if(data.BASE_SY && data.BASE_SY.PLY_NO) {
                //         carList.push({
                //             policyNo: data.BASE_SY.PLY_NO,
                //             licenseNo: data.VHL.LCN_NO,
                //             insuredName: data.BASE_SY.INSRNT_CNM,
                //             riskCode: "0302",
                //             endDate: data.BASE_SY.RENEWAL_END_TM
                //         });
                //     }
                //
                //     $scope.carList = carList;
                // }

                //数据转化 --重构
                handle.translateRenewalData = function(data){
                    var carList = [];
                    // "0301": "交强险",
                    // "0302": "商业险"
                    angular.forEach(data.riskList, function(item){
                        carList.push({
                            policyNo: item.policyNo,//保单号
                            licenseNo: data.vehicle.licenseNo,//车牌号
                            insuredName: data.insured.name,
                            riskCode: item.riskCode,
                            endDate: item.endDate
                        });
                    });
                    $scope.carList = carList;
                };


                return handle;
            })(Handle || {});

            //非车续保跳转
            $scope.gotoUrl = function(item) {
               if(item.isNotRenew != '1') { //不能续保时
                    $U.showToast("该产品暂时不支持线上续保");
                    return;
                }
                //组装数据
                var employCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
                var url =item.url+"&salesCode=" + employCode + "&issueChannel=2&share=zhanye-app-share";
                $handleService.openUrl(url, {});
            }

            //排序
            $scope.sortTabNocar = function() {
                var sortType;
                if($("#renew_ncar_tab .icon-triangle-up").hasClass("active")) {
                    $("#renew_ncar_tab .icon-triangle-up").removeClass("active")
                    $("#renew_ncar_tab .icon-triangle-down").addClass("active");
                    sortType = 'desc';
                } else {
                    $("#renew_ncar_tab .icon-triangle-down").removeClass("active")
                    $("#renew_ncar_tab .icon-triangle-up").addClass("active");
                    sortType = 'asc';
                }

                var subObj = {
                    "sort":sortType
                };
                subObj = angular.extend($scope.searchObj,subObj);
                Handle.queryNocarRenewal(subObj, true);
            }

            //车险排序
            $scope.sortTabCar = function() {
                var sortType;
                if($("#renew_car_tab .icon-triangle-up").hasClass("active")) {
                    $("#renew_car_tab .icon-triangle-up").removeClass("active")
                    $("#renew_car_tab .icon-triangle-down").addClass("active");
                    sortType = '1';
                } else {
                    $("#renew_car_tab .icon-triangle-down").removeClass("active")
                    $("#renew_car_tab .icon-triangle-up").addClass("active");
                    sortType = '0';
                }
                var subObj = {
                    "OrderType":sortType
                };
                subObj = angular.extend($scope.carSearchObj,subObj);
                Handle.queryRenewal(subObj, true);
            }

            //非车翻页
            $scope.loadMore = function () {
                if($("[for-tab='#tab_ncar_oder']").hasClass("active")) {
                    $scope.currentPage++;
                    Handle.queryNocarRenewal($scope.searchObj);
                }
            };

            //查询切换车险、非车显示
            $scope.selectRenewalType = function(type) {
                $scope.renewType = type;
                $scope.expiredFlag = false; //是否点击已过期保单
                if(type == 'nocar') {
                    $("#renew_ncar_tab .icon-triangle-group div").removeClass("active");
                    $("#renew_ncar_tab .icon-triangle-group .icon-triangle-up").addClass("active");
                    $("#tab_ncar_oder").show();
                    $("#tab_car_oder").hide();
                    Handle.queryNocarRenewal({}, true);
                } else {
                    $("#tab_ncar_oder").hide();
                    $("#tab_car_oder").show();
                    $("#renew_car_tab .icon-triangle-group div").removeClass("active");
                    $("#renew_car_tab .icon-triangle-group .icon-triangle-up").addClass("active");
                    Handle.queryRenewal({}, true);
                    $scope.hasCarSortFlag = true;
                }
            }

            //排序
            $scope.sortList = function(sortType, event) {
                var subObj = {
                    "sort":sortType == 'up'? "asc": "desc"
                };
                $("#renew_ncar_tab .icon-triangle-group div").removeClass("active");
                $(event.target).addClass("active");
                subObj = angular.extend($scope.searchObj,subObj);
                Handle.queryNocarRenewal(subObj, true);
            }

            //非车车险续保查询
            $scope.searchRenewal = function() {
                var searchVal = $scope.REN.RENEWAL_TEXT_NOCAR;
                var textLen = searchVal.length;
                var paramsType = "";

                if(searchVal) {
                    if (textLen <= 10 && textLen >= 2) { //投保人
                        paramsType = "B";
                    }
                    else if (textLen == 18) { //身份证
                        paramsType = "C";
                    }
                    else if (textLen >= 19 && textLen <= 22) { //保单号
                        paramsType = "A";
                    }
                    else {
                        $U.showToast('您输入的信息不正确,请核对');
                        return;
                    }
                } else {
                    searchVal = '';
                }

                var subObj = {
                    "queryType":"03",
                    "sort":"asc",
                    "startDate": Handle.recPrevYear(), //去年今天
                    "endDate": Handle.recNxtMonth(), //现在一个月后
                    "paramsType": paramsType,   //参数类型 A 保单号 B 投保人姓名 C 投保人证件号码
                    "paramsData": searchVal // 参数数据
                };
                Handle.queryNocarRenewal(subObj, true);
                return false;
            }

            //
            $scope.submitRenewal = function(event) {
                if(event.keyCode == 13) {
                    $("input").blur();
                }
            }

            //查看已过期保单
            $scope.expiredPolicy = function() {
                var subObj = {
                    "queryType":"02",
                    "startDate": Handle.recPrevYear(), //去年
                    "endDate": Handle.recPrevMonthPrevDay() //上个月
                };
                $scope.expiredFlag = true;
                Handle.queryNocarRenewal(subObj, true);
            }

            //转换类 显示时钟数字
            $scope.translateDigital = function(value) {
                var val = value;
                var str = "";

                if(Number(val) >=-31 && Number(val) <= 0) { //脱保一月内显示为0
                    val = '0';
                } else if(Number(val) < -31) { //脱保一月已上
                    return '';
                }
                angular.forEach(val, function(valClass) {
                    str += '<span class="text-orange icon-digital digital-' + valClass +'"></span>';
                });

                return str;
            }

            /************************************车险续保***************************************************/

            //一键续保车险查询翻页
            $scope.loadCarMore = function () {
                if($("[for-tab='#tab_car_oder']").hasClass("active")) {
                    $scope.carCurrentPage ++;
                    Handle.queryRenewal($scope.carSearchObj);
                }
            };

            //排序
            $scope.sortCarList = function(sortType, event) {
                var subObj = {
                    "OrderType":sortType == 'up'? "0": "1"
                };
                $("#renew_car_tab .icon-triangle-group div").removeClass("active");
                $(event.target).addClass("active");
                subObj = angular.extend($scope.carSearchObj,subObj);
                Handle.queryRenewal(subObj, true);
            }


            //续保
            $scope.renewalPolicy = function(data) {
                $scope.renewalQuery(data);
            }

            //车险续保 ----- 点击保单调用  重构
            $scope.renewalQuery = function (data) {
                var options = {
                    engineNo:""		//发动机号
                    ,frameNo:""		//车架号
                    ,licenseNo:data.licenseNo	//车牌号
                    ,policyNo:data.policyNo		//保单号
                    ,proposalNo:""	            //投保单号
                    ,insuredProduct:"0"			//车辆种类 0 机动车
                };
                //一健续保 查询
                $handleService.http({
                    url: '/renewal/queryPolicyInfo',
                    method: 'POST',
                    data: options,
                    success: function (data) {
                        if(data.resultCode=="0"){
                            //0.赋值 给Bean
                            // $generalService.renParamsHandle(data.result);
                            $handleService.reModifyPolicyData(data.result[0]); //重构的方法
                            // //1.续保标志 保存草稿箱续保标识
                            // $rootScope.CAR_BEANS.BU='R';
                            //续保时  保险起期增加一年
                            if($rootScope.baseBean.syOrigFlag) {
                                $rootScope.baseBean.syInsureStartTime = $handleService.addSecond($rootScope.baseBean.syInsureEndTime);
                            }
                            if($rootScope.baseBean.jqOrigFlag) {
                                $rootScope.baseBean.jqInsureStartTime = $handleService.addYear($rootScope.baseBean.jqInsureStartTime);
                            }
                            //续保  默认免验车  理由是:按期续保
                            $rootScope.carBeans.vehicle.carCheckStatus = "2"; //验车情况 免验车
                            $rootScope.carBeans.vehicle.carCheckReason = "2"; //验车理由 按期续保


                            //2.跳转投保页面
                            if(window.requestParam.webSources == "QMYX"){//人人团
                                $state.go('tab.owinfoweb',{SU_CODE: 'RENEWAL'});
                            }else{
                                $state.go('tab.config', {SU_CODE: 'RENEWAL'});
                            }

                        }else{
                            $U.showToast(data.errorMsg || '未查询到相关单据信息');
                        }
                    },
                    error: function (ex,status) {
                        $handleService.logger('error', ex);
                    }
                });
            };
            //车险搜索 ---  失焦时调用,重构
            $scope.searchRenewalQuery = function(){
                var options = {
                    engineNo:""					//发动机号
                    ,frameNo:""					//车架号
                    ,licenseNo:""	            //车牌号
                    ,policyNo:""		//保单号
                    ,proposalNo:""				//投保单号
                    ,insuredProduct:"0"			//车辆种类 0 机动车
                };
                var renewalText = $scope.REN.RENEWAL_TEXT;
                if($.trim(renewalText) == '') {
                    $scope.selectRenewalType('car');
                    return;
                }
                var textLen = renewalText.length;
                if (textLen <= 10 && textLen >= 7) { //车牌号
                    options.licenseNo = renewalText;
                }
                else if (textLen == 17) {       //车架号
                    options.frameNo = renewalText;
                }
                else if (textLen >= 19 && textLen <= 22) { //保单号
                    options.policyNo = renewalText;
                }
                else {
                    $U.showToast('您输入的信息不正确,请核对');
                    return;
                }
                options.SLS_CDE = String($handleService.sessionHandle.getSession("SLS_CDE"));
                //一健续保 查询
                $handleService.http({
                    url: '/renewal/queryPolicyInfo',
                    method: 'POST',
                    data: options,
                    success: function (data) {
                        if(data.resultCode=="0"){
                            if(data.result.length > 1){
                                $scope.isShowVehicle = true;
                                $rootScope.vhlList = angular.copy(data.result);
                            } else{
                                Handle.translateRenewalData(data.result[0]);
                                $scope.hasCarSortFlag = false;
                            }

                        }
                        else{
                            $U.showToast(data.errorMsg || '未查询到相关单据信息');
                        }
                    },
                    error: function (ex,status) {
                        $handleService.logger('error', ex);
                    }
                });
            };

            //车险搜索  ----   失焦时调用
            /*$scope.searchRenewalQuery = function() {
                console.log('sssss');
                var options = {
                    PROD_NO: '', //产品编号
                    PLY_NO: '', //保单号
                    LCN_NO: '', //车牌号码
                    FRM_NO: '', //车架号
                    isNewCoreFlag: '1'  //新旧核心标志
                };
                var renewalText = $scope.REN.RENEWAL_TEXT;
                if($.trim(renewalText) == '') {
                    $scope.selectRenewalType('car');
                    return;
                }
                var textLen = renewalText.length;
                if (textLen <= 9 && textLen >= 7) { //车牌号
                    options.LCN_NO = renewalText;
                }
                else if (textLen == 17) { //车架号
                    options.FRM_NO = renewalText;
                }
                else if (textLen >= 19 && textLen <= 22) { //保单号
                    options.PLY_NO = renewalText;
                }
                else {
                    $U.showToast('您输入的信息不正确,请核对');
                    return;
                }
                options.SLS_CDE = String($handleService.sessionHandle.getSession("SLS_CDE"));
                //一健续保 查询
                $handleService.http({
                    url: $interFace.mitMainFace,
                    method: 'POST',
                    headers: {
                        method: 'queryReInsuNewBusiness'
                    },
                    data: options,
                    success: function (data) {
                        $scope.carNoMorePage = true;
                        $handleService.logger('object', data, '搜索车险续保查询结果');
                        $handleService.scrollTop();
                        if (data.success == "true") {
                            //查出续保数据后转化数据格式
                            if(data.BASE_JQ && data.BASE_JQ.PLY_NO == $scope.REN.RENEWAL_TEXT) {
                                data.BASE_SY = {};
                            }
                            if(data.BASE_SY && data.BASE_SY.PLY_NO == $scope.REN.RENEWAL_TEXT) {
                                data.BASE_JQ = {};
                            }
                            Handle.translateRenewalData(data);
                            $scope.hasCarSortFlag = false;
                        }
                        else {
                            $U.showToast('未查询到相关单据信息');
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });
                //Handle.queryRenewal(subObj, true);

            }*/


            //车险续保 ---   点击时调用
 /*           $scope.renewalQuery = function (plyNo) {
                console.log('8888888888');
                var options = {
                    PROD_NO: '', //产品编号
                    PLY_NO: '', //保单号
                    LCN_NO: '', //车牌号码
                    FRM_NO: '', //车架号
                    isNewCoreFlag: '1'  //新旧核心标志
                };
                var renewalText = $scope.REN.RENEWAL_TEXT; //input中输入的单号
                if(plyNo) {
                    renewalText = plyNo;
                }
                var textLen = renewalText.length;
                if (textLen <= 9 && textLen >= 7) { //车牌号
                    options.LCN_NO = renewalText;
                }
                else if (textLen == 17) { //车架号
                    options.FRM_NO = renewalText;
                }
                else if (textLen >= 19 && textLen <= 22) { //保单号
                    options.PLY_NO = renewalText;
                }
                else {
                    $U.showToast('您输入的信息不正确,请核对');
                    return;
                }
                options.SLS_CDE = String($handleService.sessionHandle.getSession("SLS_CDE"));
                //一健续保 查询
                $handleService.http({
                    url: $interFace.mitMainFace,
                    method: 'POST',
                    headers: {
                        method: 'queryReInsuNewBusiness'
                    },
                    data: options,
                    success: function (data) {
                        Handle.lpnSession.save(renewalText);
                        $handleService.logger('object', data, '一键续保查询结果');
                        if (data.success == "true") {
                            //1.赋值 给Bean
                            $generalService.renParamsHandle(data);
                            //续保标志 保存草稿箱续保标识
                            $rootScope.CAR_BEANS.BU='R';

                            //2.跳转投保页面
                            if(window.requestParam.webSources == "QMYX"){//人人团
                                $state.go('tab.owinfoweb',{SU_CODE: 'RENEWAL'});
                            }else{
                                $state.go('tab.config', {SU_CODE: 'RENEWAL'});
                            }
                        }
                        else {
                            $U.showToast('未查询到相关单据信息');
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });
            };*/
            //显示时间
            $scope.translateCarTime = function(scheItem) {
                var endDate = scheItem.endDate;
                var nowDate = new Date();
                var endTime = new Date(endDate.split(" ")[0].replace(/[-]/g, '/') + " 23:59:59");

                var days = endTime.getTime() - nowDate.getTime();
                var dayVal = parseInt(days / (1000 * 60 * 60 * 24), 10);
                //console.log(dayVal);
                var val = dayVal+'';
                var str = "";
                scheItem.endNumer = dayVal;


                angular.forEach(val, function(value) {
                    str += '<span class="icon-digital digital-' + value +'"></span>';
                });
                
                if(dayVal >= 0) {
                    //str =  '<span class="text-orange">' + str  + '</span>' + '天';
                    str =  '<span class="icon-digital-text"><span class="text-orange">' + str  + '</span>天'+ '<br/>'+'<span class="text-orange icon-digital-min-text">待续保</span></span>';
                } else {
                    str =  '<span class="icon-digital-text"><span class="text-orange">' + str  + '</span>天'+ '<br/>'+'<span class="text-orange icon-digital-min-text">已脱保</span></span>';
                }

                return str;
            }
            //多车型选择
            $scope.chooseModel = function (a,b){
                Handle.translateRenewalData(b);
            }
            $scope.comfirmCar = function (){
                $scope.isShowVehicle = false;
                $scope.hasCarSortFlag = false;
            }
            $scope.cancelCar = function (){
                $scope.isShowVehicle = false;
            }


            Handle.initPage();
        });
        return app;
    });
