define([
    'services/app.service',
    'services/app.store',
    'services/app.car.beans',
    'directives/app.directives'], function () {
    'use strict';
    var app = angular.module('app.revokeController', ['ionic', 'ngCordova', 'app.handle.service', 'app.directives', 'app.store','app.car.beans']);

    app.controller('revokeController', function ($rootScope, $scope, $handleService, $cordovaFileTransfer, $interFace, $state, $stateParams, store, $ionicSlideBoxDelegate, $ionicNavBarDelegate, $location,$carBeansService) {
        //--------------------------------begin 变量定义--------------------------------//
        $scope.vm = {};
        $scope.currentPage = 0;//投保进度查询页码 石梦星
        $scope.PAGE_LENGTH = 10; // 投保查询每页条数
        if($U.isNotEmpty($rootScope.myList)){

            $scope.INPUT_VAL=$rootScope.myList[0].PLY_APP_NO;
        }


        $scope.vm.state = store.state;
        $scope.revoke=function (lcn_no,oder) {

            var bgnDate = new Date();
            bgnDate.setDate(bgnDate.getDate() - 92);
            bgnDate = bgnDate.format('yyyy-MM-dd');

            var endDate = new Date().format('yyyy-MM-dd');


            if($U.isEmpty(oder) && $U.isEmpty(lcn_no)){
                $U.showToast("请输入投保单号或者车牌号");
            }else{

                $handleService.http({
                    url: '/policyOrder/queryOrderList',
                    method: 'POST',
                    data:{
                        insuredName: "",  //被保人姓名
                        applyPolicyNo: oder, //投保单号
                        licenseNo: lcn_no,
                        startDate: '', //查询起期
                        endDate: '', //查询止期
                        page:{
                            pageNum:($scope.currentPage * $scope.PAGE_LENGTH).toString(),
                            pageSize:$scope.PAGE_LENGTH
                        },
                        origSysList:["0106","0107","0202"]
                    },
                    success: function (data) {
                        $handleService.logger('object', data, "自助撤单查询投保单接口");
                        if(data.resultCode == "0"){
                            $rootScope.myList=data.result;
                        }else{
                            $U.showToast(data.errorMsg);
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', '查询异常' + ex);
                    }
                });
            }

        };

        $scope.clearData=function () {
            $rootScope.myList=[];
        };

        $scope.revokeSelf=function (index, oder) {
            $handleService.showConfirm({
                title: '撤单前确认',
                template: '您确定撤销此单么？',
                sure: function () {
                    //开始撤单
                    $handleService.http({
                        url: '/selfHelpDelApplyNo?applyPolicyNo='+oder,
                        method: 'delete',
                        success: function (data) {
                            $handleService.logger('object', data, "自助撤单接口");
                            if (data.resultCode == "0") {
                                $rootScope.myList.splice(index, 1);
                                $U.showToast("撤单成功");
                            }else{
                                $U.showToast(data.errorMsg);
                            }

                        },
                        error: function (ex) {
                            $handleService.logger('error', '撤单异常' + ex);
                        }
                    });
                }
            });
        };

        //影像上传
        $scope.gotoImgUpload = function(item) {

            var options = {
                SYPLY_APP_NO:  "",
                JQPLY_APP_NO:  ""
            };
            var optinosPLY = {
                PLY_APP_NO:item.PLY_APP_NO
            };


            if(item.PROD_NO == "0380") {
                options.SYPLY_APP_NO = item.PLY_APP_NO;
            }

            if(item.PROD_NO == "0360") {
                options.JQPLY_APP_NO = item.PLY_APP_NO;
            }

            $scope.getCallAPPNO(options);
        };

        //获取报价单号，然后跳转到影像上传
        $scope.getCallAPPNO = function(item) {
            var options = {
                //PLY_APP_NO: "6050101030220170000009",//$stateParams.PLY_APP_NO
                SYPLY_APP_NO: item.SYPLY_APP_NO || "",
                JQPLY_APP_NO: item.JQPLY_APP_NO || ""
            };
            $handleService.http({
                url: $interFace.mitMainFace,
                method: 'POST',
                headers: {
                    method: 'queryImageId'
                },
                data: options,
                success: function (data) {
                    if(data.resultCode == "0") {
                        $handleService.logger('object', data, "获取报价单号数据");
                        //跳转到 图片上传页面
                        $state.go('tab.imagesUpload2',{PLY_APP_NO:data.result});
                    } else {
                        $handleService.showAlert('提示', data.errorMsg || $message.serverError);
                    }
                },
                error: function (ex) {
                    $handleService.logger('error', ex);
                }
            });
        };

        //---------------------------------------------- end   其他 ----------------------------------------------//
    });
    return app;
});

