define([
    'services/app.service',
    'services/app.store',
    'services/app.car.beans',
    'directives/app.directives'], function () {
    'use strict';
    var app = angular.module('app.salesController', ['ionic', 'ngCordova', 'app.handle.service', 'app.directives', 'app.store','app.car.beans']);

    app.controller('salesController', function ($rootScope, $scope, $handleService, $cordovaFileTransfer, $interFace, $state,$http,$stateParams,$carBeansService) {
        $scope.salesmanCode=$handleService.sessionHandle.getSession("SLS_INFO").salesmanCode;
        $rootScope.SLS_CDE=$handleService.sessionHandle.getSession("SLS_CDE");
        $scope.ismycard = $stateParams.pageSouces ? true:false;//是否显示所属区域

        //选择方法
        $scope.chooseItem=function (oder) {
            //1.改变内存 SLS_CDE
            $U.sessionHandle.saveSession("SLS_CDE",oder.salesAssCode);
            //2.改变 SLS_INFO  employCode
            var slsInfo=JSON.parse(window.sessionStorage.getItem("SLS_INFO"));
            slsInfo.employCode =oder.salesAssCode;
            $U.sessionHandle.saveSession('SLS_INFO',slsInfo);
            //3.修改全局 SLS_CDE
            $rootScope.SLS_CDE=oder.salesAssCode;
        };
        //确定按钮
        $scope.certain=function () {
            //4.存localStorage
            var salesmanCode=$handleService.sessionHandle.getSession("SLS_INFO").salesmanCode;
            $handleService.sessionHandle.saveLocalSession("SALES"+salesmanCode,$rootScope.SLS_CDE);

            if($stateParams.pageSouces){
                $state.go("tab.comp");
            }
            else {
                // //判断新首页可见性
                // if($rootScope.isNewHome){
                //     $state.go("tab.mitNewIndex");
                // }else{
                //     $state.go("tab.mitIndex");
                // }
                $state.go("tab.mitNewIndex");
            }
        };
    });
    return app;
});
