define(['services/app.service', 'services/app.car.beans', 'directives/app.directives', 'filters/app.filters'], function () {
    'use strict';
    var app = angular.module('app.specialAgreement.controller', ['ionic', 'app.handle.service', 'app.car.beans', 'app.directives', 'app.filters']);

    app.controller('specialAgreementController', function ($scope, $rootScope,$ionicPopup, $handleService,$interFace, $state, $stateParams,$carBeansService) {


        $scope.certain=true;//必选可选切换
        $scope.chooseData=[];//可选特约
        $scope.certainData=[];//必选特约
        $scope.specialData = angular.copy($rootScope.baseBean.specialData) || [];//当前页面的特约修改操作存储

        var Handle=function (handle) {
            handle.initPage=function () {
                
                if($stateParams.type=='sy'){
                    $scope.title='商业险特别约定';
                    angular.forEach($scope.specialData,function (item) {
                        if(item.riskCode=='0302'){
                            if(item.isNeeded=='1'){
                                $scope.certainData.push(item);
                            }else{
                                $scope.chooseData.push(item);
                            }
                        }
                    });

                }else{
                    $scope.title='交強险特别约定';
                    angular.forEach($scope.specialData,function (item) {
                        if(item.riskCode=='0301'){
                            if(item.isNeeded=='1'){
                                $scope.certainData.push(item);
                            }else{
                                $scope.chooseData.push(item);

                            }
                        }
                    })
                }

            };
            handle.getNotEmpty = function(item) {
                var isNotempty = true;
                angular.forEach(item.clauseParamList,function (value) {
                    if(value.key==""){
                        isNotempty=false;
                        return;
                    }
                });
                return isNotempty;
            };
            return handle;
        }(Handle || {});
        Handle.initPage();
        
        $scope.tabChange=function ($event,type) {
            $($event.target).addClass('spe-active').siblings().removeClass('spe-active');
            if(type=='1'){
                $scope.certain=true;
            }else{
                $scope.certain=false;
            }
        };
        $scope.specialEdit=function (item) {
            // debugger
            $rootScope.clauseParamList=item.clauseParamList;
            $rootScope.specialCode=item.clauseCode;
            if(!(item.clauseCode=='HB9999') && !(item.clauseCode=='T9999')){
                if(!item.textContent){
                    // var clauseContext=item.clauseContext;
                    var clauseContext=item.remark;//fix 用模板去替换文本的bug
                    angular.forEach(item.clauseParamList,function (value) {
                        clauseContext=clauseContext.replace(value.key, 'RMB');
                        value.key="";
                    });
                    window.setTimeout(function () {
                        if(clauseContext) {
                            item.textContent=clauseContext.split("RMB");
                        } else {
                            item.textContent=[];
                        }
                    },0);
                }else{
                    angular.forEach(item.clauseParamList,function (value) {
                        value.key="";
                    });
                }

            } else {
                // 重置文本
                if(item.clauseCode=='HB9999'){
                    $rootScope.baseBean.handSpecial = item.clauseContext;
                }else if(item.clauseCode=='T9999'){
                    $rootScope.baseBean.otherSpecial = item.clauseContext;
                }
            }

            var confirmPopup =$ionicPopup.confirm({
                title: '请补充特约信息',
                templateUrl: "templates/common/special-agreement.html",
                buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
                    text: '取消',
                    type: 'button-special-cancle',
                    onTap: function (e) {
                        return false;
                    }
                }, {
                    text: '确定',
                    type: 'button-special-ok',
                    onTap: function (e) {
                        if(item.clauseCode=='HB9999'){
                            if($rootScope.baseBean.handSpecial){
                                item.clauseContext=$rootScope.baseBean.handSpecial;
                                return true;
                            }else {
                                $U.showToast("输入框不能为空");
                                e.preventDefault();
                                return false;
                            }

                        } else if(item.clauseCode=='T9999'){
                            if($rootScope.baseBean.otherSpecial){
                                item.clauseContext=$rootScope.baseBean.otherSpecial;
                                return true;
                            }else {
                                $U.showToast("输入框不能为空");
                                e.preventDefault();
                                return false;
                            }
                        }else{
                            var isNotEmpty=Handle.getNotEmpty(item);
                            if(isNotEmpty){
                                item.clauseContext='';
                                if(false){
                                // if($U.isNotEmpty(item.textContent) && item.textContent.length==1){
                                    var txt = '';
                                    // item.clauseContext = item.textContent[0].substring(0,9)+$rootScope.clauseParamList[0].key+item.textContent[0].substring(12,31)+$rootScope.clauseParamList[1].key
                                    angular.forEach($rootScope.clauseParamList, function(clauseItem,idx){
                                        if(idx < 1){
                                            txt += (item.textContent[0].substring(0,clauseItem.index-1)+clauseItem.key);
                                        }else{
                                            var prev = $rootScope.clauseParamList[idx-1];
                                            txt += (item.textContent[0].substring(prev.index+prev.key.lenght-1,clauseItem.index-1)+clauseItem.key);
                                        }
                                    });
                                    item.clauseContext = txt;
                                } else {
                                    angular.forEach(item.textContent,function (data,index) {
                                        if($rootScope.clauseParamList[index]){
                                            item.clauseContext+=data+$rootScope.clauseParamList[index].key;
    
                                        }else{
                                            item.clauseContext+=data;
                                        }
    
                                    });

                                }
                                return true;
                            }else {
                                $U.showToast("输入框不能为空");
                                e.preventDefault();
                                return false;
                            }

                        }

                    }
                }]
            });
        };


        $scope.checkSpecial=function () {
            /*  ---  Subsection comment block  ---  */
            $rootScope.baseBean.specialData = ($U.isNotEmpty($scope.specialData) && angular.copy($scope.specialData));//点击确认时存储
            var arr = [];
            angular.forEach($scope.specialData, function (item) {
                if (item.isNeeded === '1' && item.isModify === '0') {
                    //必传不可改特约，不取
                } else {
                    //选中的放到暂存
                    if (item['checked'] == true) {
                        arr.push(item);
                    }
                }
            })
            $rootScope.baseBean.tempChooseData = arr;//把数据都缓存到全局,用于返回重新报价时合并
            console.log('$rootScope.baseBean.tempChooseData:',$rootScope.baseBean.tempChooseData);
            /*  ---  Subsection comment block  ---  */
            history.back(-1);
        }

    });
    return app;
});

