// 石梦星 2017.03.14

define(
   [
      'services/app.service',
      'directives/app.directives',
      'filters/app.filters',
      'services/app.sqlLite.service',
      'services/app.car.beans',
      'modalSelect'
   ],
   function () {
      'use strict';
      var app = angular.module('app.tianjinTax.controller', [
         'app.handle.service',
         'app.directives',
         'app.filters',
         'app.sqlLite.service',
         'app.car.beans',
         'ionic-modal-select',
         'ngCordova'
      ]);
      //表单控制器
      app.controller('tianjinTaxController', function ($scope, $rootScope, $location, $handleService, $interFace, $compile, $sqlSQLiteService, $carBeansService) {

         $rootScope.IS_TRANS_VHL_T = (!$rootScope.carBeans.vehicle.chgOwnerFlag || $rootScope.carBeans.vehicle.chgOwnerFlag == '0') ? false : true;//请求不传，页面判断使用

         $rootScope.baseBean.jqRiskList.vhlTax.taxStartDate = formatDate($rootScope.baseBean.jqRiskList.vhlTax.taxStartDate);

         function formatDate(value) {
            if(value){
               if (value.length == 8) {
                  return value.substring(0, 4) + "-" + value.substring(4, 6) + "-" + value.substring(6, 8);
               }
               else if (value.length == 6) {
                  return value.substring(0, 4) + "-" + value.substring(4, 6) + '-01';
               }
               else {
                  return value;
               }
            }
            else {
               return new Date().format("yyyy-MM-dd");
            }
         }

         $scope.changeTianjinTaxCompancyCode = function(){
            var options = {
               "11200310000":"第三税务分局"
               ,"11201010000":"和平区税务局"
               ,"11201020000":"河东区税务局"
               ,"11201030000":"河西区税务局"
               ,"11201040000":"南开区税务局"
               ,"11201050000":"河北区税务局"
               ,"11201060000":"红桥区税务局"
               ,"11201100000":"东丽区税务局"
               ,"11201110000":"西青区税务局"
               ,"11201120000":"津南区税务局"
               ,"11201130000":"北辰区税务局"
               ,"11201140000":"武清区税务局"
               ,"11201150000":"宝坻区税务局"
               ,"11201160000":"滨海新区税务局"
               ,"11201170000":"宁河区税务局"
               ,"11201180000":"静海区税务局"
               ,"11201190000":"蓟州区税务局"
               ,"11202160000":"经济技术开发区税务局"
               ,"11203160000":"生态城税务局"
               ,"11204160000":"天津港保税区税务局"
               ,"11205160000":"高新技术产业开发区税务局"
               ,"11206160000":"东疆保税港区税务局"
            }

            $rootScope.baseBean.jqRiskList.vhlTax.taxCompancyName = options[$rootScope.baseBean.jqRiskList.vhlTax.taxCompancyCode];
         }

         //天津车船税提交方法
         $scope.tianjinTaxSubmit = function (form) {
            //输入校验

            if (!$rootScope.baseBean.jqRiskList.vhlTax.taxRelifFlag) {
               $U.showToast('请选择减免税标志');
               return;
            }
            if($rootScope.baseBean.jqRiskList.vhlTax.taxRelifFlag!='01'){
               if ($rootScope.carBeans.vehicle.chgOwnerFlag == '1' && !$rootScope.carBeans.vehicle.chgOwnerDate) {
                  $U.showToast('请选择过户日期');
                  return;
               }
               if (!$rootScope.baseBean.jqRiskList.vhlTax.taxCompancyCode) {
                  $U.showToast('请选择开具税务机关');
                  return;
               }
               if (!$rootScope.carBeans.vehicle.settleAddressCode) {
                  $U.showToast('请选择车辆落户地址');
                  return;
               }
               if ($rootScope.carBeans.vehicle.settleAddressCode == '12000') {
                  if (!$rootScope.carBeans.vehicle.blockCode) {
                     $U.showToast('请选择街道乡镇');
                     return;
                  }
               }
               if (!$rootScope.baseBean.jqRiskList.vhlTax.taxStartDate) {
                  $U.showToast('请选择税款所属期');
                  return;
               }
               if (!$rootScope.baseBean.jqRiskList.vhlTax.billType) {
                  $U.showToast('请选择税票号类型');
                  return;
               }
               if (!$rootScope.baseBean.jqRiskList.vhlTax.billNo) {
                  $U.showToast('请填写税票号');
                  return;
               }
            }else{
               if (!$rootScope.carBeans.vehicle.settleAddressCode) {
                  $U.showToast('请选择车辆落户地址');
                  return;
               }
               if ($rootScope.carBeans.vehicle.settleAddressCode == '12000') {
                  if (!$rootScope.carBeans.vehicle.blockCode) {
                     $U.showToast('请选择街道乡镇');
                     return;
                  }
               }
            }


            //不是转籍车，不传转籍日期
            if ($rootScope.carBeans.IS_TRANS_VHL != '1') {
               $rootScope.carBeans.TRANS_DAY = '';
            }
            //车辆落户地址不是滨海新区
            if ($rootScope.carBeans.VHL_ADDR != '12000') {
               $rootScope.carBeans.STREET_CDE = '';
            }
            //把日期格式改成20170317 /g正则，替换所有
            if ($rootScope.carBeans.TAX_START_DATE) {
               var aDate = $rootScope.carBeans.TAX_START_DATE.replace(/\-/g, '');
               $rootScope.carBeans.TAX_START_DATE = aDate.substring(0, 6);
            }
            $handleService.logger('object', $rootScope.carBeans, '天津车船税页面数据');
            //校验通过->1.参数保存 2.路由跳转
            history.back(-1);
         };
      });
      return app;
   });