define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives','filters/app.filters' ,'services/app.store'], function () {
    'use strict';
    var app = angular.module('app.userFeedBack.controller', ['ionic', 'ngCordova', 'app.handle.service', 'app.directives', 'app.store','app.car.beans']);

    app.controller('userFeedBackController', function ($rootScope, $scope, $handleService, $cordovaFileTransfer, $interFace, $state,$http,$stateParams,$carBeansService) {
        
        $scope.maxText = 0;//输入字符个数
        $scope.showBadge = false;//是否显示建议进度红点
        $scope.feedText = {//输入内容跟手机号
            text:'',
            phone:''
        };
        $scope.feedType = '车险';//选择建议类别
        $scope.selectImgs = [];//选择图片数组

        var Handle = (function (handle) {
            handle.initPage = function() {
                function keyboardShowHandler(e){
                    $(".popup").css({
                        "margin-top": -e.keyboardHeight + "px",
                        transform: "translate(-50%, 50%)"
                    });
                    if($(".popup").offset().top <= 0) {
                        $(".popup").css({
                            "margin-top": -e.keyboardHeight - $(".popup").offset().top + "px",
                            transform: "translate(-50%, 50%)"
                        });
                    }
                    if($("#checkTowNumWrap").length > 0) {
                        $(".popup").css({
                            "margin-top": -e.keyboardHeight + "px",
                            transform: "translate(-50%, 10%)"
                        });
                    }

                }
                function keyboardHideHandler(e){
                    $(".popup").css({
                        "margin-top": "0px",
                        transform: "translate(-50%, -50%)"
                    });
                }
                if(ionic.Platform.isIOS()) { //解决IOS下 修改折扣输入框被键盘挡住的问题
                    window.addEventListener('native.keyboardshow', keyboardShowHandler);
                    window.addEventListener('native.keyboardhide', keyboardHideHandler);
                }
                if(JSON.parse($U.getSession('SLS_INFO')).phone){
                    $scope.feedText.phone = JSON.parse($U.getSession('SLS_INFO')).phone;
                }
            };
            //请求接口是否显示红点
            handle.getShowbadge = function(){
                $handleService.http({
                    url: '/feedback/queryFeedbackInfo',
                    data: {
                        salesCode:$U.getSlsCode(),
                        deptCode:$U.getDeptCode(),
                        queryFlag:'0'
                    },
                    success: function (data){
                        if(data.resultCode == "0"){
                            if(data.result && data.result.length>0){
                                angular.forEach(data.result,function(item){
                                    if(item.status == '1'){
                                        $scope.showBadge = true;
                                    }
                                })
                            }
                        }else{
                            $U.showToast(data.errorMsg)
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                })
            };
            //保存接口
            handle.feedSave = function(data) {
                var salesname = encodeURI(JSON.parse($U.getSession('SLS_INFO')).salesmanCname);
                var opinionTypes = encodeURI($scope.feedType);
                var content = encodeURI($scope.feedText.text);
                var url = '/feedback/save?deptCode='+$U.getDeptCode()+'&salesmanCode='+JSON.parse($U.getSession('SLS_INFO')).salesmanCode+'&salesCode='+$U.getSlsCode()+'&salesName='+salesname+'&phone='+$scope.feedText.phone+'&opinionTypes='+opinionTypes+'&content='+content;
                $handleService.motoHttp({
                    // https://m.sinosafe.com.cn/eauto/zuul/eautomobile/feedback/save
                    url: $interFace.upLoadImg + url,
                    method: 'POST',
                    data: data,
                    headers: {
                        'Content-Type':undefined,
                    },
                    success: function (result) {
                        if(result.resultCode == '0'){
                            $state.go('tab.userFeedSuccess');
                        }else{
                            $U.showToast(data.errorMsg)
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });     
            }
            return handle;
        })(Handle || {});

        Handle.initPage();
        Handle.getShowbadge();
        //选择上传图片
        $scope.chooseImg = function(){
            var maxLength = 6-$scope.selectImgs.length;
            $handleService.appHandle.cameraHandle({
                targetWidth: 768, //照片宽度
                targetHeight: 1024,
                destinationType: 1,//使用路径格式
                imagePicker: true,
                ionButtons:[{text: '拍摄照片'},{text: '从相册选取'}],
                maximumImagesCount: maxLength || 6,
                success: function (img) {
                    if($U.isNotEmpty(img)){
                        if (typeof img == 'object') {
                            for(var i=0;i<img.length;i++){
                                var imgPath = img[i].fullPath || img[i];
                                $scope.selectImgs.push(imgPath);
                            }
                        }else if(typeof img == 'string'){
                            $scope.selectImgs.push(img)
                        }
                    }
                }
            })
        }
        //选择要反馈类别
        $scope.feedSelect = function(e,data){
            $('.feed-btn div').removeClass('act')
            $(e.target).addClass('act');
            $scope.feedType = data;
        }

        $scope.changeMax = function(){
            $scope.maxText = $scope.feedText.text.length;
        }

        //删除图片
        $scope.deleteImg = function(i){
            $scope.selectImgs.splice(i,1)
        }
        //返回是否保存
        $scope.backSave = function() {
            if($scope.feedText.text || $scope.selectImgs.length>0){
                $handleService.showConfirm({
                    title: '温馨提示',
                    template: '您有待编辑内容,确认不保存退出吗？',
                    buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
                        text: '取消',
                        type: 'button-cfirm-cancle',
                        onTap: function (e) {
                            return false;
                        }
                    }, {
                        text: '确定返回',
                        type: 'button-cfirm-ok',
                        onTap: function (e) {
                            return true;
                        }
                    }],
                    sure: function () {
                        $state.go('tab.comp');
                    }
                });
            }else{
                $state.go('tab.comp');
            }
        };
        //上传建议&图片
        $scope.feedSave = function(){
            var regphone =/^([1][3-9][0-9]{9})$|^((\d){3}(\*){4}(\d){4})$/,
                regtel =/^0\d{2,3}-?\d{7,8}$|^0\d{2}(\*){4,5}\d{4}$/;
            if($scope.feedText.text.length<5){
                $U.showToast('请输入至少5个字建议')
            }else if(!regphone.test($scope.feedText.phone) && !regtel.test($scope.feedText.phone)){
                $U.showToast('请输入正确的联系方式')
            }else{             
                if($scope.selectImgs.length>0){//有图片
                    var formData = new FormData();
                    var maxImgs = 0;//计量
                    for(var i=0;i<$scope.selectImgs.length;i++){
                        var item = $scope.selectImgs[i];
                        window.resolveLocalFileSystemURL(item,function(fileEntry){
                            fileEntry.file(function(file){
                                var reader = new FileReader();
                                reader.readAsArrayBuffer(file);
                                reader.onloadend = function(e){
                                    maxImgs++;
                                    var the_file = new Blob([e.target.result ], { type: file.type||'video/mp4'} );
                                    formData.append('files', the_file, file.name);                 
                                    if(maxImgs == $scope.selectImgs.length){//最后一次再请求接口
                                        Handle.feedSave(formData)
                                    }
                                }
                            })
                        })
                    }
                }else{//无图片
                    Handle.feedSave({});
                }   
            }
        }
    });
    
    return app;
});