define(['services/app.service', 'services/app.general.service', 'services/app.car.beans', 'directives/app.directives','filters/app.filters' ,'services/app.store'], function () {
    'use strict';
    var app = angular.module('app.userFeedList.controller', ['ionic', 'ngCordova', 'app.handle.service', 'app.directives', 'app.store','app.car.beans']);

    app.controller('userFeedListController', function ($rootScope, $scope, $handleService, $cordovaFileTransfer, $interFace, $state,$http,$stateParams,$carBeansService) {
        
        $scope.feedList=[]

        var Handle = (function (handle) {
            handle.initPage = function(){
                $handleService.http({
                    url: '/feedback/queryFeedbackInfo',
                    data: {
                        salesCode:$U.getSlsCode(),
                        deptCode:$U.getDeptCode(),
                        queryFlag:'1'
                    },
                    success: function (data){
                        if(data.resultCode == "0"){
                            var list1=[],list2 = [];
                            angular.forEach(data.result,function(item,i){
                                if(item.status=='0'){
                                    list1.push(item);
                                }else{
                                    list2.push(item);
                                }
                            })
                            $scope.feedList = $scope.feedList.concat(list1,list2);
                        }else{
                            $U.showToast(data.errorMsg)
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                })
            };
            return handle;
        })(Handle || {});        

        Handle.initPage();
    });
    
    return app;
});
