define([
    'services/app.service',
    'services/app.store',
    'services/app.car.beans',
    'directives/app.directives'], function () {
    'use strict';
    var app = angular.module('app.validateCarNumCtrl', ['ionic', 'ngCordova', 'app.handle.service', 'app.directives', 'app.store','app.car.beans']);

    app.controller('validateCarNumCtrl', function ($rootScope, $scope, $handleService, $cordovaFileTransfer, $interFace, $state,$http,$stateParams,$carBeansService) {
        $scope.salesmanCode=$handleService.sessionHandle.getSession("SLS_INFO").salesmanCode;
        $rootScope.SLS_CDE=$handleService.sessionHandle.getSession("SLS_CDE");
        $scope.ismycard = $stateParams.pageSouces ? true:false;//是否显示所属区域
        $scope.vm={};


        $scope.vm.beginDate=new Date().format('yyyy-MM-dd');
        $scope.vm.today=new Date().format('yyyy-MM-dd');
        $scope.vm.textTips='今日验车码';
        $scope.vm.history=false;


        $scope.$watch('vm.beginDate',function (value) {


            var arr=value.split('-');
            var arr2=$scope.vm.today.split('-');
            if(arr.length==1){
                return
            }
            $scope.vm.beginDate=arr[0]+'年'+arr[1]+'月'+arr[2]+'日';
            if(arr[0]==arr2[0] && arr[1]==arr2[1] && arr[2]==arr2[2]){
                $scope.vm.textTips='今日验车码';
                $scope.vm.history=false;
            }else{
                $scope.vm.textTips='历史验车码';
                $scope.vm.history=true;
            }


            $handleService.http({
                url: "/service/checkCode",
                method: 'POST',
                data: {
                    VALIDATE_CAR_DATETIME:value
                },
                success: function (data) {

                    $scope.vm.shareText=data.code;

                },
                error: function (ex) {
                    $handleService.logger('error', ex);
                }
            });
        });

        $scope.copyText = function () {
            $handleService.copyClipboard({
                text:$scope.vm.textTips+'('+$scope.vm.beginDate+'):'+$scope.vm.shareText,
                doms:".validate-car-num",
                success: function () {
                    $U.showToast("验车码已复制");
                    $handleService.uMengListen("copyCode");
                },
                error: function () {
                    $U.showToast("验车码复制失败，请手动复制");
                }
            });
        };


    });
    return app;
});
