define([
        'services/app.service',
        'services/app.general.service',
        'directives/app.directives',
        'filters/app.filters',
        'services/app.car.beans',
        'modalSelect',
        'ngUpload'
    ],
    function () {
        'use strict';
        var app = angular.module('app.xbConfig.controller', [
            'app.handle.service',
            'app.general.service',
            'app.directives',
            'app.filters',
            'app.car.beans',
            'ionic-modal-select',
            'ngFileUpload'
        ]);
        //表单控制器
        app.controller('xbConfigController', function ($scope, $rootScope, $http, $location, $state, $stateParams, $handleService, $generalService, $interFace) {
            //----------------------------------------begin 变量----------------------------------------//
            // $rootScope.agentOptions = []; //个人代理 渠道协议数据   清除数据时不被清空
            // $rootScope.assistOptions = []; //协作人  客户源数据  清除数据时不被清空
            // $scope.cooperateNameValue = ""; //默认客户源
            // $scope.intermediaryNameValue = ""; //默认渠道
            // $scope.intermediaryCode = '';//默认渠道协议编码
            // $scope.cooperateCode = '';//默认客户源编码编码
            //----------------------------------------end   变量----------------------------------------//
            var Handle = (function (handle) {
                //初始化 页面 方法
                handle.initData = function () {
                    // 请求 业务员初始配置；
                    $scope.$watch("xbConfig.intermediaryCode", function(value) {
                        if(value) {
                            $rootScope.xbConfig.isCmpnyAgt = true;
                            $rootScope.xbConfig.intermediaryCode = value||'';
                        } else {
                            $rootScope.xbConfig.isCmpnyAgt = false;
                            $rootScope.xbConfig.intermediaryCode = '';
                        }
                    });
                    $scope.$watch("xbConfig.cooperateCode", function(value) {
                        if(value) {
                            $rootScope.xbConfig.isTrueAgtCde = true;
                            $rootScope.xbConfig.cooperateCode = value ||'';
                        } else {
                            $rootScope.xbConfig.isTrueAgtCde = false;
                            $rootScope.xbConfig.cooperateCode = "";
                        }
                    });
                    var salesmanCode = $handleService.sessionHandle.getSession("SLS_INFO").employCode;
                    $scope.Q_Renewal_Info = JSON.parse(window.localStorage.getItem('Q_Renewal_Info')) || {};
                    $scope.Q_Renewal_Info[salesmanCode] = '?choicedType=c';// 和业务员匹配的url   返回上一页时，初始化为自定义
                    window.localStorage.setItem('Q_Renewal_Info', JSON.stringify($scope.Q_Renewal_Info));
                    //初始化动态Form 解决安卓 Bug
                    $handleService.initFormApp();
                };
                return handle;
            })(Handle || {});
            Handle.initData();
            //----------------------------------------begin 车主信息页面----------------------------------------//

            //----------------------------------------begin 监听----------------------------------------//
            $scope.changeChannel = function () {
                $rootScope.xbConfig.isCmpnyAgt=!$rootScope.xbConfig.isCmpnyAgt;
                if ($rootScope.xbConfig.isCmpnyAgt) {
                    $("#channelContent").trigger("click");
                } else {
                    $rootScope.xbConfig.intermediaryName = '';
                    $rootScope.xbConfig.intermediaryCode = '';
                }
            };
            $scope.changeAssist = function () {
                $rootScope.xbConfig.isTrueAgtCde=!$rootScope.xbConfig.isTrueAgtCde;
                if ($rootScope.xbConfig.isTrueAgtCde) {
                    $("#assistContent").trigger("click");
                } else {
                    $rootScope.xbConfig.cooperateName = '';
                    $rootScope.xbConfig.cooperateCode = '';
                }
            };

            //选择渠道的每个item之后请求经办人 合作网点
            $scope.selecCopnytItem=function (options) {
                $rootScope.xbConfig.intermediaryName = options.intermediaryName||'';
                $rootScope.xbConfig.intermediaryCode = options.intermediaryCode||'';
            };

            //选择客户源的每个item之后请求渠道网点
            $scope.selecSalesManItem=function (options) {
                $rootScope.xbConfig.cooperateName = options.cooperateName||'';
                $rootScope.xbConfig.cooperateCode = options.cooperateCode||'';
            };

            $scope.configSubmit=function () {
                if($rootScope.xbConfig.isCmpnyAgt && !$rootScope.xbConfig.intermediaryCode){
                    $U.showToast("请选择渠道");
                    return;
                }
                if($rootScope.xbConfig.isTrueAgtCde && !$rootScope.xbConfig.cooperateCode){
                    $U.showToast("请选择客户源");
                    return;
                }
                $scope.saveXbconfig();
            };
            //查询数据
            $scope.getXbconfig = function(){
                var salesmanCode = $handleService.sessionHandle.getSession("SLS_INFO").employCode;
                var params = {salesmanCode:salesmanCode};
                $handleService.motoHttp({
                    url: $interFace.getXbConfig,
                    method: 'GET',
                    params: params,
                    success: function (data) {
                        if(data.resultCode == "0") {
                            $rootScope.xbConfig.cooperateCode = data.result.cooperateCode;
                            $rootScope.xbConfig.intermediaryCode = data.result.intermediaryCode;
                        }else if(data.resultCode == "E17018"){
                            $rootScope.xbConfig.cooperateCode = "";
                            $rootScope.xbConfig.intermediaryCode = "";
                        }else {
                            $handleService.showAlert('提示', data.errorMsg || $message.serverError);
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });
            };
            //保存数据
            $scope.saveXbconfig = function(){
                var saveData = {
                    salesmanCode : $handleService.sessionHandle.getSession("SLS_INFO").employCode||'',
                    deptCode : $handleService.sessionHandle.getSession("SLS_INFO").deptCode||'',
                    intermediaryCode : $rootScope.xbConfig.intermediaryCode||'',
                    cooperateCode : $rootScope.xbConfig.cooperateCode||'',
                };
                $handleService.motoHttp({
                    url: $interFace.saveXbConfig,
                    method: 'POST',
                    data: saveData,
                    success: function (data) {
                        if(data.resultCode == "0") {
                            $state.go("tab.configRenewal");
                        } else {
                            $handleService.showAlert('提示', data.errorMsg || $message.serverError);
                        }
                    },
                    error: function (ex) {
                        $handleService.logger('error', ex);
                    }
                });
            };

            //清除数据
            $scope.clearAll = function() {
                $rootScope.errorResult={
                    showIcon:false
                };
                $rootScope.xbConfig = {
                    agentOptions:$rootScope.agentOptions,//个人代理  渠道协议数据
                    assistOptions:$rootScope.assistOptions,//协作人  客户源数据
                    cooperateName:'',//默认客户源名称
                    intermediaryName:'',//默认渠道名称
                    intermediaryCode:'',//默认渠道协议编码
                    cooperateCode:'',//默认客户源编码编码
                    isCmpnyAgt:false,//默认渠道协议 不选中
                    isTrueAgtCde:false,//默认客户源 不选中
                };

            };
            //----------------------------------------end   车主信息页面----------------------------------------//
        });
        return app;
    });
