define([
   'services/app.service',
   'services/app.store',
   'services/app.general.service',
   'directives/app.directives',
   'filters/app.filters'
], function () {
   'use strict';
   var app = angular.module('app.utils.imgUpForWeb', ['ionic', 'app.handle.service', 'app.general.service', 'app.directives', 'app.filters', 'app.store']);

   app.controller('imgUpForWeb', function ($scope, $rootScope, $http, $location, $stateParams, $interFace, $handleService, $generalService, $message, store, $ionicNavBarDelegate) {
      //begin ---------------------------------变量---------------------------------//
      var stateObj = window.requestParam;

      $scope.DEPT_CODE = stateObj.deptCode;  //机构编码
      $scope.EMP_CODE = stateObj.employCode; //业务员编码 SLS_CDE

      $scope.imageId = $stateParams.imageId || ""; //影像ID
      //是否是暂存单，投保单、保单不存使用另一套接口提交、查勘、删除影像
      $scope.isTemp = !($stateParams.policyNo || $stateParams.plyAppNo || stateObj.PLY_NO || stateObj.PLY_APP_NO);
      $scope.isHtml5Plus = navigator.userAgent.indexOf('Html5Plus') >= 0;

      //提交复核成功后提交复核按钮禁用
      $scope.buttonCtrl = false;
      //提交复核成功后上传按钮禁用
      $scope.buttonSubmit = false;
      //提核前影像上传核保意见隐藏
      $scope.beforeRev = true;

      $scope.vm = {};

      //清空
      store.imgUpload.empty();
      $scope.vm.imgT001006 = store.imgUpload.T001006.all();
      $scope.vm.imgT001002 = store.imgUpload.T001002.all();
      $scope.vm.imgT001001 = store.imgUpload.T001001.all();


      $scope.vm.state = store.state;

      $scope.vm.imgPreview = {};
      $scope.vm.imgPreview.list = [];
      $scope.vm.imgPreview.activeSlide = 0;
      $scope.vm.imgPreview.isShowSlide = false;

      $scope.has_imgT001001 = false;
      $scope.has_imgT001002 = false;
      $scope.has_imgT001006 = false;


      $scope.imgList = []; //上传的图片合集
      //end   ---------------------------------变量---------------------------------//

      //begin ------------------------------工具方法------------------------------//
      var ImgHandle = (function (handle) {
         //获取图片 -> 公共方法
         handle.getTypeObj = function (type, index) {
            var imgObj = {
               "T001001": store.imgUpload.T001001,
               "T001002": store.imgUpload.T001002,
               "T001006": store.imgUpload.T001006
            };

            if (!imgObj[type]) {
               return;
            }

            if (index != undefined) {
               return imgObj[type].get(index);
            } else {
               return imgObj[type];
            }
         };
         //最大选择图片数
         handle.maximumImagesCount = function (type, index) {
            if (type == "T001001") {
               return $scope.vm.imgT001001.list.length - index;
            }
            else if (type == "T001002") {
               return $scope.vm.imgT001002.list.length - index;
            } else if (type == "T001006") {
               return $scope.vm.imgT001006.list.length - index;
            }
         };
         //添加照片或视频
         handle.storeTypeObj = function (type, startIndex, fileIndex, objUrl, mediaType) {
            var category = 'img' + type;
            var hasImg = $scope['has_' + category];

            var objItem = {
               src: objUrl,
               mediaType: mediaType,
               isUpload: false
            };

            $scope.$apply(function () {
               if (hasImg && fileIndex != 0) {
                  //已上传过影像，非空置位添加影像
                  $scope.vm[category].list.push(objItem)
               } else {
                  angular.extend($scope.vm[category].list[startIndex + fileIndex], objItem);
               }

               //已上传过影像，增加空置位
               if (hasImg) {
                  $scope.vm[category].list.push({ src: 'images/other/plus.png', isUpload: false })
               }
            });
         }
         //设置上年投保方案截图供上传
         handle.getLastYearInsurePlanPath = function () {
            if ($rootScope.lastYearPlanImgPath) {
               $scope.vm['imgT001002'].list.unshift({
                  src: $rootScope.lastYearPlanImgPath,
                  realPath: $rootScope.lastYearPlanImgPath,
                  mediaType: 'image',
                  isUpload: false
               });
               angular.element('.tabs-top').find('.tabs a[for-tab="#T001002"]').trigger('click');
               $rootScope.lastYearPlanImgPath = null;
            }
         }
         handle.checkHtml5Support = function () {
            if (!$scope.isHtml5Plus) {
               if (typeof FileReader == 'undefined') {
                  $('.not-support-html5-upload').fadeIn(1000);
                  $("input[type='file']").attr("disabled", true);
               }
            }
         }
         //获取报价单号，然后跳转到影像上传
         handle.getImageId = function () {
            $handleService.http({
               url: "/policyOrder/appNoDetail?proposalNo=" + (stateObj.PLY_APP_NO || $stateParams.plyAppNo),
               method: 'GET',
               success: function (data) {
                  if (data.resultCode == "0") {

                     $handleService.logger('object', data, "获取影像ID数据");
                     $scope.imageId = data.result.riskList[0].imageId;
                     ImgHandle.getImgRoute($scope.imageId);

                  } else {
                     handle.checkHtml5Support();
                     $handleService.showAlert('提示', data.errorMsg || $message.serverError);
                  }
               },
               error: function (ex) {
                  handle.checkHtml5Support();
                  $handleService.logger('error', ex);
               }
            });
         }
         //获取影像路径
         handle.getImgRoute = function (opt) {
            $handleService.http({
               url: $scope.isTemp ? ("/tempImgCacheBack?flowId=" + $rootScope.flowId) : "/imgCacheBack",
               method: 'POST',
               data: {
                  imageId: opt
               },
               success: function (data) {
                  $handleService.logger('object', data, "影像返回图片路径");
                  if (data.resultCode == '0') {
                     var dataDeal = function (arrName, flag, arrDeal) {
                        if ($U.isNotEmpty(arrName)) {
                           $scope[flag] = true;
                           $scope.vm[arrDeal].list = [];
                           angular.forEach(arrName, function (item) {
                              var type = item.split("FileId=")[1].split("&Type")[0].split('.')[1];
                              var mediaType = 'image';
                              if (['mp4', '3gp', 'mov'].indexOf(type.toLowerCase()) >= 0) {
                                 mediaType = 'video';
                                 //视频无缩略图 链接带Type表示后台返回
                                 item = item.replace('&Type=2', '&Type=1');
                              }
                              $scope.vm[arrDeal].list.push({
                                 src: item,
                                 isUpload: true,
                                 mediaType: mediaType
                              })
                           });
                           $scope.vm[arrDeal].list.push({ src: 'images/other/plus.png', isUpload: false });

                        }
                     };

                     dataDeal(data.result.imgValidatePathList, "has_imgT001001", "imgT001001");
                     dataDeal(data.result.imgInsurePathList, "has_imgT001002", "imgT001002");
                     dataDeal(data.result.imgIDCardPathList, "has_imgT001006", "imgT001006");

                  } else {
                     if (data.errorMsg != '没有影像上传记录') {
                        $U.showToast(data.errorMsg);
                     }
                  }

                  handle.getLastYearInsurePlanPath();
                  handle.checkHtml5Support();
               },
               error: function (ex) {
                  handle.checkHtml5Support();
                  $handleService.logger('error', ex);
               }
            });
         };
         //图片压缩
         handle.compressImage_html5 = function (file) {
            var _lrzIniz = lrz(file, { quality: 0.9 });
            return _lrzIniz;
         }
         //视频流上传缓存服务器
         handle.uploadVideoStream = function (type, formData, videoIndexs) {
            //videoIndexs 记录视频位置
            $handleService.motoHttp({
               url: $interFace.fileStreamUploadUrl + "?x-ha-appname=gpurchase&x-ha-appmodel=valicar_image",
               method: 'POST',
               data: formData,
               headers: {
                  'Content-Type': undefined,
               },
               complete: function () {
                  $handleService.showLoading('show');
               },
               success: function (result) {
                  if (result.errCode == "0") {
                     //提交到服务器
                     $handleService.logger('object', result.data, '返回的图片网址:');
                     angular.forEach(result.data, function (item, i) {
                        var videoIndex = videoIndexs[i];
                        var realPath = item.domainPath + item.relativePath + item.newFileName;
                        $scope.vm['img' + type].list[videoIndex].realPath = realPath;
                     })
                  } else {
                     $handleService.showLoading('hide');
                     $handleService.showAlert('提示', result.msg || $message.serverError);
                  }
               },
               error: function (ex) {
                  $handleService.showLoading('hide');
                  $handleService.logger('error', ex);
                  $handleService.showAlert('提示', ex);
               }
            });
         }
         //Html5Plus调用原生API 拍摄照片及相册选择
         handle.imgChoose_Html5Plus = function (type, startIndex) {
            function showActionSheet() {
               var actionbuttons = [{ title: "拍照" }, { title: "相册选取" }, { title: '选取视频' }, { title: '拍摄视频' }];
               var actionstyle = { cancel: "取消", buttons: actionbuttons };
               window.plus.nativeUI.actionSheet(actionstyle, function (e) {
                  if (e.index == 1) {
                     getImage_Html5Plus(imgFunc);
                  } else if (e.index == 2) {
                     galleryImg_Html5Plus(imgFunc);
                  } else if (e.index == 3) {
                     galleryVideo_Html5Plus(videoFunc);
                  } else if (e.index == 4) {
                     captureVideo_Html5Plus(videoFunc);
                  }
               });
            }
            function imgFunc(error, content) {
               if (error == 1) {
                  $handleService.showAlert('提示', content || '拍照失败');
               } else {
                  var fileIndex = 0, // 单张选择及拍照
                     mediaType = 'image',
                     objUrl = content;

                  ImgHandle.storeTypeObj(type, startIndex, fileIndex, objUrl, mediaType);
               }
            };
            function videoFunc(error, content, file) {
               if (error == 1) {
                  $handleService.showAlert('提示', content || '拍照失败');
               } else {
                  var fileIndex = 0, // 单张选择及拍照
                     mediaType = 'video',
                     objUrl = content;
                  ImgHandle.storeTypeObj(type, startIndex, fileIndex, objUrl, mediaType);

                  var the_file = dataURItoBlob(objUrl)
                  var formData = new FormData(),
                     videoIndexs = [];
                  formData.append('file', the_file, file.name);
                  videoIndexs.push(startIndex + fileIndex);
                  ImgHandle.uploadVideoStream(type, formData, videoIndexs);
               }
            };
            showActionSheet();
         }
         return handle;
      })(ImgHandle || {});
      //end   ------------------------------工具方法------------------------------//

      //提交复核按钮
      $scope.submitRev = function () {
         var revFlag = '';
         var opt = {
            title: '提示',
            template: '交强险商业险是否一起复核？',
            buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
               text: '否',
               type: 'button-cfirm-cancle',
               onTap: function (e) {
                  return false;
               }
            }, {
               text: '是',
               type: 'button-cfirm-ok',
               onTap: function (e) {
                  return true;
               }
            }],
            sure: function () {
               revFlag = '1';
               revHttp();
            },
            cancle: function () {
               revFlag = '0';
               revHttp();
            }
         };
         var revHttp = function () {
            //wll
            $handleService.http({
               url: "/submitReview",
               method: 'POST',
               data: {
                  proposalNo: window.requestParam.PLY_APP_NO || "",
                  policyNo: window.requestParam.PLY_NO || "",
                  relFlag: revFlag
               },
               //wll
               success: function (data) {
                  $handleService.logger('object', data, "提交复核数据");
                  if (data.resultCode == '0') {
                     $scope.buttonCtrl = true;
                     $scope.buttonSubmit = true;
                  } else {
                     $handleService.showAlert('提交复核', data.errorMsg);
                  }
               },
               error: function (ex) {
                  $handleService.logger('error', ex);
               }
            });
         };
         if ($scope.imageId.indexOf(',') != -1) {
            $handleService.showConfirm(opt);
         } else {
            revFlag = '0';
            revHttp();
         }



      };

      //照片视频文件转化对象路径供页面展示
      function getObjectURL(file) {
         var url = null;
         if (window.createObjectURL != undefined) { // basic
            url = window.createObjectURL(file);
         } else if (window.URL != undefined) { // mozilla(firefox)
            url = window.URL.createObjectURL(file);
         } else if (window.webkitURL != undefined) { // webkit or chrome
            url = window.webkitURL.createObjectURL(file);
         }
         return url;
      }

      function dataURItoBlob(dataURI) {
         var byteString = atob(dataURI.split(',')[1]);
         var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];
         var ab = new ArrayBuffer(byteString.length);
         var ia = new Uint8Array(ab);
         for (var i = 0; i < byteString.length; i++) {
            ia[i] = byteString.charCodeAt(i);
         }
         return new Blob([ab], { type: mimeString });
      }


      //1.1 html5方式 拍摄照片视频及相册选择
      $scope.vm.imgChoose_html5 = function (ele) {
         var type = ele.name,
            _files = ele.files,
            startIndex = parseInt(ele.dataset.index),
            formData = new FormData(),
            videoIndexs = [];

         angular.forEach(_files, function (file, fileIndex) {
            var mediaType = file.type.split('/')[0];
            //开始进行 压缩
            if (~'image/jpg,image/jpeg,image/png,image/bmp,image/tga'.indexOf(file.type)) {
               ImgHandle.compressImage_html5(file).then(function (rst) {
                  var sourceSize = (file.size / 1024).toFixed(2),
                     resultSize = (rst.fileLen / 1024).toFixed(2),
                     scale = parseInt(100 - (resultSize / sourceSize * 100));

                  $handleService.logger("info", "处理前:" + sourceSize + "处理后:" + resultSize + "省去:" + scale + "%");

                  ImgHandle.storeTypeObj(type, startIndex, fileIndex, rst.base64, mediaType);
               });
            } else {
               var objUrl = getObjectURL(file);
               ImgHandle.storeTypeObj(type, startIndex, fileIndex, objUrl, mediaType);
               videoIndexs.push(startIndex + fileIndex);
               formData.append('file', file);
            }
         });


         if (videoIndexs.length > 0) {
            // 视频先上传避免占用太多内存
            ImgHandle.uploadVideoStream(type, formData, videoIndexs);
         }
      }

      //1.2 调用原生API 拍摄照片及相册选择
      $scope.vm.imgChoose = function (type, startIndex) {
         //人人团调用Html5Plus功能
         ImgHandle.imgChoose_Html5Plus(type, startIndex);
      }

      //2.1 点击上传文件 上传缓存服务器然后提交到影像系统
      $scope.fileUpload = function (type) {
         var oImg = ImgHandle.getTypeObj(type);
         $handleService.logger('info', '上传文件的类型是:' + type);
         $handleService.logger('object', oImg.all().list, '上传文件的List是:');
         //1.清空图片缓存
         $scope.imgList = [];
         $scope.fileList = [];
         //2.计算图片
         angular.forEach(oImg.all().list, function (item) {
            if (!item.isUpload && !!item.realPath) {
               //视频已上传
               $scope.fileList.push(item.realPath);
            } else if (!item.isUpload && !!item.src) {
               $scope.imgList.push(item.src);
            }
         });
         if ($scope['has_img' + type]) {
            $scope.imgList.pop();
         }

         $handleService.logger('info', '共上传[' + $scope.imgList.length + ']张图片');
         var imageArr = [];
         var imageIndex = 0;
         //3.获取图片缓存路径
         if ($scope.imgList.length > 0) {
            var uploadDeferred = [];
            $handleService.showLoading('show');
            //上传到缓存路径
            angular.forEach($scope.imgList, function (item, index) {
               //base64图片放入数组
               //去掉base64头
               var imageStr = item.split(",")[1];

               // 批量上传太大、时间太长导致，所以单文件上传
               var formData = {
                  images: [imageStr],
               };
               imageIndex++;
               var $deferred = $.Deferred();
               uploadDeferred.push($deferred);

               $handleService.motoHttp({
                  url: $interFace.fileUploadUrl + "?x-ha-appname=gpurchase&x-ha-appmodel=valicar_image",
                  method: 'POST',
                  data: formData,
                  hasShowLoadding: false, // loading由uploadServer隐藏
                  complete: function () {
                  },
                  success: function (result) {
                     if (result.errCode == "0") {
                        //提交到服务器
                        $handleService.logger('object', result.data, '返回的图片网址:');
                        angular.forEach(result.data, function (item, i) {
                           var realPath = item.domainPath + item.relativePath + item.newFileName;
                           $scope.fileList.push(realPath);
                        })
                        $deferred.resolve();
                     } else {
                        $deferred.reject();
                        $handleService.showLoading('hide');
                        $handleService.showAlert('提示', result.msg || $message.serverError);
                     }
                  },
                  error: function (ex) {
                     $deferred.reject();
                     $handleService.showLoading('hide');
                     $handleService.logger('error', ex);
                  }
               });

               if (imageIndex == $scope.imgList.length) {
                  // 上传缓存成功，提交
                  $.when.apply($, uploadDeferred).then(function () {
                     $scope.uploadServer($scope.fileList, type);
                  });
               }

            });
            //-------------------------------------------end   图片上传-------------------------------------------//
         }
         else if ($scope.fileList.length > 0) {
            $scope.uploadServer($scope.fileList, type);
         }
         else {
            $U.showToast('请选择至少一张图片');
         }
      };

      //2.2 提交缓存影像到影像系统
      $scope.uploadServer = function (fileList, type) {
         $generalService.uploadServer({
            result: fileList,
            type: type,
            imageId: $scope.imageId, //报价单号
            SLS_CDE: $scope.EMP_CODE,
            DEPT_CODE: $scope.DEPT_CODE,
            isTemp: $scope.isTemp,
            flowId: $rootScope.flowId,
            success: function (data) {
               $handleService.logger('object', data, '上传图片返回结果');

               if (data.resultCode == "0") {
                  var imgList = ImgHandle.getTypeObj(type).all().list;
                  angular.forEach(imgList, function (item) {
                     item.src && (item.isUpload = true);
                  });
                  $handleService.uMengListen("imageUpload");
                  $U.showToast('图片上传成功!');
               } else {
                  $handleService.showAlert('提示', data.errorMsg || $message.serverError);
               }
            }
         }, (stateObj.PLY_NO || ""));
      };

      //3.1 图片预览
      $scope.vm.imgPreview = function (type, item) {
         //判断是否是后台返回链接
         if (item.src.indexOf("&Type") != -1) {
            var newItem = item.src.substr(0, item.src.length - 1) + '1';
            $scope.vm.imgPreview.src = newItem;
         } else {
            $scope.vm.imgPreview.src = item.src;
         }
         $scope.vm.imgPreview.mediaType = item.mediaType;
         $ionicNavBarDelegate.showBar(false);
         $scope.vm.imgPreview.isShowSlide = true;
      };


      //3.2 关闭预览
      $scope.vm.closePreview = function () {
         $scope.vm.imgPreview.src = '';
         $scope.vm.imgPreview.isShowSlide = false;
         $ionicNavBarDelegate.showBar(true);
         $scope.vm.imgPreview.list = [];

      };

      //4.1 图片删除
      $scope.vm.imgDelete = function (type, index, item) {
         $handleService.showConfirm({
            title: '提示',
            template: '你确定要删除这张图片么？',
            sure: function () {
               if (item.isUpload) {

                  var fileId = item.src.split("FileId=")[1].split("&Type")[0];

                  $handleService.http({
                     url: $scope.isTemp ? ("/tempDelImgServer?flowId=" + $rootScope.flowId) : "/delImgServer",
                     method: 'POST',
                     data: {
                        imageId: $scope.imageId,
                        fileId: fileId
                     },
                     success: function (data) {
                        $handleService.logger('object', data, "影像删除接口");
                        if (data.resultCode == '0') {
                           $scope.vm["img" + type].list.splice(index, 1);
                        } else {
                           $U.showToast(data.errorMsg);
                        }
                     },
                     error: function (ex) {
                        $handleService.logger('error', ex);
                     }
                  });
               } else {
                  if ($scope['has_img' + type]) {
                     $scope.vm["img" + type].list.splice(index, 1);
                  } else {
                     var oImg = ImgHandle.getTypeObj(type, index);
                     //删除图片后  上传标志改为false
                     oImg.isUpload = false;
                     delete oImg["src"];
                     //delete oImg["src"];
                  }

               }
            }
         });

      };

      //没有影像ID时  通过投保单号获取影像ID
      if (!$scope.imageId) {
         ImgHandle.getImageId();
      } else {
         ImgHandle.getImgRoute($scope.imageId);
      }

   });

   return app;
});
