define([
    'services/app.service',
    'services/app.store',
    'services/app.general.service',
    'services/app.car.beans',
    'directives/app.directives'], function () {
    'use strict';
    var app = angular.module('app.licensePlateSearchController', ['ionic', 'ngCordova', 'app.handle.service', 'app.general.service','app.directives', 'app.store','app.car.beans']);

    app.controller('licensePlateSearchController', function ($rootScope, $scope,$generalService, $handleService, $cordovaFileTransfer, $interFace, $state,$http,$stateParams,$carBeansService) {

        $scope.REN = {
            RENEWAL_CHECK: '' //一健续保 查询文本
        };
        $scope.syBase = {}; //续保商业险数据
        $scope.jqBase = {}; //续保交强险数据
        //续保选框
        $scope.RW_LSP_SELECT = false;
        $scope.salesmanCode = $handleService.sessionHandle.getSession("SLS_INFO").salesmanCode;
        $scope.renewalData = $handleService.sessionHandle.getLocalSession("RW_LSP_NUM" + $scope.salesmanCode);
        $scope.isDelete = $handleService.sessionHandle.getSession("SLS_INFO").isDelete;

        angular.forEach($rootScope.dataList.riskList, function(item) {
            if(item.riskCode == "0302") {
                $scope.syBase = angular.copy(item);
            }
            if(item.riskCode == "0301") {
                $scope.jqBase = angular.copy(item);
            }
        })

        //--------------------------------------------------  begin 公共方法 --------------------------------------------------//

        //--------------------------------------------------  end   公共方法 --------------------------------------------------//

        //点击其他区域隐藏效果
        $scope.judgeRenewalSelect = function ($event) {
            if ($event.target.className == "renewalSelect" || $event.target.className == "coverDisable") {
                return;
            }
            else {
                $scope.RW_LSP_SELECT = false;
                angular.element('.renewalSelect').addClass('a-fadeout').removeClass('a-fadein');
            }
        };

        $scope.confirmMsg=function (_path,val1,val2,val3,val4) {
            $handleService.showConfirm({
                title: '注意',
                template: "该车上一年为'"+(val1||'')+"','"+(val2||'')+"'业务,您选择为'"+(val3||'')+"','"+(val4||'')+"'业务,您可返回修改或以最新值继续续保",
                sure: function () {
                    //处理数据
                    $handleService.reModifyPolicyData(data.result);
                }
            });
        };

        function addYear(dateStr) {
            var str = "";
            var newDate = new Date(dateStr.replace(/-/g, "/"));

            newDate.setFullYear(newDate.getFullYear() +1);

            str = newDate.format("yyyy-MM-dd hh:mm:ss");

            return str;
        }

        function addSecond(dateStr) {
            var str = "";
            var newDate = new Date(dateStr.replace(/-/g, "/"));

            newDate.setSeconds(newDate.getSeconds() +1);

            str = newDate.format("yyyy-MM-dd hh:mm:ss");

            return str;
        }
        // 带出上年续保数据
        $scope.runBefore=function () {
            var _path = "tab.owinfo";
            if(window.requestParam.webSources){
                _path = "tab.owinfoweb";
            }
            if($stateParams.redirect == 'carinfo'){
                _path = "tab.carinfo";
            }

            //续保标志 保存草稿箱续保标识
            //1是续保返回的结果，2是两号结果，3是两号再续保出来的结果
            if($rootScope.dataList.dataSource!='2'){
                // var type1={
                //     "309006":"非营运",
                //     "309003":"营运"
                // };
                // var type2={
                //     "343002":"个人",
                //     "343003":"企业",
                //     "343004":"机关"
                // };
                /*if($rootScope.dataList.VHL.USE_TYPE!=$rootScope.CAR_BEANS.CONFIGFLAG || $rootScope.dataList.VHL.BELONG_TYPE!=$rootScope.CAR_BEANS.BELONG_TYPE){
                    $scope.confirmMsg(_path,type1[$rootScope.dataList.VHL.USE_TYPE],type1[$rootScope.dataList.VHL.BELONG_TYPE],type2[$rootScope.CAR_BEANS.CONFIGFLAG],type2[$rootScope.CAR_BEANS.BELONG_TYPE]);
                }else{
                    $generalService.renParamsHandle($rootScope.dataList);


                    $rootScope.CAR_BEANS.BU='R';
                    $state.go(_path, {SU_CODE: 'RENEWAL'});
                }*/

                // var busiAttrConfig = angular.copy($rootScope.carBeans.base.busiAttrConfig);
                // var intermediaryCode = $rootScope.carBeans.base.intermediaryCode; //渠道
                // var cooperateCode = $rootScope.carBeans.base.cooperateCode; //客户源
                $handleService.reModifyPolicyData($rootScope.dataList);           
                $rootScope.isShowTwoNoQueryBtn = false;
                // $rootScope.carBeans.base.busiAttrConfig = angular.copy(busiAttrConfig);
                $rootScope.carBeans.vehicle.carCheckStatus = "2"; //验车情况 免验车
                $rootScope.carBeans.vehicle.carCheckReason = "2"; //验车理由


                //续保时  保险起期增加一年
                if($rootScope.baseBean.syOrigFlag) {
                    $rootScope.baseBean.syInsureStartTime = addSecond($rootScope.baseBean.syInsureEndTime);
                }
                if($rootScope.baseBean.jqOrigFlag) {
                    $rootScope.baseBean.jqInsureStartTime = addYear($rootScope.baseBean.jqInsureStartTime);
                }

                // $rootScope.carBeans.base.intermediaryCode = intermediaryCode; //渠道
                // $rootScope.carBeans.base.cooperateCode = cooperateCode; //客户源
                $rootScope.carBeans.base = angular.copy($rootScope.baseBean.configData);
                $handleService.logger("object", $rootScope.carBeans, "续保后数据");

                $state.go(_path, {SU_CODE: 'RENEWAL'});
            }else{
                $state.go(_path);
            }
        };
        $scope.goBack = function(){
            var _path = "tab.owinfo";
            if(window.requestParam.webSources){
                _path = "tab.owinfoweb";
            }
            if($stateParams.redirect == 'carinfo'){
                _path = "tab.carinfo";
            }
            $state.go(_path, {SU_CODE: 'QUIT_RENEWAL'});
        }


    });
    return app;
});

