define(['services/app.service', 'services/app.car.beans', 'directives/app.directives', 'filters/app.filters',], function () {
   'use strict';
   var app = angular.module('app.utils.aboutApp', ['ionic', 'app.handle.service', 'app.car.beans', 'app.directives', 'app.filters']);
   app.controller('aboutAppController', function ($scope, $rootScope, $handleService,$interFace, $state, $stateParams,$carBeansService) {
      // $scope.vm = {};

      $scope.webFlag = !ionic.Platform.isWebView(); //是否是web端
      $scope.backFlag = true;  //是否显示返回
      // 数据配置
      $scope.dataOptions = {
         versionNumber: '',
         introductionTitle:'应用介绍',
         introductionSubTitle:'华安掌上宝，为华安业务员精心打造的专属移动展业工具',
         appSlogan:'邀请团队新成员扫码下载便捷功能速来体验',
         introductionList : [
            {
               itemTitle:'产品最新最全',
               subContent:'支持全产品线销售，新品第一时间上架'
            },
            {
               itemTitle:'出单快速便捷',
               subContent:'免两号，极速报价，一键分享，7*24小时在线支付即出单'
            },
            {
               itemTitle:'助力学习成长',
               subContent:'独家精品话术、产品知识、海报，帮你轻松展业'
            }
         ],
         introductionInvite:'邀请团队新成员扫码下载，便捷功能速来体验',
         copyrightValidity:'Copyright©️2016-2019',
         copyrightCompany:'版权所有：华安财产保险股份有限公司',
         hazsbUrl: 'https://www.pgyer.com/hazsb',
         hazsbQRcodeUrl: 'https://www.pgyer.com/app/qrcode/hazsb',
      };

      //分享页面不需要显示返回
      if(window.requestParam.webType && window.requestParam.webType=="share") { //分享界面不显示
         // $("ion-nav-bar").hide();
         $("ion-content").css("top",0);
         $scope.backFlag = false;
      }

      var Handle = (function (handle) {

         handle.getVerNo = function () {
            var version;
            $.ajax({url: 'data/version-package.json'+"?" + new Date().getTime(),  async: false, dataType: 'json'}).done(function (data) {
               version = data.version;
            });
            return version;
         }

         return handle;
      })(Handle || {});

      var version = Handle.getVerNo() || '';
      if(version) {
         $scope.dataOptions.versionNumber = version;
         console.log('version=> ', version);
      }

      console.log('$scope.dataOptions=> ',$scope.dataOptions);

      //分享报价详情
      $scope.shareDetails = function (shareText, shareUrl) {

         var _options = {
            title: '下载掌上宝，展业更轻松',
            text: '【华安保险】华安掌上宝，为华安业务员精心打造的专属移动展业工具！点击下载：https://www.pgyer.com/hazsb',
            url: 'https://www.pgyer.com/hazsb',  //截取链接
            imgUrl: 'https://m.sinosafe.com.cn/eb-web/new-www/images/webview/drawable-xhdpi-icon.jpg'
        };
        console.log(_options,'华安掌上宝分享内容');
        if(ionic.Platform.isAndroid()) {
            // $handleService.sharingText({
            //    title: '下载掌上宝，展业更轻松',
            //    text: '【华安保险】华安掌上宝，为华安业务员精心打造的专属移动展业工具！点击下载：https://www.pgyer.com/hazsb',
            // });
            _options['type'] = 'shareSingName'; // 分享类型：wechat分享，短信分享
            $handleService.sharePanle(_options);
        } else if(ionic.Platform.isIOS()) {
            $handleService.sharePanle(_options);
        }

      };

      // 点击图片放大
      $scope.shareImg = function () {
         //可配置参数
         var opt = {
            fullscreen: true,
            shareFlag: false,
            type: "_system"
         };
         $handleService.openUrl($scope.dataOptions.hazsbQRcodeUrl, opt);
      }

   });
   return app;
});
