define(['services/app.service', 'services/app.car.beans', 'directives/app.directives', 'filters/app.filters',], function () {
    'use strict';
    var app = angular.module('app.utils.appPushYjxb', ['ionic', 'app.handle.service', 'app.car.beans', 'app.directives', 'app.filters']);
    app.controller('appPushYjxbController', function ($scope, $rootScope, $handleService,$interFace,$http, $state, $stateParams,$carBeansService) {
        $scope.backFlag = true;  //是否显示返回
        $scope.shortUrl = "";
        $scope.endDate = ""
        $scope.into = { tellPhone : $rootScope.carBeans.owner.mobilePhone };
        var Handle = function(handle){
            handle.initPage = function(){
                Handle.getYjxbUrl();
                Handle.dealEndDate();
                Handle.getQrCode();
                Handle.getShortUrl();
            }
            // 生成一键续保带参链接
            handle.getYjxbUrl = function(){
                var urlParms = {
                    licenseNo: encodeURIComponent($rootScope.carBeans.vehicle.licenseNo || ''),
                    operatorCode: encodeURIComponent(($rootScope.carBeans.base.operatorCode) || ''),
                    deptCode: encodeURIComponent($U.getDeptCode() || ''),
                    salesmanCode: encodeURIComponent($rootScope.carBeans.base.salesmanCode || ''),
                    tempNo: encodeURIComponent(($rootScope.hasCalPremiunFlag && !$rootScope.reCalPremiumFlag) ? $rootScope.tempNo : ''),
                };
                var urlParmsArr = [];
                for(var key in urlParms){
                    urlParmsArr.push(key+"="+urlParms[key]);
                }
                $scope.yjxbUrl = $interFace.yjxbUrl + '?' + urlParmsArr.join("&");
            }
            // 生成二维码
            handle.getQrCode = function(){
               $("#qrcode").empty().qrcode({
                    render : "canvas",
                    text : $scope.yjxbUrl + '&orgin=00008',//00008 微信
                    width : "180",
                    height : "180",
                    background : "#ffffff",
                    foreground : "#000000",  
                    src: "images/logo/logo2.png",
               });
            }
            // 生成短连接
            handle.getShortUrl = function(){
                $handleService.http({
                    url: "/websit/shortLink", //00007 短信
                    method: 'POST',
                    data:{
                        url: $scope.yjxbUrl + '&orgin=00007',
                    },
                    success: function (data) {
                        if (data.resultCode == "0") {
                            $scope.shortUrl = data.result;
                        }
                    },
                });
            }
            // 处理到期日期
            handle.dealEndDate = function(){
                if($stateParams.endDate){
                    var endDate = $stateParams.endDate.split(' ')[0].split('-');
                    $scope.endDate = endDate[0] + "年" +endDate[1]+ "月"+ endDate[2] +"日";     
                }
            }
            
            return handle;
        }(Handle || {});

        Handle.initPage();


        // 点击分享
        $scope.shareToWei = function(){
            var options = {
                title: "您的爱车"+ $rootScope.carBeans.vehicle.licenseNo +"该续保啦",  //分享title
                text: "华安官方快速续保，30s即可完成", //具体分享信息
                site: "",
                url: $scope.yjxbUrl ,  //
                titleUrl: $scope.yjxbUrl, //
                imgUrl: $interFace.shareWxImgUrl, //链接图片
                siteUrl: $scope.yjxbUrl, //微信链接
                type: "shareCall",
                successCallback: function(data) {
                    alert("分享成功");
                }
            };
            if(ionic.Platform.isAndroid()) {
                $handleService.shareCallPanle(options);
            } else if(ionic.Platform.isIOS()) {
                $handleService.sharePanle(options);
            }
        }
        // 点击发送短信

        $scope.sendMsg = function(form){
            $handleService.validateForm.call(this, form);
            if(form.$valid){
                var msg ="尊敬的"+$rootScope.carBeans.vehicle.licenseNo+"车主您好！您的车险于"+$scope.endDate+"到期，为避免爱车脱保，现诚邀您体验车险自助极速续保。点戳: "+ $scope.shortUrl +" 快速参与，3分钟即可完成！更多精彩与服务可关注华安保险公众号咨询了解哦！";
                $handleService.http({
                    url: "/websit/sendMessage",
                    method: 'POST',
                    data: {
                        messages: msg,
                        mobilePhone: ($scope.into.tellPhone.indexOf("****") == -1) ? $scope.into.tellPhone: $rootScope.carBeans.owner.unmaskPhone,
                    },
                    success: function (data) {
                        if (data.resultCode == "0") {    
                            $U.showToast("短信发送成功");                
                        }
                        else {  
                            $U.showToast(data.errorMsg);    
                        }
                    },
                    error: function (ex) {
                        $U.showToast("短信发送失败");  
                    }
                });
            }   
        }
    });
    return app;
 });
 