define(['services/app.service', 'services/app.car.beans', 'directives/app.directives', 'filters/app.filters',], function () {
   'use strict';
   var app = angular.module('app.utils.calDetails', ['ionic', 'app.handle.service', 'app.car.beans', 'app.directives', 'app.filters']);
   //展业->报价详情
   /**
    *
    华安保险温馨提示，为您的爱车 *-* 试算结果如下:
    机动车交通事故责任强制保险:950.00元
    车船税合计: 100.00元
    商业险合计:2985.50元
    总计: 4035.50元
    车辆损失险: 保额:28800.00元  保费:1006.60元
    商业第三者责任险: 保额:50000.00元  保费:666.00元
    全车盗抢险: 保额:28800.00元  保费:240.96元
    车上人员责任险（司机）: 保额:10000.00元  保费:40.00元
    车上人员责任险（乘客）: 保额:10000.00元  保费:78.00元
    玻璃单独破碎险: 保费:60.19元
    自燃损失险: 保额:28800.00元  保费:34.56元
    车身划痕损失险: 保额:2000.00元  保费:400.00元
    发动机涉水损失险: 保费:50.33元
    车辆损失保险无法找到第三方特约险: 保费:25.17元
    不计免赔率险: 保费:383.69元
    以上报价仅供参考，最终价格以出单当日为准。华安保险车险顾问竭诚为您服务，欢迎再次拨打10100111咨询！【华安保险】
    * */
   app.controller('calDetailsController', function ($scope, $rootScope, $handleService,$interFace, $state, $stateParams,$carBeansService) {
      $scope.vm = {};

      $scope.totalPremium = 0; //总计
      $scope.msgContent = false; //是否显示短信层
      // $scope.msgContent = true; //是否显示短信层,4testing($scope.msgContent = true;) 
      $scope.showCopyBtn = true; //是否显示复制按钮
      $scope.webFlag = !ionic.Platform.isWebView(); //是否是web端
      $scope.totalNocar = 0;
      $scope.backFlag = true;  //是否显示返回
      var noDeductible = {  //不计免赔险种信息
         "030101": "车损",
         "030102": "三者",
         "030103": "盗抢",
         "030104": "司机",
         "030105": "乘客",
         "030108": "自燃",
         "030110": "划痕",
         "030111": "涉水",
         "030114": "精抚",
         "030120": "三者翻倍"
      };

      // if(window.requestParam.webSources == "QMYX"||ionic.Platform.isIOS()) { //人人团显示
      //    $scope.showCopyBtn = true;
      // }

      //分享页面不需要显示返回
      if(window.requestParam.webType && window.requestParam.webType=="share") { //分享界面不显示
         $("ion-nav-bar").hide();
         $("ion-content").css("top",0);
         $scope.backFlag = false;
         $stateParams.tempNo = window.requestParam.tempNo; //分享时赋值报价单号
         $scope.showCopyBtn = false;
      }
      var ShareHandle = (function (handle) {
         handle.getData = function() {
            $handleService.http({
               url: "/queryQuotation?tempNo="+ $stateParams.tempNo,//'./data/share.json',//
               method: "GET",
               success: function (data) {
                  handle.handleData(data);
               },
               error: function (ex) {
                  $handleService.logger('error', ex);
               }
            });
         };

         //设置险种保费
         handle.setPremium = function(riskList) {
            $scope.calPremiumResult = {}; //保存计算后的商业险保费
            var deductiblePremium = 0; //不计免赔
            angular.forEach(riskList, function(riskItem) {
               if(riskItem.riskCode == "0302") {
                  //遍历商业险
                  angular.forEach(riskItem.coverageList, function(coverageItem, index) {
                     if(coverageItem.kindInd == '1') {
                        deductiblePremium = $U.accAdd(deductiblePremium, coverageItem.nonDeductiblePremium || '0')
                     }
                     //险种金额
                     $scope.calPremiumResult[coverageItem.kindCode] = coverageItem;
                  });

                  $scope.cvrgData.syRisk = riskItem;
                  //商业险系数
                  $scope.calPremiumResult.syAdjustInfo = riskItem.riskItemList;
                  //商业险总价
                  $scope.calPremiumResult.syTotalPremium =  riskItem.sumGrossPremium;

               } else if(riskItem.riskCode == "0301") {
                  //交强险浮动系数
                  $scope.calPremiumResult.jqAdjustInfo = riskItem.floatInfo;
                  //交强险总折扣
                  $scope.calPremiumResult.jqApplySumDiscount = riskItem.applySumDiscount;
                  //交强险保费
                  $scope.calPremiumResult.jqTotalPremium = riskItem.sumGrossPremium;
                  //车船税
                  $scope.calPremiumResult.vhlTax = riskItem.vhlTax.sumPayTax;

                  $scope.cvrgData.jqRisk = riskItem;
               }
            });
            //不计免赔总价
            $scope.calPremiumResult.deductible = deductiblePremium;

         }

         handle.handleData = function(data) {

            $handleService.logger("object", data, "报价分享返回数据--》");

            $scope.cvrgData = data.result;
            $scope.cvrgData.syRisk = {};
            $scope.cvrgData.jqRisk = {};
            ShareHandle.setPremium(data.result.riskList);
            if($rootScope.switchBean.noCarPrdSwitch){
               $scope.nocarList = data.result.noCarProductList||[];
            }else{
               $scope.nocarList = data.result.noCarRiskList||[];
            }
            //非车险种总价
            /*angular.forEach(data.NBZ_DATA, function(item) {
               $scope.totalNocar += Number(item.SUM_PREMIUM || "0");
            });*/

            $scope.totalPremium = ((Number($scope.calPremiumResult.syTotalPremium||"0")) + Number($scope.calPremiumResult.jqTotalPremium||"0")+Number($scope.calPremiumResult.vhlTax || "0")+ Number($scope.cvrgData.base.noCarSumPremium||'0')).toFixed(2) ; //险种总计
            $scope.shareText = "";
            $scope.shareText += "温馨提示，为您的爱车" + $scope.cvrgData.vehicle.licenseNo + "试算结果如下:\n";
            $scope.shareText += "交强险:" + ($scope.calPremiumResult.jqTotalPremium || '0.00') + "元\n";
            $scope.shareText += "车船税合计:" + ($scope.calPremiumResult.vhlTax || '0.00') + "元\n";
            $scope.shareText += "商业险合计:" + ($scope.calPremiumResult.syTotalPremium || '0.00') + "元\n";
            /*if(data.NBZ_DATA.length > 0) {
               $scope.shareText += "非车险合计:" + ($scope.totalNocar || '0.00') + "元\n";
            }*/

            $scope.shareText += "总计: " + $scope.totalPremium + "元\n";
            //交强险起止期
            if($U.isNotEmpty($scope.cvrgData.jqRisk.endDate)){
               $scope.shareText += "交强险起止期:" + $scope.cvrgData.jqRisk.startDate + "至"+$scope.cvrgData.jqRisk.endDate + "\n";
            }
            //商业险起止期
            if($U.isNotEmpty($scope.cvrgData.syRisk.endDate)){
               $scope.shareText += "商业险起止期:" + $scope.cvrgData.syRisk.startDate + "至"+$scope.cvrgData.syRisk.endDate+ "\n";
            }
            $scope.syRiskList = [];
            var noArr = [];
            //商业险明细
            angular.forEach($scope.cvrgData.syRisk.coverageList, function (cvrTem) {
               var _cvrName = $rootScope.BASE_BEAN.INS_CN_NAME[cvrTem.kindCode],
                   _cvrAmt = cvrTem.sumInsured;//$handleService.getQuota($rootScope.BASE_BEAN, cvrTem.AMT);

               if(cvrTem.relatedInd == "1" && noDeductible[cvrTem.kindCode]) { //不计免赔险种
                  noArr.push(noDeductible[cvrTem.kindCode]);
               }

               if (_cvrName) {
                  if(cvrTem.kindCode=='030201'){
                      $scope.syRiskList.push({
                          kindCode: cvrTem.kindCode,
                          sumInsured: _cvrAmt? "￥" + _cvrAmt : "",
                          grossPremium: cvrTem.grossPremium,
                          name: _cvrName,
                          rate: cvrTem.rate,
                          quantity: cvrTem.quantity,
                          valueType: cvrTem.valueType,
                          unitInsured: cvrTem.unitInsured||'0'
                      });

                      angular.forEach($scope.cvrgData.syRisk.coverageList,function(cvrTem2){
                         if(cvrTem2.kindCode == '021'){
                             $scope.syRiskList.pop();
                             $scope.syRiskList.push({
                                 kindCode: cvrTem.kindCode,
                                 sumInsured: _cvrAmt? "￥" + _cvrAmt : "",
                                 // grossPremium: $U.accAdd(cvrTem.grossPremium,cvrTem2.grossPremium||'0'),
                                 grossPremium: cvrTem.grossPremium,
                                 name: _cvrName,
                                 rate: cvrTem.rate,
                                 quantity: cvrTem.quantity,
                                 valueType: cvrTem.valueType,
                                 unitInsured: cvrTem.unitInsured||'0'
                             });

                             $scope.syRiskList.push({
                                 kindCode: cvrTem2.kindCode,
                                 sumInsured: cvrTem2.rate+"%",
                                 grossPremium: cvrTem2.grossPremium,
                                 name: '免赔率',
                                 rate: cvrTem2.rate,
                                 quantity: cvrTem2.quantity,
                                 valueType: cvrTem2.valueType,
                                 unitInsured: cvrTem2.unitInsured||'0'
                             });
                         }
                      })

                  }else{
                      $scope.syRiskList.push({
                          kindCode: cvrTem.kindCode,
                          sumInsured: _cvrAmt? "￥" + _cvrAmt : "",
                          grossPremium: cvrTem.grossPremium,
                          name: _cvrName,
                          rate: cvrTem.rate,
                          quantity: cvrTem.quantity,
                          valueType: cvrTem.valueType,
                          unitInsured: cvrTem.unitInsured||'0'
                      });
                  }


                  if($U.isNotEmpty(String(cvrTem.quantity)) && cvrTem.kindCode == "030105"){
                     $scope.shareText += _cvrName + ": " +  "保额："+ cvrTem.unitInsured + "元 "+"*"+cvrTem.quantity+"座  " + "保费:" + cvrTem.grossPremium + "元\n";
                  } else if($U.isNotEmpty(String(cvrTem.quantity)) && cvrTem.kindCode == "030112") {
                     $scope.shareText += _cvrName + ": " + (_cvrAmt ? ("保额："+ cvrTem.unitInsured + "元 "+"*"+cvrTem.quantity+"天  ") : "") + "保费:" + cvrTem.grossPremium + "元\n";
                  }
                  else{
                     $scope.shareText += _cvrName + ": " + (_cvrAmt ? ("保额：" + _cvrAmt + "元  ") : "") + "保费:" + cvrTem.grossPremium + "元\n";
                  }
               }
            });

            var glassObj = {
               "1": "国产玻璃",
               "2": "进口玻璃"
            }
            angular.forEach($scope.syRiskList, function(item) { //处理特殊险种
               if(item.kindCode == "030119") { //不计免赔
                  item.sumInsured = noArr.join("/");
               }

               if(item.kindCode == "030116") { //指定修理厂
                  item.sumInsured = (Number(item.rate||0) * 10) + "‰";
               }

               if(item.kindCode == "030112") { //修理期间补偿险
                  item.sumInsured = "￥"+item.unitInsured + " * " + item.quantity + "天";
               }

               if(item.kindCode == "030107") { //玻璃险  1国产 2进口
                  item.sumInsured = (glassObj[item.valueType] || "");
               }

               if(item.kindCode == "030105") {
                  item.sumInsured = "￥" + item.unitInsured + " * " + item.quantity + "座";
               }

            });
            //非车险
            var nocarStr = "";
           if($scope.nocarList.length > 0) {
              angular.forEach($scope.nocarList, function(item) {
            //   debugger
				 // 0716修改短信内容,每座每份,calType判断类型_start
				 switch (item.calType){
					// 按每份计算
				 	case '1':
					nocarStr += (item.riskName + ": " + item.waxBatch + "份，保费: " + item.sumPremium + "元\n");
				 	break;
					// 按每份计算
				 	case '2':
					nocarStr += (item.riskName + ": " + item.seatCount +"座"+ item.waxBatch + "份，保费: " + item.sumPremium + "元\n");
				 	break;
					// 按每座计算
				 	case '3':
					nocarStr += (item.riskName + ": " + item.seatCount +"座，保费: " + item.sumPremium + "元\n");
				 	break;
					// 历史默认展示
				 	default:
					nocarStr += (item.riskName + ": " + item.sumPremium + "元\n");
				 	break;
				 }
				 // 0716修改短信内容,每座每份,calType判断类型_end
                 // 0716短信添加驾意险保额信息_start
                 var punctuationAfter = ""; // 标点符号,末位为句号.其余为逗号,
                 var itemLength = (item.noCarProductCoverage && item.noCarProductCoverage.length);
                 if(item.riskCode == "0621" || item.riskCode == "0604"){ // 驾意险显示具体保障责任item.riskCode == "0621",需求更改暂时放开为所有非车险
                    angular.forEach(item.noCarProductCoverage, function(x,index,array) {
                     //   debugger
                        ((index + 1) < itemLength) ? punctuationAfter = "，" : punctuationAfter = "。";
                        nocarStr += (x.kindName + ": " + x.amount + "元/人" + punctuationAfter + "\n");
                     });
                  } else {
                     angular.forEach(item.noCarProductCoverage, function(x,index,array) {
                     //   debugger
                        ((index + 1) < itemLength) ? punctuationAfter = "，" : punctuationAfter = "。";
                        nocarStr += (x.kindName + ": " + x.amount + "元" + punctuationAfter + "\n");
                     });
                 }
                 // 0716短信添加驾意险保额信息_end
              })
           }
            $scope.shareText += nocarStr;
            //不计免赔综合
            //$scope.shareText += "不计免赔率险：保费:" + data.CALCOST_RESULT.ALL_NOEND + "元\n";
            //车船税
            $scope.shareText += "以上报价仅供参考，最终价格以出单当日为准。";
            $scope.shareUrl = data.shareurl;
            $scope.vm.shareMsg = $scope.shareText;
            $scope.vm.telPhone = $scope.cvrgData.owner.mobilePhone;
         }
         return handle;
      })(ShareHandle || {});

      ShareHandle.getData();

      //分享报价详情
      $scope.shareDetails = function (shareText, shareUrl) {
         // debugger
         //var shareUrl = $interFace.shareWxUrl + $stateParams.tempNo + "#/tab/calsDetailsPage";
         var options = {
            title: "华安保险为您的爱车" + $scope.cvrgData.vehicle.licenseNo + "报价",  //分享title
            text: "报价仅供参考，最终价格以出单当日为准", //具体分享信息
            site: "",
            url: shareUrl ,  //
            titleUrl: shareUrl, //
            imgUrl: $interFace.shareWxImgUrl, //链接图片
            siteUrl: shareUrl, //微信链接
            type: "shareCall",
            successCallback: function(data) {
               if($U.isNotEmpty(data)) {
                  if(data.shareType == "msg") { //短信功能
                     $scope.msgContent = true; //显示短信配置
                     $scope.$apply();
                  } else if(data.shareType == "copy") { //复制功能
                     $scope.copyText();
                  }
               }
            }
         };
         if(ionic.Platform.isAndroid()) {
            $handleService.shareCallPanle(options);
         } else if(ionic.Platform.isIOS()) {
            // $handleService.sharingText({
            //    text: "【华安保险】" + shareText
            // });
            $handleService.sharePanle(options);
         }
      };

      //发送短信
      $scope.sendMsg = function() {
         var msgOption = {
            mobileNo: $scope.vm.telPhone || $scope.cvrgData.applicant.phone, //投保人手机号或者车主手机号
            text: $scope.vm.shareMsg
         };

         if(!$scope.vm.telPhone || !/^([1][3-9][0-9]{9})$/.test($scope.vm.telPhone)) {
            $U.showToast("手机号码输入不正确");
            return;
         }
         $handleService.logger("object", msgOption, "发送短信请求数据--》");
         $handleService.http({
            url: $interFace.mitMainFace,
            method: 'POST',
            headers: {
               method: 'sendSms'
            },
            data: msgOption,
            success: function (data) {
               //handle.handleData(data);
               if (data.success == "true") {
                  $U.showToast("短信发送成功");
               } else {
                  $U.showToast("短信发送失败");
               }
               $scope.msgContent=false;
            },
            error: function (ex) {
               $handleService.logger('error', ex);
               //$scope.msgContent=false;
            }
         });
      };

      //复制
      $scope.copyText = function () {
         console.info($scope.shareText); // logger 短信内容
         $handleService.copyClipboard({
            text:"【华安保险】" + $scope.shareText,
            doms:".copyText",
            success: function () {
               $U.showToast("报价内容复制完成");
            },
            error: function () {
               $U.showToast("报价内容复制失败，请手动复制");
            }
         });
      };

      //关闭
      $scope.cancelMsg=function () {
         $scope.msgContent=false;
      };

      function keyboardShowHand(e) {
         $(".msg-content").css("height", "50px");

         $(".popup").css({
            "margin-top": -e.keyboardHeight + "px",
            transform: "translate(-50%, 50%)"
         });

         if($(".popup").offset().top <= 50) {
            $(".popup").css({
               "margin-top": 50 -e.keyboardHeight - $(".popup").offset().top + "px",
               transform: "translate(-50%, 50%)"
            });
         }
      }

      function keyboardHideHand(e){
         $(".msg-content").css("height", "300px");
         $(".popup").css({
            "margin-top": "0px",
            transform: "translate(-50%, -50%)"
         });
      }

      if(ionic.Platform.isAndroid()) { //解决IOS下 修改折扣输入框被键盘挡住的问题
         window.addEventListener('native.keyboardshow', keyboardShowHand);
         window.addEventListener('native.keyboardhide', keyboardHideHand);
      }

   });
   return app;
});
