define(['services/app.service', 'services/app.car.beans', 'directives/app.directives', 'filters/app.filters'], function () {
    'use strict';
    var app = angular.module('app.utils.claimList', ['ionic', 'app.handle.service', 'app.car.beans', 'app.directives', 'app.filters']);
    app.controller('claimListController', function ($scope, $rootScope, $handleService,$interFace, $state, $stateParams,$carBeansService,$filter) {

        $scope.wfType = { //违法类型
            "1001": "驾驶拼装的机动车上道路行驶的",
            "1002": "驾驶已达报废标准的车辆上道路行驶的",
            "1005": "未取得驾驶证驾驶机动车的",
            "1006": "驾驶证被吊销期间驾驶机动车的",
            "1007": "把机动车交给未取得机动车驾驶证的人驾驶的",
            "1008": "把机动车交给机动车驾驶证被吊销的人驾驶的",
            "1009": "把机动车交给机动车驾驶证被暂扣的人驾驶的"
        };

        $scope.comType = { //公司
            "AAIC":	"安信农业保险股份有限公司",
            "ABIC":	"安邦财产保险股份有限公司",
            "ACIC":	"安诚财产保险股份有限公司",
            "AHIC":	"安华农业保险股份有限公司",
            "AICS":	"永诚财产保险股份有限公司",
            "AIGC":	"美亚财产保险有限公司",
            "AMIC":	"中航安盟保险有限公司",
            "AZCN":	"安联财产保险（中国）有限公司",
            "BOCI":	"中银保险有限公司",
            "BPIC":	"渤海财产保险股份有限公司",
            "CAIC":	"长安责任保险股份有限公司",
            "CATH":	"国泰财产保险有限责任公司",
            "CCIC":	"中国大地财产保险股份有限公司",
            "CICP":	"中华联合财产保险股份有限公司",
            "CJCX":	"长江财产保险股份有限公司",
            "CPIC":	"中国太平洋财产保险股份有限公司",
            "CHAC":	"诚泰财产保险股份有限公司",
            "DBIC":	"都邦财产保险股份有限公司",
            "DHIC":	"鼎和财产保险股份有限公司",
            "DICC":	"史带保险股份有限公司",
            "FPIC":	"富邦财产保险有限公司",
            "GPIC":	"中国人寿财产保险股份有限公司",
            "GYIC":	"国元农业保险股份有限公司",
            "HAIC":	"华安财产保险股份有限公司",
            "HNIC":	"华农财产保险股份有限公司",
            "HTIC":	"华泰财产保险股份有限公司",
            "LIHI":	"利宝保险有限公司",
            "MACN":	"民安财产保险有限公司",
            "PAIC":	"中国平安财产保险股份有限公司",
            "PICC":	"中国人民财产保险股份有限公司",
            "SMIC":	"阳光农业相互保险公司",
            "SPIC":	"三星财产保险（中国）有限公司",
            "TAIC":	"天安财产保险股份有限公司",
            "TMNF":	"东京海上日动火灾保险（中国）有限公司",
            "TPBX":	"安盛天平财产保险股份有限公司",
            "TPIC":	"太平财产保险有限公司",
            "TSBX":	"泰山财产保险股份有限公司",
            "UTIC":	"众诚汽车保险股份有限公司",
            "XDCX":	"信达财产保险股份有限公司",
            "YAIC":	"永安财产保险股份有限公司",
            "YDCX":	"英大泰和财产保险股份有限公司",
            "YGBX":	"阳光财产保险股份有限公司",
            "ZKIC":	"紫金财产保险股份有限公司",
            "ZMBX":	"中煤财产保险股份有限公司",
            "ZSIC":	"浙商财产保险股份有限公司",
            "ZYIC":	"中意财产保险公司(商业险)",
            "SJIC":	"日本财产保险（中国）有限公司",
            "XAIC":	"鑫安汽车保险股份有限公司",
            "HYIC":	"现代财产保险（中国）有限公司",
            "BGIC":	"北部湾财产保险股份有限公司",
            "CRIC":	"富德财产保险股份有限公司",
            "JTIC":	"锦泰财产保险股份有限公司",
            "MSIC":	"三井住友海上火灾保险（中国）有限公司",
            "HBIC":	"恒邦财产保险股份有限公司",
            "HHBX":	"华海财产保险股份有限公司",
            "YZIC":	"燕赵财产保险股份有限公司",
            "ZYBX":	"中原财产保险股份有限公司",
            "ZLIC":	"中路财产保险股份有限公司",
            "JLIC":	"久隆财产保险有限公司",
            "HQIC":	"新疆前海联合财产保险股份有限公司"
        };

        $scope.pfType = { //评分类型
            "01": "基础评分",
            "02": "提高评分"
        };

        $handleService.motoHttp({
            url: "./data/area-claim-data.json",
            method: "GET",
            success: function(data) {
                $scope.areaObj = data;
            }
        });

        //$scope.claimFlag = "sy"; //默认选中商业
        $scope.vm = {};
        $scope.accList = $rootScope.accidentList;   //初始数据
        $scope.vm.jqViolationList = $rootScope.jqViolationList || []; //违法信息
        $scope.vm.precisionScoreList = $rootScope.precisionScoreList || []; //评分信息
        $scope.vm.syData = [];
        $scope.vm.jqData = [];

        angular.forEach($scope.accList, function(item) {
            if(item.riskCode == "0302") {
                $scope.vm.syData.push(item);
            }
            if(item.riskCode == "0301") {
                $scope.vm.jqData.push(item);
            }
        })

        //切换类型
        $scope.changeClaimType = function(type) {
            if(type == "sy") { // 商业险理赔
                if($scope.vm.syData.length === 0) {
                    return;
                }
                $scope.plyData = $scope.vm.syData[0];
            } else if(type == "jq") { //交强险理赔
                if($scope.vm.jqData.length === 0) {
                    return;
                }
                $scope.plyData = $scope.vm.jqData[0];
            } else if(type == 'wf') { //违法信息
                if($scope.vm.jqViolationList.length === 0) {
                    return;
                }
                $scope.plyData = $scope.vm.jqViolationList[0];
            } else if(type == 'pf') { //精准评分
                if($scope.vm.precisionScoreList.length === 0) {
                    return;
                }
                $scope.plyData = $scope.vm.precisionScoreList[0];
            }
            $scope.claimFlag = type;
        }

        //初始化显示优先级 商业理赔 > 交强理赔 > 违法信息
        if($scope.vm.syData.length != 0) {
            $scope.changeClaimType("sy");
        } else if($scope.vm.jqData.length != 0){
            $scope.changeClaimType("jq");
        } else if($scope.vm.jqViolationList.length != 0){
            $scope.changeClaimType("wf");
        }else{
            $scope.changeClaimType("pf");
        }


    });
    return app;
});

