define(['services/app.service', 'services/app.car.beans', 'directives/app.directives', 'filters/app.filters',], function () {
   'use strict';
   var app = angular.module('app.utils.repeatInsure', ['ionic', 'app.handle.service', 'app.car.beans', 'app.directives', 'app.filters']);
   //展业->报价详情
   /**
    *
    华安保险温馨提示，为您的爱车 *-* 试算结果如下:
    机动车交通事故责任强制保险:950.00元
    车船税合计: 100.00元
    商业险合计:2985.50元
    总计: 4035.50元
    车辆损失险: 保额:28800.00元  保费:1006.60元
    商业第三者责任险: 保额:50000.00元  保费:666.00元
    全车盗抢险: 保额:28800.00元  保费:240.96元
    车上人员责任险（司机）: 保额:10000.00元  保费:40.00元
    车上人员责任险（乘客）: 保额:10000.00元  保费:78.00元
    玻璃单独破碎险: 保费:60.19元
    自燃损失险: 保额:28800.00元  保费:34.56元
    车身划痕损失险: 保额:2000.00元  保费:400.00元
    发动机涉水损失险: 保费:50.33元
    车辆损失保险无法找到第三方特约险: 保费:25.17元
    不计免赔率险: 保费:383.69元
    以上报价仅供参考，最终价格以出单当日为准。华安保险车险顾问竭诚为您服务，欢迎再次拨打10100111咨询！【华安保险】
    * */
   app.controller('repeatController', function ($scope, $rootScope, $handleService,$interFace, $state, $stateParams,$ionicHistory,$location,$carBeansService) {

      //$rootScope.renisure =window._repeatCache;
      $scope.syRiskList = []; //险种列表
      $scope.jqFlag =false;  //交强险重复投保是否显示
      $scope.syFlag =false;  //商业险重复投保是否显示
      $scope.jqVm={};//交强险对象
      $scope.syVm={};//商业险对象
      $scope.clickSure = false;//弹框
      $scope.JQ_SIGLE=1;
      $scope.SY_SIGLE=2;
      $scope.JQ_AND_SY=3;
      var _CVRG_LIST = [];


      //商业险明细
      angular.forEach($rootScope.renisure, function (insureItem) {
         var riskCode = insureItem.kindCode;
         if(riskCode=='0301'){
            $scope.jqVm = insureItem;
            $scope.jqFlag =true;
         }
         if(riskCode=='0302'){
            $scope.syFlag =true;
            $scope.syVm = insureItem;
            if($U.isNotEmpty($scope.syVm.coverageItemList)){
               var cvlist =$scope.syVm.coverageItemList;
               angular.forEach(cvlist, function (SYItem) {
                  var _cvrName = $rootScope.BASE_BEAN.INS_CN_NAME[SYItem.kindCode];
                  if (_cvrName) {
                     $scope.syRiskList.push({
                        code: SYItem.kindCode,
                        name: SYItem.kindName
                     });
                  }
               });
            }

         }
      });


//********************************************************begin 公共方法******************************************
      var Handle = (function (handle) {

         //转换时间
         handle.translateTime = function(timeStr) {
            var len = timeStr.length;
            var newDate;
            var newTime;
            if(len == 10) {
               newDate = new Date(timeStr.replace(/[-]/g, '/'));
               newTime = newDate.format('yyyy-MM-dd 00:00');
            } else if(len == 13) {
               newDate = new Date((timeStr+":00:00").replace(/[-]/g, '/'));
               newTime = newDate.format('yyyy-MM-dd hh:00');
            } else if(len == 16) {
               newDate = new Date((timeStr+":00").replace(/[-]/g, '/'));
               newTime = newDate.format('yyyy-MM-dd hh:mm');
            } else if(len == 19) {
               newDate = new Date(timeStr.replace(/[-]/g, '/'));
               newTime = newDate.format('yyyy-MM-dd hh:mm');
            }
            return newTime;
         }

         handle.addDay = function(dateStr) {
            var newDate = new Date(dateStr.replace(/[-]/g, '/'));
            newDate.setDate(newDate.getDate() + 1);
            return newDate.format('yyyy-MM-dd 00:00');
         }

         handle.stateGo =function(){
            if($scope.jqVm.expireDate) {
               $rootScope.baseBean.jqInsureStartTime = Handle.translateTime($scope.jqVm.expireDate);
            }
            if($scope.syVm.expireDate) {
               if($scope.syVm.expireDate.split(" ")[1] == "00:00:00") {
                  $rootScope.baseBean.syInsureStartTime = Handle.translateTime($scope.syVm.expireDate);
               } else {
                  $rootScope.baseBean.syInsureStartTime = Handle.addDay($scope.syVm.expireDate.split(" ")[0]);
               }
            }

            //$state.go('tab.insuranceSelect',{RELOAD:true},{reload:true});
            history.back();
         }

         //处理商业险
         handle.handleCvlist =function(){
            if($U.isEmpty($scope.syRiskList)){
               return;
            }
            angular.forEach($rootScope.baseBean.syRiskList, function (item,index) {
               item.checked =false; //选中
               item.relatedInd ="0"; //不计免赔

            });
            _CVRG_LIST = angular.copy($rootScope.baseBean.syRiskList);
            angular.forEach($scope.syRiskList, function (NewItem) {
               //险种赋值
               //a.*****************************筛选已投保的险种*****************************
               var keepGo =true;

                  angular.forEach($rootScope.baseBean.syRiskList, function (item,index) {
                     //商业险数据
                     if(keepGo){
                        if ($U.isNotEmpty(item.kindCode)) { //选中的险种存入数据
                           //如果之前有重复投保的险种就不处理之前选的如果没有就加上
                           if (item.kindCode == NewItem.code) {
                              _CVRG_LIST[index].checked =true;
                               if(NewItem.name.indexOf("不计免赔")){
                                   _CVRG_LIST[index].relatedInd ="1";
                                   $rootScope.NO_DED['FRANCHISE_FLAG_' + index + 'T'] = true;
                               }
                              keepGo = false;
                           }
                        }
                     }
                  });
            });

            $rootScope.baseBean.syRiskList=_CVRG_LIST;
         };

         return handle;
      })(Handle || {});

      $scope.onSure = function() {
         Handle.handleCvlist();
         Handle.stateGo();
      }

       $scope.uploadLastYearPlan = function () {
           domtoimage.toPng(document.getElementById('last-year-plan'))
               .then(function (dataUrl) {
                   var imageStr = dataUrl.split(",")[1];
                   upload(imageStr);
               })
               .catch(function (error) {
                   console.error('oops, something went wrong!', error);
               });


           function upload(imageStr) {
               var formData = {
                   images: [imageStr],
               };

               $handleService.motoHttp({
                   url: $interFace.fileUploadUrl + "?x-ha-appname=eshopauto&x-ha-appmodel=yingxiang_image",
                   method: 'POST',
                   data: formData,
                   complete: function () {
                   },
                   success: function (result) {
                       if (result.errCode == "0") {
                           //提交到服务器
                           $handleService.logger('object', result.data, '返回的图片网址:');
                           if(result.data && result.data.length > 0) {
                               var item = result.data[0];
                               var realPath = item.domainPath + item.relativePath + item.newFileName;
                               $rootScope.lastYearPlanImgPath = realPath; //设置上年投保方案截图供上传
                               
                               var callAppArr = [];
                               var riskList = $rootScope.calResultData4repeatInsure && $rootScope.calResultData4repeatInsure.riskList;
                               angular.forEach(riskList, function(item, i){
                                   if(item.riskCode == '0301'){
                                       callAppArr.push(item.quotationNo);
                                   }else if(item.riskCode == '0302'){
                                       callAppArr.push(item.quotationNo);
                                   }
                               });

                               angular.forEach(callAppArr, function(item, index) {
                                   callAppArr[index] = item.replace(/(^Q)/, 'I');
                               });
                               callAppArr = callAppArr.reverse();
                               var imageId = callAppArr.join(",")
                               //报价单号传值
                               //区分 人人团和 app
                               if(window.requestParam.webSources){
                                   $state.go('tab.imgUpForWeb', {
                                       imageId: imageId,
                                       proposalNo:window.requestParam.PLY_APP_NO ||"",
                                       policyNo:window.requestParam.PLY_NO || "",
                                   });
                               }
                               else{
                                   $state.go('tab.imagesUpload', {imageId: imageId});
                               }
                           }
                       } else {
                           $handleService.showLoading('hide');
                           $handleService.showAlert('提示', result.msg || $message.serverError);
                       }
                   },
                   error: function (ex) {
                       $handleService.showLoading('hide');
                       $handleService.logger('error', ex);
                   }
               });
           }
       }

   });

   return app;
});
