define(['mobiscroll'], function () {
   'use strict';
   var app = angular.module('app.directives', ['ionic', 'ngAnimate']);
   //1.显示影藏的动画
   app.animation(".animate-fade", ["$animateCss", function ($animateCss) {
      return {
         enter: function (element) {
            return $animateCss(element, {
               from: {opacity: 0},
               to: {opacity: 1},
               duration: 0.5
            })
         },
         leave: function (element) {
            return $animateCss(element, {
               from: {opacity: 1},
               to: {opacity: 0},
               duration: 0.5
            });
         }
      }
   }]);
   //2.显示影藏Tab
   app.directive('hideTabs', function ($rootScope) {
      return {
         restrict: 'A',
         link: function (scope, element, attributes) {
            scope.$on('$ionicView.beforeEnter', function () {
               scope.$watch(attributes.hideTabs, function (value) {
                  $rootScope.hideTabs = value;
               });
            });
            //scope.$on('$ionicView.beforeLeave', function () {
            //   $rootScope.hideTabs = false;
            //});
         }
      };
   });
   //3.日历控件 指令
   app.directive('ngDatePicker', function () {
      return {
         restrict: 'A',
         replace: true,
         scope: {
             myText: '=',
         },
         link: function (scope, element, attr) {
            var settings = {
               theme: 'android-ics light',//样式
               mode: 'scroller',//选择模式  scroller  clickpick  mixed
               display: 'bottom',//指定显示模式 modal bottom
               //headerText: '选择日期',//头部提示文字
               showLabel: true,//是否显示labels
               preset: 'date',
               dateFormat: 'yyyy-mm-dd',
               lang: 'zh',
               showNow: false,
               nowText: "今天",
               fixedWidth: [160, 160, 160, 200, 200],//三组滚动框的宽度
               labels: ['年', '月', '日'],
               stepMinute: 5,
               defaultValue: new Date(),
               maxDate: new Date('2056-12-31'),
               minDate: new Date('1900'),
               onBeforeShow: function(){
                 if(scope.myText){ // 如果永久有效  将初始值设置能最大值
                     var defaultValue = new Date(9999, 11, 30, 23, 59, 59);
                     element.mobiscroll("setValue", defaultValue);
                 }
               },
               onSelect: function(){
                  if(scope.myText){
                   scope.$apply(function(){
                       scope.myText = false;
                       //在这里去手动触发脏检查
                   })
                  }
               },
            };
            var _init = attr.initPicker, _maxDate = new Date(), _minDate = new Date();
            if ($U.isNotEmpty(_init)) {
               _init = JSON.parse(_init);
               if ($U.isNotEmpty(_init.maxDate) && $U.isNotEmpty(_init.minDate)) {
                  var maxDateSet = _init.maxDate.split(','),
                     minDateSet = _init.minDate.split(',');
                  if(_init.limitDate){
                     _minDate=new Date(_init.limitDate);
                  }
                  if (maxDateSet.length >= 3 && minDateSet.length >= 3) {
                     //最大日期 设置值
                     _maxDate.setFullYear(_maxDate.getFullYear() + Number(maxDateSet[0]));
                     _maxDate.setMonth(_maxDate.getMonth() + Number(maxDateSet[1]));
                     _maxDate.setDate(_maxDate.getDate() + Number(maxDateSet[2]));
                     if ($U.isNotEmpty(maxDateSet[3])) {
                        _maxDate.setHours(_maxDate.getHours() + Number(maxDateSet[3]));
                     }
                     //最小日期 设置值
                     _minDate.setFullYear(_minDate.getFullYear() + Number(minDateSet[0]));
                     _minDate.setMonth(_minDate.getMonth() + Number(minDateSet[1]));
                     _minDate.setDate(_minDate.getDate() + Number(minDateSet[2]));
                     if ($U.isNotEmpty(minDateSet[3])) {
                        _minDate.setHours(_minDate.getHours() + Number(minDateSet[3]));
                        _minDate.setMinutes(_minDate.getMinutes() + (settings.stepMinute + settings.stepMinute - _minDate.getMinutes() % settings.stepMinute));
                        _minDate.setSeconds(0);
                        if(attr.ngDatePicker === 'datehour') {
                           if(_minDate.getMinutes() != 0) {
                              _minDate.setHours(_minDate.getHours());
                              _minDate.setMinutes(0);
                           }
                        } else if(attr.ngDatePicker === 'date') {
                           _minDate.setHours(0);
                           _minDate.setMinutes(0);
                        }
                     }
                     //赋值给时间控件参数
                     settings.maxDate = _maxDate;
                     settings.minDate = _minDate;

                     //初始化值 明显有问题啊。。。xupan1注释
                     /*if (_init.initVal === "true") {
                      element.val(new Date().format(settings.minDate.format('yyyy-mm-dd')));
                      }*/
                  }
               }

               //初始化值
               if ($U.isNotEmpty(_init.defaultValue)) {//有配置默认值
                  var temp = $.trim(_init.defaultValue),
                     tempDT = temp.split(' '),//分隔日期和时间
                     tempD = tempDT[0].split('-'),//分隔日期 年月日
                     tempT = tempDT[1] ? tempDT[1].split(':') : ['00', '00', '00'],//分隔时间 时分秒
                     oDate = new Date(tempD[0], tempD[1] - 1, tempD[2], tempT[0] || '00', tempT[1] || '00', tempT[2] || '00'),//生成默认值时间对象
                     defTimestamp = +oDate,//默认日期时间戳
                     minTimestamp = +settings.minDate,//最小日期时间戳
                     maxTimestamp = +settings.maxDate;//最大日期时间戳
                  if (defTimestamp < minTimestamp) {//默认日期小于最小日期，则默认日期修改为最小日期
                     settings.defaultValue = settings.minDate;

                    /* if (attr.ngDatePicker === 'datetime' || attr.ngDatePicker === 'datehour') { //交商起始时间
                        var nowDate = new Date();
                        nowDate.setDate(nowDate.getDate() + 1);
                        var timeStr = nowDate.format('yyyy/MM/dd 00:00'),
                            newDate = new Date(timeStr);
                        settings.defaultValue = newDate;
                     }*/
                  }
                  else if (defTimestamp > maxTimestamp && attr.initType !== 'Expiry') {//默认日期大于最大日期，则默认日期修改为最大日期  (证件有效期直接显示最大值即可)
                     settings.defaultValue = settings.maxDate;
                     if (attr.ngDatePicker === 'datetime' || attr.ngDatePicker === 'datehour') { //交商起始时间
                        var timeStr = settings.maxDate.format('yyyy/MM/dd 00:00'),
                            newDate = new Date(timeStr);
                        settings.defaultValue = newDate;
                     }
                  }
                  else {//在限制日期范围之类，则使用该默认日期
                     settings.defaultValue = oDate;
                  }
               }

               ///*//调试用的字段，只是为了方便断点时看各时间的值
               var _iName = attr.placeholder + attr.name;
               var _maxlength = attr.maxlength;
               var _init_defaultValue = _init.defaultValue || settings.defaultValue.format('yyyy-MM-dd hh:mm:ss');
               var _mindate = settings.minDate.format('yyyy-MM-dd hh:mm:ss');
               var _maxdate = settings.maxDate.format('yyyy-MM-dd hh:mm:ss');
               //*/

               var initValDatetime = settings.defaultValue.format('yyyy-MM-dd hh:mm:ss'),//生成最终要设置的默认值时间对象
                  maxlength = attr.maxlength || 10,//根据日期输入框的maxlength来取舍长度，没有则默认10位，即仅日期
                  initVal = initValDatetime.substr(0, maxlength);

               if(typeof _init.expiryInit !== 'undefined' && !_init.expiryInit){// 如果有expiryInit 但是又没有值   那么不初始化
               }else{
                   element.val(initVal).change();//给元素赋值
               }

               ////不给默认值
               //if(_init.initVal == "false"){
               //   element.val("").change();//给元素赋值
               //}
            }

            //按照最终的设置来初始化日期控件
            if (attr.ngDatePicker === 'datetime') {
               element.scroller(settings).datetime(settings);
            } else if(attr.ngDatePicker === 'datehour') {
               settings.dateFormat = "yyyy-mm-dd HH:00";
               settings.preset = 'datehour';
               element.scroller(settings).datehour(settings);
            }
            else {
               if(attr.ngTimeFormat == "time") {
                  settings.dateFormat = "yyyy-mm-dd HH:00";
               } else if( attr.ngTimeFormat == "lastTime") {
                  settings.dateFormat = "yyyy-mm-dd 23:59";
               }
               element.scroller(settings);
            }

            if(attr.initType === 'Expiry'){  // 证件有效期  设置永久有效
                settings.buttons = [
                    'set',
                    {
                        text: '永久有效',
                        icon: 'checkmark',
                        cssClass: 'my-btn',
                        handler: function () {
                            scope.$apply(function(){
                                scope.myText = true;
                                //在这里去手动触发脏检查
                            })
                            element.scroller('hide');
                        }
                    },
                    'cancel'
                ];
                element.scroller(settings);
            }

            //重新调用一次设置默认值，不然貌似日期控件会更新不到，导致打开的不是设置的值
            element.mobiscroll("setValue", settings.defaultValue);
         }
      };
   });
   //4.正方形
   app.directive('ngSquare', function () {
      return {
         restrict: 'A',
         replace: true,
         link: function (scope, element, attr) {
            if ($U.isNotEmpty(attr.ngSquare)) {
               element.css({
                  width: attr.ngSquare,
                  height: element.width() + 'px'
               });
            }
            else {
               element.css({
                  height: element.width() + 'px'
               });
            }
         }
      };
   });
   //5.操作属性
   app.directive('ngRequire', [function () {
      return {
         restrict: 'A',
         multiElement: true,
         link: function (scope, element, attr) {
            scope.$watch(attr.ngRequire, function ngRequireWatchAction(value) {
               if ($U.isNotEmpty(attr.ngRequire)) {
                  value ? element.attr('required', true) : element.removeAttr('required');
               }
            });
         }
      };
   }
   ]);
   //6.UL ->LI  让LI 自适应宽度
   app.directive('ngUlAdaption', [function () {
      return {
         restrict: 'A',
         multiElement: true,
         link: function (scope, element, attr) {
            var _li = element.find('li');
            if (_li.length > 0) {
               _li.css({
                  "width": (100 / (_li.length)) + "%"
               });
            }
         }
      };
   }
   ]);
   //7.城市组件
   app.directive('ngCityPicker', ["$http", "$compile", function ($http, $compile) {
      return {
         restrict: 'A',
         multiElement: true,
         //scope:{
         //   selCHandle:'&selCHandle'
         //},
         link: function (scope, element, attr) {
            //点击 显示
            element.click(function () {
               element.parent().append($compile('<ion-spinner class="city-spinner" icon="ios"></ion-spinner>')(scope));
               //获取省市区
               $http.get('data/area-data.json').success(function (citydata) {
                  //---------------------------------------begin 创建DOM---------------------------------------//
                  var _html = '<ul style="display:none" id="c_city_list">';
                  angular.forEach(citydata, function (ptem) {
                     if (ptem.flag == '1') { //1为有效
                        _html += '<li data-val=' + '"' + ptem.code + '"' + '>' + ptem.name;
                        //----------------------------------begin 城市----------------------------------//
                        var _city_ul = '<ul>';
                        angular.forEach(ptem.city, function (ctem) {
                           if (ctem.flag == '1') {
                              _city_ul += '<li data-val=' + '"' + ctem.code + '"' + '>' + ctem.name;
                              //----------------------------------begin 区域----------------------------------//
                              var _area_ul = '<ul>';
                              angular.forEach(ctem.area, function (cotem) {
                                 if (ctem.flag == '1') {
                                    _area_ul += '<li data-val=' + '"' + cotem.code + '"' + '>' + cotem.name + '</li>';
                                 }
                              });
                              _area_ul += '</ul>';
                              //----------------------------------end 区域----------------------------------//
                              //区添加到市
                              _city_ul += _area_ul;
                              _city_ul += '</li>';
                           }
                        });
                        _city_ul += '</ul>';
                        //----------------------------------end   城市----------------------------------//
                        //市区添加到省
                        _html += _city_ul;
                        _html += '</li>';
                     }
                  });
                  _html += '</ul>';
                  //---------------------------------------end   创建DOM---------------------------------------//

                  //创建滚动
                  $(_html).mobiscroll().treelist({
                     lang: 'zh',
                     theme: 'android-ics light',//样式
                     mode: 'scroller',//选择模式  scroller  clickpick  mixed
                     display: 'bottom',//指定显示模式 modal bottom
                     fixedWidth: [160, 160, 160],
                     headerText: '选择城市',
                     placeholder: '请选择城市',
                     onSelect: function (valueText) {
                        var _val = valueText.split(' '),
                           _car_no_header = citydata[_val[0]].city[_val[1]].carNoHeader,
                           _city_name_val = citydata[_val[0]].name + ' ' + citydata[_val[0]].city[_val[1]].name + ' ' + citydata[_val[0]].city[_val[1]].area[_val[2]].name;
                        //1.获取选中中文字符串 赋到文本
                        element.val(_city_name_val);
                        //2.执行回调 刷新scope
                        scope.$apply();
                        scope.selCHandle({cityCode: valueText, cityName: _city_name_val, carNoHeader: _car_no_header});
                     }
                  });

                  //进行展示
                  $(_html).mobiscroll('show');
                  //移除加载框
                  element.parent().find('.city-spinner').remove();
               });
               return false;
            });
         }
      };
   }
   ]);
   //8.输入框大小写转换
   app.directive('textTransform', function () {
      var transformConfig = {
         uppercase: function (input) {
            return input.toUpperCase();
         },
         capitalize: function (input) {
            return input.replace(
               /([a-zA-Z])([a-zA-Z]*)/gi,
               function (matched, $1, $2) {
                  return $1.toUpperCase() + $2;
               });
         },
         lowercase: function (input) {
            return input.toLowerCase();
         }
      };
      return {
         require: 'ngModel',
         link: function (scope, element, iAttrs, modelCtrl) {
            var transform = transformConfig[iAttrs.textTransform];
            if (transform) {
               modelCtrl.$parsers.push(function (input) {
                  return transform(input || "");
               });
               element.css("text-transform", iAttrs.textTransform);
            }
         }
      };
   });
   //9.双向选择框
   app.directive('ngDoublePicker', ['$http', '$compile', function ($http, $compile) {
      return {
         restrict: 'A',
         scope: {
            pickerData: '@pickerData',
            pickerHeaderText: '@pickerHeaderText',
            pickerLabels: '@pickerLabels',
            pickerHandle: '&pickerHandle'
         },
         link: function (scope, element, iAttrs) {
            //------------------------------设置参数------------------------------//
            var options = {
               lang: 'zh',
               theme: 'android-ics light',//样式
               mode: 'scroller',//选择模式  scroller  clickpick  mixed
               display: 'bottom',//指定显示模式 modal bottom
               showLabel: true,
               labels: ['选项一', '选项二'],
               fixedWidth: [200, 200],
               headerText: scope.pickerHeaderText || '请选择',
               onSelect: function (valueText, inst) {
                  scope.pickerHandle({"val": valueText});
               }
            };
            if ($U.isEmpty(scope.pickerLabels)) {
               options.showLabel = false;
            }
            else {
               options.showLabel = true;
               var _labels = scope.pickerLabels.split(',');
               if (_labels.length == 2) {
                  options.labels = _labels;
               }
            }
            //------------------------------拼接DOM------------------------------//
            try {
               element.on('click', function () {
                  if ($U.isNotEmpty(scope.pickerData)) {
                     var picker = JSON.parse(scope.pickerData),
                        pdorm = '',
                        header = '<ul id=' + '"' + $U.randomString(16) + '"' + ' style="display:none">',
                        footer = '</ul>';
                     angular.forEach(picker.ROWS, function (row) {
                        var row_rows = '<li data-val=' + '"' + row + '"' + '>' + row + picker.ROWS_NAME + '<ul>';
                        angular.forEach(picker.ITEMS, function (item) {
                           row_rows += '<li data-val=' + '"' + item + '"' + '>' + item + picker.ITEMS_NAME + '</li>';
                        });
                        row_rows += '</ul></li>';
                        header += row_rows;
                     });
                     pdorm = header + footer;
                     $(pdorm).mobiscroll().treelist(options).show();
                     $(pdorm).mobiscroll('show');
                  }
               });
            }
            catch (ex) {
               console.error('生成双向选择组件异常' + ex);
            }
         }
      };
   }]);
   //10.tab 切换 通用组件
   app.directive('ngTabs', function () {
      return {
         restrict: 'AC',
         link: function (scope, element, iAttrs) {
            var item = element.find('.tabs a'), content = element.find('.tab-content');
            //显示已选择tabs
            angular.element(element.find('.tabs a.active').attr('for-tab')).show();
            //绑定切换事件
            item.on('click', function () {
               var _self = angular.element(this);
               item.removeClass('active');
               content.hide();
               _self.addClass('active');
               angular.element(_self.attr('for-tab')).show();
            });
         }
      };
   });
   //11.机构差异化显示影藏
   app.directive('ngAgencyDiffer', function () {
      return {
         restrict: 'A',
         link: function (scope, element, iAttrs) {
            var aheader = iAttrs.ngAgencyDiffer; //机构代码头
            var needFacry = iAttrs.needFacry;  //显示或者影藏
            //获取机构代码
            var slsInfo = JSON.parse(window.sessionStorage.getItem('SLS_INFO'));
            if ($U.isNotEmpty(slsInfo)) {
               var sheader = $U.getTwoDeptID();
               if (needFacry == 'show') {  //如果是对应机构 就显示 否则 影藏
                  if (String(aheader) != String(sheader)) {
                     element.remove();
                  }
               }
               else {
                  if (String(aheader) == String(sheader)) { //如果是对应机构 就影藏 否则 显示
                     element.remove();
                  }
               }
            }
            else {
               $U.logger('info', '用户未登录或者无法获取机构代码,指令ngAgencyDiffer状态失效');
            }
         }
      };
   });

   //12.校验身份证号
   app.directive('ngValiProve', function () {
      return {
         require: "ngModel",
         link: function (scope, element, attr, ngModel) {
            scope.$watch(attr.ngValiProve, function (type) {
               //校验
               var customValiProve = function (value) {
                  var TypeRegExp = {
                     //身份证
                     "120001": /^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X)$/,
                     //组织机构代码
                     "120011":  /^([a-zA-Z0-9]{8}-[0-9|X]|[a-zA-Z0-9]{10}|[a-zA-Z0-9]{18})$/,
                     //纳税人识别号
                     "120016": /^([a-zA-Z0-9]{15}|[a-zA-Z0-9]{17}|[a-zA-Z0-9]{18}|[a-zA-Z0-9]{20})$/
                  };
                  var typeRExp = new RegExp(TypeRegExp[type] || /\S/);
                  var valiProve = typeRExp.test(value);
                  //console.log(value+"|"+TypeRegExp[type]+"|"+valiProve);
                  ngModel.$setValidity("valiProve", valiProve);//加入校验队列
                  return valiProve ? value : undefined;
               };
               //----------------------------------------- begin 处理 校验队列 -----------------------------------------//
               var formatters = ngModel.$formatters;
               ngModel.$formatters = [];
               angular.forEach(formatters, function (fmt) {
                  var fnName = fmt.getName();
                  if (fnName != "customValiProve") {
                     ngModel.$formatters.push(fmt);
                  }
               });

               var parsers = ngModel.$parsers;
               ngModel.$parsers = [];
               angular.forEach(parsers, function (par) {
                  var fnName = par.getName();
                  if (fnName != "customValiProve") {
                     ngModel.$parsers.push(par);
                  }
               });

               ngModel.$formatters.push(customValiProve);
               ngModel.$parsers.push(customValiProve);
               //----------------------------------------- end   处理 校验队列 -----------------------------------------//
            });
         }
      };
   });



   app.directive('ngChangeValue', [function () {
      return {
         restrict: 'A',
         multiElement: true,
         link: function (scope, element, attr,ngModel) {
            scope.$watch(attr.ngModel, function(value) {
               scope.vm.vhlTax={};
            });
         }
      };
   }
   ]);


   app.directive('control',function($rootScope){
      return {
         restrict:"A",
         require:"ngModel",
         link:function(scope,ele,attrs,ngModel){
            scope.$watch(attrs.ngModel, function(value) {
               //使用性质不等于个人
               if(attrs.controlValue=='1'){
                  ngModel.$setValidity('control',true);
                  return;
               }else if(attrs.controlValue=='2'&&$rootScope.carBeans.applicant.insuredType!='1'){
                  ngModel.$setValidity('control',true);
                  return;
               }else if(attrs.controlValue=='3'&&$rootScope.carBeans.insured.insuredType!='1'){
                  ngModel.$setValidity('control',true);
                  return;
               }
               // 甘肃机构使用性质为个人时车主名称不做管控
               if((!$rootScope.switchBean.ownerNameControl) && value && value.length>4){
                  var str=value.slice(-3);
                  var flag=0;
                  var arr=['公司','厂','中心','批发部','经营部','供应站'];
                  angular.forEach(arr,function (item,index) {
                     flag +=str.indexOf(item);

                  });
                  if(flag!=-6){
                     ngModel.$setValidity('control',false);
                  }else{
                     ngModel.$setValidity('control',true);
                  }
                  return value;
               }else{

                  ngModel.$setValidity('control',true);
                  return value;
               }

            });
         }
      }
   });

   app.directive('ngClear', function ($rootScope) {
      return {
         restrict: 'A',
         link: function (scope, element, iAttrs) {
            element.bind('input',function () {
               if(element.val().indexOf('*')>-1){
                  element.val('');
               }
            })


         }
      };
   });


   //通过外网访问的页面 需要屏蔽原生需求和业务员特殊需求
   app.directive('ngPartSource', function ($rootScope) {
      return {
         restrict: 'A',
         link: function (scope, element, iAttrs) {
            $rootScope.webFlag = true;
            //1.从内存 获取链接参数判断
            if (window.requestParam && window.requestParam.webSources) {
               $rootScope.webFlag = false;
            }
         }
      };
   });

   //清除输入
   app.directive('clearInput', ['$parse', function ($parse) {
      return {
         restrict: 'A',
         link: function (scope, element, attr) {
            var htmlMarkup = attr.clearBtnMarkup ? attr.clearBtnMarkup : '<span><i class="icon ion-ios-close-outline"></i></span>';
            var btn = angular.element(htmlMarkup);
            btn.addClass(attr.clearBtnClass ? attr.clearBtnClass : "clear-btn");
            btn.css('display','none');
            element.after(btn);

            btn.on('click', function () {
               element.val("").change();
               scope.$digest();
            });

            element.on('blur', function () {
               btn.css('display','none');
            });

            element.on('input', function () {
               var hasValue = this.value && this.value.length > 0;
               btn.css('display', hasValue ? '' : 'none');
            });

            element.on('focus', function () {
               var hasValue = this.value && this.value.length > 0;
               btn.css('display', hasValue ? '' : 'none');
            });

            scope.$watch(attr.ngModel, function (val) {
               if(document.activeElement.name == attr.name){
                  var hasValue = val && val.length > 0;
                  btn.css('display', hasValue ? '' : 'none');
               }
            });

         }
      };
   }]);

    //有无数据影响圆圈样式
    app.directive('labelStep', function() {
        return{
            restrict: 'C',
            link: function (scope, elem, attr) {
                var ngModelText = $(elem).next("input,select,section").attr("ng-model") || $(elem).next("input,select,section").children().attr("ng-model");
                var prevElem = $(elem).prev("span");
                //console.log(ngModelText);
                if(!ngModelText || prevElem.length != 1) {
                    return;
                }
                scope.$watch(ngModelText, function (value) { //监听
                    if(!value) { //没数据时
                        $(prevElem).attr("class", 'icon-round-gray');
                    } else {
                        $(prevElem).attr("class", 'icon-required');
                    }
                });
            }
        }
    });

   //自定义键盘
   app.directive('ngToutchkeyboard', function () {
      return {
         require: "ngModel",
         link: function (scope, elem, attr) {

            scope.$watch(attr.ngToutchkeyType, function (value) {
               value = value || "120001";

               //处理键盘事件
               var keyObj = {
                  "key-licensePlate": ["1", "2", "3", "4", "5", "6", "7", "8", "9", "0", "Q", "W", "E", "R", "T", "Y", "U", "I", "O", "P", "A", "S", "D", "F", "G", "H", "J", "K", "L", "delete", "select", "Z", "X", "C", "V", "B", "N", "M", "confirm"],//车牌字符
                  "key-province": ["粤", "湘", "闽", "桂", "沪", "京", "苏", "浙", "川", "辽", "鲁", "渝", "云", "陕", "赣", "晋", "津", "皖", "鄂", "豫", "冀", "黑", "吉", "贵", "蒙", "琼", "甘", "新", "警","delete", "select", "藏", "青", "宁", "临","挂","学","使", "confirm"],//车牌省份
                  "key-lowercase": ["1", "2", "3", "4", "5", "6", "7", "8", "9", "0", "q", "w", "e", "r", "t", "y", "u", "i", "o", "p", "a", "s", "d", "f", "g", "h", "j", "k", "l", "selectL", "z", "x", "c", "v", "b", "n", "m", "delete", "selectS", "logo", "confirm"],//密码小写
                  "key-uppercase": ["1", "2", "3", "4", "5", "6", "7", "8", "9", "0", "Q", "W", "E", "R", "T", "Y", "U", "I", "O", "P", "A", "S", "D", "F", "G", "H", "J", "K", "L", "selectL", "Z", "X", "C", "V", "B", "N", "M", "delete", "selectS", "logo", "confirm"],//密码大写
                  "key-string": ["+", "-", "*", "/", "~", "!", "#", "￥", "%", "^", "@", "&", "(", ")", "\\", "[", "]", "_", "{", "}", "<", ">", ":", ";", ".", "“", "”", "？", "delete", "select", "logo", "confirm"],//密码符号
                  "key-idCard": ["confirm", "1", "2", "3", "4", "5", "6", "7", "8", "9", "X", "0", "delete"], //身份证
                  closeType: true,
                  elem: elem,
                  close: function () {
                     $("#keyboard").remove();
                     $(".keyboardPosition").remove();
                     $("body").css("margin-bottom", 0);
                     $("body").off("touchend.keyboard mouseup.keyboard");
                     //如果数据未发生变化 则不需要执行回调
                     if(typeof keyObj.closeCallback == "function" && keyObj.closeType && keyObj.elem[0].value != keyObj.initValue) {
                        keyObj.closeType = false;
                        keyObj.closeCallback.call();
                        keyObj.closeCallback = null;
                     }
                     return false;
                  },
                  openKey: function (html) {

                     $("#keyboard").remove();
                     $(".keyboardPosition").remove();
                     keyObj.closeType = true;
                     //关闭键盘时执行回调
                     keyObj.closeCallback = attr.ngKeyClose ? scope[attr.ngKeyClose] : "";
                     $("body").append(html).css("margin-bottom", $("#keyboard").outerHeight());
                     keyObj.reScrollHeight();
                     //解决键盘可能会覆盖输入框的问题
                     var keyHeight = $("#keyboard").outerHeight();
                     $(".scroll").append("<div class='keyboardPosition' style='height: " + keyHeight + "px'></div>");

                     bindKeyEvt();
                  },
                  scope: scope,
                  setValue: function (value, type) { //给元素赋值
                     var oldVal = elem.val(),
                        maxLength,
                        newValue;

                     if (type == "del") { //删除
                        newValue = oldVal.substring(0, oldVal.length - 1);

                     }
                     else if (type == "replace") {
                        if (oldVal.length <= 1) {
                           newValue = value;
                           $("#keyboard #select").click();  //选择省份后警切换为数字字母输入
                        }
                        else {
                           if(value != "临" && value != "挂"&& value != "学" && value != "警") {
                              return;
                           }
                           if (maxLength = elem.attr("maxlength")) {
                              if (elem.val().length >= Number(maxLength)) {
                                 return;
                              }
                           }
                           newValue = oldVal + value;
                        }
                     }
                     else {

                        if (maxLength = elem.attr("maxlength")) {
                           if (elem.val().length >= Number(maxLength)) {
                              return;
                           }
                        }
                        newValue = oldVal + value;
                     }
                     elem.val(newValue).change(); //给元素赋值
                  },
                  reScrollHeight: function () {
                     //元素距离顶部的距离
                     var offsetTop = $(elem).offset().top;
                     var keyHeight = $("#keyboard").outerHeight(); //键盘占位高度
                     var winHeight = $(window).height(); //屏幕高度
                     var elemHeight = elem.outerHeight(); //输入框高度

                     var scrollCtrl = this.scope.scrollCtrl || this.scope.$parent.scrollCtrl;
                     var currentScollTop = scrollCtrl.getScrollPosition().top;

                     //输入框未全部显示时
                     if (offsetTop < elemHeight) {
                        scrollCtrl.scrollTo(0, currentScollTop + elemHeight + 10, true);
                     }
                     if (offsetTop + keyHeight + elemHeight > winHeight) { // 被输入框被盖住时，滚动到对应的高度
                        scrollCtrl.scrollTo(0, currentScollTop + offsetTop + keyHeight - winHeight + elem.outerHeight(), true);
                     }
                  }
               };

               if (value != "120001" && value != "01") {
                  elem[0] && elem.removeAttr("readonly");
                  elem.unbind("click.keyboard");
                  elem.unbind("focus.keyboard");
                  elem.on("focus.keyboard", function () {
                     this.focus();
                  });
                  keyObj.close();
                  return;
               }

               function getKeyHtml(arr, type) {
                  var html = "<div id='keyboard'>";
                  html += getHtml(arr, type);
                  html += "</div>";
                  return html;
               }

               //获得子键盘
               function getHtml(arr, type) {
                  var selectType = keyObj.passworfFlag || "key-uppercase";
                  var html = "<div class='" + type + " clearFloat'>";
                  for (var i = 0; i < arr.length; i++) {
                     if (arr[i] == "delete") {
                        html += "<span class='kb-delete' id='delete'></span>"
                     }
                     else if (arr[i] == "select") {
                        if (type == "key-licensePlate") {
                           html += "<span data-key='key-province' class='kb-select' id='select'>省份</span>"
                        }
                        else if (type == "key-province") {
                           html += "<span data-key='key-licensePlate' class='kb-select' id='select'>ABC</span>"
                        }
                        else if (type == "key-string") {
                           html += "<span data-key='" + selectType + "' class='kb-select' id='select'>" + (selectType == "password_C" ? "ABC" : "abc") + "</span>"
                        }
                     }
                     else if (arr[i] == "selectL") {
                        if (type == "key-uppercase") {
                           html += "<span data-key='key-lowercase' class='kb-select' id='selectL'>abc</span>"
                        }
                        else if (type == "key-lowercase") {
                           html += "<span data-key='key-uppercase' class='kb-select' id='selectL'>ABC</span>"
                        }
                     }
                     else if (arr[i] == "selectS") {
                        html += "<span data-key='key-string' class='kb-select' id='selectS'>#+=</span>"
                     }
                     else if (arr[i] == "logo") {
                        html += "<span class='logo kb-key'>" + ' ' + "</span>"
                     }
                     else if (arr[i] == "confirm") {
                        if (type == "key-idCard") {
                           html += "<span class='kb-confirm' id='confirm'></span>";
                        }
                        else if (type == "key-province" || type == "key-licensePlate") {
                           html += "<span class='kb-confirm' id='confirm'>下一步</span>";
                        }
                        else {
                           html += "<span class='kb-confirm' id='confirm'>确定</span>";
                        }
                     }
                     else {
                        if (type == "key-licensePlate" && (arr[i] == "I")) {
                           html += "<span class='kb-ban'>" + arr[i] + "</span>"
                        }
                        else {
                           html += "<span class='kb-key'>" + arr[i] + "</span>"
                        }
                     }
                  }
                  html += "</div>";
                  return html;
               }

               //绑定事件
               function bindKeyEvt() {
                  //键盘点击事件
                  $("#keyboard .kb-key").on("touchstart mousedown", function () {
                     $(this).addClass("action");
                     return false;
                  }).on("touchend mouseup", function () {
                     $(this).removeClass("action");
                     var _self = angular.element(this);
                     // if ($(this).parents(".key-province").length === 1) {
                     //    keyObj.setValue(_self.text(), "replace"); //省份替换
                     // }
                     // else {
                     //    keyObj.setValue(_self.text());
                     // }
                     keyObj.setValue(_self.text());

                     return false
                  });

                  //切换键盘事件
                  $("#keyboard #select, #keyboard #selectL, #keyboard #selectS").on("click", function () {
                     keyObj.passworfFlag = ""; //保存字母与特殊字符切换前的标志
                     var _self = angular.element(this);
                     var switchType = _self.attr("data-key") || "";
                     if (_self.attr("id") == "selectS") {
                        if ($("#keyboard .clearFloat").hasClass("key-lowercase")) {
                           keyObj.passworfFlag = "key-lowercase";
                        }
                        else if ($("#keyboard .clearFloat").hasClass("key-uppercase")) {
                           keyObj.passworfFlag = "key-uppercase";
                        }
                     }
                     var html = getKeyHtml(keyObj[switchType], switchType);
                     keyObj.openKey(html);

                     return false;
                  });

                  //回删事件
                  $("#keyboard #delete").on("click", function () {
                     keyObj.setValue('', "del");
                  });

                  //确定事件
                  $("#keyboard #confirm").on("click", function () {
                     keyObj.close();
                  });

                  //点击是否隐藏键盘
                  $("body").off("click.keyboard").on("click.keyboard", "*", function (e) {
                     if (!$(this).attr("ng-toutchkeyboard")) {
                        if ($(this).parents("#keyboard").length === 0 && this.id != "keyboard") {
                           keyObj.close();
                        }

                     }
                     e.stopPropagation();
                  });

               }

               elem[0] && elem[0].setAttribute("readonly", "readonly");

               elem.bind("click.keyboard", function () {
                  var html = getKeyHtml(keyObj[attr.ngToutchkeyboard], attr.ngToutchkeyboard);
                  keyObj.openKey(html);
               });
               //解决自带键盘弹出问题
               elem.on("focus.keyboard", function () {
                  keyObj.initValue = this.value;
                  this.blur();
               });
            });
         }
      };
   });
   return app;
});
