/**
 * Created by zhouxinxing on 2016/8/26.
 */
define(function () {
   'use strict';
   var app = angular.module('app.filters', ['ionic']);
   //去重过滤器
   app.filter('unique', function () {
      return function (collection, keyname) {
         var output = [],keys = [];
         angular.forEach(collection, function (item) {
            var key = item[keyname];
            if (keys.indexOf(key) === -1) {
               keys.push(key);
               output.push(item);
            }
         });
         return output;
      }
   });
   //计算总和
   app.filter('sum', function () {
      return function (input,lenght,param) {
         try {
            if(typeof param === 'object'){
               var _sum = 0;
               angular.forEach(param, function (item,index,array) {
                if(item){
                   _sum+=window.Number(item+'');
                }

               });
               if(lenght==-1){
                   return _sum;
                }else{
                   return _sum.toFixed(lenght);
                }
              
            }
            return '';
         }
         catch (ex){
            return input;
         }
      }
   });
    /**
    *   格式化报价金额，保留几位小数(toFixed是五舍六入)，默认是两位小数，返回的是String类型
    *   input: 要处理的数值，必选，数值或字符串类型，如：45.62或"45.62";
    *   lenght:  保留的小数位，可选，整数，默认是2，保留两位小数。
    */
   app.filter('formatPremium', function () {
      return function (input,lenght) {
         try {
           return (new Number(input)).toFixed(lenght || (lenght==0?0:2));
         }
         catch (ex){
            return input;
         }
      }
   });
    /**
     *   格式化报价金额，保留几位小数(toFixed是五舍六入)，默认是两位小数，返回的是String类型
     *   input: 要处理的数值，必选，数值或字符串类型，如：45.62或"45.62";
     *   lenght:  保留的小数位，可选，整数，默认是2，保留两位小数。
     */
    app.filter('formatMotoPrem', function () {
        return function (input,lenght) {
            if(!input){
                return '';
            }
            try {
                return (new Number(input)).toFixed(lenght || (lenght==0?0:2));
            }
            catch (ex){
                return input;
            }
        }
    });
  /**
   * [formatNumber 千位分隔符]
   */
   app.filter('formatNumber', function () {
      return function (input) {
         return (input+'').replace(/(^|\s)\d+(?=\.?\d*($|\s))/g, (parseInt(input+'')+'').replace(/(?=(?!\b)(\d{3})+\.?\b)/g, ','));
      }
   });
   //过滤时分秒
   app.filter('formatSortDate', function () {
      return function (input) {
          if(!input) {
              return '';
          }
          return new Date(input.replace(/-/g,'/')).format("yyyy-MM-dd");
      }
   });
   //视频链接信任识别
   app.filter("trustUrl", ['$sce', function ($sce) {
      return function (recordingUrl) {
          return $sce.trustAsResourceUrl(recordingUrl);
      };
    }]);
   return app;
});