var Controller = (function (controller) {
  controller.Constant = {
    base: '../',
    libBase: '../lib/',
    _VERSION_: (function() {
        var now = new Date(),
            versionStr = "" + now.getFullYear() + (now.getMonth() + 1) + now.getDate() +
                now.getHours() + now.getMinutes() + now.getSeconds();
        return versionStr;
    })()
  };
  return controller;
})(Controller || {});

require.config({
  paths: {
    /***源库 全文必须依赖***/
    ngCordova: Controller.Constant.libBase + 'ionic/js/cordova/ng-cordova',
    cordova: Controller.Constant.base + 'cordova',
    uiRouter:Controller.Constant.libBase + 'ionic/js/angular-ui/angular-ui-router', //路由
    oclazyload: Controller.Constant.libBase + 'vendor/oclazyload/ocLazyLoad.require.min', //懒加载
    modalSelect:Controller.Constant.libBase + 'vendor/ionic-modal-select/js/ionic-modal-select',
    nativeTransitions:Controller.Constant.libBase + "ionic-native-transitions/dist/ionic-native-transitions.min",
    css: Controller.Constant.libBase + 'vendor/require/require.css.min',
    /***按需加载 插件库***/
    mobiscroll: Controller.Constant.libBase + 'vendor/mobiscroll/js/mobiscroll-2.13.2.full',
    /**angular 图片上传*/
    ngUpload:Controller.Constant.libBase+"ng-file-upload/js/ng-file-upload-all.min",
    /***工具库***/
    utils: Controller.Constant.base + 'js/handles/app.handles',
    chcpInitialize: Controller.Constant.base + 'js/handles/app.initialize'
  },
  shim: {
    mobiscroll: {
      deps: ['css!' + Controller.Constant.libBase + 'vendor/mobiscroll/css/mobiscroll.2.13.2.css']
    },
    clipboard:{
      exports: 'Clipboard'
    }
  },
  urlArgs: "version=" + Controller.Constant._VERSION_,
  waitSeconds: 15
});
require(['ngCordova','cordova','oclazyload','nativeTransitions','utils','chcpInitialize'], function () {
  //入口-》动态加载路由入口
 if($U.isPathName('index.html')){ //车险销售
    require(['views/app.view.iv.configure'], function (app) {
      app.bootstrap();
    });
  }
});
