define([
    'services/app.jpush.service'
], function () {
   'use strict';
   var app = angular.module('app', ['ionic', 'ionic-native-transitions', 'oc.lazyLoad', 'app.jpush.service']);
   //设置是什么环境的,www生产环境,test测试环境,preview预演环境
   window.evnStatusFlag = "www";

   app.config(function ($stateProvider, $urlRouterProvider, $ionicConfigProvider, $ionicNativeTransitionsProvider) { //ionic tabs Android显示在顶部处理
      $ionicConfigProvider.platform.ios.tabs.style('standard');
      $ionicConfigProvider.platform.ios.tabs.position('bottom');
      $ionicConfigProvider.platform.android.tabs.style('standard');
      $ionicConfigProvider.platform.android.tabs.position('standard');

      $ionicConfigProvider.platform.ios.navBar.alignTitle('center');
      $ionicConfigProvider.platform.android.navBar.alignTitle('center');

      $ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-back');
      $ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-ios-arrow-back');

      $ionicConfigProvider.platform.ios.views.transition('ios');
      $ionicConfigProvider.platform.android.views.transition('ios');

      //单独针对安卓卡顿 进行优化
      if (ionic.Platform.isAndroid()) {
         $ionicConfigProvider.views.transition('no');
         $ionicNativeTransitionsProvider.setDefaultOptions({
            duration: 300, // in milliseconds (ms), default 400,
            androiddelay: 100, // same as above but for Android, default -1
            slowdownfactor: 4, // overlap views (higher number is more) or no overlap (1), default 4
            iosdelay: -1, // ms to wait for the iOS webview to update before animation kicks in, default -1
            winphonedelay: -1, // same as above but for Windows Phone, default -1,
            fixedPixelsTop: 0, // the number of pixels of your fixed header, default 0 (iOS and Android)
            fixedPixelsBottom: 0, // the number of pixels of your fixed footer (f.i. a tab bar), default 0 (iOS and Android)
            triggerTransitionEvent: '$ionicView.afterEnter', // internal ionic-native-transitions option
            backInOppositeDirection: false // Takes over default back transition and state back transition to use the opposite direction transition to go back
         });
      }

   });

   app.run(function ($ionicPlatform, $ionicNavBarDelegate, $jpushService) {
      //chcp.configure配置不生效，需config.xml配置auto-download为false解决自动检测和调用检测更新冲突
      $ionicPlatform.ready(function () {
         //初始化App 版本信息
         appUpdate.initialize();
         window.setTimeout(function () {
            if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
               cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
               cordova.plugins.Keyboard.disableScroll(true);
            }
            //设置IOS工具栏
            if (window.StatusBar) {
               if (ionic.Platform.isIOS()) {
                  StatusBar.styleLightContent();
                  StatusBar.overlaysWebView(false);
                  StatusBar.backgroundColorByHexString('#f54133');
               }
               else {
                  StatusBar.styleDefault();
               }
            }
         }, 500);
         //区分版本 -- 需要延迟2S
         window.setTimeout(function () {
            if (evnStatusFlag == "test") {
               $ionicNavBarDelegate.title("华安掌上宝-测试环境");
            }
         }, 2000);
         
         //极光推送初始化
         $jpushService.init();
      });
   });

   function initUMengConfig() {
      var typeObj = {
         www: {
            android: {
               channelId: "ydzy_h5_android",
               appkey: "595d9f487f2c7432cc00142f"
            },
            ios: {
               channelId: "ydzy_h5_ios",
               appkey: "59880fa46e27a41ac60000b8"
            }
         },test: {
            android: {
               channelId: "ydzy_h5_test_android",
               appkey: "5988102c1c5dd003f300107e"
            },
            ios: {
               channelId: "ydzy_h5_test_ios",
               appkey: "59881067734be43471000950"
            }
         }
      };
      var platformsType = "";
      if(ionic.Platform.isAndroid()) {
         platformsType = "android";
      } else if(ionic.Platform.isIOS()) {
         platformsType = "ios";
      }
      var options;
      if(window.MobclickAgent && window.MobclickAgent.init) {

         options = typeObj[evnStatusFlag] ? typeObj[evnStatusFlag][platformsType] : "";
         console.log(options);
         if(!options) {
            return;
         }
         //window.MobclickAgent.setLogEnabled(true);
         window.MobclickAgent.init(options.appkey, options.channelId);
         console.log("友盟监控初始化完成");
      }
   }

   //全局常量方法
   if (evnStatusFlag == "test") {
      app.constant('$interFace', {
         updateApp: {
            ios: 'https://www.pgyer.com/hazsbIos_test',
            android: 'https://www.pgyer.com/hazsb_test'
         },
          carSwitch:"https://agenttest.sinosafe.com.cn",
          imgUrl:"https://mtest.sinosafe.com.cn",
         verLocation: 'https://mtest.sinosafe.com.cn/eb-web/new-www/data/version-package.json',
         chcpLocation: 'https://mtest.sinosafe.com.cn/eb-web/new-www/chcp.json',
         mitMainFace: 'https://agenttest.sinosafe.com.cn/ydzy_service',//'https://agenttest.sinosafe.com.cn/mss/xszc/service/ydzyService', //主接口
         upLoadImg:'https://agenttest.sinosafe.com.cn/ydzy_service',//图片上传0827
         motoMainFace: 'https://agenttest.sinosafe.com.cn/ydzy_service/xszc/service/ydzyService',
         fileUploadUrl: 'https://mtest.sinosafe.com.cn/haupload/batchuploadimage', //上传图片接口base64
         fileStreamUploadUrl: 'https://mtest.sinosafe.com.cn/haupload/batchupload', //上传图片接口文件流
         learningUrl: 'https://test.sinosafe.com.cn/app/app.jhtml',
         shopUrl: "https://mtest.sinosafe.com.cn/eb-web/pro/mircoShop/index.html",//个人微店
         haStudyImg: "https://mtest.sinosafe.com.cn/eb-web/pro/app-haStudy/images/fxsl.png", //学习频道分享图片
         haStudyUrl: 'https://mtest.sinosafe.com.cn/eb-web/pro/app-haStudy-cms',// 学习频道
         couponUrl: 'https://mtest.sinosafe.com.cn/micro-plat/app/product/redenvelop/historyred.html?tokenId=',//优惠券入口
         signInUrl:'http://vip.rrtbx.com/user/index?activity=huiyuanchengzhang',
         checkInUrl:'https://mtest.sinosafe.com.cn/eb-web/dist/mobileCheckIn/#/attandence?',//移动打卡链接路径
         noCarRcordQuery: 'https://mtest.sinosafe.com.cn/micro-plat/app/pages/policy-common/policy-my-perf.html?agentcode=',
         policyUrl: 'https://mtest.sinosafe.com.cn/micro-plat/app/policy-product-common-page.html?ms=MIT-H5&agentcode=', //非车列表
         policyQuery: 'https://mtest.sinosafe.com.cn/micro-plat/app/product/policy/list.html?ms=zhanye-app-iOSlist', //非车投保进度查询
         policyOldPay: "http://agenttest.sinosafe.com.cn/payonline-uat/recvMerchantAction.do?orderId=", //老支付地址
         policyNewPay: "https://mtest.sinosafe.com.cn/eb-web/pay/m/index.html?sysCode=06&applyNo=", //新支付地址
         policyWeMall: "https://mtest.sinosafe.com.cn/?saleCode=",  //非车微商城
         policyShareInfo: "https://mtest.sinosafe.com.cn/micro-plat/commonQuery/queryShareInfo?",  //非车分享信息获取
         activityUrl: "https://test.sinosafe.com.cn/appplan/apparea.jhtml",//活动专区
         advertorialUrl: "https://mtest.sinosafe.com.cn/eb-web/vue/img-text/#/?",//展业软文
         selfInsurance: 'https://mtest.sinosafe.com.cn/eb-web/product/boHaiLife_app?', //渤海人寿
         peccancyQueryUrl: "https://mtest.sinosafe.com.cn/eb-web/wonhero/wzcx/index.html?",//违章查询
         shareWxUrl: "https://mtest.sinosafe.com.cn/eb-web/new-www/index.html?webSources=QMYX&webType=share&tempNo=", //报价分享
         yjxbUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/renewal-of-insurance/#/login", //一键续保的地址
         yjxbUrl2: "http://10.11.29.16:8088/#/login",//一键续保分享 ----  分享页2
         shareWxImgUrl: "https://mtest.sinosafe.com.cn/eb-web/new-www/images/webview/drawable-xhdpi-icon.jpg",
         nocarGetNotice: "//mtest.sinosafe.com.cn/micro-plat/renew/weekCountRenew", //获取非车续保通知栏消息
         nocarGetrenewal: "//mtest.sinosafe.com.cn/micro-plat/renew/renewPolicyQuery", //获取非车续保数据
         myPosterUrl: "https://mtest.sinosafe.com.cn/shop/ydzz/index",//展业海报
         ZHlifeInsureUrl: "https://mtest.sinosafe.com.cn/eb-web/new-www/middle.html?",//中宏寿险
         SigNameUrl:"http://mtest.sinosafe.com.cn/eauto/eshopauto-files/policy/gosign", //电子签名请求地址
         ZFQRCODE:"http://mtest.sinosafe.com.cn/payment/payOnline/createQRCode?applyNo=",//POS支付二维码
         queryUserInsureStateUrl: "https://mtest.sinosafe.com.cn/usercenter/userInfo/queryUserInsureState", //新人登录活动查询出单及话费领取状态
         phoneChargeUrl: "https://mtest.sinosafe.com.cn/usercenter/phoneActivity/phoneCharge", //领取话费
         virtualActivateCardUrl: "https://mtest.sinosafe.com.cn/eb-web/pro/virtualcard/index.html", //虚拟激活卡
         commonUerUrl: "https://mtest.sinosafe.com.cn/eb-web/vue/member/commonUser.html", //常用联系人
         policyListUrl:"https://mtest.sinosafe.com.cn/micro-plat/commonQuery/queryProductList", //非车列表请求接口
         policyDetail:"https://mtest.sinosafe.com.cn/micro-plat/app/policy-common-comp-page.html", //非车险种详情页面
         signStatusUrl:"http://vip.rrtbx.com/api_data/get_sign",//获取首页签到状态接口
         reportUrl:"https://mtest.sinosafe.com.cn/qmyb/appuserinfo?act=login&report=more",//管理报表地址

         //个人工作平台
         salesPerformMainFace: "https://agenttest.sinosafe.com.cn/spmobile", //个人工作平台接口路径 
         gerenjixiaoUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/home", //个人绩效
         xubaoqingdanUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/renewal",//续保清单
         xubaogenjinUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/renewalFollow", //续保跟进
         xubaotongjiUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/renewalCount",//续保统计
         lipeigenjinUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/insuranceClaim", //理赔跟进
         unreadMsgListUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/news", //未读消息
         salesPerformMsgJumpUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/about", //跟人工作平台消息跳转入口
         myInfoUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/myInfo/myInfoIndex", //我的资料
         userInfo:"https://mtest.sinosafe.com.cn/pup/usercenter/app/queryAppUserInfo",//获取个人资料接口
         renewalDetailUrl:"https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/carInsure",//续保跟进详情页
         myCardUrl:"https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/myInfo/myCard",//我的名片
         bindInsuranceLicenseUrl:'https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/myInfo/cert', //绑定执业资格证书
      
      	//测试环境调用本地接口
         onekeyRenewal:"https://agenttest.sinosafe.com.cn/ydzy_service/renewal/queryPolicyInfo",//钟东发
         getFlowid:"https://agenttest.sinosafe.com.cn/ydzy_service/init",
	     sendEmail: "https://agenttest.sinosafe.com.cn/ele_policy", //发送邮件
         webUrl: "http://test.sinosafe.com.cn/eauto/eshopauto-files/policy/electPolicyDownload/", //电子保单外部打开地址
         // webUrl: "http://10.1.109.123:19092/res/images/pdfview/web/viewer.html?file=http%3A%2F%2F10.1.109.123%3A19092%2FsignInfo%2Ffile%2Fpdf%2F", //电子保单外部打开地址

         cmscenterMainFace: "https://mtest.sinosafe.com.cn/pup/cmscenter", //cmscenter cms所在系统
         usercenterMainFace: "https://mtest.sinosafe.com.cn/pup/usercenter", //usercenter 会员中心
         saveXbConfig:"https://mtest.sinosafe.com.cn/eauto/eshopauto/renewal/outside/salesConfigSave", //续保设置C方案保存
         getXbConfig:"https://mtest.sinosafe.com.cn/eauto/eshopauto/renewal/outside/salesConfigQuery", //获取续保设置C方案
         hazsbUrl:"https://www.pgyer.com/hazsb_test", //获取掌上宝app下载链接
         hazsbQRcodeUrl:"https://www.pgyer.com/app/qrcode/hazsb_test", //获取掌上宝app二维码下载链接
      });
   }
   else if (evnStatusFlag == "preview") {
      app.constant('$interFace', {
         updateApp: {
            ios: 'https://www.pgyer.com/ockb',
            android: 'https://www.pgyer.com/tgaB'
         },
          carSwitch:"https://agenttest.sinosafe.com.cn",
          imgUrl:"https://mtest.sinosafe.com.cn",
         verLocation:'https://mtest.sinosafe.com.cn/eb-web/preview-center-www/data/version-package.json',
         chcpLocation: 'https://mtest.sinosafe.com.cn/eb-web/preview-center-www/chcp.json',
         mitMainFace: 'http://mtest.sinosafe.com.cn/h5service', //主接口
         upLoadImg: 'http://mtest.sinosafe.com.cn/h5service',//图片上传0827
         motoMainFace: 'http://agenttest.sinosafe.com.cn/ydzy_service/xszc/service/ydzyService',
         fileUploadUrl: 'https://mtest.sinosafe.com.cn/haupload/batchuploadimage', //上传图片接口base64
         fileStreamUploadUrl: 'https://mtest.sinosafe.com.cn/haupload/batchupload', //上传图片接口文件流
         learningUrl: 'https://test.sinosafe.com.cn/app/app.jhtml',
         shopUrl: "https://mtest.sinosafe.com.cn/eb-web/pro/mircoShop/index.html",//个人微店
         haStudyImg: "https://mtest.sinosafe.com.cn/eb-web/pro/app-haStudy/images/fxsl.png", //学习频道分享图片
         haStudyUrl: 'https://mtest.sinosafe.com.cn/eb-web/pro/app-haStudy-cms',// 学习频道
         couponUrl: 'https://mtest.sinosafe.com.cn/micro-plat/app/product/redenvelop/historyred.html?tokenId=', //优惠券入口
         signInUrl:'http://vip.rrtbx.com/user/index?activity=huiyuanchengzhang',
          checkInUrl:'https://mtest.sinosafe.com.cn/eb-web/dist/mobileCheckIn/#/attandence?',//移动打卡链接路径
         noCarRcordQuery: 'https://mtest.sinosafe.com.cn/micro-plat/app/pages/policy-common/policy-my-perf.html?agentcode=',
         policyUrl: 'https://mtest.sinosafe.com.cn/micro-plat/app/policy-product-common-page.html?ms=MIT-H5&agentcode=', //非车列表
         policyQuery: 'https://mtest.sinosafe.com.cn/micro-plat/app/product/policy/list.html?ms=zhanye-app-iOSlist', //非车投保进度查询
         policyOldPay: 'http://agenttest.sinosafe.com.cn/payonline-uat/recvMerchantAction.do?orderId=',//老支付地址
         policyNewPay: 'https://test.sinosafe.com.cn/eb-web/pay/m/index.html?sysCode=06&applyNo=',//新支付地址
         policyWeMall: "https://mtest.sinosafe.com.cn/?saleCode=", //非车微商城
         policyShareInfo: "https://mtest.sinosafe.com.cn/micro-plat/commonQuery/queryShareInfo?", //非车分享信息获取
         activityUrl: "https://test.sinosafe.com.cn/appplan/apparea.jhtml",//活动专区
         advertorialUrl: "https://mtest.sinosafe.com.cn/eb-web/vue/img-text/#/?",//展业软文
         selfInsurance: 'https://mtest.sinosafe.com.cn/eb-web/product/boHaiLife_app?', //渤海人寿
         peccancyQueryUrl: "https://mtest.sinosafe.com.cn/eb-web/wonhero/wzcx/index.html?",//违章查询
         shareWxUrl: "https://mtest.sinosafe.com.cn/eb-web/preview-new-www/index.html?webSources=QMYX&webType=share&tempNo=",
         yjxbUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/renewal-of-insurance/#/login", //一键续保分享
         yjxbUrl2: "http://10.11.29.16:8088/#/login",//一键续保分享 ----  分享页2
         shareWxImgUrl: "https://mtest.sinosafe.com.cn/eb-web/preview-new-www/images/webview/drawable-xhdpi-icon.jpg",
         myPosterUrl: "https://mtest.sinosafe.com.cn/shop/ydzz/index",//展业海报
         ZHlifeInsureUrl: "https://mtest.sinosafe.com.cn/eb-web/preview-new-www/middle.html?",//中宏寿险
         SigNameUrl:"http://mtest.sinosafe.com.cn/eauto/eshopauto-files/policy/gosign" ,//电子签名请求地址
         ZFQRCODE:"http://mtest.sinosafe.com.cn/payment/payOnline/createQRCode?applyNo=",//POS支付二维码险
         queryUserInsureStateUrl: "https://mtest.sinosafe.com.cn/usercenter/userInfo/queryUserInsureState", //新人登录活动查询出单及话费领取状态
         phoneChargeUrl: "https://mtest.sinosafe.com.cn/usercenter/phoneActivity/phoneCharge", //领取话费
         virtualActivateCardUrl: "https://mtest.sinosafe.com.cn/eb-web/pro/virtualcard/index.html", //虚拟激活卡
         commonUerUrl: "https://mtest.sinosafe.com.cn/eb-web/vue/member/commonUser.html", //常用联系人
         policyListUrl:"https://mtest.sinosafe.com.cn/micro-plat/commonQuery/queryProductList", //非车列表请求接口
         policyDetail:"https://mtest.sinosafe.com.cn/micro-plat/app/policy-common-comp-page.html", //非车险种详情页面
         signStatusUrl:"http://vip.rrtbx.com/api_data/get_sign",//获取首页签到状态接口
         reportUrl:"https://mtest.sinosafe.com.cn/qmyb/appuserinfo?act=login&report=more",//管理报表地址

         //个人工作平台
         salesPerformMainFace: "https://agenttest.sinosafe.com.cn/spmobile", //个人工作平台接口路径 
         gerenjixiaoUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/home", //个人绩效
         xubaoqingdanUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/renewal",//续保清单
         xubaogenjinUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/renewalFollow", //续保跟进
         xubaotongjiUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/renewalCount",//续保统计
         lipeigenjinUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/insuranceClaim", //理赔跟进
         unreadMsgListUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/news", //未读消息
         salesPerformMsgJumpUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/about", //跟人工作平台消息跳转入口
         myInfoUrl: "https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/myInfo/myInfoIndex", //我的资料
         userInfo:"https://mtest.sinosafe.com.cn/pup/usercenter/app/queryAppUserInfo",//获取个人资料接口
         renewalDetailUrl:"https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/carInsure",//续保跟进详情页
         myCardUrl:"https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/myInfo/myCard",//我的名片
         bindInsuranceLicenseUrl:'https://mtest.sinosafe.com.cn/eb-web/dist/salesPerform/#/myInfo/cert', //绑定执业资格证书

         //测试环境调用本地接口
         onekeyRenewal:"https://agenttest.sinosafe.com.cn/ydzy_service/renewal/queryPolicyInfo",//钟东发
         getFlowid:"https://agenttest.sinosafe.com.cn/ydzy_service/init",
         sendEmail: "https://agenttest.sinosafe.com.cn/ele_policy", //发送邮件
         webUrl: "http://test.sinosafe.com.cn/eauto/eshopauto-files/policy/electPolicyDownload/", //电子保单外部打开地址
         // webUrl: "http://10.1.109.123:19092/res/images/pdfview/web/viewer.html?file=http%3A%2F%2F10.1.109.123%3A19092%2FsignInfo%2Ffile%2Fpdf%2F", //电子保单外部打开地址
         
         cmscenterMainFace: "https://mtest.sinosafe.com.cn/pup/cmscenter", //cmscenter cms所在系统
         usercenterMainFace: "https://mtest.sinosafe.com.cn/pup/usercenter", //usercenter 会员中心
         saveXbConfig:"https://mtest.sinosafe.com.cn/eauto/eshopauto/renewal/outside/salesConfigSave", //续保设置C方案保存
         getXbConfig:"https://mtest.sinosafe.com.cn/eauto/eshopauto/renewal/outside/salesConfigQuery", //获取续保设置C方案
         hazsbUrl:"https://www.pgyer.com/hazsb_test", //获取掌上宝app下载链接
         hazsbQRcodeUrl:"https://www.pgyer.com/app/qrcode/hazsb_test", //获取掌上宝app二维码下载链接
      });
   }
   else {
      //todo: 当生产环境切换到new-www后  需要把以下的center-www修改为new-www
      app.constant('$interFace', {
         updateApp: {
            ios: 'https://www.pgyer.com/hazsbIos',
            android: 'https://www.pgyer.com/hazsb'
         },
          carSwitch:"https://agent.sinosafe.com.cn",
          imgUrl:"https://m.sinosafe.com.cn",
         verLocation: 'https://m.sinosafe.com.cn/eb-web/new-www/data/version-package.json',
         chcpLocation: 'https://m.sinosafe.com.cn/eb-web/new-www/chcp.json',
         mitMainFace: 'https://m.sinosafe.com.cn/eauto/eautomobile',//'https://agent.sinosafe.com.cn/mss2/xszc/service/ydzyService', //主接口
         upLoadImg:'https://m.sinosafe.com.cn/eauto/zuul/eautomobile',//图片上传0827
         motoMainFace: "https://www.sinosafe.com.cn/eauto/eautomobile/xszc/service/ydzyService",
         fileUploadUrl: 'https://m.sinosafe.com.cn/haupload/batchuploadimage', //上传图片接口base64
         fileStreamUploadUrl: 'https://m.sinosafe.com.cn/haupload/batchupload', //上传图片接口文件流
         learningUrl: 'https://www.sinosafe.com.cn/app/app.jhtml',
         shopUrl: "https://m.sinosafe.com.cn/eb-web/pro/mircoShop/index.html",//个人微店
         haStudyImg: "https://m.sinosafe.com.cn/eb-web/pro/app-haStudy/images/fxsl.png", //学习频道分享图片
         haStudyUrl: 'https://m.sinosafe.com.cn/eb-web/pro/app-haStudy-cms',// 学习频道
         couponUrl: 'https://m.sinosafe.com.cn/micro-plat/app/product/redenvelop/historyred.html?tokenId=',//优惠券入口
         signInUrl:'http://vip.sinosafe.com.cn/user?activity=huiyuanchengzhang',
          checkInUrl:'https://m.sinosafe.com.cn/eb-web/dist/mobileCheckIn/#/attandence?',//移动打卡链接路径
         noCarRcordQuery: 'https://m.sinosafe.com.cn/micro-plat/app/pages/policy-common/policy-my-perf.html?agentcode=',
         policyUrl: 'https://m.sinosafe.com.cn/micro-plat/app/policy-product-common-page.html?ms=MIT-H5&agentcode=', //非车列表
         policyQuery: 'https://m.sinosafe.com.cn/micro-plat/app/product/policy/list.html?ms=zhanye-app-iOSlist', //非车投保进度查询
         policyOldPay: "http://m.sinosafe.com.cn/payonline/recvMerchantAction.do?orderId=", //老支付地址
         policyNewPay: "https://m.sinosafe.com.cn/eb-web/pay/m/index.html?sysCode=06&applyNo=",   //新支付地址
         policyWeMall: "https://m.sinosafe.com.cn/?saleCode=",  //非车微商城
         policyShareInfo: "https://m.sinosafe.com.cn/micro-plat/commonQuery/queryShareInfo?", //非车分享信息获取
         activityUrl: "https://www.sinosafe.com.cn/appplan/apparea.jhtml",//活动专区
         advertorialUrl: "https://m.sinosafe.com.cn/eb-web/vue/img-text/#/?",//展业软文
	 selfInsurance: 'https://m.sinosafe.com.cn/eb-web/product/boHaiLife_app?', //渤海人寿
         peccancyQueryUrl: " https://m.sinosafe.com.cn/eb-web/wonhero/wzcx/index.html?",//违章查询
         shareWxUrl: "https://m.sinosafe.com.cn/eb-web/new-www/index.html?webSources=QMYX&webType=share&tempNo=", //分享报价
         yjxbUrl: "https://m.sinosafe.com.cn/eb-web/dist/renewal-of-insurance/#/login", //一键续保分享
         yjxbUrl2: "http://10.11.29.16:8088/#/login",//一键续保分享 ----  分享页2
         shareWxImgUrl: "https://m.sinosafe.com.cn/eb-web/new-www//images/webview/drawable-xhdpi-icon.jpg", //分享报价图片
         nocarGetNotice: "https://m.sinosafe.com.cn/micro-plat/renew/weekCountRenew", //获取非车续保通知栏消息
         nocarGetrenewal: "https://m.sinosafe.com.cn/micro-plat/renew/renewPolicyQuery", //获取非车续保数据
         myPosterUrl: "https://m.sinosafe.com.cn/shop/ydzz/index",//展业海报
         ZHlifeInsureUrl: "https://m.sinosafe.com.cn/eb-web/new-www/middle.html?",//中宏寿险
         ZFQRCODE:"https://m.sinosafe.com.cn/payment/payOnline/createQRCode?applyNo=",//POS支付二维码
         queryUserInsureStateUrl: "https://m.sinosafe.com.cn/usercenter/userInfo/queryUserInsureState", //新人登录活动查询出单及话费领取状态
         phoneChargeUrl: "https://m.sinosafe.com.cn/usercenter/phoneActivity/phoneCharge", //领取话费
         virtualActivateCardUrl: "https://m.sinosafe.com.cn/eb-web/pro/virtualcard/index.html", //虚拟激活卡
         commonUerUrl: "https://m.sinosafe.com.cn/eb-web/vue/member/commonUser.html", //常用联系人
         policyListUrl:"https://m.sinosafe.com.cn/micro-plat/commonQuery/queryProductList", //非车列表请求接口
         policyDetail:"https://m.sinosafe.com.cn/micro-plat/app/policy-common-comp-page.html", //非车险种详情页面
         signStatusUrl:"https://m.sinosafe.com.cn/api_data/get_sign",//获取首页签到状态接口
         reportUrl:"https://m.sinosafe.com.cn/qmyb/appuserinfo?act=login&report=more",//管理报表地址

         //个人工作平台
         salesPerformMainFace: "https://m.sinosafe.com.cn/SalesPlatformMobile", //个人工作平台接口路径 
         gerenjixiaoUrl: "https://m.sinosafe.com.cn/eb-web/dist/salesPerform/#/home", //个人绩效
         xubaoqingdanUrl: "https://m.sinosafe.com.cn/eb-web/dist/salesPerform/#/renewal",//续保清单
         xubaogenjinUrl: "https://m.sinosafe.com.cn/eb-web/dist/salesPerform/#/renewalFollow", //续保跟进
         xubaotongjiUrl: "https://m.sinosafe.com.cn/eb-web/dist/salesPerform/#/renewalCount",//续保统计
         lipeigenjinUrl: "https://m.sinosafe.com.cn/eb-web/dist/salesPerform/#/insuranceClaim", //理赔跟进
         unreadMsgListUrl: "https://m.sinosafe.com.cn/eb-web/dist/salesPerform/#/news", //未读消息
         salesPerformMsgJumpUrl: "https://m.sinosafe.com.cn/eb-web/dist/salesPerform/#/about", //跟人工作平台消息跳转入口
         myInfoUrl: "https://m.sinosafe.com.cn/eb-web/dist/salesPerform/#/myInfo/myInfoIndex", //我的资料
         userInfo:"https://m.sinosafe.com.cn/pup/usercenter/app/queryAppUserInfo",//获取个人资料接口
         renewalDetailUrl:"https://m.sinosafe.com.cn/eb-web/dist/salesPerform/#/carInsure",//续保跟进详情页
         myCardUrl:"https://m.sinosafe.com.cn/eb-web/dist/salesPerform/#/myInfo/myCard",//我的名片
         bindInsuranceLicenseUrl:'https://m.sinosafe.com.cn/eb-web/dist/salesPerform/#/myInfo/cert', //绑定执业资格证书

         ZFCOOKIE:"https://m.sinosafe.com.cn/payment/writeCookies?currentInfo=",//支付存cookie
         SigNameUrl:"https://www.sinosafe.com.cn/eauto/eshopauto-files/policy/gosign", //电子签名请求地址
         sendEmail: "https://m.sinosafe.com.cn/eauto/eshopauto-files", //发送邮件
         // webUrl: "https://e.sinosafe.com.cn/ec/res/images/pdfview/web/viewer.html?file=https%3a%2f%2fe.sinosafe.com.cn%2fec%2fsignInfo%2ffile%2fpdf%2f", //电子保单外部打开地址
         webUrl: "http://www.sinosafe.com.cn/eauto/eshopauto-files/policy/electPolicyDownload/", //电子保单外部打开地址

         cmscenterMainFace: "https://m.sinosafe.com.cn/pup/cmscenter", //cmscenter cms所在系统
         usercenterMainFace: "https://m.sinosafe.com.cn/pup/usercenter", //usercenter 会员中心
         saveXbConfig:"https://m.sinosafe.com.cn/eauto/eshopauto/renewal/outside/salesConfigSave", //续保设置C方案保存
         getXbConfig:"https://m.sinosafe.com.cn/eauto/eshopauto/renewal/outside/salesConfigQuery", //获取续保设置C方案
         hazsbUrl:"https://www.pgyer.com/hazsb", //获取掌上宝app下载链接
         hazsbQRcodeUrl:"https://www.pgyer.com/app/qrcode/hazsb", //获取掌上宝app二维码下载链接
       
      });
   }

   initUMengConfig();

   //全局提示消息
   app.constant('$message', {
      serverError: '服务器繁忙，请稍后再试试',
      loginOut: '登录超时'
   });
   //启动方法
   app.bootstrap = function () {
      angular.bootstrap(document, ['app']);
   };
   return app;
});
