/***
 * 车险字段Bean
 ***/
define(function () {
   'use strict';
   var app = angular.module('app.car.beans', []).factory('$carBeansService', ['$rootScope', function ($rootScope) {
      var Handle = (function (handle) {
         handle.nowDate = function () {
            return new Date().format('yyyy-MM-dd');
         };
         handle.recNexDate = function () {
            var nex = new Date();
            nex.setDate(nex.getDate() + 1);
            return nex.format('yyyy-MM-dd 00:00');
         };
         handle.recNexYear = function () {
            var nex = new Date();
            nex.setFullYear(nex.getFullYear() + 1);
            return nex.format('yyyy-MM-dd 23:59');
         };
         handle.recImmeStarTime = function () {
            var nex = new Date();
            nex.setDate(nex.getDate() +1);
            return nex.format('yyyy-MM-dd 00:00');
         };
         handle.recImmeEndTime = function () {
            var nex = new Date();
            nex.setDate(nex.getDate()+6);
            return nex.format('yyyy-MM-dd 23:59');
         };
         return handle;
      })(Handle || {});

      $rootScope.handleTime=angular.copy(Handle);

      //BANNERS 展示图片
      $rootScope.BANNERS = null;
      //底部 展示图片
      $rootScope.BUTTOM_IMGS = null;
      //链接参数信息
      $rootScope.SYS_INF = {};
      //业务员登录信息
      $rootScope.SLS_INFO = {};
      //业务员工号
      $rootScope.SLS_CDE="";
      //业务员工号 永远为业务工号，不会被销售助理替换 smx
      $rootScope.employeeNumber="";
      //机构信息
      $rootScope.deptHanderCode = "";
      //影像上传
      $rootScope.imageList=[];
      //保单查询-》影像关联保单号
      $rootScope.IMG_UPSEL={};
      //自助撤单
      $rootScope.myList=[];

      //营运非营运按钮
      $rootScope.CONFIGFLAG='';

      //提核前置规则
      $rootScope.openRules=function () {
         HandleService.showAlert('触碰规则', '', function () {

         }, {
            templateUrl: "templates/common/underwriting-rules.html",
            scope: $rootScope,
            okText: "返回"
         });
      };

      $rootScope.errorResult={
         showIcon:false
      };


      //其他信息
      $rootScope.OTHER_INFO = {
         RED_PAG: {
            RED_PAG_CODE: '', //是否支持 红包抵扣 000000 表示支持 其他不支持
            RED_PAG_MSG: '' //红包描述
         }
      };

      //是否是原生环境 标识
      $rootScope.isNative = ionic.Platform.isWebView();

      //加载框文案
      $rootScope.loadingStr ='正在加载';
      $rootScope.loadingCountDownStr = '8';

      $rootScope.isAppCarMass=false;
      $rootScope.isBizCarMass=false;
      $rootScope.isBenifitMass=false;
      $rootScope.revData={};
      // $rootScope.revString=[];

      //基础数据对象
      $rootScope.BASE_BEAN = {
          popoverItems:{
              "0":"APP业绩",
              "1":"全民优保业绩",
              "2":"B2B业绩",
              "3":"全部业绩"
          },
         underWriteState:{
            "0":"初始状态",
            "1":"人工核保通过",
            "2":"下发修改",
            "3":"自动核保通过",
            "4":"拒保",
            "6":"承保确认",
            "9":"转人工核保"
         },
         //座位数
         SITE_NUM: ['2', '3', '4', '5', '6', '7', '8'],
         //险种代码 对应中文名称
         INS_CN_NAME: {
            "030101": "车辆损失险",
            "030102": "第三者责任险",
            "030103": "全车盗抢险",
            "030104": "车上人员.司机",
            "030105": "车上人员.乘客",
            "030107": "玻璃破碎险",
            "030108": "自燃损失险",
            "030109": "新增设备损失险",
            "030110": "划痕险",
            "030111": "发动机涉水险",
            "030112": "修理期间补偿险",
            "030113": "车上货物责任险",
            "030114": "精神损害责任险",
            "030115": "无法找到第三方",
            "030116": "指定修理厂",
            "030119": "不计免赔率险",
            "030120": "三者假日翻倍险",
            "030201":"机动车损失保险（全面型）",
            "030207":"车轮损坏除外险",
            "021":"机动车损失保险（全面型）的免赔率"

         },
         GLASS_TYPY:{
            "1":"国产玻璃",
            "2":"进口玻璃"
         },
         /*商业第三者责任险选择框*/
         LIABILITY_INS_VAL: {
            50000: "5万",
            100000: "10万",
            150000: "15万",
            200000: "20万",
            300000: "30万",
            500000: "50万",
            1000000: "100万",
            1500000: "150万",
            2000000: "200万",
            2500000: "250万",
            3000000: "300万",
            3500000: "350万",
            4000000: "400万",
            4500000: "450万",
            5000000: "500万",
         },
         //司机座位险
         DRIVER_SEAT: [0.5, 1, 2, 3, 4, 5, 10, 15, 20,30,40,50],
         //乘客座位险
         PASSENGER_SEAT: [0.5, 1, 2, 3, 4, 5, 10, 15, 20,30,40,50],
         //刮痕险
         SCRATCH_INS: [2000, 5000, 10000, 20000],
         //修理期间费用补偿险
         COST_COM: {
            ROWS_NAME: '天',
            ITEMS_NAME: '元/天',
            ROWS: [20, 50, 90],
            ITEMS: [20, 50, 100, 200, 500]
         },
         //精神损害抚慰金责任险
         SPIR_COMFORT: [1, 2, 3, 4, 5, 10, 15, 20],
         //支付状态
         PAY_STATUS: {
            '-2': '未付款',
            '-1': '未付款',
            '0': '未付款',
            '1': '已付款',
            '5': '已付款'
         },
         //险别
         INSURANCE_VARIETY: {
            '0301': '交强险',
            '0302': '商业险'
         },
         //核保状态
         CKECK_STATUS: {
            '0': '未核保',
            '1': '已核保',
            '3': '打回修改',
            '5': '总公司核保',
            '7': '预核保'
         },
         PAY_STATE: {
            '1': '已支付',
            '2': '待支付',
            '3': '待修改',
            '4': '待审核'
         },
         PAY_STATES: {
            '1': '支付未出单',
            '2': '待支付',
            '3': '待修改',
            '4': '待审核'
         },
         IMG_STATE: {
            '1': '已上传,可继续补传',
            '0': '未上传'

         },
         IMG_REV: {
            '0': '规则异常',
            '1': '事前复核',
            '11': '事前复核已提交',
            '1_0': '事前复核通过',
            '1_9': '事前复核不通过',
            '2': '事后复核',
            '21': '事后复核已提交',
            '2_1':'事后复核转事前复核',
            '2_2':'事后复核转事前复核已提交',
            '2_1_0':'事后复核转事前复核通过',
            '2_1_9':'事后复核转事前复核不通过',
            '3': '无需复核'
         },
         //影像状态
         IMG_STATUS: {
            '010001': '未上传',
            '010002': '补传中',
            '010003': '申请中',
            '010004': '已完成'
         },
         //车辆来历凭证种类
         CERTIFICATE_TYPES: {
            '01': '销售发票',
            '02': '法院调解书',
            '03': '法院规定书',
            '04': '法院判决书',
            '05': '仲裁裁决书',
            '06': '相关文书(继承、赠予、协议抵债)',
            '07': '批准文件',
            '08': '调拨证明',
            '09': '修理发票'
         },
         //减免税标识
         TAX_TYPES: {
            "922001": "纳税",
            "922002": "减税",
            "922003": "免税",
            "922004": "完税"
         },
          //jqxClassId 转 carKindCodeShow
          CLASSIDTOCARKINDSHOW: {
              "KA": "11",//六座以下客车
              "KB": "12",//六座至十座以下客车
              "KC": "13",//十座至二十座以下客车
              "KD": "14",//二十座至三十六座以下客车
              "KE": "15",//三十六座及三十六座以上客车
              "HA": "21",//二吨以下货车
              "HB": "22",//二吨至五吨以下货车
              "HC": "23",//五吨至十吨以下货车
              "HD": "24",//十吨以上货车
              "GA": "25",//二吨以下挂车
              "GB": "26",//二吨至五吨以下挂车
              "GC": "27",//五吨至十吨以下挂车
              "GD": "28" //十吨以上挂车
          },
         //交管车辆类型  vehicleCategory
         VEHICLECATEGORY: {
            '11':{//六座以下客车
               "K31": "小型普通客车",
               "K32": "小型越野客车",
               "K33": "轿车",
               "K41": "微型普通客车",
               "K42": "微型越野客车",
               "K43": "微型轿车"
            },
            '12':{//六座至十座客车
               "K31": "小型普通客车",
               "K32": "小型越野客车",
               "K33": "轿车",
               "K41": "微型普通客车",
               "K42": "微型越野客车",
               "K43": "微型轿车"
            },
            '13':{//十座至二十座以下客车
               "K21": "中型普通客车",
               "K22": "中型双层客车",
               "K23": "中型卧铺客车",
               "K24": "中型铰接客车",
               "K25": "中型越野客车"
            },
            '14':{//二十座至三十六座客车
               "K11": "大型普通客车",
               "K12": "大型双层客车",
               "K13": "大型卧铺客车",
               "K14": "大型铰接客车",
               "K15": "大型越野客车"
            },
            '15':{//三十六座以上客车
               "K11": "大型普通客车",
               "K12": "大型双层客车",
               "K13": "大型卧铺客车",
               "K14": "大型铰接客车",
               "K15": "大型越野客车"
            },
            '21':{//二吨以下货车
               "H21": "中型普通货车",
               "H22": "中型厢式货车",
               "H23": "中型封闭货车",
               "H24": "中型罐式货车",
               "H25": "中型平板货车",
               "H26": "中型集装厢车",
               "H27": "中型自卸货车",
               "H28": "中型特殊结构货车",
               "H31": "轻型普通货车",
               "H32": "轻型厢式货车",
               "H33": "轻型封闭货车",
               "H34": "轻型罐式货车",
               "H35": "轻型平板货车",
               "H37": "轻型自卸货车",
               "H38": "轻型特殊结构货车",
               "H41": "微型普通货车",
               "H42": "微型厢式货车",
               "H43": "微型封闭货车",
               "H44": "微型罐式货车",
               "H45": "微型自卸货车",
               "H46": "微型特殊结构货车"
            },
            '22':{//二吨至五吨货车
               "H21": "中型普通货车",
               "H22": "中型厢式货车",
               "H23": "中型封闭货车",
               "H24": "中型罐式货车",
               "H25": "中型平板货车",
               "H26": "中型集装厢车",
               "H27": "中型自卸货车",
               "H28": "中型特殊结构货车",
               "H31": "轻型普通货车",
               "H32": "轻型厢式货车",
               "H33": "轻型封闭货车",
               "H34": "轻型罐式货车",
               "H35": "轻型平板货车",
               "H37": "轻型自卸货车",
               "H38": "轻型特殊结构货车",
               "H41": "微型普通货车",
               "H42": "微型厢式货车",
               "H43": "微型封闭货车",
               "H44": "微型罐式货车",
               "H45": "微型自卸货车",
               "H46": "微型特殊结构货车"
            },
            '23':{//五吨至十吨货车
               "H11": "重型普通货车",
               "H12": "重型厢式货车",
               "H13": "重型封闭货车",
               "H14": "重型罐式货车",
               "H15": "重型平板货车",
               "H16": "重型集装厢车",
               "H17": "重型自卸货车",
               "H18": "重型特殊结构货车",
               "H21": "中型普通货车",
               "H22": "中型厢式货车",
               "H23": "中型封闭货车",
               "H24": "中型罐式货车",
               "H25": "中型平板货车",
               "H26": "中型集装厢车",
               "H27": "中型自卸货车",
               "H28": "中型特殊结构货车"
            },
            '24':{//十吨以上货车
               "H11": "重型普通货车",
               "H12": "重型厢式货车",
               "H13": "重型封闭货车",
               "H14": "重型罐式货车",
               "H15": "重型平板货车",
               "H16": "重型集装厢车",
               "H17": "重型自卸货车",
               "H18": "重型特殊结构货车",
               "H21": "中型普通货车",
               "H22": "中型厢式货车",
               "H23": "中型封闭货车",
               "H24": "中型罐式货车",
               "H25": "中型平板货车",
               "H26": "中型集装厢车",
               "H27": "中型自卸货车",
               "H28": "中型特殊结构货车"
            },
            '25':{//二吨以下挂车
               "B21": "中型普通半挂车",
               "B22": "中型厢式半挂车",
               "B23": "中型罐式半挂车",
               "B24": "中型平板半挂车",
               "B25": "中型集装箱半挂车",
               "B26": "中型自卸半挂车",
               "B27": "中型特殊结构半挂车",
               "B31": "轻型普通半挂车",
               "H32": "轻型厢式半挂车",
               "H33": "轻型罐式半挂车",
               "H34": "轻型平板半挂车",
               "H35": "轻型自卸半挂车",
               "G21": "中型普通全挂车",
               "G22": "中型厢式全挂车",
               "G23": "中型罐式全挂车",
               "G24": "中型平板全挂车",
               "G25": "中型集装箱全挂车",
               "G26": "中型自卸全挂车",
               "G31": "轻型普通全挂车",
               "G32": "轻型厢式全挂车",
               "G33": "轻型罐式全挂车",
               "G34": "轻型平板全挂车",
               "G35": "轻型自卸全挂车",
               "Q21": "中型半挂牵引车",
               "Q31": "轻型半挂牵引车"
            },
            '26':{//二吨至五吨挂车
               "B21": "中型普通半挂车",
               "B22": "中型厢式半挂车",
               "B23": "中型罐式半挂车",
               "B24": "中型平板半挂车",
               "B25": "中型集装箱半挂车",
               "B26": "中型自卸半挂车",
               "B27": "中型特殊结构半挂车",
               "B31": "轻型普通半挂车",
               "H32": "轻型厢式半挂车",
               "H33": "轻型罐式半挂车",
               "H34": "轻型平板半挂车",
               "H35": "轻型自卸半挂车",
               "G21": "中型普通全挂车",
               "G22": "中型厢式全挂车",
               "G23": "中型罐式全挂车",
               "G24": "中型平板全挂车",
               "G25": "中型集装箱全挂车",
               "G26": "中型自卸全挂车",
               "G31": "轻型普通全挂车",
               "G32": "轻型厢式全挂车",
               "G33": "轻型罐式全挂车",
               "G34": "轻型平板全挂车",
               "G35": "轻型自卸全挂车",
               "Q21": "中型半挂牵引车",
               "Q31": "轻型半挂牵引车"
            },
            '27':{//五吨至十吨挂车
               "B11": "重型普通半挂车",
               "B12": "重型厢式半挂车",
               "B13": "重型罐式半挂车",
               "B14": "重型平板半挂车",
               "B15": "重型集装箱半挂车",
               "B16": "重型自卸半挂车",
               "B17": "重型特殊结构半挂车",
               "B21": "中型普通半挂车",
               "B22": "中型厢式半挂车",
               "B23": "中型罐式半挂车",
               "B24": "中型平板半挂车",
               "B25": "中型平板半挂车",
               "B26": "中型平板半挂车",
               "B27": "中型平板半挂车",
               "G11": "中型平板半挂车",
               "G12": "中型平板半挂车",
               "G13": "中型平板半挂车",
               "G14": "中型平板半挂车",
               "G15": "中型平板半挂车",
               "G16": "中型平板半挂车",
               "G21": "中型平板半挂车",
               "G22": "中型平板半挂车",
               "G23": "中型平板半挂车",
               "G24": "中型平板半挂车",
               "G25": "中型平板半挂车",
               "G26": "中型平板半挂车",
               "Q11": "重型半挂牵引车",
               "Q21": "中型半挂牵引车"
            },
            '28':{//十吨以上挂车
               "B11": "重型普通半挂车",
               "B12": "重型厢式半挂车",
               "B13": "重型罐式半挂车",
               "B14": "重型平板半挂车",
               "B15": "重型集装箱半挂车",
               "B16": "重型自卸半挂车",
               "B17": "重型特殊结构半挂车",
               "B21": "中型普通半挂车",
               "B22": "中型厢式半挂车",
               "B23": "中型罐式半挂车",
               "B24": "中型平板半挂车",
               "B25": "中型平板半挂车",
               "B26": "中型平板半挂车",
               "B27": "中型平板半挂车",
               "G11": "中型平板半挂车",
               "G12": "中型平板半挂车",
               "G13": "中型平板半挂车",
               "G14": "中型平板半挂车",
               "G15": "中型平板半挂车",
               "G16": "中型平板半挂车",
               "G21": "中型平板半挂车",
               "G22": "中型平板半挂车",
               "G23": "中型平板半挂车",
               "G24": "中型平板半挂车",
               "G25": "中型平板半挂车",
               "G26": "中型平板半挂车",
               "Q11": "重型半挂牵引车",
               "Q21": "中型半挂牵引车"
            }
         },
         //减免税日期分割线
         TAX_TIME_DIVISION: '2015-09-11',

         //主险和附加险的对应关系
         CS_FJINS: ["030107", "030108", "030110", "030109", "030111", "030112", "030115", "030116"],  //车辆损失险的附加险
         CS_FJINS2: ['030207'], //机动车损失保险（全面型）附加险

         JF_FJINS: ["030114"],

         //醉酒后驾驶违法行为系数
         DRINK_DICTIONARY: {
            '936001': '零次',
            '936002': '一次',
            '936003': '两次',
            '936004': '三次及以上'
         },

         //单位性质联动-》车主类别
         NATURE_CATEGORY: {
            "377005": "376003", //个体私营企业-》企业
            "377006": "376003", //其他企业-》企业
            "377099": "376001"  //其他-》个人
         },
         //车主类别-》所属性质
         CAR_TYPE: {
            "376001": "343002", //个体私营企业-》企业
            "376002": "343004", //其他企业-》企业
            "376003": "343003"  //其他-》个人
         },
         //所属性质与车主类别转换
         DRVOWNER_CHANGE: {
            "343002": "376001", //个人
            "343003": "376003", //企业
            "343004": "376002"  //机关
         },
         //所属性质转投保人类型
         BELOG_TYPES:{
            "01":"1", //个人
            "02":"2", //机关
            "03":"3"  //企业
         },
         //车主类别-》所属性质
         DRVOWNER_STYLES: {
            "376001": "个人", //个体私营企业-》企业
            "376002": "机关", //其他企业-》企业
            "376003": "企业"  //其他-》个人
         },
         //单保责任类  责任类险种
         DUTY_LIST: ["030102", "030104", "030105", "030114","030120"],

         //与道路交通事故相联系的浮动比率
         ROAD_RATE: {
            "A0": "交强险交通事故费率不浮动",
            "A1": "上一个年度未发生有责任道路交通事故",
            "A2": "上两个年度未发生有责任道路交通事故",
            "A3": "上三个及以上年度未发生有责任道路交通事故",
            "A4": "上一个年度发生一次有责任不涉及死亡的道路交通事故",
            "A5": "上一个年度发生两次及两次以上有责任道路交通事故",
            "A6": "上一个年度发生有责任道路交通死亡事故"
         },
         TRAFFIC_RATE: {
            "V0": "V0交强险交通安全违法行为不浮动",
            "V1": "V1上一个年度没有道路交通安全违法行为",
            "V2": "V2上两个年度没有道路交通安全违法行为",
            "V3": "V3上三个及以上年度没有道路交通安全违法行为",
            "V4": "V4上一个年度有道路交通安全违法行为但不属于V5－V7的",
            "V5a": "V5a上一个年度一次违法道路交通信号灯通行的；逆向行驶的",
            "V5b": "V5b上一个年度两次违法道路交通信号灯通行的；逆向行驶的",
            "V5c": "V5c上一个年度三次以及三次以上违法道路交通信号灯通行的；逆向行驶的",
            "V6": "V6上一个年度发生驾驶与准驾车型不符的机动车的；发生机动车驾驶证被暂扣期间驾驶机动车的",
            "V7": "V7上一个年度发生饮酒（含酒精）后驾驶机动车",
            "V8": "V8上一个年度发生各类道路交通违法行为（除V5－V7）五次（含）以上"
         },
          // 商业险  无赔优待系数
          ProfitCode: {
            "N105": "连续5年没有发生赔款",
            "N104": "连续4年没有发生赔款",
            "N103": "连续3年没有发生赔款",
            "N102": "连续2年没有发生赔款",
            "N101": "上年没有发生赔款",
            "N111": "新保或上年发生1次赔款",
            "N112": "上年发生2次赔款",
            "N113": "上年发生3次赔款",
            "N114": "上年发生4次赔款",
            "N115": "上年发生5次赔款",
            "N116": "上年发生6次赔款",
            "N117": "上年发生7次赔款",
            "N118": "上年发生8次赔款",
            "N119": "上年发生9次赔款",
            "N1110": "上年发生10次赔款",
            "N1A": "上年发生5次及以上赔款",
            "N1B": "上年发生10次以上赔款",
            "N21": "",
          },

      }
      //全局开关对象
      window.SwitchBean={
         /* 机构控制开关 start*/
         "elecInvoice": "",//电子发票开关
         "elecSwitch": "", //电子保单开关
         "isElec": "",//电子投保开关
         "revSwitch": "",//复核开关
         "taxType": "",//完税机构开关
         "typeSwitch": "",//使用性质机构配置开关
         "personOperate": "",//个人代理管控  渠道来源
         "channelOperate": "",//协作人管控   客户源
         "deletSwitch": "", //自助删单
         "motoSwitch": "",   //摩托车开关
         "elecCompanySwitch": "", //内部电子保单
         "elecindSwitch":"", //交强商业电子保单  山东
         "elecindComplusSwitch":"", //新电子保单交强险开关
         "elecindCommerceSwitch":"", //新电子保单商业险开关
         "elecSignIn": "", //电子签名开关
         "elecPolicySwitch": "" ,//北京电子保单样式   只允许电子保单
         "updateSwitch": "", //
         "interSalesSwitch":"",//经办人开关
         "chaNodeSwitch":"",//服务网点开关
         "requiredHA0013N":"",//道路救援特约开关  1 不显示  0展示
          "showHB9999":"" ,//手工特约开关
         "vehicleTypeSwitch":"" ,//全业务类型开关
         "vehicleCategorySwitch":"",//交管车辆类型
         "licenseTypeSwitch":"",//号牌种类
         "licenseColorSwitch":"",//号牌颜色
         "businessStyle":"",//业务类型开关
         // "businessLevelType":"",//业务等级开关,0716合并
         // "wadingRiskSwitch":"1",//涉水险开关,0716开关取消走1
         "precisionScoreSwtich":"",//精准评分
         "paymsgSwitch":"",//短信验证码开关
         "feeCommissionRate":"", //总费用比例显示开关
         "occupationSwitch":"",//投被保人职业开关
         // "businessCodeSwitch":"", //投被保人业控行制,0716合并
         "taxDateSwitch":"", //完税日期开关
         "motoTaxDateSwitch":"", //摩托车完税日期开关
         "hideCustAndDiscountSwitch":"", //客户源 折扣 费折弹窗 开关
         "shipTaxesSwitch":"", //广东分公司交强险保单录入代扣代缴车船税主管税务机关

         "interSalesMaySwitch":"", //选择了代理人销售经办人是否非必录
         "interSalesBusinessSwitch":"", //特定渠道销售经办人必录
         "outerCompanyMustSwitch":"", //渠道网点在有代理人下必录
         "noInvoice":"", //不开发票
         "personalMessage":"",//个性详细信息
         "groupPoliciesSwitch":"",//团单标志码开关
         "contactSwitch":"", //经办人必录
         "shortInsuranceSwitch":"", //短期险开关
         "payTaxesSwitch":"", //补税纳税开关
         "certificateTypeSwitch":"", //控制车辆来历凭证种类开关
         "powerSwitch":"", //功率开关
         "taxCompancyCodeSwitch":"", //税务机关代码开关
         "ownerAddress":"",//车主地址
         "majorClause":"",//二类专修厂特约
         "tianJinTax":"",//天津车船税特殊处理
         "ownerType":"",//车主类型
         "ownerNameControl":"",//使用性质为个人时车主名称不做管控
         "usage":"",//使用性质显示开关
         "attributive ":"",//所属性质显示开关
         "customerSource":"",//隐藏客户源
         "queryCarInsuranceSwitch":"", //车型查询新接口
         "underwRuleSwitch":"" ,//提核前置开关
         "newPageEdition":"" ,//新页面开关
         "renewalShareSwitch":"",// 续保分享功能开关,0716新增
         "lastYearDataSwitch":"",// 获取上年承保方案开关,0730新增
		   "motolocationStartDateSwitch":"",// 摩托车交强险允许连续投保2年功能开关(暂时开通福建地区),0730新增
         "idcardAreaSwitch":"",//管控身份证带出地址开关,0730新增
         "driLicenseSwitch":"",//河北船税解缴改革,增加行驶证地址开关,0806新增
         "newHomeSwitch":"", //新首页可见性开关
         "dutyInfoSwitch":"",// 上传值班人员表开关,0827新增
         "salesmanSwitch":"",// 控制值班表上传开关,0827新增
         "motoInsureStartTimeSwitch":"",//摩托车及时投保非整点时间支持开关,0910新增
         "motoNoInvoice":"", //摩托车不开发票,1029新增
         "motoElecInvoice":"", //摩托车电子发票开关,1029新增
         /* 机构控制开关 end*/
      };
      $rootScope.switchBean = angular.copy(SwitchBean);
      //基础数据对象
      window.BaseBean={
         syAnswer:'',//商业险验证码
         jqAnswer:'',//交强险验证码
         isBasic: '0',//条款类型: 默认基本型*/
         ownerAge:'',//车主年龄用于非车险判断
         syInsureStartTime: Handle.recNexDate(),
         syInsureEndTime: Handle.recNexYear(),
         jqInsureStartTime: Handle.recNexDate(),
         jqInsureEndTime: Handle.recNexYear(),
         syInsureStartTimeShort: Handle.recNexDate(),
         syInsureEndTimeShort: Handle.recImmeEndTime(),
         jqInsureStartTimeShort: Handle.recNexDate(),
         jqInsureEndTimeShort: Handle.recImmeEndTime(),
         appIsSameDriver: false, //投保人同车主
         insuredSameDriver: false, //被保人同车主
         insuredSameApp: false, //被保人同投保人
         benifitSameApp:false,//受益人同投保人
         holdingSameApp:false,//控股股东同投保人
         principleSameApp:false,//负责人同投保人
         agentSameApp:false,//客户经办人同投保人
         allBenifitSameApp:false,//受益所有人同投保人
         benifitSameInsure:false,//受益人同被保人
         holdingSameInsure:false,//控股股东同被保人
         principleSameInsure:false,//负责人同被保人
         agentSameInsure:false,//客户经办人同被保人
         allBenifitSameInsure:false,//受益所有人同被保人
         /**  是否验证两号  */
         isTwoNum:false,
         isGetNewGroupProfiles:false,//是否生成新的团单标志码
         syElectronicPolicy:'0',//商业险电子保单
         jqElectronicPolicy:'0',//交强险电子保单
         vhlData:{
             "brandName":"", //车型名称
             "carStyle":"", //进口/国产
             "carYear":"", //车辆年份
             "ciModelCode":"",// 平台车型代码
             "completeKerbMass":"",// 整备质量
             "exhaustScale":"",// 排量
             "factory":"",// 制造厂商/厂商名称
             "fuelFlag":"",// 车船税减免标志 // 0 正常 1 车船税全免车型 2 车船税减免50%车型
             "hazardType":"",// 风险类型
             "modelCode":"",// 车型代码
             "newEnergyFlag":"",// 新能源标志
             "purchasePrice":"",// 新车购置价
             "remark":"",// 描述
             "seatCount":"",// 座位数
             "tonCount":"",// 吨位
             "vehicleClass":""// 车型分类
         },
         configData: {
            "agreementNo": "",  //渠道协议
             "agricultureFlag": "", //涉农标志 1：涉农 0：不涉农
             "argueSolution": "", //争议处理方式  1-诉讼 2-仲裁
             "baoHeFlag": "", //报核一体标志  	0 非报核一体；1 报核一体
             "busiAttrConfig": {
            "attachNatures": "01", //所属性质  01个人 02机关/团体 03企业
                "policyStyles": "", // (保单样式, 1电子保单 0监制保单)//wll 修改
                "useNatures": "02" //使用性质 01营业 02非营业 03营业出租租赁 04营业城市公交 05营业公路客车
            },
             "elecSignFlag":'',//电子投保  0否 1 是
            "channel": "",  //渠道来源
            "businessSource":"",//渠道代码
            "cityCode": "", //出单机构所在城市
            "companyCode": "", //机构代码
            "companyName": "", //机构名称
            "cooperateName": "", //协作人名称
            "cooperateCode": "", //协作人代码
            "cooperateChannel": "", //协作部门
            "interSalesmanName": "", //经办人名称
            "interSalesmanCode": "", //经办人代码
            "interSalesmanLicense": "", //经办人id
            "cooperateSiteCode": "", //合作网点代码
            "cooperateSiteName":"",//合作网点名称
            "outerCompanyCode": "", //渠道网点代码
            "outerCompanyName":"",//渠道网点名称
            "countryCode": "", //出单机构所在区县
            "handleText": "", // 险种上报说明
            "insuredProduct": "0", // 投保产品 0机动车 1摩托车
            "intermediaryCode": "", //代理人编码
            "intermediaryName": "", // 代理人名称
            "operatorCode": "", //出单员代码
            "operatorName": "", // 	出单员名称
            "origSys": "", //系统来源（APP/人人团）
            "outerSystem": "", //系统编码 eshopauto
            "postCode": "", //机构代码对应邮编
            "provinceCode": "", //出单机构所在省份
            "renewInd": "", // 	续保标志 0非续保 1续保
            "salesmanCode": "", //业务员编码
            "salesmanName": "", //业务员名称
            "terminalSource": "" // 终端来源  0104 H5 0106 App
         },
         linkState:{  //费折联动状态
            "0":"可联动未调整",
            "1":"超底线值联动",
            "2":"超底线值不联动",
            "3":"异常单不联动",
            "4":"低于软起步值不联动",
            "5":"低于软起步值联动",
            "6":"软联动",
            "7":"硬联动",
            "8":"通融",
            "9":"不联动"
         },
         taxExchange:{
            "0":"纳税车型",
            "1":"免税车型",
            "2":"减税车型",
            "3":"免税车型",
            "4":"减税车型"
         },
         "syProposalNo":"", //投保单号
         "jqProposalNo": "", // 投保单号
         "jqOrigFlag":true,
         "syOrigFlag":true,
         "isPayTianjinTax":false,
         "curbWeightVhl":"",//处理后整备质量
         "configFlag":"", //config页面模拟使用性质
         "shortJQ":false , //短期交强险
         "shortSY":false , //短期商业险
         "isCmpnyAgt":false, //是否选择渠道协议 默认不选
         "isTrueAgtCde":false, //是否选择客户源 默认不选
         "isIntersales":false, //是否选择经办人 默认不选
         "isCooperation":false, //是否选择合作网点 默认不选
         "isOuterNode":false, //是否选择渠道网点 默认不选
         "is_twoNumber_success":false, //两号标志
         "handleText": "", //提核说明
         "specialData":[],//特约数据
         "handSpecial":"",//手工特约
         "otherSpecial":"",//其他特约
         clauseList: [{//0
            clauseCode: "HA0002N",
            clauseName: "验车特约",
            clauseContext: "",
            checked: false
         },{//1
            clauseCode: "HA0005N",
            clauseName: "贷款车特约",
            clauseContext: "",
            checked: false
         },{//2
            clauseCode: "HA0006N",
            clauseName: "实际车型特约",
            clauseContext: "",
            checked: false
         },{//3
            clauseCode: "HA0901N",
            clauseName: "交强险即时生效特约",
            clauseContext: "",
            checked: false
         },{//4
            clauseCode: "HA1801N",
            clauseName: "限制指定专修厂特别约定",
            clauseContext: "",
            checked: false
         },{//5
            clauseCode: "HA0004N",
            clauseName: "非营业特约",
            clauseContext: "",
            checked: false
         },{//6
            clauseCode: "HA0013N",
            clauseName: "道路救援特约",
            clauseContext: "",
            checked: false
         },{//7
            clauseCode: "HB9999",
            clauseName: "手工特约",
            clauseContext: "",
            checked: false
         }],
         businessSourceName:{
            "19001":"直接业务",
            "1900101":"直接业务(传统)",
            "1900102":"直接业务(电销)",
            "1900103":"直接业务(网销)",
            "19002":"代理业务",
            "1900201":"专业代理",
            "1900202":"兼业代理",
            "190020201":"银行代理",
            "190020202":"邮政代理",
            "190020203":"车行代理",
            "190020204":"修理厂",
            "190020299":"其它兼业",
            "1900203":"个人代理",
            "190020301":"传统个人代理",
            "190020302":"全民营销个人代理",
            "19003":"经纪业务"
         },
         tempChooseData:[]//1029特约缓存节点
      };

      $rootScope.baseBean = angular.copy(BaseBean);
      //---------------------------------------------- begin 投保对象 ----------------------------------------------//
      window.CarBeans = {
         "appConfig": {
            "electronicPolicyFlag": "", //华安电子保单 0-监制保单  1-电子保单
         },
         "base": {
            "agreementNo": "",  //渠道协议
            "agricultureFlag": "", //涉农标志 1：涉农 0：不涉农
            "argueSolution": "", //争议处理方式  1-诉讼 2-仲裁
            "baoHeFlag": "", //报核一体标志  	0 非报核一体；1 报核一体
            "busiAttrConfig": {
               "attachNatures": "01", //所属性质  01个人 02机关/团体 03企业
               "policyStyles": "", // (保单样式, 1电子保单 0监制保单)//wll 修改
               "useNatures": "02" //使用性质 01营业 02非营业 03营业出租租赁 04营业城市公交 05营业公路客车
            },
             "elecSignFlag":'',//电子投保  0否 1 是
            // "businessLevelType": "01", // 业务等级 01一类业务 02二类业务 03三类业务 04四类业务 0716合并
            "businessStyle": "",//业务类型  01优质业务(A类)  02普通业务(B类)  03高风险业务(C类)  04劣质业务(D类)
            "channel": "",  //渠道来源
            "businessSource":"",//渠道代码
            "cityCode": "", //出单机构所在城市
            "companyCode": "", //机构代码
            "companyName": "", //机构名称
            "cooperateName": "", //协作人名称
            "cooperateCode": "", //协作人代码
            "cooperateChannel": "", //协作部门
            "interSalesmanName": "", //经办人名称
            "interSalesmanCode": "", //经办人代码
            "interSalesmanLicense": "", //经办人id
            "cooperateSiteCode": "", //合作网点代码
            "cooperateSiteName":"",//合作网点名称
            "outerCompanyCode": "", //渠道网点代码
            "outerCompanyName":"",//渠道网点名称
            "countryCode": "", //出单机构所在区县
            "handleText": "", // 险种上报说明
            "insuredProduct": "0", // 投保产品 0机动车 1摩托车
            "intermediaryCode": "", //代理人编码
            "intermediaryName": "", // 代理人名称
            "joinFlag": "1", //交商同保标志 0-否；1-是
            "operatorCode": "", //出单员代码
            "operatorName": "", // 	出单员名称
            "origSys": "", //系统来源（APP/人人团）
            "outerSystem": "", //系统编码 eshopauto
            "postCode": "", //机构代码对应邮编
            "provinceCode": "", //出单机构所在省份
            "renewInd": "", // 	续保标志 0非续保 1续保
            "salesmanCode": "", //业务员编码
            "salesmanName": "", //业务员名称
            "terminalSource": "", // 终端来源  0104 H5 0106 App
            "frmNoFlag": "", // 新车免两号  真假两号标志
            "isOnline": "" //个代信息 1线上个代 0非线上个代 null非个代 0730添加
         },
         "owner": {
            "address": "", //地址
            "age": "", //年龄
            "birthday": "",
            "fleetFlg": "",
            "gender": "01", //性别 01男 02女
            "email": "",//邮箱
            "groupCode": "", //团单编码
            "identifyNumber": "", //证件号码
            "identifyType": "01", //证件类型 01	身份证
            "insuredTypeCode": "1", // 车主类别 1个人 2机关 3企业
            "mobilePhone": "", //手机号
            "name": "", //车主名称
            "identifyExpiry": '', // 证件有效期
            "provinceCode": "",//河北车船税改革 车主行驶证省份
            "provinceName": "",
            "cityCode": "",//河北车船税改革 车主行驶证市区
            "cityName": "",
            "areaCode": "",//河北车船税改革 车主行驶证区县
            "areaName": "",
         },
         "applicant": {
            "account": "",//投保人银行
            "address": "", //地址
            "age": "", //年龄
            "birthday": "",
            "email": "",
            "gender": "", //性别 01男 02女
            "identifyNumber": "", //证件号码
            "identifyType": "", //证件类型
            "insuredType": "", // 投保人类型 1个人 2团体
            "invtype": "", //发票信息  0-普通发票；1-专用发票；2-电子发票
            "isEnterprise": "",//是否企业
            "name": "",//名称
            "openBank": "", //投保人开户银行
            "phone": "", //手机
            "country":"",
            "countryName":"",
            "taxType": "", //纳税人类型   01-一般纳税人;02-小规模纳税人;03-个人
            "mobilePhone":"", // 电子发票联系电话
            "elecproposal": "" ,//电子保单 北京特有 1-电子投保单 0-普通投保单
            "nation":"",//民族  北京机构
            "issuserCode":"",//签发机构  北京机构
            "certiStartDate":"",//身份证起期  北京机构
            "certiEndDate":"" ,//身份证止期  北京机构
            "contactName":"",//经办人名称(深圳团单必传)
            "contactMobile":"",//经办人手机号(深圳团单必传)
            "contactIdType":"01",//经办人证件类型(深圳团单必传)
            "contactIdNumber":"", //经办人证件号码(深圳团单必传),
            "contactEmail":"", //经办人邮箱(深圳团单必传),
            "identifyExpiry": '', // 证件有效期
            "identifyLongValid":"0",//证件长期有效
             "phoneHolder":"", //手机实际持人名称
             "holderCertiType":"",//手机实际持人证件类型 传值为个人证件类型的值
             "holderCertiCode":"", //手机实际持人证件号码
             "holderType":"", //HolderType-手机持有人类型：1-投保人、2-业务经办人
            "occupationCode":"", //客户职业编码
            "occupationName":"", //客户职业名称
             "businessCode":"", //客户行业编码
             "businessName":"", //客户行业名称
             "invPhone":"" //税务登记电话

         },
         "insured": {
            "account": "",//被保人银行
            "address": "", //地址
            "age": "", //年龄
            "birthday": "",
            "email": "",
            "gender": "", //性别 01男 02女
            "identifyNumber": "", //证件号码
            "identifyType": "", //证件类型
            "insuredType": "", // 被保人类型 1个人 2团体
            "name": "",//名称
            "openBank": "", //被保人开户银行
            "phone": "", //手机
            "country":"",
            "countryName":"",
            "taxType": "" ,//纳税人类型  01-一般纳税人;02-小规模纳税人;03-个人
            "nation":"",//民族  北京机构
            "issuserCode":"",//签发机构  北京机构
            "certiStartDate":"",//身份证起期  北京机构
            "certiEndDate":"" ,//身份证止期  北京机构,
            "identifyExpiry": '', // 证件有效期
            "identifyLongValid":"0",//证件长期有效
             "phoneHolder":"", //手机实际持人名称
             "holderCertiType":"",//手机实际持人证件类型 传值为个人证件类型的值
             "holderCertiCode":"", //手机实际持人证件号码
            "occupationCode":"", //客户职业编码
            "occupationName":"", //客户职业名称
             "businessCode":"", //客户行业编码
             "businessName":"" //客户行业名称
         },
         "beneficiary":{
            "insuredType":"",
            "insuredName":"",
            "identifyType":"",
            "identifyNumber":"",
            "identifyExpiry":"",
            "identifyLongValid":"0",//证件长期有效
            "phone":"",
            "country":"",
            "countryName":"",
            "address":"",
            "email":"",
             "sex":"01",
             "birthday":"",
            "occupationCode":"",
            "occupationName":"",
            "businessCode":"",
            "businessName":""
         },
         "appCustRecordInfo":{
            "beneficiaryaddress":"",
            "controllername":"",
            "controlleridtype":"01",
            "controlleridno":"",
            "controllerstart":"",
            "controllerend":"",
            "controllerislong":"0",
            "legalname":"",
            "legalidtype":"01",
            "legalidno":"",
            "legalstart":"",
            "legalend":"",
            "legalislong":"0",
            "businessname":"",
            "businessidtype":"01",
            "businessidno":"",
            "businesstart":"",
            "businessend":"",
            "businessislong":"0",
            "beneficiaryname":"",
            "beneficiaryidtype":"01",
            "beneficiaryidno":"",
            "beneficiarystart":"",
            "beneficiaryend":"",
            "beneficiaryislong":"0"
         },
         "insCustRecordInfo":{
            "beneficiaryaddress":"",
            "controllername":"",
            "controlleridtype":"01",
            "controlleridno":"",
            "controllerstart":"",
            "controllerend":"",
            "controllerislong":"0",
            "legalname":"",
            "legalidtype":"01",
            "legalidno":"",
            "legalstart":"",
            "legalend":"",
            "legalislong":"0",
            "businessname":"",
            "businessidtype":"01",
            "businessidno":"",
            "businesstart":"",
            "businessend":"",
            "businessislong":"0",
            "beneficiaryname":"",
            "beneficiaryidtype":"01",
            "beneficiaryidno":"",
            "beneficiarystart":"",
            "beneficiaryend":"",
            "beneficiaryislong":"0"
         },
         "riskList": [
            {
               "coverageList": [], //商业险
               "effectFlag": "", //即时生效 非即时：0,即时：1
               "endDate": "", //结束时间
               "riskCode": "0302", //
               "startDate": "" //起始时间
            },
            {
               "coverageList": [
                  {
                     "kindCode": "BZ",
                     "kindInd": "1",
                     "sumInsured": 122000
                  }
               ],
               "effectFlag": "1",
               "endDate": "",
               "riskCode": "0301",
               "startDate": "",
               "vhlTax": {
                  "certiType": "", //纳税人证件类型01居民身份证 02护照 03军人证 10组织机构代码 11工商注册号码 99其它
                  "completeKerbMass": "", //整备质量
                  "deductionDueType": "", //	减免税方案
                  "fuelType": "", //能源种类0 燃油,1 纯动机,2 燃料电池,3 插电式混合动力,4 其他混合动力
                  "identifyNumber": "", //纳税人证件号码
                  "paidFreeCertificate": "", //完税凭证号（减免税证明号）
                  "relifReason": "", //减免税原因
                  "singeinDate": "", //	购置日期
                  "taxCompancyCode": "", // 开具税务机关代码
                  "taxCompancyName": "", //开具税务机关
                  "taxEndDate": "", //	税款所属期止
                  "taxItemDetailCode": "", //	车船税车辆分类
                  "taxPayerName": "", //纳税人名称
                  "taxRelifFlag": "",// 	减免税标志01-拒缴 02-缴税 03-完税 04-减税 05-免税 06-补税并纳税
                  "taxpayerIdentifier": "", //	纳税人识别号
                  "taxDocumentDate": ""  //完税凭证填发日期
               }
            }
         ],
         "refereeId":"",//人人团推荐人id
         "vehicle": {
            "actualValue": "", //车辆实际价格
            "attachNature": "01", //所属性质01个人 02机关/团体 03企业
            "blockCode": "", //	街区代码
            "brandName": "", //	厂牌型号
            "carCheckDesc": "", //验车记录
            "carCheckResult": "", //验车结果
            "carChecker":"",  //验车人
            "carCheckReason": "", //免验车原因
            "carCheckStatus": "", //验车情况：01已验车 02免验车 03已验车
            "carCheckTime": "", //验车时间
            "carFamilyKind": "", //车系分类
            "carKindCode": "100", //机动车种类 100客车 200货车 300特种车 400摩托车 500拖拉机
            "carKindCodeShow": "", //车辆类型
            "carKindCodeShowName": "", //	车辆类型名称
            "carNewOldFlag": "", //新旧车标志 新车：1、旧车：0
            "carStyle": "",
            "carYear": "", //车辆年份
            "certificateNo": "", //车辆来历凭证编号 01销售发票 02法院调解书 03法院裁定书 04法院判决书 05仲裁裁决书 06相关文书（继承、赠予、协议抵债） 07批准文件 08调拨证明 09修理发票
            "chgOwnerFlag": "", //是否过户车0否 1是
            "networkCar":"",//是否网约车 0否 1是
            "ciCarName": "", //	平台车型名称
            "ciModelCode": "", //	平台车型代码
            "completeKerbMass": "", // 整备质量KG
            //"configModel": "", //配置型号
            "depreciationRate": "", //折旧率
            "engineNo": "", //发动机号
            "maskFrameNo": "",//两号带出的车架号掩码
            "maskEngineNo": "",//两号带出的发动机号掩码
            "exhaustScale": "", //排气量
            "factory": "", //制造厂商
            "familyName": "", //车系名称
            "fleetFlag": "", // 是否车队0否 1是
            "fleetNo": "", // 车队号
            "frameNo": "", //车架号/VIN码
            "fuelFlag": "", //燃油类型0燃油 1纯动机 2燃料电池 3插电式混合动力 4其他混合动力
            "getNewGroupPolicies":"", //获取新团单标识码  	Y是，其他否
            "glassType": "", //玻璃类型01-国产02-进口
            "groupCode": "", //	团单编码
            "hazardType": "", //	风险类型
            "hkFlag": "", //是否粤港两地否-0 是-1
            "imageStatus": "", //验车上传照片状态0未上传1已上传
            "jqxClassId": "", //交强险车辆分类
            "licenseNo": "", //车牌号码
            "loanVehicleFlag": "", //是否按揭车0否 1是
            "localVehicleInd": "", //是否外地车0否 1是
            "modelCode": "", //	厂牌车型代码
            "modelName":"", // 品牌型号
            "printBrandName": "", //打印厂牌车型
            "purchasePrice": "", //新车购置价
            "remark": "",  //描述
            "seatCount": "", // 核定载客数
            "series": "",
            "settleAddressCode": "", //车辆落户地址
            "singeinDate": "", //初次登记日期
            "syxClassId": "", //商业险车辆分类
            "useNatureShow": "", //使用性质01营业02非营业03营业出租租赁04营业城市公交05营业公路客运
            "vehicleClass": "" ,//	车型分类
            "power":"", //功率
            "tonCount":"",  //核定载质量
            "chgOwnerDate":"",  //转籍过户日期
            "certificateDate":"", //发证日期
            "specialCarFlag":"0",  //特殊车辆标志
            "newEnergyFlag":"",// 新能源标志
            "vehicleCategory": "",//交管车辆类型
            "licenseTypeCode": "",//号牌种类
            "licenseColorCode": "", //车牌颜色01蓝02黑03白04黄05白蓝99其他
            "jsQueryFlag": "", //是否查询过江苏交管，防止B2B后台再次查询
            "gdQueryFlag": "", //是否查询过广东交管
            "jgVehicleModel": {} //交管车型查询缓存
         },
         "violationList": [],
         "peopleMarket": { //人人团附加信息
            "businessCode": "HWEB",   // 业务来源    string    QMYX: 人人团 HWEB: APP
            "refereeId": "",
            "outDf": "",
            "outUserId": "",
            "issueCode": "", //
            "cooperateCode": "" //客户源
         }
      };
      /*
      *030101	车辆损失保险
       030102	商业第三者责任保险
       030103	全车盗抢保险
       030104	车上人员责任保险（司机）
       030105	车上人员责任保险（乘客）
       030106	车上人员责任保险
       030107	玻璃单独破碎险
       030108	自燃损失险
       030109	新增设备损失险
       030110	车身划痕损失险
       030111	发动机涉水损失险
       030112	修理期间费用补偿险
       030113	车上货物责任险
       030114	精神损害抚慰金责任险
       030116	指定修理厂险
       030115	车辆损失保险无法找到第三方特约险
       030117	起重、装卸、挖掘车辆损失扩展条款
       030118	特种车辆固定设备、仪器损坏扩展条款
       030119	不计免赔率险
       */



      //$rootScope.handleBeans = angular.copy(handleBeans);

      //商业险
      window.SY_RISK = [
         {  /*0 车辆损失保险 基本型0*/
            "deductible": "0",  //不计免赔
            "kindCode": "030101", //险种代码
            "kindInd": "1",   //主险标志
            "relatedInd": "0",  //不计免赔
            "sumInsured": "",  //险种保额
            "renewal": "" ,    //带出上年险种标识
            "isBasic":"0"
         },
         {  /*1 商业第三者责任保险 公用*/
            "deductible": 0,
            "kindCode": "030102",
            "kindInd": "1",
            "relatedInd": "0",
            "sumInsured": "500000",
             "isBasic":"01"
         },
         {  /*2 全车盗抢保险 公用*/
            "deductible": 0,
            "kindCode": "030103",
            "kindInd": "1",
            "relatedInd": "0",
            "sumInsured": "",
            "unitInsured": "",
             "isBasic":"01"
         },
         {  /*3 车上人员责任保险（司机）公用*/
            "deductible": 0,
            "kindCode": "030104",
            "relatedInd": "0",
            "sumInsured": "",
            "unitInsured":"10000",
             "isBasic":"01"
         },
         {/*4 车上人员责任保险（乘客）公用*/
            "deductible": 0,
            "kindCode": "030105",
            "quantity": "",
            "relatedInd": "0",
            "sumInsured": "",
            "unitInsured": "10000",
             "isBasic":"01"
         },
         {/*5 玻璃单独破碎险 基本型0*/
            "deductible": 0,
            "kindCode": "030107",
            "relatedInd": "0",
            "sumInsured": 0,
            "valueType": "1",
             "isBasic":"0"
         },
         {/*6 自燃损失险 基本型0*/
            "deductible": 0,
            "kindCode": "030108",
            "kindInd": "2",
            "relatedInd": "0",
            "sumInsured": "",
            "unitInsured": "",
             "isBasic":"0"
         },
         { /*7 新增设备损失险*/
            "kindCode": "", //030109
            "sumInsured": "",
            "relatedInd": "0"
         },
         {/*8 车身划痕损失险 基本型0*/
            "deductible": 0,
            "kindCode": "030110",
            "kindInd": "2",
            "relatedInd": "0",
            "sumInsured": "2000",
            "unitInsured": "",
             "isBasic":"0"
         },
         {/*9 发动机涉水损失险 基本型0*/
            "deductible": 0,
            "kindCode": "030111",
            "relatedInd": "0",
            "sumInsured": 0,
             "isBasic":"0"
         },
         {/*10 修理期间费用补偿险 基本型0*/
            "deductible": 0,
            "kindCode": "030112",
            "quantity": 20,
            "relatedInd": "0",
            "sumInsured": "",
            "unitInsured": "20",
             "isBasic":"0"
         },
         {/*11 车上货物责任险 基本型0*/
            "deductible": 0,
            "kindCode": "030113",
            "kindInd": "2",
            "relatedInd": "0",
            "sumInsured": 0,
             "isBasic":"0"
         },
         {/*12 精神损害抚慰金责任险 公用01*/
            "deductible": 0,
            "kindCode": "030114",
            "relatedInd": "0",
            "sumInsured": "10000",
            "unitInsured": "",
             "isBasic":"01"
         },
         {/*13 车辆损失保险无法找到第三方特约险 基本0*/
            "deductible": 0,
            "kindCode": "030115",
            "kindInd": "2",
            "relatedInd": "0",
            "sumInsured": 0,
             "isBasic":"0"
         },
         {/*14 指定修理厂险 基本型0*/
            "deductible": 0, //车损绝对免赔额
            "kindCode": "030116", //险种代码
            "kindInd": "2",//险别标志 1-主险 2-附加险/不计免赔
            "relatedInd": "0",//不计免赔  0，否；1，是
            "sumInsured": 0,//保险金额/赔偿限额(元）
            "rate": "100",
            "isBasic":"0"
         },
         {
          //   15第三者责任险节假日翻倍
	        "deductible": 0,
            "kindCode": "030120",
            "kindInd": "2",
            "relatedInd": "0",
            "sumInsured": 0,
	        "isBasic":"01"
	  
         },
         {/* 16. 机动车损失保险（全面型1）*/
           "deductible": 0, //车损绝对免赔额
           "kindCode": "030201", //险种代码
           "kindInd": "1",//险别标志 1-主险 2-附加险/不计免赔
           // "relatedInd": "0",//不计免赔  0，否；1，是
           "sumInsured": 0,//保险金额/赔偿限额(元）
           "isBasic":"1",
           "rate": '021'
         },
         {
          /*17车轮损坏除外险 全面型1*/
             "deductible": 0, //车损绝对免赔额
             "kindCode": "030207", //险种代码
             "kindInd": "2",//险别标志 1-主险 2-附加险/不计免赔
             "relatedInd": "0",//不计免赔  0，否；1，是
             "sumInsured": 0,//保险金额/赔偿限额(元）
             "isBasic":"1"
         },
         {
            /*18  机动车损失保险（全面型1）的免赔率*/
           "deductible": "",
           "kindCode": "021",
           "quantity": "",
           "relatedInd": "0",
           "nonDeductiblePremium": "",
           "sumInsured": "",
           "unitInsured": "",
           "rate": "0",
           "valueType": "",
           "isBasic":"1"
         }
      ];

      window.JQ_RISK = {
         "coverageList": [{
            "kindCode": "BZ",
            "kindInd": "1",
            "sumInsured": 122000
         }],
         "effectFlag": "0",
         "riskCode": "0301",
         "startDate": "",
         "sumGrossPremium": 12200,
         "proposalNo": "",
         "vhlTax": {
            "certiType": "",
            "deductionDueType": "",
            "fuelType": "0",
            "identifyNumber": "",
            "paidFreeCertificate": "",
            "relifReason": "",
            "taxCompancyCode": "",
            "taxCompancyName": "",
            "taxItemDetailCode": "",
            "taxPayerName": "",
            "taxRelifFlag": "",
            "taxpayerIdentifier": ""

         }
      }

      $rootScope.carBeans = angular.copy(CarBeans);
      $rootScope.baseBean.syRiskList = angular.copy(SY_RISK);
      $rootScope.baseBean.jqRiskList = angular.copy(JQ_RISK);

      //---------------------------------------------- end   投保对象 ----------------------------------------------//

      //不计免赔
      $rootScope.NO_DED = {};

      //续保车牌号检索数据对象
      $rootScope.dataList={};


      //---热更新新增
      var hotCode = {};

      window.motoCar = { //报价信息
         "PAYTAX_REVENUE":"",//开具税务机关代码
         "PAYTAX_VOU":"",
         "newBrandName":"",  //特约 实际车型
         INSRNC_BGN_TM_JQ: Handle.recNexDate(), //非即时生效时间
         INSRNC_BGN_TM_JS_JQ: "", //即时生效时间
         showChannel: false,
         showAssist: false,
         "base": { // (基本信息)
            "busiAttrConfig": { // (业务属性)
               "attachNatures": "01", // (所属性质, 01个人 02机关/团体 03企业)
               "policyStyles": "", // (保单样式, 1电子保单 0监制保单)//wll 修改
               "useNatures": "02" // (使用性质,01营业 02非营业 03营业出租租赁 04营业城市公交 05营业公路客运)
            },
             "elecSignFlag":'',//电子投保  0否 1 是
            "businessMode": "", // (业务方式:1-直接业务2-其他业务)
            "businessSource": "", // (业务来源)
            "companyCode": "", // (机构编码:8位出单机构编码 10位出单机构编码)
            "companyName": "", //辽宁分公司营业二部（内设）
            "operatorCode": "", // (登录域账号)
            "operatorName": "", // 登录域账号名字
            "salesmanCode": "", // (出单员) 业务员或销售助理
            "salesmanName": "", // (出单名称) 业务员或销售助理
            "cooperateName": "", //协作人
            "cooperateCode": "", //协作人代码
            "cooperateChannel": "", //协作人部门
            "intermediaryCode": "", //代理人编码(渠道代码)
            "intermediaryName": "", //代理人名称
            "insuredProduct": "1" // 投保车辆种类  1 摩托车  0 机动车
         },
         "owner": {  // (车主信息)
            "address": "", // (居住地址)
            "birthday": "", // (生日)
            "email": "",//邮箱
            "gender": "01", // (车主性别:01 男、02 女)
             "identifyExpiry":"",//证件有效期
             "identifyLongValid":"0",//证件长期有效
            "identifyNumber": "", // (车主证件号码)
            "identifyType": "01", // (车主证件类型) /证件类型：01	身份证 02	护照 03	军人证 04	学生证 05	台胞证 06	港澳返乡证 07	出生证 08 出生日期（未成年人使用）	09	统一社会信用代码 13 纳税人识别号 99	其他
            "insuredTypeCode": "1", // (车主类别:1 个人、2 机关、3 企业)
            "mobilePhone": "", // (联系电话)
            "country":"",
            "countryName":"",
            "name": "" // (姓名)
         },
         "applicant": {//投保人信息
            "account": "",//投保人银行账号
            "address": "",//地址
            "birthday": "",//出生日期
            "email": "",//邮箱
            "gender": "01",//性别  01 男，02女
             "identifyExpiry":"",//证件有效期
             "identifyLongValid":"0",//证件长期有效
            "identifyNumber": "",//证件号码
            "identifyType": "01",//证件类型：01	身份证 02	护照 03	军人证 04	学生证 05	台胞证 06	港澳返乡证 07	出生证 08 出生日期（未成年人使用）	09	统一社会信用代码 13 纳税人识别号 99	其他
            "insuredType": "1",//投保人类别 1	车辆所有人 2	车辆管理人 3	投保人允许的合法驾驶员 9	其它
            "invtype": "0",  //发票类型 0-普通发票；1-专用发票；2-电子发票
            "isEnterprise": "",//是否企业
            "name": "",//姓名
            "openBank": "",//开户行
            "phone": "",//手机号
            "country":"",
            "countryName":"",
            "taxType": "03",//纳税人类别 01-一般纳税人;02-小规模纳税人;03-个人
            "isSameDriver": true,  //是否同车主
            "occupationName":"",//职业
            "occupationCode":"",//职业代码
             "businessCode":"", //客户行业编码
             "businessName":"", //客户行业名称
             "invPhone":"" //税务登记电话
         },
         "insured": {//被保人对象
            "address": "",//地址
            "birthday": "",//出生日期
            "email": "",//邮箱
            "gender": "01",//性别 01男，02 女
             "identifyExpiry":"",//证件有效期
             "identifyLongValid":"0",//证件长期有效
            "identifyNumber": "",//证件号码
            "identifyType": "01",//证件类型：01	身份证 02	护照 03	军人证 04	学生证 05	台胞证 06	港澳返乡证 07	出生证 08 出生日期（未成年人使用）	09	统一社会信用代码 13 纳税人识别号 99	其他
            "insuredType": "1",//投保人类别 1	车辆所有人 2	车辆管理人 3	投保人允许的合法驾驶员 9	其它
            "name": "",//姓名
            "phone": "",//电话
            "country":"",
            "countryName":"",
            "isSameDriver": true,  //是否同车主
            "occupationName":"",//职业
            "occupationCode":"",//职业代码
             "businessCode":"", //客户行业编码
             "businessName":"" //客户行业名称
         },
         "beneficiary":{
            "isSameApp": false,  //是否同投保人
            "isSameIns": true,  //是否同被保人
            "insuredType":"1",
            "insuredName":"",
            "identifyType":"",
            "identifyNumber":"",
            "identifyExpiry":"",
             "sex":"01",
             "birthday":"",
             "identifyLongValid":"0",//证件长期有效
            "phone":"",
            "country":"",
            "countryName":"",
            "address":"",
            "email":"",
            "occupationCode":"",
            "occupationName":""
         },
         "riskList": [{ // (险种信息)
            "electronicPolicyFlag": "", // 0 监制保单 1华安电子保单
            "electronicInd": "", // 1平台电子保单
            "answer": "", // (转保答案)
            "coverageList": [{ // (险别信息)
             "kindCode": "BZ", // (险别代码)
             "relatedInd": "", // (不计免赔：1是 0否)
             "sumInsured": "122000", // (保险金额)
             "valueType": "" // (玻璃类型:030107玻璃险需要用到的字段 1 国产,2 进口,3 国产（特殊材质）,4 进口（特殊材质）)
             }],
            "effectFlag": "0", // (即时生效: 非即时0、即时1)
            "effectFlag2":false,
            "riskCode": "0301", // (险种代码)
            "startDate": "", // (保险起期)
            "startDate2":"",
            "vhlTax": { // (车船税信息)
               "certiType": "", // (纳税人证件类型:上海必传,默认同车主)
               "completeKerbMass": "", // (整备质量,单位：千克)
               "fuelType": "", // (能源种类,可考虑由精友库根据规则带入 . (0 燃油,1 纯动机,2 燃料电池,3 插电式混合动力,4 其他混合动力))
               "identifyNumber": "", // (车主证件号码)
               "taxEndDate": "", // (税款所属期止)
               "taxPayerName": "", // (纳税人名称,宁波必传,默认同车主)
               "taxRelifFlag": "", // 01-拒缴 02-缴税 03-完税 04-减税 05-免税 06-补税并纳税
               "taxStartDate": "", // (税款所属期始)
               "taxpayerIdentifier": "", // (纳税人识别号,默认同被保人身份证号；北京平台管控待核实)
                "paidFreeCertificate" : "",  //完税凭证号（减免税证明号）
                "taxCompancyName" : "",//完税机关（开具税务机关）
                "taxDocumentDate": "", //完税凭证填发日期
                "billNo" : "" , //税票号
                "billType" : ""  //税票号码类型
            }
         }],
         "vehicle": { // (标的信息)
            "actualValue": "", // (实际价值同新车购置价)
            "blockCode": "", // (街道乡镇代码,天津必传)
            "brandName": "",  //(车型)
            "carCheckDesc": "", // (验车记录)
            "carCheckReason": "", // (免验车原因 免验车必传)
            "carCheckResult": "", // (验车结果)
            "carCheckStatus": "", // (验车情况 必传:接口只适用于01（已验车）和03（需验车）的情况)
            "carChecker": "", // (验车人)
            "carKindCode": "400", // (机动车种类)
            "carNewOldFlag": "", // (新旧车标志:新车：1、旧车：0)
            "carStyle": "", // (进口车/国产车/合资车)
            "carYear": "", // 车辆年份
            "certificateNo": "", // (车辆来历凭证编号)
            "certificateType": "", // (车辆来历凭证种类)
            "chgOwnerFlag": "0", // (过户车标志:否0、是1)
            "ciModelCode": "", // (平台车型代码)
            "completeKerbMass": "", // (整备质量)
            //"configModel": "福田BJ1030V4AB3-A载货汽车(纳税车) 发动机型号:山东华源4L22CR;底盘型号:福田BJ1030V4AB3-A FTD4091BQF (参考价32,000)",
            "depreciationRate": "", // (折旧率)
            "engineNo": "", // (发动机号)
            "factory": "", // (制造厂商)
            //"fleetFlag": "0", //(是否车队:否：0、是：1)
            "frameNo": "", // (车架号/VIN码)
            "fuelFlag": "", // (车船税减免标志:0 正常 1 车船税全免车型 2 车船税减免50%车型)
            "groupCode": "", //团车编码
            "hazardType": "", // (风险类型:正常车型/老旧车型/配件疑难/特异车型/稀有车型)
            "hkFlag": "", // (是否粤港两地:否：0、是：1)
            "jqxClassId": "", // (交强险车辆分类)
            //"licenseColorCode": "", // (车牌颜色)
            "licenseNo": "", // (车牌号码,未上牌车传：*-*)
            "licenseTypeCode": "", // (号牌种类)
            "loanVehicleFlag": "0", // (是否按揭车:否：0、是：1)
            "localVehicleInd": "", // (是否外地车:否：0、是：1)
            "modelCode": "", // (厂牌车型代码)
            "modelName":"", //(品牌型号)
            "purchasePrice": "", // (新车购置价)
            "remark": "",
            "seatCount": "", // (核定载客数,客车时必传)
            "settleAddressCode": "", // (车辆落户地址,天津必传)
            "singeinDate": "", // (初次登记日期)
            "syxClassId": "", // (商业险车辆分类)
            "tonCount": "", // (吨位数)
            "vehicleClass": "" ,// (车型分类)
            "exhaustScale":"", //(排气量)
            "specialCarFlag":"0" //特殊车投保标志

         }
      };

      $rootScope.MotoCAR = angular.copy(motoCar);

      $rootScope.MSG_TYPES = {
         '00000': '系统消息',
         '10001': '会员成长活动任务',
         '20001':'公告通知',
         '20101':'日报',
         '20102': '月报',
         '20103': '考核推送',
         '20104': '业绩提醒',
         '20105': '考核提醒',
         '20201': '续保分配',
         '20202': '续保跟进',
         '20203': '续保统计',
         '20301': '理赔消息'
      };

      var motoThOptions = { //提核
         "applicant": {//投保人信息
            "account": "",//投保人银行账号
            "address": "",//地址
            "birthday": "",//出生日期
            "email": "",//邮箱
            "gender": "01",//性别  01 男，02女
            "identifyNumber": "",//证件号码
            "identifyType": "01",//证件类型：01	身份证 02	护照 03	军人证 04	学生证 05	台胞证 06	港澳返乡证 07	出生证 08 出生日期（未成年人使用）	09	统一社会信用代码 13 纳税人识别号 99	其他
            "insuredType": "1",//投保人类别 1	车辆所有人 2	车辆管理人 3	投保人允许的合法驾驶员 9	其它
            "invtype": "0",  //发票类型 0-普通发票；1-专用发票；2-电子发票
            "isEnterprise": "",//是否企业
            "name": "地址栏",//姓名
            "openBank": "",//开户行
            "phone": "",//手机号
            "taxType": "03"//纳税人类别 01-一般纳税人;02-小规模纳税人;03-个人
         },
         "clauseList": [
            {
               "clauseCode": "HA0009N",//特约代码
               "clauseContext": "",//特约内容
               "clauseName": "服务热线特约",//特约内容
               "isModify": "0",//是否可修改
               "isNeeded": "1",//是否必须
               "remark": "",//标识
               "riskCode": "0301"//产品代码
            },
            {
               "clauseCode": "HA0001N",
               "clauseContext": "本保单系一次性打印，涂改无效。",
               "clauseName": "交强险打印特约",
               "isModify": "0",
               "isNeeded": "1",
               "remark": "本保单系一次性打印，涂改无效。",
               "riskCode": "0301"
            }
         ],
         "insured": {//被保人对象
            "address": "",//地址
             "birthday": "",//出生日期
             "email": "",//邮箱
             "gender": "01",//性别 01男，02 女
             "identifyNumber": "",//证件号码
             "identifyType": "01",//证件类型：01	身份证 02	护照 03	军人证 04	学生证 05	台胞证 06	港澳返乡证 07	出生证 08 出生日期（未成年人使用）	09	统一社会信用代码 13 纳税人识别号 99	其他
             "insuredType": "1",//投保人类别 1	车辆所有人 2	车辆管理人 3	投保人允许的合法驾驶员 9	其它
             "name": "",//姓名
             "phone": ""//电话
         },
         "underwriteInfo": {
            "handleText": ""//提核说明
         }
      }

      // 非车险投保须知, 居然要前端写死, 这么一大坨文字, 也是醉醉的
      var P010701 = "1、本投保人兹申明以上述各项内容填写属实，并认可保险金额。 2、本投保人已认真阅读并正确理解《华安机动车牌证损失保险条款》和投保人声明的各项内容，尤其是有关免除保险人责任的条款。本投保人特此同意接受条款全部内容。3、根据《中华人民共和国合同法》第十一条规定，数据电文是合法的合同表现形式。本人接受以中国华安财产保险股份有限公司提供的电子保单作为本投保书成立的合法有效凭证，具有完全证据效力。";
      var P060109 = "1、本保障计划由华安财产保险股份有限公司承保，只限为常住以下地区的人投保：北京、上海、广东、广西、福建、湖南、湖北、江苏、浙江、四川、重庆、辽宁、河南、天津、山东、安徽、陕西、云南、河北、内蒙古、江西、山西、黑龙江、贵州、吉林、海南、甘肃。2、本保障计划投保人年龄须为18周岁以上（含18周岁）；外籍人士也可以购买，但需要在中国境内居住满180天。3、本保障计划被保险人年龄年龄须满足18-75周岁。4、本保障计划每名被保险人最多可投保1份，多投无效。5、本保障计划保险期限为一年。6、被保险人因发生保险合同责任范围的意外伤害事故，经治疗地社会医疗保险经办机构指定医院治疗而支付的符合保险单签发地社会医疗保险规定的可报销的医疗费用，保险人对一次事故中100元以内（含100元）的医疗、医药费用不承担给付责任，对于一次事故中100元以上部分的医疗、医药费用按80%的比例在保险金额内予以补偿。7、本保障计划为网络销售产品，网上投保、网上支付、网上即时核保并出具电子保单，您可拨打华安客服电话95556查询、验真。";
      var P062106 = "1、本投保人兹申明以上各项内容填写属实，已征得被保险人同意，并认可保险金额。如果投保信息不真实，保险人将有权拒赔，一切后果由本人承担。2、投保时，保险人已就该产品的保障内容、保险金额和免责条款向本投保人进行了明确说明。 3、在订立本保险合同时，本投保人对被保险人具有保险利益。4、本投保人已收到、认真阅读并正确理解《华安驾乘人员人身意外伤害保险(B款)条款》、《华安附加驾乘人员意外伤害医疗保险(B款)条款》、《附加驾乘人员意外伤害住院津贴保险（B款）条款》中自己所投保保险项目的条款内容和投保人声明的各项内容，尤其是有关免除保险人责任的条款。本投保人特此同意接受条款全部内容。5、根据《中华人民共和国合同法》第十一条规定，数据电文是合法的合同表现形式。本投保人接受以华安财产保险股份有限公司提供的电子保单作为本投保书成立的合法有效凭证，电子保单与纸质保单具有同等法律效力。";
      var P062105 = "1、本投保人兹申明以上各项内容填写属实，已征得被保险人同意，并认可保险金额。如果投保信息不真实，保险人将有权拒赔，一切后果由本人承担。2、投保时，保险人已就该产品的保障内容、保险金额和免责条款向本投保人进行了明确说明。 3、在订立本保险合同时，本投保人对被保险人具有保险利益。4、本投保人已收到、认真阅读并正确理解《华安驾乘人员人身意外伤害保险(B款)条款》、《华安附加驾乘人员意外伤害医疗保险(B款)条款》、《附加驾乘人员意外伤害住院津贴保险（B款）条款》中自己所投保保险项目的条款内容和投保人声明的各项内容，尤其是有关免除保险人责任的条款。本投保人特此同意接受条款全部内容。5、根据《中华人民共和国合同法》第十一条规定，数据电文是合法的合同表现形式。本投保人接受以华安财产保险股份有限公司提供的电子保单作为本投保书成立的合法有效凭证，电子保单与纸质保单具有同等法律效力。";
      var P060413 = "1、本投保人兹申明以上各项内容填写属实，已征得被保险人同意，并认可保险金额。如果投保信息不真实，保险人将有权拒赔，一切后果由本人承担。2、投保时，保险人已就该产品的保障内容、保险金额和免责条款向本投保人进行了明确说明。3、被保险人均为一至六类职业人员。 4、经投保人和保险人双方约定，被保险人发生保险事故时，保险人将按照被保险人保险事故发生时的职业类别调整保险金给付标准，具体给付标准为： 100%（一类）、100%（二类）、100%（三类）、60%（四类）、15%（五类）、10%（六类）、0%（七类）。未尽事宜详见《华安附加按职业类别调整保险金给付比例保险条款》。5、在订立本保险合同时，本投保人对被保险人具有保险利益。6、本投保人已收到、认真阅读并正确理解《华安个人人身意外伤害保险条款》、《华安附加个人意外伤害医疗保险条款》、《华安附加意外伤害住院津贴保险条款》、《华安附加按职业类别调整保险金给付比例保险条款》中自己所投保保险项目的条款内容和投保人声明的各项内容，尤其是有关免除保险人责任的条款。本投保人特此同意接受条款全部内容。7、根据《中华人民共和国合同法》第十一条规定，数据电文是合法的合同表现形式。本投保人接受以华安财产保险股份有限公司提供的电子保单作为本投保书成立的合法有效凭证，电子保单与纸质保单具有同等法律效力。";
      var P084008 = "1、本保险合同中的投保人与被保险人为同一人、为个人账户的所有人，投保人要求年满18周岁以上（含18周岁）。2、请认真阅读并正确理解《华安个人账户资金损失保险条款》和投保人声明的各项内容，尤其是有关免除保险人责任的条款。3、本产品适销地区为：全国（除新疆、西藏、青海、宁夏及港澳台地区）。4、本保险所指的“个人账户”包括： （一）被保险人名下的存折； （二）被保险人名下的银行卡，包括： 1、被保险人名下的借记卡； 2、被保险人名下的信用卡主卡及与其关联的附属卡。 （三）被保险人名下的网银账户；（四）被保险人名下的经中国人民银行批准的支付机构账户（包括支付宝、财付通等，以下简称第三方支付账户）。 5、保险期间为一年，以保险单载明的起讫时间为准。	6、本保障计划每名被保险人最多可投保1份，多投无效。7、请您仔细确认填写的信息是否正确，产品一旦生效将不再接受退保。8、本保障计划为网络销售产品，网上投保、网上支付、网上即时核保并出具电子保单，您可拨打华安客服电话95556查询、验真。9、根据《中华人民共和国合同法》第十一条规定，数据电文是合法的合同表现形式。投保人接受以华安财产保险股份有限公司提供的电子保单作为本投保书成立的合法有效凭证，电子保单与纸质保单具有同等法律效力。 ";
      window.clauseTextO = {
         "P010701": P010701,
         "P060109": P060109,
         "P062106": P062106,
         "P062105": P062105,
         "P062107": P062105,
         "P062108": P062105,
         "P060413": P060413,
         "P084008": P084008,
      };

      /**JQX_CLASSID  SYX_CLASSID 与货车客车对应关系
       *001:货车   002：拖拉机   003：客车  004：摩托车  005：特种车
       * **/
      var Vehicle_Type_Table={
          'GB' : '001',
          'GC' : '001',
          'GD' : '001',
          'HA' : '001',
          'HB' : '001',
          'HC' : '001',
          'LA' : '001',
          'HD' : '001',
          'JA' : '002',
          'JB' : '002',
          'JC' : '002',
          'JD' : '002',
          'KA' : '003',
          'KB' : '003',
          'KC' : '003',
          'KD' : '003',
          'KE' : '003',
          'MA' : '004',
          'MB' : '004',
          'MC' : '004',
          'ZA' : '005',
          'ZB' : '005',
          'ZC' : '005',
          'ZD' : '005'
      };
      return Vehicle_Type_Table;
   }]);
});