define(['services/app.car.beans', 'services/app.service', 'ngUpload'], function () {
   "use strict";
   return angular.module('app.general.service', ['ionic', 'app.car.beans', 'app.handle.service', 'ngFileUpload']).factory('$generalService', ['$rootScope', '$carBeansService', '$handleService', '$interFace', 'Upload', function ($rootScope, $carBeansService, $handleService, $interFace, Upload, $message) {
      var General = (function (general) {
         //通用的红包规则查询接口

         general.foreCastRedPag = function () {
            //新核心红包接口机构代码传新核心机构代码， isNewCoreFlag; //1：新核心标志， 0：老核心 newCoreDeptNo; //新核心机构代码 石梦星
            var smxDeptCode = $U.getCompleteDeptCode();
            var options = {
               "mechanism": smxDeptCode, //机构编码
               "channelType": "1", //用户类型
               "productFlag": "01",//产品类别->车险：01，非车险：02
               "productCode": ""  //产品名称->非车险必填，车险可不填写
            };
            //请求后台
            $handleService.http({
               url: $interFace.mitMainFace,
               method: 'POST',
               headers: {
                  method: 'getRedBagForMechanism'
               },
               data: options,
               success: function (data) {
                  $handleService.logger('object', data, '获取机构红包权限，返回--》');
                  $rootScope.OTHER_INFO.RED_PAG.RED_PAG_CODE = data.returnCode;
                  $rootScope.OTHER_INFO.RED_PAG.RED_PAG_MSG = data.Msg;
               },
               error: function (ex) {
                  $handleService.logger('error', ex);
               }
            });
         };
          general.currentInfo = function(){
              var userId = (!$U.sessionHandle.getSession("SLS_INFO").userId || $U.sessionHandle.getSession("SLS_INFO").userId == 'null')? $U.sessionHandle.getSession("SLS_INFO").employCode : $U.sessionHandle.getSession("SLS_INFO").userId;
//记录会员ID
              $handleService.http({
                  url: '/payment/writeCookies?currentInfo=' + userId,
                  method: 'GET',
                  hasShowLoadding: false,
                  success: function (data) {

                  },
                  error: function (err) {

                  }
              });
          }
         //调用后台服务 进行支付
         general.serverPay = function (payObject, isLocation,pay) {
            $handleService.logger('object', payObject, '开始调用支付，封装前的请求参数');
             general.currentInfo();
            if(isLocation) {
               payObject.payMethod = "07"; //在线支付07
            } else {
               payObject.payMethod = "09"; //pos支付
            }


            /*
             *          ┌─┐       ┌─┐
             *       ┌──┘ ┴───────┘ ┴──┐
             *       │                 │
             *       │       ───       │
             *       │  ─┬┘       └┬─  │
             *       │                 │
             *       │       ─┴─       │
             *       │                 │
             *       └───┐         ┌───┘
             *           │         │
             *           │         │
             *           │         │
             *           │         └──────────────┐
             *           │                        │
             *           │                        ├─┐
             *           │                        ┌─┘
             *           │                        │
             *           └─┐  ┐  ┌───────┬──┐  ┌──┘
             *             │ ─┤ ─┤       │ ─┤ ─┤
             *             └──┴──┘       └──┴──┘
             *
             */

            $handleService.http({
               url: "/application",
               method: 'POST',
               data: payObject,
               success: function (data) {
                  if (data.resultCode == "0") {
                     $handleService.logger('object', data, '提交支付成功--》返回结果数据');
                     var obj=data;
                     //调用回调方法 回调之前把请求参数传出
                     obj.isLocation = isLocation;
                     //增加逻辑  支付号包含 18HAIC 的，sysCode 传 08
                     var haicFlag = data.result.indexOf("18HAIC") > 0;
                     //第三方 页面 全部走新支付  渠道地址 传 06 写死
                     var payPath = "",
                         payChannel = "&PayChannel=06",
                         sysCode = "&sysCode" + haicFlag ? "08" : "06";
                     //直通支付 全民营销 需要添加 sysCode=05
                     if ($U.isNotEmpty(window.requestParam.webSources)) {
                        payPath = $interFace.policyNewPay + data.result + payChannel + "&sysCode=" + (haicFlag ? "08" : "05");
                     }
                     else {
                        payPath = $interFace.policyNewPay + data.result + payChannel + sysCode;
                        // //在线支付 -》 新支付平台  POS 旧支付平台
                        // if (isLocation) {
                        //    payPath = $interFace.policyNewPay + data.result + payChannel + sysCode;
                        // }
                        // else {
                        //    payPath = $interFace.policyOldPay + data.result + payChannel + sysCode;
                        // }
                     }
                     $handleService.logger("info", "支付跳转地址是:" + payPath);
                     //-----------》开始调用支付
                     if (isLocation) {
                        $handleService.openUrl(payPath, {
                           shareFlag: false
                        });
                     }else if(pay == 'pay'){//电子签名只拿支付号 不跳转
                         payObject.success(obj);
                     }else{
                        $handleService.http({
                           url: "/payment/validateApplication?applyNo="+data.result,
                           method: 'GET',
                           success: function (data) {
                              if (data.resultCode == '0') {
                                 //-----------》调用回调
                                 payObject.success(obj);
                              }else if(data.resultCode == 'E23003'){
                                 $handleService.openUrl(payPath, {
                                    shareFlag: false
                                 });
                              }else if(data.resultCode == 'E23004'){
                                 $U.showToast('北京机构未做身份采集');
                              }
                           },
                           error: function (ex) {
                              $handleService.logger('error', ex);
                           }
                        });
                     }

                  }else {
                     $U.showToast(data.errorMsg);
                  }
               },
               error: function (ex, status) {
                  $handleService.logger('error', '支付异常' + status);
               }
            });
         };
         general.owinfoTray = function (data, flag) {
            var extendInfo = function (v, k) {
               if ($rootScope.CAR_BEANS[k] != undefined) {
                  $rootScope.CAR_BEANS[k] = v;
               }
            };
            //遍历数据
            angular.forEach(data, function (val, key) {
               if (flag == "SY") {
                  extendInfo(val, key);
               }
               else if (flag == "JQ") {  //交强险
                  if (key != "INSRNC_BGN_TM" && key != "INSRNC_END_TM") {
                     extendInfo(val, key);
                  }
                  $rootScope.CAR_BEANS.INSRNC_BGN_TM_JQ = data.INSRNC_BGN_TM;//交强险起期字段不一样，单独赋值处理
               }
               else if (flag == "VHL") {
                  extendInfo(val, key);
               }
               else if (flag == "VHLTAX") {
                  extendInfo(val, key);
               }
            });
            //特殊数据处理
            if (flag == "VHL") {
               //整备质量
               $rootScope.CAR_BEANS.CURB_WEIGHT_VHL = $U.accDiv(data.QUALITY, 1000);
               //车型名称
               $rootScope.CAR_BEANS.VEHICLE_NAME = data.BRND_NME;
               //暂时注释 需要让用户重新选择车型 金友库原因
               $rootScope.CAR_BEANS.VHL_DATA = data;
               //车型代码特殊赋值 ---》 续保返回车型代码和核保不一致导致
               $rootScope.CAR_BEANS.VHL_DATA.MODEL_CODE = data.BRND_CDE;
               //新车购置价==新车浮动价
               $rootScope.CAR_BEANS.VHL_VAL_FLOAT = data.VHL_VAL;

               data.CERTI_TYPE==''?$rootScope.CAR_BEANS.CERTI_TYPE='120001':$rootScope.CAR_BEANS.CERTI_TYPE=data.CERTI_TYPE;

            }
            //证件类型返回为空时默认身份证

            //证件类型返回为空时默认身份证
            if(flag == "SY" || flag == "JQ") {
               $rootScope.CAR_BEANS.APP_CERT_TYPE= data.APP_CERT_TYPE ||'120001';
               $rootScope.CAR_BEANS.BIZ_CERT_TYPE= data.BIZ_CERT_TYPE ||'120001';
            }

         };
         general.renParamsHandle = function (options) {
            //创建新打回修改参数 石梦星 2017.04.20版本
            $rootScope.appNo = '';

            // 续保的时候，需要清空对象缓存
            $rootScope.CAR_BEANS = angular.copy(CarBeans);
            //1.投保人信息 被保人信息
            if ($U.isNotEmpty(options.BASE_SY)) {
               General.owinfoTray(options.BASE_SY, 'SY');
               $rootScope.CAR_BEANS.ODERS.push({
                  PLY_APP_NO: options.BASE_SY.PLY_APP_NO,
                  PROD_NO: options.BASE_SY.PROD_NO,
                  UDR_MRK: '3',
                  OPER_CDE: options.BASE_SY.OPER_CDE
               });
               //打回修改参数 石梦星 2017.04.20版本
               $rootScope.appNo = options.BASE_SY.PLY_APP_NO;
            }
            else {
               $rootScope.CAR_BEANS.SY_ORIG_FLG = false;
            }
            if ($U.isNotEmpty(options.BASE_JQ)) {
               General.owinfoTray(options.BASE_JQ, 'JQ');
               $rootScope.CAR_BEANS.ODERS.push({
                  PLY_APP_NO: options.BASE_JQ.PLY_APP_NO,
                  PROD_NO: options.BASE_JQ.PROD_NO,
                  UDR_MRK: '3',
                  OPER_CDE: options.BASE_JQ.OPER_CDE
               });
               //打回修改参数 石梦星 2017.04.20版本
               $rootScope.appNo = $rootScope.appNo ? ($rootScope.appNo + ',' + options.BASE_JQ.PLY_APP_NO) : options.BASE_JQ.PLY_APP_NO;
            }
            else {
               $rootScope.CAR_BEANS.JQ_ORIG_FLG = false;
            }
            //2.车辆信息
            if ($U.isNotEmpty(options.VHL)) {
               General.owinfoTray(options.VHL, 'VHL');
            }
            //3.车船税节点
            if ($U.isNotEmpty(options.VHLTAX)) {
               General.owinfoTray(options.VHLTAX, 'VHLTAX');
            }
            //3.险种选择
            if ($U.isNotEmpty(options.CVRG_LIST)) {
               angular.forEach(options.CVRG_LIST, function (item) { //续保 循环上年产品编号
                  if ($U.isNotEmpty(item.INSRNC_CDE)) {
                     angular.forEach($rootScope.CAR_BEANS.CVRG_LIST, function (cvrtem, cvrdex) { //循环 bean 匹配
                        if (item.INSRNC_CDE == cvrtem.INSRNC_CDE) {
                           var opAmts = window.parseFloat(item.AMT);
                           //01.勾选险种
                           $rootScope.CAR_BEANS.CVRG_LIST[cvrdex].PURCHASE_FLAG = true;
                           //02.勾选不计免赔
                           $rootScope.NO_DED["FRANCHISE_FLAG_" + cvrdex + "T"] = item.FRANCHISE_FLAG == "1" ? true : false;
                           //03.保额金额修改 逻辑：
                           // 如果 返回 AMT 为空，就用 RISK_LIMIT_AMT ，否则用AMT
                           if (opAmts && opAmts != 0) {
                              cvrtem.AMT = item.AMT;
                           }
                           else {
                              if (item.RISK_LIMIT_AMT) {
                                 cvrtem.AMT = item.RISK_LIMIT_AMT;
                              }
                              else if (item.HH_AMT) {
                                 cvrtem.AMT = item.HH_AMT;
                              }
                           }
                           //04.费率 赋值
                           if (cvrtem.INSRNC_CDE == "030116" && item.RATE) {
                              cvrtem.RATE = item.RATE;
                           }
                        }
                     });
                  }
               });
            }
            //4.投保人同车主 被保人同车主 选项 为false
            $rootScope.CAR_BEANS.APP_SAME_CHECK = false;
            $rootScope.CAR_BEANS.REC_SAME_CHECK = false;
            //5.保险起期  处理
            var insBgnTm = $rootScope.CAR_BEANS.INSRNC_BGN_TM;
            var insBgnTmJQ = $rootScope.CAR_BEANS.INSRNC_BGN_TM_JQ;
            if (insBgnTm && insBgnTm.length == 19) {
               $rootScope.CAR_BEANS.INSRNC_BGN_TM = insBgnTm.substr(0, 16);
            }
            if (insBgnTmJQ && insBgnTmJQ.length == 19) {
               $rootScope.CAR_BEANS.INSRNC_BGN_TM_JQ = insBgnTmJQ.substr(0, 16);
            }

            $handleService.logger("object", $rootScope.CAR_BEANS, "一键续保处理后数据对象---》");
         };
         //上传图片信息到服务器
         general.uploadServer = function (opts, ply_no) {
            var options = {
               result: [],
               type: "",
               success: function () {},
               imageId:"", //报价单号
               SLS_CDE:"",  //业务员编码
               DEPT_CODE:"" //机构编码
            };
            angular.extend(options,opts);
            //交商报价单号
            var maindocument = "";
            var flwcodeStr = "";
            var modelcode = "";

            //影像ID
            maindocument = options.imageId;
            if(!maindocument) {
               $U.showToast("获取影像ID异常，请重新操作");
               return;
            }

            if(ply_no) { //有保单号则为补传
               modelcode = "S001_003";
            } else {
               modelcode = "S001_001";
            }

            if (modelcode == "S001_001") { //投保
               flwcodeStr = maindocument;
            }
            else { //补传
               if (maindocument.split(",").length == 1) {
                  flwcodeStr = new Date().format('yyyy-MM-dd hh:mm:ss') + " random " + Math.random();
               }
               else {
                  flwcodeStr = new Date().format('yyyy-MM-dd hh:mm:ss') + " random " + Math.random();
                  flwcodeStr += "," + new Date().format('yyyy-MM-dd hh:mm:ss') + " random " + Math.random();
               }
            }
            var reqModel = {

               imgIDCardVo: { //身份证
                  fileTypeList: [],
                  imgPathList: []
               },
               imgInsureVo: { //投保照片
                  fileTypeList: [],
                  imgPathList: []
               },
               imgValidateVo: { //验车照片
                  fileTypeList: [],
                  imgPathList: []
               },
               paramVo: {
                  flwCode: flwcodeStr,//	业务号	string
                  mainDocument: maindocument,//报价单号
                  modelCode: modelcode || "S001_001",//上传类型编码	string	投保 S001_001 批改 S001_002 补传 S001_003
                  operCode: options.SLS_CDE,//操作人，柜员号,也可以填系统号	string
                  orgCode	: options.DEPT_CODE//机构编号,也可以填系统号
               }

            };

            var imgPath = []; //图片路径
            var fileArr = []; //
            var type = options.type || "T001001";
            var fileTypeObj = {
               "T001001": "01",
               "T001002": "02",
               "T001006": "03"
            };

            angular.forEach(options.result, function (item) {
               //组装图片路径
               var realPath;
               var fileType = modelcode + fileTypeObj[type];
               if(typeof(item) === 'string'){
                   realPath = item;
               }
               else if (!item.domainPath) {
                  return;
               }else{
                    //拼接图片路径
                    realPath = item.domainPath + item.relativePath + item.newFileName;
               }
               fileArr.push(fileType);
               imgPath.push(realPath);
            });

            switch (type) {
               case "T001001":
                  reqModel.imgValidateVo = { //验车
                     fileTypeList: fileArr,
                     imgPathList: imgPath
                  }
                  break;
               case "T001002":
                  reqModel.imgInsureVo = { //投保
                     fileTypeList: fileArr,
                     imgPathList: imgPath
                  }
                  break;
               case "T001006":
                  reqModel.imgIDCardVo = { //身份证
                     fileTypeList: fileArr,
                     imgPathList: imgPath
                  }
                  break;
            }

            console.log(JSON.stringify(reqModel));

            var upUrl = "";
            if(opts.isTemp){ // 暂存单、投保上传
                upUrl = "/tempUploadServer?imageId=" + maindocument + "&salesCode=" +options.SLS_CDE + '&flowId=' + opts.flowId;
            }
            else if(modelcode == "S001_001") { //投保单上传
               upUrl = "/uploadServer?imageId=" + maindocument + "&salesCode=" +options.SLS_CDE;
            } else {
               //补传
               upUrl = "/suppUploadServer?salesmanCode=" +options.SLS_CDE;
            }

            //提交到服务器
            $handleService.http({
               url: upUrl,
               method: 'POST',
               data: reqModel,
               complete: function () {
                  $handleService.showLoading('show');
               },
               success: function (data) {
                  $handleService.logger('object', data, '上传图片返回结果');
                  if (data.resultCode == "0") {
                     $U.showToast('图片上传成功');
                     options.success(data);
                  }
                  else {
                     $handleService.showAlert('提示', data.errorMsg || $message.serverError);
                  }
               },
               error: function (ex) {
                  $handleService.logger('error', ex);
               }
            });
         };
         //销售助理信息查询
         general.getAssistant = function (opts) {
            //开始请求
            $handleService.http({
               url: "/querySalesAssList?salesCode=" + $U.getSlsCode() + "&deptCode=" + $U.getDeptCode(),
               method: 'GET',
               success: function (data) {
                  $handleService.logger('object', data, "获取销售助理接口数据---》");
                  if (data.resultCode == "0") {
                     opts.success(data);
                  }
                  else {
                     $U.showToast(data.errorMsg);
                  }
               },
               error: function (ex, status) {
                  $U.showToast("销售助理查询失败，请稍后再试");
                  $handleService.logger('info', '销售助理接口异常');
               }
            });
         };
         //OCR 图片上传功能
         general.ocrImgUpload = function (ocrUpPam) {
            var ocrUploadParams = {
               type: "0",
               img: "",
               success: function (data) {
               }
            };
            angular.extend(ocrUploadParams, ocrUpPam);
            //如果 base64 图片 前缀 带  data:image/jpeg;base64 去掉
            var _imgHeader = ";base64,";
            if (ocrUploadParams.img && ocrUploadParams.img.indexOf(_imgHeader) > -1) {
               ocrUploadParams.img = ocrUploadParams.img.split(_imgHeader)[1];
            }
            // console.log(ocrUploadParams.img);
            //调用OCR接口 获取数据

             $handleService.motoHttp({
                 url: $interFace.motoMainFace,
                 method: 'POST',
                 headers: {
                     method: 'ocrHandle'
                 },
                 data: {
                     TYPE: ocrUploadParams.type,
                     IMG_DATA: ocrUploadParams.img
                 },
                 success: function (data) {
                     $handleService.logger('object',data,"OCR接口 返回数据");
                     ocrUploadParams.success(data);

                 },
                 error: function (ex) {
                     $handleService.logger('error', ex);
                 }
             });

         };



         //OCR 图片识别功能
         general.ocrGetInfo = function (opts) {
            var options = {
               cardType: "0",
               file: "",
               success: function (data) {
               },
               error: function (err) {
               }
            };
            angular.extend(options, opts);
            //转 为 base 64  进行上传
            Upload.base64DataUrl(options.file).then(function (base64File) {
               //请求上传参数
               General.ocrImgUpload({
                  type: options.cardType, // 1.行驶证 2.身份证 3.驾驶证 4.银行卡
                  img: base64File,
                  success: options.success
               });
            });
         };
         //续保、退回修改
         general.renewalParam = function(data) {
            angular.extend($rootScope.MotoCAR,data);
            $rootScope.MotoCAR.applicant.isSameDriver = false; //投保人同车主
            $rootScope.MotoCAR.insured.isSameDriver = false; //被保人同车主
            $rootScope.MotoCAR.base.companyCode = $U.sessionHandle.getSession("SLS_INFO").deptCode;
            $rootScope.MotoCAR.base.salesmanCode = $U.sessionHandle.getSession("SLS_INFO").employCode;
            $rootScope.MotoCAR.base.operatorCode = $U.sessionHandle.getSession("SLS_INFO").salesmanCode;
            $rootScope.MotoCAR.base.operatorName = $U.sessionHandle.getSession("SLS_INFO").salesmanCname;

            $rootScope.MotoCAR.base.salesmanName = $U.sessionHandle.getSession("SLS_INFO").salesmanCname;

            //将车型赋值给品牌型号
            $rootScope.MotoCAR.vehicle.modelName = $rootScope.MotoCAR.vehicle.brandName;

            //写死业务属性
            $rootScope.MotoCAR.base.busiAttrConfig = { // (业务属性)
               "attachNatures": "01", // (所属性质, 01个人 02机关/团体 03企业)
                "policyStyles": data.base.busiAttrConfig.policyStyles, // (保单样式, 1电子保单 0监制保单)
                "useNatures": "02" // (使用性质,01营业 02非营业 03营业出租租赁 04营业城市公交 05营业公路客运)
            };
            $rootScope.MotoCAR.base.insuredProduct = '1';
            $rootScope.MotoCAR.riskList[0].startDate2=$rootScope.MotoCAR.riskList[0].startDate.substr(0, $rootScope.MotoCAR.riskList[0].startDate.length - 3);
         };

         return general;
      })(General || {});
      return General;
   }]);
});