define(['services/app.car.beans', 'services/app.service'],function () {
    'use strict';
    return angular.module('app.jpush.service', ['ionic', 'ngCordova', 'app.car.beans', 'app.handle.service']).factory('$jpushService', [
        '$rootScope',
        '$http',
        '$state',
        '$location',
        '$ionicPopup',
        '$interFace',
        '$handleService',
        function ($rootScope,
                  $http,
                  $state,
                  $location,
                  $ionicPopup,
                  $interFace,
                  $handleService) {

            var JpushService = {
                init: function () {
                    //推送初始化
                    if (window.JPush) {
                        window.JPush.init();
                        //window.JPush.setDebugMode(true);

                        //暂无消息历史列表，打开APP不清空
                        if (ionic.Platform.isIOS()) {
                            //window.JPush.setBadge(0);
                            //window.JPush.setApplicationIconBadgeNumber(0);
                        }

                        //点击推送通知
                        document.addEventListener("jpush.openNotification", JpushService.onOpenNotification, false);
                        //前台收到推送
                        //document.addEventListener("jpush.receiveNotification", JpushService.onReceiveNotification, false);
                    }
                },
                setBadge: function(badgeNum){
                    if(ionic.Platform.isIOS()){
                        if(window.JPush){
                            window.JPush.setBadge(badgeNum);
                            window.JPush.setApplicationIconBadgeNumber(badgeNum);
                        }
                    }else if(ionic.Platform.isAndroid() && cordova.plugins.notification && cordova.plugins.notification.badge){
                        cordova.plugins.notification.badge.set(badgeNum)
                    }
                },
                onOpenNotification: function (event) {
                    var alertContent, url, salesCode, msgid, msgExtras;
                    if (ionic.Platform.isAndroid()) {
                        alertContent = event.alert;
                        url = event.extras.url;
                        salesCode = event.extras.salesCode;
                        msgid = event.extras['cn.jpush.android.MSG_ID']; //极光消息ID
                        msgExtras = event.extras;
                    } else {
                        alertContent = event.aps.alert;
                        url = event.url;
                        salesCode = event.salesCode;
                        msgid = event['_j_msgid'];
                        msgExtras = event;

                        if(ionic.Platform.isIOS()){
                            window.JPush.getApplicationIconBadgeNumber(function (badgeNum) {
                                window.JPush.setBadge(badgeNum - 1);
                                window.JPush.setApplicationIconBadgeNumber(badgeNum - 1);
                            });
                        }else if(ionic.Platform.isAndroid() && cordova.plugins.notification && cordova.plugins.notification.badge){
                            cordova.plugins.notification.badge.get(function (badgeNum) {
                                cordova.plugins.notification.badge.set(badgeNum)
                            });
                        }
                    }
                    // alert('event:=>'+JSON.stringify(event));
                    if (url) {
                        //消息置为已读并打开推送外部链接
                        JpushService.readMsgAndOpenUrl(url, {
                            msgid: msgid,
                            salesCode: salesCode
                        });
                    } else if(msgExtras.msgType.indexOf('205') > -1){ //通知栏出单消息通知
                        JpushService.readMsg({
                            msgid: msgid,
                            salesCode: salesCode
                        });
                        var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                        // alert('msgExtras.msgType:==>'+JSON.stringify(msgExtras.msgType));
                        switch(msgExtras.msgType){
                            case "20501":
                                if (slsInfo && slsInfo.employCode) {
                                    $state.go("tab.trackRecord",{TYPE: "CAR"}, {reload:true});
                                }else{
                                    $rootScope.preMessage = 'trackRecord';
                                }
                                break;
                            case "20502":
                                if (slsInfo && slsInfo.employCode) {
                                    $state.go("tab.oderSetbacksList", {PAGE_CHANNAL: "LIST"});
                                }else{
                                    $rootScope.preMessage = 'oderList';
                                }
                                break;
                            case "20503":
                            case "20504":
                                if (slsInfo && slsInfo.employCode) {
                                    // $state.go("tab.policyDetail", {orderNo: msgExtras.orderNo});//dev-page
                                    $state.go("tab.orderDetail-A", {orderNo: msgExtras.orderNo})
                                    // if ($rootScope.switchBean && $rootScope.switchBean.newPageEdition) {
                                    //     $state.go("tab.orderDetail-A", {
                                    //         orderNo: msgExtras.orderNo
                                    //     })
                                    // } else {
                                    //     $state.go("tab.policyDetail", {
                                    //         orderNo: msgExtras.orderNo
                                    //     })
                                    // } //dev-page
                                    // $state.go("tab.policySearch");
                                }else{
                                    $rootScope.preMessage = 'print';
                                    $rootScope.orderNumber = msgExtras.orderNo;
                                }
                                break;
                            case "20505":
                                if (slsInfo && slsInfo.employCode) {
                                    $rootScope.orderNo = msgExtras.orderNo;
                                    $state.go("tab.oderSetbacksDetail");
                                }else{
                                    $rootScope.preMessage = 'orderToPay';
                                    $rootScope.orderNumber = msgExtras.orderNo;
                                }
                                break;
                            case "20506":
                            case "20507":
                            case "20508":
                                if (slsInfo && slsInfo.employCode) {
                                    $state.go("tab.orderDetail-A", {orderNo: msgExtras.orderNo})//0827配送跳详情
                                    // $state.go("tab.policyDetail", {orderNo: msgExtras.orderNo});
                                    // $state.go("tab.policySearch");
                                }else{
                                    $rootScope.preMessage = 'policyDelivery';
                                    $rootScope.orderNumber = msgExtras.orderNo;
                                }
                                break;
                        }
                    } else if(msgExtras.msgType.indexOf('207') > -1){
                        JpushService.readMsg({
                            msgid: msgid,
                            salesCode: salesCode
                        });
                        var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                        // alert('msgExtras.msgType:==>'+JSON.stringify(msgExtras.msgType));
                        switch(msgExtras.msgType){
                            case "20701":
                                /* 我的反馈接口入参
                                deptCode: "0105110414"
                                queryFlag: "1"
                                salesCode: "105045482"
                                */
                                if (slsInfo && slsInfo.employCode) {
                                    // alert('有登陆信息，跳转，登录信息:=>'+JSON.stringify(slsInfo));
                                    $state.go("tab.userFeedList");//1029掌上宝“意见反馈”已处理消息通知
                                }else{
                                    // alert('20701没登陆信息，不跳转');
                                    $rootScope.preMessage = 'userFeedList';
                                    // alert('无登陆信息，应该登录后跳转,$rootScope.preMessage:=>'+$rootScope.preMessage);
                                }
                                break;
                        }
                    } else { 
                        JpushService.openSalesPerformNotification(msgExtras);
                        //navigator.notification.alert(alertContent,function(){}, '通知', '确认');
                        //JpushService.showAlert('通知', alertContent);
                    }
                },
                readMsg: function(msgOpt){
                    var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                    msgOpt.salesCode = msgOpt.salesCode || (slsInfo && slsInfo.employCode);
                    $handleService.motoHttp({
                        //url: $interFace.salesPerformMainFace + '/msgrecord/queryById',
                        url: $interFace.mitMainFace + '/msgrecord/queryById',
                        method: 'POST',
                        data: msgOpt,
                        success: function (data) {
                        },
                        error: function(){
                        }
                    });
                },
                readMsgAndOpenUrl: function(url, msgOpt){
                    //msgid\id可选，msgid极光消息id, id传消息记录id, salesCode业务员代码
                    //消息置为已读
                    var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                    msgOpt.salesCode = msgOpt.salesCode || (slsInfo && slsInfo.employCode);
                    $handleService.motoHttp({
                        //url: $interFace.salesPerformMainFace + '/msgrecord/queryById',
                        url: $interFace.mitMainFace + '/msgrecord/queryById',
                        method: 'POST',
                        data: msgOpt,
                        success: function (data) {
                        },
                        error: function(){
                        }
                    });
                    JpushService.openUrl(url);
                },
                openSalesPerformNotification: function(msgExtras){
                    var url = $interFace['salesPerformMsgJumpUrl'];
                    var msgType = msgExtras.msgType, noticeId = msgExtras.noticeId, licenceNo = msgExtras.licenceNo,
                        frameNo = msgExtras.frameNo, policyNo = msgExtras.policyNo, calcDate = msgExtras.calcDate;
                    url.indexOf('?')<0 && (url += '?');
                    url += '&msgType=' + (msgType || '');
                    url += '&noticeId=' + (noticeId || '');
                    url += '&licenceNo=' + (licenceNo || '');
                    url += '&frameNo=' + (frameNo || '');
                    url += '&policyNo=' + (policyNo || '');
                    url += '&calcDate=' + (calcDate || '');

                    JpushService.openUrl(url, {
                        shareFlag: false,
                        fullscreen: true,
                        toolbar: {
                            height: 0,
                            color: '#e13c36'
                        }
                    });
                },
                onReceiveNotification: function (event) {
                    var alertContent;
                    if (ionic.Platform.isAndroid()) {
                        alertContent = event.alert;
                    } else {
                        alertContent = event.aps.alert;
                    }
                    navigator.notification.alert(alertContent,function(){}, '通知', '确认');
                    //JpushService.showAlert('通知', alertContent);
                },
                openUrl: function (url, opt) {
                    var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                    if (slsInfo && slsInfo.employCode) {
                        var employCode = slsInfo.employCode;
                        if(url.indexOf('?')<0){
                            url = url + '?';
                        }
                        if (url.indexOf('activity=huiyuanchengzhang') >= 0) {
                            var phone = slsInfo.phone;
                            var plat = slsInfo.plat;
                            var salesmanCname = slsInfo.salesmanCname;
                            var sign = slsInfo.sign;
                            var deptCode= slsInfo.deptCode;
                            url = url + '&mobile=' + phone + '&nick=' + salesmanCname + '&plat=' + plat + '&plat_user_id=' + employCode + '&sign=' + sign + '&deptcode=' + deptCode;
                        }else {
                            /*
                            if(/salesPerform\/#\/(renewalFollow|renewalCount|home)/.test(url)){
                                //提供绑定执业资格证号的业务员代码给非车出单、我的业绩、续保跟进、续保统计、个人绩效使用
                                employCode = $handleService.getBindSalesCodeOrSalesCode();
                            }
                            */
                           //参数要避免重复
                            url = url + "&salesCode=" + employCode + "&token=" +  slsInfo.token + "&deptCode=" + slsInfo.deptCode + '&checkCertificateSwitch=' + $rootScope.switchBean.checkCertificateSwitch;
                        }
                    }else if(url.indexOf('loginRequired=false')<0){
                        $state.go('login', {notifyUrl: url});
                        return;
                    }
                    var optings = {
                        shareFlag: false,
                        otherOptions: {},
                        shareCallBack: function (shareData) {
                            //非车分享 每次要获取分享参数
                            if (shareData && shareData.title) { //根据页面设置分享信息设置分享功能
                               var url = shareData.url;
                               var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                               if (shareData.fields && shareData.fields.length > 0) {
                                  url.indexOf('?')<0 && (url += '?');
                                  var i, field;
                                  for (i = 0; i < shareData.fields.length; i++) {
                                     field = shareData.fields[i];
                                     url += '&' + (field.shareName || field.name) + '=' + (slsInfo[field.name] || '');
                                  }
                               }
                               var _options = {
                                  title: shareData.title,
                                  text: shareData.desc,
                                  url: url,
                                  imgUrl: shareData.imgUrl
                               };
                               _options.siteUrl = _options.url;
                               _options.titleUrl = _options.url;
                               $handleService.logger("object", _options, "非车分享调用参数--》");
                               $handleService.sharePanle(_options);
                               return;
                            }
                            //获取当前URL
                            cordova.ThemeableBrowser.getCurLocation(function (url) {
                                var _options = {
                                    title: "华安保险微商城，您的保险掌上管家",
                                    text: "在线投保、理赔服务、保单查询一站式轻松解决,随时随地满足您的保险需求！",
                                    url: url,
                                    imgUrl: "https://m.sinosafe.com.cn/tplresource/cms/www/shop/images/index/wexinLog.jpg"
                                };
                                _options.siteUrl = _options.url;
                                _options.titleUrl = _options.url;
                                $handleService.logger("object", _options, "非车分享调用参数--》");
                                //开始调用分享--------》
                                $handleService.sharePanle(_options);
                            });
                        },
                        type: "_blank",
                        statusbar: {
                            color: '#f54133'
                        },
                        toolbar: {
                            height: 44,
                            color: '#f54133'
                        },
                        title: {
                            color: '#ffffff',
                            align: "center",
                            showPageTitle: true
                        },
                        backButton: {
                            wwwImage: 'images/webview/back.png',
                            wwwImagePressed: 'images/webview/back_pressed.png',
                            wwwImageDensity: 2,
                            align: 'left',
                            event: 'backPressed'
                        },
                        menu: {
                            wwwImage: 'images/webview/menu.png',
                            wwwImagePressed: 'images/webview/menu_pressed.png',
                            wwwImageDensity: 2,
                            title: '工具栏',
                            cancel: '取消',
                            align: 'right',
                            items: [
                                {
                                    event: 'closePressed',
                                    label: '关闭当前页'
                                },
                                {
                                    event: 'backIndex',
                                    label: '回到首页'
                                }
                            ]
                        },
                        backButtonCanClose: true
                    };

                    var shareData = {}; // 预设分享信息

                    optings = angular.extend(optings, opt);
     
                    //判断 是否支持分享
                    if (optings.shareFlag) {
                       optings.menu.items.push({
                          event: 'sharePage',
                          label: '分享'
                       });
                    }
                    //默认写入会员中心user_token
                    var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                    var userSign = slsInfo.userSign;
                    var userId = slsInfo.userId;
                    if(!optings.otherOptions.userToken && userId && userSign){
                        optings.otherOptions.userToken = userId+':'+userSign;
                        if(!ionic.Platform.isWebView()){
                            $handleService.setCookie('user_token', userId+':'+userSign)
                        }
                    }

                    if (!ionic.Platform.isWebView()) {
                        window.location.href = url;
                    }
                    else {
                        var browser = cordova.ThemeableBrowser.open(url, optings.type, optings);
                        //关闭页面
                        browser.addEventListener('closePressed', function (e) {
                            browser.close();
                        });
                        //回到首页
                        browser.addEventListener('backIndex', function (e) {
                            $state.go("tab.mitNewIndex");
                            //判断新首页可见性
                            // if($rootScope.isNewHome){
                            //     $state.go("tab.mitNewIndex");
                            // }else{
                            //     $state.go("tab.mitIndex");
                            // }
                            browser.close();
                        });
                        // 预设分享信息
                        // 切换页面会清空分享配置
                        browser.addEventListener('updateAppShareData', function(e){
                            /*
                            //Webview预设分享信息
                            var h5share = {
                            title: '华安保险微商城，您的保险掌上管家', // 必填
                            desc: '在线投保、理赔服务、保单查询一站式轻松解决,随时随地满足您的保险需求！', // 必填
                            url: 'https://m.sinosafe.com.cn' // 必填
                            imgUrl: 'https://m.sinosafe.com.cn/tplresource/cms/www/shop/images/index/wexinLog.jpg', // 必填
                            fields: [
                                {
                                    name: '', // 必填，掌上宝参数名，默认分享链接参数名
                                    shareName: '' // 可选，指定分享链接参数名
                                }
                            ] // 可选字段，指定分享链接携带参数
                            };
                            if(window.Handler && window.Handler.action){
                                window.Handler.action("updateAppShareData", JSON.stringify(h5share));
                            }else if(window.action){
                                window.action("updateAppShareData", JSON.stringify(h5share));
                            }
                            */
                            shareData = JSON.parse(e.message);
                        });
                        //分享页面
                        browser.addEventListener('sharePage', function (e) {
                            optings.shareCallBack(shareData);
                        });
                        //好友代付 - 分享  通用分享接口
                        browser.addEventListener('sharePay', function (param) {
                            $handleService.logger("object", param, "好友代付回调参数--》");
                            if ($U.isNotEmpty(param.message)) {
                            var payInfo = JSON.parse(param.message);
                            $handleService.sharePanle({
                                title: payInfo.title,
                                text: payInfo.desc,
                                imgUrl: payInfo.imgUrl,
                                url: payInfo.url,
                                siteUrl: payInfo.url,
                                titleUrl: payInfo.url
                            });
                            }
                        });
                        browser.addEventListener("backPressed", function () {
                            optings.backCallBack && optings.backCallBack(browser);
                        });
                        browser.addEventListener('loadstart', function (e) {
                            // 切换页面清空分享配置
                            shareData = {};
                            if(e.url.indexOf('http://close')>=0){
                                var params = JpushService.parseQueryString(e.url);
                                if(e.url.indexOf('oneClickRenewal')>=0){
                                    //一键续保跳转
                                    $state.go("oneClickRenewal", params, {reload: true});
                                    browser.close();
                                }else if(e.url.indexOf('record')>=0){
                                    $state.go("tab.trackRecord",{TYPE: "CAR"}, {reload:true});
                                    browser.close();
                                }else if(e.url.indexOf('oderList')>=0){
                                    $state.go("tab.oderSetbacksList", {PAGE_CHANNAL: "LIST"});
                                    browser.close();
                                }else if(e.url.indexOf('print')>=0){
                                    $state.go("tab.orderDetail-A", {orderNo: e.url.split('=')[1]});//dev-page
                                    browser.close();
                                }else if(e.url.indexOf('orderToPay')>=0){
                                    $rootScope.orderNo = e.url.split('=')[1];
                                    $state.go("tab.oderSetbacksDetail");
                                    browser.close();
                                }else if(e.url.indexOf('policyDelivery')>=0) {
                                    //配送详情跳转
                                    $state.go("tab.policySearch");
                                    browser.close();
                                }else{
                                    var reload = params.reload === 'true'? true: false;
                                    $state.go("tab.mitNewIndex", {}, {reload:reload});
                                    // //判断新首页可见性
                                    // if($rootScope.isNewHome){
                                    //     $state.go("tab.mitNewIndex", {}, {reload:reload});
                                    // }else{
                                    //     $state.go("tab.mitIndex", {}, {reload:reload});
                                    // }
                                    browser.close();
                                }
                            }
                        
                        });

                        browser.addEventListener('webviewAction', function(e){
                            /*
                            //新开Webview
                            var options = {
                                name: 'openWebview',
                                params: {
                                    url: '地址'
                                }
                            };
                            if(window.Handler && window.Handler.action){
                                window.Handler.action("webviewAction", JSON.stringify(options));
                            }else if(window.action){
                                window.action("webviewAction", JSON.stringify(options));
                            }
                            */
                            var webviewAction = JSON.parse(e.message);
                            var actionName = webviewAction.name;
                            var params = webviewAction.params;
                            if(actionName === 'openWebview'){
                                //新开Webview
                                if(ionic.Platform.isIOS()){
                                    browser.close();
                                    JpushService.openUrl(params.url, {
                                        shareFlag: true
                                    });
                                }else{
                                    // //判断新首页可见性
                                    // if($rootScope.isNewHome){
                                    //     $state.go("tab.mitNewIndex");
                                    // }else{
                                    //     $state.go("tab.mitIndex");
                                    // }
                                    $state.go("tab.mitNewIndex");
                                    browser.close();
                                    setTimeout(function(){
                                        JpushService.openUrl(params.url, {
                                            shareFlag: true
                                        });
                                    }, 50);
                                }
                            }else if(actionName === 'oneClickRenewal'){
                                //一键续保跳转
                                $state.go("oneClickRenewal", params, {reload: true});
                                browser.close();
                            }else if(actionName === 'bindPhone'){
                                $state.go("tab.bindPhone",{pageName:'bindPhone'});
                                browser.close();
                            }else if(actionName === 'login'){
                                $state.go("login");
                                browser.close();
                            }else if(actionName === 'autoLogin'){
                                //绑定手机号自动登录拉取信息
                                var LOGIN_OPTS = $handleService.sessionHandle.getSession('LOGIN_OPTS');
                                $handleService.appHandle.login({
                                    data: LOGIN_OPTS && LOGIN_OPTS.data,
                                    success: function (data) {
                                        window.sessionStorage.setItem('SLS_INFO', JSON.stringify(data));
                                        $handleService.logger('object', data, '自动登录完成后返回数据--》');
                                    }
                                });
                            }else if(actionName === 'setBadge'){
                                JpushService.setBadge(params.badgeNum);
                            }else if(actionName === 'openIframe'){
                                var iframeUrl = params.url;
                                var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                                if (slsInfo && slsInfo.employCode) {
                                    var employCode = slsInfo.employCode;
                                    if(iframeUrl.indexOf('?')<0){
                                        iframeUrl = iframeUrl + '?';
                                    }
                                    if (iframeUrl.indexOf('activity=huiyuanchengzhang') >= 0) {
                                        var phone = slsInfo.phone;
                                        var plat = slsInfo.plat;
                                        var salesmanCname = slsInfo.salesmanCname;
                                        var sign = slsInfo.sign;
                                        var deptCode= slsInfo.deptCode;
                                        iframeUrl = iframeUrl + '&mobile=' + phone + '&nick=' + salesmanCname + '&plat=' + plat + '&plat_user_id=' + employCode + '&sign=' + sign + '&deptcode=' + deptCode;
                                    }else{
                                        iframeUrl = iframeUrl + "&salesCode=" + employCode + "&token=" +  slsInfo.token;
                                    }
                                }
                                
                                try{
                                    browser.executeScript({
                                        code: 'window.location.href="' + params.iframeBox + '?url=' + encodeURIComponent(iframeUrl) + '"'
                                    },function(){
                                        console.log('executeScript');
                                    });
                                }catch(e){
    
                                }
                            }else if(actionName === 'trackRecord'){
                                $state.go("tab.trackRecord",{TYPE: "CAR"}, {reload:true});
                                browser.close();
                            }else if(actionName === 'oderList'){
                                $state.go("tab.oderSetbacksList", {PAGE_CHANNAL: "LIST"});
                                browser.close();
                            }else if(actionName === 'print'){
                                $state.go("tab.orderDetail-A", {
                                    orderNo: params.orderNo
                                })
                                // if($rootScope.switchBean && $rootScope.switchBean.newPageEdition){
                                //     $state.go("tab.orderDetail-A", {
                                //         orderNo: params.orderNo
                                //     })
                                // }else{
                                //     $state.go("tab.policyDetail", {
                                //         orderNo: params.orderNo
                                //     }); 
                                // }
                                // $state.go("tab.policySearch");
                                browser.close();
                            }else if(actionName === 'orderToPay'){
                                $rootScope.orderNo = params.orderNo;
                                $state.go("tab.oderSetbacksDetail");
                                browser.close();
                            }else if(actionName === 'policyDelivery'){
                                //配送详情跳转
                                $state.go("tab.policySearch");
                                browser.close();
                            }else if(actionName === 'closeWebview'){
                                if(params.reload){
                                    // //判断新首页可见性
                                    // if($rootScope.isNewHome){
                                    //     $state.go("tab.mitNewIndex", {}, {reload: true});
                                    // }else{
                                    //     $state.go("tab.mitIndex", {}, {reload: true});
                                    // }
                                    $state.go("tab.mitNewIndex", {}, {reload: true});
                                }
                                browser.close();
                            }else if(actionName === 'getSlsInfo'){
                                var callbackFunc = params.callbackFunc;
                                var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                                try{
                                    browser.executeScript({
                                        code: 'var slsInfoStr = \'' +  JSON.stringify(slsInfo) + '\';window.' + callbackFunc + '(JSON.parse(slsInfoStr))'
                                    },function(){
                                        console.log('executeScript');
                                    });
                                }catch(e){
                                    console.error(e);
                                }
                            }else if(actionName === 'checkIn'){
                                switch(params.id){
                                    case 'index':
                                        $state.go("tab.mitNewIndex");
                                        browser.close();
                                        break;
                                    case 'comp':
                                        $state.go("tab.comp");
                                        browser.close();
                                        break;
                                    case 'iconMore':
                                        $state.go("tab.iconMore",{SOURCE:'index'});
                                        browser.close();
                                        break;
                                }
                            }
                        });

                        browser.addEventListener('loadstop', function (e) {
                            try{
                                browser.executeScript({
                                    code: 'window.isWebview=true'
                                },function(){
                                    console.log('executeScript');
                                });
                            }catch(e){

                            }
                        });

                    }
                },
                showAlert: function (title, template, callback, opts) {
                    if (title == "提示") {
                        title = "温馨提示";
                    }
                    var options = {
                        okText: "确定",
                        title: title,
                        template: template,
                        templateUrl: "",
                        okType: "button-assertive",
                        scope: '',
                        cssClass: '',
                    };
                    angular.extend(options, opts);
                    options.template = "<div class='show-alert-tips'>" + options.template + "</div>";
                    var alertPopup = $ionicPopup.alert(options);
                    alertPopup.then(function (res) {
                        callback ? callback() : '';
                    });
                    return alertPopup;
                },
                getApplicationIconBadgeNumber: function(success){
                    if(ionic.Platform.isIOS()){
                        if(window.JPush){
                            window.JPush.getApplicationIconBadgeNumber(success);
                        }
                    }else if(ionic.Platform.isAndroid() && cordova.plugins.notification && cordova.plugins.notification.badge){
                        cordova.plugins.notification.badge.get(success);
                    }
                },
                parseQueryString: function (url) {
                    var reg_url = /^[^\?]+\?([\w\W]+)$/,
                            reg_para = /([^&=]+)=([\w\W]*?)(&|$)/g, //g is very important
                            arr_url = reg_url.exec(url),
                            ret = {};
                    if (arr_url && arr_url[1]) {
                        var str_para = arr_url[1], result;
                        while ((result = reg_para.exec(str_para)) != null) {
                            ret[result[1]] = result[2];
                        }
                    }
                    return ret;
                }
            };
            return JpushService;
        }
    ]);
});
