define(function () {
   'use strict';
   return angular.module('app.handle.service', ['ionic', 'ngCordova']).factory('$handleService', [
      '$rootScope',
      '$ionicLoading',
      '$http',
      '$state',
      '$location',
      '$ionicNavBarDelegate',
      '$ionicScrollDelegate',
      '$ionicPopup',
      '$ionicActionSheet',
      '$cordovaCamera',
      '$cordovaImagePicker',
      '$interFace','$carBeansService',
      function ($rootScope,
         $ionicLoading,
         $http,
         $state,
         $location,
         $ionicNavBarDelegate,
         $ionicScrollDelegate,
         $ionicPopup,
         $ionicActionSheet,
         $cordovaCamera,
         $cordovaImagePicker,
         $interFace,$carBeansService) {
         //重新登录次数--》记录 不超过5次,不能放到http里面
         var loginsize = 0;
         var version;

         $rootScope.isSignShow = 0;//判断是否签到标识
         var HandleService = {
            initFormApp: function () {
               //解决安卓BUG-》点击checkbox 的时候，焦点总是移动
               angular.element('input[type="checkbox"]').on('change', function (e) {
                  angular.element(e.target).blur();
               });
            },
            //查询签到状态
            getSignStatus : function (){
               var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
               var salesCode = slsInfo && slsInfo.employCode;
               HandleService.http({
                  url: 'getSignStatus',//标识 app.service.js http方法判断接口路径标识
                  method: 'GET',
                  data:{"salecode":salesCode},
                  success: function (data) {
                     HandleService.logger("object", data, "获取签到状态接口--》");
                     if(data.code==0){
                        $rootScope.isSignShow = data.data;
                     }
                  },
                  error: function(ex){

                  }
               });
            },
            logger: function (level, message, title) {
               /**
                * 日志分为四种 分别为：
                * 1.log   普通日志
                * 2.info  提示信息日志
                * 3.error 错误日志
                * 4.warn  警告日志
                * **/
               var logtimer = new Date().format('yyyy-MM-dd hh:mm:ss'),
                  logheader = ' [',
                  logfooter = '] ',
                  messagestr = typeof message === 'object' ? JSON.stringify(message) : message;
               switch (level) {
                  case 'log':
                     console.log(logtimer + logheader + messagestr + logfooter);
                     break;
                  case 'info':
                     console.info(logtimer + logheader + messagestr + logfooter);
                     break;
                  case 'error':
                     try {
                        $U.showToast("服务请求超时啦,请稍后再试哟~");
                        //在此运行代码
                        console.error(logtimer + logheader + messagestr + logfooter);
                     }
                     catch (err) {
                        console.error(err);
                        //在此处理错误
                     }

                     break;
                  case 'warn':
                     console.warn(logtimer + logheader + messagestr + logfooter);
                     break;
                  case 'object':
                     console.info({'时间': logtimer, '描述': title, '内容': message});
                     break;
               }
            },
            showLoading: function (show) {
               if (show == 'show') {
                  $ionicLoading.show({
                     //noBackdrop:true,
                     templateUrl: 'templates/common/loading.html'
                  });
               }else if(show == 'countdown'){// 倒计时
                    $ionicLoading.show({
                        //noBackdrop:true,
                        templateUrl: 'templates/common/loading-cd.html'
                    });
               }else if(show == 'checkupdate'){
                  $ionicLoading.show({
                     templateUrl: 'templates/common/loading-update.html'
                  });
               }else {
                  $ionicLoading.hide();
               }
            },
            getVerNo: function () {
               var version;
               $.ajax({url: 'data/version-package.json'+"?" + new Date().getTime(),  async: false, dataType: 'json'}).done(function (data) {
                  version = data.version;
               });
               return version;
            },
            getChcpRelease: function(){
               var chcpRelease;
               $.ajax({url: 'chcp.json'+"?" + new Date().getTime(),  async: false, dataType: 'json'}).done(function (data) {
                  chcpRelease = data.release;
               });
               return chcpRelease;
            },
            http: function (opts) {
               if(!version){
                  version=HandleService.getVerNo();
               }
               var headers = {
                  appVersion:version,
                  "Accept-Source": window.requestParam.webSources || 'HWEB',
                  "auth-flag":1
               };
               var options = {
                  url: '', //请求路径
                  method: 'POST', //请求方式
                  params: {}, //用于设置URL参数的对象
                  data: {}, //请求发送的数据
                  timeout: 60000, //超时范围
                  headers: {},
                  //source: window.requestParam.webSources || 'HWEB',
                  withCredentials: false, //是否为XHR对象添加withCredentials属性（在跨域请求时提供凭据）
                  success: function (data) {},
                  complete: function () {
                     HandleService.showLoading("show");
                  },
                  error: function (ex) {},
                  /*headers: {
                     encrypt: "plain",
                     token: HandleService.sessionHandle.getSession("TOKEN"),
                     IMEI: ionic.Platform.device().uuid,
                     //"Accept-Source": window.requestParam.webSources || 'HWEB'
                  },*/
                  hasShowLoadding: true, //是否显示loadding图标                 
               };

               angular.extend(options, opts);
               angular.extend(options.headers, headers);
                if(options.url.indexOf('writeCookies') >= 0){// 支付方式记录 jxx
                    options.url = window.location.origin + options.url; //拼url
                }else if(options.url.indexOf('car_switch') >= 0){
                    options.url = $interFace.carSwitch + options.url; //拼url
                }else if(options.url.indexOf('queryAppUserInfo') >= 0){
                    options.url = $interFace.userInfo;//用户头像请求接口
                    options.headers = {
                        "Content-Type" :"application/x-www-form-urlencoded"
                    };
                }else if(options.url.indexOf('queryPolicyList') >= 0){
                    options.url = $interFace.policyListUrl;//非车列表请求接口
                    options.headers = {
                        'Content-Type': undefined
                    };
                }else if(options.url.indexOf('getSignStatus') >= 0){
                    options.url = $interFace.signStatusUrl+'?salecode='+options.data.salecode+"&t=" + new Date().getTime();//首页签到状态请求接口
                }else{
                    options.url = $interFace.mitMainFace + options.url; //拼url
                }
               options.headers.token = HandleService.sessionHandle.getSession('TOKEN');
               options.headers['auth-flag'] = 1;

               //默认为每一个接口增加业务员工号+机构编码
               if(options.hasShowLoadding) {
                  HandleService.showLoading('show');
               }
               //执行数据请求
               $http(options).success(function (data) {
                  if (data.resultCode == 'E10007') { //登录失效 重新登录
                     HandleService.logger('info', '登录失效 重新登录');
                     HandleService.appHandle.login(HandleService.sessionHandle.getSession('LOGIN_OPTS'), function () {
                        loginsize += 1;
                        //重新执行
                        HandleService.logger('info', '重新执行登录:' + loginsize);
                        HandleService.http(opts);
                     });
                     return;
                  }
                  if(options.hasShowLoadding) {
                     if((options.url.indexOf('queryEleSms')>0 && data.result)||options.url.indexOf('queryEleSms')<0){
                         HandleService.showLoading('hide');
                     }
                  }
                  
                  options.success(data);
               }).error(function (ex, status) {
                  if (status == "401") {
                     HandleService.appHandle.login(HandleService.sessionHandle.getSession('LOGIN_OPTS'), function () {
                        loginsize += 1;
                        //重新执行
                        HandleService.logger('info', '重新执行登录:' + loginsize);
                        HandleService.http(opts);
                     });
                  }
                  else {
                     options.error(ex, status);
                     if(options.hasShowLoadding) {
                        HandleService.showLoading('hide');
                     }                   
                  }
               });
            },
            nocarHttp: function (opts) {
               var headers = {
                  encrypt: "plain",
                  token: HandleService.sessionHandle.getSession("TOKEN"),
                  IMEI: ionic.Platform.device().uuid,
                  "Accept-Source": window.requestParam.webSources || 'HWEB'
               };
               var options = {
                  url: '', //请求路径
                  method: 'POST', //请求方式
                  params: {}, //用于设置URL参数的对象
                  data: {}, //请求发送的数据
                  headers: {},
                  timeout: 60000 //超时范围
                  //success: function (data) {},
                  //error: function (ex) {}
               };
               angular.extend(options, opts);
               angular.extend(options.headers, headers);
               options.data = {"requestData": JSON.stringify(options.data)};
               options.headers.token = HandleService.sessionHandle.getSession('TOKEN');
               options.success = function(obj) {
                  HandleService.showLoading('hide');
                  if(typeof opts.success == "function") {
                     opts.success(obj)
                  }
               }

               options.error = function(ex) {
                  HandleService.showLoading('hide');
                  if(typeof opts.error == "function") {
                     opts.error(ex)
                  }
               }


               HandleService.showLoading('show');
               //执行数据请求
               $.ajax(options);
            },
            motoHttp: function (opts) {
               var headers = {
                  encrypt: "plain",
                  token: HandleService.sessionHandle.getSession("TOKEN"),
                  IMEI: ionic.Platform.device().uuid,
                  "Accept-Source": window.requestParam.webSources || 'HWEB'
               };
               var options = {
                  url: '', //请求路径
                  method: 'POST', //请求方式
                  params: {}, //用于设置URL参数的对象
                  data: {}, //请求发送的数据
                  headers: {}, //请求头设置
                  timeout: 60000, //超时范围
                  withCredentials: false, //是否为XHR对象添加withCredentials属性（在跨域请求时提供凭据）
                  success: function (data) {},
                  error: function (ex) {},
                  hasShowLoadding: true //是否显示loadding图标
               };
               angular.extend(options, opts);
               angular.extend(options.headers, headers);

               //默认为每一个接口增加业务员工号+机构编码
               var slsInfo = HandleService.sessionHandle.getSession("SLS_INFO");
               if (slsInfo) {
                  if (options.data.noReplaceCode != '1') {
                     options.data.SLS_CDE = String(slsInfo.employCode);
                  }
                  options.data.DPT_CDE = String($U.getDeptCode());
               }

               options.headers.token = HandleService.sessionHandle.getSession('TOKEN');
               if(options.hasShowLoadding) {
                  HandleService.showLoading('show');
               }
               //执行数据请求
               $http(options).success(function (data) {
                  if (data.errorCode == '9102') { //登录失效 重新登录
                     HandleService.logger('info', '登录失效 重新登录');
                     HandleService.appHandle.login(HandleService.sessionHandle.getSession('LOGIN_OPTS'), function () {
                        loginsize += 1;
                        //重新执行
                        HandleService.logger('info', '重新执行登录:' + loginsize);
                        HandleService.motoHttp(opts);
                     });
                     return;
                  }
                  if(options.hasShowLoadding) {
                     HandleService.showLoading('hide');
                  }
                  options.success(data);
               }).error(function (ex, status) {
                  if (status == "401") {
                     HandleService.appHandle.login(HandleService.sessionHandle.getSession('LOGIN_OPTS'), function () {
                        loginsize += 1;
                        //重新执行
                        HandleService.logger('info', '重新执行登录:' + loginsize);
                        HandleService.http(opts);
                     });
                  }
                  else {
                     options.error(ex, status);
                     if(options.hasShowLoadding) {
                        HandleService.showLoading('hide');
                     }
                  }
               });
            },
            validateForm: function (form) {
               var error = form.$error,
                  elem = angular.element('form'),
                  defmsg = '您信息填写不完整或者输入有误',
                  msg = '';
               if ($U.isNotEmpty(error.required)) { //有空值
                  msg = elem.find('[name=' + error.required[0].$name + ']').attr('required-msg');
               }
               else if ($U.isNotEmpty(error.pattern)) { //正则不通过
                  msg = elem.find('[name=' + error.pattern[0].$name + ']').attr('pattern-msg');
               }
               else if ($U.isNotEmpty(error.valiProve)) { //自定义校验证件号码
                  msg = elem.find('[name=' + error.valiProve[0].$name + ']').attr('vali-prove-msg');
               }
               else if($U.isNotEmpty(error.control)){
                  msg = elem.find('[name=' + error.control[0].$name + ']').attr('control-msg');
               }
               else {
                  form.$valid = true;
                  return true;
               }
               $U.showToast($U.isNotEmpty(msg) ? msg : defmsg);
               form.$valid = false;
               return false;
            },
            progressPanel: function (flag, opts) {
               var options = {
                  text: "",
                  tamanio: "60%",
                  porcentaje: 100,
                  estilo: "vader",
                  alto: "1px",
                  tiempo: 1500,
                  success: null
               };
               angular.extend(options, opts);
               if (flag == "show") {
                  $(".ionic-progress").ProgressBarWars(options);
               }
               else {
                  $(".ionic-progress").remove();
               }
            },
            reckonDate: function (opts) {
               var options = {
                  beginDate: '',
                  endDate: ''
               };
               options = angular.extend(options, opts);

               options.beginDate = options.beginDate.replace(/-/g, "/");
               options.endDate = options.endDate.replace(/-/g, "/");

               var beginDate = new Date(options.beginDate);
               var endDate = new Date(options.endDate);

               var obj = {},
                  beginTime = beginDate.getDate(),
                  endTime = endDate.getDate();
               var M1 = beginDate.getMonth(),
                  M2 = endDate.getMonth();

               //年月计算 石梦星重写
               var smxYear = 0;
               if (endDate.getFullYear() - beginDate.getFullYear() > 0) {
                  if (M2 > M1) {
                     smxYear = endDate.getFullYear() - beginDate.getFullYear();
                  }else if (M2 < M1){
                     smxYear = endDate.getFullYear() - beginDate.getFullYear() - 1;
                  }else {
                     if (endTime >= beginTime) {
                        smxYear = endDate.getFullYear() - beginDate.getFullYear();
                     }else {
                        smxYear = endDate.getFullYear() - beginDate.getFullYear() - 1;
                     }
                  }
               }else {
                  if (M2 > M1) {
                     smxYear = endDate.getFullYear() - beginDate.getFullYear() + 1;
                  }else if (M2 < M1){
                     smxYear = endDate.getFullYear() - beginDate.getFullYear();
                  }else {
                     if (endTime > beginTime) {
                        smxYear = endDate.getFullYear() - beginDate.getFullYear() + 1;
                     }else {
                        smxYear = endDate.getFullYear() - beginDate.getFullYear();
                     }
                  }
               }
               obj.Y = smxYear; //差年
               var smxMonth = 0;
               if (endDate.getFullYear() - beginDate.getFullYear() > 0) {
                  if (M2 > M1) {
                     if (endTime >= beginTime) {
                        smxMonth = M2 - M1;
                     }else {
                        smxMonth = M2 - M1 - 1;
                     }
                  }else if (M2 < M1) {
                     if (endTime >= beginTime) {
                        smxMonth = M2 - M1 + 12;
                     }else {
                        smxMonth = M2 - M1 + 12 - 1;
                     }
                  }else {
                     if (endTime >= beginTime) {
                        smxMonth = 0;
                     }else {
                        smxMonth = 11;
                     }
                  }
               }else {
                  if (M2 > M1) {
                     if (endTime >= beginTime) {
                        smxMonth = -(M1 - M2 + 12) + 1;
                     }else {
                        smxMonth = -(M1 - M2 + 12);
                     }
                  }else if (M2 < M1) {
                     if (endTime >= beginTime) {
                        smxMonth = M1 - M2 -1;
                     }else {
                        smxMonth = M1 - M2;
                     }
                  }else {
                     if (endTime > beginTime) {
                        smxMonth = -11;
                     }else {
                        smxMonth = 0;
                     }
                  }
               }
               obj.M = smxMonth; //差月份 石梦星修改
               obj.s = Math.floor((endTime - beginTime) / 1000); //差几秒
               obj.m = Math.floor(obj.s / 60); //差几分钟
               obj.h = Math.floor(obj.m / 60); //差几小时
               obj.D = Math.floor(obj.h / 24); //差几天
               obj.totalMonth = obj.Y * 12 + obj.M;//时间相差总月数 石梦星添加

               return obj;
            },

            sessionHandle: {
               saveSession: function (key, object) {
                  if ($U.isNotEmpty(key)) {
                     if(typeof object == "object"){
                        window.sessionStorage.setItem(key, JSON.stringify(object));
                     }
                     else {
                        window.sessionStorage.setItem(key, String(object));
                     }
                  }
               },
               getSession: function (key) {
                  if ($U.isNotEmpty(key)) {
                     var str_object = window.sessionStorage.getItem(key);
                     try {
                        var obj = JSON.parse(str_object);
                        if(typeof obj == "object") { //如果是对象 那么返回对象，否则返回原数据
                           return obj;
                        }
                        return str_object;
                     }
                     catch (ex) {
                        return str_object;
                     }
                  }
               },
               saveLocalSession: function (key, object) {
                  if ($U.isNotEmpty(key)) {
                     if (typeof object == 'object') {
                        window.localStorage.setItem(key, JSON.stringify(object));
                     }
                     else {
                        window.localStorage.setItem(key, String(object));
                     }
                  }
               },
               getLocalSession: function (key) {
                  if ($U.isNotEmpty(key)) {
                     var str_object = window.localStorage.getItem(key);
                     try {
                        return JSON.parse(str_object);
                     }
                     catch (ex) {
                        return str_object;
                     }
                  }
               }
            },
            openUrl: function (url, opt) {
               var optings = {
                  fullscreen: false,
                  shareFlag: false,
                  otherOptions: {},
                  shareCallBack: function (shareData) {
                     //非车分享 每次要获取分享参数
                     if (shareData && shareData.title) { //根据页面设置分享信息设置分享功能
                        var url = shareData.url;
                        var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                        if (shareData.fields && shareData.fields.length > 0) {
                           url.indexOf('?')<0 && (url += '?');
                           var i, field;
                           for (i = 0; i < shareData.fields.length; i++) {
                              field = shareData.fields[i];
                              url += '&' + (field.shareName || field.name) + '=' + (slsInfo[field.name] || '');
                           }
                        }
                        var _options = {
                           title: shareData.title,
                           text: shareData.desc,
                           url: url,
                           imgUrl: shareData.imgUrl
                        };
                        _options.siteUrl = _options.url;
                        _options.titleUrl = _options.url;
                        HandleService.logger("object", _options, "非车分享调用参数--》");
                        HandleService.sharePanle(_options);
                        return;
                     }
                     //获取当前URL
                     cordova.ThemeableBrowser.getCurLocation(function (url) {
                         var _options = {
                             title: "华安保险微商城，您的保险掌上管家",
                             text: "在线投保、理赔服务、保单查询一站式轻松解决,随时随地满足您的保险需求！",
                             url: url,
                             imgUrl: "https://m.sinosafe.com.cn/tplresource/cms/www/shop/images/index/wexinLog.jpg"
                         };
                         _options.siteUrl = _options.url;
                         _options.titleUrl = _options.url;
                         HandleService.logger("object", _options, "非车分享调用参数--》");
                         //开始调用分享--------》
                         HandleService.sharePanle(_options);
                     });
                  },
                  type: "_blank",
                  statusbar: {
                     color: '#f54133'
                  },
                  toolbar: {
                     height: 44,
                     color: '#f54133'
                  },
                  title: {
                     color: '#ffffff',
                     align: "center",
                     showPageTitle: true
                  },
                  backButton: {
                     wwwImage: 'images/webview/back.png',
                     wwwImagePressed: 'images/webview/back_pressed.png',
                     wwwImageDensity: 2,
                     align: 'left',
                     event: 'backPressed'
                  },
                  menu: {
                     wwwImage: 'images/webview/menu.png',
                     wwwImagePressed: 'images/webview/menu_pressed.png',
                     wwwImageDensity: 2,
                     title: '工具栏',
                     cancel: '取消',
                     align: 'right',
                     items: [
                        {
                           event: 'closePressed',
                           label: '关闭当前页'
                        },
                        {
                           event: 'backIndex',
                           label: '回到首页'
                        }
                     ]
                  },
                  backButtonCanClose: true
               };
               var shareData = {}; // 预设分享信息

               optings = angular.extend(optings, opt);

               //判断 是否支持分享
               if (optings.shareFlag) {
                  optings.menu.items.push({
                     event: 'sharePage',
                     label: '分享'
                  });
               }
               //默认写入会员中心user_token
               var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
               var userSign = slsInfo.userSign;
               var userId = slsInfo.userId;
               if(!optings.otherOptions.userToken && userId && userSign){
                  optings.otherOptions.userToken = userId+':'+userSign;
                  if(!ionic.Platform.isWebView()){
                     this.setCookie('user_token', userId+':'+userSign)
                  }
               }

               if (!ionic.Platform.isWebView()) {
                  window.location.href = url;
               }
               else {
                  var browser = cordova.ThemeableBrowser.open(url, optings.type, optings);
                  //关闭页面
                  browser.addEventListener('closePressed', function (e) {
                     var baseUrl = window.location.href;// 返回之后链接
                     if(baseUrl.indexOf('mit-mine') >-1){ //跳转到我的 页面
                        HandleService.getSignStatus();//获取签到状态
                     }
                     browser.close();
                  });
                  //回到首页
                  browser.addEventListener('backIndex', function (e) {
                     $state.go("tab.mitNewIndex");
                      // //判断新首页可见性
                      // if($rootScope.isNewHome){
                      //     $state.go("tab.mitNewIndex");
                      // }else{
                      //     $state.go("tab.mitIndex");
                      // }
                     var baseUrl = window.location.href;// 返回之后链接
                     if(baseUrl.indexOf('mit-mine') >-1){ //跳转到我的 页面
                        HandleService.getSignStatus();//获取签到状态
                     }
                     browser.close();
                  });
                  // 预设分享信息
                  // 切换页面会清空分享配置
                  browser.addEventListener('updateAppShareData', function(e){
                     /*
                     //Webview预设分享信息
                     var h5share = {
                        title: '华安保险微商城，您的保险掌上管家', // 必填
                        desc: '在线投保、理赔服务、保单查询一站式轻松解决,随时随地满足您的保险需求！', // 必填
                        url: 'https://m.sinosafe.com.cn' // 必填
                        imgUrl: 'https://m.sinosafe.com.cn/tplresource/cms/www/shop/images/index/wexinLog.jpg', // 必填
                        fields: [
                           {
                              name: '', // 必填，掌上宝参数名，默认分享链接参数名
                              shareName: '' // 可选，指定分享链接参数名
                           }
                        ] // 可选字段，指定分享链接携带参数
                     };
                     if(window.Handler && window.Handler.action){
                        window.Handler.action("updateAppShareData", JSON.stringify(h5share));
                     }else if(window.action){
                        window.action("updateAppShareData", JSON.stringify(h5share));
                     }
                     */
                     shareData = JSON.parse(e.message);
                  });
                  //分享页面
                  browser.addEventListener('sharePage', function (e) {
                     optings.shareCallBack(shareData);
                  });
                  //好友代付 - 分享
                  browser.addEventListener('sharePay', function (param) {
                     HandleService.logger("object", param, "好友代付回调参数--》");
                     if ($U.isNotEmpty(param.message)) {
                        var payInfo = JSON.parse(param.message);
                        HandleService.sharePanle({
                           title: payInfo.title,
                           text: payInfo.desc,
                           imgUrl: payInfo.imgUrl,
                           url: payInfo.url,
                           siteUrl: payInfo.url,
                           titleUrl: payInfo.url
                        });
                     }
                  });
                  //5.支付方法 --- 》暴露给 浏览器
                  browser.addEventListener('appPayHandle', function (param) {
                     HandleService.logger("object", param, "支付回调参数--》");
                     if ($U.isNotEmpty(param.message)) {
                        var payParams = JSON.parse(param.message);
                        HandleService.payPage(payParams);
                     }
                  });
                  browser.addEventListener("backPressed",function () {
                     var baseUrl = window.location.href;// 返回之后链接
                     if(baseUrl.indexOf('mit-mine') >-1){ //跳转到我的 页面
                        HandleService.getSignStatus();//获取签到状态
                     }
                     optings.backCallBack&&optings.backCallBack(browser);
                  });
                  browser.addEventListener('loadstart', function (e){
                     // 切换页面清空分享配置
                     shareData = {};
                  });
                  browser.addEventListener('webviewAction', function(e){
                     /*
                     //新开Webview
                     var options = {
                         name: 'openWebview',
                         params: {
                             url: '地址'
                         }
                     };
                     if(window.Handler && window.Handler.action){
                         window.Handler.action("webviewAction", JSON.stringify(options));
                     }else if(window.action){
                         window.action("webviewAction", JSON.stringify(options));
                     }
                     */
                     var webviewAction = JSON.parse(e.message);
                     var actionName = webviewAction.name;
                     var params = webviewAction.params;
                     if(actionName === 'getSlsInfo'){
                         var callbackFunc = params.callbackFunc;
                         var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                         try{
                             browser.executeScript({
                                 code: 'var slsInfoStr = \'' +  JSON.stringify(slsInfo) + '\';window.' + callbackFunc + '(JSON.parse(slsInfoStr))'
                             },function(){
                                 console.log('executeScript');
                             });
                         }catch(e){
                             console.error(e);
                         }
                     }
                  });

                  browser.addEventListener('loadstop', function (e) {
                     try{
                         browser.executeScript({
                             code: 'window.isWebview=true'
                         },function(){
                             console.log('executeScript');
                         });
                     }catch(e){
                         
                     }
                  });

               }
            },
            sharePanle: function (opts) {
               var options = {
                  title: "标题",
                  text: "华安保险",
                  comment: "华安保险-保华夏安康",
                  site: "华安保险站点",
                  url: "",
                  titleUrl: "",
                  imgUrl: "",
                  siteUrl: ""
               };
               angular.extend(options, opts);
               window.plugins.SharePay.shareHandle({
                  params: options,
                  shareShowSuccess: function (param) {

                     HandleService.logger("object", param, "展示分享面板成功--》");
                  },
                  shareShowError: function (error) {
                     HandleService.logger("object", error, "展示分享面板异常--》");
                  }
               });
            },
            shareCallPanle: function (opts) {
               var options = {
                  title: "",  //分享title
                  text: "", //具体分享信息
                  comment: "",
                  site: "",
                  url: "",  //
                  titleUrl: "", //
                  imgUrl: "", //链接图片
                  siteUrl: "", //微信链接
                  type: "shareCall",
                  successCallback: function() {

                  }
               };
               function successCallback(parms) {
                  var data;
                  try {
                     data = JSON.parse(parms);
                  }catch(e) {
                     data = {};
                  }

                  options.successCallback.call(options, data);
               }
               angular.extend(options, opts);
               window.plugins.SharePay.shareHandle({
                  params: options,
                  shareShowSuccess: successCallback,
                  shareShowError: function (error) {
                     HandleService.logger("object", error, "展示分享报价板异常--》");
                  }
               });
            },
            payPage: function (opts) {
               var options = {
                  payType: "",
                  appid: "",
                  partnerid: "",
                  prepayid: "",
                  noncestr: "",
                  timestamp: "",
                  package: "",
                  sign: "",
                  extData: "",
                  url: "" //支付宝专用
               };
               angular.extend(options, opts);
               //开始调用支付-------》
               window.plugins.SharePay.appPayHandle({
                  params: options,
                  appPaySuccess: function (param) {
                     HandleService.logger("object", param, "支付调用成功--》");
                     try {
                        var payTypes = JSON.parse(param);
                        if (payTypes && payTypes.payType == "ALI_PAY") {
                           if (payTypes.url) {
                              HandleService.openUrl(payTypes.url);
                           }
                        }
                     }
                     catch (ex) {
                        HandleService.logger("info", "支付回调发生异常");
                     }
                  },
                  appPayError: function (error) {
                     HandleService.logger("object", error, "支付调用发生异常--》");
                  }
               });
            },
            showAlert: function (title, template, callback,opts) {
               var flag = title;
               if(title == "提示" || title =='tips') {
                  title = "温馨提示";
               }
               var options={
                  okText: "确定",
                  title: title,
                  template: template,
                  templateUrl:"",
                  okType: "button-assertive",
                   scope: '',
                   cssClass: '',
               };
               if(flag =='tips'){
                   options.okText = "我知道了";
               }
               angular.extend(options,opts);
               options.template = "<div class='show-alert-tips'>" + options.template + "</div>";
               var alertPopup = $ionicPopup.alert(options);
               alertPopup.then(function (res) {
                  callback ? callback() : '';
               });
               return alertPopup;
            },
            closeModule:function (res) {//关闭弹框
               res.close();
               return;
            },
            sharingText: function (opts) {
               var optings = {
                  text: "",
                  imgUrl: "",
                  url: "",
                  onSuccess: function () {
                  },
                  onError: function () {
                  }
               };
               angular.extend(optings, opts);
               window.plugins.socialsharing.share(optings.text, optings.imgUrl, optings.url, optings.onSuccess, optings.onError);
            },
            copyClipboard: function (opts) {
               var options = {
                  doms: "",
                  text: "",
                  success: function () {
                  },
                  error: function () {
                  }
               };
               angular.extend(options, opts);
               if (typeof cordova != "undefined" && ionic.Platform.isAndroid()) {
                  cordova.plugins.clipboard.copy(options.text);
                  options.success();
               }
               else {
                  var clipboard = new Clipboard(options.doms);
                  clipboard.on('success', function (e) {
                     e.clearSelection();
                     options.success();
                  });
                  clipboard.on('error', function (e) {
                     if(typeof cordova != "undefined" && cordova.plugins.clipboard){
                        cordova.plugins.clipboard.copy(options.text);
                        options.success();
                     }else{
                        options.error();
                     }
                  });
               }
            },
            sumString: function (params, premiu) {
               var _sum = 0;
               if (params && typeof params === "object") {
                  angular.forEach(params, function (item) {
                     _sum += Number(item);
                  });
               }
               if (typeof _sum === 'number') {
                  return _sum.toFixed(premiu || 2);
               }
               else {
                  return 0;
               }
            },
            //获取保额方法
            getQuota: function (base, premium) {
               if (premium && Number(premium)) {
                  //1.判断三者保额
                  angular.forEach(base.LIABILITY_INS, function (litem) {
                     if (litem.CODE == premium) {
                        premium = String(litem.AMT * 10000);
                     }
                  });
                  //2.判断 刮痕险
                  angular.forEach(base.SCRATCH_INS, function (scitem) {
                     if (scitem.CODE == premium) {
                        premium = String(scitem.AMT * 10000);
                     }
                  });
                  return premium;
               }
               else {
                  return "";
               }
            },
            showConfirm: function (opts) {
               var options = {
                  title: '提示',
                  template: '你确定操作此项？',
                  templateUrl: '',
                  confirm: true,
                  cssClass: '',
                  scope: '',
                  buttons: [{ //Array[Object] (可选)。放在弹窗footer内的按钮。
                     text: '取消',
                     type: 'button-cfirm-cancle',
                     onTap: function (e) {
                        return false;
                     }
                  }, {
                     text: '确定',
                     type: 'button-cfirm-ok',
                     onTap: function (e) {
                        return true;
                     }
                  }],
                  sure: function () {
                  },
                  cancle: function () {
                  }
               };
               var params = angular.extend(options, opts),
                  confirmPopup = {};

               if (params.confirm) {
                  confirmPopup = $ionicPopup.confirm(params);

               }
               else {
                  confirmPopup = $ionicPopup.show(params);
               }
               confirmPopup.then(function (res) {
                  if(res==undefined){
                     return;
                  }
                  if (res) {
                     options.sure(res);
                  }
                  else {
                     options.cancle(res);
                  }
               });
               return confirmPopup;
            },
            appHandle: { //app 特有方法，web访问需去掉
               login: function (opts, callback) {
                  //-------------------------------begin 登录参数-------------------------------//
                  var options = {
                     data: {
                        //以下为必传参数
                        isPhone: '0', //是否是手机号登录 1 为是 0为否
                        "version": "",
                        "changeEnv": "", //0.生产环境 1.测试环境 2.预演环境
                        "userid": "",
                        "passwd": ""
                     },
                     success: function (data) {
                        //保存业务员工号，不会被销售助理工号替换 石梦星 
                        $rootScope.employeeNumber = data.employCode;
                     },
                     error: function (ex) {
                     }
                  };
                  angular.extend(options, opts);
                  //-------------------------------end   登录参数-------------------------------//

                  //-------------------------------begin 请求接口 参数-------------------------------//
                  var httpOpts = {
                     url: $interFace.mitMainFace + "/login",
                     method: "POST",
                     data: options,
                     success: function (data) {
                        //数据存入内存-》方便全局使用
                        if (data.success== "true") {
                        	//后续接口需在请求头内加token保持登录状态
                            window.sessionStorage.setItem('TOKEN', data.token);
                            window.sessionStorage.setItem('LOGIN_OPTS', JSON.stringify(options));

                           //调用登录的回调方法
                           if (typeof options.success === 'function') {
                              options.success(data);
                           }
                           HandleService.logger('info', "---------------------登录成功---------------------");
                           callback && callback();
                        }else {
                           $U.showToast(data.verifiMessage || '登录失败，请检查您的用户名密码是否正确');
                        }
                     },
                     error: function (ex) {
                        if (typeof options.error === 'function') {
                           options.error(ex);
                        }
                     }
                  };
                  httpOpts.data = options.data;
                  //-------------------------------end   请求接口 参数-------------------------------//
                  HandleService.showLoading('show');
                  //执行数据请求
                  $http(httpOpts).success(function (data) {
                     httpOpts.success(data);
                     HandleService.showLoading('hide');
                  }).error(function (ex) {
                     httpOpts.error(ex);
                     HandleService.showLoading('hide');
                  });
               },

               cameraHandle: function (opts) {
                  var options = {
                     imagePicker: false, //是否启用图片浏览器
                     destinationType: 0, //图片格式
                     ionButtons:[
                        {text: '拍摄证件'},
                        {text: '从相册选取'},
                        {text: '选取视频'},
                        {text: '拍摄视频'}
                     ],//定义相机模板
                     maximumImagesCount: 10, //最大张数
                     success: function (img) {
                        HandleService.logger('info', "选取照片成功");
                     },
                     error: function (err) {
                        HandleService.logger('info', '取消拍照或者取消保存' + err);
                     }
                  };
                  angular.extend(options, opts);
                  //------------------------------------- begin 内部工具方法 -------------------------------------//
                  var Handle = {
                     imgCamera: function (params) {
                        var paramtions = {
                           //这些参数可能要配合着使用，比如选择了sourcetype是0，destinationtype要相应的设置
                           quality: 100, //相片质量0-100
                           destinationType: Camera.DestinationType.FILE_URI, //返回类型：DATA_URL= 0，返回作为 base64 編碼字串。 FILE_URI=1，返回影像档的 URI。NATIVE_URI=2，返回图像本机URI (例如，資產庫)
                           sourceType: Camera.PictureSourceType.CAMERA, //从哪里选择图片：PHOTOLIBRARY=0，相机拍照=1，SAVEDPHOTOALBUM=2。0和1其实都是本地图库
                           allowEdit: false, //在选择之前允许修改截图
                           encodingType: Camera.EncodingType.JPEG, //保存的图片格式： JPEG = 0, PNG = 1
                           targetWidth: 768, //照片宽度
                           targetHeight: 1024, //照片高度
                           mediaType: 0, //可选媒体类型：圖片=0，只允许选择图片將返回指定DestinationType的参数。 視頻格式=1，允许选择视频，最终返回 FILE_URI。ALLMEDIA= 2，允许所有媒体类型的选择。
                           cameraDirection: 0, //枪后摄像头类型：Back= 0,Front-facing = 1
                           popoverOptions: CameraPopoverOptions,
                           saveToPhotoAlbum: false //保存进手机相册
                        };
                        var CameraCallBack={
                           success:function (img) {
                              //回调-》调用
                              if (paramtions.destinationType == 0) {
                                 img = "data:image/jpeg;base64,"+img;
                              }
                              paramtions.success(img);
                           },
                           error:function (err) {
                              paramtions.error(err);
                              if (err == 20) {
                                 $U.showToast("请在手机系统设置中开启相机权限！");
                              }
                           }
                        };
                        //合并参数
                        angular.extend(paramtions, params);
                        //调用相机
                        $cordovaCamera.getPicture(paramtions).then(CameraCallBack.success,CameraCallBack.error);
                     },
                     imagePicker: function (params) {
                        var paramtions = {
                           quality: 100,
                           maximumImagesCount: 10,
                           width: 768,
                           height: 1024
                        };
                        var PickerCallback={
                           success:function (img) {
                              //回调-》调用
                              paramtions.success(img);
                           },
                           error:function (err) {
                              paramtions.error(err);
                           }
                        };
                        //合并参数
                        angular.extend(paramtions, params);
                        //调用图片浏览器
                        $cordovaImagePicker.getPictures(paramtions).then(PickerCallback.success,PickerCallback.error);
                     }
                  };
                  //------------------------------------- end    内部工具方法 -------------------------------------//
                  if(ionic.Platform.isWebView() && $U.isNotEmpty(Camera)){
                     //1.显示操作表
                     $rootScope.showSheet = $ionicActionSheet.show({
                        buttons: options.ionButtons,
                        titleText: '请选择',
                        cancelText: '取消',
                        buttonClicked: function (index) {
                           switch (index) {
                              case 0:
                                 options.sourceType = 1; //代表从相机选取
                                 Handle.imgCamera(options);
                                 break;
                              case 1:
                                 options.sourceType = 0; //代表从文件系统选取
                                 if (options.imagePicker) {
                                    Handle.imagePicker(options);
                                 }
                                 else {
                                    Handle.imgCamera(options);
                                 }
                                 break;
                              case 2:
                                 options.sourceType = 0;
                                 options.mediaType = 1;
                                 options.destinationType = 1;
                                 options.quality = 100;
                                 delete options.targetHeight;
                                 delete options.targetWidth;

                                 Handle.imgCamera(options);
                                 break;
                              case 3:
                                 if(!(navigator.device && navigator.device.capture)){
                                    HandleService.showAlert('提示', '请重新下载（不是升级）最新版本，才可使用拍摄视频功能！');
                                    return false;
                                 }
                                 navigator.device.capture.captureVideo(function(mediaFiles){
                                     if(mediaFiles.length>0){
                                        if(mediaFiles[0].size > 10*1024*1024){
                                            HandleService.showAlert('提示', '您上传的视频过大，请限制在10M以内！');
                                            return;
                                        }
                                        options.success(mediaFiles[0].fullPath);
                                     }
                                 }, options.error, {duration: 600, width:768, height: 1024});
                                 break;
                           }
                           return true;
                        }
                     });
                  }
                  else {
                     HandleService.logger("info","当前视图浏览器不支持原生相机");
                  }
               }
            },
            //-----------------检查更新功能-----------------//
            checkUpdate: function (opts) {
               var _selfHandle = this;
               var options = {
                  autoCheck: true
               };
               angular.extend(options, opts);
               //------------------------  begin 内部构造方法  ------------------------//
               var Constractor = {
                  installApp: function () {
                     if (window.IonicApp && window.IonicApp.versionTooLow) {
                        if (ionic.Platform.isIOS()) {
                           _selfHandle.openUrl($interFace.updateApp.ios, {
                              type: "_system"
                           });
                        }
                        else if (ionic.Platform.isAndroid()) {
                           _selfHandle.openUrl($interFace.updateApp.android, {
                              type: "_system"
                           });
                        }
                     }
                     else {
                        _selfHandle.progressPanel("show", {
                           text: "更新中，请稍后...",
                           tamanio: "60%",
                           porcentaje: 100,
                           estilo: "vader",
                           tiempo: 1500,
                           success: function () {
                              chcp.installUpdate(function (updateError) {
                                 _selfHandle.progressPanel("hide");
                              });
                           }
                        });
                     }
                  },
                  updateApp: function (appVersion) {
                     var _self = this;
                     if (!appVersion.data.forceUpdate) { //非强制更新
                        _selfHandle.showConfirm({
                           title: "更新提示",
                           template: "<div class='backto-motify'>" + appVersion.data.descrip + "</div>",
                           sure: function () {
                              _self.installApp();
                              _selfHandle.logger("info", "非强制更新状态下，用户选择更新App");
                           }
                        });
                     } else {
                        _selfHandle.showAlert("更新提示", "<div class='backto-motify'>" + appVersion.data.descrip + "</div>", function () {
                           _self.installApp();
                           _selfHandle.logger("info", "强制更新，用户必须去更新");
                        });
                     }
                  },
                  getVerSuccess: function (appVersion, chcpJson) {
                     var currChcpRelease = HandleService.getChcpRelease();
                     //如果 有硬更新 直接更新
                     if (window.IonicApp && window.IonicApp.versionTooLow) {
                        _selfHandle.showLoading("hide");
                        Constractor.updateApp(appVersion);
                     }else if(currChcpRelease !== chcpJson.data.release){
                        _selfHandle.showLoading("hide");
                        //需要更新，先弹出提示，确定后检查
                        _selfHandle.showAlert("更新提示", "<div class='backto-motify'>" + appVersion.data.descrip + "</div>", function () {
                           _selfHandle.logger("info", "强制更新，用户必须去更新");
                           if (typeof chcp != "undefined") {
                              //检查更新 -》 如果 fetError 为否 则需要更新
                              //更新判断 是否是壳更新 如果是 更新壳 否则 更新内容
                              //如果壳版本和服务器克版本不对应 不会更新H5
                              _selfHandle.progressPanel("show", {
                                 text: "更新中，请稍后...",
                                 tamanio: "60%",
                                 porcentaje: 100,
                                 estilo: "vader",
                                 tiempo: 8000,
                                 success: function () {
                                 }
                              });
                              chcp.fetchUpdate(function (fetError) {
                                 if (!fetError) {
                                    chcp.installUpdate(function (updateError) {
                                       _selfHandle.progressPanel("hide");
                                    });
                                 } else {
                                    _selfHandle.progressPanel("hide");
                                    var updateMsg = "<div class='spe text-center'>您当前是最新版本</div><div class='spe text-center'>当前版本：" + appVersion.data.version + "</div>";
                                    appVersion.data.updateTime && (updateMsg += "<div class='spe text-center'>更新时间：" + appVersion.data.updateTime + "</div>");
                                    _selfHandle.logger("object", fetError, "请求更新返回信息--》");
                                    if (!options.autoCheck && fetError.code == chcp.error.NOTHING_TO_UPDATE) {
                                       _selfHandle.logger("info", "最新版本，无需更新");
                                       _selfHandle.showAlert("提示", updateMsg);
                                    }
                                 }
                              });
                           }else{
                              _selfHandle.showLoading("hide");
                              _selfHandle.logger("info", "系统不支持热更新，无法更新");
                           }
                        });

                     }else{
                        _selfHandle.showLoading('hide');
                        var updateMsg = "<div class='spe text-center'>您当前是最新版本</div><div class='spe text-center'>当前版本：" + appVersion.data.version + "</div>";
                        appVersion.data.updateTime && (updateMsg += "<div class='spe text-center'>更新时间：" + appVersion.data.updateTime + "</div>");
                        if (!options.autoCheck) {
                           _selfHandle.logger("info", "最新版本，无需更新");
                           _selfHandle.showAlert("提示", updateMsg);
                        }
                     }
                  },
                  getVerError: function (error) {
                     _selfHandle.showLoading("hide");
                     _selfHandle.logger("object", error, "获取版本信息异常");
                  }
               };
               //------------------------  end   内部构造方法  ------------------------//
               //显示更新中
               if(!options.autoCheck || options.updateLoading){
                  _selfHandle.showLoading("checkupdate");
               }

               var $getVersionDeferred = $.Deferred(), $getChcpDeferred = $.Deferred();
               $http({
                  type: "GET",
                  url: $interFace.verLocation + "?" + new Date().getTime()
               }).then(
                  function (appVersion) {
                     $getVersionDeferred.resolve(appVersion);
                  }, 
                  function () {
                     $getVersionDeferred.reject();
                  }
               );
               $http({
                  type: "GET",
                  url: $interFace.chcpLocation + "?" + new Date().getTime()
               }).then(
                  function (chcpJson) {
                     $getChcpDeferred.resolve(chcpJson);
                  }, function () {
                     $getChcpDeferred.reject();
                  }
               )
               $.when($getVersionDeferred, $getChcpDeferred)
               .then(
                  function (appVersion, chcpJson) {
                     Constractor.getVerSuccess(appVersion, chcpJson);
                  }, Constractor.getVerError
               );
            },
            //-----------------机构判断 石梦星---------------//
            deptJudge: function() {
               $rootScope.IS_ZONGBU_00 = false;//总部
               $rootScope.IS_SHENZHEN_01 = false;//深圳
               $rootScope.IS_GUANGDONG_02 = false;//广东
               $rootScope.IS_HUNAN_03 = false;//湖南
               $rootScope.IS_FUJIAN_04 = false;//福建
               $rootScope.IS_GUANGXI_05 = false;//广西
               $rootScope.IS_SHANGHAI_06 = false;//上海
               $rootScope.IS_BEIJING_07 = false;//北京
               $rootScope.IS_JIANGSU_08 = false;//江苏
               $rootScope.IS_ZHEJIANG_09 = false;//浙江
               $rootScope.IS_SICHUANG_10 = false;//四川
               $rootScope.IS_DALIAN_11 = false;//大连
               $rootScope.IS_SHANDONG_12 = false;//山东
               $rootScope.IS_CHONGQING_13 = false;//重庆
               $rootScope.IS_YUNNAN_14 = false;//云南
               $rootScope.IS_SHANXI_15 = false;//陕西
               $rootScope.IS_LIAONING_16 = false;//辽宁
               $rootScope.IS_JIANGXI_17 = false;//江西
               $rootScope.IS_SHANXI_18 = false;//山西
               $rootScope.IS_TIANJIN_19 = false;//天津
               $rootScope.IS_ANHUI_20 = false;//安徽
               $rootScope.IS_HUBEI_21 = false;//湖北
               $rootScope.IS_HENAN_22 = false;//河南
               $rootScope.IS_NINGBO_23 = false;//宁波
               $rootScope.IS_HEBEI_25 = false;//河北
               $rootScope.IS_HEILONGJIANG_26= false;//黑龙江
               $rootScope.IS_JILIN_27= false;//吉林
               $rootScope.IS_NEIMENGGU_28 = false;//内蒙古
               $rootScope.IS_GUIZHOU_29 = false;//贵州
               $rootScope.IS_QINGDAO_30 = false;//青岛
               $rootScope.IS_HAINAN_31 = false;//海南
               $rootScope.IS_GANSU_32 = false;//甘肃

               if ($U.getDeptCodeNewFunc('0100')) {
                  $rootScope.IS_ZONGBU_00 = true;//总部
               }else if ($U.getDeptCodeNewFunc('0101')) {
                  $rootScope.IS_SHENZHEN_01 = true;//深圳
               }else if ($U.getDeptCodeNewFunc('0102')) {
                  $rootScope.IS_GUANGDONG_02 = true;//广东
               }else if ($U.getDeptCodeNewFunc('0103')) {
                  $rootScope.IS_HUNAN_03 = true;//湖南
               }else if ($U.getDeptCodeNewFunc('0104')) {
                  $rootScope.IS_FUJIAN_04 = true;//福建
               }else if ($U.getDeptCodeNewFunc('0105')) {
                  $rootScope.IS_GUANGXI_05 = true;//广西
               }else if ($U.getDeptCodeNewFunc('0106')) {
                  $rootScope.IS_SHANGHAI_06 = true;//上海
               }else if ($U.getDeptCodeNewFunc('0107')) {
                  $rootScope.IS_BEIJING_07 = true;//北京
               }else if ($U.getDeptCodeNewFunc('0108')) {
                  $rootScope.IS_JIANGSU_08 = true;//江苏
               }else if ($U.getDeptCodeNewFunc('0109')) {
                  $rootScope.IS_ZHEJIANG_09 = true;//浙江
               }else if ($U.getDeptCodeNewFunc('0110')) {
                  $rootScope.IS_SICHUANG_10 = true;//四川
               }else if ($U.getDeptCodeNewFunc('0111')) {
                  $rootScope.IS_DALIAN_11 = true;//大连
               }else if ($U.getDeptCodeNewFunc('0112')) {
                  $rootScope.IS_SHANDONG_12 = true;//山东
               }else if ($U.getDeptCodeNewFunc('0113')) {
                  $rootScope.IS_CHONGQING_13 = true;//重庆
               }else if ($U.getDeptCodeNewFunc('0114')) {
                  $rootScope.IS_YUNNAN_14 = true;//云南
               }else if ($U.getDeptCodeNewFunc('0115')) {
                  $rootScope.IS_SHANXI_15 = true;//陕西
               }else if ($U.getDeptCodeNewFunc('0116')) {
                  $rootScope.IS_LIAONING_16 = true;//辽宁
               }else if ($U.getDeptCodeNewFunc('0117')) {
                  $rootScope.IS_JIANGXI_17 = true;//江西
               }else if ($U.getDeptCodeNewFunc('0118')) {
                  $rootScope.IS_SHANXI_18 = true;//山西
               }else if ($U.getDeptCodeNewFunc('0119')) {
                  $rootScope.IS_TIANJIN_19 = true;//天津
               }else if ($U.getDeptCodeNewFunc('0120')) {
                  $rootScope.IS_ANHUI_20 = true;//安徽
               }else if ($U.getDeptCodeNewFunc('0121')) {
                  $rootScope.IS_HUBEI_21 = true;//湖北
               }else if ($U.getDeptCodeNewFunc('0122')) {
                  $rootScope.IS_HENAN_22 = true;//河南
               }else if ($U.getDeptCodeNewFunc('0123')) {
                  $rootScope.IS_NINGBO_23 = true;//宁波
               }else if ($U.getDeptCodeNewFunc('0125')) {
                  $rootScope.IS_HEBEI_25 = true;//河北
               }else if ($U.getDeptCodeNewFunc('0126')) {
                  $rootScope.IS_HEILONGJIANG_26= true;//黑龙江
               }else if ($U.getDeptCodeNewFunc('0127')) {
                  $rootScope.IS_JILIN_27= true;//吉林
               }else if ($U.getDeptCodeNewFunc('0128')) {
                  $rootScope.IS_NEIMENGGU_28 = true;//内蒙古
               }else if ($U.getDeptCodeNewFunc('0129')) {
                  $rootScope.IS_GUIZHOU_29 = true;//贵州
               }else if ($U.getDeptCodeNewFunc('0130')) {
                  $rootScope.IS_QINGDAO_30 = true;//青岛
               }else if ($U.getDeptCodeNewFunc('0131')) {
                  $rootScope.IS_HAINAN_31 = true;//海南
               }else if ($U.getDeptCodeNewFunc('0132')) {
                  $rootScope.IS_GANSU_32 = true;//甘肃
               }
            },
            uMengListen: function(eventType) { //友盟监听
               var evtObj = {
                  "premiumTrial":"umeng_bfss_0380",	//0380保费试算
                  "premiumTrial_xubao": "umeng_bfss_0380_xubao",  //0380续保保费试算
                  "imageUpload": "umeng_imageUpload", //影像上传
                  "loginMessage":"umeng_independent_message", //独立消息数
                  "copyCode":"umeng_inspec_code", //验车码复制
                  "login": "umeng_login", //login
                  "noCarPrd":"umeng_nocarprd", //非车产品
                  "submitUnderwriting":"umeng_tjhb_0380", //0380提核
                  "submitUnderwriting_xubao": "umeng_tjhb_0380_xubao", //0380续保提核
                  "twoNumber":"umeng_twonum", //两号查询
                  "pay": "umeng_zhifu", // 支付,
                  "copyText": "umeng_fzhbyj", // 复制核保信息
               };

               if(window.MobclickAgent && window.MobclickAgent.onEvent) { //判断是否支持友盟插件
                  if(eventType == "loginUser") { //
                     var salesmanCode = HandleService.sessionHandle.getSession("SLS_INFO").salesmanCode || "";
                     window.MobclickAgent.profileSignInWithPUIDWithProvider("HAH5", salesmanCode);
                  } else {
                     if(!evtObj[eventType]) {
                        console.log("错误的事件：" + eventType);
                        return;
                     }
                     window.MobclickAgent.onEvent(evtObj[eventType]);
                     console.log("监控事件：" + evtObj[eventType]);
                  }
               }
            },
            scrollTop: function() {
               $ionicScrollDelegate.scrollTop();
            },
            setCookie : function(key,value,options) { //设置cookie
               if(arguments.length > 1 && (!/Object/.test(Object.prototype.toString.call(value)) || value === null || value === undefined)) {
                  options = options || {};

                  typeof(options.path)=='undefined' && (options.path='/');//将默认cookie路径设置为域名根目录,否则默认是当前页面目录。cookie不能全站共享

                  if(value === null || value === undefined) {
                     options.expires = -1;
                  }

                  if( typeof options.expires === 'number') {
                     var days = options.expires, t = options.expires = new Date();
                     t.setDate(t.getDate() + days);
                  }
                  value = String(value);

                  //ie11 does not accepts domain
                  return (document.cookie = [encodeURIComponent(key), '=', options.raw ? value : encodeURIComponent(value), options.expires ? '; expires=' + options.expires.toUTCString() : '', options.path ? '; path=' + options.path : '', options.secure ? '; secure' : ''].join(''));

               }

               options = value || {};

               var decode = options.raw ? function(s) {
                  return s;
               } : decodeURIComponent;

               var pairs = document.cookie.split('; ');
               for(var i = 0, pair; pair = pairs[i] && pairs[i].split('='); i++) {
                  if(decode(pair[0]) === key)
                     return decode(pair[1] || '');
               }
               return null;
            },
             //重新输入车牌和车架号时  清空imageId 和 quotationNo
             clearImageIdAndQuotationNo: function(){
                 $rootScope.baseBean.syImageId = '';
                 $rootScope.baseBean.syQuotationNo = "";
                 $rootScope.baseBean.jqRiskList.imageId ='';
                 $rootScope.baseBean.jqRiskList.quotationNo ='';
             },
            //重新输入车牌和车架号时  清空imageId 和 quotationNo
            clearProposalNoAndQuotationNo: function(){
               $rootScope.baseBean.syProposalNo = '';
               $rootScope.baseBean.syQuotationNo = "";
               $rootScope.baseBean.jqProposalNo ='';
               $rootScope.baseBean.jqRiskList.quotationNo ='';
            },
            //流程初始化
            initProcess: function(tempNo) {
               HandleService.http({
                  url: "/init"+"?deptCode="+ $U.getDeptCode() +"&mediaSource=eautomobile",
                  method: 'GET',
                  success: function (data) {
                     if(data.resultCode == "0") {
                        HandleService.logger('object', data, '流程初始化');
                        $rootScope.elecSignData = data.result;//流程初始化 获取电子投保开关
                        $rootScope.flowId = data.result.flowId;
                        $rootScope.tempNo = tempNo || ""; //流程初始化时  清除暂存单号,编辑操作不清楚暂存单
                         if($rootScope.elecSignData.enableSigned == '1'){//默认勾选电子投保
                             if($rootScope.carBeans.base.elecSignFlag == '0' || $rootScope.carBeans.base.elecSignFlag == '1'){
                                //当电子投保有标志时 不做初始化处理
                             }else if($rootScope.elecSignData.forceSigned == '1'){
                                 $rootScope.carBeans.base.elecSignFlag = '1';
                             }else{
                                 $rootScope.carBeans.base.elecSignFlag = '';
                             }
                              if($rootScope.isQMYX && window.requestParam.elecSignFlag){ //人人团电子投保字段赋值
                                  $rootScope.carBeans.base.elecSignFlag = window.requestParam.elecSignFlag;
                              }
                         }
                     } else {
                        HandleService.showAlert("提示",data.errorMsg);
                     }
                     HandleService.operateTime({
                        operatId: "01",
                        orderNo:"",
                        jqApplyPolicyNo:"",
                        syApplyPolicyNo:""
                     })

                  },
                  error: function (ex) {
                     HandleService.logger('error', ex);
                  }
               });
            },
            //流程初始化
            operateTime: function(opt) {
               var options={
                  operatId: "",
                  flowId:$rootScope.flowId||"",
                  orderNo:"",
                  jqApplyPolicyNo:"",
                  syApplyPolicyNo:"",
                  operatorCode:HandleService.sessionHandle.getSession("SLS_INFO").salesmanCode||window.requestParam.refereeId,
                  hasShowLoadding:false,
                  sure:function () {

                  }
               };
               angular.extend(options,opt);
               HandleService.http({
                  url: "/operateTime",
                  method: 'POST',
                  data: options,
                  success: function (data) {
                     HandleService.logger("object", data, "投保时长");
                     options.sure();
                  },
                  error: function (ex) {
                     // HandleService.logger('error', ex);
                     options.sure();
                  }
               });
            },
               dealQMYXParam:function () {
                   if(window.requestParam.webSources == "QMYX"){
                       $rootScope.carBeans.peopleMarket ={
                           businessCode: "QMYX",   // 业务来源    string    QMYX: 人人团 HWEB: APP
                           refereeId: window.requestParam.refereeId,
                           outDf: window.requestParam.outDf,
                           outUserId: window.requestParam.outUserId,
                           issueCode: window.requestParam.issueCode, //
                           cooperateCode: window.requestParam.cooperateCode, //客户源
                           attachNatures:window.requestParam.attachNatures //所属性质
                       }
                   }
               },
            saveTmp: function(callback) { //存暂存单
               //存暂存单
                HandleService.dealQMYXParam();
               var carBeans = angular.copy($rootScope.carBeans);
               //delete baseBean.syRiskList;
               HandleService.http({
                  url: "/saveTempInfo?flowId=" + $rootScope.flowId,
                  method: 'POST',
                  data: {
                     policyInfo: carBeans,
                     tmp: {
                        tempNo: $rootScope.tempNo||""
                     }
                  },
                  success: function (data) {
                     HandleService.logger('object', data, '暂存单');
                     if(data.resultCode =="0") {
                        $rootScope.tempNo = data.result.tempNo;
                        callback&& callback();
                     } else if(data.resultCode == "E10001"){
                         HandleService.showAlert('温馨提示',data.errorMsg, function () {
                             if(!window.requestParam.webSources){
                                $state.go("tab.mitNewIndex");
                                 // //判断新首页可见性
                                 // if($rootScope.isNewHome){
                                 //     $state.go("tab.mitNewIndex");
                                 // }else{
                                 //     $state.go("tab.mitIndex");
                                 // }
                             }
                         });
                     }else {
                        HandleService.showAlert("提示",data.errorMsg);
                     }

                  },
                  error: function (ex) {
                     HandleService.logger('error', ex);
                  }
               });
            },
            //通过后端返回数据改造成前端自己的数据  是否退回修改
            reModifyPolicyData: function(policyInfo, returnFlag) {
               $rootScope.baseBean.syElectronicPolicy='';
               $rootScope.baseBean.jqElectronicPolicy='';
               var carBeans = angular.copy(policyInfo);
               $rootScope.baseBean.jqOrigFlag = false;
               $rootScope.baseBean.syOrigFlag = false;
               var syRisk = angular.copy(SY_RISK);

               //存储非车产品
               $rootScope.carBeans.noCarProductList  = carBeans.noCarProductList;//存储非车产品
               $rootScope.carBeans.noCarRiskList = carBeans.noCarRiskList;//存储非车产品
               // 存储frmNoFlag tempFrameNo tempEngineNo 用于新车免2号时第一次报价时默认赋值
                $rootScope.carBeans.base.frmNoFlag = carBeans.base.frmNoFlag;
                $rootScope.tempFrameNo = carBeans.vehicle.frameNo;
                $rootScope.tempEngineNo = carBeans.vehicle.engineNo;
               //处理险种
               angular.forEach(carBeans.riskList, function (item, index) {
                  if(item.riskCode == "0301") {
                     if(returnFlag) {
                        $rootScope.baseBean.jqProposalNo = item.proposalNo;
                     } else {
                        $rootScope.baseBean.jqProposalNo = "";
                     }
                     $rootScope.baseBean.jqOrigFlag = true;
                     $rootScope.baseBean.jqRiskList = angular.copy(item);
                     $rootScope.baseBean.jqElectronicPolicy=item.electronicInd;
                     if(item.startDate) {
                        $rootScope.baseBean.jqInsureStartTime = item.startDate;
                        $rootScope.baseBean.jqInsureEndTime = item.endDate;
                     }
                  }
                  if(item.riskCode == "0302") { //商业险
                     if(returnFlag) {
                        $rootScope.baseBean.syProposalNo = item.proposalNo;
                     } else {
                        $rootScope.baseBean.syProposalNo = "";
                     }
                     $rootScope.baseBean.syOrigFlag = true;
                     angular.forEach(item.coverageList, function(syItem, syIndex) { //后端带出数据
                         if(syItem.kindCode == '030201'){
                             $rootScope.baseBean.isBasic = '1';
                         }
                         if(syItem.kindCode == '021'){
                             syItem.rate+='';//转成字符串
                         }
                        angular.forEach(syRisk, function(defaultItem, defaultIndex) { //默认数据
                           if(syItem.kindCode == defaultItem.kindCode) {
                              if(syItem.kindCode == "030101") { //免赔额
                                 syItem.deductible = String(syItem.deductible);
                              }
                              if(syItem.kindCode == "030116"){
                                 syItem.rate=String(syItem.rate*10);
                              }

                              syRisk[defaultIndex] = syItem;
                              syRisk[defaultIndex].checked = true;
                              if(syItem.relatedInd == "1") { //不计免赔
                                 $rootScope.NO_DED["FRANCHISE_FLAG_" + defaultIndex +"T"] = true;
                              } else {
                                 $rootScope.NO_DED["FRANCHISE_FLAG_" + defaultIndex +"T"] = false;
                              }
                           }
                        })
                     });
                      $rootScope.baseBean.syImageId = item.imageId;
                      $rootScope.baseBean.syQuotationNo =  item.quotationNo;

                     if(item.startDate) {
                        $rootScope.baseBean.syInsureStartTime = item.startDate;
                        $rootScope.baseBean.syInsureEndTime = item.endDate;
                     }
                     $rootScope.baseBean.syElectronicPolicy=item.electronicInd;
                  }
                  $rootScope.baseBean.syRiskList = syRisk;

               });
               //返填  机动车种类
                var vehicleTypeFlag = policyInfo.vehicle.jqxClassId;
                if( vehicleTypeFlag){
                    if($carBeansService[vehicleTypeFlag]=='001'){//货车
                        carBeans.vehicle.carKindCode='200';
                    }else if($carBeansService[vehicleTypeFlag]=='003'){ //客车
                        carBeans.vehicle.carKindCode='100';
                        $rootScope.baseBean.syRiskList[11].checked=false;
                    }
                }else{
                    carBeans.vehicle.carKindCode='';
                }

               if($U.isEmpty(carBeans.appCustRecordInfo)){
                  carBeans.appCustRecordInfo=angular.copy(CarBeans.appCustRecordInfo);
                  $rootScope.carBeans.appCustRecordInfo=carBeans.appCustRecordInfo;
               }

               if($U.isEmpty(carBeans.insCustRecordInfo)){
                  carBeans.insCustRecordInfo=angular.copy(CarBeans.insCustRecordInfo);
                  $rootScope.carBeans.insCustRecordInfo=carBeans.insCustRecordInfo;
               }

               if($U.isEmpty(carBeans.beneficiary)){
                  carBeans.beneficiary=angular.copy($rootScope.carBeans.beneficiary)
               }
               //此处需要深度合并,因为carBeans的数据可能会少于$rootScope.carBeans
               angular.merge($rootScope.carBeans, carBeans);



               //避免缓存数据混乱交管查询标志及数据  缓存数据应该做清空操作，徐后续研究
               $rootScope.carBeans.vehicle.gdQueryFlag = carBeans.vehicle.gdQueryFlag || '';
               $rootScope.carBeans.vehicle.jgVehicleModel = carBeans.vehicle.jgVehicleModel || {};
            },
            //获取开关配置
            getConfigSwitch: function(callback) {
               HandleService.http({
                  url: "/switch/getAllSwitch",
                  // url: "/car_switch/switch/getSwitchInfo",
                  // url: "/clause/getSwitchInfo",
                  data: {
                      channelNo: 'app',
                      dptNo: $U.getDeptCode(),
                      salesManCode: $U.getSlsCode()
                  },
                  success:function(data) {
                     HandleService.logger('object', data, '项目开关配置返回结果');
                      // data.data.newHomeSwitch = 1;
                      if(data.data.compreRiskSwitch == "1") {
                          $rootScope.isHasBasic = true;
                      } else {
                          $rootScope.isHasBasic = false;
                      }
                      // //新版首页可见性
                      // if(data.data.newHomeSwitch =="1"){
                      //      $rootScope.isNewHome = true;
                      // }else{
                      //      $rootScope.isNewHome = false;
                      // }
                      if(data.data.motoSwitch=='1'){
                          $rootScope.isMotoShow = true;
                      }else{
                          $rootScope.isMotoShow = false;
                      }
                      if(data.data.sendMailSwitch=='1'){
                        $rootScope.isSendShow = true;
                    }else{
                        $rootScope.isSendShow = false;
                    }
                     // angular.extend($rootScope.switchBean, data);
                     angular.extend($rootScope.switchBean, data.data);
                     $rootScope.hasMotoFlag = data.data.motoSwitch;
                     if(typeof callback == "function") {
                        callback();
                     }
                  },
                  error: function (ex) {
                     HandleService.logger('error', ex);
                  }
               });
            },
             //处理续保的起期
            addYear :function (dateStr) {
               var str = "";
               var newDate = new Date(dateStr.replace(/-/g, "/"));
               newDate.setFullYear(newDate.getFullYear() +1);
               str = newDate.format("yyyy-MM-dd hh:mm:ss");
               return str;
            },
            //处理续保的起期
            addSecond:  function (dateStr) {
               var str = "";
               var newDate = new Date(dateStr.replace(/-/g, "/"));
               newDate.setSeconds(newDate.getSeconds() +1);
               str = newDate.format("yyyy-MM-dd hh:mm:ss");
               return str;
            },
            changeToolPage: function(page) {
               if(!page) {
                  return;
               }
               if(page == 'index'){
                  $state.go('tab.mitNewIndex');
               }else{
                  $state.go(page);
               }
               // 首页跳转判断
               // if($rootScope.isNewHome && page == 'index'){
               //     $state.go('tab.mitNewIndex');
               // }else if(!$rootScope.isNewHome && page == 'index'){
               //     $state.go('tab.mitIndex');
               // }else{
               //     $state.go(page);
               // }
            },
             //获取两号标志
            getTwoNumFlag: function(){
                if($rootScope.carBeans.vehicle.maskFrameNo&&$rootScope.carBeans.vehicle.maskEngineNo){
                    $rootScope.baseBean.is_twoNumber_success = true;
               }else{
                    $rootScope.baseBean.is_twoNumber_success = false;//两号是否查询成功
               }
            },
            gotoPage_Qrenewal: function(params){
               var licenseNo = params.licenseNo;
               var identifyNumber = params.identifyNumber;
               var identifySuffix = identifyNumber.slice(identifyNumber.length-6, identifyNumber.length);
               var slsInfo = HandleService.sessionHandle.getSession("SLS_INFO");
               var salesmanCode = slsInfo.employCode;
               var sign = slsInfo.sign;
               var Qick_Renewal_URL = (JSON.parse(window.localStorage.getItem('Q_Renewal_Info')) || {})[salesmanCode];
               if(Qick_Renewal_URL){
                  HandleService.openUrl(Qick_Renewal_URL + '&licenseNo=' + licenseNo + '&sign='+sign+'&orgin=00011', {
                       shareFlag: false
                   });
               }else{
                   var url = $interFace.yjxbUrl;
                   var urlParmsArr = [];
                   var urlParms = {
                       choicedType: "a",
                       terminalSource : '0106',
                       deptCode : encodeURIComponent(slsInfo.deptCode),
                       salesmanCode: encodeURIComponent(slsInfo.employCode),
                       operatorCode: encodeURIComponent(slsInfo.salesmanCode),
                       orgin: '00011',
                       browser: 'ZSB',
                       sign:encodeURIComponent(slsInfo.sign),
                       licenseNo: licenseNo,
                   }
                   for(var key in urlParms){
                       urlParmsArr.push(key+"="+urlParms[key]);
                   }
                   url = url + "?" + urlParmsArr.join("&");
                   HandleService.openUrl(url, {
                       shareFlag: false
                   });
               }
           },
            //车险一键续保
            oneClickRenewalCar: function (data) {
               console.log(data,'data');
               var options = {
                     engineNo:""		//发动机号
                     ,frameNo:""		//车架号
                     ,licenseNo:data.licenseNo	//车牌号
                     ,policyNo:data.policyNo		//保单号
                     ,proposalNo:""	            //投保单号
                     ,insuredProduct:"0"			//车辆种类 0 机动车
               };
               var Qrenewal = data.Qrenewal == 'true';
               // 一健续保 查询
               HandleService.http({
                     url: '/renewal/queryPolicyInfo',
                     method: 'POST',
                     data: options,
                     success: function (data) {
                        if(data.resultCode=="0"){
                           var policyInfo = data.result[0];
                           // 9座以下非营业客车走C端一键续保更快速, 此处查询已清空使用性质等字段
                           if(policyInfo.vehicle.licenseNo != '*-*' && Qrenewal && policyInfo.owner.identifyType == '01'){
                              HandleService.gotoPage_Qrenewal({
                                 licenseNo: policyInfo.vehicle.licenseNo,
                                 identifyNumber: policyInfo.owner.identifyNumber
                              });
                              return;
                           }

                           //0.赋值 给Bean
                           // $generalService.renParamsHandle(data.result);
                           HandleService.reModifyPolicyData(data.result[0]); //重构的方法
                           // //1.续保标志 保存草稿箱续保标识
                           // $rootScope.CAR_BEANS.BU='R';
                           //续保时  保险起期增加一年
                           if($rootScope.baseBean.syOrigFlag) {
                                 $rootScope.baseBean.syInsureStartTime = HandleService.addSecond($rootScope.baseBean.syInsureEndTime);
                           }
                           if($rootScope.baseBean.jqOrigFlag) {
                                 $rootScope.baseBean.jqInsureStartTime = HandleService.addYear($rootScope.baseBean.jqInsureStartTime);
                           }
                           //续保  默认免验车  理由是:按期续保
                           $rootScope.carBeans.vehicle.carCheckStatus = "2"; //验车情况 免验车
                           $rootScope.carBeans.vehicle.carCheckReason = "2"; //验车理由 按期续保


                           //2.跳转投保页面
                           if(window.requestParam.webSources == "QMYX"){//人人团
                                 //$state.go('tab.owinfoweb',{SU_CODE: 'RENEWAL'});
                                 $location.path("/tab/owinfoweb").search({SU_CODE: 'RENEWAL'}).replace();
                           }else{
                                 //$state.go('tab.config', {SU_CODE: 'RENEWAL'});
                                 $location.path("/tab/mit-config").search({SU_CODE: 'RENEWAL'}).replace();
                           }

                        }else{
                           $U.showToast(data.errorMsg || '未查询到相关单据信息');
                            // //判断新首页可见性
                            // if($rootScope.isNewHome){
                            //     $state.go("tab.mitNewIndex");
                            // }else{
                            //     $state.go("tab.mitIndex");
                            // }
                           $state.go("tab.mitNewIndex");
                        }
                     },
                     error: function (ex,status) {
                        HandleService.logger('error', ex);
                         // //判断新首页可见性
                         // if($rootScope.isNewHome){
                         //     $state.go("tab.mitNewIndex");
                         // }else{
                         //     $state.go("tab.mitIndex");
                         // }
                        $state.go("tab.mitNewIndex");
                     }
               });
            },
            oneClickRenewal: function(data){
               //车险一键续保
               HandleService.oneClickRenewalCar(data);
            },
            //组装提核前置接口核心返回数据
            showQzErrorMsg : function(list) {
               var unwListFC=[],unwListSY=[],unwListJQ=[];

               angular.forEach(list, function(item) {
                  if(item.productCode == "0301") {
                     unwListJQ=item.undrRuleDeatils;
                  } else if(item.productCode == "0302") {
                     unwListSY=item.undrRuleDeatils;
                  }else{
                     unwListFC = unwListFC.concat(item.undrRuleDeatils||[]);
                  }
               });
               return {
                  unwListSY:unwListSY,
                  unwListJQ:unwListJQ,
                  unwListFC:unwListFC,
                  showIcon:true
               };
            },
            getBindSaleCodeFun:function(){
               var msgOpt = {
                  "sign":"",
                  "salesCode":""
               };
               var formdata = new FormData();
               var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
               msgOpt.salesCode = msgOpt.salesCode || (slsInfo && slsInfo.employCode);
               msgOpt.sign = msgOpt.sign || (slsInfo && slsInfo.sign);
               //通过append()方法在末尾追加key为name值为laoliu的数据
               formdata.append("sign",msgOpt.sign);
               formdata.append("salesCode",msgOpt.salesCode);
               HandleService.http({
                  url: 'queryAppUserInfo',//标识 app.service.js http方法判断接口路径标识
                  method: 'POST',
                  params: {sign:msgOpt.sign,salesCode:msgOpt.salesCode},
                  success: function (data) {
                     HandleService.logger("object", data, "获取绑定资格证接口--》");
                     if(data.errCode==0){
                        //提供绑定执业资格证号的业务员代码给非车出单、我的业绩、续保跟进、续保统计、个人绩效使用
                        HandleService.storeBindSalesCode(data.data.bindSalesCode);
                     }
                  },
                  error: function(ex){
                     HandleService.logger('error', ex);
                  }
               });
            },
            storeBindSalesCode: function(bindSalesCode){
               $rootScope.bindSalesCode = bindSalesCode;
            },
            getBindSalesCode: function(){
               return $rootScope.bindSalesCode;
            },
            //提供绑定执业资格证号的业务员代码给非车出单、我的业绩、续保跟进、续保统计、个人绩效使用
            getBindSalesCodeOrSalesCode: function(){
               var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
               return slsInfo.license? slsInfo.employCode:(($rootScope.switchBean.checkCertificateSwitch == '1' && HandleService.getBindSalesCode()) || slsInfo.employCode);
            },
            //获取是否展示完成信息活动开关
            checkIfNeedShowCompleteInfomationActivity: function(callback){
               var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
               var d1 = $.Deferred(), d2 = $.Deferred()
               HandleService.motoHttp({
                  url: $interFace.usercenterMainFace + '/app/queryAppSalesLuckDraw',
                  method: 'POST',
                  params: {
                     salesCode: slsInfo.employCode,
                     planCode: 'sales_info_supp'
                  },
                  success: function (res) {
                     //非已录入完成并抽奖
                     d1.resolve(res.errCode != '2');
                  },
                  error: function (ex) {
                      HandleService.logger('error', ex);
                      d1.reject();
                  }
               });
               HandleService.motoHttp({
                  url: $interFace.usercenterMainFace + '/coupon/getCouponActStatus',
                  method: 'POST',
                  params: {
                     planCode: 'sales_info_supp'
                  },
                  success: function (res) {
                     //活动打开
                     d2.resolve(res.errCode == '0');
                  },
                  error: function (ex) {
                      HandleService.logger('error', ex);
                      d2.reject();
                  }
               });
               //活动打开且非已录入完成并抽奖
               $.when(d1, d2).then(function(res1, res2){
                  callback(res1 && res2);
               },function(){
                  callback(false);
               })
            }       
         };
         window.HandleService = HandleService;
         return HandleService;
      }
   ]);
});