define(function () {
   "use strict";
   return angular.module('app.sqlLite.service', ['ionic','ngCordova']).factory('$sqlSQLiteService', ['$cordovaSQLite',function ($cordovaSQLite) {
      //--------------------------------------begin 草稿箱的数据库操作--------------------------------------//
      var draftsHandle ={
         openDB: function () {
            var db = $cordovaSQLite.openDB({ name: "DRAFT_DB",location:"default" });
            // for opening a background db:
            //var db = $cordovaSQLite.openDB({ name: "DRAFT_DB", bgType: 1 });
            var _create = 'CREATE TABLE IF NOT EXISTS T_DRAFTS(vhl_frm TEXT,agent_code TEXT,lcn_no TEXT,drafts_text TEXT,update_date TEXT)';
            $cordovaSQLite.execute(db, _create).then(function(res) {
               console.info("连接本地数据库成功: " + JSON.stringify(res));
            }, function (err) {
               console.error('连接本地数据库异常:'+JSON.stringify(err));
            });
            return db;
         },
         addDrafts: function (opts) {
            var _delSQL= "delete from T_DRAFTS where vhl_frm=?",  //删除之前存的 同一车架号的数据
                _addSQL = 'INSERT INTO T_DRAFTS (vhl_frm,agent_code,lcn_no,drafts_text,update_date) VALUES (?,?,?,?,?)'; //查询草稿数据
            //1.执行删除动作
            $cordovaSQLite.execute(this.openDB(), _delSQL, [opts.vhl_frm]).then(function(res) {
               console.info("删除脏数据成功: " + JSON.stringify(res));
            }, function (err) {
               console.error('删除脏数据异常:'+JSON.stringify(err));
            });
            //2.执行添加操作
            $cordovaSQLite.execute(this.openDB(), _addSQL, [opts.vhl_frm,opts.agent_code,opts.lcn_no,opts.drafts_text,opts.update_date]).then(function(res) {
               console.info("添加草稿成功: " + JSON.stringify(res));
            }, function (err) {
               console.error('添加草稿异常:'+JSON.stringify(err));
            });
         },
         selectDrafts: function (opts) {
            var _select = 'SELECT * FROM T_DRAFTS T WHERE T.agent_code=? ORDER BY T.update_date DESC';
            $cordovaSQLite.execute(this.openDB(), _select,[opts.condition.agent_code]).then(function(rows) {
               console.info("查询草稿成功: "+JSON.stringify(rows));
               opts.callback(rows.rows);
            },function (err) {
               console.error('查询草稿异常:'+JSON.stringify(err));
            });
         },
         deleteLocalDate:function (opts) {
            var _delSQL= "delete from T_DRAFTS where vhl_frm=?";
            //1.执行删除动作
            $cordovaSQLite.execute(this.openDB(), _delSQL, [opts.vhl_frm]).then(function(res) {
               console.info("删除脏数据成功: " + JSON.stringify(res));
            }, function (err) {
               console.error('删除脏数据异常:'+JSON.stringify(err));
            });
         }
      };
      //--------------------------------------end   草稿箱的数据库操作--------------------------------------//
      return {
         draftsHandle:draftsHandle
      };
   }]);
});
