/***
 * 管理下状态
 ***/
define(function () {
   'use strict';
   var app = angular.module('app.store', []).factory('store', [function () {

      var _state = {
         PAY_STATUS: {
            "": "未付款",
            '-2': '未付款',
            '-1': '未付款',
            '0': '未付款',
            '1': '已付款',
            '5': '已付款'
         },
         //核保状态
         CKECK_STATUS: {
            '0': '未核保',
            '1': '已核保',
            '3': '打回修改',
            '5': '总公司核保',
            '7': '预核保'
         },
         //影像状态
         IMG_STATUS: {
            '1': '已上传,可继续补传',
            '0': '未上传'

         },
         IMG_CONFIG:{
            "T001001": {
               size:9
            },
            "T001002": {
               size:6
            },
            /*"T001003": {
               size:10
            },
            "T001004": {
               size:6
            },
            "T001005": {
               size:10
            },*/

            "T001006": {
               size:6
            }
         }
      };
      //影像上传列表
      var aImgT001006 = []; //身份呢资料
      var aImgT001002 = []; //投保资料
      var aImgT001001 = []; //验车资料

      var aImgT001003 = []; //情况说明
      var aImgT001004 = []; //客户证件资料
      var aImgT001005 = []; //标的证件资料

      var adefault001Img=['images/other/01.png','images/other/02.png','images/other/03.png','images/other/04.png',
         'images/other/check.png','images/other/plus.png','images/other/plus.png','images/other/plus.png',
         'images/other/plus.png','images/other/plus.png'];//验车照片
      var adefault001text=['车头右前45°照片','车头左前45°照片','车尾右前45°照片','车尾左前45°照片','车架号和验车码'];//验车照片


      //订单列表
      var _order = {};


      var StoreHandle = (function (handle) {
         handle.install = function (objType, obj) {
            objType.all = function () {
               return obj;
            };
            objType.set = function (o) {
               obj = o;
            };
            objType.get = function (index) {
               return obj.list[index];
            };
            objType.remove = function (index) {
               obj.list.splice(index, 1);
            };
         };
         handle.initUploadArray = function (arr, len) {
            if (arr.length == 0) {
               for (var i = 0; i < len; i++) {
                  arr.push({
                     src: null,
                     isUpload: false
                  });
               }
            }
            return arr;
         };
         return handle;
      })(StoreHandle || {});

      var _imgUpload = {
         empty: function () {
            aImgT001001 = [];
            aImgT001002 = [];
           /* aImgT001003 = [];
            aImgT001004 = [];
            aImgT001005 = [];*/
            aImgT001006 = [];

            StoreHandle.initUploadArray(aImgT001001, _state.IMG_CONFIG.T001001.size);
            StoreHandle.install(_imgUpload.T001001, {
               defaultImg: adefault001Img,
               defaultText: adefault001text,
               list: aImgT001001
            });
            StoreHandle.initUploadArray(aImgT001002,  _state.IMG_CONFIG.T001002.size);
            StoreHandle.install(_imgUpload.T001002, {
               defaultImg: 'images/other/image-oder.png',
               list: aImgT001002
            });
           /* StoreHandle.initUploadArray(aImgT001003,  _state.IMG_CONFIG.T001003.size);
            StoreHandle.install(_imgUpload.T001003, {
               defaultImg: 'images/other/image-icard.png',
               list: aImgT001003
            });
            StoreHandle.initUploadArray(aImgT001004,  _state.IMG_CONFIG.T001004.size);
            StoreHandle.install(_imgUpload.T001004, {
               defaultImg: 'images/other/image-icard.png',
               list: aImgT001004
            });
            StoreHandle.initUploadArray(aImgT001005,  _state.IMG_CONFIG.T001005.size);
            StoreHandle.install(_imgUpload.T001005, {
               defaultImg: 'images/other/image-icard.png',
               list: aImgT001005
            });*/
            StoreHandle.initUploadArray(aImgT001006,  _state.IMG_CONFIG.T001006.size);
            StoreHandle.install(_imgUpload.T001006, {
               defaultImg: 'images/other/image-icard.png',
               list: aImgT001006
            });
         },
         "T001001": {},
         "T001002": {},
         /*"T001003": {},
         "T001004": {},
         "T001005": {},*/
         "T001006": {}
      };

      StoreHandle.install(_order);

      var _imgConfig = function (type) {
         return _state.IMG_CONFIG[type];
      };

      return {
         order: _order,
         state: _state,
         imgUpload: _imgUpload,
         imgConfig:_imgConfig
      };

   }]);
   return app;
});
