define(['modules/app'], function (app) {
   'use strict';
   //基本配置
   app.config(['$controllerProvider', '$compileProvider', '$filterProvider', '$provide', function ($controllerProvider, $compileProvider, $filterProvider, $provide) {
      /***
       * angular有“启动”的说法，“启动”发生在domcontentloaded之后,启动之后再想使用controller、deractive等api，会直接报错
       * 所以：利用主模块的provider主动注册controller
       * **/
      app.controller = $controllerProvider.register;
      app.directive = $compileProvider.directive;
      app.filter = $filterProvider.register;
      app.factory = $provide.factory;
      app.service = $provide.service;
      app.constant = $provide.constant;
      app.value = $provide.value;
   }]);

   //延迟加载配置项->根据路由来加载模块需要用到此配置
   app.config(['$ocLazyLoadProvider', function ($ocLazyLoadProvider) {
      $ocLazyLoadProvider.config({
         debug: false,
         events: true,
         loadedModules: ['app'],
         jsLoader: requirejs, //使用requirejs去加载文件
         modules: [
            {
               name: 'loginControllerFile',
               files: [
                  'js/controllers/app.login.controller.js'
               ]
            },
            {
                name: 'bindIdCardControllerFile',
                files: [
                    'js/controllers/app.bindIdCard.controller.js'
                ]
            },
            {
               name: 'indexControllerFile',
               files: [
                  'js/controllers/app.index.controller.js'
               ]
            },
             {
                 name: 'indexNewControllerFile',
                 files: [
                     'js/controllers/app.index.new.controller.js'
                 ]
             },
             {
                 name: 'iconMoreControllerFile',
                 files: [
                     // 'lib/vendor/drag/drag-new.js',
                     'js/controllers/app.icon.more.controller.js'

                 ]
             },
             {
                 name: 'mineControllerFile',
                 files: [
                     'js/controllers/app.mine.controller.js'
                 ]
             },
            {
               name: 'salesControllerFile',
               files: [
                  'js/controllers/app.sales.controller.js'
               ]
            },
            {
               name: 'configControllerFile',
               files: [
                  'js/controllers/app.config.controller.js'
               ]
            },
            {
                name: 'xbConfigControllerFile',
                files: [
                    'js/controllers/app.xbConfig.controller.js'
                ]
             },
            {
               name: 'configRenewalControllerFile',
               files: [
                  'js/controllers/app.configRenewal.controller.js'
               ]
            },
            {
               name: 'owInfoControllerFile',
               files: [
                  'lib/vendor/html5plus/up_img.js',
                  'js/controllers/app.owInfo.controller.js'
               ]
            },
             {
                 name: 'choiceControllerFile',
                 files: [
                     'js/delivery/choice.js'
                 ]
             },
            {
               name: 'carInfoControllerFile',
               files: [
                  'js/controllers/app.carInfo.controller.js'
               ]
            },
            {
               name: 'guaSelectControllerFile',
               files: [
                  'js/controllers/app.guaSelect.controller.js'
               ]
            },
            {
               name: 'owConfirmControllerFile',
               files: [
                  'lib/vendor/html5plus/up_img.js',
                  'js/controllers/app.owConfirm.controller.js',
                  'lib/vendor/rrtShare/plusShare.js',
               ]
            },
            {
               name: 'moreInformationsFile',
               files: [
                  'js/controllers/app.moreInformations.controller.js'
               ]
            },
            {
               name: 'draftsListControllerFile',
               files: [
                  'js/controllers/app.draftsList.controller.js'
               ]
            },
            {
               name: 'compControllerFile',
               files: [
                  'js/controllers/app.components.controller.js'
               ]
            },{
               name: 'policyControllerFile',
               files: [
                  'js/controllers/app.policySearch.controller.js'
               ]
            },
            {
               name: 'policyPrintFile1',
               files: [
                  'js/controllers/app.policyPrint-A.controller.js'
               ]
            },
             {
                 name: 'policyPrintFile2',
                 files: [
                     'js/controllers/app.policyPrint-B.controller.js'
                 ]
             },
             { //保单配送选择
                 name: 'policyDeliveryFile',
                 files: [
                     'js/controllers/app.policyDelivery.controller.js'
                 ]
             },
             { //保单配送详情页
                 name: 'policyDeliveryDetailFile',
                 files: [
                     'js/controllers/app.policyDeliveryDetail.controller.js'
                 ]
             },
             { //保单配送状态
                 name: 'policyDeliveryStatusFile',
                 files: [
                     'js/controllers/app.policyDeliveryStatus.controller.js'
                 ]
             },
             { //保单配送申请成功
                 name: 'policyDeliverySuccessFile',
                 files: [
                     'js/controllers/app.policyDeliverySuccess.controller.js'
                 ]
             },
             { //保单号查询详情
                 name: 'policySearchNumberFile',
                 files: [
                     'js/controllers/app.policySearchNumber.controller.js'
                 ]
             },
             { //保单配送人员详情
                 name: 'policyPersonFile',
                 files: [
                     'js/controllers/app.policyPerson.controller.js'
                 ]
             },
             { //保单详情--加配送
                 name: 'orderDetailFile1',
                 files: [
                     'js/controllers/app.orderDetail-A.controller.js'
                 ]
             },
             {
                 name: 'policyDetailControllerFile',
                 files: [
                     'js/controllers/app.policyDetail.controller.js'
                 ]
             },
            {
               name: 'policyElecDetailControllerFile',
               files: [
                  'js/controllers/app.policyElecDetail.controller.js'
               ]
            },

            {
               name: 'policyElecControllerFile',
               files: [
                  'js/controllers/app.policyElec.controller.js'
               ]
            },
            {
               name: 'renewalControllerFile',
               files: [
                  'js/controllers/app.renewal.controller.js'
               ]
            },
            {
               name: 'registerControllerFile',
               files: [
                  'js/controllers/app.register.controller.js'
               ]
            },
            {
               name: 'nocarDetailsControllerFile',
               files: [
                  'js/controllers/app.nocarDetails.controller.js'
               ]
            },

            {
               name: 'insureNoticeControllerFile',
               files: [
                  'js/controllers/app.insureNotice.controller.js'
               ]
            },

            {
               name: 'licensePlateSearchControllerFile',
               files: [
                  'js/controllers/utils/app.licensePlateSearch.controller.js'
               ]
            },
            {
               name: 'validateCarNumCtrlFile',
               files: [
                  'js/controllers/app.validateCarNum.controller.js'
               ]
            },
            {
               name: 'recordControllerFile',
               files: [
                  'js/controllers/app.myRecord.controller.js'
               ]
            },
            {
               name: 'imgUpControllerFile',
               files: [
                  'lib/vendor/localResizeIMG/js/lrz.all.bundle.js',
                  'js/controllers/app.imgUp.controller.js'
               ]
            },
            {
               name: 'userFeedBackControllerFile',
               files: [
                  'js/controllers/app.userFeedBack.controller.js'
               ]
            },
            {
               name: 'oderSetbacksListControllerFile',
               files: [
                  'js/controllers/app.oderSetbacksList.controller.js'
               ]
            },
            {
               name: 'oderSetbacksDetailControllerFile',
               files: [
                  'js/controllers/app.oderSetbacksDetail.controller.js'
               ]
            },
            {
               name: 'insuredQueryControllerFile',
               files: [
                  'js/controllers/app.insuredQuery.controller.js'
               ]
            },
            {
               name: 'draftQueryControllerFile',
               files: [
                  'js/controllers/app.draftQuery.controller.js'
               ]
            },
            {
               name: 'oderDetailsControllerFile',
               files: [
                  'js/controllers/app.oderDetails.controller.js'
               ]
            },
            {
               name: 'othControllerFile',
               files: [
                  'js/controllers/app.otherPage.controller.js'
               ]
            },
            {
               name: 'adjustInfoFile',
               files: [
                  'js/controllers/app.adjustInfo.controller.js'
               ]
            },
            {
               name: 'specialAgreementControllerFile',
               files: [
                  'js/controllers/app.specialAgreement.controller.js'
               ]
            },
            // 投保进度特约
            {
               name: 'specialAgreementJdControllerFile',
               files: [
                  'js/controllers/app.specialAgreementJd.controller.js'
               ]
            },
            {
               name: "motoControllerFile",
               files: [
                  'js/controllers/app.motoHandle.controller.js'
               ]
            },
            {
               name: "motoOdersDetailControllerFile",
               files: [
                  'js/controllers/app.motoOdersDetail.controller.js'
               ]
            },
            {
               name: "motoCarSearchControllerFile",
               files: [
                  'js/controllers/app.motoCarSearch.controller.js'
               ]
            },
            {
               name: "motoInsuranceControllerFile",
               files: [
                  'js/controllers/app.motoInsurance.controller.js'
               ]
            },
            {
               name: "tianjinTaxControllerFile",
               files: [
                  'js/controllers/app.tianjinTax.controller.js'
               ]
            },
            {
               name: "motoInsuranceSelectControllerFile",
               files: [
                  'js/controllers/app.motoInsuranceSelect.controller.js'
               ]
            },
            {
               name: "calDetailsControllerFile",
               files: [
                  'js/controllers/utils/app.utils.calDetails.controller.js'
               ]
            },
            {
               name: "appPushYjxbControllerFile",
               files: [
                  'js/controllers/utils/app.utils.appPushYjxb.controller.js'
               ]
            },
            {
               name: "repeatControllerFile",
               files: [
                  'lib/vendor/dom-to-image/dom-to-image.min.js',
                  'js/controllers/utils/app.utils.repeat.controller.js'
               ]
            },
            {
               name:"policyElecInvoControllerFile",
               files: [
                  'js/controllers/app.policyElecInvo.controller.js'
               ]
            },
            {
               name: "claimListControllerFile",
               files: [
                  'js/controllers/utils/app.utils.claimList.controller.js'
               ]
            },
            {
               name: "revokeControllerFile",
               files: [
                  'js/controllers/app.revoke.controller.js'
               ]
            },
            {
               name: "imgUpForWebControllerFile",
               files: [
                  'lib/vendor/localResizeIMG/js/lrz.all.bundle.js',
                  'lib/vendor/html5plus/up_img.js',
                  'js/controllers/utils/app.imgUpForWeb.controller.js'
               ]
            },
            {
               name: "imageValidateControllerFile",
               files: [
                  'js/controllers/app.imageValidate.controller.js'
               ]
            },
            {
             name: 'underwritingAdviceControllerFile',
              files: [
                  'js/controllers/app.underwritingAdvice.controller.js'
              ]
            },
             {
                 name: 'paymentControl',
                 files: [
                     'js/controllers/app.payment.controller.js'
                 ]
             },
             {
               name: 'userFeedListControllerFile',
               files: [
                   'js/controllers/app.userFeedList.controller.js'
               ]
             },
             // 我的掌上宝app_1112
             {
               name: 'aboutAppControllerFile',
               files: [
                  'js/controllers/utils/app.utils.aboutApp.controller.js'
               ]
             },
             {
               name: 'relationSuccessControllerFile',
               files: [
                   'js/controllers/app.relationSuccess.controller.js'
               ]
             },
             {
               name: 'deliveryRelationSuccessControllerFile',
               files: [
                   'js/controllers/app.deliveryRelationSuccess.controller.js'
               ]
             }
         ]
      });
   }]);


   //路由配置
   app.config(['$stateProvider', '$urlRouterProvider', function ($stateProvider, $urlRouterProvider) {

      //增加版本号
      var now = new Date(),
          versionStr = "?version=" + now.getFullYear() + (now.getMonth() + 1) + now.getDate() + now.getHours() + now.getMinutes() + now.getSeconds();

      /**
       * 路由切换时调用
       * @param param.file 懒加载文件数组
       * @param tpl 子模块view视图
       * @param module 子模块名
       */
      function resovleDep(opts) { //param, tpl, module
         var lazyDeferred,
             options = {
                name: ''
             };
         $U.extend(options, opts);
         //异步加载-执行按需加载方法
         var resolves = {
            loadMyCtrl: ['$ocLazyLoad', '$templateCache', '$q', function ($ocLazyLoad, $templateCache, $q) {
               lazyDeferred = $q.defer();
               return $ocLazyLoad.load(options.name).then(function () {
                  lazyDeferred.resolve();
               });
            }]
         };
         return resolves;
      };

      /****
       *判断路由 默认跳转地址
       ***/
      function viewDefault() {
         var viewUrl = "/login";
         switch (window.requestParam.webSources) {
            case "QMYX": //全民营销
               viewUrl = "/tab/owinfoweb";
               break;
            default:
               viewUrl = "/login";
               break;
         }
         return viewUrl;
      };

      //otherwise()定义了当应用找不到指定路由的时候跳转的路由
      $urlRouterProvider.otherwise(viewDefault());

      //展业-登录
      $stateProvider.state('login', {
         url: '/login?bindSuccess&notifyUrl',
         templateUrl: 'templates/iv-pages/mit-login.html'+versionStr,
         controller: 'loginController',
         resolve: resovleDep({
            name: 'loginControllerFile'
         })
      });
      //展业-忘记密码
      $stateProvider.state('forgetPwd', {
         url: '/forgetPwd',
         templateUrl: 'templates/iv-pages/tools/forget-password.html'+versionStr,
         controller: 'loginController',
         resolve: resovleDep({
            name: 'loginControllerFile'
         })
      });

      //底部工具栏
      $stateProvider.state('tab', {
         url: '/tab',
         abstract: true,
         controller: function ($scope, $handleService, $interFace) {
            //暂时控制器写在这里，后期考虑分离
            $scope.openUrl = function () {
               $handleService.openUrl($interFace.learningUrl);

            };
            $scope.changePage = function(page) {
               if(!page) {
                  return;
               }
               $handleService.changeToolPage(page);
            };
             //跳转学习频道
             $scope.haStudy = function(){
                 var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                 var phone = slsInfo.phone;
                 // var url =  $interFace.haStudyUrl;
                 var url =  $interFace.haStudyUrl + "/?domainAccount=" + slsInfo.salesmanCode + "&salesName=" +  encodeURI(slsInfo.salesmanCname) +  "&deptCode=" + slsInfo.deptCode
                     + "&salesCode=" + slsInfo.employCode;
                 $handleService.openUrl(url, {
                     shareFlag: false,
                     otherOptions: {
                     },
                     shareCallBack: function (shareData) {  //非车分享 每次要获取分享参数
                        if (shareData && shareData.title) { //根据页面设置分享信息设置分享功能
                           var url = shareData.url;
                           var slsInfo = $U.sessionHandle.getSession("SLS_INFO");
                           if (shareData.fields && shareData.fields.length > 0) {
                              url.indexOf('?')<0 && (url += '?');
                              var i, field;
                              for (i = 0; i < shareData.fields.length; i++) {
                                 field = shareData.fields[i];
                                 url += '&' + (field.shareName || field.name) + '=' + (slsInfo[field.name] || '');
                              }
                           }
                           var _options = {
                              title: shareData.title,
                              text: shareData.desc,
                              url: url,
                              imgUrl: shareData.imgUrl
                           };
                           _options.siteUrl = _options.url;
                           _options.titleUrl = _options.url;
                           $handleService.logger("object", _options, "非车分享调用参数--》");
                           $handleService.sharePanle(_options);
                           return;
                        }
                         //获取当前URL
                         cordova.ThemeableBrowser.getCurLocation(function (url) {
                             var _options = {
                                 title: "华安保险学习频道，您的掌上保险学院",
                                 text: "最新！最全！最热门！保险知识营销技巧热门资讯，一网打尽。点击立即加入学习大军！",
                                 url: url,
                                 imgUrl: $interFace.haStudyImg,
                             };
                             _options.siteUrl = _options.url;
                             _options.titleUrl = _options.url;
                             $handleService.logger("object", _options, "非车分享调用参数--》");
                             //开始调用分享--------》
                             $handleService.sharePanle(_options);
                         });
                     },
                 });
             };

         },
         templateUrl: 'templates/iv-pages/mit-tabs.html'+versionStr
      });
      //展业-首页
      $stateProvider.state('tab.mitIndex', {
         url: '/mit-index?bindSuccess',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-index.html'+versionStr,
               controller: 'indexController'
            }
         },
         resolve: resovleDep({
            name: 'indexControllerFile'
         })
      });
       // 新首页
       $stateProvider.state('tab.mitNewIndex', {
            cache: false,
           url: '/mit-index-new?bindSuccess',
           views: {
               'indexContent': {
                   templateUrl: 'templates/iv-pages/mit-index-new.html'+versionStr,
                   controller: 'indexNewController'
               }
           },
           resolve: resovleDep({
               name: 'indexNewControllerFile'
           })
       });
       // 新首页图标更多
       $stateProvider.state('tab.iconMore', {
            cache: false,
           url: '/mit-icon-more',
           views: {
               'indexContent': {
                   templateUrl: 'templates/iv-pages/mit-icon-more.html'+versionStr,
                   controller: 'iconMoreController'
               }
           },
           resolve: resovleDep({
               name: 'iconMoreControllerFile'
           })
       });
       // 我的
       $stateProvider.state('tab.mine', {
           url: '/mit-mine',
           views: {
               'mine': {
                   templateUrl: 'templates/iv-pages/mit-mine.html'+versionStr,
                   controller: 'mineController'
               }
           },
           resolve: resovleDep({
               name: 'mineControllerFile'
           })
       });
      //销售助理 配置
      $stateProvider.state('tab.sales', {
         url: '/sales?pageSouces',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-sales.html'+versionStr,
               controller: 'salesController'
            }
         },
         resolve: resovleDep({
            name: 'salesControllerFile'
         })
      });
      //销售助理 配置 comp 路由
      $stateProvider.state('tab.salesComp', {
         url: '/sales?pageSouces',
         views: {
            'compContent': {
               templateUrl: 'templates/iv-pages/mit-sales.html'+versionStr,
               controller: 'salesController'
            }
         },
         resolve: resovleDep({
            name: 'salesControllerFile'
         })
      });
      //展业-投保
      $stateProvider.state('tab.comp', {
         url: '/mit-comp',
         views: {
            'compContent': {
               templateUrl: 'templates/iv-pages/mit-comp.html'+versionStr,
               controller: 'compController'
            }
         },
         resolve: resovleDep({
            name: 'compControllerFile'
         })
      });
      //展业-工具
      $stateProvider.state('tab.tools', {
         url: '/mit-tools',
         views: {
            'toolsContent': {
               templateUrl: 'templates/iv-pages/mit-tools.html'+versionStr
            }
         }
      });
      /*********************begin 车险投保页面***********************/
      //销售信息页面
      $stateProvider.state('tab.config', {
         url: '/mit-config?SU_CODE&PLY_APP_NO&PROD_NO&TEMP_NO&SOURCE&INTENT&back',
          cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-config.html'+versionStr,
               controller: 'configController'
            }
         },
         resolve: resovleDep({
            name: 'configControllerFile'
         })
      });
      // 续保设置信息页面
       $stateProvider.state('tab.xbConfig', {
           url: '/mit-xbConfig?SU_CODE&PLY_APP_NO&PROD_NO&TEMP_NO&SOURCE&INTENT&back',
           cache: false,
           views: {
               'indexContent': {
                   templateUrl: 'templates/iv-pages/mit-xubao-config.html'+versionStr,
                   controller: 'xbConfigController'
               }
           },
           resolve: resovleDep({
               name: 'xbConfigControllerFile'
           })
       });

      //续保设置页面
      $stateProvider.state('tab.configRenewal', {
         url: '/mit-config-renewal?back&noComplete3',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-config-renewal.html'+versionStr,
               controller: 'configRenewalController'
            }
         },
         resolve: resovleDep({
            name: 'configRenewalControllerFile'
         })
      });
      //车主信息页面
      $stateProvider.state('tab.owinfo', {
         url: '/owinfo?SU_CODE&PLY_APP_NO&PROD_NO',
          cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-owinfo.html'+versionStr,
               controller: 'owInfoController'
            }
         },
         resolve: resovleDep({
            name: 'owInfoControllerFile'
         })
      });
      //车主信息页面 - 外网访问
      $stateProvider.state('tab.owinfoweb', {
         url: '/owinfoweb?SU_CODE&PLY_APP_NO&PROD_NO&TEMP_NO',
          cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-owinfo-web.html'+versionStr,
               controller: 'owInfoController'
            }
         },
         resolve: resovleDep({
            name: 'owInfoControllerFile'
         })
      });
      //车辆信息页面
      $stateProvider.state('tab.carinfo', {
         url: '/carinfo',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-carinfo.html'+versionStr,
               controller: 'carInfoController'
            }
         },
         resolve: resovleDep({
            name: 'carInfoControllerFile'
         })
      });
      //车型查询页面
      $stateProvider.state('tab.carModelSelect', {
         url: '/carModelSelect',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-car-model-select.html'+versionStr,
               controller: 'carInfoController'
            }
         },
         resolve: resovleDep({
            name: 'carInfoControllerFile'
         })
      });
      //险别选择页面
      $stateProvider.state('tab.insuranceSelect', {
         url: '/insuranceSelect?SU_CODE&RELOAD',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-insurance-select.html'+versionStr,
               controller: 'guaSelectController'
            }
         },
         resolve: resovleDep({
            name: 'guaSelectControllerFile'
         })
      });
      //折扣系数页面
      $stateProvider.state('tab.adjustInfo', {
         url: '/adjustInfo',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-adjustInfo.html'+versionStr,
               controller: 'adjustInfoController'
            }
         },
         resolve: resovleDep({
            name: 'adjustInfoFile'
         })
      });
      //报价详情页面 -- 》详情文本
      $stateProvider.state('tab.calsDetailsPage', {
         url: '/calsDetailsPage?tempNo',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/mit-cals-details.html'+versionStr,
               controller: 'calDetailsController'
            }
         },
         resolve: resovleDep({
            name: 'calDetailsControllerFile'
         })
      });
       //掌上宝推送意见续保 ---》 微信推送/短信推送
       $stateProvider.state('tab.appPushYjxb', {
           url: '/appPushYjxb?endDate',
           views: {
               'indexContent': {
                   templateUrl: 'templates/iv-pages/tools/app-push-yjxb.html'+versionStr,
                   controller: 'appPushYjxbController'
               }
           },
           resolve: resovleDep({
               name: 'appPushYjxbControllerFile'
           })
       });
       //上海实名缴费信息更改页面
       $stateProvider.state('tab.payment', {
           url: '/payment',
           cache: false,
           views: {
               'indexContent': {
                   templateUrl: 'templates/iv-pages/mit-payment.html'+versionStr,
                   controller: 'paymentController'
               }
           },
           resolve: resovleDep({
               name: 'paymentControl'
           })
       });
      $stateProvider.state('tab.repeatInsure', {
         url: '/repeatInsure',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/mit-repeat-insure.html'+versionStr,
               controller: 'repeatController'
            }
         },
         resolve: resovleDep({
            name: 'repeatControllerFile'
         })
      });
      //理赔信息
      $stateProvider.state('tab.claimListPage', {
         url: '/claimListPage',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/mit-claim-list.html'+versionStr,
               controller: 'claimListController'
            }
         },
         resolve: resovleDep({
            name: 'claimListControllerFile'
         })
      });

      //信息确认页面
      $stateProvider.state('tab.owConfirm', {
         url: '/owConfirm',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-owinfo-confirm.html'+versionStr,
               controller: 'owConfirmController'
            }
         },
         resolve: resovleDep({
            name: 'owConfirmControllerFile'
         })
      });
      //更多信息
      $stateProvider.state('tab.moreInformations', {
         url: '/moreInformations?pageFlag',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-more-informations.html'+versionStr,
               controller: 'moreInformations'
            }
         },
         resolve: resovleDep({
            name: 'moreInformationsFile'
         })
      });
      //天津车船税页面--石梦星 2017.03.14 添加
      $stateProvider.state('tab.tianjinTax', {
         url: '/tianjinTax',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-tianjin-tax.html'+versionStr,
               controller: 'tianjinTaxController'
            }
         },
         resolve: resovleDep({
            name: 'tianjinTaxControllerFile'
         })
      });
      $stateProvider.state('tab.specialAgreement', {
         url: '/specialAgreement?type',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-specical-agreement.html'+versionStr,
               controller: 'specialAgreementController'
            }
         },
         resolve: resovleDep({
            name: 'specialAgreementControllerFile'
         })
      });
      // 投保进度特约
      $stateProvider.state('tab.specialAgreementJd', {
         url: '/specialAgreementJd?type',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-specical-agreement-jd.html'+versionStr,
               controller: 'specialAgreementJdController'
            }
         },
         resolve: resovleDep({
            name: 'specialAgreementJdControllerFile'
         })
      });

      /*********************end   车险投保页面***********************/

      /**************************begin 功能区*******************************/
      //1.1 草稿箱->我的报价
      $stateProvider.state('tab.draftsList2', {
         url: '/draftsList2?type',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/drafts-list.html'+versionStr,
               controller: 'draftsListCtrl'
            }
         },
         resolve: resovleDep({
            name: 'draftsListControllerFile'
         })
      });
      //草稿箱更多查询
      $stateProvider.state('tab.draftsListmore', {
         url: '/draftsListmore?draftdata',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/draft-list-more-search.html'+versionStr,
               controller: 'draftQueryCtrl'
            }
         },
         resolve: resovleDep({
            name: 'draftQueryControllerFile'
         })
      });

      //2.Old车险-》投保进度查询
      $stateProvider.state('tab.oderSetbacksOld', {
         url: '/oderSetbacksOld?checkdata',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/oders-setbacks-list-old.html'+versionStr,
               controller: 'insuredQueryCtrl'
            }
         },
         resolve: resovleDep({
            name: 'insuredQueryControllerFile'
         })
      });
      //2.1 Old车险-》投保进度查询-》详情
      $stateProvider.state('tab.oderDetailsOld', {
         url: '/oderDetailsOld',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/car-oder-query-list-old.html'+versionStr,
               controller: 'oderDetailsCtrl'
            }
         },
         resolve: resovleDep({
            name: 'oderDetailsControllerFile'
         })
      });


      //2.New车险-》投保进度查询（7天）
      $stateProvider.state('tab.oderSetbacksList', {
         url: '/oderSetbacksList?PAGE_CHANNAL',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/oders-setbacks-list-init.html'+versionStr,
               controller: 'oderSetbacksController'
            }
         },
         resolve: resovleDep({
            name: 'oderSetbacksListControllerFile'
         })
      });
      //2.1New车险-》投保进度查询（7天）-》详情
      $stateProvider.state('tab.oderSetbacksDetail', {
         url: '/oderSetbacksDetail?PAGE_CHANNAL',
         cache:false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/oders-setbacks-Detail.html'+versionStr,
               controller: 'oderSetbacksDetailCtrl'
            }
         },
         resolve: resovleDep({
            name: 'oderSetbacksDetailControllerFile'
         })
      });
      //2.2New车险-》投保进度查询--》条件
      $stateProvider.state('tab.oderSetbacks', {
         url: '/oderSetbacks?checkdata',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/oders-setbacks-list.html'+versionStr,
               controller: 'insuredQueryCtrl'
            }
         },
         resolve: resovleDep({
            name: 'insuredQueryControllerFile'
         })
      });

      //3.1.影像上传-》单号查询
      $stateProvider.state('tab.imagesFValidate', {
         url: '/imagesFValidate',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/image-fill-validate.html'+versionStr,
               controller: 'imageValidateController'
            }
         },
         resolve: resovleDep({
            name: 'imageValidateControllerFile'
         })
      });
      //3.1.影像上传-》单号查询
      $stateProvider.state('tab.imagesFValidate2', {
         url: '/imagesFValidate2',
         cache: false,
         views: {
            'compContent': {
               templateUrl: 'templates/iv-pages/tools/image-fill-validate.html'+versionStr,
               controller: 'imageValidateController'
            }
         },
         resolve: resovleDep({
            name: 'imageValidateControllerFile'
         })
      });

      //3.2.影像上传
      $stateProvider.state('tab.imagesUpload', {
         url: '/imagesUpload?imageId&policyNo&plyAppNo&beforeSubmit',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/image-upload.html'+versionStr,
               controller: 'imgUpController'
            }
         },
         resolve: resovleDep({
            name: 'imgUpControllerFile'
         })
      });
      //用户反馈
      $stateProvider.state('tab.userFeedBack', {
         url: '/userFeedBack',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/mit-user-feedBack.html'+versionStr,
               controller: 'userFeedBackController'
            }
         },
         resolve: resovleDep({
            name: 'userFeedBackControllerFile'
         })
      });
      $stateProvider.state('tab.userFeedList', {
         url: '/userFeedList',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/mit-user-feedList.html'+versionStr,
               controller: 'userFeedListController'
            }
         },
         resolve: resovleDep({
            name: 'userFeedListControllerFile'
         })
      });
      $stateProvider.state('tab.userFeedSuccess', {
         url: '/userFeedSuccess',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/mit-user-feedSuccess.html',
            }
         }
      });
      //我的掌上宝APP_1112
      $stateProvider.state('tab.aboutAppPage', {
         url: '/aboutAppPage',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/mit-about-app.html'+versionStr,
               controller: 'aboutAppController'
            }
         },
         resolve: resovleDep({
            name: 'aboutAppControllerFile'
         })
      });
      //3.2.影像上传
      $stateProvider.state('tab.imagesUpload2', {
         url: '/imagesUpload2?imageId&policyNo&plyAppNo&beforeSubmit',
         cache: false,
         views: {
            'compContent': {
               templateUrl: 'templates/iv-pages/tools/image-upload.html'+versionStr,
               controller: 'imgUpController'
            }
         },
         resolve: resovleDep({
            name: 'imgUpControllerFile'
         })
      });
      //3.3.影像上传 H5 版本
      $stateProvider.state('tab.imgUpForWeb', {
         url: '/imgUpForWeb?imageId&policyNo&plyAppNo&beforeSubmit',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/img-web-upload.html'+versionStr,
               controller: 'imgUpForWeb'
            }
         },
         resolve: resovleDep({
            name: 'imgUpForWebControllerFile'
         })
      });
      //4.手机号变更
      $stateProvider.state('tab.bindPhone', {
         url: '/bindPhone?pageName',
         cache: false,
         views: {
            'compContent': {
               templateUrl: 'templates/iv-pages/tools/user-bind-phone.html'+versionStr,
               controller: 'loginController'
            }
         },
         resolve: resovleDep({
            name: 'loginControllerFile'
         })
      });
      //4.1 手机号变更 index 路由
      $stateProvider.state('tab.bindPhoneIndex', {
         url: '/bindPhoneIndex?pageName',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/user-bind-phone.html'+versionStr,
               controller: 'loginController'
            }
         },
         resolve: resovleDep({
            name: 'loginControllerFile'
         })
      });
       $stateProvider.state('tab.bindIdCard', {
           url: '/bindIdCard',
           cache: false,
           views: {
               'compContent': {
                   templateUrl: 'templates/iv-pages/tools/user-bind-idcard.html' + versionStr,
                   controller: 'bindIdCardController'
               }
           },
           resolve: resovleDep({
               name: 'bindIdCardControllerFile'
           })
       });
      //自助撤单
      $stateProvider.state('tab.revokeSelf', {
         url: '/revokeSelf',
         cache: false,
         views: {
            'compContent': {
               templateUrl: 'templates/iv-pages/tools/revoke-self.html'+versionStr,
               controller: 'revokeController'
            }
         },
         resolve: resovleDep({
            name: 'revokeControllerFile'
         })
      });
      //5.1我的业绩detail
      $stateProvider.state('tab.trackRecord', {
         url: '/trackRecord?TYPE',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/car-track-record.html'+versionStr,
               controller: 'recordController'
            }
         },
         resolve: resovleDep({
            name: 'recordControllerFile'
         })
      });
      //5.2我的业绩
      $stateProvider.state('tab.trackRecordDetail', {
         url: '/trackRecordDetail?ORDER_NO&INSURANCE_NAME&CAR_TYPE',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/track-record-detail.html'+versionStr,
               controller: 'recordController'
            }
         },
         resolve: resovleDep({
            name: 'recordControllerFile'
         })
      });
      //6.一健续保
      $stateProvider.state('tab.renewal', {
         url: '/renewal',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-renewal.html'+versionStr,
               controller: 'compController'
            }
         },
         resolve: resovleDep({
            name: 'compControllerFile'
         })
      });

      //6.一健续保
      $stateProvider.state('tab.renewalnew', {
         url: '/renewalnew',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-renewal-new.html'+versionStr,
               controller: 'renewalController'
            }
         },
         resolve: resovleDep({
            name: 'renewalControllerFile'
         })
      });
      //7.车牌检索
      $stateProvider.state('tab.licensePlate', {
         url: '/licensePlate?redirect',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-car-search.html'+versionStr,
               controller: 'licensePlateSearchController'
            }
         },
         resolve: resovleDep({
            name: 'licensePlateSearchControllerFile'
         })
      });
      //8.验车码
      $stateProvider.state('tab.validateCarNum', {
         url: '/validateCarNum',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-validate-car-num.html',
               controller: 'validateCarNumCtrl'
            }
         },
         resolve: resovleDep({
            name: 'validateCarNumCtrlFile'
         })
      });
      //注册
      $stateProvider.state('tab.register', {
         url: '/register',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-register.html'+versionStr,
               controller: 'registerController'
            }
         },
         resolve: resovleDep({
            name: 'registerControllerFile'
         })
      });
       //保单打印1
       $stateProvider.state('tab.policyPrint-A', {
           url: '/policyPrint-A?orderNo',
           cache: false,
           views: {
               'indexContent': {
                   templateUrl: 'templates/iv-pages/mit-policyPrint-A.html'+versionStr,
                   controller: 'policyPrint-A'
               }
           },
           resolve: resovleDep({
               name: 'policyPrintFile1'
           })
       });
       //保单打印2
       $stateProvider.state('tab.policyPrint-B', {
           url: '/policyPrint-B?orderNo',
           cache: false,
           views: {
               'indexContent': {
                   templateUrl: 'templates/iv-pages/mit-policyPrint-B.html'+versionStr,
                   controller: 'policyPrint-B'
               }
           },
           resolve: resovleDep({
               name: 'policyPrintFile2'
           })
       });
       //保单详情页
       $stateProvider.state('tab.orderDetail-A', {
           url: '/orderDetail-A?orderNo',
           cache: false,
           views: {
               'indexContent': {
                   templateUrl: 'templates/iv-pages/mit-orderDetail-A.html'+versionStr,
                   controller: 'orderDetail-A'
               }
           },
           resolve: resovleDep({
               name: 'orderDetailFile1'
           })
       });
       //保单配送申请成功页
       $stateProvider.state('tab.policyDeliverySuccess', {
           url: '/policyDeliverySuccess?orderNo',
           cache: false,
           views: {
               'indexContent': {
                   templateUrl: 'templates/iv-pages/mit-policyDeliverySuccess.html'+versionStr,
                   controller: 'policyDeliverySuccess'
               }
           },
           resolve: resovleDep({
               name: 'policyDeliverySuccessFile'
           })
       });
       //保单配送申请选择
       $stateProvider.state('tab.policyDelivery', {
           url: '/policyDelivery',
           cache: false,
           views: {
               'indexContent': {
                   templateUrl: 'templates/iv-pages/mit-policyDelivery.html'+versionStr,
                   controller: 'policyDelivery'
               }
           },
           resolve: resovleDep({
               name: 'policyDeliveryFile'
           })
       });
       //保单配送申请详情
       $stateProvider.state('tab.policyDeliveryDetail', {
           url: '/policyDeliveryDetail?orderNo',
           cache: false,
           views: {
               'indexContent': {
                   templateUrl: 'templates/iv-pages/mit-policyDeliveryDetail.html'+versionStr,
                   controller: 'policyDeliveryDetail'
               }
           },
           resolve: resovleDep({
               name: 'policyDeliveryDetailFile'
           })
       });
       //保单配送状态
       $stateProvider.state('tab.policyDeliveryStatus', {
           url: '/policyDeliveryStatus?orderNo',
           cache: false,
           views: {
               'indexContent': {
                   templateUrl: 'templates/iv-pages/mit-policyDeliveryStatus.html'+versionStr,
                   controller: 'policyDeliveryStatus'
               }
           },
           resolve: resovleDep({
               name: 'policyDeliveryStatusFile'
           })
       });
       //保单配送人员信息
       $stateProvider.state('tab.policyPerson', {
           url: '/policyPerson?orderNo',
           views: {
               'indexContent': {
                   templateUrl: 'templates/iv-pages/mit-policyPerson.html'+versionStr,
                   controller: 'policyPerson'
               }
           },
           resolve: resovleDep({
               name: 'policyPersonFile'
           })
       });
       //保单号查询配送信息页
       $stateProvider.state('tab.policySearchNumber', {
           url: '/policySearchNumber',
           cache: false,
           views: {
               'indexContent': {
                   templateUrl: 'templates/iv-pages/mit-policySearchNumber.html'+versionStr,
                   controller: 'policySearchNumber'
               }
           },
           resolve: resovleDep({
               name: 'policySearchNumberFile'
           })
       });
      //-----------------------------------begin 首页-》第三方页面嵌入-》跳转---------------------------------------//
      $stateProvider.state('tab.otherPage', {
         url: '/otherPage?TYPE&URL',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/module/other-page-frame.html'+versionStr,
               controller: 'othController'
            }
         },
         resolve: resovleDep({
            name: 'othControllerFile'
         })
      });
      $stateProvider.state('tab.otherCPage', {
         url: '/otherCPage',
         views: {
            'compContent': {
               templateUrl: 'templates/iv-pages/module/other-page-frame.html'+versionStr,
               controller: 'othController'
            }
         },
         resolve: resovleDep({
            name: 'othControllerFile'
         })
      });
      //2.车险-》投保单号
      $stateProvider.state('tab.orderno', {
         url: '/orderno',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-insured-number.html'+versionStr,
               controller: 'compController'
            }
         },
         resolve: resovleDep({
            name: 'compControllerFile'
         })
      });

      //保单号查询
      $stateProvider.state('tab.policySearch', {
         url: '/policySearch',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/policy-list-search.html'+versionStr,
               controller: 'policyController'
            }
         },
         resolve: resovleDep({
            name: 'policyControllerFile'
         })
      });

      //保单号更多查询
      $stateProvider.state('tab.policyMoreSearch', {
         url: '/policyMoreSearch',
          cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/policy-list-more-search.html'+versionStr,
               controller: 'policyController'
            }
         },
         resolve: resovleDep({
            name: 'policyControllerFile'
         })
      });

      //保单详情
      $stateProvider.state('tab.policyDetail', {
         url: '/policyDetail?orderNo',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/policy-detail.html'+versionStr,
               controller: 'policyDetailController'
            }
         },
         resolve: resovleDep({
            name: 'policyDetailControllerFile'
         })
      });
      //智能填写帮助页面
      $stateProvider.state('tab.writeHelp', {
         url: '/writeHelp',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-write-help.html',
            }
         }
      });
      //交商电子保单/发票显示
      $stateProvider.state('tab.policyElecInvo', {
         url: '/policyElecInvo?orderNo',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/mit-policyElectronInvoice.html'+versionStr,
               controller: 'policyElecInvoController'
            }
         },
         resolve: resovleDep({
            name: 'policyElecInvoControllerFile'
         })
      });

      //交商电子保单显示
      $stateProvider.state('tab.policyElecList', {
         url: '/policyElecList?orderNo',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/policy-elec-list.html'+versionStr,
               controller: 'policyDetailController'
            }
         },
         resolve: resovleDep({
            name: 'policyDetailControllerFile'
         })
      });
      //policy-elec-detail.html
      $stateProvider.state('tab.policyElecDetail', {
         url: '/policyElecDetail?policyNo&type&plyAppNo&salesCode',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/policy-elec-detail.html'+versionStr,
               controller: 'policyElecDetailController'
            }
         },
         resolve: resovleDep({
            name: 'policyElecDetailControllerFile'
         })
      });

      //非车险-》车险报价-非车险详情

      $stateProvider.state('tab.nocarDetails', {
         url: '/nocarDetails',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/mit-nocar-details.html'+versionStr,
               controller: 'nocarDetailsController'
            }
         },
         resolve: resovleDep({
            name: 'nocarDetailsControllerFile'
         })
      });

      $stateProvider.state('tab.insureNotice', {
         url: '/insureNotice',
         views: {
            'indexContent': {
               templateUrl: 'templates/iv-pages/tools/mit-insure-notice.html'+versionStr,
               controller: 'insureNoticeController'
            }
         },
         resolve: resovleDep({
            name: 'insureNoticeControllerFile'
         })
      });
      //-----------------------------------end 首页-》第三方页面嵌入-》跳转---------------------------------------//
      /**************************end   功能区*******************************/

      //------------------------------------------ begin  摩托车功能页面 路由 ------------------------------------------//
      $stateProvider.state('tab.motoIndex', {
         url: '/motoIndex?SU_CODE',
         views: {
            'indexContent': {
               templateUrl: 'templates/moto/moto-index.html'+versionStr,
               controller: 'motoController'
            }
         },
         resolve: resovleDep({
            name: 'motoControllerFile'
         })
      });

      $stateProvider.state('tab.motoInsurance', {
         url: '/motoInsurance?SU_CODE',
         cache: false,
         views: {
            'indexContent': {
               templateUrl: 'templates/moto/moto-nuclear-insurance.html'+versionStr,
               controller: 'motoInsuranceController'
            }
         },
         resolve: resovleDep({
            name: 'motoInsuranceControllerFile'
         })
      });
      $stateProvider.state('tab.motoOrderno', {
         url: '/motoOrderno',
         views: {
            'indexContent': {
               templateUrl: 'templates/moto/moto-insured-num.html'+versionStr,
               controller: 'motoInsuranceController'
            }
         },
         resolve: resovleDep({
            name: 'motoInsuranceControllerFile'
         })
      });
       $stateProvider.state('tab.motoOdersDetail', {
         url: '/motoInsuranceSelect?orderNo',
         views: {
            'indexContent': {
               templateUrl: 'templates/moto/moto-oders-detail.html'+versionStr,
               controller: 'motoOdersDetailController'
            }
         },
         resolve: resovleDep({
            name: 'motoOdersDetailControllerFile'
         })
      });

      $stateProvider.state('tab.motoCarSearch', {
         url: '/motoCarSearch',
         views: {
            'indexContent': {
               templateUrl: 'templates/moto/moto-car-search.html'+versionStr,
               controller: 'motoCarSearchController'
            }
         },
         resolve: resovleDep({
            name: 'motoCarSearchControllerFile'
         })
      });
      // 核保意见
       $stateProvider.state('tab.underwritingAdvice', {
           url: '/underwritingAdvice?applyPolicyNo',
           views: {
               'indexContent': {
                   templateUrl: 'templates/iv-pages/underwriting-advice.html'+versionStr,
                   controller: 'underwritingAdviceController'
               }
           },
           resolve: resovleDep({
               name: 'underwritingAdviceControllerFile'
           }),
       });
       //跳转关联成功页面
       $stateProvider.state('tab.relationSuccess', {
         url: '/relationSuccess',
         views: {
             'indexContent': {
                 templateUrl: 'templates/iv-pages/mit-relation-success.html'+versionStr,
                 controller: 'relationSuccessController'
             }
         },
         resolve: resovleDep({
             name: 'relationSuccessControllerFile'
         }),
      });

      $stateProvider.state('tab.deliveryRelationSuccess', {
         url: '/deliveryRelationSuccess',
         views: {
             'indexContent': {
                 templateUrl: 'templates/iv-pages/mit-deliveryRelation-success.html'+versionStr,
                 controller: 'deliveryRelationSuccessController'
             }
         },
         resolve: resovleDep({
             name: 'deliveryRelationSuccessControllerFile'
         }),
      });


      //------------------------------------------ end    摩托车功能页面 路由 ------------------------------------------//

      //------------------------------------------ end   功能页面跳转入口 路由 ------------------------------------------//
      // 一键续保跳转入口 外部页面跳入（个人工作平台跳入）
      $stateProvider.state('oneClickRenewal', {
         url: '/oneClickRenewal?policyNo&licenseNo&insuredProduct&Qrenewal',
         cache: false,
         controller: function ($handleService, $stateParams) {
            $handleService.oneClickRenewal({
               policyNo: $stateParams.policyNo,
               licenseNo: $stateParams.licenseNo,
               insuredProduct: $stateParams.insuredProduct,
               Qrenewal: $stateParams.Qrenewal // H5快速续保
            });
         },
      });
      //------------------------------------------ end   功能页面跳转入口 路由 ------------------------------------------//
   }]);
   return app;
});