﻿function plusReady() {
    ws = plus.webview.currentWebview();
    // Android处理返回键
    plus.key.addEventListener('backbutton', function () {
        if (plus) {
            ws || (ws = plus.webview.currentWebview());
            if (ws.hide || ws.preate) {
                ws.hide('auto');
            } else {
                ws.close('auto');
            }
        } else if (history.length > 1) {
            history.back();
        } else {
            close();
        }
    }, false);
}
if (window.plus) {
    plusReady();
} else {
    document.addEventListener('plusready', plusReady, false);
}

//相册选取图片
function galleryImg_Html5Plus(func) {
    plus.gallery.pick(function (p) {
        //alert(p);//file:///storage/emulated/0/DCIM/Camera/IMG_20160704_112620.jpg
        plus.io.resolveLocalFileSystemURL(p, function (entry) {
            //alert(entry.toLocalURL());//file:///storage/emulated/0/DCIM/Camera/IMG_20160704_112620.jpg
            //alert(entry.name);//IMG_20160704_112620.jpg
            compressImage_Html5Plus(entry.toLocalURL(), entry.name, 70, func);
            return;
        }, function (e) {
            func(1, "读取拍照文件错误: " + e.message);
            return;
        });
    }, function (e) {
    }, {
            filename: "_doc/camera/",
            filter: "image" //image 图片 video视频 none 图片或视频
        });
}

//相册选取视频
function galleryVideo_Html5Plus(func) {
    plus.gallery.pick(function (p) {
        plus.io.resolveLocalFileSystemURL(p, function (entry) {
            entry.file(function (file) {
                if(file.size > 10*1024*1024){
                    func(1, '您上传的视频过大，请限制在10M以内');
                    return;
                }
                
                var reader = new plus.io.FileReader()
                reader.onloadend = function (e) {
                    var dataURL = e.target.result;
                    func(0, dataURL, file);
                    return;
                };
                reader.readAsDataURL(file);
            }, function (e) {
                func(1, "读取视频文件错误: " + e.message);
                return;
            })
        })
    }, function (e) {
    }, {
            filename: "_doc/camera/",
            filter: "video" //image 图片 video视频 none 图片或视频
        });
}

// 拍照
function getImage_Html5Plus(func) {
    var cmr = plus.camera.getCamera();
    cmr.captureImage(function (p) {
        //alert(p);//_doc/camera/1467602809090.jpg
        plus.io.resolveLocalFileSystemURL(p, function (entry) {
            //alert(entry.toLocalURL());//file:///storage/emulated/0/Android/data/io.dcloud...../doc/camera/1467602809090.jpg
            //alert(entry.name);//1467602809090.jpg
            compressImage_Html5Plus(entry.toLocalURL(), entry.name, 70, func);
            return;
        }, function (e) {
            func(1, "读取拍照文件错误: " + e.message);
            return;

        });
    }, function (e) {
    }, {
            filename: "_doc/camera/",
            index: 1
        });
}

//拍摄视频
function captureVideo_Html5Plus(func) {
    var cmr = plus.camera.getCamera();
    var res = cmr.supportedVideoResolutions[0];
    var fmt = cmr.supportedVideoFormats[0];
    console.log("Resolution: " + res + ", Format: " + fmt);
    cmr.startVideoCapture(function (p) {
        console.log("Capture video success: " + p);
        plus.io.resolveLocalFileSystemURL(p, function (entry) {
            entry.file(function (file) {
                if(file.size > 10*1024*1024){
                    func(1, '您上传的视频过大，请限制在10M以内');
                    return;
                }

                var reader = new plus.io.FileReader()
                reader.onloadend = function (e) {
                    var dataURL = e.target.result;
                    func(0, dataURL, file);
                    return;
                };
                reader.readAsDataURL(file);
            }, function (e) {
                func(1, "读取视频文件错误: " + e.message);
                return;
            })
        })
    }, function (e) {
    }, {
            resolution: res, format: fmt
        });
}

//压缩图片  url压缩转换原始图片的路径   filename图片名称  quality压缩图片的质量.取值范围为1-100
function compressImage_Html5Plus(url, filename, quality, func) {
    var name = "_doc/upload/img-" + filename;//_doc/upload/F_ZDDZZ-1467602809090.jpg
    plus.zip.compressImage({
        src: url,//src: (String 类型 )压缩转换原始图片的路径
        dst: name,//压缩转换目标图片的路径
        quality: quality,//quality: (Number 类型 )压缩图片的质量.取值范围为1-100
        overwrite: true//overwrite: (Boolean 类型 )覆盖生成新文件
    },
        function (event) {
            //uploadf(event.target,divid);
            var path = name;//压缩转换目标图片的路径
            //event.target获取压缩转换后的图片url路
            //filename图片名称
            plus.io.resolveLocalFileSystemURL(path, function (entry) {
                entry.file(function (file) {
                    var reader = new plus.io.FileReader();
                    reader.onloadend = function (e) {
                        url = e.target.result;
                        func(0, url);
                        return;
                    };
                    reader.readAsDataURL(file);
                }, function (e) {
                    func(1, "读写出现异常: " + e.message);
                    return;
                })
            })
        }, function (error) {
            func(1, "压缩图片失败，请稍候再试 ");
            return;
        });
}