cordova.define("cordova-plugin-sharepay.SharePay", function(require, exports, module) {
/**
 * 注意： 需要说明的是，这个cordova方法exec里的参数分别为：
 *【success】 ： 成功回调
 *【error 】 ： 失败回调
 *【MyMath】 ： 服务名（必须和 plugin.xml定义的服务名保持一致）
 *【Plus】 ： Action 动作名。(底层实现根据Action字符串调用不同的方法)
 *【arg0】： 参数，必须是数组。 可以是json的数据：[{“key”:”value”,”key”:”value”}]————— 也可以是[“value1”,”value2”,”value3”,…]
 **/
var exec = require('cordova/exec');

var SharePay = function () {};

(function (window) {
   var initSuccess = function () {
      console.info("Init Share Success");
   };
   var initError = function (ex) {
      console.info("Init Share Error:"+ex);
   };
   exec(initSuccess, initError, "SharePay", "initShareSDK", []);
})(window);

SharePay.prototype.shareHandle = function (options) {
   exec(options.shareShowSuccess, options.shareShowError, "SharePay", "shareHandle", [options.params]);
};

SharePay.prototype.appPayHandle = function (options) {
   exec(options.appPaySuccess, options.appPayError, "SharePay", "appPayHandle", [options.params.payType,options.params]);
};

window.plugins.SharePay = new SharePay();


});
